Witamy

Witamy w systemie pomocy oprogramowania DraftSight. Pomoc zawiera opisy i instrukcje dla wszystkich funkcji i właściwości oprogramowania.

Przy użyciu oprogramowania DraftSight można w łatwy sposób tworzyć rysunki CAD. Dzięki zastosowaniu formatu DWG jako podstawowego formatu plików oraz obsłudze plików DWG i DXF w wersjach do 2013, oprogramowanie DraftSight zapewnia zgodność i możliwości wymiany z szerokim spektrum programów graficznych i konstrukcyjnych z całego świata.

Użytkownicy, którzy nie są jeszcze zaznajomieni z projektowaniem CAD, powinni w pierwszej kolejności przeczytać następujące rozdziały:

  • Interfejs użytkownika
  • Wprowadzenie


Dostęp do systemu pomocy

Dostęp do systemu pomocy można uzyskać:

  • Klikając Pomoc > Pomoc.
  • Klikając Pomoc lub naciskając F1 w oknie dialogowym.
  • Klikając Pomoc lub naciskając F1 w oknie dialogowym.
  • Klikając Pomoc lub naciskając Command + ? w oknie dialogowym.
  • Nacisnąć F1 wewnątrz sekwencji poleceń.
  • Nacisnąć F1 wewnątrz sekwencji poleceń.
  • Naciskając Command + ? wewnątrz sekwencji poleceń.
  • Zatrzymując wskaźnik nad ikoną w celu wyświetlenia etykietki narzędzia.

Porady dotyczące korzystania z karty Wyszukaj w systemie pomocy.

  • Aby poszerzyć zakres wyszukiwania, należy użyć symboli wieloznacznych. Na przykład: wyszukiwanie ciągu "draw*" znajduje "drawn," "drawing" oraz "drawings".
  • Kliknąć [image] , aby utworzyć wyszukiwania logiczne przy użyciu operatorów "AND," "OR," "NOT" oraz "NEAR."
  • Należy użyć poniższych opcji:
    • Przeszukaj poprzednie wyniki: Przeprowadza następne wyszukiwanie tylko w poprzednio znalezionych tematach.
    • Uwzględniaj podobne wyrazy: Podświetla podobne wyrazy w znalezionych tematach. Na przykład wyszukiwanie ciągu "otwórz" znajduje tematy zawierające "otwórz" i "otworzyć".
    • Wyszukaj tylko w tytułach: Znajduje tematy, gdzie słowo kluczowe znajduje się w tytule.


Konwencje

W systemie pomocy wykorzystywane są poniższe konwencje typograficzne.

Zgłoszenia

Polecenia wprowadzane w oknie poleceń lub wybierane z menu lub paska narzędzi są pogrubione:

: Move

Porady dotyczące odpowiedzi na żądania poleceń są wyświetlane w klamrach:

Wybierz elementy» <Wybrać elementy do skopiowania>
Wybierz elementy» <Nacisnąć Enter, aby zakończyć wybór>

Specyfikacje punktów podane na ilustracjach są przedstawiane jako:

Określ pierwszy punkt» <P1>
Określ drugi punkt» <P2>

Opcje i kategorie

Opcje poleceń lub metody i tryby, jakich można użyć po wyświetleniu monitu, w tym nazwy menu lub pasków narzędzi, tytuły okien dialogowych, nazwy obszarów, przyciski, pola i inne formanty, są pogrubione. Na przykład:

Kliknąć Dodaj, aby utworzyć nowe elementy ...

Tekst w plikach

Tekst w plikach dostosowania wykorzystuje czcionkę Courier:

*Dashdot, _ . _ . _ . _ . _ . _ . _ . _ . _ . _ . _ .
A, 0.5, -0.25, 0, -0.25

Tematy pokrewne

Wprowadzanie danych i poleceń


Migrowanie preferencji z poprzedniej wersji

Istnieje możliwość migracji ustawień użytkownika, takich jak profile, preferencje, lokalizacje plików czy niestandardowe ustawienia interfejsu użytkownika, z poprzedniej wersji oprogramowania do nowej wersji.

Okno dialogowe Pomoc przy migracji otwiera się automatycznie podczas uruchamiania nowej wersji lub pakietu Service Pack po raz pierwszy po zakończeniu instalacji. Aby dokonać migracji preferencji w późniejszym czasie, należy użyć polecenia Migration.

Uwaga: Narzędzie do migracji nie kopiuje plików. Scala ono pliki profilu użytkownika i pliki dostosowania interfejsu użytkownika. Ponadto przekierowuje ścieżki wyszukiwania do lokalizacji plików z poprzedniej wersji.

Aby dokonać migracji preferencji z poprzedniej wersji przy użyciu okna dialogowego Pomoc przy migracji:

  1. Zainstalować nową wersję lub pakiet Service Pack.
  2. W oknie dialogowym Pomoc przy migracji, w obszarze Migruj ustawienia z, określić wersję, z której ma zostać przeprowadzona migracja.
  3. Liczba w nawiasach za nazwą produktu określa folder roamingu danych aplikacji z poprzedniej wersji.
  4. Liczba w nawiasach za nazwą produktu określa katalog konfiguracji użytkownika z poprzedniej wersji.
  5. Liczba w nawiasach za nazwą produktu określa folder preferencji użytkownika z poprzedniej wersji.
  6. W obszarze Profil określić, czy mają zostać dostosowane Wszystkie profile, czy Aktywny profil.
  7. Pozycja Profile umożliwia dostosowanie ustawień określających środowisko rysunkowe.
  8. W obszarze Ustawienia profilu określić kategorie do dostosowania:
    • Interfejs użytkownika. Przenosi dostosowania z poprzedniej instalacji do bieżącej.
    • Scala dostosowany plik .xml aplikacji i dostosowane pliki .xml <obszar roboczy_nazwa> z odpowiednimi plikami nowej wersji.
    • Scalone pliki znajdują się w folderze UI (aplikacja.xml) oraz w folderze Workspace (<obszar roboczy_nazwa>.xml) zlokalizowanym w folderze roamingu danych aplikacji (Użytkownicy\<profil_użytkownika>\Dane aplikacji\Roaming\<nazwa_aplikacji>\<wersja_aplikacji>) z poprzedniej wersji.
    • Scalone pliki znajdują się w folderze UI (aplikacja.xml) oraz w folderze Workspace (<obszar roboczy_nazwa>.xml) zlokalizowanym w katalogu domowym użytkownika, pod pozycją config (~/config/<nazwa_aplikacji>/<wersja_aplikacji>) z poprzedniej wersji.
    • Scalone pliki znajdują się w folderze UI (aplikacja.xml) oraz w folderze Workspace (<obszar roboczy_nazwa>.xml) zlokalizowanym w folderze preferencji użytkownika (Użytkownicy\<profil_użytkownika>/Bibliotek/Preferencje/<nazwa_aplikacji>\<wersja_aplikacji>) z poprzedniej wersji.
    • Aliasy. Scala dostosowane pliki aliasów.xml z poprzedniej wersji z odpowiednimi plikami nowej wersji (patrz Polecenia aliasu).
    • Foldery pomocy dot. rysunków. Ustawia lokalizacje wyszukiwania dla plików rysunków, plików szablonu rysunku, zewnętrznych plików odniesienia, plików stylu linii i plików stylu linii wzbogaconej zgodnie z ustawieniami wybranymi w poprzedniej wersji. Ponadto określa lokalizacje pliku alternatywnej czcionki (*.shx) i pliku mapowania (fonts.map) zgodnie z ustawieniami z poprzedniej wersji.
    • Foldery systemowe. Ustawia lokalizacje wyszukiwania dla plików czcionek i plików obsługi zgodnie z ustawieniami z poprzedniej wersji. Ponadto określa lokalizacje pliku niestandardowego słownika pisowni, pliku pomocy i pliku dziennika zgodnie z ustawieniami z poprzedniej wersji. Można użyć polecenia Options, aby zmienić te foldery i pliki (patrz Ustawianie opcji lokalizacji plików).
      • Style drukowania. Określa folder dla plików definicji stylów drukowania (plików *.ctb i *.stb) zgodnie z ustawieniami wybranymi w poprzedniej wersji. Można użyć polecenia Opcje, aby zmienić folder dla stylów drukowania (kliknąć Opcje systemu > Drukowanie > Lokalizacja pliku stylów drukowania).
    • Preferencje i zmienne systemowe. Ustawia preferencje zgodnie z ustawieniami wybranymi w poprzedniej wersji na karcie Preferencje użytkownika w oknie dialogowym Opcje (patrz Ustawianie preferencji użytkownika). Ponadto konfiguruje zmienne systemowe, które są przechowywane w profilu użytkownika, zgodnie z ustawieniami w poprzedniej wersji.
    • Preferencje. Ustawia preferencje zgodnie z ustawieniami wybranymi w poprzedniej wersji na karcie Preferencje użytkownika w oknie dialogowym Opcje (patrz Ustawianie preferencji użytkownika) oraz z innymi ustawieniami dotyczącymi środowiska rysunkowego.
    • Preferencje i zmienne poleceń. Ustawia preferencje zgodnie z ustawieniami wybranymi w poprzedniej wersji na karcie Preferencje użytkownika w oknie dialogowym Opcje (patrz Ustawianie preferencji użytkownika). Ponadto konfiguruje zmienne poleceń, które są przechowywane w profilu użytkownika, zgodnie z ustawieniami z poprzedniej wersji.
  9. W obszarze Opcje migracji wybrać opcję Zachowaj bieżące ustawienia dla niewybranych kategorii albo Przywróć domyślne ustawienia dla niewybranych kategorii.
  10. Bieżące ustawienia to ustawienia użytkownika, natomiast domyślne ustawienia to wstępnie skonfigurowane ustawienia aplikacji.
  11. Opcje te nie są dostępne, kiedy okno dialogowe Pomoc przy migracji otwiera się automatycznie podczas uruchamiania nowej wersji lub pakietu Service Pack po raz pierwszy po zakończeniu instalacji.
  12. Kliknąć OK.
  13. Aplikacja uruchomi się ze zmigrowanymi ustawieniami.

Aby dokonać migracji preferencji w późniejszym czasie:

  1. Wpisać Migration w wierszu poleceń.
  2. W oknie dialogowym kliknąć Tak, aby potwierdzić zamiar dokonania migracji oprogramowania.
  3. Zapisać wprowadzone zmiany.
  4. Zamknąć aplikację.
  5. Uruchomić ponownie aplikację.
  6. W oknie dialogowym Pomoc przy migracji skonfigurować opcje migracji w sposób opisany w poprzedniej procedurze.

Dostęp

Polecenie: Migration

Tematy pokrewne

Zarządzanie profilami ustawień


Wymagania systemowe

Minimalne

  • Wersja 32 bitowa: Microsoft® Windows® Vista®, Windows 7 lub Windows 8
  • Wersja 64 bitowa: Microsoft® Windows® 7 lub Windows 8
  • Procesor Intel® Pentium® 4 (2 GHz lub szybszy)
  • 300 MB wolnej przestrzeni dyskowej, zależnie od zainstalowanych aplikacji pomocniczych
  • 2 GB pamięci RAM
  • Karta graficzna High Color (16 bitów)
  • Ekran XGA (1024 x 768)
  • Mysz

Zalecane

  • Wersja 32 bitowa: 32 bitowa lub 64 bitowa wersja Microsoft® Windows® 7 albo 32 bitowa lub 64 bitowa wersja Windows 8
  • Wersja 64 bitowa: 64 bitowa wersja Microsoft® Windows® 7 lub 64 bitowa wersja Windows 8
  • Procesor Intel Core™ 2 Duo, AMD Athlon™ X2 Dual-Core lub lepszy
  • 1 GB wolnej przestrzeni dyskowej, zależnie od zainstalowanych aplikacji pomocniczych
  • 4 GB pamięci RAM
  • Karta graficzna z akceleratorem 3D
  • Wyświetlacz 22 cale
  • Mysz z kółkiem
  • Komputer Mac z procesorem Intel®
  • Mac OS X v10.7 (Lion), v10.8 (Mountain Lion) lub v10.9 (Mavericks)
  • 1 GB pamięci RAM (zalecane 2 GB)
  • 500 MB dostępnej przestrzeni dyskowej dla instalacji
  • Wyświetlacz 1024x768 (zalecane 1280x800) z 16-bitową kartą wideo
  • Mysz
  • Połączenie z Internetem do instalacji z pobranych plików oraz do aktywacji (opcjonalnie)
  • Napęd DVD-ROM do instalacji z dysku DVD (niewymagany do instalacji z pobranych plików)
  • Ubuntu® 12.04 LTS, Fedora® 18 Gnome i KDE, OpenSUSE® 12.2 Gnome i KDE lub nowsze wersje (inne w toku), 32-bitowy
  • Procesor o architekturze x86, 1 GHz
  • 1 GB pamięci RAM (zalecane 2 GB)
  • 1 GB dostępnej przestrzeni dyskowej dla instalacji
  • Monitor o rozdzielczości 1024x768 (zalecana rozdzielczość 1680x1050 lub większa) oraz karta graficzna zgodna z trybem True Color
  • Mysz (zalecana mysz z rolką)
  • Połączenie z Internetem na potrzeby instalacji w oparciu o pobrane pliki oraz aktywacji (opcjonalnie)
  • Napęd DVD-ROM do instalacji z dysku DVD (niewymagany w przypadku instalacji z pobranych plików)

Uwaga: aktywacja produktu wymaga użycia karty sieciowej.


Interfejs użytkownika

Pulpit zawiera takie elementy jak: pasek menu, obszar graficzny, okno poleceń, pasek stanu, paski narzędzi i palety.

Kliknąć obszar na poniższym obrazie, aby zidentyfikować fragment pulpitu.

Aby tworzyć i modyfikować elementy rysunku, lub wyświetlić i sterować rysunkiem, można:

  • Wpisać polecenia w oknie poleceń
  • Wybrać polecenia w menu
  • Kliknąć ikony paska narzędzi

Ten rozdział wprowadza:

  • Pasek menu
  • Paski narzędzi
  • Macierz narzędzia
  • Pasek narzędzi Opcje
  • Menu podręczne
  • Obszar graficzny
  • Palety
  • Okno poleceń
  • Pasek stanu


Pasek menu (menu rozwijane)

Menu

Menu skojarzonych poleceń są zorganizowane w postaci menu rozwijanych.

Zawartość paska menu różni się zależnie od wczytanego pliku menu - menu standardowego lub menu spersonalizowanych.

Można również wywoływać polecenia menu przy użyciu sekwencji klawiszy (na przykład: Alt + P, N zamiast Plik > Nowy).

Tematy pokrewne

Menu podręczne

Paski narzędzi


Paski narzędzi

Paski narzędzi można przeciągać i upuszczać w dogodnym miejscu okna aplikacji. Można je również zadokować poniżej paska menu lub na prawym i lewym marginesie pulpitu aplikacji.

Aby wyświetlić paski narzędzi, należy:

  1. Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi, aby wyświetlić menu podręczne.
  2. Wybrać nazwę paska narzędzi do wyświetlenia.

    - lub -

    Wybrać Paski narzędzi... i aktywować paski narzędzi do wyświetlenia w oknie dialogowym Wybierz pasek narzędzi.

Aby ukryć paski narzędzi, należy:

  1. Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi, aby wyświetlić menu podręczne.
  2. Wyczyścić nazwę paska narzędzi do ukrycia.

    - lub -

    Wybrać Paski narzędzi... i wyczyścić paski narzędzi do ukrycia w oknie dialogowym Wybierz pasek narzędzi.

Tematy pokrewne

Macierz narzędzi

Pasek narzędzi Opcje


Macierz narzędzi

Można otworzyć macierz narzędzi, która stanowi zbiór pasków narzędzi.

Przy pierwszym otwarciu macierzy narzędzi, jest ona pustym panelem. Należy przeciągnąć paski narzędzi do macierzy narzędzi.

Macierz narzędzi to element interfejsu użytkownika, który zachowuje się podobnie do innych palet, takich jak paleta Właściwości lub paleta Odniesienia.

Aby wyświetlić macierz narzędzi, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i wybrać Macierz narzędzi (lub wpisać ToolMatrix).

    Macierz narzędzi zostanie otwarta jako paleta ruchoma lub zadokowana.

Aby ukryć macierz narzędzi, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i usunąć zaznaczenie opcji Macierz narzędzi (lub wpisać HideToolMatrix).

    - lub

    Kliknąć Zamknij [image].

Aby umieścić pasek narzędzi w macierzy narzędzi, należy:

  • Kliknąć uchwyt po lewej stronie paska narzędzi [image] i przeciągnąć pasek narzędzi do macierzy narzędzi.

Aby usunąć pasek narzędzi z macierzy narzędzi, należy:

  • Kliknąć tytuł paska narzędzi i przeciągnąć pasek narzędzi na obszar graficzny (pasek ruchomy) lub na margines pulpitu programu (pasek zadokowany).

Aby zmienić rozmieszczenie pasków narzędzi w macierzy narzędzi, należy:

  • Kliknąć tytuł paska narzędzi i przeciągnąć pasek narzędzi do macierzy narzędzi.

Aby zwinąć pasek narzędzi w macierzy narzędzi, należy:

  • Kliknąć Zwiń [image] na pasku narzędzi.

    Ikony odpowiedniego paska narzędzi zostaną ukryte. Pasek narzędzi nadal stanowi część macierzy narzędzi.

Aby rozwinąć pasek narzędzi w macierzy narzędzi, należy:

  • Kliknąć Rozwiń [image] na pasku narzędzi.

    Odpowiedni pasek narzędzi zostanie pokazany, a ikony będą dostępne.

Aby zminimalizować ruchomą macierz narzędzi, należy:

  • Kliknąć Minimalizuj [image] w macierzy narzędzi.

    Macierz narzędzi zostanie zminimalizowana do dwukolumnowego panelu. Paski narzędzi zostaną rozmieszczone jako rozwijane menu ikon.

Aby ustawić domyślną szerokość macierzy narzędzi, należy:

  • Kliknąć Rejestracja [image] w macierzy narzędzi.

Tematy pokrewne

Paski narzędzi

Palety


Pasek narzędzi Opcje

Pasek narzędzi Opcje wyświetla kontekstowe opcje, które można wybierać podczas wykonywania polecenia. Wyświetla on tylko te opcje, które są dostępne w bieżącym monicie.

Na przykład: jeżeli wprowadzono polecenie Zoom, na pasku narzędzi Opcje widoczne będą: Granice, Środek, Dynamiczny, Dopasowanie, Poprzedni oraz Wybrane.

Aby wyświetlić lub ukryć pasek narzędzi Opcje, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i kliknąć Pasek narzędzi Opcje.

Tematy pokrewne

Menu podręczne


Obszar graficzny

Obszar graficzny to część aplikacji, gdzie są tworzone i modyfikowane elementy rysunku. Można otworzyć wiele rysunków jednocześnie w obszarze graficznym. Każdy rysunek i widok znajduje się we własnym oknie. Okna można rozmieszczać sąsiadująco, kaskadowo lub powiększać na cały obszar graficzny.

Gdy pojawi się monit o określenie punktów, wektorów, odległości lub kątów, wskaźnik w obszarze graficznym przyjmie postać kursora krzyżykowego.

Jeżeli otwartych jest kilka okien, tylko jedno z nich jest aktywne.

Aby uaktywnić okno, należy:

  • Kliknąć w dowolnej części okna lub kliknąć Okno i kliknąć rysunek, który chcemy uaktywnić.

Tematy pokrewne

Symbol współrzędnych

Kursor krzyżykowy

Paski przewijania

Karty modelu i arkusza


Symbol współrzędnych

Symbol współrzędnych stanowi wizualne odniesienie do rysunku. Znajduje się on w lewym dolnym narożniku obszaru graficznego. Symbol ten wskazuje pozycję osi układu współrzędnych i podaje orientację wyrównania bieżącego układu współrzędnych.

Na tej ilustracji symbol współrzędnych po lewej stronie wskazuje standardowy widok planu rysunku. Ten po prawej wskazuje, że widok jest 3D (izometryczny).

Można przyciemniać i rozjaśniać symbol współrzędnych przy użyciu polecenia CSIcon.

Tematy pokrewne

Kursor krzyżykowy (wskaźnik)

Wyświetlanie ikony układu współrzędnych


Kursor krzyżykowy (wskaźnik)

Gdy pojawi się monit o wprowadzenie punktów, wektorów, odległości lub kątów, wskaźnik krzyżykowy informuje o aktualnej pozycji wskaźnika w rysunku.

Tak jak w przypadku symbolu współrzędnych, wskaźniki krzyżykowe również zmieniają się, gdy widok rysunku zmienia się ze standardowego widoku planu (widok z góry) na widok 3D (izometryczny).

Podczas korzystania z przyciągań elementów, w początku układu współrzędnych wskaźnika krzyżykowego pojawia się ramka.

Klikając w obszarze graficznym przy użyciu wskaźnika, można określać punkty, wektory, odległości i kąty w poleceniu.

Aby zmienić rozmiar wskaźnika, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Opcje systemu [image].
  5. Rozwinąć Obszar graficzny.
  6. Ustawić Rozmiar wskaźnika.
  7. Kliknąć OK.

Tematy pokrewne

Symbol współrzędnych

Klikanie w obszarze graficznym


Karty modelu i arkusza

W lewej dolnej części pulpitu znajdują się karty oznaczone Model oraz Arkusz1. Wyświetlają one rysunek jako model lub jako arkusz rysunku.

Model to miejsce, w którym rysujemy i konstruujemy. Rysunek może posiadać tylko jedną kartę Model.

Arkusze to gotowe do drukowania strony, które zawierają takie elementy, jak ramki i bloki tytułowe, widoki ogólne i szczegółowe oraz widoki modelu.

Można pracować z wieloma arkuszami, używając polecenia Sheet, aby dodać, skopiować, usunąć, nazwać lub zmienić nazwy arkuszy. Aby uzyskać dostęp do tych opcji, można również kliknąć prawym przyciskiem kartę Arkusz.

Aby włączyć lub wyłączyć wyświetlanie kart Model i Arkusz, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Ustawienia rysunku [image] .
  5. Rozwinąć Wyświetl.
  6. Wybrać lub usunąć zaznaczenie opcji Pokaż karty modelu i arkusza.

Tematy pokrewne

Praca z arkuszami

Tworzenie i zarządzanie arkuszami


Paski przewijania

Paski przewijania znajdują się na prawym i dolnym marginesie okna rysunku. Służą one do przesuwania rysunku.

Zamiast korzystania z pasków przewijania, można użyć poleceń przesuwania.

Aby włączyć lub wyłączyć paski przewijania, należy:

  1. Kliknąć Narzędzia > Opcje.
  2. Kliknąć Opcje systemu [image].
  3. Rozwinąć Wyświetl > Opcje ekranu.
  4. Wybrać lub usunąć zaznaczenie opcji Pokaż paski przewijania.
  5. Kliknąć OK.

Tematy pokrewne

Przesuwanie

Oglądanie rysunku

Ustawianie opcji systemu


Menu podręczne

Kliknięcie prawym klawiszem myszy wyświetla menu podręczne (menu kontekstowe).

Jeżeli polecenie jest aktywne, menu podręczne zawiera:

  • Wprowadź: Potwierdza domyślne opcje bieżącego polecenia lub kończy wybór elementów
  • Anuluj: Anuluje wykonanie polecenia
  • Zmiany Przyciągania elementów: Pozwala wybierać opcje przyciągania elementów i metody wprowadzania współrzędnych
  • Przesuń i Powiększ/Pomniejsz
  • Opcje, które są dostępne w bieżącym monicie

Jeżeli żadne polecenie nie jest aktywne, menu kontekstowe zawiera często używane polecenia:

  • Powtórz poprzednie polecenia
  • Wytnij, Kopiuj, Kopiuj z punktem odniesienia, Wklej oraz Wklej jako blok
  • Cofnij i Ponów
  • Przesuń i Powiększ/Pomniejsz
  • Opcje (ustawienia ogólne)
  • Opcje szkicowania

Tematy pokrewne

Pasek menu


Palety

Palety to obszary po lewej i prawej stronie okna rysunku, które zarządzają elementami rysunku.

Dostępne są następujące palety:

  • Paleta właściwości. Umożliwia wyświetlanie i zmienianie właściwości elementu rysunku.
  • Paleta odniesień. Wyszczególnia i zarządza rysunkami i obrazami, do których występują odniesienia w danym rysunku.
  • Paleta Zasoby projektu. Pozwala na uzyskanie dostępu do zasobów i zawartości z innych rysunków na komputerze lub w miejscach w sieci.
  • Paleta oświetlenia. Wyszczególnia i steruje światłami wstawionymi do rysunku w celu utworzenia realistycznych renderowań.
  • Paleta macierzy narzędzi. Umożliwia zbieranie i rozmieszczanie pasków narzędzi na panelu.
  • Paleta Home. Zawiera łącza do internetowych samouczków, seminariów, zasobów w serwisach społecznościowych, pomocy i najświeższych doniesień z branży CAD.

Palety można wyświetlać i ukrywać.

Zwykle palety są zadokowane po lewej lub po prawej stronie okna rysunku.

Aby zmienić paletę na ruchomą, należy kliknąć dwukrotnie jej podpis albo kliknąć i przytrzymać lewy przycisk myszy na podpisie palety i przeciągnąć paletę do nowej pozycji.

Aby zadokować ruchomą paletę, należy kliknąć dwukrotnie jej pasek tytułu albo kliknąć i przytrzymać lewy przycisk myszy na pasku tytułu i przeciągnąć paletę do lewego lub prawego marginesu obszaru graficznego i zwolnić przycisk myszy.

Aby zaoszczędzić miejsce w obszarze graficznym, palety mogą zachodzić na siebie w jednej lokalizacji (na lewym lub prawym marginesie). Potrzebna paleta jest uaktywniana poprzez kliknięcie karty w dolnej części obszaru palety.

Tematy pokrewne

Pasek menu

Paski narzędzi


Okno poleceń

Okno poleceń umożliwia:

  • Wydawanie poleceń w wierszu poleceń
  • Określanie punktów i wartości oraz wybieranie elementów
  • Potwierdzanie wyboru lub kroków wprowadzania danych
  • Otrzymywanie komunikatów, wskazówek lub ostrzeżeń

Można obejrzeć transkrypcję poleceń wprowadzonych w oknie poleceń, co pozwala na odczytanie lub zrekonstruowanie kroków pracy, włącznie ze wszystkimi danymi wprowadzanymi z klawiatury.

Aby pokazać lub ukryć okno historii w oddzielnym oknie, należy:

  • Nacisnąć F2, aby pokazać okno historii.
  • Nacisnąć F2, aby pokazać okno historii.
  • Nacisnąć Fn + F2, aby pokazać okno historii.
  • Nacisnąć ponownie F2, aby ukryć okno historii.
  • Nacisnąć ponownie F2, aby ukryć okno historii.
  • Nacisnąć ponownie Fn + F2, aby ukryć okno historii.

Tematy pokrewne

Wprowadzanie danych i poleceń

Wyświetlanie historii poleceń (w oddzielnym oknie)

Ukrywanie okna historii poleceń


Pasek stanu

Pasek stanu znajduje się na dole okna aplikacji.

Jest on podzielony na trzy obszary: etykietki narzędzi, ustawienia szkicowania i wyświetlacz współrzędnych.

Etykietki narzędzi

Lewa strona paska stanu wyświetla etykietki narzędzi. Przemieszczenie wskaźnika na ikony paska narzędzi lub elementy menu powoduje wyświetlenie opisu polecenia lub funkcji w obszarze etykietek narzędzi.

Ustawienia szkicowania

Środkowa część paska stanu zawiera przyciski do włączania i wyłączania opcji szkicowania. Są to:

  • Przyciąganie (Siatka przyciągania)
  • Siatka (Wyświetlanie siatki)
  • Orto (Tryb ortogonalny
  • Biegunowe (Prowadnice biegunowe)
  • ESnap (Przyciągania elementów)
  • ETrack (Prowadnice śledzenia elementów)

Wyświetlacz współrzędnych

Prawa strona paska stanu ukazuje współrzędne X, Y i Z wskaźnika.


Wprowadzanie danych i poleceń

Rozdziały te opisują:

  • Wprowadzanie poleceń i wybieranie opcji poleceń
  • Wprowadzanie danych, włącznie z odległościami, kątami i przemieszczeniami
  • Wskazywanie lub identyfikowanie
  • Transparentne użycie poleceń
  • Powtarzanie poleceń
  • Przerywanie poleceń

Tematy pokrewne

Menu podręczne

Wprowadzanie współrzędnych i układy współrzędnych

Określanie współrzędnych

Określanie punktów przy użyciu filtrów współrzędnych


Wprowadzanie poleceń

Polecenia można wprowadzać na kilka sposobów:

  • Wybranie polecenia w menu
  • Kliknięcie ikony na pasku narzędzi
  • Wpisanie polecenia w oknie poleceń

Można również zarejestrować szereg poleceń w skrypcie (znanym również jako makro) w celu automatycznego wykonania.

Tematy pokrewne

Pasek menu

Paski narzędzi

Wprowadzanie danych z klawiatury

Uruchamianie skryptów


Wprowadzanie opcji poleceń

W wielu przypadkach podczas wykonywania polecenia pojawia się monit o określenie opcji.

Dostępne opcje są wyświetlane w oknie poleceń powyżej wiersza poleceń i w menu podręcznym.

W oknie poleceń podkreślone wielkie litery oznaczają klawisz skrótu dla danej opcji.

Przykłady

W przypadku polecenia PolyLine są wyświetlane opcje takie, jak:

Łuk, Półszerokość, Długość, Cofnij, Szerokość, Naciśnij Enter, aby zakończyć

Łuk, Zamknij, Półszerokość, Długość, Cofnij, Szerokość, Naciśnij Enter, aby zakończyć

Kąt, ŚRodek, ZAmknij, Kierunek, Półszerokość, Linia, Promień, Przez punkt, Cofnij, Szerokość, Naciśnij Enter, aby zakończyć

W przypadku polecenia EditPolyLine są wyświetlane opcje takie, jak:

Zamknij, Usuń krzywiznę, Edytuj wierzchołek, Dopasowanie, Połącz, Generowanie linii, Splajn, Cofnij, Szerokość i zAkończ

Wstaw, Przenieś, Następny, Poprzedni, POnów, Podziel, Prostuj, Styczne, Szerokość i zAkończ

Aby wprowadzić opcje polecenia:

  • Nacisnąć klawisz skrótu.
  • - lub -
  • Kliknąć prawym przyciskiem myszy i wybrać opcję z menu podręcznego.

Tematy pokrewne

Wprowadzanie poleceń

Wprowadzanie danych z klawiatury


Wprowadzanie danych wejściowych

Okno poleceń monituje o podanie wymaganych wartości, gdy zachodzi potrzeba określenia wartości danych.

Przykładami wymaganych wartości są:

  • Współrzędne punktów definiujących rysunek (na przykład: punkty początkowe i końcowe, punkty środkowe, przecięcia, punkty wstawienia oraz punkty bazowe i docelowe)
  • Odległości
  • Kąty
  • Wartości szerokości
  • Liczby
  • Ciągi tekstowe

Tematy pokrewne

Wprowadzanie danych z klawiatury

Klikanie w obszarze graficznym

Określanie współrzędnych


Klikanie w obszarze graficznym

Klikanie w obszarze graficznym to użycie myszy do wprowadzania punktów, wektorów, odległości i kątów, gdy pojawi się monit o ich określenie.

Współrzędne bieżącej pozycji wskaźnika są wyświetlane na pasku stanu. Kliknięcia można ograniczyć do siatki przyciągania.

Klikanie w obszarze graficznym jest zalecane, gdy zachodzi potrzeba skojarzenia istniejących elementów rysunku. Na przykład środek okręgu może być zdefiniowany przez przecięcie dwóch linii. W takim przypadku łatwiej jest wskazać punkt wynikający z konstrukcji w celu zdefiniowania jego współrzędnych.

Przyciągania elementów (ESnaps) zapewniają dokładność wartości współrzędnych wprowadzanych metodą kliknięcia. Posługując się przyciąganiami elementów, można precyzyjnie zidentyfikować punkty konstrukcyjne, takie jak punkty początkowe i końcowe, punkty przecięcia, punkty środkowe oraz punkty prostopadłe.

Można również użyć filtrów współrzędnych, gdy pojawi się monit o wartości punktu. Filtry współrzędnych pozwalają skojarzyć wartości wejściowe punktu ze współrzędnymi X, Y i Z istniejących elementów.

Tematy pokrewne

Używanie przyciągania elementów

Określanie punktów przy użyciu filtrów współrzędnych


Wprowadzanie danych z klawiatury

Dane wprowadzane przy użyciu klawiatury są precyzyjne. Przy użyciu danych wprowadzanych z klawiatury można konstruować elementy rysunku o dokładnych wymiarach lub dokładnym umiejscowieniu w układzie współrzędnych.

Wartości dla odległości, linii prostych i innych wielkości liniowych są określane w jednostkach rysunku. Wartości kątowe są określane w stopniach.

Reguły składni wymagają używania:

  • Kropek jako separatorów dziesiętnych
  • Przecinków w celu oddzielenia wartości dla osi, na przykład 0,2.1,3.25
  • Znaku < (mniejsze od) przed wartościami kąta, na przykład: <30 oznacza kąt 30°.

Można użyć filtrów współrzędnych, gdy pojawi się monit o wartości punktu. Filtry współrzędnych pozwalają skojarzyć wartości danych wejściowych punktu ze współrzędnymi X, Y i Z istniejących elementów.

Przykładowa sekwencja wprowadzania przy użyciu klawiatury:

: LINE
Określ punkt początkowy» 2.5,0
Określ następny punkt» @3,2.3
Określ następny punkt» @5.75<30
Określ następny punkt» <Nacisnąć Enter, aby zakończyć polecenie>

Przykład przenoszenia elementów przy użyciu klawiatury:

: MOVE
Wybierz elementy» <Wybierz elementy>
Wybierz elementy» <Nacisnąć Enter, aby zakończyć wybieranie elementów>
Określ punkt początkowy» 5,2
Określ punkt docelowy» @3,0

Tematy pokrewne

Określanie punktów przy użyciu filtrów współrzędnych


Transparentne użycie poleceń

Polecenia transparentne to serie poleceń i funkcje, których można użyć podczas wykonywania innego polecenia.

Polecenia transparentne obejmują polecenia i funkcje umożliwiające:

  • Zmienianie widoku obszaru graficznego (na przykład polecenia Zoom oraz Pan)
  • Sterowanie precyzją rysowania (na przykład polecenia Grid, Snap oraz Ortho)
  • Wywoływanie funkcji badania i informacji
  • Wczytywanie i zamykanie pasków narzędzi
  • Wywoływanie systemu pomocy

Opcje przyciągania elementów i wyboru elementów są z natury transparentne.

Po wykonaniu polecenia transparentnego kontynuowane jest pierwotne polecenie.

Aby wywołać polecenie transparentne, należy:

  • Po dowolnym monicie działającego polecenia w oknie poleceń wpisać apostrof przed nazwą polecenia. Na przykład 'Zoom.


Powtarzanie poleceń

Można powtórzyć ostatnie wykonane polecenie.

Aby powtórzyć polecenie, należy:

  • Nacisnąć Enter.
  • - lub -
  • Kliknąć prawym przyciskiem myszy i wybrać Powtórz <polecenie>.

Powtarzany jest tylko standardowy wariant odpowiedniego polecenia. Inne wybrane opcje nie są używane.


Przerywanie wykonywania polecenia

Działanie polecenia można przerwać przed zakończeniem.

Aby przerwać wykonywanie polecenia, należy:

  • Nacisnąć Esc.

    - lub -
  • Kliknąć prawym przyciskiem myszy i kliknąć Anuluj.


Korzystanie z gestów myszy

Gesty myszy można wykorzystywać jako skróty w celu wykonywania poleceń, podobnie jak skróty klawiaturowe. Po nauczeniu się mapowania poleceń gesty myszy umożliwiają szybkie przywoływanie zmapowanych poleceń.

Aby uaktywnić gest myszy, w obszarze graficznym należy przytrzymać prawy przycisk i przeciągnąć w jednym z czterech kierunków: w górę, w dół, w lewo lub w prawo.

Podczas przeciągania prawym przyciskiem myszy pojawia się przewodnik gestów, ukazujący mapowania poleceń dla kierunków gestu. Przewodnik podświetla polecenie, które ma zostać wybrane.

Aby anulować gest myszy, należy zwolnić przycisk myszy wewnątrz przewodnika gestów myszy.

Można dostosować maksymalnie osiem poleceń gestu.

Aby wyświetlić lub edytować aktualne przypisania gestów myszy, należy kliknąć Narzędzia > Gesty myszy.

Tematy pokrewne

Korzystanie z poleceń gestów myszy

Konfigurowanie ośmiu gestów myszy

Ponowne przypisywanie gestów myszy

Okno dialogowe Gesty myszy


Korzystanie z poleceń gestów myszy

Gesty myszy można wykorzystywać jako skróty w celu wykonywania poleceń, podobnie jak skróty klawiaturowe. Po nauczeniu się mapowania poleceń gesty myszy umożliwiają szybkie przywoływanie zmapowanych poleceń.

Aby użyć gestu myszy w celu wywołania uprzednio przypisanego polecenia z rysunku, należy:

  1. Kliknąć Narzędzia > Gesty myszy.
  2. Aby wyświetlić osiem poleceń w przewodniku gestów myszy, należy kliknąć 8 gestów i kliknąć OK.
  3. W obszarze graficznym należy przytrzymać prawy przycisk i przeciągnąć w kierunku, który odpowiada danemu poleceniu.
  4. Pojawi się przewodnik gestów myszy, podświetlający ikonę polecenia zmapowanego do kierunku danego gestu.
  5. Na przykład: przy otwartym rysunku należy przeciągnąć prawym przyciskiem myszy w prawo, w kierunku podświetlonego polecenia.
  6. Kontynuować przeciąganie prawym przyciskiem przez ikonę polecenia, zwalniając po przejściu przez obszar polecenia przewodnika gestów myszy.
  7. Polecenie zostanie wywołane.

Aby wyłączyć gesty myszy, należy:

  1. Kliknąć Narzędzia > Gesty myszy.
  2. Usunąć zaznaczenie opcji Włącz gesty myszy.

Dostęp

Polecenie: Gesture

Menu: Narzędzia > Gesty myszy

Tematy pokrewne

Gesty myszy

Konfigurowanie ośmiu gestów myszy

Ponowne przypisywanie gestów myszy

Okno dialogowe Gesty myszy


Konfigurowanie ośmiu gestów myszy

Do gestów myszy jest wstępnie przypisanych osiem poleceń, po jednym poleceniu do każdego kierunku gestu myszy. Domyślnie w przewodniku gestów myszy dostępne są cztery wstępnie przypisane polecenia.

Można dostosować gesty myszy, aby wyświetlić osiem kierunków w przewodniku gestów myszy.

Aby skonfigurować osiem gestów w przewodniku gestów myszy, należy:

  1. Kliknąć Narzędzia > Gesty myszy.
  2. Wybrać 8 gestów.
  3. Kliknąć OK.

Dostęp

Polecenie: Gesture

Menu: Narzędzia > Gesty myszy

Tematy pokrewne

Gesty myszy

Korzystanie z poleceń gestów myszy

Ponowne przypisywanie gestów myszy

Okno dialogowe Gesty myszy


Ponowne przypisywanie gestów myszy

Do gestów myszy jest wstępnie przypisanych 8 poleceń, po jednym poleceniu do każdego z ośmiu kierunków gestu myszy. Domyślnie w przewodniku gestów myszy dostępne są 4 wstępnie przypisane polecenia.

Można dostosowywać polecenia przypisane do gestów myszy.

Aby ponownie przypisać polecenie gestu myszy, należy:

  1. Kliknąć Narzędzia > Gesty myszy.
  2. Ustawić Kategorię jako Wszystkie polecenia.
  3. Kliknąć kolumnę Wybierz, aby wyświetlić aktualne polecenia gestów myszy.
  4. Zdecydować, które polecenie należy dodać, wybierając spośród dostępnych poleceń.
  5. Wybrać jeden z kierunków gestów myszy do ponownego przypisania, a w wierszu dla nowego polecenia wybrać kierunek gestu myszy z listy.
  6. Domyślnie dostępne są cztery kierunki. Wybrać 8 gestów, aby przypisać polecenia dla ośmiu kierunków gestów:

Dostęp

Polecenie: Gesture

Menu: Narzędzia > Gesty myszy

Tematy pokrewne

Gesty myszy

Korzystanie z poleceń gestów myszy

Konfigurowanie ośmiu gestów myszy

Okno dialogowe Gesty myszy


Okno dialogowe Gesty myszy

Można zmapować maksymalnie osiem poleceń do gestów myszy w oknie dialogowym Gesty myszy.

Aby otworzyć okno dialogowe Gesty myszy, należy:

  • Kliknąć Narzędzia > Gesty myszy

Opcje

Kolumna | Opis
Włącz gesty myszy | Włącza i wyłącza gesty myszy.
4 gesty | Przy włączonych gestach myszy, pozwala na jedno polecenie gestu dla każdego kierunku: w górę, w dół, w lewo lub w prawo.
8 gestów | Przy włączonych gestach myszy, pozwala na jeden gest dla każdego kierunku: w górę, w dół, w lewo, w prawo lub wzdłuż jednej z czterech przekątnych.
Kategoria | Filtruje listę poleceń według kategorii.
Przypisane polecenia gestów myszy | Wyświetla przypisane polecenia na liście poleceń.
Wyszukaj | Filtruje listę poleceń według wprowadzonego ciągu wyszukiwania.
Zresetuj do ustawień domyślnych | Przywraca domyślne ustawienia systemowe dla wszystkich gestów myszy.
Drukuj listę | Drukuje listę poleceń gestów myszy.
Opis | Wyświetla opis dla wybranego polecenia.

Kolumny

Kolumna | Opis
Kategoria | Grupuje polecenia w kategorie.
Polecenie | Wyszczególnia polecenia. Uwaga: Polecenie jest zmapowane do gestu myszy tylko wtedy, gdy jedna z ośmiu ikon gestów myszy pojawia się w wierszu polecenia, w kolumnie Wybierz.
Wybierz | Wyświetla cztery lub osiem mapowań poleceń gestów myszy po kliknięciu nagłówka kolumny.

Kliknięcie kolumny sortuje według tej kolumny.

Ikony poleceń gestów myszy

W przypadku czterech gestów myszy można przypisać polecenia dla czterech kierunków: w górę, w dół, w lewo lub w prawo.

W przypadku ośmiu gestów myszy można przypisać polecenia dla ośmiu kierunków gestów:

Dostęp

Polecenie: Gesture

Menu: Narzędzia > Gesty myszy

Tematy pokrewne

Gesty myszy

Korzystanie z poleceń gestów myszy

Konfigurowanie ośmiu gestów myszy

Ponowne przypisywanie gestów myszy


Wprowadzenie

Ten rozdział wprowadza podstawowe cechy charakterystyczne i funkcje używane w rysunkach:

  • Tworzenie, otwieranie, zamykanie i zapisywanie rysunków
  • Konfigurowanie środowiska rysunkowego
  • Używanie rysunku szablonu
  • Praca z arkuszami

Tematy pokrewne

Interfejs użytkownika


Tworzenie, otwieranie, zamykanie i zapisywanie rysunków

Tworzenie nowego rysunku

Aby utworzyć nowy rysunek, należy:

Kliknąć Plik > Nowy.

- lub -

Kliknąć Nowy [image] na Standardowym pasku narzędzi.

- lub -

Nacisnąć Ctrl + N.

Nacisnąć Ctrl + N.

Nacisnąć Command + N.

- lub -

Wpisać New w wierszu poleceń.

Otwieranie istniejącego rysunku

Aby otworzyć istniejący rysunek, należy:

Kliknąć Plik > Otwórz.

- lub -

Kliknąć Otwórz [image] na Standardowym pasku narzędzi.

- lub -

Nacisnąć Ctrl + O.

Nacisnąć Ctrl + O.

Nacisnąć Command + O.

- lub -

Wpisać Open w wierszu poleceń.

Zamykanie rysunku

Aby zamknąć rysunek, należy:

Kliknąć Plik > Zamknij.

- lub -

Nacisnąć Ctrl + F4.

- lub -

Nacisnąć Ctrl + F4.

- lub -

Wpisać Close w wierszu poleceń.

Zapisywanie rysunku

Aby zapisać rysunek, należy:

Kliknąć Plik > Zapisz.

- lub -

Kliknąć Zapisz [image] na Standardowym pasku narzędzi.

- lub -

Nacisnąć Ctrl + S.

Nacisnąć Ctrl + S.

Nacisnąć Command + S.

- lub -

Wpisać Save w wierszu poleceń i wpisać nazwę pliku w oknie dialogowym Zapisz plik.

Polecenie SaveAs służy do zapisywania rysunku pod inną nazwą lub w innej lokalizacji.


Konfigurowanie środowiska rysunkowego

Aby skonfigurować środowisko rysunkowe, można stosować ustawienia jednostek, granic rysunku, siatki i przyciągania. Ustawienia te można przechowywać w rysunkach szablonu.

Ustawianie formatu jednostek

Jednostki rysunku

Podczas tworzenia rysunku należy zdecydować, jakie jednostki mają być używane. Można ustawić jedną jednostkę rysunku równą jednemu milimetrowi, jednemu centymetrowi, jednemu metrowi itd.

Jednostki liniowe i kątowe

Można ustawić format dla wprowadzania i wyświetlania jednostek liniowych i kątowych. Można również ustawić poziom dokładności poprzez określenie liczby miejsc dziesiętnych.

Jednostki liniowe mogą posiadać takie formaty, jak jednostki dziesiętne, angielskie architektoniczne cale i stopy, angielskie inżynieryjne cale i stopy, jednostki ułamkowe oraz naukowa notacja wykładnicza.

Jednostki kątowe mogą posiadać takie formaty, jak stopnie dziesiętne, stopnie/minuty/sekundy, gradusy, radiany oraz geodezyjne kąty kwadrantowe.

Aby ustawić format jednostek, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać UnitSystem).
  2. Kliknąć Narzędzia > Opcje (lub wpisać UnitSystem).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać UnitSystem).
  4. W oknie dialogowym kliknąć Ustawienia rysunku [image].
  5. Rozwinąć Układ jednostek miar.
  6. Ustawić opcje.
  7. Kliknąć OK.

Ustawianie granic rysunku

Granice rysunku służą do:

  • Definiowania granic rysunku
  • Sterowania lokalizacjami, w których można, a w których nie można rysować, uniemożliwiając rysowanie elementów poza określonym regionem.
  • Definiowania zakresów wyświetlania siatki

Zwykle granice rysunku są skojarzone z rozmiarem papieru podczas drukowania rysunku. Sprawdzanie granic jest domyślnie wyłączone. Nie ma ograniczeń odnośnie lokalizacji, gdzie elementy mogą być rysowane.

Aby ustawić granice rysunku, należy:

  • Kliknąć Format > Granica rysunku (lub wpisać DrawingBounds).

Ustawianie siatki i przyciągania

Siatka

Siatka to wzór równomiernie rozmieszczonych kropek, które służą jako wizualne odniesienie odległości. Siatka nie stanowi części pliku rysunku i nie pojawia się na wydruku.

Można ustawić siatkę rysunku na całym obszarze graficznym, lub ograniczyć ją do zakresu rysunku.

Aby pokazać lub ukryć siatkę, należy:

  • Kliknąć Siatka w pasku stanu.
  • - lub -
  • Nacisnąć F7.
  • Nacisnąć F7.
  • Nacisnąć Fn + F7.
  • - lub -
  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetlanie > Ustawienia siatki.
  5. Wybrać Włącz siatkę.
  6. Kliknąć OK.

Aby zmodyfikować ustawienia wyświetlania siatki:

  • Wpisać Grid w wierszu poleceń.
  • - lub -
  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetlanie > Ustawienia siatki.
  5. Ustawić opcje Orientacja i Odstępy.

Przyciąganie

Przyciąganie tworzy zbiór niewidocznych punktów magnetycznych, które zmuszają wskaźnik do poruszania się w równych odstępach. Przyciąganie ogranicza punkty, które można wybierać wskaźnikiem do zdefiniowanej siatki przyciągania.

Wyświetlanie siatki i siatkę przyciągania można ustawiać niezależnie.

Aby włączyć lub wyłączyć przyciąganie, należy:

  • Kliknąć Przyciąganie w pasku stanu.
  • - lub -
  • Nacisnąć F9.
  • Nacisnąć F9.
  • Nacisnąć Fn + F9.
  • - lub -
  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetlanie > Ustawienia przyciągania.
  5. Wybrać Włącz przyciąganie.
  6. Kliknąć OK.

Aby zmodyfikować ustawienia przyciągania, należy:

  • Wpisać Snap w wierszu poleceń.
  • - lub -
  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetlanie > Ustawienia przyciągania.
  5. Ustawić opcje Orientacja i Odstępy.
  6. Kliknąć OK.

Poniższy przykład ukazuje siatkę ustawioną na granice rysunku oraz siatkę przyciągania ustawioną na odstępy wyświetlania siatki.


Używanie szablonów

Rysunki można tworzyć z wykorzystaniem wcześniej zdefiniowanych szablonów. Szablony stanowią bazę dla gotowych prac i konfigurują żądane środowisko rysunku.

Użycie szablonów rysunku oszczędza czas, ponieważ można ponownie wykorzystywać elementy i ustawienia już istniejącego rysunku.

  • Szablony są użyteczne w przypadku stosowania takich elementów rysunku, jak logotypy, bloki tytułowe, ramki, obwiednie, linijki, linie wytyczające i widoki.
  • Każdy rysunek wymaga specyficznych ustawień jednostek, przyciągania, siatki oraz granic rysunku. Ustawienia te są określane w szablonach zgodnie z konkretnymi wymogami. Omówienie znajduje się w temacie Konfigurowanie środowiska rysunkowego.
  • Szablony służą do konfigurowania stylów wymiarowania oraz wczytywania stylów linii oraz stylów tekstu, które są często używane.
  • Ustawienie lokalnych ustawień wczytywanych razem z szablonem pozwala standaryzować ustawienia domyślne kreślenia i edytowania.
  • Warstwy utworzone w szablonie służą do grupowania elementów rysunku i przypisywania im kolorów, stylów linii i szerokość linii.

Utworzenie szablonów z tymi elementami i parametrami zapewnia, że rysunki będą zgodne ze standardami obowiązującymi w firmie, organizacji lub branży.


Praca z arkuszami

Istnieją dwa tryby pracy z rysunkiem: tryb modelu i tryb arkusza.

Elementy w trybie modelu stanowią geometrię modelu.

Elementy w trybie arkusza ukazują model w różnych widokach i pozwalają dodawać adnotacje do rysunku. W trybie arkusza można:

  • Dodawać bloki tytułowe do rysunków
  • Wyświetlać i drukować różne obszary i widoki
  • Tworzyć szczegóły modelu
  • Uwzględniać listy części, legendy, adnotacje i instrukcje


Rysowanie z precyzją

Poniższe tematy opisują techniki i przyrządy do rysowania z precyzją i dokładnością:

  • Wprowadzanie współrzędnych i układy współrzędnych - Sposób wprowadzania współrzędnych i korzystania z filtrów współrzędnych
  • Używanie metod i narzędzi rysowania - Sposób używania przyciągania, siatki, ortogonalności, przyciągania elementów, śledzenie elementów oraz prowadnice biegunowe
  • Badanie i obliczanie - Sposób badania rysunków poprzez identyfikowanie współrzędnych, pobieranie odległości i powierzchni oraz analizowanie geometrii


Określanie współrzędnych i używanie układów współrzędnych

Układ współrzędnych określa w jednoznaczny sposób każdy punkt elementu lub powierzchni rysunku. Narzędzie rysowania wykorzystuje kartezjański układ współrzędnych, składający się z trzech osi współrzędnych. Osie są ustawione prostopadle i przecinają się w początku układu współrzędnych. Wszystkie osie wykorzystują te same miary.

Współrzędne punktu są wyprowadzane z odległości punktu odpowiednio od osi X, Y i Z (opcjonalnie).

  • Aby wprowadzić punkty przy użyciu klawiatury, należy użyć formatu współrzędnych kartezjańskich, współrzędnych cylindrycznych lub współrzędnych sferycznych. Punkty są wprowadzane jako współrzędne bezwzględne lub względne.
  • Aby wprowadzić punkty, określając współrzędne X, Y i Z niezależnie, należy użyć filtrów współrzędnych.

Globalny układ współrzędnych i niestandardowe układy współrzędnych

Narzędzie rysowania rozróżnia:

  • Globalny układ współrzędnych (GUW) - Ustalony układ współrzędnych

    GUW jest trwale zainstalowanym kartezjańskim układem współrzędnych, wykorzystywanym standardowo dla wszystkich rysunków. Oś X odmierza odległość poziomą; oś Y odmierza odległość pionową od początku układu współrzędnych. Oś Z jest prostopadła do płaszczyzn X i Y oraz odmierza odległość punktu od tych płaszczyzn. Nie można zmieniać GUW.
  • Niestandardowe układy współrzędnych (NUW) - Dowolne układy współrzędnych zlokalizowane w dowolnym miejscu i zorientowane w dowolnym kierunku w GUW

    NUW bazuje na GUW, lecz można go definiować swobodnie. Można:
    • Przemieścić początek układu współrzędnych do dowolnego punktu w GUW
    • Ustawić pod kątem lub obrócić NUW wokół jednej lub więcej osi w stosunku do GUW
  • Na przykład: można ustawić płaszczyznę rysowania równolegle do elementów do narysowania, aby ułatwić rysowanie elementów 3D.

Do sterowania NUW służą polecenia CCS oraz CSStyle.


Określanie współrzędnych

Wszystkie rysunki bazują na kartezjańskim układzie współrzędnych, w którym wykorzystywane są trzy prostopadłe osie: X, Y i Z. Wszystkie osie wychodzą z punktu początkowego układu współrzędnych. Osie X i Y definiują płaszczyznę poziomą. Osie X i Z oraz osie Y i Z definiują płaszczyzny pionowe.

W kartezjańskim układzie współrzędnych, punkt jest definiowany przez jego odległości od płaszczyzn XY, XZ oraz YZ. Odległości te są nazywane współrzędnymi XYZ punktu. Podczas rysowania w trybie 2D użytkownik określa punkty tylko na płaszczyźnie XY. Współrzędna Z jest pomijana. W projektowaniu CAD nieruchomy kartezjański układ współrzędnych jest nazywany globalnym układem współrzędnych (GUW). Nowe rysunki bazują na układzie GUW.

Współrzędne są wprowadzane jako wartości bezwzględne lub względne. Aby określić współrzędne punktu względem poprzedniego punktu (wprowadzanie współrzędnych względnych), należy wpisać znak "@" przed wartościami współrzędnych.

Współrzędne bezwzględne

Typ współrzędnych | Dane wejściowe | Przykład
Kartezjańskie (2D / 3D) | X,Y / X,Y,Z | 3.5,8.2,6.7
Biegunowe (2D) | odległość<kąt | 7.5<45
Cylindryczne (3D) | odległość<kąt,współrzędna Z | 7.5<45,12.2
Sferyczne (3D) | odległość<kąt1<kąt2 | 7.5<45<33

Współrzędne względne

Typ współrzędnych | Dane wejściowe | Przykład
Kartezjańskie (2D / 3D) | @deltaX,deltaY / @deltaX,deltaY,deltaZ | @3.5,8.2,6.7
Biegunowe (2D) | @odległość_względna<kąt | @7.5<45
Cylindryczne (3D) | @odległość_względna<kąt,współrzędna Z | @7.5<45,12.2
Sferyczne (3D) | @odległość_względna<kąt1<kąt2 | @7.5<45<33

Aby określić bezwzględne współrzędne kartezjańskie, należy:

  1. Wprowadzić polecenie wymagające współrzędnych, na przykład: Line.
  2. Określić współrzędne X, Y i Z rozdzielone przecinkami, na przykład: 0,0,0.
  3. Określić kolejne współrzędne, aby dokończyć polecenie, na przykład: 3.5,8.2,6.7.

    Aby umieścić punkt na płaszczyźnie XY (zerowa współrzędna Z), należy pominąć współrzędną Z. Na przykład: wpisać 3.5,8.2.

Aby określić względne współrzędne kartezjańskie, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0,0.
  3. Aby określić drugi punkt względem pierwszego punktu, należy wpisać znak "@" przed wartościami współrzędnych: @3.5,8.2,6.7.

Aby określić bezwzględne współrzędne biegunowe, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0.
  3. Określić drugi punkt w formacie 2D, "odległość<kąt_alfa", na przykład: 7.5<45.

    odległość: określa odległość od początku układu współrzędnych

    kąt_alfa: określa kąt w płaszczyźnie XY (dodatnie kąty są mierzone przeciwnie do ruchu wskazówek zegara)

Aby określić względne współrzędne biegunowe, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0.
  3. Określić drugi punkt względem pierwszego punktu w formacie 2D, "@odległość<kąt_alfa", na przykład: @7.5<45.

Aby określić bezwzględne współrzędne cylindryczne, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0,0.
  3. Określić drugi punkt w formacie 3D, "odległość<kąt_alfa,współrzędna_z", na przykład: 7.5<45,12.2

    odległość: określa odległość od początku układu współrzędnych

    kąt_alfa: określa kąt w płaszczyźnie XY (dodatnie kąty są mierzone przeciwnie do ruchu wskazówek zegara)

    współrzędna_z: określa wysokość ponad płaszczyznę XY

Aby określić względne współrzędne cylindryczne, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0,0.
  3. Określić drugi punkt względem pierwszego punktu w formacie 3D, "@odległość<kąt_alfa,współrzędna_z", na przykład: @7.5<45,12.2.

Aby określić bezwzględne współrzędne sferyczne, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0,0.
  3. Określić drugi punkt w formacie 3D, "odległość<kąt_alfa<kąt_beta", na przykład: 7.5<45<33

    odległość: określa odległość od początku układu współrzędnych

    kąt_alfa: określa kąt w płaszczyźnie XY (dodatnie kąty są mierzone przeciwnie do ruchu wskazówek zegara)

    kąt_beta: określa kąt mierzony względem płaszczyzny XY (dodatnie kąty są mierzone powyżej płaszczyzny XY)

Aby określić względne współrzędne sferyczne, należy:

  1. Wprowadzić polecenie wymagające współrzędnych.
  2. Określić pierwszy punkt, na przykład: 0,0,0.
  3. Określić drugi punkt względem pierwszego punktu w formacie 3D, "@odległość<kąt_alfa<kąt_beta", na przykład: @7.5"45<33.

Sekwencja poleceń

Określanie bezwzględnych współrzędnych kartezjańskich:

: Line
Określ punkt początkowy» 0,0,0
Określ następny punkt» 3.5,8.2,6.7
...

Określanie względnych współrzędnych kartezjańskich:

: Line
Określ punkt początkowy» 0,0,0
Określ następny punkt» @3.5,8.2,6.7
...

Tematy pokrewne

Wprowadzanie współrzędnych i układy współrzędnych

Określanie punktów przy użyciu filtrów współrzędnych


Filtr współrzędnych

Określanie punktów przy użyciu filtrów współrzędnych

Filtry współrzędnych (Filtry punktów XYZ) służą do:

  • wprowadzania punktów względnych w stosunku do istniejących elementów;
  • rozdzielania określenia punktu na odrębne współrzędne X, Y i Z.

Można wprowadzać kombinacje tych filtrów współrzędnych zawsze, gdy polecenie monituje o podanie punktu: .x, .y, .z, .xy, .xz, .yz oraz .xyz.

Filtry współrzędnych są użyteczne przy tworzeniu konstrukcji 2D, szczególnie w połączeniu z metodami przyciągania elementów (ESnaps). Przyciąganie elementów pozwala uzyskać odrębne wartości X, Y i Z dla znaczących punktów w istniejących elementach.

W przestrzeni 3D można kliknąć współrzędne X i Y, a następnie wprowadzić współrzędną Z z klawiatury.

Aby określić punkty przy użyciu filtrów współrzędnych, należy:

  1. Wpisać polecenie wymagające współrzędnych, na przykład: Line.
  2. Określić filtr współrzędnych (.x, .y, .z, .xy, .xz, .yz lub .xyz).
  3. Określić element, do którego stosowany jest filtr poprzez wprowadzenie wartości X lub Y oddzielnie, względem istniejącej geometrii.
  4. Określić dodatkowe punkty według potrzeb.

Sekwencje poleceń:

Używanie filtrów współrzędnych w rysunkach 2D:

: Line
Określ punkt początkowy» .x
of end
of <P1>
of <P2>
of (wymaga YZ): end
of <P1>
Określ następny punkt» @5<0

Identyfikowanie środka sześcianu:

: Point
Określ pozycję» .x
of mid
of <P1>
of <P2>
of (wymaga YZ): .y
of mid
of <P3>
of <P4>
of (wymaga XZ): mid
of <P5>

Tematy pokrewne

Określanie współrzędnych i używanie układów współrzędnych

Określanie współrzędnych


Ustawianie niestandardowych układów współrzędnych

Polecenie CCS służy do ustawiania układów współrzędnych oraz zapisywania, przywracania, zmieniania nazw i usuwania ich. Poprzez nazwanie bieżącego układu współrzędnych można go używać ponownie bez ponownego stosowania parametrów układu współrzędnych. Układ współrzędnych zostanie przywrócony po ponownym otwarciu rysunku.

Można utworzyć wiele nazwanych układów współrzędnych dla rysunku i używać tymczasowych, nienazwanych układów współrzędnych.

Mimo że w jednym rysunku może istnieć wiele dostosowanych układów współrzędnych, tylko jeden może być aktywnym układem współrzędnych.

Aby ustawić układ współrzędnych, należy:

  1. Kliknąć Narzędzia > Nowy NUW > 3 Punkty (lub wpisać CSS).
  2. Określić punkt początku dla niestandardowego układu współrzędnych.
  3. Określić punkt, przez który ma przebiegać dodatnia oś X.
  4. Określić punkt na dodatnim obszarze płaszczyzny XY.

    Ten punkt nie musi leżeć na osi Y.
  5. Jeśli zachodzi taka potrzeba, należy dostosować układ współrzędnych do narysowanego elementu w przestrzeni przy użyciu przyciągań elementów.

Aby ustawić układ współrzędnych poprzez unieruchomienie osi Z, należy:

Uwaga: Oś Z nie jest używana w projekcie 2D.

  1. Kliknąć Narzędzia > Nowy NUW > Wektor osi Z (lub wpisać CSS i określić opcję OśZ).
  2. Określić punkt początku dla układu współrzędnych.
  3. Określić punkt, przez który ma przechodzić dodatnia oś Z, poczynając od początku układu współrzędnych.

    Opcja ta przechyla płaszczyznę XP prostopadle do osi Z.

Aby zapisać układ współrzędnych, należy:

  1. Wpisać CCS i określić opcję Nazwany.
  2. Określić opcję Zapisz.
  3. Wpisać nazwę dla NUW.

    NUW jest zapisywany pod określoną nazwą.

Aby usunąć układ współrzędnych, należy:

  1. Wpisać CCS i określić opcję Nazwany.
  2. Określić opcję Usuń .
  3. Jeżeli nie ma pewności co do nazwy układu współrzędnych do usunięcia, należy określić opcję ?, aby wyświetlić listę nazwanych układów współrzędnych.

    W oknie poleceń, poniżej nazwy, wyświetlany jest początek i wektor kierunku jego trzech osi.
  4. Określić układ współrzędnych do usunięcia.

    Nazwany układ współrzędnych zostanie usunięty.

Aby przywrócić zapisany układ współrzędnych, należy:

  1. Wpisać CCS i określić opcję Nazwany.
  2. Określić opcję Przywróć.
  3. Jeżeli nie ma pewności co do nazwy układu współrzędnych do przywrócenia, należy określić opcję ?, aby wyświetlić listę nazwanych układów współrzędnych.

    W oknie poleceń, poniżej nazwy, wyświetlany jest początek i wektor kierunku jego trzech osi.
  4. Określić układ współrzędnych do przywrócenia.

    Nazwany układ współrzędnych zostanie przywrócony.

Aby wyrównać układ współrzędnych z elementem, należy:

  1. Kliknąć Narzędzia > Nowy NUW > Element (lub wpisać CSS i określić opcję Element).
  2. Wybrać element, z którym należy wyrównać NUW.

Aby przełączyć na poprzednie widoki układu współrzędnych, należy:

  • Kliknąć Narzędzia > Nowy NUW > Poprzedni (lub wpisać CSS i określić opcję Poprzedni).

    Można przejść wstecz o maksymalnie dziesięć układów współrzędnych w aktywnym widoku sąsiadującym.

Aby wyrównać układ współrzędnych z aktywną płaszczyzną widoku, należy:

  • Kliknąć Narzędzia > Nowy NUW > Widok (lub wpisać CSS i określić opcję Widok).

    Układ współrzędnych zostanie wyrównany równolegle do aktywnej płaszczyzny widoku.

Aby ustawić globalny układ współrzędnych (GUW) jako aktywny układ współrzędnych, należy:

  • Kliknąć Narzędzia > Nowy NUW > Globalny (lub wpisać CSS i określić opcję Globalny).

    GUW stanie się aktywnym układem współrzędnych.

Aby obrócić układ współrzędnych względem osi, należy:

  1. Kliknąć Narzędzia > Nowy NUW > X, Y lub Z(lub wpisać CSS i określić opcję X, Y lub Z).
  2. Wpisać kąt obrotu względem wybranej osi.

    Układ współrzędnych zostanie obrócony względem określonej osi. Obrócenie układu współrzędnych względem osi Z jest często używane w rysunkach 2D, natomiast obrócenie względem osi X lub Y jest używane w rysunkach 3D.

    3. Aby obrócić układ współrzędnych względem dwóch lub trzech osi, należy powtórzyć ten krok dla każdej osi.

Dostęp

Polecenie: CCS

Menu: Narzędzia > Nowy NUW

Tematy pokrewne

Zarządzanie niestandardowymi układami współrzędnych

Wprowadzanie współrzędnych i układy współrzędnych


Zarządzanie niestandardowymi układami współrzędnych

Polecenie CSStyle służy do zarządzania układami współrzędnych. Można:

  • Zarządzać układami współrzędnych poprzez przeglądanie, aktywowanie, zmienianie nazw i usuwanie ich
  • Wybrać prostopadły układ współrzędnych
  • Zmodyfikować ustawienia układu współrzędnych

Aby utworzyć nazwany niestandardowy układ współrzędnych, należy użyć polecenia CCS.

Aby zobaczyć zapisane układy współrzędnych, należy:

  1. Kliknąć Narzędzia > Menedżer NUW (lub wpisać CSStyle).

    W oknie dialogowym Opcje, nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Układu współrzędnych.
  2. Rozwinąć Nazwany.
  3. Zatrzymać wskaźnik nad układem współrzędnych, aby zobaczyć początek układu współrzędnych oraz współrzędne X, Y i Z.

Aby uaktywnić układ współrzędnych, należy:

  1. Kliknąć Narzędzia > Menedżer NUW (lub wpisać CSStyle).

    W oknie dialogowym Opcje, nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Układu współrzędnych.
  2. Rozwinąć Nazwany.
  3. Wybrać układ współrzędnych i kliknąć Aktywuj.

    Obok aktywnego układu współrzędnych pojawi się [image].

Aby usunąć układ współrzędnych lub zmienić jego nazwę, należy:

  1. Kliknąć Narzędzia > Menedżer NUW (lub wpisać CSStyle).

    W oknie dialogowym Opcje, nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Układu współrzędnych.
  2. Rozwinąć Nazwany.
  3. Wybrać układ współrzędnych i kliknąć Usuń lub Zmień nazwę.

    Można użyć funkcji Zmień nazwę, aby nazwać nienazwany układ współrzędnych. Nie można usunąć ani zmienić nazwy globalnego układu współrzędnych (GUW).

Aby ustawić tymczasowy prostopadły układ współrzędnych na ścianie sześcianu, należy:

  1. Kliknąć Narzędzia > Menedżer NUW (lub wpisać CSStyle).

    W oknie dialogowym Opcje, nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Układu współrzędnych.
  2. Rozwinąć Domyślne.
  3. Wybrać ścianę (Góra, Dół, Przód, Tył, Lewa strona lub Prawa strona) i kliknąć Aktywuj.
  4. W części Względem wybrać układ współrzędnych, do którego tymczasowy układ współrzędnych ma być względny.

Aby ustawić układy współrzędnych, należy:

  1. Kliknąć Narzędzia > Menedżer NUW (lub wpisać CSStyle).

    W oknie dialogowym Opcje, nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Układu współrzędnych.
  2. Rozwinąć Opcje.
  3. Ustawić opcje:
    • Aktualizuj widok po zmianie układu współrzędnych: Automatycznie wyświetla widok planu na układ współrzędnych w aktywnym wyświetlaniu sąsiadującym, gdy układ współrzędnych zmieni się.
    • Zapisz układ współrzędnych z konfiguracją widoku: Wymusza odzwierciedlanie aktywnego układu współrzędnych przez wszystkie wyświetlania sąsiadujące. W przeciwnym razie układy współrzędnych w innych wyświetlaniach sąsiadujących pozostają niezmienione.

Aby ustawić ikonę układu współrzędnych, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Ustawienia rysunku [image].
  5. Rozwinąć Wyświetlanie > Ikona układu współrzędnych.
  6. Ustawić opcje:
    • Wyświetl ikony: Wyświetla ikonę układu współrzędnych.
    • Wyświetl ikony na początku: Wyświetla ikonę układu współrzędnych w początku (0,0,0) aktywnego układu współrzędnych. Jeżeli początek układu współrzędnych leży poza wyświetlaczem, ikona układu współrzędnych jest wyświetlana w lewym dolnym narożniku widoku.
    • Zastosuj zmiany dla wszystkich aktywnie wyświetlanych widoków: Określa, czy ustawienia ikony układu współrzędnych stosują się się do wszystkich aktywnych widoków, czy tylko do aktywnego.

Dostęp

Polecenie: CSStyle

Menu: Narzędzia > Menedżer NUW

Tematy pokrewne

Ustawianie niestandardowych układów współrzędnych

Określanie współrzędnych i używanie układów współrzędnych


Określanie układu współrzędnych dla widoku planu

Polecenie PlanView pozwala ustawiać widok planu na bieżący układ współrzędnych (bieżącą płaszczyznę konstrukcyjną), poprzednio zapisany niestandardowy układ współrzędnych (NUW) lub globalny układ współrzędnych (GUW).

Aby określić układ współrzędnych dla widoku planu, należy:

  1. Wpisać PlanView w wierszu poleceń.
  2. Wpisać opcję, aby określić układ współrzędnych:
    • Aktywny NUW: Ustawia widok planu na aktywny układ współrzędnych.
    • NUW: Ustawia widok planu na poprzednio zapisany niestandardowy układ współrzędnych (NUW). Wpisać nazwę NUW lub określić opcję ?, aby wyświetlić listę nazwanych układów współrzędnych.
    • Globalny: Ustawia widok planu na globalny układ współrzędnych (GUW).

Aby wymusić automatyczne ustawianie widoku na widok planu przy każdej zmianie układu współrzędnych, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym kliknąć Ustawienia rysunku [image] .
  5. Rozwinąć Układ współrzędnych > Opcje.
  6. Wybrać Uaktualnij widok po zmianie układu współrzędnych.
  7. Kliknąć OK.

Dostęp

Polecenie: PlanView


Używanie metod i narzędzi rysowania

Poniższe metody i narzędzia rysowania służą do tworzenia elementów rysunku:

  • Określanie opcji szkicowania
  • Ustawianie przyciągania
  • Wyświetlanie siatki
  • Ustawianie trybu ortogonalnego
  • Przełączanie pomiędzy izometrycznymi siatkami przyciągania
  • Używanie przyciągania elementów
  • Zrozumienie trybów przyciągania elementów
  • Wyświetlanie znaków przyciągania elementów
  • Używanie prowadnic biegunowych
  • Zmienianie kolejności wyświetlania elementów


Określanie opcji szkicowania

Polecenie DraftingOptions służy do konfigurowanie środowiska rysunku, w tym również przyciągania elementów, przyciągania, wyświetlania siatki, uchwytów elementów i wyboru elementów.

Aby ustawić narzędzia szkicowania i preferencje, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Kontrola wskaźnika, Wyświetlanie lub Wybór elementów, aby ustawić narzędzia szkicowania i preferencje.

Aby ustawić przyciągania elementów, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Kontrola wskaźnika > Przyciągania elementów.
  3. Wybrać Włącz przyciągania elementów (ESnaps), aby włączyć lub wyłączyć użycie przyciągań elementów.
  4. Wybrać Geometria przyciągania elementów i Odniesienie przyciągania elementów, dzięki czemu nie będzie konieczne ich wywoływanie podczas rysowania. Patrz temat Zrozumienie trybów przyciągania elementów.

Aby ustawić opcje przyciągania, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Kontrola wskaźnika > Ustawienia przyciągania.
  3. Wybrać Włącz przyciąganie, aby włączyć lub wyłączyć przyciąganie.
  4. W części Typ ustawić:
    • Standard (przyciągnie do siatki): Powoduje, że wskaźnik jest przyciągany do punktów w określonych odstępach poziomych i pionowych.
    • Promieniowy (RSnap): Powoduje, że wskaźnik jest przyciągany do punktów wzdłuż wektora promieniowego. Aby ta funkcja działała, muszą być włączone prowadnice biegunowe.
  5. W części Odstępy ustawić:
    • Dopasuj odstępy siatki: Wymusza przyciąganie wskaźnika wzdłuż pionowych lub poziomych punktów siatki podczas określania punktów.
    • Odstępy poziome przyciągania: Ustawia odstępy poziome dla siatki przyciągania.
    • Odstępy pionowe skoku: Ustawia odstępy pionowe dla siatki przyciągania.
    • Dopasuj odstępy poziome: Przenosi wartość poziomych odstępów na wartość pionowych odstępów, dzięki czemu wyświetlanie siatki jest równomierne w kierunkach X i Y.
    • Odstępy RSnap: Określa odstępy podczas korzystania z przyciągania typu promieniowego.

Uwaga: Można dostosowywać ustawienia przyciągania i siatki dla każdego wyświetlania sąsiadującego.

Aby ustawić prowadnice śledzenia elementu, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Wyświetl > ETrack i ustawić:
    • Włącz śledzenie elementu (ETrack): Wyświetla ortogonalne (poziome i pionowe) prowadnice śledzenia, gdy wskaźnik przemieszcza się nad punktami przyciągania elementów. (Prowadnice przyciągania elementów muszą być włączone).
    • Wyświetl prowadnice ETrack w poprzek ekranu: Wyświetla prowadnice śledzenia. (Prowadnice przyciągania elementów muszą być włączone). Gdy opcja nie jest zaznaczona, wyświetlane są ścieżki śledzenia pomiędzy lokalizacją przyciągania elementów i pozycją wskaźnika.
    • Włącz wyświetlanie punktów przenikania klawiszem Shift: Wyświetla prowadnice śledzenia, gdy klawisz Shift jest wciśnięty, a wskaźnik przemieszcza się nad punktem przyciągania elementów.

Aby ustawić prowadnice biegunowe, należy:

  • Patrz temat: Używanie prowadnic biegunowych.

Aby dokonać ustawień siatki, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Wyświetl > Ustawienia siatki:
  3. Wybrać Włącz siatkę, aby włączyć lub wyłączyć wyświetlanie wzoru równomiernie rozmieszczonych kropek, które służą jako wizualne odniesienie odległości.
  4. W części Orientacja ustawić:
    • Prostokątna: Orientuje siatkę przyciągania i wyświetlanie siatki prostopadle.
    • Izometryczna: Orientuje siatkę przyciągania i wyświetlanie siatki pod kątem 60°.
  5. W części Odstępy ustawić:
    • Dopasuj odstępy przyciągania: Ustawia odstępy siatki, dopasowując je do ustawień przyciągania.
    • Odstępy wyświetlania poziomego: Ustawia odstępy poziome siatki.
    • Odstępy wyświetlania pionowego: Ustawia odstępy pionowe siatki.
    • Dopasuj odstępy poziome: Przenosi wartość poziomych odstępów na wartość pionowych odstępów, dzięki czemu wyświetlanie siatki jest równomierne w kierunkach X i Y.

Aby dokonać ustawień szkicowania, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Wyświetl > Znaki wskaźnika i ustawić:
    • Wyświetl znaki przyciągania elementów: Wyświetla znaczniki przyciągania elementów, gdy wskaźnik napotka punkty przyciągania elementów. Podświetlenie ukazuje Tryb przyciągania elementów, jaki można zastosować. Można również ustawić kolor znaków.
    • Rozmiar znaku przyciągania elementów: Ustawia rozmiar wyświetlania znaczników przyciągania elementów.
  3. Rozwinąć Ramka grawitacyjna i ustawić:
    • Włącz grawitację przyciągania elementów: Przyciąga wskaźnik do punktu przyciągania elementu, gdy wskaźnik przemieści się w pobliże tego punktu.
    • Wyświetl ramkę grawitacji: Wyświetla ramkę wewnątrz wskaźnika krzyżykowego podczas przyciągania do elementu. Gdy punkty przyciągania znajdą się wewnątrz tej ramki, stają się kandydatami dla przyciągania elementów. Ustawić Rozmiar ramki grawitacji.

Aby ustawić metody wyboru elementów, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Wybór elementów > Ustawienia wyboru i ustawić:
    • Automatyczny wybór oknem/przecinający: Tworzy okno wyboru, gdy określono punkt na zewnątrz elementu.
    • Włącz wybór elementu przed poleceniami: Pozwala najpierw wybrać elementy, a następnie wydawać polecenia modyfikujące na zbiorze wskazań. Jeżeli elementy nie zostały jeszcze wybrane, pojawi się monit o podanie elementów. Aby skasować bieżący zbiór wskazań, należy nacisnąć Esc. Wstępny wybór nie ma żadnego wpływu na polecenia Split, Trim, Extend, Chamfer i Fillet.
    • Włącz relacje kreskowania/obwiedni: Wybiera elementy kreskowania i elementy obwiedni w przypadku wybrania skojarzonego kreskowania.
    • Włącz zbiory wskazań EGroup: Wybiera wszystkie elementy w grupie elementów w przypadku wybrania jednego elementu w tej grupie elementów.
    • Rozmiar ramki wyboru: Definiuje rozmiar wyświetlania ramki wyboru (wskaźnika używanego do wybierania elementów).

Aby podświetlanie wyboru elementów, należy:

  1. Wpisać DraftingOptions w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Preferencje użytkownika i rozwinięcie Opcji szkicowania.
  2. Rozwinąć Wybór elementów > Podświetlenie wstępnego wyboru i ustawić:
    • Gdy zgłoszone do konkretnych elementów lub punktów: Podgląd wyborów, gdy polecenie jest aktywne i wyświetla monit o określenie elementów.
    • Pomiędzy poleceniami: Podgląd wyborów, gdy nie są aktywne żadne polecenia.

Aby ustawić preferencje uchwytów elementu (EGrips), należy:

  • Patrz: Ustawianie preferencji uchwytów elementu.

Dostęp

Polecenie: DraftingOptions

Tematy pokrewne

Używanie przyciągania elementów

Modyfikowanie przy użyciu uchwytów elementu

Używanie prowadnic biegunowych

Ustawianie formatu punktu


Ustawianie przyciągania

Siatka przyciągania to niewidoczna siatka w obszarze graficznym. Gdy przyciąganie jest uaktywnione, wskaźnik wybiera tylko punkty znajdujące się bezpośrednio na siatce przyciągania. Podczas wskazywania na rysunku punkty początkowe, punkty końcowe, punkty środkowe i inne określone punkty leżą dokładnie na punktach siatki przyciągania.

Polecenie Snap służy do określania odległości pomiędzy punktami przyciągania. Siatka przyciągania jest zgodna z osiami bieżącego układu współrzędnych.

Można również użyć izometrycznego stylu przyciągania. Izometrycznego przyciągania należy używać podczas tworzenia izometrycznych rysunków 2D, które przedstawiają elementy 3D.

Aby włączyć lub wyłączyć przyciąganie, należy:

  • Kliknąć Przyciąganie na pasku stanu.
  • - lub -
  • Nacisnąć klawisz F9.
  • Nacisnąć klawisz F9.
  • Nacisnąć klawisz Fn + F9.

Aby ustawić przyciąganie, należy:

  1. Wpisać Snap w wierszu poleceń.
  2. Aby określić odstępy przyciągania, należy wpisać liczbę dodatnią lub wybrać dwa punkty, które odzwierciedlają odstępy przyciągania.

    Zwykle siatka przyciągania pokrywa się z wyświetlaną siatką zdefiniowaną poleceniem Grid. Inną metodą jest ustawienie siatki przyciągania jako ułamek wyświetlanej siatki.
  3. Aby włączyć lub wyłączyć przyciąganie, należy określić opcję Wł. lub Wył..
  4. Ustawić odstępy X i Y siatki przyciągania poprzez określenie opcji Odstępy i określenie dla odstępów poziomych i pionowych.
  5. Określić opcję Styl siatki i wybrać:
    • Izometryczna: Ustawia izometryczną siatkę przyciągania, wyrównaną wzdłuż linii pod kątem 30, 90 i 150 stopni względem osi poziomej. Określić pionowe odstępy dla izometrycznej siatki przyciągania, gdy pojawi się monit. W przeciwieństwie do przyciągania prostokątnego, w przyciąganiu izometrycznym nie mogą występować różne wartości Odstępów. Polecenie IsometricGrid służy do określania aktywnej płaszczyzny izometrycznej, na której ma nastąpić rysowanie (lewa, górna lub prawa).
    • Prostokątna: Ustawia ortogonalną siatkę przyciągania wyrównaną równolegle do osi X i Y bieżącego układu współrzędnych.
  6. Określić opcję Orientacja, aby ustawić typ przyciągania i wybrać:
    • Siatka: Przełącza na standardowe przyciąganie.
    • Promieniowy: Promieniowa siatka przyciągania wyrównana jest wzdłuż przyrostów kąta biegunowego. Określić odstępy przyciągania promieniowego.

Aby określić punkt bazowy siatki przyciągania różny od początku globalnego układu współrzędnych (GUW), należy utworzyć układ współrzędnych przy użyciu polecenia CCS. Polecenie CCS pozwala również na obracanie siatki przyciągania.

Dostęp

Polecenie: Snap

Skrót klawiaturowy: F9 przełącza tryb przyciągania

Skrót klawiaturowy: F9 przełącza tryb przyciągania

Skrót klawiaturowy: Fn + F9 przełącza tryb przyciągania

Pasek stanu: Przyciąganie (kliknięcie prawym przyciskiem myszy wyświetla ustawienia)

Tematy pokrewne

Wyświetlanie siatki

Przełączanie pomiędzy izometrycznymi siatkami przyciągania

Ustawianie niestandardowych układów współrzędnych

Zarządzanie niestandardowymi układami współrzędnych


Wyświetlanie siatki

Polecenie Grid służy do wyświetlania punktowej siatki służącej do wizualizacji odległości, kątów i relacji elementów. Siatka nie jest drukowana ani kreślona.

Aby ustawić wyświetlanie siatki, należy:

  1. Wpisać Grid w wierszu poleceń.
  2. Wpisać wartość odstępu lub określić opcje:
    • Granice rysunku: Wyświetla siatkę poza obszarem określonym przez granice rysunku. Określić opcję Tak, aby wyświetlać siatkę poza obszarem granic rysunku.
    • Przyciąganie: Ustawia odstępy siatki na bieżące odstępy przyciągania.
    • Wył.: Wyłącza siatkę.
    • Wł.: Włącza siatkę przy użyciu bieżących odstępów przyciągania.
    • Odstępy: Pozwala określić odstępy poziome i pionowe.

Dostęp

Polecenie: Grid

Skrót klawiaturowy: F7

Skrót klawiaturowy: F7

Skrót klawiaturowy: Fn + F7

Pasek stanu: Siatka (kliknięcie prawym klawiszem myszy wyświetla ustawienia)

Tematy pokrewne

Ustawianie przyciągania

Ustawianie obwiedni rysunku

Określanie jednostek i precyzji


Ustawianie trybu ortogonalnego

Tryb ortogonalny ogranicza ruchy wskaźnika do kierunków równoległych do osi bieżącego układu współrzędnych Można wprowadzać tylko punkty usytuowane równolegle do tych osi. Tryb ortogonalny ułatwia projektowanie i umieszczanie linii równoległych lub współliniowych w elementach. W standardowym globalnym układzie współrzędnych (GUW) linie prostopadłe biegną poziomo lub pionowo z punktu bazowego.

Tryb ortogonalny jest skuteczny tylko podczas wskazywania w obszarze graficznym przy użyciu wskaźnika. Tryb ortogonalny nie uniemożliwia wprowadzania punktów nieortogonalnych przy użyciu klawiatury.

Aby włączyć lub wyłączyć tryb ortogonalny, należy:

  1. Wpisać Ortho w wierszu poleceń (lub kliknąć Orto na pasku stanu).
  2. Określić opcję:
    • Tak: Włącza tryb ortogonalny.
    • Nie: Wyłącza tryb ortogonalny.

- lub -

  • Kliknąć Orto w pasku stanu.

- lub -

  • Nacisnąć klawisz F8.
  • Nacisnąć klawisz F8.
  • Nacisnąć klawisz Fn + F8.

Dostęp

Polecenie: Ortho

Skrót klawiaturowy: F8

Skrót klawiaturowy: F8

Skrót klawiaturowy: Fn + F8

Pasek stanu: Orto

Tematy pokrewne

Ustawianie przyciągania


Przełączanie pomiędzy izometrycznymi siatkami przyciągania

Podczas tworzenia rysunków izometrycznych można przełączać pomiędzy trzema izometrycznymi siatkami przyciągania: lewą, górną i prawą.

Aby przełączyć pomiędzy izometrycznymi siatkami przyciągania, należy:

  1. Upewnić się, że tryb przyciągania jest włączony, a styl przyciągania jest ustawiony jako Izometryczny.
  2. Wpisać IsometricGrid w wierszu poleceń lub nacisnąć F5.
  3. Wpisać IsometricGrid w wierszu poleceń lub nacisnąć F5.
  4. Wpisać IsometricGrid w wierszu poleceń lub nacisnąć Fn + F5.
  5. Określić opcję:
    • Lewa strona: Wyrównuje siatkę przyciągania wzdłuż płaszczyzny lewej zdefiniowanej przez parę osi 90° i 150°.
    • Prawa strona: Wyrównuje siatkę przyciągania wzdłuż płaszczyzny prawej zdefiniowanej przez parę osi 90° i 30°.
    • Góra: Wyrównuje siatkę przyciągania wzdłuż płaszczyzny górnej zdefiniowanej przez parę osi 30° i 150°.

    Tryb prostopadły wyrównuje wzdłuż osi izometrycznych określonych przez wybraną płaszczyznę. Trzy osie izometryczne to 30°, 90° oraz 150°.

Dostęp

Polecenie: IsometricGrid

Skrót klawiaturowy: F5

Skrót klawiaturowy: F5

Skrót klawiaturowy: Fn + F5

Tematy pokrewne

Ustawianie przyciągania


Używanie przyciągania elementów

Przyciąganie elementów (ESnaps) służy do wykrywania i przyciągania do punktów na elementach rysunku, takich jak np. punkty końcowe, przecięcia i punkty środkowe. Przyciąganie do punktu zapewnia dokładną pozycję dla poleceń rysowania i edytowania.

Określenie trybów przyciągania elementów pozwala ustawiać opcje przyciągania. Na przykład może zachodzić potrzeba przyciągania do punktów przecięcia elementów. Tryby przyciągania elementów można stosować na stałe lub dla pojedynczej operacji.

Tryby przyciągania elementów nie są stosowane uniwersalnie. Na przykład nie można zdefiniować punktu końcowego okręgu. Podobnie segment linii nie posiada punktu środka. Jednakże element rysunku może zawierać wiele punktów, które spełniają kryteria trybu przyciągania elementów. Na przykład element liniowy lub łuk zawsze posiada dwa punkty końcowe. W takich przypadkach funkcja przyciągania elementów identyfikuje najbliższe możliwe punkty. Wskaźnik należy zawsze umieszczać jak najbliżej żądanego punktu.

O przyciąganiu wskaźnika do punktu decydują:

  • Typ elementu rysunku
  • Wybrany tryb przyciągania elementów
  • Określony punkt na wybranym elemencie

Poniższa ilustracja ukazuje relację pomiędzy wybranym punktem ( [image]) a punktem przyciągania ( [image]).

Aby użyć przyciągania elementów, gdy pojawi się monit o wybranie punktu, należy:

  1. Wywołać polecenie lub funkcję, która wymaga wybrania punktu.
  2. Kliknąć prawym przyciskiem myszy i kliknąć Zmiany przyciągania elementów, a następnie wybrać ESnap.

    - lub -

    Wpisać skrót trybu przyciągania elementów.
  3. Przemieścić wskaźnik w kierunku elementu, gdzie ma być użyte przyciąganie elementów.

    Znak przyciągania elementów pojawi się na elemencie, zgodnie z wybranym trybem przyciągania elementów.

Aby zastosować na przykład funkcję przyciągania elementów „end”:

: LINE
Określ punkt początkowy» <kliknąć w obszarze graficznym>
Określ następny punkt»end
z: <wskazać element rysunku>
Określ następny punkt»

Aby ustawić przyciąganie elementów na stałe, należy:

  1. Kliknąć prawym przyciskiem myszy przycisk ESnap na pasku stanu i kliknąć Ustawienia.

    - lub -

    Wpisać EntitySnap w wierszu poleceń.

    - lub -
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Kontrola wskaźnika > Przyciąganie elementów.
  3. Kliknąć Narzędzia > Opcje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Kontrola wskaźnika > Przyciąganie elementów.
  4. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Kontrola wskaźnika > Przyciąganie elementów.
  5. W oknie dialogowym wybrać Włącz przyciągania elementów.
  6. W części Geometria przyciągania elementów i Odniesienie przyciągania elementów wybrać tryby przyciągania elementów, które należy zastosować.

    Wybrane tryby zostaną uaktywnione na stałe. Można zawiesić przyciągania elementów poprzez wpisanie non, gdy pojawi się monit o wybranie punktu.

Tematy pokrewne

Ustawianie przyciągań elementów

Zrozumienie trybów przyciągania elementów


Zrozumienie trybów przyciągania elementów

Przykład | Tryb przyciągania elementów | Skrót | Znacznik | Opis
 | Środek | cen |  | Przyciąga do środka okręgu, elipsy, pierścienia lub łuku.
 | Punkt końcowy | end |  | Przyciąga do punktu końcowego linii, łuku lub innego elementu. Płaszczyzny lub krawędzie brył są również interpretowane jako linie, a punkty końcowe płaszczyzn i brył mogą być rozpoznawane w trybie Punkt końcowy. Tryb ten nie rozróżnia pomiędzy punktem początkowym i końcowym elementu.
 | Wydłużenie | ext | – | Przyciąga do wydłużenia elementu lub do przecięcia wydłużenia dwóch elementów. Tymczasowa linia lub łuk wydłużenia są wyświetlane linią kropkową, gdy wskaźnik znajdzie się nad punktem końcowym elementów i pozwala na określenie punktu dla wydłużenia. Aby przyciągać do wydłużenia dwóch elementów, w pierwszej kolejności należy przenieść wskaźnik na punkt końcowy elementu. Element zostanie oznaczony do wydłużenia. Następnie przenieść wskaźnik na punkt końcowy innego elementu. Ten element również zostanie oznaczony. Na koniec przenieść wskaźnik w pobliże przecięcia wydłużeń. X oznacza przecięcie. Kliknąć, aby zaakceptować przyciąganie.
 | Punkt wstawienia | ins |  | Przyciąga do punktu wstawienia bloku, atrybutu lub elementu tekstowego.
 | Przecięcie | int |  | Przyciąga do punktów przecięcia linii, łuków i okręgów lub dowolnej ich kombinacji.
 | Symetria | mid |  | Przyciąga do punktu symetrii linii lub łuku. Płaszczyzny lub krawędzie brył są również interpretowane jako linie i możliwe jest przyciąganie do nich w trybie Symetrii.
 | Węzeł | nod |  | Przyciąga do elementu punktowego, punktu definicji wymiaru lub początku tekstu wymiaru.
 | Najbliższe | nea |  | Przyciąga do następnego pobliskiego punktu elementu, gdy co najmniej jeden punkt elementu leży w obrębie ramki grawitacji. W przypadku wybrania punktu bez użycia trybu Najbliższe wybrany punkt może nie znajdować się na żądanym elemencie. Tryb ten zapewnia, że elementy mają punkt wspólny z określonym elementem.
 | Równoległy | par |  | Wymusza równoległość elementu liniowego do innego elementu liniowego. Gdy pojawi się monit o określenie drugiego lub następnego punktu podczas rysowania wektora, należy przenieść wskaźnik na istniejący element liniowy, aż pojawi się znacznik przyciągania elementów Równoległy. Przenieść wskaźnik w pobliże pozycji równoległej. Pojawi się linia kropkowa oznaczająca równoległe przyciąganie elementów. Kliknąć drugi punkt linii równoległej.
 | Prostopadłe | per |  | Wymaga wybrania punktu początkowego dla funkcji. Uaktywnienie trybu przyciągania elementów kojarzy ten punkt z punktem przyciągania. Na przykład wybrać punkt końcowy dla prostopadłości i nastąpi uaktywnienie trybu Prostopadłego. Wynikiem jest linia prostopadła do wybranego elementu wychodząca z jego punktu końcowego.
 | Kwadrant | qua |  | Przyciąga do najbliższego kwadrantu okręgu lub łuku. Kwadranty odnoszą się do punktów na obwodzie okręgu lub łuku, w pozycjach 0°, 90°, 180° oraz 270°. Są to punkty przecięcia osi układu współrzędnych, którego początek leży w środku okręgu lub łuku, z obwodem tego okręgu lub łuku. Przyciąganie jest możliwe tylko do następnego widocznego kwadrantu łuku.
 | Styczna | tan |  | Wymaga wybrania punktu początkowego dla funkcji. Uaktywnienie trybu przyciągania elementów kojarzy ten punkt z punktem przyciągania. Na przykład: aby utworzyć linię styczną do okręgu, należy wybrać punkt końcowy dla stycznej linii; nastąpi wówczas uaktywnienie trybu Stycznego. Wynikiem jest linia styczna do wybranego elementu wychodząca z jego punktu końcowego.
 | Przecięcie wizualne | appint |  | Przyciąga do lokalizacji w widoku planu bieżącego układu współrzędnych, w której dwa elementy przecięłyby się, gdyby zostały rzutowane na widok planu. W przestrzeni 3D tryb Przecięcia wizualnego przyciąga do dwóch elementów, które mogą się faktycznie przecinać lub nie, natomiast w szkicowaniu 2D przyciąganie następuje do rzutowanego przecięcia dwóch elementów liniowych. Jeżeli Ramka grawitacji obejmuje tylko jeden element rysunku podczas przyciągania, pojawi się monit o wybranie drugiego elementu.

Tematy pokrewne

Używanie przyciągania elementów

Ustawianie przyciągań elementów


Ustawianie przyciągań elementów

Polecenie EntitySnaps (ESnaps) służy do wykrywania i przyciągania do punktów o znaczeniu geometrycznym, znajdujących się w elementach rysunku, takich jak np. punkty końcowe, przecięcia i punkty środkowe. Przyciąganie do znaczącego punktu zapewnia dokładną pozycję dla poleceń rysowania i edytowania.

Aby ustawić przyciągania elementów, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Kontrola wskaźnika > Przyciąganie elementów (lub wpisać EntitySnap).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Kontrola wskaźnika > Przyciąganie elementów (lub wpisać EntitySnap).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Opcje), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Kontrola wskaźnika > Przyciąganie elementów (lub wpisać EntitySnap).
  4. Wybrać Włącz przyciągania elementów (ESnaps).
  5. W części Geometria przyciągania elementów i Odniesienie przyciągania elementów wybrać tryby przyciągania elementów, dzięki czemu nie będzie konieczne ich wywoływanie podczas rysowania.
  6. Kliknąć OK.

Dostęp

Polecenie: EntitySnap

Tematy pokrewne

Używanie przyciągania elementów

Zrozumienie trybów przyciągania elementów

Wyświetlanie znaków przyciągania elementów

Określanie opcji szkicowania

-ESnap (wariant okna poleceń)


Wyświetlanie znaków przyciągania elementów

Znaki przyciągania elementów (ESnaps) pomagają wykrywać znaczące punkty geometryczne w elementach rysunku poprzez wyświetlenie symboli i etykietek narzędzi podczas przemieszczania wskaźnika nad punktami przyciągania elementów. Znaki przyciągania elementów działają bezpośrednio z bieżącymi przyciąganiami elementów – można skonfigurować, które tryby przyciągania elementów są stosowane.

Gdy wskaźnik przemieści punkt końcowy segmentu linii do ramki przyciągania wskaźnika, wyświetlony zostanie kwadrat identyfikujący aktywne przyciąganie elementu i jego lokalizację. Wyświetlana jest również etykietka narzędzia Punkt końcowy nazywająca odpowiednie przyciąganie elementu.

Znaki przyciągania elementów są wyświetlane, gdy aktywne są polecenia, które wymagają wybrania punktu. Tylko jedno przyciąganie elementu działa dla dowolnej danej pozycji wskaźnika, z wyjątkiem przyciągania elementu Środek, gdzie fragment samego okręgu musi znajdować się wewnątrz ramki przyciągania wskaźnika. Jeżeli w zasięgu znajduje się więcej niż jeden punkt przyciągania elementu, priorytetowy jest najbliższy punkt. Gdy wskaźnik przemieści się bliżej innego punktu przyciągania elementu, znak przyciągania elementów zmieni się odpowiednio do drugiego punktu przyciągania.

Aby włączyć lub wyłączyć znaki przyciągania elementów, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Preferencje użytkownika
  5. Rozwinąć Opcje szkicowania > Wyświetlanie > Znaki wskaźnika.
  6. Wybrać lub odznaczyć Wyświetl znaki przyciągania elementów.
  7. Kliknąć OK.

Aby ustawić kolor znaków przyciągania elementów, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Preferencje użytkownika
  5. Rozwinąć Opcje szkicowania > Wyświetlanie > Znaki wskaźnika.
  6. Wybrać kolor na liście kolorów linii.
  7. Kliknąć OK.

Aby ustawić rozmiar znaków przyciągania elementów, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Preferencje użytkownika
  5. Rozwinąć Opcje szkicowania > Wyświetlanie > Znaki wskaźnika.
  6. Przesunąć suwak Rozmiar znaku przyciągania elementów, aby ustawić rozmiar ramki przyciągania wskaźnika.
  7. Kliknąć OK.

Tematy pokrewne

Używanie przyciągania elementów

Zrozumienie trybów przyciągania elementów

Określanie ustawień szkicowania


Używanie prowadnic biegunowych

Prowadnice biegunowe służą do rysowania pod dokładnymi kątami i w ustalonych odstępach, poczynając od pozycji godziny 3. (czyli kierunek wschodni) oraz z dodatkowymi przyrostami kąta.

Wyświetlana jest linia ścieżki, jeżeli ramka wyboru przecina punkt geometryczny, a wskaźnik zbliża się do jednego z kątów prowadnic biegunowych.

Aby włączyć lub wyłączyć prowadnice biegunowe, należy:

  • Kliknąć Biegunowe na pasku stanu.
  • - lub -
  • Nacisnąć klawisz F10.
  • Nacisnąć klawisz F10.
  • Nacisnąć klawisz Fn + F10.

Aby wyregulować ustawienia prowadnic biegunowych, należy:

  1. Kliknąć prawym przyciskiem myszy Biegunowe na pasku stanu i kliknąć Ustawienia.
  2. - lub -
  3. Kliknąć Narzędzia > Opcje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetl > Prowadnice biegunowe.
  4. Kliknąć Narzędzia > Opcje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetl > Prowadnice biegunowe.
  5. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options), kliknąć Preferencje użytkownika [image], a następnie rozwinąć Opcje szkicowania > Wyświetl > Prowadnice biegunowe.
  6. Aby włączyć prowadnice biegunowe, należy wybrać Włącz prowadnice biegunowe (Polar). Opcja ta stosuje ustawienia prowadnic biegunowych do wskaźników przyciągania elementów. Prowadnice są wyświetlane wzdłuż kątów wyrównania biegunowego od punktów przyciągania elementów (jeżeli ETrack jest włączone).
  7. Aby wyświetlić prowadnice biegunowe, należy wybrać Wyświetl prowadnice biegunowe. Opcja ta wyświetla ścieżki wyrównania.
  8. W części Przyrostowe kąty do wyświetlania prowadnicy biegunowej wybrać przyrost kąta do wyświetlania i stosowania prowadnic biegunowych.
  9. Opcjonalnie można wybrać lub usunąć zaznaczenie opcji Wyświetl prowadnice biegunowe przy określonych kątach i kliknąć:
    • Dodaj, aby określić indywidualne wartości przyrostów kąta do użycia prowadnic biegunowych.
    • Usuń, aby usunąć określone indywidualne wartości z listy.
  10. Kliknąć OK.

Dostęp

Skrót klawiaturowy: F10

Skrót klawiaturowy: F10

Skrót klawiaturowy: Fn + F10

Pasek stanu: Biegunowe (kliknięcie prawym przyciskiem myszy wyświetla ustawienia)

Tematy pokrewne

Określanie opcji szkicowania


Śledzenie i ustawianie punktów wnioskowania

Podczas uruchamiania polecenia można ustawić tymczasowe punkty, do których można się później odnosić podczas działania polecenia. Jest to użyteczne w procesie konstruowania, dzięki ustawieniu punktów wnioskowania, które są związane z geometrią innych elementów rysunku.

Pomimo że punkty tymczasowe można swobodnie ustawiać podczas wykonywania polecenia (patrz pierwsza sekwencja poleceń poniżej), ustawienie tych punktów odniesienia jest stosowane praktycznie w połączeniu z aktywnymi funkcjami Śledzenie biegunowe oraz Przyciąganie elementów (patrz druga sekwencja poleceń).

Aby ustawić tymczasowe punkty odniesienia, należy:

  1. Uruchomić polecenie wymagające wprowadzenia punktu, takie jak polecenie Line lub PolyLine.
  2. Po pojawieniu się monitu o określenie punktu należy
    • Wpisać tt i nacisnąć Enter.
    • Wpisać rp i nacisnąć Enter.
    • - lub -
    • kliknąć prawym przyciskiem myszy i wybrać Zmiany Przyciągania elementów > Punkt wnioskowania z menu kontekstowego.
  3. Określić punkt tymczasowy.
  4. Zostanie wstawiony węzeł na warstwie DEFPOINTS.
  5. Jeśli to konieczne, należy powtórzyć krok 2 i 3, aby ustawić więcej tymczasowych punktów.
  6. Kontynuując kreślenie, aby przyciągać do tymczasowych punktów, należy użyć opcji Węzeł przyciągania elementów.

Aby ustawić tymczasowe punkty wnioskowania, stosując śledzenie i przyciągania elementów, należy:

  1. Upewnić się, że przyciąganie elementów jest włączone.
  2. Kliknięcie ESnap w pasku stanu lub naciśnięcie klawisza F3 włącza i wyłącza działanie przyciągania elementów.
  3. Kliknięcie ESnap w pasku stanu lub naciśnięcie klawisza F3 włącza i wyłącza działanie przyciągania elementów.
  4. Kliknięcie ESnap w pasku stanu lub naciśnięcie klawisza Fn + F3 włącza i wyłącza działanie przyciągania elementów.
  5. Upewnić się, że ustawiono działające tryby przyciągania elementów, między innymi tryb Węzeł.
  6. Kliknąć prawym przyciskiem myszy ESnap w pasku stanu, wybrać Ustawienia z menu podręcznego i ustawić tryby przyciągania elementów w oknie dialogowym Opcje - Preferencje użytkownika.
  7. Upewnić się, że śledzenie biegunowe i/lub śledzenie elementu jest włączone.
  8. Kliknięcie Biegunowe w pasku stanu lub naciśnięcie klawisza F10 włącza i wyłącza śledzenie biegunowe.
  9. Kliknięcie Biegunowe w pasku stanu lub naciśnięcie klawisza F10 włącza i wyłącza śledzenie biegunowe.
  10. Kliknięcie Biegunowe w pasku stanu lub naciśnięcie klawisza Fn + F10 włącza i wyłącza śledzenie biegunowe.
  11. Kliknięcie ETrack w pasku stanu lub naciśnięcie klawisza F11 włącza i wyłącza śledzenie elementów.
  12. Kliknięcie ETrack w pasku stanu lub naciśnięcie klawisza F11 włącza i wyłącza śledzenie elementów.
  13. Kliknięcie ETrack w pasku stanu lub naciśnięcie klawisza Fn + F11 włącza i wyłącza śledzenie elementów.
  14. Uruchomić polecenie wymagające wprowadzenia punktu, takie jak polecenie Line lub PolyLine.
  15. Po pojawieniu się monitu o określenie punktu, należy
    • Wpisać tt i nacisnąć Enter.
    • Wpisać rp i nacisnąć Enter.
    • - lub -
    • kliknąć prawym przyciskiem myszy i wybrać Zmiany Przyciągania elementów > Punkt wnioskowania z menu kontekstowego.
  16. Przemieścić kursor nad znaczący punkt elementu, do którego można zastosować działające przyciąganie elementów.
  17. Przemieścić kursor w lewo lub w prawo (w górę lub w dół), aż pojawi się prowadnica śledzenia.
  18. Przemieścić kursor nad inny znaczący punkt elementu, do którego można zastosować działające przyciąganie elementów.
  19. Przemieścić kursor w górę lub w dół (w lewo lub w prawo), aż pojawi się prowadnica śledzenia.
  20. Przemieścić kursor w pobliże wirtualnego przecięcia poprzednio wykrytych prowadnic śledzenia, aż pojawią się krzyżujące się prowadnice śledzenia.
  21. Kliknąć, aby ustawić tymczasowy punkty odniesienia w tym przecięciu.
  22. Zostanie wstawiony węzeł na warstwie DEFPOINTS.
  23. Jeśli to konieczne, należy powtórzyć krok 5 i 7, aby ustawić więcej tymczasowych punktów.
  24. Kontynuując kreślenie, aby przyciągać do ustawionych tymczasowych punktów odniesienia, należy użyć opcji Węzeł przyciągania elementów.

Opcję Węzeł przyciągania elementów należy uaktywnić na stałe, gdy chcemy stosować punkty wnioskowania przy użyciu polecenia.

Dostęp

Opcja polecenia: tt

Opcja polecenia: rp

Menu kontekstowe: Zmiany Przyciągania elementów > Punkt wnioskowania

Tematy pokrewne

Używanie przyciągania elementów

Zrozumienie trybów przyciągania elementów

Ustawianie przyciągań elementów

Używanie prowadnic biegunowych


Zmienianie kolejności wyświetlania elementów

Polecenie DisplayOrder zmienia kolejność rysowania i kreślenia dla dowolnego elementu w bazie danych rysunku. Można przenosić elementy „na wierzch” lub „do tyłu” w kolejności sortowania. Można również porządkować elementy względem innych elementów, czyli powyżej lub poniżej wybranego elementu.

Aby zmienić kolejność wyświetlania elementów, należy:

  1. Kliknąć Narzędzia > Kolejność wyświetlania i określić sposób zmiany kolejności elementów (lub wpisać DisplayOrder).
    • Przesuń na wierzch: Przenosi określone elementy na górę kolejności rysowania. Określony element stanie się ostatnim rysowanym elementem w rysunku.
    • Przesuń do tyłu: Przenosi określone elementy na dół kolejności rysowania. Określony element stanie się pierwszym rysowanym elementem w rysunku.
    • Przesuń nad elementy: Przenosi określone elementy ponad określone elementy odniesienia.
    • Przesuń pod elementy: Przenosi określone elementy pod określone elementy odniesienia.
  2. W obszarze graficznym wybrać elementy.
  3. Nacisnąć Enter.

Dostęp

Polecenie: DisplayOrder

Menu: Narzędzia > Kolejność wyświetlania

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Badanie i obliczanie

Poniższe funkcje służą do szybkiego badania takich informacji jak: współrzędne, odległości pomiędzy dwoma punktami, całkowity obszar elementów, szczegóły elementów:

  • Identyfikowanie współrzędnych
  • Mierzenie odległości
  • Obliczanie obszarów
  • Wyszczególnianie informacji o elemencie
  • Używanie inteligentnego kalkulatora
  • Wywoływanie standardowego kalkulatora systemu operacyjnego


Identyfikowanie współrzędnych

Polecenie GetXY służy do określania współrzędnych punktu. GetXY może być używane jako polecenie transparentne.

Aby zidentyfikować współrzędne punktu, należy:

  1. Kliknąć Narzędzia > Zapytanie > Pobierz współrzędne (lub wpisać GetXY).
  2. W obszarze graficznym wybrać punkt do zidentyfikowania.

    Współrzędne zostaną wyświetlone w oknie poleceń.

Jeżeli punkt do zidentyfikowania jest punktem o znaczeniu geometrycznym, na przykład punktem początkowym lub końcowym elementu rysunku, należy użyć przyciągań elementów.

Dostęp

Polecenie: GetXY

Menu: Narzędzia > Zapytanie > Pobierz współrzędne

Tematy pokrewne

Mierzenie odległości

Obliczanie obszaru

Wyszczególnianie informacji o elemencie

Transparentne użycie poleceń

Używanie przyciągania elementów


Mierzenie odległości

Polecenie GetDistance służy do mierzenia odległości lub kątów pomiędzy dwoma punktami. Polecenie to może być używane jako polecenie transparentne. Punkty mogą być dowolne i nie muszą stanowić części rysunku.

Aby zmierzyć odległość pomiędzy punktami, należy:

  1. Kliknąć Narzędzia > Zapytanie > Pobierz odległość (lub wpisać GetDistance).
  2. W obszarze graficznym wybrać dwa punkty, pomiędzy którymi ma być wykonany pomiar.

    Zostaną wyświetlone wynikowe pomiary:

    Odległość = <n>, Kąt w płaszczyźnie XY = <n>, Kąt względem płaszczyzny XY= <n>
    Delta X = <n>, Delta Y = <n>, Delta Z = <n>

    Odległość: Mierzy bezwzględną odległość pomiędzy punktami.

    Kąt w płaszczyźnie XY: Mierzy kąt do drugiego punktu, począwszy od osi X. Pomiar wyświetla kąt o mniejszej wartości, bez względu na kierunek obrotu.

    Kąt względem płaszczyzny XY: Mierzy kąt pomiędzy pierwszym i drugim punktem, począwszy od płaszczyzny XY do osi Z. Zakłada się, że pierwszy punkt leży na płaszczyźnie XY.

    Delta X, Delta Y oraz Delta Z: Mierzy odległość pomiędzy dwoma punktami w kierunku odpowiednich osi układu współrzędnych. Wartości długości są określane w jednostkach rysunku.

Jeżeli odległość, która ma być określona, posiada punkty o znaczeniu geometrycznym, na przykład punkt początkowy lub końcowy elementu rysunku, należy użyć przyciągań elementów.

Dostęp

Polecenie: GetDistance

Menu: Narzędzia > Zapytanie > Pobierz odległość

Tematy pokrewne

Identyfikowanie współrzędnych

Obliczanie obszaru

Wyszczególnianie informacji o elemencie

Transparentne użycie poleceń

Używanie przyciągania elementów


Obliczanie obszarów

Polecenie GetArea służy do obliczania obszaru i obwodu poprzez określenie elementu rysunku lub określenie punktów, które tworzą obszar do zmierzenia.

Można dodawać lub odejmować obszary w jednej operacji.

Aby obliczyć obszar i obwód elementu rysunku, należy:

  1. Kliknąć Narzędzia > Zapytanie > Pobierz obszar (lub wpisać GetArea).
  2. Określić opcję Wybierz element.

    Opcja ta służy do obliczania regularnych obszarów geometrycznych (takich jak okręgi, elipsy, łuki lub kontury polilinii). W przypadku określenia elementu, który nie jest zamknięty, obszar zostanie obliczony jak dla elementu zamkniętego.
  3. W obszarze graficznym wybrać element rysunku.

    Zostaną wyświetlone pomiary obszaru i obwodu.

Aby obliczyć obszar i obwód poprzez określenie punktów, należy:

  1. Kliknąć Narzędzia > Zapytanie > Pobierz obszar (lub wpisać GetArea).
  2. W obszarze graficznym określić punkty, które składają się na obszar do zmierzenia.

    Jeżeli mają być użyte konkretne punkty z elementów rysunku, na przykład punkt początkowy lub końcowy elementu rysunku, należy użyć funkcji przyciągania elementów.
  3. Po zakończeniu określania punktów nacisnąć Enter.

    Zostaną wyświetlone pomiary obszaru i obwodu.

Aby dodać lub odjąć obszary, należy:

  1. Kliknąć Narzędzia > Zapytanie > Pobierz obszar (lub wpisać GetArea).
  2. Określić opcję Dodaj lub Odejmij, aby dodać lub odjąć częściowy obszar.
  3. Określić punkty składające się na obszar do zmierzenia i nacisnąć Enter.

    - lub -

    Określić opcję Wybierz element i wybrać element rysunku w obszarze graficznym.

    Zostaną wyświetlone pomiary obszaru i obwodu.
  4. Powtórzyć krok 3, aby dodać lub odjąć kolejne obszary.

    Nastąpi obliczenie operacji dodawania lub odejmowania i wyświetlenie pomiaru obszaru i obwodu.

    Gdy częściowe obszary są dodawane lub odejmowane od obszaru, obliczony obszar jest nową wartością parametryczną, chyba że określono inną opcję.
  5. Nacisnąć Enter.

Dostęp

Polecenie: GetArea

Menu: Narzędzia > Zapytanie > Pobierz obszar

Tematy pokrewne

Identyfikowanie współrzędnych

Mierzenie odległości

Wyszczególnianie informacji o elemencie


Wyszczególnianie informacji o elemencie

Polecenie GetProperties służy do wyświetlania szczegółów dotyczących elementu, włącznie z typem elementu, warstwą, kolorem linii, stylem linii, szerokością linii, trybem (model lub arkusz), jego współrzędnymi i innymi szczegółami, zależnie od typu. Na przykład GetProperties wyszczególnia dodatkowe szczegóły dotyczące łuku, takie jak punkt środkowy, promień oraz kąt początkowy i końcowy. Dodatkowe szczegóły dotyczące linii obejmują jej długość, kąt w płaszczyźnie XY, długości delta X, delta Y oraz delta Z.

Aby wyszczególnić informacje o elemencie, należy:

  1. Kliknąć Narzędzia > Zapytanie > Pobierz właściwości (lub wpisać GetProperties).
  2. W obszarze graficznym wybrać elementy.
  3. Nacisnąć Enter.

    Właściwości i szczegóły geometryczne elementów zostaną wyświetlone w oddzielnym oknie historii poleceń.

Nacisnąć F2, aby pokazać lub ukryć oddzielne okno historii poleceń.

Nacisnąć F2, aby pokazać lub ukryć oddzielne okno historii poleceń.

Nacisnąć Fn + F2, aby pokazać lub ukryć oddzielne okno historii poleceń.

Dostęp

Polecenie: GetProperties

Menu: Narzędzia > Zapytanie > Pobierz właściwości

Tematy pokrewne

Identyfikowanie współrzędnych

Mierzenie odległości

Obliczanie obszarów


Wyświetlanie właściwości masy obszarów

Użyj polecenia GetMassProperties, aby obliczyć i wyświetlić właściwości masy Obszarów.

Polecenie podaje uwzględnioną powierzchnię, obwód i centroid określonego obszaru.

Ponadto wyświetlane są informacje na temat dostosowanego układu współrzędnych (CSS) w danym obszarze (nazwa CCS, pochodzenie CCS i definicje osi X, Y i Z CCS).

Aby wyświetlić właściwości masy obszarów:

  1. Wpisać GetMassProperties w wierszu poleceń.
  2. Określić obszar do analizy.
  3. Właściwości masy wyświetlane są w oddzielnym oknie wiersza poleceń.

Dostęp

Polecenie: GetMassProperties

Tematy pokrewne

Tworzenie regionów


Używanie inteligentnego kalkulatora

Polecenie SmartCalculator wyświetla okno dialogowe Kalkulator w celu wykonania obliczeń matematycznych i trygonometrycznych oraz przeliczenia jednostek. Polecenia tego można używać transparentnie.

Aby użyć podstawowych funkcji matematycznych, należy:

  1. Wpisać SmartCalculator.
  2. Posługując się klawiaturą numeryczną, wykonać działania matematyczne.

    Wyrażenie matematyczne i wynik są wyświetlane w części Obliczanie.

Aby użyć funkcji naukowych, należy:

  1. Wpisać SmartCalculator.
  2. Kliknąć funkcję w części Naukowe.
  3. Wstawić liczbę w nawiasach.
  4. Kliknąć znak równości (=).

    Wyrażenie naukowe i wynik są wyświetlane w części Obliczanie.

Aby przeliczyć jednostki miar, należy:

  1. Wpisać SmartCalculator.
  2. W części Konwersja jednostek należy:
    1. Wybrać Typ jednostek.
    2. Wybrać jednostkę w części Konwertuj z.
    3. Wybrać jednostkę w części Konwertuj na.
    4. Wpisać Wartość do konwersji.
    5. Kliknąć Obliczaj. .

      Wynik zostanie wyświetlony w części Konwertowana wartość.

Dostęp

Polecenie: SmartCalculator

Tematy pokrewne

Wywoływanie standardowego kalkulatora systemu operacyjnego


Wywoływanie standardowego kalkulatora systemu operacyjnego

Polecenie OSCalc służy do wyświetlania standardowego kalkulatora używanego systemu operacyjnego.

Aby użyć standardowego kalkulatora systemu operacyjnego, należy:

  1. Kliknąć Widok , Standardowy lub Naukowy, aby ustawić tryb.
  2. Aby skopiować wynik obliczeń, należy kliknąć Ctrl + C.
  3. Aby wkleić wynik do okna poleceń, należy kliknąć Ctrl + V.
  1. Kliknąć Widok , Standardowy lub Naukowy, aby ustawić tryb.
  2. Aby skopiować wynik obliczeń, należy kliknąć Ctrl + C.
  3. Aby wkleić wynik do okna poleceń, należy kliknąć Ctrl + V.
  1. Wykonać obliczenia przy użyciu przycisków kalkulatora.
  2. Aby skopiować wynik obliczeń, należy kliknąć Command + C.
  3. Aby wkleić wynik do okna poleceń, należy kliknąć Command + V.

Dostęp

Polecenie: OSCalc

Tematy pokrewne

Używanie inteligentnego kalkulatora


Praca z plikami rysunków

Ten rozdział opisuje polecenia do tworzenia, otwierania i zapisywania plików rysunku. Dostęp do tych poleceń można uzyskać z menu Plik i paska narzędzi Standard. Polecenia te działają na plikach .dwg i pozwalają otwierać pliki utworzone w innych programach CAD lub zapisywać pliki celem ich późniejszego otwierania w innych aplikacjach.

Można również wykonać następujące czynności:

  • Eksportowanie i importowanie rysunków.
  • Użyć narzędzi rysunku do tworzenia kopii zapasowych, sprawdzania, odzyskiwania i czyszczenia plików rysunku.

Informacje na temat tworzenia i zarządzania układami zawiera temat Tworzenie arkuszy i drukowanie rysunków.


Rozpoczynanie nowego rysunku

Aby rozpocząć nowy rysunek, należy:

  1. Kliknąć Plik > Nowy (lub wpisać New).
  2. Aby rozpocząć nowy rysunek z wykorzystaniem szablonu, w oknie dialogowym należy wybrać plik .dwt i kliknąć Otwórz.

    Szablon jest prototypowym rysunkiem zawierający ustawienia, które są potrzebne w nowym rysunku. Szablony wykorzystują rozszerzenie .dwt. Można również rozpoczynać przy użyciu plików .dwg lub .dxf.

    - lub -
    Aby rozpocząć nowy rysunek bez szablonu, należy kliknąć Right arrow obok narzędzia Otwórz i wybrać:
    • Otwórz bez szablonu – system brytyjski: Ustawia format jednostek brytyjskich dla nowego rysunku.
    • Otwórz bez szablonu – system metryczny: Ustawia format jednostek metrycznych dla nowego rysunku.
  1. Kliknąć Plik > Nowy (lub wpisać New).
  2. Aby rozpocząć nowy rysunek z wykorzystaniem szablonu, w oknie dialogowym należy wybrać plik .dwt i kliknąć Otwórz.

    Szablon jest prototypowym rysunkiem zawierający ustawienia, które są potrzebne w nowym rysunku. Szablony wykorzystują rozszerzenie .dwt. Można również rozpoczynać przy użyciu plików .dwg lub .dxf.

    - lub -
    Aby rozpocząć nowy rysunek bez szablonu, należy kliknąć Right arrow obok narzędzia Otwórz i wybrać:
    • Otwórz bez szablonu – system brytyjski: Ustawia format jednostek brytyjskich dla nowego rysunku.
    • Otwórz bez szablonu – system metryczny: Ustawia format jednostek metrycznych dla nowego rysunku.
  1. Kliknąć Plik > Nowy (lub wpisać New).
  2. Aby rozpocząć nowy rysunek z wykorzystaniem szablonu, w oknie dialogowym należy wybrać plik .dwt i kliknąć Otwórz.

    Szablon jest prototypowym rysunkiem zawierający ustawienia, które są potrzebne w nowym rysunku. Szablony wykorzystują rozszerzenie .dwt. Można również rozpoczynać przy użyciu plików .dwg lub .dxf.

    - lub -

    Aby rozpocząć nowy rysunek bez szablonu, należy wybrać z listy Tryb otwierania:
    • Otwórz bez szablonu – system brytyjski: Ustawia format jednostek brytyjskich dla nowego rysunku.
    • Otwórz bez szablonu – system metryczny: Ustawia format jednostek metrycznych dla nowego rysunku.

Domyślnie rysunek otrzymuje nazwę NONAME_n.dwg.

Dostęp

Polecenie: New

Menu: Plik > Nowy

Skrót klawiaturowy: Ctrl + N

Skrót klawiaturowy: Ctrl + N

Skrót klawiaturowy: Command + N

Tematy pokrewne

Otwieranie rysunku

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków

Zamykanie rysunku

Używanie szablonów


Otwieranie rysunku

Aby otworzyć rysunek, należy:

  1. Kliknąć Plik > Otwórz (lub wpisać Open).
  2. W części Pliki typu wybrać typ pliku.
  3. W części Szukaj w przejść do rysunku.
  4. Wybrać rysunek.

    W obszarze Podgląd widoczna jest miniatura wybranego rysunku, aczkolwiek nie wszystkie formaty plików pozwalają wyświetlić podgląd.
  5. Kliknąć Otwórz, aby wczytać rysunek, lub kliknąć Right arrow i kliknąć Otwórz tylko do odczytu, aby otworzyć plik bez jego modyfikowania.
  6. W przypadku próby zapisania pliku tylko do odczytu konieczne jest zapisanie tego pliku pod inną nazwą.
  1. Kliknąć Plik > Otwórz (lub wpisać Open).
  2. W części Pliki typu wybrać typ pliku.
  3. W części Szukaj w przejść do rysunku.
  4. Wybrać rysunek.

    W obszarze Podgląd widoczna jest miniatura wybranego rysunku, aczkolwiek nie wszystkie formaty plików pozwalają wyświetlić podgląd.
  5. Kliknąć Otwórz, aby wczytać rysunek, lub kliknąć Right arrow i kliknąć Otwórz tylko do odczytu, aby otworzyć plik bez jego modyfikowania.
  6. W przypadku próby zapisania pliku tylko do odczytu konieczne jest zapisanie tego pliku pod inną nazwą.
  1. Kliknąć Plik > Otwórz (lub wpisać Open).
  2. Wybrać rysunek.
  3. Kliknąć Otwórz, aby wczytać rysunek, lub wybrać Otwórz tylko do odczytu na liście Tryb otwierania, aby otworzyć plik bez jego modyfikowania.
  4. W przypadku próby zapisania pliku tylko do odczytu konieczne jest zapisanie tego pliku pod inną nazwą.

Dostęp

Polecenie: Open

Menu: Plik > Otwórz

Skrót klawiaturowy: Ctrl + O

Skrót klawiaturowy: Ctrl + O

Skrót klawiaturowy: Command + O

Tematy pokrewne

Rozpoczynanie nowego rysunku

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków

Zamykanie rysunku


Zapisywanie rysunku

Polecenie Save służy do zapisywania rysunku z bieżącą nazwą pliku lub z określoną nazwą pliku anonimowego.

Aby zapisać rysunek, należy:

  • Kliknąć Plik > Zapisz (lub wpisać Save).

    Rysunek zostanie zapisany w lokalizacji, z nazwą i typem pliku określonymi w chwili jego otwarcia.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

Dostęp

Polecenie: Save

Menu: Plik > Zapisz

Skrót klawiaturowy: Ctrl + S

Skrót klawiaturowy: Ctrl + S

Skrót klawiaturowy: Command + S

Tematy pokrewne

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków

Rozpoczynanie nowego rysunku

Otwieranie rysunku

Zamykanie rysunku

Ustawianie opcji automatycznego zapisu i kopii zapasowych


Zmienianie nazwy rysunku

Polecenie SaveAs służy do zapisywania rysunku anonimowego z nazwą pliku albo ze zmienioną nazwą bieżącego rysunku.

Aby zmienić nazwę rysunku, należy:

  1. Kliknąć Plik > Zapisz jako (lub wpisać SaveAs).
  2. W oknie dialogowym określić szczegóły pliku:
    • Zapisz w: Przejść do folderu, w którym należy zapisać plik rysunku.
    • Nazwa pliku: Wpisać nazwę dla pliku.
    • Zapisz jako typ: Wybrać typ pliku.
  3. Kliknąć Zapisz.
  1. Kliknąć Plik > Zapisz jako (lub wpisać SaveAs).
  2. W oknie dialogowym określić szczegóły pliku:
    • Zapisz w: Przejść do folderu, w którym należy zapisać plik rysunku.
    • Nazwa pliku: Wpisać nazwę dla pliku.
    • Zapisz jako typ: Wybrać typ pliku.
  3. Kliknąć Zapisz.
  1. Kliknąć Plik > Zapisz jako (lub wpisać SaveAs).
  2. W oknie dialogowym określić szczegóły pliku:
    • Przejść do folderu, gdzie należy zapisać plik rysunku.
    • Zapisz jako: Wpisać nazwę dla pliku.
    • Pliki typu: Wybrać typ pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: SaveAs

Menu: Plik > Zapisz jako

Skrót klawiaturowy: Ctrl + Shift + S

Skrót klawiaturowy: Ctrl + Shift + S

Tematy pokrewne

Zapisywanie rysunku

Zapisywanie wszystkich otwartych rysunków

Zamykanie rysunku


Zapisywanie wszystkich otwartych rysunków

Polecenie SaveAll pozwala zapisać rysunek w bieżącym oknie i wszystkie inne otwarte rysunki.

Aby zapisać wszystkie otwarte rysunki, należy:

  • Wpisać SaveAll.

    Otwarte rysunki zostaną zapisane w lokalizacji, z nazwą i typem pliku określonymi w chwili ich otwarcia.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

Dostęp

Polecenie: SaveAll

Tematy pokrewne

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zamykanie rysunku


Publikowanie eDrawings

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie eDrawings uruchamia aplikację eDrawings®, umożliwiając tworzenie, przeglądanie i udostępnianie modeli 3D oraz rysunków 2D.

Tworzenie plików eDrawings

Przy użyciu aplikacji eDrawings i różnorodnych programów CAD można tworzyć następujące typy plików eDrawings:

  • Pliki części 3D (*.eprt)
  • Pliki złożeń 3D (*.easm)
  • Pliki rysunków 2D (*.edrw)

Przy użyciu aplikacji eDrawings Professional można również tworzyć pliki uwag eDrawings (*.markup), które zawierają takie uwagi, jak komentarze tekstowe oraz elementy geometryczne.

Wyświetlanie plików

Przeglądarka eDrawings Viewer pozwala na oglądanie plików eDrawings i innych typów plików. Modelem można manipulować w przeglądarce eDrawings Viewer tak, jak gdyby był trzymany w ręku.

Udostępnianie plików eDrawings

Aby udostępnić pliki eDrawings, można wysłać pocztą elektroniczną:

  • Plik eDrawings. Odbiorcy posiadający przeglądarkę eDrawings Viewer mogą otworzyć dołączony plik eDrawings.
  • Plik zip.
  • Plik html.
  • Plik wykonywalny.

Po uruchomieniu aplikacji eDrawings nacisnąć F1, aby uzyskać pomoc.

Dostęp

Polecenie: eDrawings

Menu: Plik > Publikowanie eDrawings


Przeglądanie i edytowanie właściwości pliku rysunku

Właściwości standardowe bieżącego pliku rysunku można wyświetlać i edytować a także tworzyć właściwości dostosowane dla tego pliku.

Standardowe właściwości rysunku, w tym szczegóły takie jak nazwisko autora, tytuł, temat, słowa kluczowe i komentarze opisujące temat lub treści rysunku.

Można także definiować właściwości dostosowane dla rysunku.

Aby przeglądać i edytować właściwości standardowe bieżącego rysunku, należy:

  1. Kliknąć Plik > Właściwości (lub wpisać DrawingProperties).
  2. W oknie dialogowym na karcie Podsumowanie można przeglądać właściwości i wpisać lub edytować właściwości według potrzeb.
  3. Pola do edycji to między innymi autor, słowa kluczowe, komentarze, tytuł i temat.
  4. W obszarze Statystyka można znaleźć informacje na temat daty utworzenia i daty ostatniego zapisania pliku rysunku, jak również nazwisko użytkownika, który ostatnio zapisał plik.
  5. Kliknij OK.

Aby przeglądać i edytować właściwości dostosowane bieżącego rysunku, należy:

  1. Kliknąć Plik > Właściwości (lub wpisać DrawingProperties).
  2. W oknie dialogowym kliknąć kartę Dostosowane.
  3. W kolumnie Nazwa wyprać pole.
  4. Na liście wybrać nazwę właściwości.
  5. W kolumnie Wartość jest wyświetlana wartość właściwości.
  6. Wpisać wartość lub zmienić wartość w polu według potrzeb.
  7. Kliknij OK.

Aby dodać dostosowane właściwości do bieżącego rysunku, należy:

  1. Kliknąć Plik > Właściwości (lub wpisać DrawingProperties).
  2. W oknie dialogowym kliknąć kartę Dostosowane.
  3. Kliknąć Edycja listy.
  4. W oknie dialogowym dodać nazwę właściwości do listy.
  5. Kliknij OK.
  6. Na dole tabeli wybrać pusty wiersz.
  7. W polu kolumny Nazwa wpisać nazwę nowej właściwości dostosowanej lub wybrać jej nazwę z listy.
  8. W odpowiednim polu Wartość wpisać wartość dla właściwości dostosowanej.
  9. Kliknij OK.
  10. Nazwy właściwości dodanych do listy są przechowywane w profilu użytkownika w celu użycia ich w innych plikach rysunku.

Aby usunąć właściwości dostosowane z rysunku, należy:

  1. Kliknąć Plik > Właściwości (lub wpisać DrawingProperties).
  2. W oknie dialogowym kliknąć kartę Dostosowane.
  3. Podświetlić wiersz na liście właściwości dostosowanych.
  4. Kliknąć Usuń.
  5. Właściwość dostosowana i jej wartość są usunięte z pliku rysunku.
  6. Kliknij OK.

Właściwości standardowe pliku rysunku są wyświetlane na liście nazw w oknie dialogowym Pole.

Dostęp

Polecenie: DrawingProperties

Menu: Plik > Właściwości

Tematy pokrewne

Wstawianie pól


Zamykanie rysunku

Polecenie Close służy do zamykania rysunku. Oprogramowanie pozostaje otwarte.

Aby zamknąć rysunek, należy:

  1. Kliknąć Plik > Zamknij (lub wpisać Close).

    Jeżeli rysunek uległ zmianie od czasu ostatniego zapisu, pojawi się monit z pytaniem, czy należy zapisać zmiany.
  2. Kliknąć Tak, aby zapisać zmiany lub Nie, aby je odrzucić.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

Dostęp

Polecenie: Close

Menu: Plik > Zamknij

Skrót klawiaturowy: Ctrl + F4

Skrót klawiaturowy: Ctrl + F4

Tematy pokrewne

Zamykanie wszystkich otwartych rysunków

Rozpoczynanie nowego rysunku

Otwieranie rysunku

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków


Zamykanie wszystkich otwartych rysunków

Polecenie CloseAll służy do zamykania wszystkich otwartych rysunków.

Aby zamknąć wszystkie otwarte rysunki, należy:

  1. Kliknąć Okno > Zamknij wszystko (lub wpisać CloseAll).

    Jeżeli jeden lub kilka rysunków uległo zmianie od czasu ostatniego zapisu, pojawi się monit z pytaniem, czy należy zapisać zmiany dla każdego zmienionego rysunku.
  2. Kliknąć Tak, aby zapisać zmiany lub Nie, aby je odrzucić.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

Dostęp

Polecenie: CloseAll

Menu: Okno > Zamknij wszystko

Tematy pokrewne

Zamykanie rysunku

Rozpoczynanie nowego rysunku

Otwieranie rysunku

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków


Zakańczanie

Każdą sesję roboczą należy kończyć bezpiecznie poprzez wykonanie polecenia Exit.

Aby zakończyć, należy:

  • Kliknąć Plik > Zakończ (lub wpisać Exit).

    Jeżeli jeden lub kilka rysunków uległo zmianie od czasu ostatniego zapisu, pojawi się monit z pytaniem, czy należy zapisać zmiany dla każdego zmienionego rysunku.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

    Po zapisaniu otwartych rysunków nastąpi zakończenie bieżącej sesji roboczej.
  • Kliknąć Plik > Zakończ (lub wpisać Exit).

    Jeżeli jeden lub kilka rysunków uległo zmianie od czasu ostatniego zapisu, pojawi się monit z pytaniem, czy należy zapisać zmiany dla każdego zmienionego rysunku.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

    Po zapisaniu otwartych rysunków nastąpi zakończenie bieżącej sesji roboczej.
  • Kliknąć Zakończ w menu aplikacji (lub wpisać Exit).

    Jeżeli jeden lub kilka rysunków uległo zmianie od czasu ostatniego zapisu, pojawi się monit z pytaniem, czy należy zapisać zmiany dla każdego zmienionego rysunku.

    Jeżeli rysunek nie posiada nazwy, otwarte zostanie okno dialogowe Zapisz plik, umożliwiając ustawienie nowej lokalizacji, nazwy i typu pliku.

    Po zapisaniu otwartych rysunków nastąpi zakończenie bieżącej sesji roboczej.

Dostęp

Polecenie: Exit

Menu: Plik > Zakończ

Menu: Plik > Zakończ

Menu: Menu aplikacji > Przerwij

Skrót klawiaturowy: Ctrl + Q lub Alt + F4

Skrót klawiaturowy: Ctrl + Q lub Alt + F4

Skrót klawiaturowy: Command + Q

Tematy pokrewne

Zamykanie rysunku

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków


Eksportowanie i importowanie

Funkcje eksportu i importu pozwalają:

  • Zapisywać rysunek lub bieżący widok rysunku w formacie wektorowym lub rastrowym, np.: .dxf, .sat (ACIS), .pdf, .bmp, .png, .jpg oraz .svg.
  • Wczytywać pliki rysunku utworzone w innych aplikacjach lub programach CAD w formatach .dwg, .dxf oraz .sat (ACIS).

Zamiast używania polecenia importu, można użyć polecenia InsertBlock, aby wstawiać rysunki .dwg i .dxf w określonym punkcie wstawienia, z określonym kątem obrotu oraz współczynnikiem skalowania. Można również dołączać pliki rysunku (.dwg) lub pliki obrazów rastrowych (np. .bmp, .png, .jpg i .png) do rysunku przy użyciu poleceń References, AttachDrawing lub AttachImage.


Eksportowanie

Polecenie Export służy do zapisywania pliku w następujących formatach:

  • PDF (Portable Document Format)
  • BMP (mapa bitowa)
  • JPEG (standard Joint Photographic Experts Group)
  • PNG (Portable Network Graphics, format mapy bitowej obrazu)
  • EMF (rozszerzony metaplik Windows)
  • SVG (format Scalable Vector Graphics)
  • SLD (slajd)
  • EPS (Encapsulated PostScript)
  • TIF (Tagged Image File)
  • STL (Stereolithography File)
  • DWF (Design Web Format)

Plik wyjściowy zawiera widoczny fragment (bieżący widok) aktywnego rysunku.

Aby wyeksportować, należy:

  1. Kliknąć Plik > Eksport (lub wpisać Export).
  2. W oknie dialogowym określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
    • Zapisz jako typ: Wybrać typ pliku do eksportowania.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: Export

Menu: Plik > Eksport

Tematy pokrewne

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku SVG z rysunku

Tworzenie pliku PDF z rysunku

Zmienianie nazwy rysunku


Eksportowanie plików DXF

Polecenie ExportDXF służy do eksportowania bieżącego rysunku jako pliku DXF (Drawing Exchange File), zawierającego informacje bazy danych dla wszystkich elementów i obiektów w rysunku CAD.

Pliki DXF są wykorzystywane do wymiany danych rysunkowych z innymi aplikacjami.

Pliki DXF mogą być standardowym plikiem tekstowym ASCII DXF lub plikiem binarnym. Zwykle termin DXF dla pliku odnosi się do plików ASCII DXF, które są bardziej rozpowszechnione niż pliki binarne DXF. Pliki binarne DXF są o około jedną czwartą mniejsze niż pliki ASCII DXF i pięć razy szybciej odczytywane i zapisywane.

Aby wyeksportować plik DXF, należy:

  1. Wpisać ExportDXF.
  2. W oknie dialogowym należy określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
    • Zapisz jako typ: Wybrać typ .dxf.
  3. Kliknąć Zapisz.

Uwaga: Format pliku DXF zmienia się w zależności od wersji. Niektóre programy nie są w stanie otworzyć plików binarnych DXF.

Dostęp

Polecenie: ExportDXF

Tematy pokrewne

Importowanie plików DXF

Zmienianie nazwy rysunku


Eksportowanie plików ACIS SAT

Polecenie ExportSAT służy do eksportowania wybranych regionów lub bryłowych elementów modelowania z bieżącego rysunku do pliku .sat.

Aby wyeksportować do pliku ACIS SAT, należy:

  1. Wpisać ExportSAT.
  2. Wybrać wszystkie elementy do wyeksportowania i nacisnąć Enter.
  3. W oknie dialogowym określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  4. Kliknąć Zapisz.

Dostęp

Polecenie: ExportSAT

Tematy pokrewne

Importowanie plików ACIS SAT


Tworzenie pliku PDF z rysunku

Polecenie ExportPDF pozwala zapisać bieżący widok do pliku PDF (Portable Document Format).

Aby utworzyć plik PDF z rysunku, należy:

  1. Kliknąć Plik > Eksport > Eksport PDF (lub wpisać polecenie ExportPDF).
  2. W oknie dialogowym, w polu Nazwa, wpisać nazwę pliku PDF do utworzenia. Kliknąć Przeglądaj, aby wyszukać folder i nazwę.
  3. W obszarze Arkusze wybrać arkusze do wyeksportowania. Każdy arkusz będzie osobną stroną w pliku PDF.
  4. Notatka: Kliknąć Wyczyść wszystko, aby anulować zaznaczenia lub Zaznacz wszystko, aby zaznaczyć wszystkie arkusze.
  5. W obszarze Rozmiar papieru wybrać jedną z poniższych opcji:
    • Standardowy – aby wybrać standardowy format z listy rozmiarów papieru.
    • Dostosowany – aby określić szerokość i wysokość formatu własnego, używając wybranych jednostek.
  6. Skonfigurować opcje dotyczące generowania pliku PDF:
    • Użyj tabeli styli drukowania: Mapuje kolory warstwy lub kolory elementów zgodnie ze specyfikacją zdefiniowaną w pliku tabeli stylu drukowania (*.ctb lub *.stb). Z listy plików tabel stylu drukowania wybrać plik, który ma zostać zastosowany. Więcej informacji na temat stylów drukowania można znaleźć w temacie Zarządzanie tabelami stylów drukowania.
    • Użyj warstw w pliku PDF (PDF v1.5): tworzy warstwy w pliku PDF zgodnie z warstwami rysunku. Użycie tej opcji powoduje zwiększenie rozmiaru pliku PDF.
    • Własna rozdzielczość bitmapy: wypełnienia gradientowe, obiekty cieniowane i okienka ekranu na rysunku są generowane z rozdzielczością wyrażoną w DPI (maks. 600 DPI). Zwiększenie rozdzielczości powoduje zwiększenie rozmiaru pliku. Jeśli plik PDF ma zostać wydrukowany z użyciem określonego urządzenia wyjściowego, należy określić rozdzielczość zgodną z rozdzielczością drukarki.
  7. W obszarze Czcionki TrueType określa się sposób postępowania z czcionkami TrueType w adnotacjach:
    • Osadzony: osadza czcionki TrueType użyte w adnotacjach rysunku w pliku wyjściowym. Użycie tej opcji powoduje zwiększenie rozmiaru pliku PDF.
    • Zoptymalizowany: określa, czy przy tworzeniu pliku PDF ma zostać użyta optymalizacja związana z czcionkami TrueType. Może to wpłynąć na wydajność, ale pozwala uzyskać mniejszy rozmiar pliku.
    • Jako geometria: konwertuje adnotacje używające czcionek TrueType na geometrię w pliku PDF.
  8. W obszarze Właściwości dokumentu wprowadzić informacje na temat dokumentu:
    • Autor: wpisać nazwisko osoby, która utworzyła dokument.
    • Słowa kluczowe: wpisać słowa kluczowe, aby powiązać je z dokumentem PDF podczas wyszukiwania. Słowa kluczowe są przydatne przy zawężaniu wyników wyszukiwania.
    • Tytuł: wpisać tytuł dokumentu. Wiele wyszukiwarek używa tytułu dokumentu do opisania dokumentu w wynikach wyszukiwania.
    • Temat: wpisać temat dokumentu.
    • Twórca (tworzone automatycznie): zawiera nazwę aplikacji, w której plik PDF został utworzony.
    • Producent (tworzone automatycznie): zawiera nazwę mechanizmu konwersji użytego przez aplikację do utworzenia pliku PDF.
  9. W tej samej sekcji zaznaczyć lub usunąć zaznaczenie:
    • Zapisz dane właściwości dokumentu w pliku PDF: dodaje do wyeksportowanego pliku PDF określone metadane właściwości dokumentu.
    • Zapisz z powrotem w danych właściwości rysunku: zapisuje określone metadane we właściwościach rysunku w pliku rysunku. Istniejące dane mogą zostać zastąpione.
  10. Kliknąć OK.

Dostęp

Polecenie: ExportPDF

Tematy pokrewne

Zmienianie nazwy rysunku

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku SVG z rysunku


Tworzenie pliku mapy bitowej z rysunku

Polecenie ExportBMP służy do zapisywania bieżącego widoku do pliku mapy bitowej (BMP).

Aby utworzyć plik BMP z rysunku, należy:

  1. Wpisać ExportBMP.
  2. W oknie dialogowym należy określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: ExportBMP

Tematy pokrewne

Zmienianie nazwy rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku SVG z rysunku

Tworzenie pliku PDF z rysunku


Tworzenie pliku JPEG z rysunku

Polecenie ExportJPG służy do zapisywania bieżącego widoku do pliku JPEG, będącego plikiem obrazu rastrowego.

Aby utworzyć plik JPEG z rysunku, należy:

  1. Wpisać ExportJPG.
  2. W oknie dialogowym należy określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: ExportJPG

Tematy pokrewne

Zmienianie nazwy rysunku

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku SVG z rysunku

Tworzenie pliku PDF z rysunku


Tworzenie pliku PNG z rysunku

Polecenie ExportPNG służy do zapisywania bieżącego widoku do pliku PNG (Portable Network Graphics, formatu obrazu mapy bitowej).

Aby utworzyć plik PNG z rysunku, należy:

  1. Wpisać ExportPNG.
  2. W oknie dialogowym należy określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: ExportPNG

Tematy pokrewne

Zmienianie nazwy rysunku

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku SVG z rysunku

Tworzenie pliku PDF z rysunku


Tworzenie pliku EFM z rysunku

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie ExportEMF służy do zapisywania bieżącego widoku do pliku EMF (rozszerzony metaplik Windows, format obrazu rastrowego i wektorowego).

Aby utworzyć plik EMF z rysunku, należy:

  1. Wpisać ExportEMF.
  2. W oknie dialogowym należy określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: ExportEMF

Tematy pokrewne

Zmienianie nazwy rysunku

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku PDF z rysunku


Tworzenie pliku SVG z rysunku

Polecenie ExportSVG służy do zapisywania bieżącego widoku do pliku SVG (Scalable Vector Graphics Format).

Aby utworzyć plik SVG z rysunku, należy:

  1. Wpisać ExportSVG.
  2. W oknie dialogowym należy określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: ExportSVG

Tematy pokrewne

Zmienianie nazwy rysunku

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku PDF z rysunku


Tworzenie pliku EPS z rysunku

Polecenie ExportEPS służy do zapisywania bieżącego widoku do pliku EPS (Encapsulated PostScript). Plik EPS określa tekst w innych elementach rysunku jako wektory.

Aby utworzyć plik EPS z rysunku, należy:

  1. Wpisać ExportEPS w wierszu poleceń.
  2. W oknie dialogowym określić:
    • Zapisz w: Przejść do folderu, gdzie należy zapisać plik.
    • Nazwa pliku: Wpisać nazwę dla pliku.
  3. Kliknąć Zapisz.

Dostęp

Polecenie: ExportEPS


Importowanie plików DXF

Polecenie ImportDXF służy do odczytywania pliku DXF i otwierania go w oddzielnym oknie rysunku. Plik DXF (Drawing Exchange File) jest standardowym plikiem tekstowym ASCII, zawierającym informacje bazy danych dla elementów i obiektów w rysunku CAD.

Można również otworzyć plik DXF przy użyciu polecenia Open lub wstawić plik DXF jako blok przy użyciu polecenia InsertBlock.

Aby importować pliki DXF, należy:

  1. Wpisać ImportDXF.
  2. W oknie dialogowym przejść do pliku DXF, który należy importować.
  3. Kliknąć Otwórz, aby wczytać plik DXF, lub kliknąć Right arrow i Otwórz tylko do odczytu, aby otworzyć plik bez jego modyfikowania.

    W przypadku próby zapisania pliku tylko do odczytu ze zmianami komunikat o błędzie będzie monitował o zapisanie tego pliku pod inną nazwą.

Dostęp

Polecenie: ImportDXF

Tematy pokrewne

Eksportowanie plików DXF

Otwieranie rysunku

Wstawianie bloków


Importowanie plików ACIS SAT

Polecenie ImportSAT służy do odczytywania pliku .sat i wstawiania zawartych w nim elementów bryłowych ACIS do rysunku.

Aby importować pliki ACIS SAT, należy:

  1. Wpisać ImportSAT.
  2. Przejść do pliku ACIS, który ma zostać zaimportowany, i kliknąć Otwórz.
  3. Polecenie to obsługuje import plików ACIS SAT z wersji od 1.05 do 10.00.

Dostęp

Polecenie: ImportSAT

Tematy pokrewne

Eksportowanie plików ACIS SAT


Tworzenie pliku slajdu z rysunku

Polecenie ExportSLD służy do zapisywania bieżącego widoku rysunku do pliku slajdu (.sld).

Pliki slajdów można oglądać przy użyciu polecenia ViewSlide.

Polecenie LoadScript służy do wyświetlania pokazów slajdów ukazujących widoki rysunków.

Aby utworzyć plik slajdu z rysunku, należy:

  1. Wpisać ExportSLD w wierszu poleceń.
  2. W oknie dialogowym należy:
    1. Przejść do folderu, gdzie należy zapisać plik.
    2. Jako Nazwa pliku wpisać nazwę.
    3. W części Zapisz jako typ wybrać Slajd (SLD).
  3. Kliknąć Zapisz.

Aby poprawić jakość zakrzywionych elementów w slajdach, należy użyć polecenia DisplayQuality.

Dostęp

Polecenie: ExportSLD

Tematy pokrewne

Wyświetlanie plików slajdów

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku EFM z rysunku

Tworzenie pliku PDF z rysunku


Wyświetlanie plików slajdów

Polecenie ViewSlide służy do wyświetlania pokazów slajdów (.sld). Pliki slajdów można tworzyć przy użyciu polecenia ExportSLD.

Wyświetlany slajd znika po odświeżeniu rysunku, na przykład po użyciu innego polecenia.

Aby wyświetlać pliki slajdów, należy:

  1. Wpisać ViewSlide w wierszu poleceń.
  2. W oknie dialogowym przejść do pliku slajdu (.sld), który należy wyświetlić.
  3. Kliknąć Otwórz.

    Nastąpi wyświetlenie slajdu.
  4. Kliknąć Widok > Odśwież (lub wpisać Refresh), aby usunąć ekran ze slajdu.

Polecenie LoadScript służy do wyświetlania pokazów slajdów ukazujących sekwencje widoków rysunków.

Dostęp

Polecenie: ViewSlide

Tematy pokrewne

Tworzenie pliku slajdu z rysunku

Odświeżanie bieżącego rysunku


Narzędzia rysunku

Ten rozdział opisuje narzędzia rysunku pozwalające na:

  • Ustawianie opcji automatycznego zapisu i kopii zapasowych
  • Sprawdzanie integralności bieżącego rysunku i naprawianie błędów
  • Odzyskiwanie uszkodzonych plików rysunku
  • Odrzucanie nieużywanych odniesień


Ustawianie opcji automatycznego zapisu i kopii zapasowych

Aby chronić swoje pliki rysunków, należy korzystać z opcji automatycznego zapisu i kopii zapasowych.

Aby ustawić opcje automatycznego zapisu i kopii zapasowych, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Autozapis i kopie zapasowe > Lokalizacja automatycznego zapisywania plików.
  6. Określić folder, w którym mają być zapisywane pliki autozapisu i kopii zapasowych.
  7. Rozwinąć Autozapis/kopie zapasowe i ustawić opcje.
  8. Kliknąć OK.

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Zapisywanie rysunku

Zmienianie nazwy rysunku

Zapisywanie wszystkich otwartych rysunków


Sprawdzanie integralności rysunków

Polecenie Check jest narzędziem diagnostycznym służącym do badania bieżącego rysunku i naprawiania błędów. Dla każdego wykrytego błędu wyświetlany jest opis w oknie poleceń.

Polecenie to tworzy plik ASCII z rozszerzeniem .adt, zawierający raport o wykrytych błędach. Plik .adt jest zlokalizowany w tym samym folderze co rysunek.

Dostęp

Polecenie: Check

Menu: Plik > Sprawdzenie błędów

Tematy pokrewne

Odzyskiwanie rysunków


Odzyskiwanie rysunków

Polecenie Recover częściowo odzyskuje uszkodzone pliki rysunku. Narzędzie to jest użyteczne w przypadku wystąpienia problemów podczas otwierania istniejącego rysunku. Uszkodzenie pliku może dotyczyć tylko fragmentu rysunku. Narzędzie to pomaga odzyskać nieuszkodzone elementy rysunku z tego pliku.

Aby odzyskać uszkodzony rysunek, należy:

  1. Kliknąć Plik > Odzyskaj (lub wpisać Recover).
  2. W oknie dialogowym wybrać nazwę pliku uszkodzonego rysunku i kliknąć Otwórz.

Dostęp

Polecenie: Recover

Menu: Plik > Odzyskaj

Tematy pokrewne

Sprawdzanie integralności rysunków


Odrzucanie nieużywanych odniesień

Polecenie Clean usuwa nieużywane odniesienia z rysunku. Odniesienia, które można usunąć, obejmują definicje bloków, grupy elementów, warstwy, zdefiniowane style szkicowania (takie, jak style linii, style tekstu, style wymiarowania i style linii wzbogaconej) oraz inne odniesienia, pod warunkiem, że nie odnoszą się do nich inne definicje lub elementy w pliku rysunku.

Polecenie to można zastosować do wszystkich lub do wybranych typów komponentów.

Odrzucenie nieużywanych odniesień może zmniejszyć rozmiar pliku rysunku. To polecenie jest użyteczne przed zarchiwizowaniem rysunków lub utworzeniem ich kopii zapasowych.

Polecenie Clean nie usuwa zdefiniowanych widoków lub układów współrzędnych, ponieważ nigdy nie odnosi się do nich żaden inny komponent w rysunku. Aby usunąć zdefiniowane widoki, należy użyć polecenia Views. Aby usunąć zdefiniowane układy współrzędnych, należy użyć polecenia CCS lub CSStyle.

Nie można odrzucać:

  • warstwy 0 (w rysunku musi istnieć przynajmniej jedna warstwa),
  • stylu linii „Ciągły”, „ByLayer” i „ByBlock”,
  • stylu tekstu „Standard”,
  • stylu tabeli „Standard”.
  • stylu linii pełnej „Standard”,
  • warstw, które zawierają elementy rysunku,
  • stylu linii, stylu tekstu, stylu tabeli i stylu linii pełnej odnoszących się do elementów rysunku,
  • aktywnej warstwy, stylu linii, stylu tekstu, stylu tabeli i stylu linii pełnej.

Aby odrzucić nieużywane odniesienia, należy:

  1. Kliknąć Format > Wyczyść (lub wpisać Clean).
  2. W oknie dialogowym wybrać Pokaż niezdefiniowane elementy.
  3. Ustawić opcje:
    • Usuń zależne elementy: Usuwa pozycje oraz pozycje podrzędne, do których nie odnoszą się inne elementy.
    • Potwierdź przed usunięciem Wyświetla okno dialogowe Potwierdź czyszczenie dla każdego odniesienia do usunięcia.
  4. Kliknąć Usuń , aby usunąć wybrane pozycje.
  5. - lub -
  6. Kliknąć Usuń wszystko , aby usunąć wszystkie nieużywane elementy.

Dostęp

Polecenie: Clean

Menu: Plik > Wyczyść

Tematy pokrewne

-Clean (wariant okna poleceń)

Zmienianie nazw stylów i elementów rysunku


Praca ze standardami rysunkowymi

Standardy rysunkowe pozwalają sprawdzić rysunki względem standardów dostosowanych i obowiązujących w firmie.

Standardy rysunkowe są zapisywane w plikach standardów rysunkowych typu *.dws.

Można sprawdzić następujące ustawienia standardów w rysunku w celu osiągnięcia zgodności:

  • Warstwy: Sprawdza nazwy, kolor linii, styl linii i szerokość linii. Wyświetlanie warstwy i ustawienia blokowania (wł./wył., zamrożone/odmrożone, wykreślone/niewykreślone i zablokowane/odblokowane) są ignorowane.
  • Style linii: Sprawdza definicje nazw, długości segmentu i odstępów.
  • Style wymiarowania: Sprawdza nazwy i wszystkie ustawienia zmiennych wymiaru. Korekty zmiennej wymiaru są ignorowane.
  • Style tekstu: Sprawdza nazwy i wszystkie atrybuty definicji Style tekstu, w tym nazwę czcionki, jej format, wysokość tekstu, kąt skośny, odstęp i ustawienia orientacji (do góry dnem, do tyłu i pionowe).

W tym rozdziale omówiono następujące tematy:

  • Tworzenie plików standardów rysunkowych
  • Kojarzenie standardów rysunków i konfigurowanie opcji powiadamiania
  • Sprawdzanie standardów rysunkowych


Tworzenie plików standardów rysunkowych

Standardy rysunkowe są zapisywane w plikach standardów rysunkowych typu *.dws. Są one podobne do zwykłych plików rysunków, ale służą do przechowywania standardów.

Użyj polecenia VerifyStandards w celu sprawdzenia bieżącego rysunku względem plików standardów rysunkowych.

Aby utworzyć pliki standardów rysunkowych:

  1. Utworzyć rysunek, który ma standardowe nazwy i właściwości dla Warstw, Stylów linii, Stylów wymiarowania i Stylów tekstu, które chcesz zastosować do weryfikacje standardów rysunkowych.
  2. Kliknąć Plik > Zapisz jako (lub wpisać SaveAs).
  3. W oknie dialogowym wybrać Standard rysunkowy (*.dws) jako typ pliku.
  4. Określić folder i nazwę pliku.
  5. Kliknąć Zapisz.

Można użyć istniejącego rysunku dla pliku standardów, ale należy pamiętać, aby pozbyć się wszystkich warstw, stylów linii, stylów wymiarowania i stylów tekstu, które nie mają być uwzględniane.

Tematy pokrewne

Kojarzenie standardów rysunków i konfigurowanie opcji powiadamiania

Sprawdzanie standardów rysunkowych

Praca ze standardami rysunkowymi


Kojarzenie standardów rysunków i konfigurowanie opcji powiadamiania

Użyj polecenia DrawingStandards, aby:

  • Skojarzyć standardy rysunkowe z bieżącym rysunkiem
  • Określić kategorie rysunków do sprawdzenia
  • Ustawić opcje powiadomień i audytu

Aby skojarzyć standardy rysunkowe z bieżącym rysunkiem:

  1. Kliknąć Narzędzia > Standardy > Standardy rysunkowe (lub wpisać DrawingStandards).
  2. W oknie dialogowym rozwinąć Standardy.
  3. Kliknąć Nowy.
  4. W oknie dialogowym pliku określić nazwę dla pliku standardu rysunkowego (*.dws) do skojarzenia z bieżącym rysunkiem.
  5. Kliknąć Otwórz.
  6. Opcjonalnie, powtórzyć kroki 2 i 3, aby dodać do listy więcej plików standardów.
  7. Kliknąć Usuń, aby usunąć standard z listy.
  8. Standardy z wielu plików standardów są sprawdzane w kolejności określonej na liście. Aby zmienić kolejność, należy wybrać element, a następnie kliknąć Przenieś w górę lub Przenieś w dół.
  9. W części Ustawienia przeczytać informacje na temat wybranego standardu włącznie z nazwą pliku rysunku, formatem rysunku (wersja oprogramowania), datą ostatniej modyfikacji i autorem ostatniej zmiany.
  10. Kliknąć Sprawdź standardy, aby natychmiast sprawdzić skojarzone standardy. Opcja ta uruchamia polecenie VerifyStandards.
  11. Kliknąć Zastosuj.

Aby określić kategorie rysunków do sprawdzenia:

  1. Kliknąć Narzędzia > Standardy > Standardy rysunkowe (lub wpisać DrawingStandards).
  2. W oknie dialogowym rozwinąć Kategorie rysunków).
  3. Aktywować kategorie rysunków do uwzględnienia w weryfikacji w poleceniu VerifyStandards:
    • Warstwy
    • Style linii
    • Style wymiarowania
    • Style tekstu
  4. Uwaga: Zaznaczyć przynajmniej jedną kategorię, aby umożliwić weryfikację standardów rysunkowych.
  5. Kliknąć Zastosuj.

Aby ustawić opcje powiadomień i audytu

  1. Kliknąć Narzędzia > Standardy > Standardy rysunkowe (lub wpisać DrawingStandards).
  2. W oknie dialogowym rozwinąć Opcje.
  3. W części Powiadomienie wybrać opcję:
    • Wyłącz komunikat ostrzegawczy: Wyłącza powiadomienia dotyczące naruszenia standardów.
    • Podręczne ostrzeżenie nad naruszeniem standardów: Wyświetla podręczne ostrzeżenie w przypadku wykrycia naruszenia standardów w bieżącym rysunku (ustawienie domyślne).
  4. W części Sprawdź standardy określić opcje:
    • Automatycznie napraw niestandardowe właściwości: Określa, czy automatycznie naprawiać niestandardowe obiekty po uruchomieniu polecenia VerifyStandards (domyślnie odznaczone).
    • Pokaż ignorowane naruszenia standardów: Określa, czy wyświetlić naruszenia standardów, które są oznakowane jako ignorowane w oknie dialogowym Sprawdź standardy (domyślnie zaznaczone).
    • Preferowany plik standardu: Ustawia plik standardów rysunkowych (*.dws) lub Brak.
  5. Kliknąć Zastosuj.

Dostęp

Polecenie: DrawingStandards

Menu: Narzędzia > Standardy > Standardy rysunkowe

Tematy pokrewne

Sprawdzanie standardów rysunkowych

Praca ze standardami rysunkowymi


Sprawdzanie standardów rysunkowych

Użyj polecenia VerifyStandards, aby sprawdzić, czy bieżący rysunek jest zgodny ze standardami branżowymi, firmowymi i dostosowanymi.

Polecenie umożliwia sprawdzenie, czy nazwy i właściwości warstw, stylów linii, stylów wymiarowania i stylów tekstu w bieżącym rysunku odpowiadają tym w skojarzonych plikach standardów.

Niestandardowe elementy można zastąpić takimi, które będą zgodne, oznaczyć je jako ignorowane lub pozostawić je bez zmian.

Zaleca się uruchomienie polecenia Wyczyść, aby usunąć nieużywane obiekty przed uruchomieniem polecenia VerifyStandards.

Aby zweryfikować standardy rysunkowe:

  1. Kliknąć Narzędzia > Standardy > Sprawdź standardy (lub wpisać VerifyStandards).
  2. W oknie dialogowym są pokazane kategoria i nazwa elementu, który nie spełnia standardów rysunków (na przykład DimensionStyle jako kategoria i nazwa DimensionStyle).
  3. W części Zamień wybrać standard rysunkowy.
  4. Lista może zawierać więcej niż jeden standard, ponieważ plik standardów rysunkowych może zawierać więcej niż jeden obiekt na kategorię albo lista plików standardów rysunkowych zdefiniowanych dla bieżącego rysunku może zawierać więcej niż jeden plik.
  5. W części Podgląd zmian wyświetlane są różnice pomiędzy bieżącym elementem weryfikowanym pod kątem zgodności a standardem wybranym na liście zamiany. Ta lista jest pusta, jeżeli nazwa elementu jest inna, ale nie właściwości.
  6. Można również ustawić opcję Ignoruj to naruszenie standardów, aby oznaczyć bieżący element jako nie do zastąpienia. Informacja Ignorowane przez pokazuje nazwę logowania użytkownika, który ustawił opcję ignorowania. Ten stan jest zapisany z rysunkiem.
  7. Kliknąć Napraw, aby zaakceptować zamianę bieżącego elementu określonym standardem rysunkowym.
  8. Kliknąć Dalej, aby przejść do kolejnego elementu.
  9. Powtórzyć kroki od 2 do 5, aby sprawdzić kolejne elementy pod kątem zgodności ze standardami.
  10. Kliknąć Zamknij.
  11. Na koniec procesu weryfikacji ekran podsumowania podaje całkowitą liczbę naruszeń standardów, liczbę automatycznie naprawionych elementów, liczbę ręcznie naprawionych elementów oraz liczbę elementów, które zostały oznaczone jako „ignorowane”.

W oknie dialogowym Sprawdź standardy kliknąć Opcje, aby zmienić opcje powiadomienia i audytu w trakcie procesu weryfikacji. Powoduje to otwarcie sekcję Konfiguracja standardów > Opcje okna dialogowego Opcje (jakby wywołano polecenie DrawingStandards).

Dostęp

Polecenie: VerifyStandards

Menu: Narzędzia > Standardy > Sprawdź standardy

Tematy pokrewne

Tworzenie plików standardów rysunkowych

Kojarzenie standardów rysunków i konfigurowanie opcji powiadamiania

Praca ze standardami rysunkowymi


Oglądanie rysunku

W tym rozdziale nauczymy się sterowania obszarem graficznym i widokami.

Obszar graficzny to przestrzeń, w której rysujemy i umieszczamy elementy.

Widok to fragment obszaru graficznego, który pojawia się na ekranie.

W tym rozdziale omówiono następujące tematy:

  • Odświeżanie i przebudowywanie wyświetlanego rysunku
  • Przesuwanie oraz powiększanie/pomniejszanie
  • Zapisywanie i przywracanie widoków zdefiniowanych przez użytkownika
  • Praca z widokami sąsiadującymi w przestrzeni roboczej modelu
  • Ustawianie opcji wyświetlania


Odświeżanie i przebudowywanie wyświetlanego rysunku

Okno rysunku jest zwykle odświeżane po każdej zmianie. Czasami elementy wizualne pozostają po operacji. Jeżeli ekran nie został całkowicie oczyszczony, można go odświeżyć ręcznie przy użyciu polecenia Refresh.

Polecenia Rebuild oraz RebuildAll pozwalają zoptymalizować rysunek pod kątem wyświetlania i wybierania elementów rysunku.

W tym rozdziale omówiono następujące tematy:

  • Odświeżanie bieżącego rysunku
  • Odświeżanie wszystkich widoków sąsiadujących bieżącego rysunku
  • Przebudowywanie bieżącego rysunku
  • Przebudowywanie bieżącego rysunku i odświeżanie wszystkich widoków sąsiadujących

Tematy pokrewne

Oglądanie rysunku


Odświeżanie bieżącego rysunku

Polecenie Refresh odświeża bieżący widok rysunku. Usuwa ono znaczniki punktów i artefakty wyświetlania z ekranu.

Polecenie to może być wywołane transparentnie.

Odświeżenie widoku nie implikuje optymalizacji rysunku do wyświetlania i wybierania elementów rysunku. Można tego dokonać za pomocą polecenia Rebuild.

Dostęp

Polecenie: Refresh

Tematy pokrewne

Odświeżanie wszystkich widoków sąsiadujących bieżącego rysunku

Przebudowywanie bieżącego rysunku


Odświeżanie wszystkich widoków sąsiadujących bieżącego rysunku

Polecenie RefreshAll odświeża wszystkie widoki sąsiadujące rysunku. Usuwa ono znaczniki punktów i artefakty wyświetlania z ekranu.

Polecenie to może być wywołane transparentnie.

Odświeżenie widoków sąsiadujących nie implikuje optymalizacji rysunku do wyświetlania i wybierania elementów rysunku. Można tego dokonać za pomocą polecenia Rebuild i RebuildAll.

Dostęp

Polecenie: RefreshAll

Tematy pokrewne

Odświeżanie bieżącego rysunku

Przebudowywanie bieżącego rysunku

Przebudowywanie bieżącego rysunku i odświeżanie wszystkich widoków sąsiadujących


Przebudowywanie bieżącego rysunku

Polecenie Rebuild przebudowuje bieżący widok rysunku.

Przebudowywanie rysunku:

  • Dokonuje ponownego obliczenia i indeksowania rysunku w celu optymalizacji wydajności wyświetlania i wybierania elementów rysunku.
  • Ponownie oblicza współrzędne ekranowe dla wszystkich elementów w bieżącym widoku.
  • Odświeża bieżący widok.

Dostęp

Polecenie: Przebuduj

Menu: Widok > Przebuduj

Tematy pokrewne

Przebudowywanie bieżącego rysunku i odświeżanie wszystkich widoków sąsiadujących

Odświeżanie bieżącego rysunku


Przebudowywanie bieżącego rysunku i odświeżanie wszystkich widoków sąsiadujących

Polecenie RebuildAll przebudowuje bieżący rysunek i odświeża wszystkie widoki sąsiadujące.

Przebudowywanie rysunku

  • Dokonuje ponownego obliczenia i ponownego indeksowania rysunku w celu optymalizacji wydajności wyświetlania i wybierania elementów rysunku.
  • Ponownie oblicza współrzędne ekranowe dla wszystkich elementów we wszystkich widokach sąsiadujących.
  • Odświeża wszystkie widoki sąsiadujące.

Dostęp

Polecenie: RebuildAll

Menu: Widok > Przebuduj wszystko

Tematy pokrewne

Przebudowywanie bieżącego rysunku

Odświeżanie bieżącego rysunku


Automatyczne przebudowywanie bieżącego rysunku

Polecenie AutoRebuild włącza lub wyłącza automatyczne przebudowywanie bieżącego rysunku.

Gdy automatyczna przebudowa jest włączona, rysunek jest automatycznie przebudowywany, gdy zachodzi taka potrzeba.

Gdy automatyczna przebudowa jest wyłączona, automatyczne przebudowywanie nie jest wykonywane do czasu użycia polecenia Rebuild lub RebuildAll, bądź włączenia automatycznej przebudowy. Gdy przebudowa jest niezbędna (na przykład podczas odblokowywania zablokowanych warstw), automatyczne przebudowanie zachodzi bez względu na ustawienie automatycznej przebudowy. W innych przypadkach, w których przebudowa zostałaby wykonana, pojawi się monit o kontynuację.

Polecenie to może być wywołane transparentnie.

Wyłączenie automatycznej przebudowy może pomóc w zaoszczędzeniu czasu podczas pracy z dużymi rysunkami.

Dostęp

Polecenie: AutoRebuild

Tematy pokrewne

Przebudowywanie bieżącego rysunku

Przebudowywanie bieżącego rysunku i odświeżanie wszystkich widoków sąsiadujących


Przesuwanie oraz powiększanie/pomniejszanie

Najbardziej podstawowymi funkcjami zmieniającymi widok rysunku są przesuwanie i powiększanie/pomniejszanie:

  • Przesuwanie pozwala przemieszczać widok do innej lokalizacji bez zmieniania jego powiększenia.
  • Powiększanie/pomniejszanie pozwala oglądać rysunek w większym lub mniejszym powiększeniu. Funkcje powiększania/pomniejszania przybliżają lub oddalają rysunek.

Dostępne są również funkcje Dynamiczny nowy fragment i Dynamiczny zoom. Zwykle są to najszybsze narzędzia, jakich można użyć do zmieniania widoku rysunku.


Przesuwanie

Polecenia przesuwania przemieszczają widoczny fragment rysunku w określonym kierunku. Nie zmieniają one lokalizacji ani powiększenia elementów rysunku.

Przesuwanie pozwala oglądać elementy, które były dotychczas niewidoczne, ponieważ znajdowały się poza obszarem oglądania. Podczas przesuwania skala widoku nie zmienia się, jak ma to miejsce podczas powiększania/pomniejszania.

  • Funkcja Dynamiczny nowy fragment pozwala na dynamiczne przesuwanie za pomocą ruchów wskaźnika.
  • Użycie funkcji Przesuń poprzez wskazanie pozwala określić dwa punkty na rysunku w celu ustalenia odległości i kierunku przemieszczenia widoku.
  • Można również użyć narzędzi Przesuń fragment w górę, Przesuń fragment w dół, Przesuń fragment w lewo oraz Przesuń fragment w prawo. Podczas używania funkcji przesuwania efekt jest taki jak przy ruchu kamery, a nie sceny.

Poleceń przesuwania można używać transparentnie.

Tematy pokrewne

Powiększanie/pomniejszanie


Przesuwanie dynamiczne

Przesuwanie przemieszcza rysunek bez zmiany powiększenia.

Aby przesunąć wyświetlany rysunek, należy:

  1. Kliknąć prawym przyciskiem myszy i kliknąć Przesuń.

    Wskaźnik zmieni się na [image].
  2. Umieścić wskaźnik w dowolnym miejscu w rysunku.
  3. Przytrzymać lewy przycisk myszy i przeciągnąć w kierunku, w jakim ma przemieścić się rysunek.

Aby zakończyć tryb przesuwania, należy:

  • Nacisnąć Enter, Esc lub klawisz spacji.

- lub -

  • Zwolnić lewy przycisk myszy, kliknąć prawym przyciskiem myszy i kliknąć Zakończ.

Dynamicznego przesuwania można używać transparentnie.

Dostęp

Polecenie: Pan

Menu: Widok > Przesuń > Dynamicznie

Kółko myszy: Przytrzymać kółko wciśnięte, aby przesuwać w czasie rzeczywistym

Tematy pokrewne

Przesuwanie przy użyciu punktów

Powiększanie/pomniejszanie dynamiczne

Polecenia transparentne


Przesuwanie przy użyciu punktów

Polecenie -Pan pozwala przesuwać bieżący widok rysunku w dowolnym kierunku poprzez wskazanie przemieszczenia (wektor). Rozmiar widoku pozostaje taki sam.

Przemieszczenie jest określane dwoma punktami. Punkty te określają wektor podający odległość i kierunek przesunięcia.

Dostęp

Polecenie: -Pan

Menu: Widok > Przesuń > Punkt

Tematy pokrewne

Przesuwanie dynamiczne

Powiększanie/pomniejszanie dynamiczne

Przesuwanie w górę

Przesuwanie w dół

Przesuwanie w lewo

Przesuwanie w prawo


Przesuwanie w górę

Podczas przesuwania w górę widoczny fragment rysunku przemieszcza się w górę.

Dostęp

Polecenie: PanUp

Menu: Widok > Przesuń > W górę

Tematy pokrewne

Przesuwanie przy użyciu punktów

Przesuwanie dynamiczne

Powiększanie/pomniejszanie dynamiczne


Przesuwanie w dół

Podczas przesuwania w dół widoczny fragment rysunku przemieszcza się w dół.

Dostęp

Polecenie: PanDown

Menu: Widok > Przesuń > W dół

Tematy pokrewne

Przesuwanie przy użyciu punktów

Przesuwanie dynamiczne

Powiększanie/pomniejszanie dynamiczne


Przesuwanie w lewo

Podczas przesuwania w lewo widoczny fragment rysunku przemieszcza się w lewo.

Dostęp

Polecenie: PanLeft

Menu: Widok > Przesuń > W lewo

Tematy pokrewne

Przesuwanie przy użyciu punktów

Przesuwanie dynamiczne

Powiększanie/pomniejszanie dynamiczne


Przesuwanie w prawo

Podczas przesuwania w prawo widoczny fragment rysunku przemieszcza się w prawo.

Dostęp

Polecenie: PanRight

Menu: Widok > Przesuń > W prawo

Tematy pokrewne

Przesuwanie przy użyciu punktów

Przesuwanie dynamiczne

Powiększanie/pomniejszanie dynamiczne


Powiększanie/pomniejszanie

Polecenia powiększania/pomniejszania zmieniają powiększenie wyświetlanego rysunku. Proporcja całego rysunku do powiększanych/pomniejszanych elementów pozostaje niezmieniona.

Polecenia powiększania/pomniejszania znajdują się w menu Widok lub na pasku narzędzi Powiększ/Pomniejsz.

  • Powiększ/pomniejsz dynamicznie [image] : Powiększa i pomniejsza bieżące okno rysunku w czasie rzeczywistym
  • Powiększ/pomniejsz centralnie [image]: Wyśrodkowuje rysunek na punkcie środkowym przy użyciu określonego współczynnika powiększenia lub wysokości wyświetlania
  • Współczynnik powiększenia/pomniejszenia [image] : Powiększa lub pomniejsza przy użyciu określonego współczynnika skali
  • Powiększ/pomniejsz poprzedni [image]: Przywraca poprzednio wyświetlany widok
  • Powiększ/pomniejsz wybrany [image]: Powiększa tak, by jeden lub kilka elementów zajmowało cały ekran
  • Powiększ okno [image] : Powiększa określony prostokąt
  • Powiększ [image] : Powiększa z wykorzystaniem wcześniej ustawionej skali
  • Pomniejsz [image] : Pomniejsza z wykorzystaniem wcześniej ustawionej skali
  • Granice powiększ/pomniejsz [image] : Wyświetla cały rysunek aż do granic rysunku lub zakresu rysunku (zależnie, który wymiar jest większy)
  • Powiększ/pomniejsz wpasowanie [image] : Powiększa tak, by wyświetlić cały rysunek wyśrodkowany na ekranie

Transparentne użycie poleceń powiększania/pomniejszania

Poleceń powiększania/pomniejszania można używać podczas wykonywania innego polecenia. Na przykład: można wykonać polecenie ZoomFit podczas rysowania linii:

: LINE
Określ punkt początkowy » <P1>
Określ następny punkt» <P2>
Określ następny punkt» 'zoomfit
Wznowienie polecenia linii.
Określ następny punkt» <P3>
Określ następny punkt» <P4>
...

Tematy pokrewne

Powiększanie/pomniejszanie dynamiczne

Przesuwanie


Powiększanie/pomniejszanie dynamiczne

Polecenie ZoomDynamic pozwala powiększać i pomniejszać bieżące okno rysunku w czasie rzeczywistym.

Aby użyć powiększania/pomniejszania dynamicznego, należy:

  1. Kliknąć prawym przyciskiem myszy i kliknąć Powiększ/pomniejsz, kliknąć Powiększ/pomniejsz dynamicznie [image] (pasek narzędzi Powiększ/pomniejsz) lub kliknąć Widok > Powiększ/pomniejsz > Dynamicznie (lub wpisać ZoomDynamic).

    Wskaźnik zmieni się na [image].
  2. Kliknąć i przeciągnąć wskaźnik w górę lub w dół:
    • Przeciąganie w górę powiększa.
    • Przeciąganie w dół pomniejsza.

Aby zakończyć powiększanie/pomniejszanie dynamiczne, należy:

  • Nacisnąć Enter lub Esc.

    - lub -
  • Kliknąć prawym przyciskiem myszy i kliknąć Zakończ.

Polecenia ZoomDynamic można używać transparentnie.

Dostęp

Polecenie: ZoomDynamic lub Zoom

Menu: Widok >Powiększ/pomniejsz > Dynamicznie

Kółko myszy: Obracanie kółkiem myszy pozwala na powiększanie i pomniejszanie.

Tematy pokrewne

Zoom


Powiększanie/pomniejszanie

Polecenie Zoom zmienia skalę wyświetlania rysunku. Polecenie to posiada wiele opcji:

  • Dynamiczny: Pozwala na powiększanie i pomniejszanie w jednej operacji.
  • Środek: Pozwala określić punkt środkowy dla nowego widoku oraz wartość powiększenia lub wysokość.
  • Współczynnik: Pozwala powiększać wyświetlanie, stosując określony współczynnik skalowania.
  • Poprzedni: Pozwala cofnąć ostatnią operację powiększania/pomniejszania.
  • Wybrane: Oblicza obwiednię obszaru, który zawiera wybrane elementy, i powiększa lub pomniejsza go tak, by elementy te były widoczne na ekranie.
  • Okno: Ukazuje wybrany fragment rysunku w największej możliwej skali.
  • Granice: Wyświetla cały rysunek, nawet jeżeli elementy zajmują tylko jego fragment.
  • Dopasowanie: Wyświetla rysunek w maksymalnym możliwym rozmiarze, lecz ignoruje granice rysunku podczas obliczania obwiedni powiększenia.
  • Lewa strona: Pozwala określić punkt w lewym dolnym rogu dla nowego widoku oraz wartość powiększenia lub wysokość.

Dostęp

Polecenie: Zoom

Menu: Widok > Powiększ/Pomniejsz

Tematy pokrewne

Powiększanie

Pomniejszanie

Przesuwanie dynamiczne

Przesuwanie przy użyciu punktów


Powiększ/pomniejsz poprzedni

Funkcja Powiększ/pomniejsz poprzedni pozwala cofnąć ostatnią operację powiększania/pomniejszania. Można przywrócić maksymalnie dziesięć poprzednich wyświetlań.

Aby powiększyć/pomniejszyć do poprzedniego wyświetlania, należy:

  • Kliknąć Widok > Powiększ/Pomniejsz > Poprzedni (lub wpisać ZoomBack).

Dostęp

Polecenie: ZoomBack

Menu: Widok > Powiększ/pomniejsz> Poprzedni

Tematy pokrewne

Polecenie Zoom

Powiększanie/pomniejszanie dynamiczne


Powiększanie okna

Funkcja Powiększ okno pokazuje wybrany fragment rysunku w największej możliwej skali.

Aby użyć funkcji Powiększ okno, należy:

  1. Kliknąć Widok > Powiększ/Pomniejsz > Okno (lub wpisać ZoomWindow).
  2. Kliknąć w obszarze graficznym, aby ustawić lewy górny narożnik okna.
  3. Kliknąć w obszarze graficznym, aby ustawić prawy dolny narożnik okna.

    Środek okna stanie się środkiem ekranu, a obszar wewnątrz określonego okna zostanie powiększony i dopasowany do ekranu.

Dostęp

Polecenie: ZoomWindow

Menu: Widok >Powiększ/pomniejsz > Okno

Tematy pokrewne

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Współczynnik powiększenia/pomniejszenia

Współczynnik powiększenia/pomniejszenia pozwala powiększać/pomniejszać wyświetlanie o współczynnik skalowania. Jest to użyteczne podczas pracy z arkuszami lub podczas kreślenia lub drukowania rysunku.

Aby użyć funkcji współczynnika powiększenia/pomniejszenia, należy:

  1. Kliknąć Widok > Powiększ/Pomniejsz > Współczynnik (lub wpisać ZoomFactor).
  2. Wpisać współczynnik skalowania. Jeżeli wpisano liczbę:
    • Bez rozszerzenia x lub xp, powiększenie jest względem zakresu rysunku. Współczynnik skalowania:
      • 1 pokazuje cały rysunek.
      • 2 pokazuje dwa razy większe elementy.
      • 0.5 pokazuje o połowę mniejsze elementy.
    • Z przyrostkiem x, skala jest względna do bieżącego widoku.
    • Z przyrostkiem xp, skala jest względna do jednostek arkusza. Na przykład .5xp wyświetla obszar modeli z połową skali jednostek arkusza. Służy to do określania powiększenia dla każdego widoku na arkuszu.
  3. Nacisnąć Enter.

Dostęp

Polecenie: ZoomFactor

Menu: Widok >Powiększ/pomniejsz > Współczynnik

Tematy pokrewne

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Powiększanie/pomniejszanie centralnie

Funkcja Powiększ/pomniejsz centralnie pozwala określić punkt środkowy dla nowego widoku oraz wartość powiększenia lub wysokość.

Aby użyć funkcji Powiększ/pomniejsz centralnie, należy:

  1. Kliknąć Widok > Powiększ/Pomniejsz > Środek.
  2. Kliknąć lub wpisać:
    1. Punkt środkowy
    2. Powiększenie lub wysokość Mniejsza wartość zwiększa powiększenie. Większa wartość zmniejsza powiększenie.

Nacisnąć Enter, aby użyć wartości domyślnych w celu ponownego wyśrodkowania rysunku bez zmieniania skali wyświetlania.

Dostęp

Menu: Widok > Powiększ/pomniejsz > Środek

Tematy pokrewne

Powiększanie/pomniejszanie

Przesuwanie


Powiększanie/pomniejszanie wybranych elementów

Funkcja Powiększ/pomniejsz wybrany oblicza obwiednię obszaru, który zawiera wybrane elementy, i powiększa lub pomniejsza go tak, by elementy te były widoczne na ekranie.

Aby powiększyć lub pomniejszyć do zakresu wybranych elementów, należy:

  1. Kliknąć Widok > Powiększ/Pomniejsz > Wybrane.
  2. W obszarze graficznym wybrać elementy do powiększenia/pomniejszenia.
  3. Nacisnąć Enter.

Dostęp

Menu: Widok > Powiększ/pomniejsz > Wybrane

Tematy pokrewne

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Powiększanie

Podczas powiększania następuje wzrost wielkości rysunku.

Aby użyć funkcji Powiększ, należy:

  • Kliknąć Widok > Powiększ/Pomniejsz > Powiększ (lub wpisać ZoomIn).

Dostęp

Polecenie: ZoomIn

Menu: Widok >Powiększ/pomniejsz > Powiększ

Tematy pokrewne

Pomniejszanie

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Pomniejszanie

Podczas pomniejszania następuje redukcja wielkości rysunku.

Aby użyć funkcji Pomniejsz, należy:

  • Kliknąć Widok > Powiększ/Pomniejsz > Pomniejsz (lub wpisać ZoomOut).

Dostęp

Polecenie: ZoomOut

Menu: Widok >Powiększ/pomniejsz > Pomniejsz

Tematy pokrewne

Powiększanie

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Granice powiększ/pomniejsz

Funkcja Granice powiększ/pomniejsz wyświetla cały rysunek, nawet jeżeli elementy zajmują tylko fragment rysunku.

Funkcja Granice powiększ/pomniejsz powiększa aktualne granice rysunku, jeżeli żadne elementy nie wykraczają poza te granice. Jeżeli elementy wykraczają poza zdefiniowane granice, są one uwzględniane w obliczeniach obwiedni do powiększenia/pomniejszenia.

Użycie funkcji Granice powiększ/pomniejsz w widoku 3D ma takie samo działanie, jak użycie funkcji Powiększ/pomniejsz wpasowanie.

Aby użyć funkcji Granice powiększ/pomniejsz, należy:

  • Kliknąć Widok > Powiększ/Pomniejsz > Granice.

Funkcji Granice powiększ/pomniejsz nie można używać transparentnie, ponieważ w każdym przypadku dokonuje ona przebudowania rysunku.

Dostęp

Menu: Widok > Powiększ/pomniejsz > Granice

Tematy pokrewne

Powiększ/pomniejsz wpasowanie

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Powiększ/pomniejsz wpasowanie

Funkcja Powiększ/pomniejsz wpasowanie wyświetla rysunek wraz ze wszystkimi jego elementami w maksymalnej możliwej wielkości na ekranie.

W przeciwieństwie do funkcji Granice powiększ/pomniejsz, funkcja Powiększ/pomniejsz wpasowanie ignoruje granice rysunku.

Funkcja Powiększ/pomniejsz wpasowanie uwzględnia elementy na warstwach, które zostały wyłączone, lecz nie uwzględnia elementów na warstwach, które zostały zablokowane. Na wyniki mogą wpływać punkty z usuniętych lub zmodyfikowanych elementów, które są nadal zapisane w rysunku. Punkty te są usuwane po przebudowaniu rysunku. Dlatego też, przed użyciem polecenia Powiększ/pomniejsz wpasowanie należy użyć polecenia Rebuild.

Aby użyć funkcji Powiększ/pomniejsz wpasowanie, należy:

  1. Kliknąć Widok > Przebuduj (lub wpisać Rebuild).
  2. Kliknąć Widok > Powiększ/Pomniejsz > Wpasowanie (lub wpisać ZoomFit).

Dostęp

Polecenie: ZoomFit

Menu: Widok > Powiększ/pomniejsz > Wpasowanie

Tematy pokrewne

Granice powiększ/pomniejsz

Powiększanie/pomniejszanie

Powiększanie/pomniejszanie dynamiczne


Zapisywanie i przywracanie widoków zdefiniowanych przez użytkownika

Widok oznacza wyświetlanie rysunku na ekranie. Dowolnemu widokowi można nadać nazwę i zapisać go celem późniejszego wyświetlenia.

Polecenie Views pozwala na zapisywanie, przywracanie i kontrolowanie nazwanych widoków.

Aby zarządzać widokami, należy:

  • Kliknąć Widok > Nazwane widoki (lub wpisać Views).
  • Okno dialogowe Widoki rozróżnia trzy typy widoków: Model, Arkusz i Domyślne. Każdy typ wyświetla listę nazwanych widoków.

Aby zapisać nazwane widoki, należy:

  1. Kliknąć Widok > Nazwane widoki (lub wpisać Views).
  2. Kliknąć Nowy.
  3. W oknie dialogowym Widok należy:
    1. W polu Nazwa wpisać nazwę widoku.
    2. W polu Klasa wpisać nową nazwę klasy lub wybrać klasę. Można również pozostawić Klasę ustawioną na <Brak>.
    3. W części Obwiednie ustawić opcje:
      • Jak wyświetlony. Wykorzystuje obwiednie bieżącego wyświetlania.
      • Określ później. Pozwala zdefiniować oknem obszar bieżącego widoku. Kliknąć Określ później [image] i zdefiniować prostokątny obszar w obszarze graficznym, a następnie nacisnąć Enter.
  4. W obszarze Tło:
    • Ignoruj domyślne. Określa, czy ma być wyświetlane tło z nazwanym widokiem.
    • Formatuj tło [image]. Definiuje typ i właściwości tła dla nazwanych widoków modelu, w przypadku których tryb widoku cieniowanego nie jest ustawiony na 2D (patrz Definiowanie tła dla nazwanych widoków).
  5. Kliknąć OK dwa razy.

Aby przywrócić nazwane widoki, należy:

  1. Kliknąć Widok > Nazwane widoki (lub wpisać Views).
  2. W części Nazwy widoku wybrać widok do przywrócenia.
  3. Kliknąć OK.

Aby edytować obwiednie widoku, należy:

  1. Kliknąć Widok > Nazwane widoki (lub wpisać Views).
  2. W części Nazwy widoku wybrać widok, którego obwiednie należy edytować.
  3. Kliknąć Edycja.
  4. W obszarze graficznym określić nowe obwiednie i nacisnąć Enter.
  5. Kliknąć OK.

Aby usunąć nazwane widoki, należy:

  1. Kliknąć Widok > Nazwane widoki (lub wpisać Views).
  2. W części Nazwy widoku wybrać widok do usunięcia.
  3. Kliknąć Usuń.

Nie można usuwać widoku Bieżący oraz wcześniej ustawionych widoków Domyślne.

Definiowanie tła dla nazwanych widoków

Użyć okna dialogowego Formatuj tło dla polecenia View, aby określić rodzaj i właściwości tła dla nazwanych widoków modelu.

Oglądanie widoku tła jest możliwe tylko w okienkach ekranu dla modelu i wymaga, aby tryb Widoku cieniowanego nie był ustawiony na 2D.

Aby zdefiniować tło dla nazwanych widoków:

  1. W oknie dialogowym Formatuj tło określić Typ (Wypełnienie, Gradient lub Obraz).
  2. Jeżeli wybrano Wypełnienie:
    1. W obszarze Opcje kliknąć Wybierz kolor.
    2. W oknie dialogowym Kolor wybrać Kolor standardowy lub Dostosowany kolor.
  3. Jeżeli wybrano Gradient:
    1. W obszarze Opcje zaznaczyć lub usunąć zaznaczenie opcji Dwa kolory, aby określić, czy na wypełnienie gradientowe składać się mają dwa, czy trzy kolory.
    2. Kliknąć Kolor góra, aby określić kolor standardowy lub kolor niestandardowy w oknie dialogowym Kolor dla górnej części wypełnienia gradientowego.
    3. Kliknąć Kolor środek, aby określić kolor w środkowej części wypełnienia gradientowego (opcja ta nie jest dostępna, jeżeli wybrano Dwa kolory).
    4. Kliknąć Kolor dół, aby określić kolor w dolnej części wypełnienia gradientowego.
    5. W obszarze Kąt określić kąt obrotu tła gradientowego.
  4. Jeśli wybrano Obraz:
    1. W obszarze Opcje podać nazwę pliku obrazu (*.bmp, *.png lub *.jpg). Kliknąć Przeglądaj w poszukiwaniu pliku obrazu.
    2. Kliknąć Modyfikuj, aby zmodyfikować obraz.
    3. W oknie dialogowym określić Położenie obrazu tła:
      • Środek. Wyśrodkowuje obraz bez zmieniania jego współczynnika kształtu lub skali.
      • Rozciągnij. Rozciąga obraz, aby wypełnić tło widoku.
      • Sąsiadująco Pozycjonuje obraz w lewym górnym narożniku widoku i powtarza go aż do wypełnienia tła bez zmieniania współczynnika kształtu czy skali.
    4. Zaznaczyć lub usunąć zaznaczenie opcji Zablokuj współczynnik kształtu, aby określić, czy skalowanie X/Y obrazu ma zostać zablokowane na tej samej wartości.
    5. Kliknąć Dostosuj skalę, aby określić skalę obrazu w zakresie od 0,1 do 100 (opcja ta nie jest dostępna, jeżeli wybrano pozycję Rozciągnij).
    6. Kliknąć Dostosuj odsunięcie, aby określić przesunięcie osi X i Y względem środka lub położenia obrazu w lewym górnym narożniku (opcja ta nie jest dostępna, jeżeli wybrano pozycję Rozciągnij). Można wprowadzić wartości dodatnie, ujemne lub zerową.
    7. Kliknąć Zresetuj, aby przywrócić wartości domyślne skali i przesunięcia.
    8. Kliknąć OK.
  5. W obszarze Podgląd można obejrzeć określone tło dla nazwanego widoku.
  6. Wpisać ShadeView, aby ustawić widok cieniowany w trybie innym niż 2D.

Aby usunąć tło nazwanego widoku, uruchomić polecenie View i wybrać nazwany widok. W widoku drzewa Właściwości rozwinąć pozycję Ogólne i ustawić Zastąpienie tła na wartość <Brak>.

Dostęp

Polecenie: Views

Menu: Widok > Nazwane widoki

Tematy pokrewne

-Views (wariant okna poleceń)


Praca z widokami sąsiadującymi w przestrzeni roboczej modelu

Okno rysunku można podzielić na wiele widoków. Każdy widok może zawierać unikatowy widok rysunku. Pozwala to oglądać różne obszary rysunku, zarówno widoki planu o różnym stopniu szczegółowości, jak i modelu z różnych punktów obserwacji w przestrzeni 3D.

W danej chwili pracować można tylko w jednym widoku - widoku bieżącym.

Widoki sąsiadujące nie zachodzą na siebie w przestrzeni roboczej, w przeciwieństwie do okien rysunku. Wygląda to jak gdyby okno rysunku podzielone zostało na dwa, trzy lub cztery prostokątne obszary. Obszary te można rozmieszczać na kilka sposobów.

Grupa widoków sąsiadujących nosi nazwę konfiguracji wyświetlania sąsiadującego.

Konfiguracje wyświetlania sąsiadującego można definiować, zapisywać i przywracać przy użyciu okna dialogowego Wyświetl sąsiadująco.

Aby zdefiniować konfigurację wyświetlania sąsiadującego, należy:

  1. Kliknąć Widok > Wyświetl sąsiadująco > Menedżer wyświetlania sąsiadująco (lub wpisać ViewTiles).
  2. W części Typ wybrać Nowy.
  3. W części Domyślne konfiguracje wybrać konfigurację wyświetlania sąsiadującego, która ma zostać użyta lub zapamiętana pod nazwą.

    *Aktywna konfiguracja modelu* pozwala wykorzystać konfigurację w postaci z chwili otwarcia okna dialogowego.
  4. W części Orientacja wybrać:
    • 2D: Inicjuje wszystkie wyświetlania sąsiadujące konfiguracji zdefiniowanej z wykorzystaniem bieżącego widoku.
    • 3D: Pozwala zdefiniować standardowe widoki prostopadłe lub izometryczne 3D w części &Zastąp widok dla każdego wyświetlania sąsiadującego.
  5. W części Zastosuj do wybrać:
    • Aktywne wyświetlanie sąsiadujące: Stosuje konfigurację wyświetlania sąsiadującego do bieżącego widoku. Standardowe konfiguracje wyświetlania sąsiadującego można dalej dzielić.
    • Wyświetlanie: Stosuje konfigurację wyświetlania sąsiadującego do całego rysunku.

Aby zapisać konfigurację wyświetlania sąsiadującego pod nazwą, należy:

  1. Kliknąć Widok > Wyświetl sąsiadująco > Menedżer wyświetlania sąsiadująco (lub wpisać ViewTiles).
  2. W części Typ, wybrać Nowy.
  3. W części Nazwa wpisać nazwę konfiguracji wyświetlania sąsiadującego do zapisania.
  4. W części Domyślne konfiguracje wybrać domyślną konfigurację.
  5. Aby reprezentować różne widoki 3D w widokach, należy:
    1. W części Orientacja wybrać 3D.
    2. W części Zastąp widok wybrać widok prostopadły lub izometryczny do wyświetlenia w określonym widoku.
  6. Kliknąć Zapisz.

Aby przywrócić nazwaną konfigurację wyświetlania sąsiadującego, należy:

  1. Kliknąć Widok > Wyświetl sąsiadująco > Menedżer wyświetlania sąsiadująco (lub wpisać ViewTiles).
  2. W części Typ wybrać Nazwany.
  3. W części Nazwane konfiguracje wybrać nazwę.
  4. Kliknąć OK.

Aby usunąć nazwaną konfigurację wyświetlania sąsiadującego, należy:

  1. Kliknąć Widok > Wyświetl sąsiadująco > Menedżer wyświetlania sąsiadująco (lub wpisać ViewTiles).
  2. W części Typ wybrać Nazwany.
  3. W części Nazwane konfiguracje kliknąć nazwę prawym przyciskiem myszy i kliknąć Usuń.
  4. Kliknąć OK.

Aby połączyć widoki konfiguracji wyświetlania sąsiadującego, należy:

  1. Wpisać -Viewport.
  2. Określić opcję Połącz.

    Dwa przylegające wyświetlania sąsiadujące zostaną połączone w jedno wyświetlanie sąsiadujące. Wynikowe wyświetlanie sąsiadujące dziedziczy widok dominującego wyświetlania sąsiadującego.

Dostęp

Polecenie: ViewTiles

Menu: Widok > Wyświetl sąsiadująco > Menedżer wyświetlania sąsiadująco

Tematy pokrewne

-Viewport (wariant okna poleceń)


Nawigacja przy użyciu myszy 3D

[Wersja Windows®]

[Wersja Windows®]

Myszy 3Dconnexion® 3D można użyć do nawigacji w rysunkach 2D lub 3D.

Poruszenie przycisku myszy 3D umożliwia popychanie, pociąganie, obracanie, pochylanie lub jednoczesne przemieszczanie i powiększanie rysunku oraz obracanie modelu:

Powiększ/Przesuń |  |  | Obróć
Powiększ/pomniejsz | Przesuń w lewo/prawo | Przesuń do góry/w dół | Przechyl | Obróć | Przekręć

Zwiększenie nacisku na przycisk umożliwia szybszą zmianę, a zmniejszenie nacisku — wolniejszą zmianę.

W układzie przestrzeni roboczej arkusza opcje nawigacji są ograniczone do przesuwania i powiększania.

Przed uruchomieniem programu należy upewnić się, że mysz 3D jest podłączona do komputera. Po podłączeniu urządzenia do komputera sterownik myszy 3D zostanie zainstalowany automatycznie.

Gdy mysz 3D będzie gotowa do użycia, na pasku menu pojawi się menu Mysz 3D umożliwiające sterowanie zachowaniem myszy 3D w rysunku.

Menu umożliwia:

  • włączanie i wyłączanie funkcji przesuwania i powiększania widoku rysunku
  • włączanie i wyłączanie funkcji obracania modelu
  • włączanie trybu dominacji — po jego włączeniu filtrowane są wszystkie ruchy z wyjątkiem danych pochodzących z osi, w której występuje najsilniejszy ruch
  • dostosowanie szybkości ruchów przy użyciu przycisku myszy 3D

Menu umożliwia również dostosowanie sposobu używania myszy 3D:

  • Polecenie 3DMouseOptions umożliwia określenie ustawień nawigacji
  • Polecenie 3DMouseButtons umożliwia przypisanie poleceń do przycisków myszy 3D


Ustawianie opcji myszy 3D

[Wersja Windows®]

[Wersja Windows®]

Można dostosować nawigację przy użyciu myszy 3D.

Aby ustawić opcje myszy 3D:

  1. Wybrać Mysz 3D > Opcje (lub wpisać 3DMouseOptions).
  2. W oknie dialogowym Opcje myszy 3D określić opcje:
    • W sekcji Czułość:
      • użyć suwaka w celu ustawienia czułości myszy 3D (pomiędzy wartością niską, 0%, a wysoką, 100%)
      • ustawić tryb Dominacji. Filtruje on wszystkie ruchy z wyjątkiem danych pochodzących z osi, w której ruch występuje w największym zakresie.
    • W sekcji Szybkość:
      • użyć suwaka w celu regulacji płynności reakcji na ruchy przycisku myszy (od wolnej, 1%, do szybkiej, 100%).
    • W sekcji Ogólne:
      • ustawić Powiększanie/Przesuwanie, aby używać myszy 3D do powiększania, zmniejszania i przesuwania rysunku w czterech kierunkach (lewo, prawo, góra i dół)
      • ustawić Obrót, aby używać myszy 3D do obracania modelu
      • W przypadku włączenia obu opcji można jednocześnie przesuwać, powiększać i obracać.
      • W przypadku wyłączenia obu opcji nie można wykonywać żadnych ruchów przy użyciu myszy 3D.
    • W sekcji Kierunek powiększania:
      • wybrać Pionowy lub Poziomy:
      • Poziomy oznacza, że w celu powiększenia trzeba przekręcić lub pochylić przycisk myszy 3D.
      • Pionowy oznacza, że w celu powiększenia trzeba popchnąć lub pociągnąć przycisk myszy 3D. W tym trybie można przesuwać rysunek w lewo, w prawo, w górę i w dół, przekręcając lub pochylając przycisk myszy.
    • W sekcji Osie:
      • wybrać Zgodnie z ruchem wskazówek zegara lub Przeciwnie do ruchu wskazówek zegara.
      • Zgodnie z ruchem wskazówek zegara oznacza, że obracanie rysunku jest zgodne z kierunkiem obrotu przycisku myszy 3D. Podczas przesuwania przy użyciu myszy 3D widoczna część rysunku przesuwa się w lewo po obróceniu przycisku myszy 3D i na odwrót.
      • Przeciwnie do ruchu wskazówek zegara oznacza, że obracanie rysunku jest przeciwne do kierunku obrotu przycisku myszy 3D. Podczas przesuwania widoczna część rysunku przesuwa się przeciwnie do kierunku obrotu przycisku myszy 3D.
  3. Kliknąć OK.

Dostęp

Polecenie: 3DMouseOptions

Menu: Mysz 3D > Opcje

Tematy pokrewne

Nawigacja przy użyciu myszy 3D

Przypisywanie przycisków myszy 3D


Przypisywanie poleceń do przycisków myszy 3D

[Wersja Windows®]

[Wersja Windows®]

Do przycisków myszy 3D można przypisać co najmniej dwa polecenia (w zależności od używanego urządzenia).

Aby przypisać polecenia do przycisków myszy 3D:

  1. Wybrać Mysz 3D > Mapowanie przycisków (lub wpisać 3DMouseButtons).
  2. Z listy poleceń wybrać polecenie, które ma zostać przypisane do przycisku myszy 3D.
  3. W celu rozgraniczenia poleceń można użyć następujących opcji:
    • W sekcji Kategoria wybrać pozycję, aby wyświetlić określoną grupę poleceń.
    • Ustawić Polecenia przypisane do przycisków myszy tak, aby wyświetlane były tylko polecenia przypisane do przycisku myszy 3D.
    • Użyć funkcji Szukaj, aby znaleźć polecenia pasujące do wpisanego ciągu wyszukiwania.
    • W sekcji Opis wyświetlić krótki opis wybranego polecenia.
  4. Z listy w kolumnie Wybierz wybrać przycisk (na przykład Lewy lub Prawy).
  5. Aby anulować przypisanie poleceń do wszystkich przycisków, kliknąć Przywróć ustawienia domyślne.
  6. Kliknąć OK.

Dostęp

Polecenie: 3DMouseButtons

Menu: Mysz 3D > Mapowanie przycisków

Tematy pokrewne

Nawigacja przy użyciu myszy 3D

Ustawianie opcji myszy 3D


Ustawianie opcji wyświetlania

Ten rozdział opisuje funkcje związane z wyglądem elementów rysunku oraz środowiska aplikacji:

  • Wyświetlanie historii poleceń
  • Wyświetlanie ikony układu współrzędnych
  • Włączanie i wyłączanie trybu tekstu w ramce
  • Wyświetlanie atrybutów bloku


Wyświetlanie historii poleceń

Historię poleceń można otworzyć w oddzielnym oknie, w górnej części obszaru graficznego.

Aby włączyć okno historii poleceń, należy:

  • Kliknąć Widok > Wyświetl > Historia poleceń
  • - lub -
  • Wpisać CommandHistory w wierszu poleceń.
  • - lub -
  • Nacisnąć F2.
  • Nacisnąć F2.
  • Nacisnąć Fn + F2.

Aby ukryć okno historii poleceń, należy:

  • Wpisać HideCommandHistory.
  • - lub -
  • Nacisnąć F2.
  • Nacisnąć F2.
  • Nacisnąć Fn + F2.

Dostęp

Polecenie: CommandHistory

Menu: Widok > Wyświetl > Historia poleceń

Tematy pokrewne

Ukrywanie okna historii poleceń

Okno poleceń (obszar wiersza poleceń)

Interfejs użytkownika


Wyświetlanie ikony układu współrzędnych

Ikonę układu współrzędnych można włączyć lub wyłączyć, a także sterować miejscem jej wyświetlania. Ikona układu współrzędnych jest również nazywana symbolem współrzędnych.

2D: 3D:

Znak plusa (+) pojawi się u podstawy ikony, gdy znajduje się ona w początku aktualnego układu współrzędnych.

Globalny układ współrzędnych (GUW): Niestandardowe układy współrzędnych (NUW):

Aby sterować wyświetlaniem ikony układu współrzędnych, należy:

  1. Wpisać CSIcon.
  2. Można również kliknąć Widok > Wyświetl > Ikona NUW i wybrać Wł. oraz Początek.
  3. Określić opcję:
    • Wszystkie: Domyślnie polecenie CSIcon dotyczy tylko bieżącego widoku. Wszystko stosuje zmiany do ikony układu współrzędnych we wszystkich widokach. Można wybrać spośród: Brak początku, Wył., Wł. lub Początek.
    • Brak początku: Wyświetla ikonę układu współrzędnych w lewym dolnym narożniku, niezależnie od początku bieżącego układu współrzędnych.
    • Wył.: Ukrywa ikonę układu współrzędnych.
    • Wł.: Wyświetla ikonę układu współrzędnych.
    • Początek: Wyświetla ikonę układu współrzędnych w początku (0,0,0) bieżącego układu współrzędnych. Jeżeli początek układu współrzędnych leży poza wyświetlaczem, ikona jest umieszczana w lewym dolnym narożniku.

Dostęp

Polecenie: CSIcon

Menu: Widok > Wyświetl > Ikona NUW

Tematy pokrewne

Ustawianie niestandardowych układów współrzędnych

Zarządzanie niestandardowymi układami współrzędnych


Ustawianie jakości wyświetlania okręgów i krzywych

Polecenie DisplayQuality steruje gładkością wyświetlania okręgów i krzywych.

Rozdzielczość widoku okręgów, łuków, elips i splajnów jest określana przez wartość procentową powiększenia kołowego. Zwiększanie tej wartości zapewnia gładszy wygląd okręgów i krzywych.

Aby ustawić jakość wyświetlania okręgów i krzywych, należy:

  1. Wpisać DisplayQuality w wierszu poleceń.

    Zostanie wyświetlony monit, czy należy włączyć szybkie powiększanie/pomniejszanie. Monit ten nie ma znaczenia i służy tylko zapewnieniu zgodności skryptów.
  2. Nacisnąć Enter.
  3. Wpisać wartość procentową powiększenia kołowego i nacisnąć Enter. Większe wartości procentowe powiększenia mogą wydłużać czas przebudowy rysunku.

Dostęp

Polecenie: DisplayQuality


Sterowanie widocznością wypełnień

Można sterować widocznością wypełnienia dla szerokich polilinii, brył, śladów, kreskowań i gradientów.

Aby sterować widocznością wypełnień, należy:

  1. Wpisać DisplayFills w wierszu poleceń.
  2. Określić opcję:
    • Wł.: Włącza wypełnienia.
    • Wył.: Wyłącza wypełnienia. Wyświetlane są tylko kontury elementów.

Uwaga: Wyświetlanie szerokości linii można określić przy użyciu polecenia Options. W oknie dialogowym Opcje należy kliknąć Style szkicowania > Aktywne style szkicowania > Czcionka liniowa > Szerokość linii, a następnie wybrać opcję Wyświetlaj szerokość w obszarze graficznym.

Dostęp

Polecenie: DisplayFills


Włączanie i wyłączanie trybu ramki tekstu

Tryb ramki tekstu zastępuje tekst prostokątnymi ramkami, oszczędzając czas podczas przebudowywania rysunku. Tryb ramki tekstu przyspiesza drukowanie. Tryb ramki tekstu jest domyślnie wyłączony, dzięki czemu tekst jest wyświetlany i drukowany normalnie.

Aby włączyć tryb ramki tekstu, należy:

  1. Wpisać BoxText w wierszu poleceń.
  2. Określić opcję Tak.
  3. Aby zobaczyć efekt trybu ramki tekstu, należy wpisać Rebuild.

    Elementy tekstowe zostaną zastąpione prostokątnymi ramkami.

Aby wyłączyć tryb ramki tekstu, należy:

  1. Wpisać BoxText.
  2. Wybrać opcję Nie.

Dostęp

Polecenie: BoxText


Wyświetlanie 3D i prezentacja

Podczas tworzenia rysunków 3D potrzebne są narzędzia wyświetlania i udoskonalania modeli, pozwalające na lepszą wizualizację modeli.

  • Narzędzia wyświetlania 3D
  • Ukrywanie, cieniowanie i renderowanie
  • Używanie świateł


Używanie narzędzi wyświetlania 3D

Narzędzia wyświetlania 3D można wykorzystać do wizualizowania rysunków z dowolnego punktu w przestrzeni 3D:

  • Wyświetlanie 3D z użyciem polecenia RollView
  • Ustawianie kierunku oglądania


Wyświetlanie 3D z użyciem polecenia RollView

Polecenie RollView służy do interaktywnego oglądania modelu w 3D, jak gdyby kamera poruszała się, a model pozostawał nieruchomy.

Aby oglądać model interaktywnie w 3D, należy:

  1. Kliknąć Widok > Powiązana orbita (lub wpisać RollView).
  2. Nacisnąć Shift, aby wyświetlić manipulator ArcBall z czterema niewielkimi okręgami w każdym kwadrancie.

    Ustawienie kursora w manipulatorze ArcBall określa pozycję i ruch kamery.

    Aby: Wykonać tę akcję:
    Przeciągnąć model w górę, w dół, w lewo, w prawo lub po przekątnej. | Kliknąć lewym przyciskiem myszy wewnątrz manipulatora ArcBall i przeciągnąć.
    Obrócić kamerę przy zachowaniu poziomego horyzontu. | Kliknąć lewym przyciskiem myszy na zewnątrz manipulatora ArcBall i przeciągnąć.
    Przenieść kamerę pionowo, utrzymując wycelowanie na bieżący cel (jak na statywie). Kliknąć lewym przyciskiem myszy na okręgu w górnym lub dolnym kwadrancie manipulatora ArcBall i przeciągnąć.

    Obydwa kwadranty manipulatora ArcBall dają te same rezultaty. Można obracać wokół celu o 360°.
    Przenieść kamerę poziomo, utrzymując wycelowanie na bieżący cel (jak na statywie). Kliknąć lewym przyciskiem myszy na okręgu w lewym lub prawym kwadrancie manipulatora ArcBall.

    Obydwa kwadranty manipulatora ArcBall dają te same rezultaty. Można obracać wokół celu o 360°.

Dostęp

Polecenie: RollView

Menu: Widok > Powiązana orbita

Skrót: Nacisnąć Shift i kliknąć kółkiem myszy.

Tematy pokrewne

Wyświetlanie wyśrodkowanego widoku 3D z użyciem polecenia RollView

Ustawianie kierunku oglądania

Używanie narzędzi wyświetlania 3D


Wyświetlanie wyśrodkowanego widoku 3D z użyciem polecenia RollView

Użyć polecenia RollViewCenter, aby ustawić środek obrotu widoku powiązanej orbity, i uruchomić widok powiązanej orbity (RollView).

Aby ustawić punkt środkowy widoku powiązanej orbity:

  1. Wpisać RollViewCenter w wierszu poleceń.
  2. Określić punkt środkowy obracania rysunku w trybie RollView (wewnątrz bieżącego widoku wyświetlanego na ekranie).
  3. Nacisnąć lewy przycisk myszy i przeciągnąć kursor, aby obrócić rysunek w przestrzeni 3D, podobnie jak w przypadku polecenia RollView.
  4. Nacisnąć klawisz Esc lub Enter, aby wyjść z widoku powiązanej orbity.

Dostęp

Polecenie: RollViewCenter

Tematy pokrewne

Wyświetlanie 3D z użyciem polecenia RollView


Ustawianie kierunku oglądania

Polecenie ViewDirection ustawia kierunek oglądania odpowiadający punktowi obserwacji w przestrzeni modelu.

Elementy rysunku są wyświetlane jak oglądane z określonego punktu obserwacji w przestrzeni roboczej modelu.

Aby ustawić punkt obserwacji, należy:

  1. Wpisać ViewDirection w wierszu poleceń.
  2. Wpisać nowy punkt obserwacji, na przykład: 1,1,1.

    Punkt obserwacji tworzy wektor do początku układu współrzędnych (0,0,0), definiujący kierunek, z którego rysunek jest oglądany.

Aby obrócić punkt obserwacji, należy:

  1. Wpisać ViewDirection.
  2. Określić opcję Kąt widoku.
  3. Wpisać kąt:
    1. W płaszczyźnie XY względem osi X, na przykład: 45.
    2. Powyżej lub poniżej celu, na przykład: 33.

Dostęp

Polecenie: ViewDirection

Tematy pokrewne

Używanie narzędzi wyświetlania 3D

Wyświetlanie 3D z użyciem polecenia RollView


Ukrywanie, cieniowanie i renderowanie

Ukrywanie, cieniowanie i renderowanie pomagają wizualizować i sterować modelami.

W poniższych tematach omówiono:

  • Ustawianie trybu widoku cieniowanego
  • Usuwanie ukrytych linii
  • Cieniowanie rysunku
  • Renderowanie rysunku


Ustawianie trybu widoku cieniowanego

Polecenie ShadeView służy do zmieniania wyglądu modeli 3D.

Aby ustawić tryb cieniowania, należy:

  1. Wpisać ShadeView w wierszu poleceń.
  2. Określić opcję:
    • 2D: Wykorzystuje linie i krzywe do reprezentacji obwiedni.
    • Przestawienie krawędziowe 3D: Wykorzystuje linie i krzywe, które reprezentują obwiednie. Kolory materiałów są ukazywane.
    • Ukryte: Wykorzystuje przedstawienie krawędziowe z ukrytymi liniami usuniętymi.
    • Płaski: Wyświetlanie płasko cieniowanych elementów. Bardziej płaski wygląd niż w przypadku cieniowania Gourauda.
    • Płaski z krawędziami: Wyświetlanie płasko cieniowanych elementów z prześwitującymi krawędziami elementów.
    • Cieniowanie Gourauda: Wyświetlanie elementów z cieniowaniem Gourauda. Bardziej gładki i realistyczny wygląd niż w przypadku cieniowania płaskiego.
    • Cieniowanie Gourauda z krawędziami: Wyświetlanie elementów z cieniowaniem Gourauda z prześwitującymi krawędziami elementów.

Dostęp

Polecenie: ShadeView

Menu: Widok > Cieniuj

Tematy pokrewne

Usuwanie ukrytych linii

Cieniowanie rysunku

Renderowanie rysunku


Usuwanie ukrytych linii

Polecenie HideView służy do wyświetlania bieżącego widoku rysunku z ukrytymi liniami usuniętymi.

Aby usunąć ukryte linie, należy:

  • Kliknąć Widok > Ukryj (lub wpisać HideView).

Dostęp

Polecenie: HideView

Menu: Widok > Ukryj

Tematy pokrewne

Ustawianie trybu cieniowanego

Cieniowanie rysunku

Renderowanie rysunku


Cieniowanie rysunku

Polecenie Shade pozwala cieniować elementy w bieżącym widoku bieżącego rysunku. Model rysunku zostanie wyświetlony jako płasko cieniowane przedstawienie krawędziowe (równoważne poleceniu ShadeView z opcjami Płaski i Płaski z krawędziami).

Cieniowanie nie przeprowadza analizy źródeł światła w modelu.

Aby cieniować rysunek, należy:

  • Kliknąć Widok > Cieniuj (lub wpisać Shade).

Dostęp

Polecenie: Shade

Tematy pokrewne

Ustawianie trybu widoku cieniowanego

Usuwanie ukrytych linii

Renderowanie rysunku


Renderowanie rysunku

Polecenie ARender służy do renderowania rysunków 3D tak, jak będą wyglądać po zbudowaniu. Aby zwiększyć realistyczność, renderowanie:

  • wygładza cieniowanie w elementach, które zbiegają się pod określonymi kątami;
  • oszacowuje źródła światła w rysunku.

Aby dokonać renderowania rysunku, należy:

  1. Kliknąć Widok > Animowane renderowanie (lub wpisać ARender).
  2. Określić elementy do renderowania.
  3. Nacisnąć klawisz Enter, aby renderować model.
  4. Określić opcję, gdzie należy wyświetlić renderowany rysunek:
    • Pełny ekran: Model pokrywa cały ekran.
    • Okno: Model jest wyświetlany w oddzielnym oknie.
  5. Nacisnąć lewy przycisk myszy i przeciągnąć, aby obrócić renderowany model.

    Nacisnąć środkowy przycisk myszy i przeciągnąć (lub użyć kółka myszy), aby powiększyć lub pomniejszyć model.
  6. Nacisnąć Esc, aby zakończyć tryb pełnoekranowy, lub wyjść z oddzielnego okna.

Dostęp

Polecenie: ARender

Menu: Widok > Animowane renderowanie

Tematy pokrewne

Ustawianie trybu cieniowanego

Usuwanie ukrytych linii

Cieniowanie rysunku

Używanie świateł


Światła

Używanie świateł

Można umieszczać źródła światła w rysunkach, aby uzyskać bardziej realistyczną prezentację. Światła wpływają na wizualizację podczas renderowania modelu.

  • Tworzenie źródła światła
  • Tworzenie światła punktowego
  • Tworzenie światła ogniskowego
  • Tworzenie światła kierunkowego
  • Tworzenie światła niewycelowanego
  • Tworzenie światła punktowego wycelowanego
  • Zarządzanie światłami przy użyciu palety oświetlenia
  • Ukrywanie palety oświetlenia


Tworzenie źródła światła

Polecenie Light służy do umieszczania źródeł światła w rysunku celem uzyskania realistycznego renderowania.

Aby utworzyć źródła światła, należy:

  1. Wpisać Light w wierszu poleceń.
  2. Określić opcję:
    • Odległy: Liniowe światła równoległe, które promieniują światło wzdłuż linii, podobnie do świetlówki fluorescencyjnej. Światło kierunkowe emituje jednorodne, równoległe promienie światła tylko w jednym kierunku. Intensywność światła nie zmniejsza się wraz z odległością. Promienie światła rozchodzą się w nieskończoność po każdej stronie punktu wstawienia odległego źródła światła. Światło odległe służy do symulowania światła słonecznego. Opcja Odległy jest równoważna poleceniu Directionallight.
    • Swobodne światło punktowe: Światło posiadające lokalizację źródła, lecz nieposiadające lokalizacji docelowej (domyślnie). Opcja Swobodne światło punktowe jest równoważna poleceniu Nontargetlight.
    • Punkt: Światło punktowe posiadające lokalizację źródła, lecz nieposiadające kierunku. Światło punktowe wysyła promienie światła we wszystkich kierunkach z jednego punktu, podobnie do żarówki. Opcja Punkt jest równoważna poleceniu Pointlight.
    • Ognisko: Światło ogniskowe posiadające lokalizację źródła i kierunek. Światło ogniskowe emituje promienie światła w określonym kierunku. Ten typ źródła światła jest podobny do reflektora scenicznego. Opcja Ognisko jest równoważna poleceniu Spotlight.
    • Punkt docelowy: Światło posiadające lokalizację docelową. Opcja Punkt docelowy jest równoważna poleceniu Targetpointlight.
  3. Określić lokalizacje źródła i docelową.
  4. Określić cechy charakterystyczne źródła światła:
    • Osłabienie: Określić osłabienie odległościowe dla źródeł światła:
      • Ograniczenie końcowe: Określa odległość, w jakiej światło kończy się jako odsunięcie od środka światła.
      • Ograniczenie początkowe: Określa odległość, w jakiej światło rozpoczyna się jako odsunięcie od środka światła.
      • Typ: Umożliwia ustawianie typu osłabienia:
        • Odwrotność liniowa: Stosuje liniowy spadek, w którym jasność oświetlenia przez źródło światła zmniejsza się odwrotnie proporcjonalnie do odległości.
        • Odwrotność kwadratowa: Stosuje kwadratowy spadek, w którym jasność oświetlenia przez źródło światła zmniejsza się odwrotnie proporcjonalnie do kwadratu odległości. Tłumienie z zastosowaniem odwrotności kwadratowej obniża wydajność, ponieważ parametr ten wymaga większej liczby obliczeń.
        • Brak: Określa brak osłabienia źródła światła.
      • Użyj ograniczeń: Określa, czy należy używać ograniczeń.
    • Kolor: Określa kolor źródła światła.
    • Intensywność: Ustawia jaskrawość emitowanego światła. Należy wpisać wartość pomiędzy 0.00 a maksymalną wartością obsługiwaną przez dany system (0.00-max float, 1.0000 domyślnie).
    • Nazwa: Pozwala nadać nazwę źródłu światła. Każdemu źródłu światła należy nadać unikatową nazwę. Maksymalna długość to 256 znaków. Nazwa może zawierać litery wielkie i małe, cyfry, spacje, myślniki (-) i podkreślenia (_).
    • Cień: Określa, czy źródło światła rzuca cienie. Cienie mogą być rzucane Ostro z ostrymi krawędziami lub Miękko z realistycznymi krawędziami.
    • Stan: Określa, czy źródło światła jest włączone, czy wyłączone.
  5. Określić opcję Zakończ, aby utworzyć źródło światła.

    Źródło światła zostanie wyświetlone w obszarze graficznym.

Dostęp

Polecenie: Light

Tematy pokrewne

Tworzenie światła punktowego

Tworzenie światła ogniskowego

Tworzenie światła kierunkowego

Tworzenie światła punktowego wycelowanego

Tworzenie światła niewycelowanego


Tworzenie światła punktowego

Polecenie Pointlight służy do wstawiania światła punktowego do rysunku. Światło punktowe posiada pozycję źródła, lecz nie ma kierunku. Wysyła ono promienie światła we wszystkich kierunkach z jednego punktu, podobnie do żarówki.

Aby utworzyć światła punktowe, należy:

  1. Wpisać Pointlight w wierszu poleceń.
  2. Określić lokalizację źródła.
  3. Określić cechy charakterystyczne źródła światła.

    Cechy charakterystyczne światła omówiono w temacie Tworzenie źródła światła.
  4. Określić opcję Zakończ, aby utworzyć źródło światła.

    Źródło światła zostanie wyświetlone w obszarze graficznym.

Wykonanie polecenia Light z użyciem opcji Punkt ma taki sam skutek, jak polecenie Pointlight.

Dostęp

Polecenie: Pointlight

Tematy pokrewne

Tworzenie źródła światła

Tworzenie światła ogniskowego

Tworzenie światła kierunkowego

Tworzenie światła punktowego wycelowanego

Tworzenie światła niewycelowanego


Tworzenie światła ogniskowego

Polecenie Spotlight służy do wstawiania światła ogniskowego do rysunku. Światło ogniskowe posiada pozycję źródła i emituje promienie światła w określonym kierunku, podobnie do reflektora scenicznego.

Aby utworzyć światła ogniskowe, należy:

  1. Wpisać Spotlight w wierszu poleceń.
  2. Określić lokalizację źródła.
  3. Określić lokalizację celu.
  4. Określić cechy charakterystyczne źródła światła.

    Cechy charakterystyczne światła omówiono w temacie Tworzenie źródła światła.
  5. Określić opcję Zakończ, aby utworzyć źródło światła.

    Źródło światła zostanie wyświetlone w obszarze graficznym.

Wykonanie polecenia Light z użyciem opcji Ognisko ma taki sam skutek, jak polecenie Spotlight.

Dostęp

Polecenie: Spotlight

Tematy pokrewne

Tworzenie źródła światła

Tworzenie światła punktowego

Tworzenie światła kierunkowego

Tworzenie światła punktowego wycelowanego

Tworzenie światła niewycelowanego


Tworzenie światła kierunkowego

Polecenie Directionallight wstawia światło odległe do rysunku. Światła kierunkowe to liniowe światła równoległe, które promieniują światło wzdłuż linii, podobnie do świetlówki fluorescencyjnej. Światło kierunkowe emituje jednorodne, równoległe promienie światła tylko w jednym kierunku. Intensywność światła nie zmniejsza się wraz z odległością. Promienie światła rozchodzą się w nieskończoność po każdej stronie punktu wstawienia kierunkowego źródła światła. Światło kierunkowe służy do symulowania światła słonecznego.

Aby utworzyć światła kierunkowe, należy:

  1. Wpisać Directionallight w wierszu poleceń.
  2. Określić punkt źródłowy.
  3. Określić punkt docelowy.
  4. Określić cechy charakterystyczne źródła światła.

    Cechy charakterystyczne światła omówiono w temacie Tworzenie źródła światła.
  5. Określić opcję Zakończ, aby utworzyć źródło światła.

    Światło kierunkowe nie jest wyświetlane w obszarze graficznym. Aby wyświetlić ustawienia światła kierunkowego, należy użyć palety Oświetlenie.

Wykonanie polecenia Light z użyciem opcji Odległe ma taki sam skutek, jak polecenie Directionallight.

Dostęp

Polecenie: Directionallight

Tematy pokrewne

Tworzenie źródła światła

Tworzenie światła punktowego

Tworzenie światła ogniskowego

Tworzenie światła punktowego wycelowanego

Tworzenie światła niewycelowanego


Tworzenie światła punktowego wycelowanego

Polecenie Targetpointlight służy do wstawiania światła punktowego wycelowanego wraz z lokalizacją źródła i celu.

Aby utworzyć światła punktowe wycelowane, należy:

  1. Wpisać Targetpointlight w wierszu poleceń.
  2. Określić lokalizację źródła.
  3. Określić lokalizację celu.
  4. Określić cechy charakterystyczne źródła światła.

    Cechy charakterystyczne światła omówiono w temacie Tworzenie źródła światła.
  5. Określić opcję Zakończ, aby utworzyć źródło światła.

    Źródło światła zostanie wyświetlone w obszarze graficznym.

Wykonanie polecenia Light z użyciem opcji Punkt docelowy ma taki sam skutek, jak polecenie Targetpointlight.

Dostęp

Polecenie: Targetpointlight

Tematy pokrewne

Tworzenie źródła światła

Tworzenie światła punktowego

Tworzenie światła ogniskowego

Tworzenie światła kierunkowego

Tworzenie światła niewycelowanego


Tworzenie światła niewycelowanego

Polecenie Nontargetlight wstawia swobodne światło, które posiada pozycję źródła, lecz nie posiada kierunku.

Aby utworzyć światła niewycelowane, należy:

  1. Wpisać Nontargetlight w wierszu poleceń.
  2. Określić lokalizację źródła.
  3. Określić cechy charakterystyczne źródła światła.

    Cechy charakterystyczne światła omówiono w temacie Tworzenie źródła światła.
  4. Określić opcję Zakończ, aby utworzyć źródło światła.

    Źródło światła zostanie wyświetlone w obszarze graficznym.

Dostęp

Polecenie: Nontargetlight

Tematy pokrewne

Tworzenie źródła światła

Tworzenie światła punktowego

Tworzenie światła ogniskowego

Tworzenie światła kierunkowego

Tworzenie światła punktowego wycelowanego


Zarządzanie światłami przy użyciu palety oświetlenia

Polecenie Lightlist wyświetla paletę Oświetlenie.

Aby zarządzać światłami, należy:

  1. Wpisać Lightlist w wierszu poleceń.

    Paleta Oświetlenie wyświetla światła na rysunku, wraz odpowiednimi nazwami (jeśli określono) i typami: światło punktowe [image], światło ogniskowe [image] lub światło odległe [image].
  2. Aby ustawić właściwości światła, należy kliknąć światło prawym przyciskiem myszy, kliknąć Właściwości i zmodyfikować ustawienia na palecie Właściwości.
  3. Aby usunąć światło, należy kliknąć je prawym przyciskiem myszy i kliknąć Usuń światło.
  4. Aby ukryć paletę Oświetlenie, należy kliknąć ikonę Zamknij lub użyć polecenia HideLightlist.

Dostęp

Polecenie: Lightlist

Tematy pokrewne

Ukrywanie palety oświetlenia

Używanie świateł

Tworzenie źródła światła

Ukrywanie, cieniowanie i renderowanie (informacje ogólne)


Ukrywanie palety oświetlenia

Polecenie HideLightlist ukrywa paletę Oświetlenie.

Aby ukryć paletę Oświetlenie, należy:

  • Wpisać HideLightlist w wierszu poleceń.

Dostęp

Polecenie: HideLightlist

Tematy pokrewne

Zarządzanie światłami przy użyciu palety oświetlenia


Formatowanie rysunku

Formatowanie oznacza kojarzenie właściwości z elementami rysunku i używanie stylów do różnych kategorii elementów.

Właściwości elementu

Wszystkie elementy rysunku, takie jak linie lub okręgi, posiadają szereg właściwości. Niektóre z tych właściwości, jak np. warstwa, kolor linii, styl linii i szerokość linii, są wspólne dla wszystkich elementów.

Temat Właściwości elementu wprowadza podstawy właściwości. Temat Organizowanie rysunku przy użyciu warstw objaśnia koncepcje pracy z warstwami.

Właściwości ogólne elementów rysunku obejmują:

  • Warstwa
  • Kolor linii
  • Styl linii
  • Skala linii
  • Szerokość linii
  • Płaszczyzna Z oraz Grubość
  • Przezroczystość: Przezroczystość elementu pozwala na płynne ukrywanie elementów i służy głównie do zakreskowanych i wypełnionych obszarów. Praca taśmowa jest wyświetlana za obszarami przezroczystymi. Można ustawić przezroczystość w zakresie od 0 (brak przezroczystości) do 90%.

Można ustawić i zmienić właściwości warstwy za pomocą Menedżera warstw, a właściwości elementu na palecie Właściwości.

Innym sposobem zmieniania właściwości elementu jest użycie pasków narzędzi Warstwy i Właściwości. Można zmieniać warstwę, kolor linii, styl linii i szerokość linii.

Temat Narzędzia warstwy opisuje narzędzia do zmieniania trybów warstwy lub usuwania elementów na warstwach.

Style elementu

Można również zmieniać style pewnych typów elementów:

  • Styl tekstu
  • Styl wymiarowania
  • Styl tabeli
  • Styl punktu
  • Styl linii wzbogaconej

Pasek narzędzi Style zawiera polecenia do tworzenia, modyfikowania i zarządzania stylami.

Inne polecenia formatowania

Pozostała część tego rozdziału zawiera informacje na następujące tematy:

  • Układ jednostek miar: Steruje precyzją i formatami wyświetlania kątów i współrzędnych.
  • Obwiednie rysunku: Ustawia i kontroluje granice wyświetlania siatki i sprawdza granice rysunku.
  • Zmienianie nazw: Zmienia zdefiniowane przez użytkownika nazwy obiektów, takich jak warstwy, widoki, bloki lub style.


Stosowanie właściwości elementu

Właściwości elementu obejmują: warstwę, kolor linii, styl linii, szerokość linii i przezroczystość.

Te cechy charakterystyczne są automatycznie kojarzone z elementami rysunku podczas tworzenia rysunku.

Aby ustawić właściwości dla nowych elementów:

  • Do ustawiania właściwości elementu służą następujące polecenia:
    • Layer
    • LineColor
    • LineStyle
    • LineWeight
  • Do ustawiania właściwości przyjmowanych przez nowe elementy służą paski narzędzi Warstwy, Narzędzia warstwy i Właściwości.

Aby zmienić właściwości elementu, należy:

  • Wybrać element w obszarze graficznym i użyć:
    • Paleta właściwości
    • Paski narzędzi Warstwy, Narzędzia warstwy i Właściwości

Tematy pokrewne

Formatowanie rysunku

Organizowanie rysunku przy użyciu warstw

Wyświetlanie i modyfikowanie właściwości


Organizowanie rysunku przy użyciu warstw

Rysunek można zorganizować poprzez szkicowanie na przezroczystych warstwach. Elementy całego rysunku są rysowane na różnych warstwach. Warstwy nałożone jedna na drugą tworzą cały rysunek. Warstwy mogą również zawierać elementy funkcjonalne, takie jak nieskończone linie.

Warstwy są użyteczne w rozdzielaniu elementów, takich jak części lub podzespoły, bądź komponenty konstrukcyjne, takie jak rozmiary rur lub materiały budowy. Służą one również do oddzielania takich elementów, jak nieskończone linie, linie środkowe, linie wymiarów lub elementy do umieszczenia w grupie, takie jak listowie w rysunku architektonicznym.

Warstwa 0: Warstwa standardowa

Podczas tworzenia nowego rysunku automatycznie generowana jest warstwa 0, czyli warstwa standardowa. Dla tej warstwy automatycznie ustawiany jest kolor linii biały na czarnym tle (lub czarny na białym tle) i styl linii Ciągły.

Nie można usunąć ani zmienić nazwy warstwy 0.

Właściwości warstwy

Każda warstwa posiada właściwości koloru linii, stylu linii i szerokości linii. Wszystko, co jest szkicowane na warstwie, przyjmuje właściwości tej warstwy, chyba że jawnie ustawiono kolor linii, styl linii lub szerokość linii inne od właściwości aktywnej warstwy.

Istnieją inne właściwości warstwy, które pozwalają przełączać pomiędzy różnymi stanami. Są to: pokaż/ukryj, zablokuj/odblokuj oraz zamknij/otwórz.

Warstwy i ich właściwości są zapisywane wraz z rysunkiem.

Właściwości warstwy obejmują:

  • Stan: Jedna warstwa w każdym rysunku jest warstwą aktywną, co jest sygnalizowane w kolumnie Stan w oknie dialogowym Menedżer warstw. Nowe elementy są umieszczane na tej warstwie.
  • Nazwa: Każda warstwa posiada nazwę zawierającą litery, cyfry lub znaki specjalne, takie jak podkreślenia i znaki dolara.
  • Widoczność (Pokaż lub Ukryj): Zaletą warstw jest to, że pomagają one w wizualizowaniu części lub rysunku. Przejrzystość rysunku można poprawić, wybierając warstwy i ukrywając elementy rysunków. Symbol przycisku wskazuje, czy warstwa jest pokazana czy ukryta. Każdą warstwę można włączać i wyłączać niezależnie.
  • Zablokowane lub Odblokowane: Można sterować widocznością i wpływem na elementy na danej warstwie. Zablokowana warstwa jest niewidoczna i chroniona, dlatego nie można jej zmieniać. Zablokowana warstwa nie jest uwzględniana podczas przebudowy rysunku. Podczas pracy ze skomplikowanymi rysunkami zablokowanie niepotrzebnych warstw może zwiększyć wydajność. Po odblokowaniu warstwy będzie ona widoczna i będzie można ją zmieniać. Nie można zablokować aktywnej warstwy.
  • Zamknięta lub otwarta: Warstwy można chronić, aby uniemożliwić zmienianie na nich elementów. Stan zamknięty chroni przed niezamierzonymi modyfikacjami. Jeżeli warstwa jest chroniona, nie można zmieniać, dodawać ani usuwać elementów na tej warstwie. Aby pracować z elementami na tej warstwie, należy zmienić stan na otwarty. Można szkicować nowe elementy na zablokowanych warstwach, lecz nie można ich modyfikować.
  • Kolor linii: Można ustawić kolor dla każdej warstwy lub użyć domyślnego (biały). W przypadku zmiany koloru warstwy w oknie dialogowym Menedżer warstw wszystkie elementy rysunku na tej warstwie, którym przypisano kolor JakWarstwa, przybierają nowy kolor. Ponieważ można szkicować tylko na warstwie aktywnej, nowe elementy przyjmują standardowy kolor aktywnej warstwy, chyba że zostanie określony nowy kolor przy użyciu polecenia LineColor.
  • Styl linii: Do linii przypisywany jest standardowy styl linii. Domyślnie jest to Ciągły. Wybrany styl linii jest widoczny w oknie dialogowym Menedżer warstw obok warstwy. Wszystkie elementy są szkicowane w stylu linii warstwy, chyba że wybrano inny styl linii.
  • Szerokość linii: Można ustawiać szerokość linii dla elementów na warstwie.
  • Przezroczystość: Można ustawiać przezroczystość dla elementów na warstwie.
  • Styl drukowania: Można przypisywać indywidualne style drukowania do warstw.
  • Drukuj: Można włączać i wyłączać warstwy do drukowania.
  • Opis: Można wpisać opis warstwy.

Tematy pokrewne

Zarządzanie warstwami

Narzędzia warstwy


Zarządzanie warstwami

Polecenie Layer służy do tworzenia nowych warstw, ustawiania aktywnych warstw i ustawiania właściwości warstw.

Aby uzyskać dostęp do okna dialogowego Menedżer warstw, należy:

  • Kliknąć Format > Warstwa.
  • - lub -
  • Kliknąć Menedżer warstw [image] (pasek narzędzi Warstwy).

Tworzenie warstw

Nową warstwę można utworzyć w dowolnym czasie. Z punktu widzenia wydajności zaleca się zaplanowanie warstw z wyprzedzeniem.

Aby utworzyć warstwy, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć Nowa.
  2. Wpisać Nazwę warstwy i nacisnąć Enter.

Usuwanie warstw

Nieużywane warstwy można usunąć. Nie można usunąć warstw zawierających elementy, warstwy aktywnej, warstwy 0 ani warstw zależnych rysunków odniesienia.

Aby usunąć warstwy, należy:

  1. W oknie dialogowym Menedżer warstw wybrać warstwę.
  2. Kliknąć Usuń.
  3. Warstwa jest oznakowana do usunięcia, gdy Stan zmieni się na [image].
  4. Powtórzyć krok 2, aby usunąć inne warstwy.
  5. Kliknąć OK.
  6. Warstwy oznakowane do usunięcia zostaną skasowane.

Ustawianie aktywnej warstwy

Aby ustawić aktywną warstwę, należy:

  1. W oknie dialogowym Menedżer warstw wybrać warstwę.
  2. Kliknąć Aktywuj.
  3. - lub -
  4. Kliknąć dwukrotnie komórkę Stan warstwy, która ma być aktywna.
  5. Stan zmieni się na [image].

Wyszukiwanie warstw

Na rysunkach z wieloma warstwami można wyszukać konkretną warstwę, jeżeli znany jest fragment jej nazwy.

Aby wyszukiwać warstwy, należy:

  • W polu Wprowadź wyrażenie filtra wpisać symbole wieloznaczne (? za pojedynczy znak lub * za ciąg znaków), aby wyszczególnić pasujące nazwy warstw. Na przykład wpisanie "e*" wyświetla wszystkie warstwy rozpoczynające się literą "e", natomiast "*szczegół" wyświetla wszystkie warstwy, których nazwa kończy się ciągiem "szczegół".

Zmienianie nazw warstw

Aby zmienić nazwy warstw, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Nazwa warstwy, której nazwa ma zostać zmieniona.
  2. Wpisać nową nazwę i nacisnąć Enter.

Ustawianie właściwości warstwy

Kolory linii

W przypadku rozpoczęcia nowego rysunku, nowym warstwom automatycznie przypisywany jest kolor biały. Podczas tworzenia nowej warstwy, przyjmuje ona kolor wybranej warstwy.

Elementy rysowane na warstwie pojawiają się w kolorze do niej przypisanym, za wyjątkiem elementów, którym przypisano kolor przy użyciu polecenia LineColor.

Aby ustawić kolory linii warstwy, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Kolor linii, która ma zostać zmieniona.
  2. Wybrać kolor linii lub wybrać Określ kolor, aby wyświetlić więcej kolorów.
  3. Kolor linii dla warstwy został ustawiony. Po zmianie koloru, wszystkie elementy na tej warstwie, które zostały naszkicowane kolorem oznaczonym jako JakWarstwa pojawią się w zmienionym kolorze. Elementy na tej warstwie, które zostały naszkicowane kolorem innym od JakWarstwa, pozostają niezmienione.
Style linii

Aby ustawić style linii warstwy, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Styl linii, która ma zostać zmieniona.
  2. Wybrać styl linii lub wybrać Inny, aby wczytać nowy styl linii w oknie dialogowym Styl linii.
  3. Styl linii dla warstwy został ustawiony. Po zmianie stylu linii wszystkie elementy na tej warstwie, które zostały naszkicowane stylem linii oznaczonym jako JakWarstwa, pojawią się w zmienionym stylu linii. Elementy na tej warstwie, które zostały naszkicowane stylem linii innym od JakWarstwa, pozostają niezmienione.
Szerokości linii

Aby ustawić szerokości linii warstwy, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Szerokość linii, która ma zostać zmieniona.
  2. Wybrać szerokość linii.
  3. Szerokość linii dla tej warstwy została ustawiona. Po zmianie szerokości linii, wszystkie elementy na tej warstwie, które zostały naszkicowane szerokością linii oznaczoną jako JakWarstwa, pojawią się w zmienionej szerokości linii. Elementy na tej warstwie, które zostały naszkicowane szerokością linii inną od JakWarstwa, pozostają niezmienione.
Przezroczystość

Aby ustawić przezroczystość warstwy:

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Przezroczystość, która ma zostać zmieniona.
  2. Określić wartość z przedziału od 0 do 90%, gdzie 0% oznacza brak przezroczystości (nieprzezroczystość).
  3. Przezroczystość dla warstwy została ustawiona. Gdy nastąpi zmiana przezroczystości, wszystkie elementy w danej warstwie utworzonej z przezroczystością oznaczoną jako ByLayer pojawią się z określoną przezroczystością. Elementy na warstwie utworzonej z przezroczystością inną niż ByLayer pozostaną niezmienione.
Style drukowania

Aby ustawić style drukowania warstwy, należy:

Style drukowania dotyczą tylko rysunku wykorzystującego nazwane style drukowania (pliki .stb), a nie style drukowania zależne od koloru (pliki .ctb). Nazwane style drukowania można ustawiać w menu Narzędzia > Opcje> Opcje systemu > Drukowanie > Ustawienia domyślne > Typ domyślny.

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Styl drukowania, która ma zostać zmieniona.
  2. Wybrać styl drukowania lub wybrać Inny, aby wczytać nowy styl drukowania w oknie dialogowym Styl drukowania.
Dodawanie opisów warstwy

Aby dodać opisy warstwy, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć dwukrotnie komórkę Opis, która ma zostać dodana.
  2. Wpisać opis, a następnie nacisnąć Enter.

Sterowanie zachowaniem warstwy

Pokazywanie i ukrywanie warstw

Gdy warstwa jest pokazana, elementy na niej są widoczne. Elementy na warstwach ukrytych są niewidoczne.

Aby pokazać lub ukryć warstwy, należy:

  • W oknie dialogowym Menedżer warstw kliknąć ikonę w komórce Pokaż, która ma zostać zmieniona.
  • Zielona kropka [image] oznacza pokazywanie. Szara kropka [image] oznacza ukrywanie.
Zablokowywanie i odblokowywanie warstw

Zablokowywanie i odblokowywanie steruje widocznością i możliwością edytowania warstw.

Gdy warstwa jest zablokowana, jej elementy są chronione i niewidoczne. W przeciwieństwie do warstw, które są wyłączone, elementy na zablokowanych warstwach są ignorowane podczas przebudowy rysunku. Elementy na odblokowanych warstwach są niechronione i widoczne.

Nie można zablokować aktywnej warstwy.

Aby zablokować lub odblokować warstwy, należy:

  • W oknie dialogowym Menedżer warstw kliknąć ikonę w komórce Zablokowane, która ma zostać zmieniona.
  • Symbol śniegu [image] oznacza zablokowanie. Symbol wody [image] oznacza odblokowanie.
Zamykanie i otwieranie warstw

Gdy warstwa jest zamknięta, nie można edytować elementów na tej warstwie. Elementy można edytować na warstwach otwartych.

Po zamknięciu aktywnej warstwy można tworzyć elementy na niej, lecz nie można ich modyfikować.

Aby zamknąć lub otworzyć warstwy, należy:

  • W oknie dialogowym Menedżer warstw kliknąć ikonę w komórce Zamknij, która ma zostać zmieniona.
  • Zamknięta kłódka [image] oznacza zamknięcie. Otwarta kłódka [image] oznacza otwarcie.
Drukowanie warstw

Można określić, czy warstwy są drukowane lub kreślone. Jeżeli drukowanie dla danej warstwy zostanie wyłączone, to elementy na tej warstwie nadal będą wyświetlane.

Ukryte lub zablokowane warstwy nie są drukowane bez względu na ustawienie drukowania.

Aby określić, czy warstwa ma być drukowana, należy:

  • W oknie dialogowym Menedżer warstw kliknąć ikonę w komórce Drukuj, która ma zostać zmieniona.
  • Ikona drukarki [image] oznacza drukowanie. Przekreślona ikona drukarki [image] oznacza brak drukowania.

Ustawianie opcji filtrowania

Można tworzyć filtry, które zawierają określone warstwy. Grupowanie warstw w ten sposób ustanawia filtry grup. Wstępnie zdefiniowane s dwa filtry grupy warstw: Wszystkie oraz Wszystkie używane warstwy.

Aby utworzyć filtry grupy warstw i przypisać do nich warstwy, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć Edytuj filtry.
  2. W widoku drzewa okna dialogowego Edytuj filtry warstwy kliknąć filtr, w którym należy utworzyć nowy filtr.
  3. Kliknąć Dodaj filtr grupy.
  4. Nastąpi dodanie nowego filtra do widoku drzewa. Filtr ten znajduje się o jeden poziom poniżej elementu wybranego w widoku drzewa, co umożliwia tworzenie hierarchicznej struktury filtrów warstw.
  5. Kliknąć dwukrotnie nowy filtr i wpisać nazwę dla niego.
  6. Kliknąć Zamknij.
  7. Nastąpi dodanie nowego filtra grup do widoku drzewa filtrów.
  8. Wybrać jedną lub kilka warstw z listy warstw i przeciągnąć je do widoku drzewa filtrów, na nazwę utworzonego filtra.

Aby usunąć filtry, należy:

  1. W oknie dialogowym Menedżer warstw kliknąć Edytuj filtry.
  2. Wybrać filtr do usunięcia i kliknąć Usuń.
  3. Kliknąć Zamknij.

Aby wyświetlić warstwy w filtrze grupy, należy:

  • W filtrze widoku drzewa zaznacz filtr Warstwa.

Ustawianie opcji wyświetlania

Odwróć filtr: Wyświetla wszystkie warstwy, które spełniają odwrócone kryteria wybranego filtra grupy warstw.

Wyświetl stan "w użyciu": Oznacza wszystkie warstwy na liście Stan białą ikoną warstwy. Ikona zmienia się z [image] na [image]. W dużych rysunkach zawierających wiele warstw należy usunąć zaznaczenie tej opcji, aby poprawić wydajność w oknie dialogowym Menedżer warstw .

Zastosuj do paska narzędzi warstwy: Odzwierciedla aktywny filtr Warstwa w oknie dialogowym Menedżer warstw na pasku narzędzi Warstwy.

Dostęp

Polecenie: Layer

Menu: Format > Warstwa

Tematy pokrewne

Organizowanie rysunku przy użyciu warstw

Narzędzia warstwy

-Layer (wariant okna poleceń)

Ustawianie kolorów linii

Wczytywanie i ustawianie stylów linii

Ustawianie aktywnej szerokości linii


Narzędzia warstwy

Podczas pracy z warstwami dostępne są następujące narzędzia:

  • Ukryj warstwę
  • Pokaż wszystkie warstwy
  • Zablokuj warstwę
  • Odblokuj wszystkie warstwy
  • Zamknij warstwę
  • Otwórz warstwę
  • Wyizoluj warstwę
  • Przywróć warstwy po wyizolowaniu
  • Aktywuj warstwę
  • Zmień warstwy elementów na warstwę aktywną
  • Zmień warstwę elementu (Dopasuj warstwę)
  • Usuń warstwę
  • Przywróć poprzednie ustawienia warstwy


Ukrywanie warstw

Elementy na warstwach ukrytych są niewidoczne. Nie można wybierać elementów na ukrytych warstwach.

Aby ukryć warstwy, należy:

  1. Kliknąć Format > Narzędzia warstwy > Ukryj warstwę (lub wpisać HideLayer).
  2. W obszarze graficznym wybrać element leżący na warstwie, która ma zostać ukryta.

    Przy próbie ukrycia aktywnej warstwy konieczne jest potwierdzenie wyboru.

    - lub -

    Określić opcję Ustawienia, aby:
    • Określić poziom zagnieżdżenia Wybór bloku:
      • Zagnieżdżenie poziomu bloku: Ukrywa warstwę elementu, który został wybrany w zagnieżdżonym bloku.
      • Element: Ukrywa warstwę elementu, który został wybrany w bloku.
      • Brak zagnieżdżenia: Ukrywa warstwę, na której rezyduje blok.
    • Określić zachowanie w Okienkach ekranu na arkuszu:
      • Wył.: Wyłącza określone warstwy w aktywnym okienku ekranu.
      • Zablokowane okienko ekranu: Zablokowuje określone warstwy w aktywnym okienku ekranu
  3. - lub -

    4. Określić opcję Cofnij, aby usunąć poprzednio określoną warstwę z zestawu warstw do ukrycia.

Warstwę można również ukryć w oknie dialogowym Menedżer warstw.

Dostęp

Polecenie: HideLayer

Menu: Format > Narzędzia warstwy > Ukryj warstwę

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Pokazywanie wszystkich warstw

Pokazanie wszystkich warstw wyświetla wszystkie warstwy w rysunku z wyjątkiem tych, które zostały wygaszone.

Aby pokazać wszystkie warstwy, należy:

  • Kliknąć Format > Narzędzia warstwy > Pokaż wszystkie warstwy (lub wpisać ShowLayers).

Dostęp

Polecenie: ShowLayers

Menu: Format > Narzędzia warstwy > Pokaż wszystkie warstwy

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Zablokowywanie warstw

Gdy warstwa jest zablokowana, jest ona chroniona i niewidoczna. Aby cofnąć zablokowanie warstwy, należy użyć polecenia ThawLayers.

Aby zablokować warstwę, należy:

  1. Kliknąć Format > Narzędzia warstwy > Zablokuj warstwę (lub wpisać FreezeLayer).
  2. Wybrać element rysunku na warstwie, która ma zostać zablokowana, lub określić opcję:
    • Ustawienia: Określa, co ma być użyte w okienkach ekranu arkusza:
      • Wyświetlanie sąsiadujące zablokowane: Zablokowuje określoną warstwę tylko w bieżącym okienku ekranu
      • Zablokowane: Zablokowuje określoną warstwę we wszystkich okienkach ekranu
    • Cofnij: Anuluje poprzednie polecenie FreezeLayer.
  3. Warstwa, którą określono, będzie chroniona, a wszystkie jej elementy będą niewidoczne.
  4. Nacisnąć Enter.

Nie można zablokować aktywnej warstwy.

Dostęp

Polecenie: FreezeLayer

Menu: Format > Narzędzia warstwy > Zablokuj warstwę

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Odblokowywanie wszystkich warstw

Można odblokować wszystkie aktualnie zablokowane warstwy, w wyniku czego warstwy będą ponownie widoczne i możliwe do edytowania.

Aby odblokować wszystkie warstwy, należy:

  • Kliknąć Format > Narzędzia warstwy > Odblokuj wszystkie warstwy (lub wpisać ThawLayers).

Dostęp

Polecenie: ThawLayers

Menu: Format > Narzędzia warstwy > Odblokuj wszystkie warstwy

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Zamykanie warstw

Po zamknięciu warstwy nie można wybierać ani modyfikować elementów na tej warstwie.

Aby zamknąć warstwę, należy:

  1. Kliknąć Format > Narzędzia warstwy > Zamknij warstwę (lub wpisać LockLayer).
  2. W obszarze graficznym wybrać element na warstwie, która ma zostać zamknięta.

Dostęp

Polecenie: LockLayer

Menu: Format > Narzędzia warstwy > Zamknij warstwę

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Otwieranie warstw

Po otwarciu warstwy można edytować elementy na tej warstwie.

Aby otworzyć warstwę, należy:

  1. Kliknąć Format > Narzędzia warstwy > Otwórz warstwę (lub wpisać UnlockLayer).
  2. W obszarze graficznym wybrać element na warstwie, która ma zostać otwarta.

Dostęp

Polecenie: UnlockLayer

Menu: Format > Narzędzia warstwy > Otwórz warstwę

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Izolowanie warstw

Polecenie IsolateLayer służy do izolowania warstw poprzez ukrycie warstw. Po ukryciu warstw nie można edytować elementów na tych warstwach. Dla okienek ekranu arkusza można określić, czy warstwy są wyłączone czy zablokowane. Aby odwrócić wyizolowanie warstwy, należy użyć polecenia UnisolateLayer.

Aby wyizolować jedną lub kilka warstw, należy:

  1. Kliknąć Format > Narzędzia warstwy > Wyizoluj warstwę (lub wpisać IsolateLayer).
  2. W obszarze graficznym wybrać elementy, które należy wyizolować, i nacisnąć Enter.

    Tylko warstwy odpowiadające wybranym elementom pozostaną widoczne.

Aby wyizolować jedną lub kilka warstw w pojedynczym okienku ekranu na arkuszu, należy:

  1. Kliknąć kartę arkusza.
  2. Wpisać ModelMode, aby przełączyć do przestrzeni roboczej modelu.
  3. Wybrać okienko ekranu.
  4. Kliknąć Format > Narzędzia warstwy > Wyizoluj warstwę (lub wpisać IsolateLayer).
  5. Określić opcję Okienka ekranu:
    • Zablokowane przez okienko ekranu: Zablokowuje wszystkie warstwy z wyjątkiem tych, które wybrano w bieżącym okienku ekranu.
    • Wył.: Wyłącza warstwy we wszystkich okienkach ekranu i trybie arkusza, które nie zostały wybrane.
  6. W obszarze graficznym wybrać elementy, które należy wyizolować, i nacisnąć Enter.

    Tylko warstwy odpowiadające wybranym elementom pozostaną widoczne.

Dostęp

Polecenie: IsolateLayer

Menu: Format > Narzędzia warstwy > Wyizoluj warstwę

Tematy pokrewne

Przywracanie warstwy po wyizolowaniu

Narzędzia warstwy

Zarządzanie warstwami


Przywracanie warstwy po wyizolowaniu

Można włączyć warstwy, które zostały wyłączone ostatnim poleceniem IsolateLayer.

Aby przywrócić warstwy, należy:

  • Kliknąć Format > Narzędzia warstwy > Złącz warstwę (lub wpisać UnisolateLayer).

Dostęp

Polecenie: UnisolateLayer

Menu: Format > Narzędzia warstwy > Złącz warstwę

Tematy pokrewne

Izolowanie warstw

Narzędzia warstwy

Zarządzanie warstwami


Aktywowanie warstwy

Warstwę można aktywować poprzez określenie elementu na tej warstwie.

Aby uaktywnić warstwę, należy:

  1. Kliknąć Format > Narzędzia warstwy > Aktywuj warstwę (lub wpisać ActivateLayer).
  2. W obszarze graficznym wybrać element na warstwie, która ma zostać aktywowana.

Dostęp

Polecenie: ActivateLayer

Menu: Format > Narzędzia warstwy > Aktywuj warstwę

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Przenoszenie elementów na aktywną warstwę

Polecenie ToActiveLayer służy do zmieniania warstwy wybranych elementów na aktywną warstwę.

Aby przenieść elementy na aktywną warstwę, należy:

  1. Kliknąć Format > Narzędzia warstwy > Element na aktywną warstwę (lub wpisać ToActiveLayer).
  2. W obszarze graficznym wybrać elementy, które należy przenieść na aktywną warstwę, i nacisnąć Enter.

Dostęp

Polecenie: ToActiveLayer

Menu: Format > Narzędzia warstwy > Element na aktywną warstwę

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Dopasowywanie warstw

Można zmieniać elementy, aby dopasować je do warstwy docelowej.

Aby dopasować warstwę elementów do warstwy docelowej, należy:

  1. Kliknąć Format > Narzędzia warstwy > Zmień warstwę elementu (lub wpisać MatchLayer).
  2. W obszarze graficznym wybrać:
    1. Elementy, których warstwę należy zmienić, i nacisnąć Enter.
    2. Element na warstwie docelowej lub określić opcję Nazwa warstwy i wybrać warstwę w oknie dialogowym Wybierz nową warstwę.

Dostęp

Polecenie: MatchLayer

Menu: Format > Narzędzia warstwy > Zmień warstwę elementu

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Usuwanie warstw

Usuwa wszystkie elementy na określonej warstwie i usuwa warstwę z rysunku.

Aby usunąć warstwę, należy:

  1. Kliknąć Format > Narzędzia warstwy > Usuń (lub wpisać DeleteLayer).
  2. W obszarze graficznym wybrać element na warstwie do usunięcia lub określić opcję:
    • Nazwa: Wpisać nazwę warstwy do usunięcia (użycie ? umożliwia wyświetlenie listy nazw warstw zdefiniowanych w rysunku).
    • Cofnij: Anuluje jedną lub kilka poprzednich operacji usuwania warstw.
  3. Określić opcję Tak, aby potwierdzić usunięcie.

    Wybrana warstwa i wszystkie znajdujące się na niej elementy zostaną usunięte.

Nie można usunąć aktywnej warstwy.

Dostęp

Polecenie: DeleteLayer

Menu: Format > Narzędzia warstwy > Usuń

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Przywracanie poprzednich ustawień warstwy

Można cofnąć poprzednie zmiany dokonane w ustawieniach warstwy.

Aby przywrócić poprzednie ustawienia warstwy, należy:

  • Kliknąć Format > Narzędzia warstwy > Przywróć stan warstwy (lub wpisać UndoLayer).

Dostęp

Polecenie: UndoLayer

Menu: Format > Narzędzia warstwy > Przywróć stan warstwy

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Przeglądanie warstw

Użyj polecenia LayerPreview, aby szybko podglądać zawartość warstw pojedynczo lub w zestawach określonych warstw. To polecenie pozwala zbadać, które elementy znajdują się na poszczególnych warstwach.

Aby wyświetlić podgląd warstw:

  1. Kliknąć Format > Narzędzia warstw > Podgląd warstw (lub wpisać LayerPreview).
  2. W oknie dialogowym Podgląd warstw wyświetlana jest lista wszystkich warstw. Wszystkie warstwy na rysunku, z wyjątkiem zamrożonych, są wybrane.
  3. Można:
    • Kliknąć nazwę warstwy, aby zobaczyć zawartość pojedynczej warstwy.
    • Nacisnąć klawisz Ctrl i kliknąć nazwy warstw, aby zobaczyć zawartość określonych warstw.
    • Kliknąć nazwę warstwy, nacisnąć klawisz Shift i kliknąć inne nazwy warstw, aby zobaczyć zestaw sąsiadujących ze sobą warstw.
    • Nacisnąć Ctrl + A, aby wybrać wszystkie nazwy warstw, a następnie nacisnąć klawisz Shift i kliknąć inne nazwy warstw, aby odznaczyć warstwy.
    • Wpisać symbol wieloznaczny w polu Wyrażenie filtra , aby ograniczyć listę nazw warstw, na przykład do nazw warstw zaczynających się od tego samego skrótu lub akronimu.
    • Aktywować lub dezaktywować opcję Przywróć stan warstw po wyjściu, aby przywrócić warstwy do stanu z czasu uruchomienia polecenia lub aby zachować stan wynikający z ustawień podglądu.
    • Aktywować lub dezaktywować opcję Przywróć widok po wyjściu, aby przywrócić widok, który istniał podczas uruchomienia polecenia lub aby zachować widok, który istnieje po powiększeniu i przesunięciu podczas sprawdzania warstw przy użyciu polecenia podglądu;
    • Kliknąć Usuń, aby usunąć określone warstwy z rysunku (można usunąć tylko nieużywane warstwy);
    • Kliknąć Podgląd, aby tymczasowo zamknąć okno dialogowe, aby wyświetlić podgląd warstwy bez okna dialogowego na wierzchu. Można powiększać, przesuwać oraz korzystać z innych poleceń przezroczystych, aby sprawdzić określone warstwy. Nacisnąć klawisz Enter, aby ponownie wyświetlić okno dialogowe.
  4. Kliknąć Zamknij.

Dostęp

Polecenie: LayerPreview

Menu: Format > Narzędzia warstwy > Podgląd warstwy

Tematy pokrewne

Narzędzia warstwy

Zarządzanie warstwami


Ustawianie kolorów linii

Kolory można przypisywać do elementów rysunku bezpośrednio lub wykorzystując warstwy. Polecenie LineColor pozwala określić kolor nowych elementów.

Aby przypisać kolor dla nowych elementów rysunku, należy:

  1. Kliknąć Format > Kolor linii (lub wpisać LineColor).
  2. W oknie dialogowym wybrać kolor z karty:
    • Kolory standardowe: Zawiera 255 typowych kolorów. Można również kliknąć:
      • Dopasuj do warstwy: Nowe elementy będą wykorzystywać kolor przypisany do warstwy, na której będą tworzone.
      • Dopasuj do bloku: Nowe elementy pojawiają się w kolorze czarnym lub białym (w zależności od koloru tła ekranu). W przypadku uwzględnienia w definicji bloku elementy te wykorzystują kolor bloku.
    • Dostosowany kolor: Zawiera większą różnorodność kolorów i pozwala określić wartości RGB lub HSL.
  3. Kliknąć OK.

Zaleca się ustawienie właściwości kolorów na Dopasuj do warstwy (JakWarstwa).

Aby zmienić kolor dla istniejących elementów rysunku, należy:

  • Zmienić właściwość koloru na palecie Właściwości.

    - lub -
  • W obszarze graficznym wybrać elementy rysunku. Na pasku narzędzi Właściwości, w części Sterowanie kolorem linii wybrać kolor.

    - lub -
  • Użyć polecenia ModifyProperties.

Dostęp

Polecenie: LineColor

Menu: Format > Kolor linii

Tematy pokrewne

-LineColor (wariant okna poleceń)

Zarządzanie warstwami

Wyświetlanie i modyfikowanie właściwości

Modyfikowanie właściwości elementu


Wczytywanie i ustawianie stylów linii

Polecenie LineStyle służy do wczytywania i ustawiania stylów linii. Wybrać styl linii do wyświetlania w aktualnie aktywnym segmencie rysunku.

Ustawianie definicji wzoru stylu linii oraz składnię pliku definicji stylów linii omawia temat Dostosowywanie stylów linii.

Aby wczytać styl linii, należy:

  1. Kliknąć Format > Styl linii (lub wpisać LineStyle).
  2. W oknie dialogowym kliknąć Wczytaj.

    Okno dialogowe Wczytaj style linii wyświetli style linii znajdujące się w pliku .lin.
  3. Kliknąć Przeglądaj, aby wybrać plik stylu linii i kliknąć Otwórz.
  4. Wybrać jeden lub kilka stylów linii na liście.

    Aby wybrać więcej niż jeden styl linii, należy nacisnąć klawisz Ctrl i wybrać wiele stylów linii.
  5. Kliknąć OK.

    Wybrane style linii pojawią się w oknie dialogowym Styl linii. Jednakże wybrany styl linii nie staje się automatycznie aktywnym stylem linii. Jest on tylko dodawany do listy stylów linii, które są dostępne. Aktywny styl linii musi być ustawiony jawnie.
  6. Kliknąć OK.

Aby ustawić aktywny styl linii, należy:

  1. Kliknąć Format > Styl linii (lub wpisać LineStyle).
  2. W oknie dialogowym Pokaż wybrać style linii, które mają pojawiać się w oknie dialogowym:
    • Wszystkie style linii
    • Style linii używane
    • Style linii odniesione
  3. Kliknąć Odwróć filtr, aby zastosować odwrotność wybranej opcji.

    Na przykład odwrotność opcji Style linii używane pokazuje wszystkie nieużywane style linii.

    Lista stylów linii pokazuje wzory kreska-kropka dla stylów linii. Te style linii można wczytać z plików definicji stylu linii lub są dziedziczone z rysunków.

    Każdy rysunek posiada trzy definicje stylu linii:
    • Ciągła: Linia ciągła bez wzoru.
    • JakBlok: Elementy są rysowane jako linie ciągłe, do czasu zgrupowania w blok. Wtedy elementy dziedziczą ustawienie stylu linii podczas wstawiania bloku do rysunku.
    • JakWarstwa: Nowe elementy przyjmują styl linii warstwy, na której są umieszczane.
  4. Wybrać styl linii, który ma być aktywowany.
  5. Kliknąć Aktywuj.

    Styl linii jest wykorzystywany podczas rysowania nowego elementu. Styl linii aktywnej warstwy nie ulega zmianie.

Aby usunąć styl linii, należy:

  1. Kliknąć Format > Styl linii (lub wpisać LineStyle).
  2. Wybrać jeden lub kilka stylów linii na liście.
  3. Kliknąć Usuń.

Można usuwać tylko te style linii, które nie są aktualnie w użyciu.

Aby edytować styl linii, należy:

  1. Kliknąć Format > Styl linii (lub wpisać LineStyle).
  2. Wybrać styl linii na liście.
  3. Kliknąć Pokaż parametry. W części Parametry poddać edycji opcje:
    • Nazwa: Określa nazwę definicji stylu linii do zachowania w rysunku.
    • Opis: Określa notatkę lub symboliczną reprezentację stylu linii do wyświetlania w oknie dialogowym Styl linii.
    • Skala globalna: Skaluje style linie tak, by pasowały do jednostek miary.
    • Skala elementów: Ustawia współczynnik skali stylu linii dla nowych elementów relatywnie do ogólnego współczynnika skali stylu linii.
    • Skala oparta o jednostki arkusza: Wymusza rysowanie stylów linii z tą samą skalą jak skala okienka ekranu. Usunięcie tej opcji skaluje style linii jednakowo w modelu i na arkuszu.

Aby zmodyfikować styl linii istniejących elementów rysunku, należy:

Wykonać jedną z czynności:

  • Zmienić właściwość stylu linii na palecie Właściwości.
  • Wybrać jeden lub kilka elementów na rysunku i wybrać inny styl linii w pasku narzędzi Właściwości.
  • Użyć polecenia ModifyProperties. Konieczne jest użycie dokładnej nazwy wczytanego stylu linii, który ma być zastosowany.

Dostęp

Polecenie: LineStyle

Menu: Format > Styl linii

Tematy pokrewne

-LineStyle (wariant okna poleceń)

Zarządzanie warstwami

Dostosowywanie stylów linii


Ustawianie współczynnika skali stylu linii

Polecenie LineScale służy do ustawiania globalnego współczynnika skali dla stylów linii. Ma to wpływ na wszystkie elementy rysunku, którym przypisano wzór stylu linii.

Długości kresek określone w plikach definicji stylu linii (jednostki rysunkowe) są mnożone przez współczynnik określony poleceniem LineScale.

Można określać indywidualne współczynniki skali stylu linii według elementu w palecie Właściwości.

Dostęp

Polecenie: LineScale

Tematy pokrewne

Formatowanie rysunku

Wyświetlanie i modyfikowanie właściwości


Ustawianie aktywnej szerokości linii

Polecenie LineWeight służy do ustawiania szerokości linii dla nowych elementów. Szerokość linii definiuje wygląd grubości elementów.

Szerokość linii elementów nie zmienia się podczas powiększania/pomniejszania. Szerokości linii nie mają na celu reprezentowania jednostek rzeczywistych. Aby rysować szerokie elementy 2D, które odzwierciedlają jednostki rzeczywiste, należy użyć polilinii.

Uwaga: Nie można przypisywać szerokości linii do elementów punktowych, tekstu z czcionkami TrueType, elementów jednolitych (jednolite wypełnienia 2D) oraz odniesień do obrazów rastrowych.

Aby ustawić szerokość linii, należy:

  1. Kliknąć Format > Szerokość linii (lub wpisać LineWeight).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Szerokości linii.
  2. W części Szerokość linii wybrać wartość numeryczną lub wybrać:
    • JakBlok: Ustawia szerokość linii dla nowych elementów na domyślną szerokość linii, do czasu uwzględnienia ich w bloku.
    • JakWarstwa: Ustawia szerokość linii w oparciu o szerokość linii aktywnej warstwy. JakWarstwa pozwala na ustawianie różnych szerokości linii dla różnych warstw.
    • Domyślny: Ustawia szerokość linii na szerokość domyślną. Elementy utworzone przy użyciu domyślnej szerokości linii są modyfikowane w przypadku zmiany Szerokości domyślnej (patrz niżej).
  3. W części Szerokość domyślna wybrać domyślną szerokość linii dla warstw.
  4. Aby zobaczyć szerokości linii, należy wybrać Wyświetl szerokość w obszarze graficznym.
  5. Ustawić Skalę, aby zmodyfikować skalę szerokości linii.
  6. Wybrać Cale lub Milimetry jako jednostki dla szerokości linii.

Dostęp

Polecenie: LineWeight

Menu: Format > Szerokość linii

Tematy pokrewne

-LineWeigth (wariant okna poleceń)

Formatowanie rysunku


Ustawianie płaszczyzny Z i grubości

Polecenie ZPlane służy do ustawiania płaszczyzny poziomu oraz grubości dla nowych elementów rysunku.

  • ZPlane: Określa współrzędną Z dla nowych elementów w bieżącym układzie współrzędnych podczas wprowadzania wartości XY dla punktów. Zwykle niezerowe poziomy służą jako tymczasowe płaszczyzny konstrukcyjne.
  • Grubość: Nadaje elementom rysunkowym wysokość, dzięki czemu wyglądają one jak powierzchnie 3D. Grubość to odległość, o jaką element jest wyciągnięty nad lub pod poziomem bazowym. Dodatnia wartość tworzy wyciągnięcie do góry. Ujemna wartość tworzy wyciągnięcie do dołu. Wartość 0 nie stosuje żadnej grubości.

Grubość można stosować do następujących elementów rysunku:

  • Linie
  • Łuki
  • Okręgi
  • Polilinie
  • Bryły 2D
  • Trasy
  • Tekst

Grubości nie można stosować do następujących elementów:

  • Kreskowania
  • Wymiary
  • Elipsy
  • Splajny
  • Regiony

Aby zdefiniować płaszczyznę Z i grubość dla nowych elementów rysunku, należy:

  1. Wpisać ZPlane w wierszu poleceń.
  2. Określić poziom dla wszystkich nowych elementów rysunku.
  3. Określić grubość dla nowych elementów rysunku.

    Ustawienie to ma zastosowanie tylko do elementów rysunku, które mogą mieć grubość.

Aby zmodyfikować grubość elementów rysunku, należy:

  • Wybrać jeden lub kilka elementów i ustawić Grubość na palecie Właściwości.

    - lub -
  • Użyć polecenia ModifyProperties.

Dostęp

Polecenie: ZPlane

Tematy pokrewne

Formatowanie rysunku

Właściwości elementu


Określanie jednostek i precyzji

Polecenie UnitSystem pozwala ustawiać:

  • Formaty dla jednostek liniowych i kątowych
  • Poziomy dokładności poprzez określenie liczby miejsc dziesiętnych
  • Referencyjną jednostkę miary dla bloków i rysunków w rysunku

Precyzję oraz formaty jednostek liniowych i kątowych można ustawiać niezależnie.

Ustawienia jednostek są zapisywane z każdym rysunkiem, dlatego mogą być różne dla każdego rysunku.

Aby określić jednostki i precyzję, należy:

  1. Kliknąć Format > Układ jednostek miar (lub wpisać UnitSystem).

    W oknie dialogowym Opcje nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Układu jednostek miar.
  2. W części Kąt bazowy:
    • Ustawić kąt bazowy, który określa kierunek dla 0°. Na przykład geodeci zwykle ustawiają 0° jako kierunek "do góry" na stronie. To ustawienie zapewnia prawidłowe wyświetlanie kąta i odległości przy rysowaniu linii. Informacje wyświetlane na pasku stanu są aktualizowane według kierunku zerowego kąta i orientacji.
    • Wybrać Zgodnie z ruchem wskazówek zegara, aby zwiększanie kątów następowało w kierunku zgodnym z ruchem wskazówek zegara.
    • Ustawić kąt obrotu lub kliknąć Wybierz w obszarze graficznym [image], aby ustawić kąt obrotu i drugi punkt w obszarze graficznym.
  3. W części Długość ustawić:
    • Typ jednostek liniowych.
    • Precyzję od 0 do 8 miejsc dziesiętnych.
  4. Przykłady jednostek liniowych:

    Typ jednostek | Przykład 1 | Przykład 2
    Architektoniczne (stopy i cale) | 0'-1 1/2" | 125'-0"
    Dziesiętne | 1.5000 | 1500.0000
    Inżynieryjne (stopy i cale) | 0'-1.5000" | 125'-0.0000"
    Ułamkowe | 1 1/2 | 1500
    Naukowe (naukowa notacja wykładnicza) | 1.5000E+00 | 1.5000E+03
  5. W części Kąt ustawić:
    • Typ jednostek kątowych.
    • Precyzję od 0 do 8 miejsc dziesiętnych.
  6. Przykłady jednostek kątowych:

    Typ jednostek | Przykład 1 | Przykład 2
    Stopnie dziesiętne (jednostki metryczne) | 12.500 | 180
    Stopnie / minuty / sekundy | 12d30'0" | 180d0'0"
    Gradusy (400 gradusów równa się 360°) | 13.889g | 200.000g
    Radiany (2 pi radiany równają się 360°) | 0.218r | 3.142r
    Geodezyjny układ jednostek (kierunki kompasu, N,S,E,W wraz z odchyleniem od północy i południa) N 77d30'0" E W
  7. W części Skala jednostek w polu Format jednostek bloku wybrać referencyjną jednostkę miary dla bloków i rysunków w rysunku. Wybrać Bezwymiarowe, aby uniemożliwić skalowanie elementów. Jeżeli jednostki bloku (lub rysunku) do wstawienia różnią się od jednostek w części Format jednostek bloku, to blok jest skalowany. Skala wstawienia określa stosunek pomiędzy jednostkami w rysunku źródłowym i w rysunku docelowym.
  8. Kliknąć OK.

Dostęp

Polecenie: UnitSystem

Menu: Format > Układ jednostek miar

Tematy pokrewne

-UnitSystem (wariant okna poleceń)


Ustawianie obwiedni rysunku

Polecenie DrawingBounds służy do definiowania zakresu wyświetlania siatki i ograniczania obszaru graficznego. Granice rysunku mogą być pomocne przy drukowaniu i kreśleniu. Jeżeli obszar graficzny jest ustawiony w taki sposób, że jest skalowany bezpośrednio do standardowego arkusza rysunku, potrzebne jest tylko określenie drukowania według obwiedni rysunku, aby uzyskać wydruk całego rysunku, bez względu na bieżące wyświetlanie w oknie rysunku.

Aby ustawić obwiednie rysunku, należy:

  1. Kliknąć Format > Granica rysunku (lub wpisać DrawingBounds).
  2. Określić punkt reprezentujący lewy dolny narożnik obszaru graficznego.
  3. Określić punkt reprezentujący prawy górny narożnik obszaru graficznego.

Aby włączyć sprawdzanie obwiedni, należy:

  1. Kliknąć Format > Granica rysunku (lub wpisać DrawingBounds).
  2. Określić opcję Wł., aby wymusić sprawdzanie obwiedni, uniemożliwiając umieszczanie punktów poza granicą rysunku.

Aby wyłączyć sprawdzanie obwiedni, należy:

  1. Kliknąć Format > Granica rysunku (lub wpisać DrawingBounds).
  2. Określić opcję Wył..

Dostęp

Polecenie: DrawingBounds

Menu: Format > Granica rysunku

Tematy pokrewne

Wyświetlanie siatki


Zmienianie nazw stylów i elementów rysunku

Polecenie Rename służy do zmieniania nazw skojarzonych z blokami, warstwami, stylami linii, stylami linii wzbogaconej, stylami tekstu, stylami tabeli, stylami wymiarowania, niestandardowymi układami współrzędnych i widokami.

W przypadku niektórych elementów rysunku nie można usuwać ani zmieniać nazw standardowych elementów, ponieważ rysunek tych typów musi zawierać co najmniej jeden element, w tym:

  • Warstwa 0
  • Style linii JakBlok, JakWarstwa lub Ciągły
  • Styl linii wzbogaconej Standard
  • Styl tekstu Standard
  • Styl tabeli Standard
  • Styl drukowania Normalny

Aby zmienić nazwy stylów i elementów rysunku, należy:

  1. Kliknąć Format > Zmień nazwę (lub wpisać Rename).
  2. W oknie dialogowym przejść do elementu, którego nazwę należy zmienić.

    Okno dialogowe wyświetli wszystkie elementy zdefiniowane w rysunku.
  3. Wybrać element.
  4. Jako Nazwa wpisać nową nazwę.
  5. Kliknąć Zmień nazwę.
  6. Kliknąć Zamknij.

Dostęp

Polecenie: Rename

Menu: Format > Zmień nazwę

Tematy pokrewne

-Rename (wariant okna poleceń)

Odrzucanie nieużywanych odniesień


Elementy rysunku

Narzędzia rysowania można wykorzystać do tworzenia nowych elementów, takich jak linie, łuki i okręgi.

Do przywoływania narzędzi rysowania można wykorzystać okno poleceń, menu Rysuj lub pasek narzędzi Rysuj.

Podczas konstruowania rysunku pomocne są narzędzia konstrukcyjne, takie jak Nieskończona linia, Półprosta oraz Punkt.

Podczas rysowania mogą pojawić się monity o określenie punktów, takich jak punkt środkowy okręgu lub punkt początkowy i końcowy linii. Wartości współrzędnych można wprowadzać w wierszu poleceń lub w rysunku.

Aby skutecznie używać narzędzi rysowania, należy używać opcji wprowadzania współrzędnych oraz Przyciągania elementu.

Aby zmodyfikować elementy, należy użyć paska narzędzi lub menu Modyfikuj.


Konstruowanie linii

Polecenie Line służy do konstruowania linii w rysunku.

Aby skonstruować linię lub szereg połączonych linii, należy:

  1. Kliknąć Rysuj > Linia (lub wpisać Line).
  2. W obszarze graficznym kliknąć:
    1. Punkt do rozpoczęcia segmentu linii.
    2. Punkt do zakończenia segmentu linii.
    3. Inny punkt, aby zdefiniować następny segment, lub nacisnąć Enter, aby dokończyć rysunek.

    Porada: Każdy segment w szeregu połączonych linii stanowi odrębny element. Polecenie Line może również służyć do dołączania linii do istniejących linii lub łuków.

Aby cofnąć segment linii, należy:

  • Nacisnąć Ctrl + Z lub wpisać Undo.
  • Nacisnąć Ctrl + Z lub wpisać Undo.
  • Określić opcję Cofnij.

Aby zamknąć rysunek polilinii, należy:

  • Określić opcję Zamknij.

Aby zamknąć rysunek polilinii, należy:

  • Określić opcję Zamknij.

Aby dołączyć segment linii do istniejącej linii lub łuku, należy:

  1. Kliknąć Rysuj > Linia (lub wpisać Line).
  2. Nacisnąć Enter.
  3. Dołączona kontynuowana linia jest dołączana do końca ostatniej narysowanej linii lub łuku.
  4. Kliknąć punkt, aby zdefiniować dołączony segment linii, a następnie nacisnąć Enter.

Dostęp

Polecenie: Line

Menu: Rysuj > Linia

Tematy pokrewne

Konstruowanie półprostych

Konstruowanie nieskończonych linii

Konstruowanie polilinii

Wprowadzanie danych z klawiatury


Używanie nieskończonych linii oraz linii wzbogaconych

Nieskończone linie oraz półproste można wykorzystać do utworzenia szkieletów lub siatek, pomagających w konstruowaniu rysunku. Zwykle są one usuwane po zakończeniu rysowania.

Linie wzbogacone można użyć do tworzenia zbiorów równoległych linii o różnych kolorach i typach. Linie wzbogacone są użyteczne w architektonicznych planach pięter i planach instalacji rurowych. Do tworzenia i zarządzania stylami linii wzbogaconych można użyć menu Format > Style linii wzbogaconej.

Tematy pokrewne

Praca z punktami

Elementy rysunku


Konstruowanie półprostych

Półprosta to linia, która biegnie w nieskończoność w jednym kierunku od swego początku. Półproste można wykorzystać do utworzenia szkieletów lub siatek, na których konstruowany jest rysunek.

Aby skonstruować jedną lub kilka półprostych, należy:

  1. Kliknąć Rysuj > Półprosta (lub wpisać Ray).
  2. Kliknąć w obszarze graficznym, aby zdefiniować:
    1. Punkt początkowy półprostej.
    2. Kierunek pierwszej półprostej.
    3. Różne punkty przelotowe definiujące inne półproste wychodzące z tego samego początku lub nacisnąć Enter.

Narysowanie półprostych na różnych warstwach pozwala na ich wyłączanie lub zablokowanie przed drukowaniem. Półproste można również usunąć po zakończeniu rysowania.

Dostęp

Polecenie: Ray

Menu: Rysuj > Półprosta

Tematy pokrewne

Konstruowanie nieskończonych linii

Konstruowanie linii


Konstruowanie nieskończonych linii

Nieskończone linie to zbiór jednej lub kilku linii konstrukcyjnych, które biegną w nieskończoność w obydwu kierunkach od swego początku. Nieskończone linie służą do tworzenia szkieletów lub siatek, pomagających w konstruowaniu rysunku.

Aby skonstruować jedną lub kilka nieskończonych linii, należy:

  1. Kliknąć Rysuj > Nieskończona linia (lub wpisać InfiniteLine).
  2. Kliknąć w obszarze graficznym, aby zdefiniować:
    1. Pozycję centralną nieskończonej linii.
    2. Punkt pośredni, aby zdefiniować kierunek pierwszej nieskończonej linii.
    3. Różne punkty przelotowe definiujące inne nieskończone linie przechodzące przez ten sam początek lub nacisnąć Enter.

Narysowanie nieskończonych linii na różnych warstwach pozwala na ich wyłączanie lub zablokowanie przed drukowaniem. Nieskończone linie można również usunąć po zakończeniu rysowania.

Aby utworzyć poziome nieskończone linie, należy:

  1. Kliknąć Rysuj > Nieskończona linia (lub wpisać InfiniteLine).
  2. Określić opcję Poziomo.

    Nieskończona linia pojawi się jako linia pozioma.
  3. W obszarze graficznym kliknąć:
    1. Punkt definiujący pozycję linii.
    2. Inne punkty, aby zdefiniować równoległe linie poziome, lub nacisnąć Enter.

Aby utworzyć pionowe nieskończone linie, należy:

  1. Kliknąć Rysuj > Nieskończona linia (lub wpisać InfiniteLine).
  2. Określić opcję Pionowo.

    Nieskończona linia pojawi się jako linia pionowa.
  3. W obszarze graficznym kliknąć:
    1. Punkt definiujący pozycję linii.
    2. Inne punkty, aby zdefiniować równoległe linie pionowe, lub nacisnąć Enter.

Aby utworzyć równoległe nieskończone linie pod kątem do początku, należy:

  1. Kliknąć Rysuj > Nieskończona linia (lub wpisać InfiniteLine).
  2. Określić opcję Kąt.
  3. Wpisać wartość kąta w określonych jednostkach kątowych na rysunku lub określić opcję Odniesienie do wyznaczenia elementu odniesienia, a następnie wprowadzić kąt z tego elementu odniesienia.
  4. Linia nieskończona pojawia się pod określonym kątem do poziomu lub do określonego elementu.
  5. W obszarze graficznym kliknąć:
    1. Punkt definiujący pozycję linii.
    2. Inne punkty, aby zdefiniować linie równoległe, lub nacisnąć Enter.

Aby utworzyć dwusieczne nieskończone linie w wierzchołku, należy:

  1. Kliknąć Rysuj > Nieskończona linia (lub wpisać InfiniteLine).
  2. Określić opcję Dwusieczna kąta.
  3. W obszarze graficznym kliknąć:
    1. Punkt definiujący pozycję wierzchołka.
    2. Punkt definiujący pierwszy kąt dla dwusiecznej nieskończonej linii.
    3. Punkt definiujący drugi kąt determinujący dwusieczną nieskończoną linię przez wierzchołek.
    4. Inne punkty definiujące inne dwusieczne nieskończone linie lub nacisnąć Enter.

Aby utworzyć nieskończone linie, które są odsunięte od innych elementów liniowych, należy:

  1. Kliknąć Rysuj > Nieskończona linia (lub wpisać InfiniteLine).
  2. Określić opcję Odsunięcie.
  3. Wpisać odległość odsunięcia.
  4. W obszarze graficznym:
    1. Wybrać źródłowy element liniowy.
    2. Kliknąć miejsce, gdzie należy umieścić nieskończoną linię.
  5. Powtórzyć krok 4 lub nacisnąć Enter.

Tip Zamiast wykonywać kroki 3 i 4, można określić opcję Określ pozycję, wybrać źródłowy element liniowy i kliknąć punkt w obszarze graficznym, aby zdefiniować odległość odsunięcia.

Dostęp

Polecenie: InfiniteLine

Menu: Rysuj > Nieskończona linia

Tematy pokrewne

Konstruowanie linii

Konstruowanie półprostych

Tworzenie odsunięć elementów


Zarządzanie stylami linii wzbogaconej

Elementy linii wzbogaconej składają się z dwóch lub więcej równoległych konstrukcji liniowych, tworzonych jako jeden obiekt. Przed użyciem elementów linii wzbogaconej można utworzyć dostosowane style linii wzbogaconej, aby określić kolor linii, styl linii i inne właściwości elementów. Domyślny styl linii wzbogaconej nosi nazwę Standard.

Aby utworzyć style linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. Kliknąć Nowy.
  3. W oknie dialogowym Utwórz nowy styl linii wzbogaconej wpisać nową nazwę.
  4. Kliknąć OK.

    Nowy styl pojawi się w części Styl.

Aby edytować style linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. W części Styl wybrać Styl linii wzbogaconej.
  3. Poddać edycji ustawienia w części:
    • Właściwości linii: Określić odsunięcie, kolor linii oraz styl dla każdego elementu liniowego, który składa się na element linii wzbogaconej.
      • Aby dodać elementy liniowe do definicji stylu linii wzbogaconej, należy kliknąć Nowy.
      • Aby usunąć elementy liniowe z definicji stylu linii wzbogaconej, należy wybrać element liniowy i kliknąć Usuń.
    • Wyświetlanie: Określić, czy należy wyświetlać połączenia w przerwaniach segmentu i ustawić kolor wypełnienia.
    • Zamknięcia końców: Określić zamknięcia początków i końców dla elementu linii wzbogaconej.
  4. Kliknąć OK.

Aby zmodyfikować elementy liniowe w definicjach stylu linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. W części Styl wybrać Styl linii wzbogaconej.
  3. W części Właściwości linii zmodyfikować:
    • Odsunięcie: Lokalizacja każdego elementu liniowego w elemencie linii wzbogaconej jest określana przez jego odsunięcie od środka elementu. Element liniowy o odsunięciu 0.0 jest linią środkową.
    • Kolor linii: Dwukrotnie kliknąć wybrany element w części Kolor.
    • Styl: Dwukrotnie kliknąć wybrany element w części Styl. Lista zawiera wszystkie style linii zdefiniowane w rysunku. Aby dodać style linii, w pierwszej kolejności konieczne jest utworzenie lub zaimportowanie stylu linii.
  4. Kliknąć OK.

Aby zmodyfikować połączenia i zamknięcia końców w definicjach stylu linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej.
  2. W części Styl wybrać Styl linii wzbogaconej.
  3. W części Wyświetl wybrać lub usunąć zaznaczenie opcji Pokaż połączenia i określić Kolor dla połączeń.
  4. W części Zamknięcia końców określić ustawienia zamknięć dla zamknięć Początku i Końca.
    • Kąt: Ustawia kąt zamknięć początków i końców w stosunku do kierunku pierwszego lub ostatniego elementu linii wzbogaconej.
    • Zewnętrzny łuk: Zamyka zewnętrzne końce łukiem.
    • Wewnętrzny łuk: Łączy dwa elementy linii najbliższe do zewnętrznych przy użyciu łuku, gdy istnieją cztery lub więcej linii definiujących element linii wzbogaconej.
    • Linia: Zamyka element linii wzbogaconej segmentem linii.

Aby ustawić styl linii wzbogaconej jako aktywny, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. W części Styl wybrać Styl linii wzbogaconej i kliknąć Aktywuj.

    Obok aktywnego stylu linii wzbogaconej pojawi się [image].

Aby zapisać style linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. W części Styl wybrać styl linii wzbogaconej i kliknąć Eksport.
  3. W oknie dialogowym Zapisz styl linii wzbogaconej wpisać nazwę pliku i kliknąć Zapisz.

Aby importować style linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. Kliknąć Wczytaj.
  3. W oknie dialogowym Wczytaj definicje linii wzbogaconej kliknąć Przeglądaj, aby przejść do pliku stylu .mln i kliknąć Otwórz.
  4. Kliknąć OK.

Aby zmienić nazwę stylu linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej
  2. W części Styl wybrać styl linii wzbogaconej i kliknąć Zmień nazwę.
  3. W oknie dialogowym Zmień nazwę stylu linii wzbogaconej zmienić nazwę.
  4. Kliknąć OK.

Aby usunąć style linii wzbogaconej, należy:

  1. Kliknąć Format > Style linii wzbogaconej (lub wpisać RichLineStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Linii wzbogaconej.
  2. W części Styl wybrać styl linii wzbogaconej i kliknąć Usuń.
  3. Kliknąć Tak, aby potwierdzić usunięcie.

Dostęp

Polecenie: RichLineStyle

Menu: Format > Style linii wzbogaconej

Tematy pokrewne

Konstruowanie linii wzbogaconych


Konstruowanie linii wzbogaconych

Linie wzbogacone można użyć do narysowania 2 do 16 równoległych elementów liniowych. Można tworzyć i zarządzać stylami dla linii wzbogaconych przy użyciu menu Format > Style linii wzbogaconej.

Aby skonstruować elementy linii wzbogaconej, należy:

  1. Kliknąć Rysuj > Linia wzbogacona (lub wpisać RichLine).
  2. W obszarze graficznym kliknąć:
    1. Punkt początkowy dla linii wzbogaconej.
    2. Wierzchołki segmentów, aby zdefiniować linię wzbogaconą.
  3. Nacisnąć Enter.

    4. Tip: Po określeniu punktów można wybrać opcję Zamknij, aby zamknąć element linii wzbogaconej.

Aby uwzględnić opcje wyrównania podczas tworzenia linii wzbogaconych, należy:

Podczas ustawiania opcji wyrównania linie wzbogacone są rysowane według określenia odsunięcia aktywnego Stylu linii wzbogaconej.

  1. Kliknąć Rysuj > Linia wzbogacona (lub wpisać RichLine).
  2. Określić opcję Wyrównanie.
  3. Określić opcję:
    • Dół: Rysuje segment linii wzbogaconej powyżej wybranych punktów, przy elemencie linii o najbardziej ujemnym odsunięciu w określonych wierzchołkach.
    • Góra: Rysuje segment linii wzbogaconej poniżej wybranych punktów, przy elemencie linii o najbardziej dodatnim odsunięciu w określonych wierzchołkach.
    • Zero: Definiuje Linię środkową przez wybrane punkty segmentów.
  4. W obszarze graficznym kliknąć:
    1. Punkt początkowy dla linii wzbogaconej.
    2. Wierzchołki segmentów, aby zdefiniować linię wzbogaconą.
  5. Nacisnąć Enter.

Aby zmodyfikować szerokość linii wzbogaconej, należy:

  1. Kliknąć Rysuj > Linia wzbogacona (lub wpisać RichLine).
  2. Określić opcję Skala.
  3. Wpisać wartość współczynnika skalowania.

    Domyślny współczynnik skalowania wynosi 1.0. Na przykład: aby zmniejszyć o połowę szerokość linii wzbogaconej, należy użyć wartości 0.5. Ten współczynnik skalowania nie ma wpływu na ogólny Współczynnik skalowania linii.
  4. W obszarze graficznym kliknąć:
    1. Punkt początkowy dla linii wzbogaconej.
    2. Wierzchołki segmentów, aby zdefiniować linię wzbogaconą.
  5. Nacisnąć Enter.

Aby wybrać styl podczas konstruowania linii wzbogaconej, należy:

  1. Kliknąć Rysuj > Linia wzbogacona (lub wpisać RichLine).
  2. Określić opcję Styl.
  3. Wpisać nazwę stylu lub określić opcję ?, aby wyszczególnić style linii wzbogaconej.
  4. W obszarze graficznym kliknąć:
    1. Punkt początkowy dla linii wzbogaconej.
    2. Wierzchołki segmentów, aby zdefiniować linię wzbogaconą.
  5. Nacisnąć Enter.

Dostęp

Polecenie: RichLine

Menu: Rysuj > Linia wzbogacona

Tematy pokrewne

Zarządzanie stylami linii wzbogaconej

Konstruowanie linii

Konstruowanie polilinii


Konstruowanie polilinii

Polilinia to element rysunku, który składa się z połączonych linii lub połączonych segmentów łuku. Polilinie można tworzyć przy użyciu segmentów o różnych szerokościach i ustawieniach wypełnienia. Domyślnym typem segmentu dla polilinii jest segment liniowy.

Aby skonstruować polilinie, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcje dla następnego segmentu:
    • Łuk: Zmienia typ segmentu na łuk.
    • Kąt: Definiuje segment łuku za pomocą kąta, wychodzący z punktu początkowego.
    • Środek: Definiuje segment łuku za pomocą środka.
    • Kierunek: Definiuje segment łuku za pomocą kierunku stycznej do punktu początkowego.
    • Półszerokość: Określa szerokość symetrycznie względem punktu końcowego segmentu.
    • Linia: Zmienia typ segmentu na linię.
    • Promień: Definiuje segment łuku za pomocą promienia.
    • Przez punkt:
    • Cofnij: Cofa poprzedni segment.
    • Szerokość: Określa szerokość początku i końca następnego segmentu polilinii, tworząc grubą linię lub segment łuku.
  4. Kliknąć w obszarze graficznym, aby zdefiniować punkt końcowy segmentu.
  5. Wykonać jedną z czynności:
    • Określić każdy kolejny segment zgodnie instrukcjami 3 i 4.
    • Po określeniu co najmniej dwóch segmentów wybrać opcję Zamknij, aby utworzyć zamkniętą polilinię, lub nacisnąć Enter.

Aby utworzyć wypełniony segment podczas tworzenia polilinii, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Szerokość .
  4. Wpisać szerokość początkową segmentu.
  5. Wpisać szerokość końcową segmentu.
  6. Kliknąć w obszarze graficznym, aby zdefiniować punkt końcowy segmentu.

Określona szerokość końcowa obowiązuje dla każdego kolejnego segmentu polilinii, chyba że zostanie zmieniona poprzez określenie opcji Szerokość.

Aby określić segment łuku polilinii, używając trzech punktów, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Łuk.
  4. Określić opcję Przez punkt.
  5. Kliknąć w obszarze graficznym, aby zdefiniować punkt przelotowy i punkt końcowy łuku.

Aby określić segment łuku polilinii, używając punktu środkowego, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Łuk.
  4. Określić opcję Środek.
  5. Kliknąć w obszarze graficznym, aby zdefiniować punkt środkowy łuku.
  6. Kliknąć w obszarze graficznym, aby zdefiniować punkt końcowy łuku lub określić opcję:
    • Kąt: Wprowadź kąt.
    • Długość: Kliknąć lub wprowadzić długość cięciwy.

Aby określić segment łuku polilinii, używając promienia i trzech punktów, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Łuk.
  4. Określić opcję Promień.
  5. Kliknąć w obszarze graficznym, aby zdefiniować promień łuku i punkt końcowy.

Aby określić segment łuku polilinii, używając promienia, kąta, kierunku cięciwy i dwóch punktów, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Łuk.
  4. Określić opcję Promień.
  5. Kliknąć w obszarze graficznym, aby zdefiniować promień łuku.
  6. Określić opcję Kąt.
  7. Wpisać kąt rozwarcia w wierszu poleceń.
  8. Kliknąć w obszarze graficznym, aby zdefiniować kierunek cięciwy i punkt końcowy łuku.

Aby określić segment łuku polilinii, używając kąta względem punktu początkowego oraz punktu końcowego, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Łuk.
  4. Określić opcję Kąt.
  5. Wpisać dodatnią lub ujemną wartość kąta.
  6. Kliknąć w obszarze graficznym, aby zdefiniować punkt końcowy łuku lub określić opcję:
    • Środek: Pozwala określić punkt środkowy łuku.
    • Promień: Pozwala na określenie promienia i kierunku cięciwy.

Aby określić segment łuku polilinii, używając kierunku stycznego względem punktu początkowego oraz punktu końcowego, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu polilinii.
  3. Określić opcję Łuk.
  4. Określić opcję Kierunek.
  5. Kliknąć w obszarze graficznym, aby zdefiniować kierunek styczny dla punktu początkowego łuku oraz punkt końcowy łuku.

Dostęp

Polecenie: PolyLine

Menu: Rysuj > Polilinia

Tematy pokrewne

Konstruowanie linii

Konstruowanie łuków

Konstruowanie polilinii 3D

Tworzenie obwiedni obszaru


Konstruowanie polilinii 3D

Polilinia 3D to liniowy element rysunku, który składa się z dwóch lub więcej połączonych segmentów linii, dla których określane są współrzędne 3D punktu początkowego i końcowego każdego segmentu.

Aby skonstruować polilinie 3D, należy:

  1. Kliknąć Rysuj > Polilinia (lub wpisać PolyLine3D).
  2. Kliknąć w obszarze graficznym, aby ustawić punkt początkowy dla pierwszego segmentu liniowego polilinii 3D, lub wprowadzić punkt początkowy jako współrzędne 3D.
  3. Wprowadzić punkt końcowy jako współrzędne 3D.
  4. Wykonać jedną z czynności:
  • Określić każdy kolejny segment zgodnie instrukcją 2.
  • Określić opcję Zamknij, aby utworzyć zamkniętą polilinię lub nacisnąć Enter.

Można określić opcję Cofnij, aby cofnąć poprzedni segment.

Dostęp

Polecenie: PolyLine3D

Menu: Rysuj > Polilinia 3D

Tematy pokrewne

Konstruowanie polilinii


Konstruowanie wieloboków

Wielobok to zamknięty liniowy element polilinii, składający się z 3 do 1024 boków o jednakowej długości.

Aby skonstruować wieloboki, należy:

  1. Kliknąć Rysuj > Wielobok (lub wpisać Polygon).
  2. Wpisać liczbę boków.
  3. Wykonać jedną z czynności:
    1. Kliknąć w obszarze graficznym, aby zdefiniować środek wieloboku.
    2. Określić opcję:
      • Narożnik: Umieszcza wielobok wewnątrz okręgu, który styka się z wielobokiem w narożnikach (wpisany).
      • Bok: Umieszcza okrąg wewnątrz wieloboku, który styka się z okręgiem w narożnikach (opisany).
    3. Określić punkt w obszarze graficznym, aby zdefiniować promień lub wprowadzić go w wierszu poleceń.

    - lub -

    1. Określić opcję Długość boku, aby zdefiniować krawędź wieloboku.
    2. Określić punkt początkowy krawędzi i długość boku.

Dostęp

Polecenie: Polygon

Menu: Rysuj > Wielobok

Tematy pokrewne

Konstruowanie prostych wieloboków

Konstruowanie polilinii

Konstruowanie prostokątów


Konstruowanie prostokątów

Można rysować prostokąty o dowolnym rozmiarze lub orientacji na płaszczyźnie, których narożniki są ostre, zaokrąglone lub sfazowane.

Aby skonstruować prostokąty, należy:

  1. Kliknąć Rysuj > Prostokąt (lub wpisać Rectangle).
  2. Kliknąć obszar graficzny, aby zdefiniować punkt początkowy prostokąta, lub określić opcję:
    • Fazuj: Pozwala na określenie odległości sfazowania dla każdego narożnika.
    • Poziom: Pozwala na określenie poziomu prostokąta w 3D.
    • Zaokrąglij: Pozwala na określenie promienia zaokrąglenia dla każdego narożnika.
    • Grubość: Pozwala na określenie grubości ścian prostokąta w 3D.
    • Szerokość linii: Pozwala na określenie szerokości linii 2D dla ścian prostokąta.
  3. Kliknąć w obszarze graficznym, aby wybrać przeciwległy narożnik prostokąta lub określić opcję:
    • Obszar: Definiuje prostokąt za pomocą obszaru i długości lub szerokości. (Sfazowanie lub zaokrąglenie narożników jest uwzględnione w obliczeniach powierzchni prostokąta.)
    • Wymiary: Definiuje prostokąt za pomocą długości i szerokości.
    • Obrót: Obraca dłuższy bok prostokąta o określony kąt przed określeniem przeciwległego narożnika.

Prostokąt regularny:

Prostokąt z opcją Fazuj:

Prostokąt z opcją Zaokrąglij:

Dostęp

Polecenie: Rectangle

Menu: Rysuj > Prostokąt

Tematy pokrewne

Konstruowanie polilinii

Konstruowanie wieloboków


Konstruowanie łuków

Można konstruować łuki o dowolnej długości i promieniu. Można również dołączać łuki do innych elementów linii, polilinii lub łuku. Wszystkie łuki są rysowane od punktu początkowego w dodatnim kierunku poziomym.

Aby skonstruować łuki, używając trzech punktów, należy:

  1. Kliknąć Rysuj > Łuk > 3 Punkty (lub wpisać Arc).
  2. Kliknąć obszar graficzny, aby zdefiniować punkt początkowy, przejściowy i końcowy.
  3. Kliknąć, aby umieścić łuk.

Aby skonstruować łuki, używając punktów środkowych, należy:

  1. Kliknąć Rysuj > Łuk i kliknąć opcję bazującą na środku:
    • Początek, środek, kąt: Pozwala wybrać punkt początkowy i środkowy w obszarze graficznym. Następnie wprowadzana jest wartość całkowitego kąta z cięciwy.
    • Początek, środek, koniec: Pozwala wybrać punkt początkowy, środkowy i końcowy w obszarze graficznym.
    • Początek, środek, długość: Pozwala wybrać punkt początkowy i środkowy w obszarze graficznym. Następnie wprowadzana jest wartość długości cięciwy łuku.
  2. Wybrać wymagane punkty w obszarze graficznym lub określić wartości opcji w wierszu poleceń.

Aby skonstruować łuk, używając opcji punktu początkowego i końcowego, należy:

  1. Kliknąć Rysuj > Łuk i kliknąć opcję bazującą na punkcie początkowym i końcowym:
    • Początek, koniec, kąt, aby wybrać punkt początkowy i punkt końcowy w obszarze graficznym i wprowadzić wartość dodatnią lub ujemną kąta pomiędzy styczną cięciwy i punktem początkowym.
    • Początek, koniec, kierunek, aby wybrać punkt początkowy, punkt końcowy i kierunek styczny od punktu początkowego w obszarze graficznym.
    • Początek, koniec, promień, aby wybrać punkt początkowy i punkt końcowy w obszarze graficznym, i wprowadzić wartość kąta stycznego od cięciwy.
  2. Wybrać wymagane punkty w obszarze graficznym lub wprowadzić wartości opcji w wierszu poleceń.

Aby dołączyć łuk stycznie do linii, polilinii lub łuku:

  1. Kliknąć Rysuj > Łuk (lub wpisać Arc).
  2. Wybrać odpowiednie ustawienie dla opcji Dodaj.
  3. W obszarze graficznym wybrać linię, polilinię lub łuk.
  4. - lub -
  5. Nacisnąć klawisz Enter, aby dodać łuk do ostatnio narysowanej linii, polilinii lub łuku.
  6. Określić punkt końcowy łuku.

Aby kontynuować tworzenie łuku od końca ostatnio narysowanej linii, polilinii lub łuku:

  1. Kliknąć Rysuj > Łuk > Kontynuuj (lub wpisać Arc i nacisnąć klawisz Enter).
  2. W obszarze graficznym określić punkt przejścia (lub wybrać opcję).
  3. Określić punkt końcowy łuku.

Dostęp

Polecenie: Łuk

Menu: Rysuj > Łuk

Tematy pokrewne

Konstruowanie okręgów

Konstruowanie elips i łuków eliptycznych

Konstruowanie linii


Konstruowanie okręgów

Można użyć jednej z kilku metod tworzenia okręgów.

Aby skonstruować okrąg z wykorzystaniem punktu środkowego i promienia, należy:

  1. Kliknąć Rysuj > Okrąg > Środek, promień (lub wpisać Circle).
  2. W obszarze graficznym kliknąć, aby zdefiniować:
    1. Punkt środkowy okręgu.
    2. Promień okręgu lub wprowadzić promień w wierszu poleceń.

Aby skonstruować okrąg z wykorzystaniem punktu środkowego i średnicy, należy:

  1. Kliknąć Rysuj > Okrąg > Środek, średnica.
  2. W obszarze graficznym kliknąć, aby zdefiniować:
    1. Punkt środkowy okręgu.
    2. Średnicę okręgu lub wprowadzić średnicę w wierszu poleceń.

Aby skonstruować okrąg, używając trzech punktów, należy:

  1. Kliknąć Rysuj > Okrąg > 3 Punkty (lub wpisać Circle, a następnie określić opcję 3 Punkty).
  2. W obszarze graficznym wybrać trzy punkty, które definiują punkty na okręgu.

Aby skonstruować okrąg z wykorzystaniem dwóch punktów na średnicy, należy:

  1. Kliknąć Rysuj > Okrąg > 2 Punkty (lub wpisać Circle, a następnie określić opcję 2 Punkty).
  2. W obszarze graficznym wybrać dwa punkty, które definiują średnicę okręgu.

Aby skonstruować okrąg z wykorzystaniem dwóch stycznych elementów i promienia, należy:

  1. Kliknąć Rysuj > Okrąg > Styczna, styczna, promień (lub wpisać Circle, a następnie określić opcję TTR).
  2. W obszarze graficznym:
    1. Wybrać punkt na każdym z dwóch liniowych elementów, które definiują linie styczne do okręgu.
    2. Kliknąć dwukrotnie punkt, aby zdefiniować promień, lub wprowadzić promień w wierszu poleceń.

Aby skonstruować okrąg, który jest styczny do trzech linii, należy:

  1. Kliknąć Rysuj > Okrąg > Styczna, styczna, styczna (lub wpisać Circle, a następnie określić opcję TTT).
  2. W obszarze graficznym wybrać punkt na każdym z trzech elementów liniowych, które definiują linie styczne do okręgu.

Opcja ta jest użyteczna podczas wpisywania okręgu w wielobok foremny.

Dostęp

Polecenie: Okrąg

Menu: Rysuj > Okrąg

Tematy pokrewne

Konstruowanie łuków

Konstruowanie elips i łuków eliptycznych


Konstruowanie pierścieni

Można skonstruować pierścień o dowolnej grubości lub rozmiarze poprzez określenie średnic dwóch okręgów koncentrycznych. Obszar pomiędzy pierścieniami jest wypełniony. Wypełniony okrąg posiada zerową średnicę wewnętrzną.

Aby skonstruować pierścienie i wypełnione okręgi, należy:

  1. Kliknąć Rysuj > Pierścień (lub wpisać Ring).
  2. W obszarze graficznym kliknąć dwa razy, aby zdefiniować:
    1. Średnicę wewnętrzną lub wprowadzić wartość. Dla wypełnionego okręgu należy wprowadzić 0.
    2. Średnicę zewnętrzną lub wprowadzić wartość.
  3. Kliknąć w obszarze graficznym, aby zdefiniować punkt środkowy pierścienia.
  4. Nacisnąć Enter, aby zakończyć polecenie lub wykonać jedną z czynności:
    • Kontynuować klikanie w obszarze graficznym, aby zdefiniować środki identycznych pierścieni.
    • Wprowadzić środki pierścieni.

Dostęp

Polecenie: Ring

Menu: Rysuj > Pierścień

Tematy pokrewne

Konstruowanie okręgów

Konstruowanie polilinii


Konstruowanie splajnów

Splajn jest gładką krzywą dopasowaną do zbioru punktów. Można tworzyć niejednorodną wymierną krzywą B-splajn (NURBS) dla dowolnej liczby punktów dopasowania. Można również dopasować splajn do określonych punktów leżących w określonej wartości tolerancji.

Aby skonstruować splajny, należy:

  1. Kliknąć Rysuj > Splajn (lub wpisać Spline).
  2. W obszarze graficznym kliknąć, aby zdefiniować:
    1. Określić punkt splajnu lub wprowadzić wartość.
    2. Następny punkt dopasowania splajnu lub wprowadzić wartość.
  3. Wykonać jedną z czynności:
    • Kliknąć w obszarze graficznym, aby wprowadzić kolejne punkty w celu kontynuowania splajnu.
    • Określić opcję Tolerancja dopasowania, aby zdefiniować tolerancję dopasowania, i kliknąć lub wprowadzić inne punkty splajnu.
  4. Aby zakończyć splajn, należy wykonać jedną z czynności:
    • Nacisnąć Enter i kliknąć w obszarze graficznym, aby zdefiniować styczne w punkcie początkowym i końcowym krzywej.
    • Określić opcję Zamknij, aby zamknąć krzywą splajnu i kliknąć w obszarze graficznym, aby zdefiniować styczną do krzywej w punkcie zamknięcia.

Po określeniu tolerancji dopasowania jest ona stosowana do wszystkich punktów dopasowania do chwili jej zmiany. Ustawienie zerowej tolerancji dopasowania wymusza przechodzenie splajnu przez punkty dopasowania.

Uwaga: Można również polecenia EditPolyLine, aby przekształcić polilinię w splajn.

Dostęp

Polecenie: Spline

Menu: Rysuj > Splajn

Tematy pokrewne

Edytowanie polilinii

Konstruowanie polilinii


Konstruowanie elips i łuków eliptycznych

Elipsa ma środek, tak jak okrąg, ale posiada dłuższy promień wzdłuż osi dłuższej i krótszy promień wzdłuż osi krótszej. Można konstruować elipsy i łuki eliptyczne o dowolnych rozmiarach.

Aby skonstruować elipsy na podstawie punktu środkowego oraz promieni prostopadłych osi, należy:

  1. Kliknąć Rysuj > Elipsa > Środek (lub wpisać Ellipse, a następnie określić opcję Środek).
  2. W obszarze graficznym kliknąć, aby zdefiniować:
    1. Punkt początkowy osi.
    2. Punkt końcowy osi.
    3. Promień osi prostopadłej lub określić opcję:
      • Wartość punktu końcowego osi.
      • Obrót, aby określić elipsę przy użyciu kąta, który jest definiowany przez stosunek osi dłuższej do osi krótszej. Można określić kąt z zakresu od 0 do 89.9°. Im większy kąt, tym bardziej spłaszczona elipsa.

Aby skonstruować elipsy na podstawie osi zdefiniowanej przez jej punkty końcowe i promień osi poprzecznej:

  1. Kliknąć Rysuj > Elipsa > Oś, koniec (lub wpisać Ellipse).
  2. W obszarze graficznym kliknąć, aby zdefiniować:
    1. Punkt początkowy osi.
    2. Punkt końcowy osi.
    3. Promień osi prostopadłej lub wpisać punkt końcowy w wierszu poleceń.

Aby skonstruować łuki eliptyczne, należy:

  1. Kliknąć Rysuj > Elipsa > Łuk (lub wpisać Ellipse, a następnie określić opcję Łuk eliptyczny).
  2. W obszarze graficznym kliknąć, aby zdefiniować:
    1. Punkt początkowy osi.
    2. Punkt końcowy osi.
    3. Promień osi prostopadłej.
    4. Punkt końcowy łuku lub wpisać kąt pomiędzy półprostą wychodzącą ze środka elipsy do punktu przecięcia z elipsą.
    5. Kąt definiujący półprostą wychodzącą ze środka elipsy, przecinającą elipsę w drugim punkcie końcowym łuku, lub określić opcję:
      • Wektory parametryczne: Określa łuk przy użyciu współczynnika definiującego fragment całego obszaru elipsy.
      • Kąt całkowity: Określa drugi punkt końcowy łuku na elipsie na podstawie półprostej zdefiniowanej przez kąt rozwarcia zdefiniowanej przez osie elipsy.

Dostęp

Polecenie: Ellipse

Menu: Rysuj > Elipsa

Tematy pokrewne

Konstruowanie polilinii


Praca z punktami

Punkty są często wykorzystywane jako tymczasowe elementy pomocnicze rysowania, podobnie jak linie nieskończone i półproste.

Do umieszczania punktów w rysunku można użyć poleceń Pojedynczy punkt lub Wiele punktów.

Podczas tworzenia punktów można użyć poleceń MarkDivisions oraz MarkLengths. Polecenia te umieszczają punkty lub symbole wzdłuż innych elementów rysunku. Można je wykorzystać do ustalania odległości wzdłuż linii lub bardziej złożonych elementów, co jest użyteczne w procesie konstruowania.

Przed przystąpieniem do umieszczania punktów w rysunku należy ustawić format punktu, ponieważ mogą one być trudne do zobaczenia po umieszczeniu.

Tematy pokrewne

Używanie nieskończonych linii oraz linii wzbogaconych


Ustawianie formatu punktu

Można ustawić format wyświetlania i rozmiar punktów. Pomimo że z matematycznego punktu widzenia punkty nie mają rozmiarów, można określić rozmiar ich wyświetlania.

Podczas korzystania z polecenia Point wygląd punktów uzależniony jest od ustawień formatu punktu.

Aby ustawić format punktu, należy:

  1. Kliknąć Format > Styl punktu (lub wpisać PointFormat).

    W oknie dialogowym Opcje nastąpi otwarcie strony Ustawienia rysunku i rozwinięcie Punktów
  2. W części Typ należy wybrać format wyświetlania.
  3. W części Rozmiar wpisać wartość.
  4. Wybrać opcję rozmiaru:
    • Jednostki bezwzględne. Rozmiar punktu jest ustawiany w jednostkach rysunku.
    • % Odpowiednio do wyświetlenia. Rozmiar punktu jest ustawiany w procentach widocznej płaszczyzny rysunku.
  5. Kliknąć [image] .

    Wszystkie punkty w rysunku przyjmują nowy format.

Dostęp

Polecenie: PointFormat

Menu: Format > Styl punktu

Tematy pokrewne

Wstawianie punktów

Oznaczanie elementów punktami lub blokami według podziałów

Oznaczanie elementów punktami lub blokami według długości


Wstawianie punktów

Polecenie Point rysuje punkt, zwykle używany jako odniesienie w rysunkach.

Punkty mogą służyć jako węzły, do których można przyciągać elementy, szczególnie w procesach konstrukcji 3D. W późniejszym czasie, gdy punkty nie będą już potrzebne, można je usunąć.

Zaletą wykorzystywania punktów w czasie konstruowania jest to, że pozwalają one na użycie przyciągań elementów. Można również używać śledzenia elementów lub opcji przyciągania Od, zamiast wstawiać elementy punktowe do rysunku.

Punkty mogą być wyświetlane w różnych stylach i rozmiarach.

Punkty można wykorzystywać jako symbole w rysunku, lecz w rysunku może być aktywny tylko jeden styl punktów.

Aby wstawić jeden punkt, należy:

  1. Kliknąć Rysuj > Punkt > Pojedynczy punkt (lub wpisać Point).
  2. Kliknąć w obszarze graficznym miejsce, gdzie należy wstawić punkt lub wpisać współrzędne.

W celu precyzyjnego umieszczenia należy użyć filtra współrzędnych i wnioskowania.

Aby wstawić wiele punktów, należy:

  1. Kliknąć Rysuj > Punkt > Wiele punktów (lub wpisać Point, i określić opcję Wiele).
  2. Kliknąć w obszarze graficznym miejsce, gdzie należy wstawić punkt lub wpisać współrzędne.
  3. Powtarzać krok 2 aż do zakończenia wstawiania punktów i nacisnąć Esc.

W przypadku wykorzystywania punktów jako odniesienia tymczasowego, przed wydrukowaniem lub wykreśleniem rysunków można ustawić styl punktów jako kropkę zamiast je usuwać. Punkty konstrukcyjne można również wstawiać na oddzielnej warstwie, którą można wyłączyć lub zablokować przed drukowaniem lub kreśleniem, albo usunąć po zakończeniu konstruowania.

Dostęp

Polecenie: Punkt

Menu: Rysuj > Punkt

Tematy pokrewne

Ustawianie formatu punktu

Oznaczanie elementów punktami lub blokami według podziałów

Oznaczanie elementów punktami lub blokami według długości


Oznaczanie elementów punktami lub blokami według podziałów

Oznaczanie elementów punktami lub blokami według segmentów

Polecenie MarkDivisions umieszcza równomiernie rozmieszczone punkty lub bloki wzdłuż elementu lub na jego obwodzie.

Polecenie pozwala „podzielić” linie, polilinie, okręgi i łuki na segmenty o równej długości poprzez wstawienie punktów konstrukcyjnych lub bloków. Element nie jest przecinany na różne fragmenty, lecz pozostaje jednym elementem.

Rozmiar segmentów jest determinowany przez długość do podziału i liczbę punktów konstrukcyjnych do wstawienia. W przeciwieństwie do polecenia MarkLengths, nie występują tu pozostałe części.

Aby oznaczyć elementy punktami według segmentów, należy:

  1. Kliknąć Rysuj > Punkt > Jak segmenty (lub wpisać MarkDivisions).
  2. W obszarze graficznym wybrać element do podzielenia według segmentów.
  3. Wpisać liczbę segmentów do uzyskania. Użyć liczby całkowitej z zakresu od 2 do 32767.

Aby oznaczyć elementy blokami według segmentów, należy:

  1. Kliknąć Rysuj > Punkt > Jak segmenty (lub wpisać MarkDivisions).
  2. W obszarze graficznym wybrać element do podzielenia według segmentów.
  3. Określić opcję Blok.
  4. Wpisać nazwę bloku.
  5. Określić opcję Tak lub Nie, aby wyrównać blok z elementem do oznaczenia.
  6. Wpisać liczbę podziałów do uzyskania. Użyć liczby całkowitej z zakresu od 2 do 32767.

Dostęp

Polecenie: MarkDivisions

Menu: Rysuj > Punkt > Jak segmenty

Tematy pokrewne

Wstawianie punktów

Oznaczanie elementów punktami lub blokami według długości

Ustawianie formatu punktu


Oznaczanie elementów punktami lub blokami według długości

Polecenie MarkLengths umieszcza punkty lub bloki w odmierzonych odstępach na elemencie

Polecenie pozwala „podzielić” linie, polilinie, okręgi i łuki i inne elementy na segmenty o pewnej długości poprzez wstawienie punktów konstrukcyjnych lub bloków. Element nie jest przecinany na różne fragmenty, lecz pozostaje jednym elementem.

W przeciwieństwie do polecenia MarkDivisions, elementy, które nie leżą na dokładnej wielokrotności długości segmentu, będą posiadać pozostałe części.

Aby oznaczyć element punktami według długości, należy:

  1. Kliknąć Rysuj > Punkt > Jak długości (lub wpisać MarkLengths).
  2. W obszarze graficznym wybrać element, który ma być oznaczony.
  3. Wpisać wartość, aby ustawić długość segmentów, lub kliknąć punkt początkowy i końcowy segmentu w obszarze graficznym.

Aby oznaczyć element blokami według długości, należy:

  1. Kliknąć Rysuj > Punkt > Jak długości (lub wpisać MarkLengths).
  2. W obszarze graficznym wybrać element, który ma być oznaczony.
  3. Określić opcję Blok.
  4. Wpisać nazwę bloku.
  5. Określić opcję Tak lub Nie, aby wyrównać blok z elementem.
  6. Wpisać wartość, aby ustawić długość segmentów, lub kliknąć punkt początkowy i końcowy segmentu w obszarze graficznym.

Dostęp

Polecenie: MarkLengths

Menu: Rysuj > Punkt > Jak długości

Tematy pokrewne

Wstawianie punktów

Oznaczanie elementów punktami lub blokami według segmentów

Ustawianie formatu punktu


Tworzenie obwiedni obszaru

Można utworzyć obwiednię obszaru z istniejących elementów, które tworzą zamknięty obszar 2D.

Polecenie AreaBoundary służy do:

  • Obliczania obszaru
  • Kreskowania
  • Wyodrębniania konturów w oparciu o konstrukcje tymczasowe

Elementy mogą stanowić kombinację linii, łuków, okręgów, polilinii, elips, łuków eliptycznych i splajnów. Elementy mogą występować w dowolnym układzie, pod warunkiem że obwiednia tworzy niezachodzący na siebie zamknięty obszar.

Aby utworzyć obwiednie obszaru, należy:

  1. Kliknąć Rysuj > Ogranicz obszar (lub wpisać AreaBoundary).
  2. W oknie dialogowym ustawić opcje:
    • Znajdź zagnieżdżone obwiednie: Kontroluje, czy polecenie wykrywa wewnętrzne zamknięte obszary, które leżą całkowicie wewnątrz obwiedni obszaru.
    • W części Wydajność, w polu Analizuj elementy, wybrać zbiór elementów rysunku, które są analizowane podczas definiowania obwiedni od określonego punktu:
      • Jak wyświetlony: Ustanawia zbiór obwiedni na podstawie wszystkich elementów widocznych na ekranie rysunku.
      • Określono elementów: Wyświetla liczbę określonych elementów po kliknięciu Wybierz elementy [image] w celu wybrania elementów rysunku na ekranie, aby utworzyć zbiór obwiedni.
    • W części Typ wybrać, czy należy zdefiniować obwiednię według Polilinii czy Regionu.
  3. Kliknąć [image].
  4. Kliknąć dowolny punkt wewnątrz zamkniętego obszaru do wyznaczenia jako element obwiedni. Aby utworzyć inne elementy obwiedni, należy kliknąć dodatkowe punkty wewnętrzne.
  5. Nacisnąć Enter.

Dostęp

Polecenie: AreaBoundary

Menu: Rysuj > Ogranicz obszar

Tematy pokrewne

-AreaBoundary (wariant okna poleceń)

Konstruowanie polilinii

Tworzenie regionów


Tworzenie regionów

Polecenie Region przekształca element tworzący zamknięty kształt w element regionu 2D. Można użyć tego polecenia, aby połączyć w jeden element wszystkie elementy dowolnej zamkniętej pętli – takie jak zamknięte polilinie (włącznie z wielobokami i pierścieniami), okręgi, elipsy i zamknięte splajny.

Po utworzeniu regionu różnica widoczna na ekranie jest niewielka, z wyjątkiem sytuacji, gdy pierwotny element posiadał szerokość, grubość lub szerokość linii. Te informacje są tracone podczas tworzenia regionu z takich elementów.

Region jest wypełnionym elementem planarnym. Jeżeli tryb Widok cieniowany jest ustawiony jako Płaski, region będzie widoczny jako powierzchnia, a nie tylko kontur obwiedni.

Jeżeli elementy źródłowe regionu są kreskowane, to kreskowanie traci skojarzenie z obwiednią. Konieczne jest ponowne zastosowanie kreskowania do elementu regionu.

Można również tworzyć regiony przy użyciu polecenia AreaBoundary poprzez ustawienie typu elementu wynikowego dla obwiedni jako Region.

Aby utworzyć regiony, należy:

  1. Kliknąć Rysuj > Region (lub wpisać Region).
  2. W obszarze graficznym należy wybrać zamknięte elementy rysunku do przekształcenia w region.
  3. Nacisnąć Enter.

Dostęp

Polecenie: Region

Menu: Rysuj > Region

Tematy pokrewne

Konstruowanie obwiedni obszaru

Konstruowanie polilinii


Tworzenie maski

Można utworzyć maskę, czyli figurę nałożoną na istniejącą geometrię z wykorzystaniem bieżącego koloru tła. Istniejąca geometria nie jest wymazywana.

Polecenie Mask pozwala narysować wieloboczny kształt lub wybrać istniejący wielobok w celu zamaskowania leżących poniżej elementów. Po umieszczeniu wieloboku nad fragmentem rysunku można dodawać elementy nad tym wielobokiem.

Zamaskowany obszar można na przykład opatrzyć adnotacją poprzez umieszczenie nieprzezroczystego tekstu w jego pobliżu lub poprzez podświetlenie obszarów rysunku, które wymagają ponownego opracowania szczegółów.

Można wyłączyć ramki maski, aby płynnie połączyć je z istniejącymi elementami rysunku. Jest to użyteczne przed drukowaniem rysunku.

Do sterowania widocznością różnych scenariuszy wykorzystujących maski należy użyć warstw.

Aby utworzyć maskę przy użyciu punktów, należy:

  1. Kliknąć Rysuj > Maska (lub wpisać Mask).
  2. W obszarze graficznym wybrać punkty w sekwencji definiującej kontur obszaru do zamaskowania.
  3. Nacisnąć Enter.

Aby utworzyć maskę przy użyciu polilinii, należy:

  1. Kliknąć Rysuj > Maska (lub wpisać Mask).
  2. Określić opcję Polilinia.
  3. W obszarze graficznym wybrać polilinię. Polilinia musi być zamknięta i złożona tylko z segmentów linii o zerowej szerokości.
  4. Określić opcję Tak.

Aby pokazać lub ukryć ramki maski, należy:

  1. Kliknąć Rysuj > Maska (lub wpisać Mask).
  2. Określić opcję Ramki.
  3. Określić opcję Tak, aby pokazać ramki maski. Określić opcję Nie, aby je ukryć.

Dostęp

Polecenie: Mask

Menu: Rysuj > Maska

Tematy pokrewne

Konstruowanie polilinii

Konstruowanie wieloboków

Konstruowanie prostokątów


Tworzenie chmur poprawek

Polecenie Cloud służy do tworzenia chmur poprawek. Chmury poprawek są używane na rysunkach, aby wskazać, że niektóre obszary wymagają lub zawierają poprawki. Można utworzyć chmury prostokątne, eliptyczne i odręczne, aby zaakcentować obszary rysunku. Można regulować promień kolejnych łuków Chmur.

Aby skonstruować prostokątne chmury, należy:

  1. Kliknąć Rysuj > Chmura (lub wpisać Cloud).
  2. Określić opcję Prostokąt.
  3. W obszarze graficznym określić róg początkowy kształtu prostokąta.
  4. Określić przeciwny róg kształtu prostokąta.

Aby skonstruować kształt eliptyczny Chmur, należy:

  1. Kliknąć Rysuj > Chmura (lub wpisać Cloud).
  2. Określić opcję Eliptyczny.
  3. W obszarze graficznym określić punkt początkowy pierwszej osi kształtu elipsy.
  4. Określić punkt końcowy pierwszej osi kształtu elipsy.
  5. Określić punkt końcowy pozostałej osi.

Aby skonstruować odręczne Chmury, należy:

  1. Kliknąć Rysuj > Chmura (lub wpisać Cloud).
  2. Określić opcję Odręczny.
  3. W obszarze graficznym określić punkt początkowy kształtu odręcznego.
  4. Określić następny punkt kształtu odręcznego.
  5. - lub -
  6. Nacisnąć klawisz Enter, aby powrócić ponownie do początku, określając nowy punkt początkowy.
  7. Kontynuować, aby określić dodatkowe wierzchołki kształtu odręcznego lub określić opcję:
    • Cofnij: Cofa poprzedni segment.
    • Zamknij: Zamyka kontur i kończy polecenie.
  8. Nacisnąć Enter.
  9. Uwaga: Otwarte kontury są zamykane automatycznie.

Aby ustawić promień dla tworzonej Chmury, należy:

  1. Kliknąć Rysuj > Chmura (lub wpisać Cloud).
  2. Określić opcję Promień.
  3. Określić Promień dla kolejnych segmentów łuku Chmury.
  4. Nacisnąć Enter.

Aby ustawić preferencje dla tworzonej Chmury, należy:

  1. Kliknąć Rysuj > Chmura (lub wpisać Cloud).
  2. Określić opcję Ustawienia.
  3. W oknie dialogowym ustawić preferencje:
    • Opcje kształtu: Ustawia rodzaj kształtu: Prostokątny [image], Eliptyczny [image] lub Odręczny [image].
    • Promień: Ustawia promień dla kolejnych segmentów łuku Chmur.
    • Warstwa: Ustawia Warstwę umieszczenia Chmur.
    • Kolor linii: Ustawia Kolor linii chmury.
    • Styl linii: Ustawia Styl linii chmury.
    • Szerokość linii: Ustawia Szerokość linii chmury.
  4. Kliknąć OK.

Należy użyć palety Właściwości, aby zmodyfikować promień kolejnych segmentów łuku chmury, jej warstwy, koloru linii, stylu linii, szerokości linii, położenia i skali.

Dostęp

Polecenie: Cloud

Menu: Rysuj > Chmura


Szkicowanie

Polecenie Sketch służy do odręcznego rysowania. Szkic składa się z wielu segmentów linii prostej.

Aby rozpocząć szkicowanie, należy:

  1. Kliknąć Rysuj > Szkic (lub wpisać Sketch).
  2. Wpisać przyrost rejestracji (długość segmentów szkicu).
  3. Określić opcję:
    • Wymaż: Usuwa fragmenty tymczasowych linii szkicu narysowanych wcześniej.
    • Połącz: Obniża pióro, aby kontynuować szkicowanie od punktu końcowego ostatnio naszkicowanej linii lub ostatniego Wymaż.
    • Pióro: Obniża lub podnosi pióro szkicujące.
    • Przerwij: Odrzuca wszystkie tymczasowe segmenty szkicu od rozpoczęcia polecenia lub od ostatniego użycia opcji Rejestruj. Polecenie zostanie przerwane.
    • Rejestruj: Rejestruje tymczasowe segmenty jako trwałe.
    • Zakończ: Rejestruje tymczasowe segmenty i kończy polecenie.
  4. Kliknąć, aby rozpocząć szkicowanie (obniżyć pióro).
  5. Kliknąć ponownie, aby przerwać szkicowanie (podnieść pióro). Kliknąć ponownie, aby przerwać szkicowanie (podnieść pióro).
  6. Nacisnąć Enter, aby przekształcić tymczasowy szkic na trwały i zakończyć polecenie.

Dostęp

Polecenie: Sketch

Menu: Rysuj > Szkic


Wstawianie kształtów

Do rysunków można wstawiać kształty, które są zdefiniowane w skompilowanych plikach kształtu (pliki .shx). Aby korzystać z kształtów, wcześniej należy je załadować.

W tym rozdziale omówiono następujące tematy:

  • Wczytywanie kształtów
  • Wstawianie kształtów


Wczytywanie kształtów

Polecenie LoadShape służy do stosowania kształtów zdefiniowanych w skompilowanych plikach kształtu (plikach .shx) przy użyciu polecenia InsertShape.

Aby wczytać kształty, należy:

  1. Kliknąć Rysuj > Kształt > Wczytaj (lub wpisać LoadShape).
  2. W oknie dialogowym przejść do pliku .shx zawierającego kształty i kliknąć Otwórz.

    Zanim możliwe będzie użycie w rysunku kształtu zdefiniowanego w danym pliku kształtu, konieczne jest wczytanie tego pliku.

Dostęp

Polecenie: LoadShape

Menu: Rysuj > Kształt > Wczytaj

Tematy pokrewne

Wstawianie kształtów


Wstawianie kształtów

Polecenie InsertShape wstawia kształt ze skompilowanego pliku kształtu (.shx).

Aby wstawić kształty, należy:

  1. Upewnić się, że plik zawierający kształt do wstawienia jest wczytany w rysunku. Kształt można wczytać przy użyciu polecenia LoadShape.
  2. Kliknąć Rysuj > Kształt > Zdefiniuj (lub wpisać InsertShape).
  3. Wpisać nazwę kształtu lub określić opcję ?, aby wyszczególnić kształty.
  4. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby zdefiniować punkt wstawienia.
  5. Wpisać wartość lub kliknąć w obszarze graficznym, aby ustawić:
    • Wysokość
    • Kąt obrotu

Dostęp

Polecenie: InsertShape

Menu: Rysuj > Kształt > Zdefiniuj

Tematy pokrewne

Wczytywanie kształtów


Modyfikowanie elementów

Aby zmodyfikować elementy, należy użyć poleceń w menu Modyfikuj i Edycja, a także paska narzędzi Modyfikuj.

Należy użyć następujących podstawowych metod edytowania:

  • Wybieranie elementów do modyfikacji
  • Modyfikowanie elementów przy użyciu uchwytów elementu
  • Naprawianie błędów
  • Używanie schowka
  • Zmienianie właściwości elementu

Można również użyć poniższych metod do modyfikowania elementów:

  • Kopiowanie, odbicia lustrzane, przenoszenie, obracanie oraz skalowanie elementów
  • Rozmieszczanie elementów we wzorze liniowym lub kołowym
  • Odsuwanie elementów
  • Rozciąganie i wydłużanie elementów
  • Wydłużanie i przycinanie, fazowanie oraz zaokrąglanie elementów
  • Dzielenie i łączenie elementów
  • Rozbijanie złożonych elementów
  • Modyfikowanie polilinii 2D i 3D

Oprócz tych metod edycji, można używać określonych poleceń edycji, takich jak stosowanie kreskowania, korygowanie tekstu, aktualizowanie stylu wymiarowania, wyrównywanie tekstu wymiaru i edytowanie atrybutów bloku.

Więcej na temat poleceń modyfikujących operacje trójwymiarowe, patrz Operacje 3D.


Wybieranie elementów do modyfikacji

W przypadku większości poleceń edycji konieczne jest określenie jednego lub kilku elementów. Sprawne wybieranie elementów ułatwia ich skuteczne modyfikowanie. Na przykład: można określić grupę elementów i zastosować polecenie modyfikacji do całej grupy, zwanej zbiorem wskazań.

Można również tworzyć filtry wyboru elementów służące do tworzenia wyborów w oparciu o takie kryteria, jak typy elementów oraz właściwości elementów.

Bardziej bezpośrednim sposobem manipulowania elementami rysunku jest użycie uchwytów elementu zamiast poleceń. Uchwyty elementu to niewielkie uchwyty pojawiające się po kliknięciu elementu.

Nie można zrealizować wszystkich czynności przy użyciu poleceń modyfikujących, lecz można wykonywać fundamentalne operacje, takie jak rozciąganie, przenoszenie, odbicie lustrzane, obracanie i skalowanie elementów rysunku.

Metody te zostały omówione w następujących tematach:

  • Wybieranie elementów
  • Stosowanie metod wyboru elementów
  • Modyfikowanie przy użyciu uchwytów elementu
  • Stosowanie węzłów uchwytów elementu
  • Ustawianie preferencji uchwytów elementu
  • Filtrowanie wyborów
  • Wstępne wybieranie elementów


Wybieranie elementów

Wiele poleceń, a w szczególności polecenia modyfikowania i uszczegółowiania elementów, wymagają wybrania elementów rysunku.

W celu wybrania elementów nie jest wprowadzane oddzielne polecenie. Zamiast tego używane są narzędzia wyboru.

Aby wybrać elementy, należy:

  1. Wprowadzić polecenie, które wymaga wyboru elementów.

    Pojawi się następujący monit:

    Wybierz elementy»

  2. Aby wyświetlić wszystkie opcje wyboru elementów, należy określić opcję ?.

    Wybierz elementy» ?
    Oczekuje punktu lub Okno, Ostatni, Przecięcie, Ramka, Wszystkie, Ogrodzenie, OWieloboczne, Grupa, Dodaj, Usuń, Poprzedni, Cofnij, Auto, Pojedynczy
    Wybierz elementy»

  3. W obszarze graficznym wybrać elementy.

    Wybory są domyślnie podświetlane.

    Wszystkie wybrane elementy są dodawane do zbioru wskazań.

    Aby dostroić wybieranie elementów, należy zapoznać się z tematem Stosowanie metod wyboru elementów.
  4. Kontynuować dodawanie elementów do zbioru wskazań lub usunąć z niego elementy. Aby usunąć poprzednio wybrane elementy ze zbioru wskazań, należy nacisnąć Shift i wybrać element.
  5. Po wybraniu wszystkich żądanych elementów należy dokończyć wybór, naciskając Enter.

    Nastąpi wznowienie bieżącego polecenia.


Stosowanie metod wyboru elementów

Gdy pojawi się monit o określenie elementów, należy wprowadzić jedną z opcji (lub skrót w nawiasach) podanych w poniższej tabeli.

Okno (w) | Określa wszystkie elementy, które leżą całkowicie wewnątrz prostokąta określonego przez dwa przeciwległe punkty.

Wybór prostokątny Okno jest definiowany przez dwa przeciwległe punkty narożnika.

Ustawić wskaźnik na pierwszym narożniku okna wyboru i kliknąć ten punkt. Kliknąć na drugim punkcie narożnika okna, aby określić wszystkie elementy zlokalizowane całkowicie wewnątrz okna.

Przecięcie (c) | Określa elementy leżące wewnątrz prostokąta, określonego przez dwa przeciwległe punkty. Elementy mogą wykraczać poza prostokąt.

Podczas określania elementów z wykorzystaniem metody Przecięcie wybierane są elementy, których kontury przecinają lub leżą wewnątrz okna.

Ustawić wskaźnik tak, by okno obejmowało lub przecinało żądane elementy rysunku.

OWieloboczne (wp) | Określa elementy, które leżą całkowicie wewnątrz wieloboku zdefiniowanego przez określone punkty.

Podobnie jak tryb Okno, tryb Okno wieloboczne określa wszystkie elementy rysunku, których kontury leżą całkowicie wewnątrz okna wyboru. W przeciwieństwie do trybu Okno, tryb Okno wieloboczne pozwala naszkicować nieregularne okno o nieograniczonej liczbie punktów narożnika.

Aby użyć funkcji OWieloboczne, należy zdefiniować punkty narożnika dla okna wyboru. Linie wieloboku mogą przecinać siebie nawzajem i tworzyć pętle. Nacisnąć Enter, aby dokończyć okno wyboru. Wybierane są wszystkie elementy, które leżą całkowicie wewnątrz okna.
Wielobok przecinający (cp) | Określa elementy leżące wewnątrz wieloboku zdefiniowanego przez określone punkty. Elementy mogą wykraczać poza wielobok.

Tryb wyboru Wielobok przecinający również tworzy nieregularnie uformowane okno o nieograniczonej liczbie punktów narożnika. Określane są wszystkie elementy znajdujące się wewnątrz lub przecinające wielobok wyboru.

Zdefiniować punkty narożnika dla okna wyboru. Tryb podglądu ukazuje tworzony wielobok. Linie wieloboku mogą przecinać siebie nawzajem i tworzyć pętle. Nacisnąć Enter, aby dokończyć okno wyboru. Wszystkie elementy znajdujące się wewnątrz lub przecinające wielobok są określane do modyfikacji.
Ogrodzenie (f) | Określa wszystkie elementy, które przechodzą przez określone ogrodzenie. Metoda ogrodzenia jest podobna do wieloboku przecinającego, z tym że ogrodzenie nie jest zamknięte.

Tryb Ogrodzenie jest skutecznym wariantem trybu wyboru przecinającego. Elementy do określenia nie są objęte ani przecięte oknem, a zamiast tego są przecięte linią, czyli „ogrodzeniem”.

Zdefiniować ogrodzenie o nieograniczonej liczbie punktów. Ogrodzenie może przecinać samo siebie. Nacisnąć Enter, aby dokończyć ogrodzenie. Wszystkie elementy, które przecinają tę linię, są wybierane do zbioru wskazań.
Poprzedni (p) | Określa ponownie ostatni zbiór wskazań elementów.

Opcja Poprzedni przywraca poprzedni zbiór wskazań.

Uwaga: Tak jak w metodach Ostatni oraz Wszystkie, elementy na warstwach zablokowanych nie są wybierane, a elementy na warstwach wyłączonych są wybierane, lecz nie mogą być modyfikowane.
Ostatni (l) | Określa ostatni utworzony widoczny element.

Opcja Ostatni dodaje ostatnio narysowany element do zbioru wskazań.

Uwaga: Jeżeli ostatnio narysowany element znajduje się na zablokowanej warstwie, to nie zostanie wybrany żaden element.
Grupa (eg) | Określa elementy określonej grupy elementów.

Opcja Grupa elementów wybiera elementy grupy elementów określonej za pomocą nazwy grupy.

Grupy elementów są tworzone przy użyciu polecenia EntityGroup.
Dodaj (a) / Usuń (r) | Przełącza pomiędzy domyślnym trybem Dodaj i Usuń.

Opcja Dodaj jest trybem domyślnym i pozwala określać elementy i dodawać je do zbioru wskazań w dowolnym czasie.

Natomiast opcja Usuń usuwa poprzednio wybrane elementy ze zbioru wskazań. Tryb Usuń zmienia monit wyboru elementów na Usuń elementy. Elementy już wybrane są usuwane ze zbioru wskazań w przypadku ponownego wybrania.
Cofnij (u) | Cofa wybór ostatnio wybranych elementów.

Opcja Cofnij odwraca ostatni wybór.
Wszystkie (all) | Określa wszystkie elementy na wszystkich warstwach.

Opcja Wszystkie wybiera wszystkie elementy w rysunku, z wyjątkiem tych, które znajdują się na zablokowanych warstwach.
Pojedyncze (si) / Wielokrotne (m) | Przełącza pomiędzy metodą wyboru pojedynczego i wielokrotnego.

W trybie Pojedynczym określany jest jeden element, po czym wybieranie elementów jest kończone.

W trybie Wielokrotnym elementy są wybierane poprzez określenie wielu punktów bez podświetlania elementów. Tryb wielokrotny wybiera również dwa przecinające się elementy, nawet jeśli punkt przecięcia zostanie wybrany dwa razy.
Auto (au) | Przełącza na tryb automatyczny, w którym wskazanie elementu powoduje jego wybranie. Wskazanie pustej lokalizacji inicjuje ramkę wyboru elementów.

Domyślnymi trybami dla wyboru elementów są Auto i Wszystkie.
Ramka (box) | Określa elementy metodą wskaźnika, która stanowi połączenie wyboru oknem i wyboru przecinającego. Jeżeli przeciwległe punkty prostokąta wyboru zostaną określone od prawej do lewej, ramka jest równoważna wyborowi przecinającemu. W przeciwnym razie ramka jest równoważna wyborowi oknem.

Narysowanie okna od lewej do prawej określa elementy wewnątrz okna wyboru.
Narysowanie okna od prawej do lewej określa elementy wewnątrz okna wyboru i przecinające je.

Tematy pokrewne

Wybieranie elementów


Modyfikowanie przy użyciu uchwytów elementu

Uchwyty elementu (EGrips) są możliwymi do wybrania uchwytami (wyświetlanymi jako niewielkie kwadraty) w punktach końcowych, środkach, wierzchołkach, punktach wstawiania i innych geometrycznych punktach elementów.

Lokalizacja uchwytów elementu zależy od elementu. Na przykład uchwyty elementu dla okręgu są wyświetlane w środku i w czterech miejscach na obwodzie. Węzły uchwytów dla konkretnych elementów opisano w temacie Węzły uchwytów elementu.

Uwaga: Uchwyty elementu nie są dostępne w elementach rysunku, znajdujących się na zamkniętych warstwach.

Uchwyty elementu służą do przeciągania punktów definiujących elementów do nowych pozycji (rozciąganie), przesuwania lub kopiowania całych elementów.

Aby użyć uchwytów elementu, należy:

  1. Aby określić elementy, które należy zmodyfikować i kliknąć uchwyt elementu.

    Określony uchwyt elementu zmieni kolor i nastąpi wyświetlenie opcji uchwytu elementu w oknie poleceń.
  2. Rozciągnąć element, przemieszczając uaktywniony uchwyt elementu do nowej lokalizacji, i kliknąć na rysunku.

    Jako tryb edycji uchwytów elementu można ustawić:
    • Punkt bazowy: Określa punkt bazowy inny niż podświetlony bazowy uchwyt elementu.
    • Kopiuj: Pozostawia określony element w bieżącej lokalizacji podczas modyfikowania kopii.
    • Cofnij: Anuluje poprzednią czynność edytowania uchwytu elementu, pod warunkiem, że podświetlony jest jeden lub kilka uchwytów elementu.
    • Zakończ: Przerywa edycję uchwytu elementu. Podświetlone modyfikujące uchwyty elementu znikną, lecz wybierające uchwyty elementu będą nadal wyświetlane.
  3. Aby usunąć uchwyty elementu z określonego elementu lub zbioru elementów, należy nacisnąć Esc.

Aby rozciągnąć wiele elementów przy użyciu uchwytów elementu, należy:

  1. Przytrzymać klawisz Shift i kliknąć kilka uchwytów elementu, aby je podświetlić.
  2. Zwolnić Shift.
  3. Określić jeden uchwyt elementu jako uchwyt bazowy.
  4. Przenieść uchwyt bazowy do innej lokalizacji i kliknąć na rysunku.

Aby ustawić preferencje uchwytów elementu, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje, kliknąć Preferencje użytkownika [image] .
  5. Rozwinąć Opcje szkicowania > Wybór elementów.
  6. Rozwinąć Opcje EGrips:
    • Włącz uchwyty elementu (EGrips)
    • Włącz EGrips w blokach
    • Włącz wskazówki EGrip
    • Ustawić Ograniczenie wyświetlania EGrip (maksymalną liczbę elementów wyświetlaną z uchwytami elementu)
  7. Rozwinąć Kolory EGrips, aby ustawić kolory:
    • Aktywne EGrips
    • Nieaktywne EGrips
    • Kolory efektu mouseover na EGrips (kolor uchwytów elementu po przesunięciu wskaźnika na uchwyt elementu)
  8. Rozwinąć Rozmiar EGrips, aby ustawić rozmiar wyświetlania uchwytów elementu.
  9. Kliknąć OK.

Tematy pokrewne

Stosowanie węzłów uchwytów elementu

Ustawianie preferencji uchwytów elementu

Ustawianie preferencji użytkownika i konfiguracja programu


Stosowanie węzłów uchwytów elementu

Uchwyty elementu (EGrips) są możliwymi do wybrania uchwytami (wyświetlanymi jako niewielkie kwadraty) w punktach końcowych, środkach, wierzchołkach, punktach wstawiania i innych geometrycznych punktach elementów. Uchwyty elementów pozwalają rozciągać, przenosić i kopiować elementy rysunku.

Poniższa tabela wyszczególnia elementy, które posiadają uchwyty elementu, ich lokalizację oraz sposób modyfikowania elementu przy użyciu uchwytu elementu.

Węzły uchwytów elementu i edytowanie wyników

Typ elementu | Użycie uchwytu elementu
Linia | Punkt początkowy: Modyfikuje ten punkt, rozciąga linię Punkt końcowy: Modyfikuje ten punkt, rozciąga linię Punkt środkowy: Przenosi linię
Półprosta | Punkt początkowy: Modyfikuje ten punkt, rozciąga półprostą Przez punkt: Modyfikuje ten punkt, przenosi półprostą
Nieskończona linia | Przez punkt: Modyfikuje ten punkt, przenosi nieskończoną linię
Łuk | Punkt środkowy: Przenosi łuk Punkty końcowe obwodu: Modyfikuje promień łuku
Okrąg | Punkt środkowy: Przenosi okrąg Cztery punkty obwodu: Modyfikuje promień
Elipsa | Punkt środkowy: Przenosi elipsę Cztery punkty obwodu: Modyfikuje promień pierwszorzędny lub drugorzędny
Polilinia | Wierzchołek: Przenosi ten punkt
Splajn | Wierzchołek: Przenosi ten punkt
Wstawianie (dla bloków) | Punkt wstawienia: Przenosi ten punkt
Atrybut bloku | Punkt wstawienia: Przenosi ten punkt
Punkt | Punkt: Przenosi ten punkt
Prosta notatka | Punkt bazowy: Przenosi ten punkt
Notatka | Punkt bazowy: Przenosi ten punkt
Definicja atrybutu bloku | Punkt bazowy: Przenosi ten punkt
Wymiar | Początek linii pomocniczej: Przenosi ten punkt i pomocniczą linię wymiaru Punkty końcowe linii wymiarowej oraz punkt środkowy tekstu wymiaru: Przenosi linię wymiarową i tekst
Linia wiodąca | Punkt wstawienia: Przenosi punkt
Tolerancja | Punkt wstawienia: Przenosi punkt
Ściana 3D | Trzy z czterech wierzchołków: Przenosi ten punkt
Bryła 2D | Trzy z czterech wierzchołków: Przenosi ten punkt
Okienko ekranu (na arkuszach) | Cztery punkty narożne: Modyfikuje prostokąt

Tematy pokrewne

Modyfikowanie przy użyciu uchwytów elementu

Ustawianie preferencji uchwytów elementu


Ustawianie preferencji uchwytów elementu

Polecenie EntityGrips służy do włączania i wyłączania uchwytów elementu (EGrips), ustawiania ich rozmiaru oraz ustawiania koloru określonych stanów uchwytów elementu.

Aby ustawić preferencje uchwytów elementu, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać EntityGrips).
  2. Kliknąć Narzędzia > Opcje (lub wpisać EntityGrips).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać EntityGrips).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image] .
  5. Rozwinąć Opcje szkicowania > Wybór elementów.
  6. Rozwinąć Opcje EGrips:
    • Włącz uchwyty elementu (EGrips): Wyświetla uchwyty elementów w obszarze graficznym.
    • Włącz EGrips w blokach: Wyświetla uchwyty elementów dla każdego elementu w bloku.
    • Włącz wskazówki EGrip: Wyświetla etykietki narzędzi dla uchwytów elementu.
    • Ustawić Ograniczenie wyświetlania EGrip: Określa maksymalną liczbę elementów wyświetlaną jednocześnie z uchwytami elementu. Jeżeli liczba określonych elementów przekracza maksymalną (32767), uchwyty elementu są wyłączane.
  7. Rozwinąć Kolory EGrips, aby określić kolory:
    • Aktywne EGrip: Ustawia kolor uchwytów elementu po kliknięciu elementu.
    • Nieaktywne EGrips: Ustawia kolor uchwytów elementu po dodaniu elementu do zbioru wskazań, gdy uchwyty elementu są włączone.
    • Efekt mouseover na EGrip: Ustawia kolor uchwytów elementu po przesunięciu wskaźnika na uchwyt elementu.
  8. Rozwinąć Rozmiar EGrips, aby ustawić rozmiar wyświetlania uchwytów elementu.
  9. Kliknąć OK.

Dostęp

Polecenie: EntityGrips

Tematy pokrewne

Modyfikowanie przy użyciu uchwytów elementu

Stosowanie węzłów uchwytów elementu

Ustawianie preferencji użytkownika i konfiguracja programu


Filtrowanie wyborów

Polecenie SelectionFilter służy do filtrowania elementów do wybrania. Filtr jest stosowany jako polecenie transparentne poprzez wpisanie 'SelectionFilter w monicie Wybierz elementy poleceń modyfikacji.

Po wybraniu elementów w oparciu o filtr należy zmodyfikować elementy przy użyciu poleceń modyfikacji lub palety Właściwości.

Aby utworzyć filtrowane wybory, należy:

  1. Wpisać SelectionFilter w wierszu poleceń.
  2. W oknie dialogowym kliknąć Dodaj element [image] i kliknąć w obszarze graficznym, aby dodać element do filtra wyboru.

    Okno dialogowe zostanie chwilowo zamknięte do czasu wybrania elementu rysunku do dodania do listy filtra.
  3. Powtórzyć poprzedni krok, aby wybrać więcej elementów.
  4. Ustawić opcje:
    • Typ filtra: Pozwala wybrać typy elementów i właściwości do dalszego filtrowania listy. Kliknąć Dodaj [image], aby dodać filtr.
    • Operator: Pozwala ustawiać operator logiczny (AND, OR, NOT lub XOR). Operatory logiczne służą do grupowania wyrażeń filtra. Kliknąć Dodaj [image], aby dodać operator.
    • Nazwany filtr: Pozwala wybrać zapisany filtr. Wpisać nazwę dla filtra w polu tekstowym obok przycisku Zapisz i kliknąć Zapisz.
  5. Kliknąć OK.

Aby zastosować zapisany filtr, należy:

  1. Wpisać SelectionFilter.
  2. W części Nazwany filtr wybrać filtr do zastosowania i kliknąć OK.

Aby wyczyścić listę filtra wyboru, należy:

  1. Wpisać SelectionFilter.
  2. Kliknąć Wyczyść listę [image] ; aby selektywnie usunąć filtry, należy wybrać jeden lub kilka filtrów i kliknąć Usuń [image] .
  3. Kliknąć OK.

Aby ponownie zastosować filtr, należy:

  • Określić opcję Poprzedni w następnym monicie Wybierz elementy.

Aby usunąć nazwane filtry, należy:

  1. Wpisać SelectionFilter.
  2. W części Nazwany filtr wybrać filtr do usunięcia i kliknąć Usuń [image].
  3. Kliknąć OK.

Dostęp

Polecenie: SelectionFilter

Tematy pokrewne

Stosowanie metod wyboru elementów


Wstępne wybieranie elementów

Polecenie Select służy do wybierania elementów rysunku dla późniejszych poleceń modyfikacji.

Aby utworzyć zbiór wskazań, należy:

  1. Wpisać Select w wierszu poleceń.
  2. Kliknąć elementy, aby dodać je do zbioru wskazań lub użyć trybów wyboru elementów, aby dostroić wybory, a następnie nacisnąć Enter.
  3. Zastosować polecenie modyfikacji.
  4. W monicie Wybierz elementy wpisać Poprzedni, aby zastosować ostatni zbiór wskazań.

Dostęp

Polecenie: Select

Tematy pokrewne

Modyfikowanie elementów

Stosowanie metod wyboru elementów


Wstępne wybieranie wszystkich elementów

Polecenie SelectAll służy do wybierania wszystkich elementów rysunku dla późniejszych poleceń modyfikacji.

Aby wstępnie wybrać wszystkie elementy, należy:

  1. Kliknąć Edytuj > Wybierz wszystkie (lub wpisać SelectAll).
  2. Wszystkie elementy zostaną zaznaczone, z wyjątkiem umieszczonych na Warstwach zamrożonych lub zablokowanych.
  3. Jeśli EntityGrips są włączone, w wybranych elementach pojawią się Węzły EntityGrip.
  4. Zastosować polecenie modyfikacji.

Uwaga: Polecenia SelectAll nie można stosować jako metody wyboru w trakcie uruchomionego polecenia. Zamiennie można stosować opcję Wszystkie, gdy pojawi się monit określenia elementów.

Dostęp

Polecenie: SelectAll

Menu: Edytuj > Wybierz wszystkie


Naprawianie błędów

Do naprawiania błędów służą następujące polecenia:

  • Delete - Usuwa dowolny element z rysunku
  • Undo - Cofa kolejno ostatnie operacje
  • Redo - Przywraca ostatnie czynności
  • Undelete - Cofa operację usunięcia


Usuwanie elementów

Polecenie Delete służy do usuwania określonych elementów podczas tworzenia, edytowania lub uszczegółowiania rysunków.

Aby usunąć elementy, należy:

  1. Kliknąć Modyfikuj > Usuń (lub wpisać Delete).
  2. Wybrać elementy do usunięcia. Użyć dowolnej metody wyboru elementów.

    Aby usunąć ostatni utworzony element, należy wpisać ostatni.
  3. Nacisnąć Enter.

Aby przywrócić usunięte elementy, należy:

  • Kliknąć Edycja > Cofnij (lub wpisać Undelete).

Dostęp

Polecenie: Delete

Menu: Modyfikuj > Usuń

Skrót klawiaturowy: Aby usunąć wybrane elementy, należy nacisnąć Delete.

Tematy pokrewne

Cofanie edycji

Cofanie usunięć


Cofanie edycji

Polecenie Undo służy do wycofywania ostatniego polecenia. Można powtarzać polecenie Undo aż do anulowania wszystkich czynności, co jest sygnalizowane komunikatem "Nic do cofnięcia."

Ustawić sterowanie cofaniem, aby kontrolować liczbę poleceń do cofnięcia oraz grupowania poleceń obsługiwanych przez polecenie Undo.

Uwaga: Polecenie Undo cofa tylko modyfikacje bazy danych rysunku, a nie modyfikacje widoku. Aby przywrócić poprzednie widoki, należy użyć funkcji Powiększ/pomniejsz poprzedni.

Aby cofnąć edycję, należy:

  1. Kliknąć Edycja > Cofnij (lub wpisać U).
  2. Powtórzyć operację cofania według potrzeb.

Dostęp

Polecenie: U

Menu: Edycja > Cofnij

Skrót klawiaturowy: Ctrl + Z

Skrót klawiaturowy: Ctrl + Z

Skrót klawiaturowy: Command + Z

Tematy pokrewne

Ustawianie sterownia cofaniem

Ponawianie operacji cofnięcia


Ponawianie operacji cofnięcia

Polecenie Redo odwraca poprzednią operację Cofnij Polecenia Redo można używać tylko wtedy, gdy żadne inne polecenie nie zmieniło rysunku od ostatniego polecenia Undo.

Aby odwrócić operacje cofania, należy:

  1. Kliknąć Edycja > Ponów (lub wpisać Redo).

    Zostanie przywrócony stan sprzed wydania polecenia Undo.
  2. Powtórzyć polecenie Redo, aby odwrócić więcej kroków polecenia Undo.

Dostęp

Polecenie: Redo

Menu: Edycja > Ponów

Skrót klawiaturowy: Ctrl + Y

Skrót klawiaturowy: Ctrl + Y

Skrót klawiaturowy: Command + Y

Tematy pokrewne

Cofanie edycji


Cofanie usunięć

Polecenie Undelete, podobnie jak polecenie Undo, służy do przywracania elementów, które zostały omyłkowo usunięte. Polecenia Undelete można również użyć do przywracania elementów po utworzeniu bloku przy użyciu polecenia MakeBlock.

Uwaga: Nie można przywrócić elementów na warstwie, która została usunięta przy użyciu polecenia Clean.

Aby cofnąć usunięcia, należy:

  • Wpisać Undelete w wierszu poleceń.

Dostęp

Polecenie: Undelete

Tematy pokrewne

Naprawianie błędów

Usuwanie elementów

Definiowanie i wstawianie bloków


Używanie schowka

Schowek jest wykorzystywany w następujących operacjach:

  • Wycinanie do schowka
  • Kopiowanie do schowka
  • Kopiowanie do schowka z punktem odniesienia
  • Wklejanie ze schowka
  • Wklejanie elementów ze schowka jako blok


Wycinanie do schowka

Polecenie Cut umieszcza wybrane elementy w schowku systemu operacyjnego, podobnie do poleceń ClipboardCopy oraz Copy@. W przeciwieństwie do tych poleceń, polecenie Cut usuwa wybrane elementy z rysunku.

Elementy ze schowka można wklejać do otwartych rysunków przy użyciu polecenia Paste oraz PasteAsBlock.

Elementy wybrane przy użyciu polecenia Cut pozostają w schowku do czasu umieszczenia w schowku nowych elementów.

Aby wyciąć do schowka, należy:

  1. Kliknąć Edycja > Wytnij (lub wpisać Cut).
  2. W obszarze graficznym wybrać elementy do wycięcia.
  3. Nacisnąć Enter.

    Wybrane elementy zostaną usunięte z rysunku i dodane do schowka.

Dostęp

Polecenie: Cut

Menu: Edycja > Wytnij

Skrót klawiaturowy: Ctrl + X

Skrót klawiaturowy: Ctrl + X

Skrót klawiaturowy: Command + X

Tematy pokrewne

Wklejanie ze schowka

Wklejanie elementów ze schowka jako blok

Kopiowanie do schowka

Kopiowanie do schowka z punktem odniesienia

Usuwanie elementów


Kopiowanie do schowka

Polecenie ClipboardCopy służy do kopiowania wybranych elementów z rysunku do schowka systemu operacyjnego. Polecenie ClipboardCopy służy kopiowania z jednego rysunku do innych rysunków.

Elementy ze schowka można wklejać do otwartych rysunków przy użyciu polecenia Paste oraz PasteAsBlock.

Elementy wybrane przy użyciu polecenia ClipboardCopy pozostają w schowku do czasu umieszczenia w schowku nowych elementów.

Polecenie Copy kopiuje elementy w rysunku z określonego punktu bazowego do punktów docelowych w rysunku, a nie do schowka.

Aby skopiować do schowka, należy:

  1. Kliknąć Edycja > Kopiuj (lub wpisać ClipboardCopy).
  2. W obszarze graficznym wybrać elementy do skopiowania.
  3. Nacisnąć Enter.

    Wybrane elementy zostaną dodane do schowka.

Dostęp

Polecenie: ClipboardCopy

Menu: Edycja > Kopiuj

Skrót klawiaturowy: Ctrl + C

Skrót klawiaturowy: Ctrl + C

Skrót klawiaturowy: Command + C

Tematy pokrewne

Wklejanie ze schowka

Wklejanie elementów ze schowka jako blok

Kopiowanie do schowka z punktem odniesienia

Wycinanie do schowka

Kopiowanie elementów w obszarze graficznym


Kopiowanie do schowka z punktem odniesienia

Polecenie Copy@ służy do kopiowania wybranych elementów i punktu odniesienia z rysunku do schowka systemu operacyjnego.

Elementy ze schowka można wklejać do otwartych rysunków przy użyciu polecenia Paste oraz PasteAsBlock.

Elementy wybrane przy użyciu polecenia Copy@ pozostają w schowku do czasu umieszczenia w schowku nowych elementów.

Polecenie Copy kopiuje elementy w rysunku z określonego punktu bazowego do punktów docelowych w rysunku, a nie do schowka.

Kopiowanie do schowka z punktem odniesienia:

  1. Kliknąć Edycja > Kopiuj z punktem odniesienia (lub wpisać Copy@).
  2. Określić współrzędne punktu odniesienia.

    Punkt odniesienia jest używany jako bazowy punkt wstawienia podczas późniejszego wstawiania elementów.
  3. Wybrać elementy do skopiowania.
  4. Nacisnąć Enter.

    Wybrane elementy zostaną dodane do schowka.

Dostęp

Polecenie: Copy@

Menu: Edycja > Kopiuj z punktem odniesienia

Skrót klawiaturowy: Ctrl + Shift + C

Skrót klawiaturowy: Ctrl + Shift + C

Skrót klawiaturowy: Command + Shift + C

Tematy pokrewne

Wklejanie ze schowka

Wklejanie elementów ze schowka jako blok

Kopiowanie do schowka

Wycinanie do schowka

Kopiowanie elementów w obszarze graficznym


Wklejanie ze schowka

Polecenie Paste służy do wklejania do rysunku elementów ze schowka systemu operacyjnego.

Elementy z rysunku należy skopiować do schowka przy użyciu polecenia Cut, ClipboardCopy lub Copy@, a następnie wkleić kopie do innych otwartych rysunków.

Aby skopiować elementy w obrębie rysunku, należy użyć poleceń Copy lub Pattern.

Aby wkleić elementy ze schowka, należy:

  1. Kliknąć Edycja > Wklej (lub wpisać Paste).

    Zawartość schowka pojawi się dołączona do wskaźnika.
  2. Wpisać współrzędne lub kliknąć punkt wstawienia dla zawartości schowka.

Dostęp

Polecenie: Paste

Menu: Edycja > Wklej

Skrót klawiaturowy: Ctrl + V

Skrót klawiaturowy: Ctrl + V

Skrót klawiaturowy: Command + V

Tematy pokrewne

Kopiowanie do schowka

Kopiowanie do schowka z punktem odniesienia

Wycinanie do schowka

Wklejanie elementów ze schowka jako blok


Wklejanie elementów ze schowka jako blok

Polecenie PasteAsBlock służy do wklejania elementów ze schowka systemu operacyjnego do rysunku jako blok. Blok łączy ze sobą elementy w celu utworzenia pojedynczego elementu. Blok można wstawiać zawsze, gdy jest potrzebny w rysunku.

Elementy z rysunku należy skopiować do schowka przy użyciu polecenia Cut, ClipboardCopy lub Copy@, a następnie wkleić kopie tych elementów do innych otwartych rysunków.

Aby wkleić elementy ze schowka jako blok, należy:

  1. Kliknąć Edycja > Wklej (lub wpisać PasteAsBlock).

    Zawartość schowka jest dołączona do wskaźnika.
  2. Wpisać współrzędne lub kliknąć punkt wstawienia dla zawartości schowka.
  3. Określ skalę osi X i Y dla wstawienia bloku.
  4. Określić kąt wstawienia.

    Elementy zostaną wstawione jako blok.

Nazwa bloku utworzonego przy użyciu polecenia PasteAsBlock jest nadawana arbitralnie. Aby zmienić nazwę bloku wstawionego ze schowka, należy użyć polecenia Rename.

Dostęp

Polecenie: PasteAsBlock

Menu: Edycja > Wklej jako blok

Skrót klawiaturowy: Ctrl + Shift + V

Skrót klawiaturowy: Ctrl + Shift + V

Skrót klawiaturowy: Command + Shift + V

Tematy pokrewne

Kopiowanie do schowka

Kopiowanie do schowka z punktem bazowym

Wycinanie do schowka

Wklejanie ze schowka


Wklejanie elementów ze schowka na ich pozycję pierwotną

Polecenie Paste@SourcePosition służy do wklejania do rysunku elementów ze schowka systemu operacyjnego przy pomocy współrzędnych rysunku źródłowego.

Aby wkleić elementy ze schowka na ich pozycję pierwotną:

  • Wpisać Paste@SourcePosition w wierszu poleceń.
  • Zawartość schowka zostanie wklejona do bieżącego rysunku przy pomocy współrzędnych rysunku źródłowego.

Dostęp

Polecenie: Paste@SourcePosition

Tematy pokrewne

Używanie schowka


Wklejanie ze schowka przy pomocy Wyboru formatu

Polecenie PasteSelected służy do wklejania elementów ze schowka systemu operacyjnego do rysunku poprzez określenie formatu, który chcesz wstawić.

Aby wkleić elementy ze schowka, korzystając z wyboru formatu:

  1. Wpisz PasteSelected w wierszu poleceń.
  2. W oknie dialogowym wybierz format odpowiadający zawartości schowka (na przykład tekst, bitmapę lub rysunek) i kliknij OK.
  3. W obszarze graficznym określ położenie zawartości schowka.
  4. Zawartość schowka zostanie wklejona do rysunku.

Dostęp

Polecenie: PasteSelected

Tematy pokrewne

Używanie schowka


Edytowanie właściwości

Do modyfikowania właściwości elementów rysunku służą:

  • Paleta właściwości - Wyświetla i zmienia ustawienia dla wszystkich właściwości jednego lub kilku wybranych elementów.
  • Narzędzie dopasowania właściwości - Przenosi właściwości z elementu źródłowego do innych elementów docelowych.


Wyświetlanie i modyfikowanie właściwości

Polecenie Properties wyświetla paletę Właściwości. Paleta Właściwości służy do wyświetlania i modyfikowania właściwości elementu rysunku.

Aby wyświetlić i zmodyfikować właściwości przy użyciu palety Właściwości, należy:

  1. Kliknąć Modyfikuj > Właściwości (lub wpisać Properties).
  2. W obszarze graficznym wybrać jeden lub kilka elementów.
  3. Paleta Właściwości wyświetla właściwości elementu wraz ze współrzędnymi i danymi, które definiują jego geometrię. Jeżeli wybrano więcej niż jeden element, paleta wyświetla tylko właściwości wspólne dla wszystkich elementów, takie jak warstwa, kolor linii, skala linii, styl linii, szerokość linii, przezroczystość oraz hiperłącze. Jeżeli wspólne właściwości nie są identyczne we wszystkich wybranych elementach, odpowiednia lista rozwijana lub pole edycji wyświetla wpis <<Varies>>.
  4. Należy zaktualizować właściwości wybranych elementów, klikając listy rozwijane lub wprowadzając nowe wartości w polach edycji.
  5. Aby ukryć paletę Właściwości, należy kliknąć Zamknij lub wpisać HideProperties.
  6. Można również kliknąć i przeciągnąć paletę Właściwości, aby utworzyć oddzielne okno lub zakotwiczyć ją na lewo lub na prawo od obszaru graficznego.

Dostęp

Polecenie: Properties

Menu: Modyfikuj > Właściwości

Tematy pokrewne

Kopiowanie właściwości pomiędzy elementami

Ukrywanie palety właściwości


Kopiowanie właściwości pomiędzy elementami

Polecenie PropertyPainter stosuje właściwości jednego elementu do innych elementów. Można kopiować wszystkie lub wybrane właściwości. Kopiowane są wszystkie stosowne właściwości, chyba że użyto opcji Ustawienia, aby określić tylko te właściwości, które mają być kopiowane.

Można kopiować i wklejać następujące podstawowe właściwości pomiędzy wszystkimi elementami:

  • Warstwa
  • Kolor linii
  • Styl linii
  • Skala linii
  • Szerokość linii
  • Przezroczystość
  • Grubość
  • Styl drukowania

Można kopiować i wklejać następujące specjalne właściwości pomiędzy określonymi typami elementów:

  • Wymiar - styl wymiarowania
  • Tekst - styl tekstu
  • Tabela - styl tabeli
  • Kreskowanie - wzór kreskowania i ustawienia kreskowania
  • Polilinia - właściwości szerokości i stylu linii generowania
  • Okienko ekranu - uwzględnia ustawienia przyciągania, siatki, blokowania wyświetlania, skali (standardowej i dostosowanej), cieniowania kreślenia i ikony symbolu współrzędnych dla danego okienka ekranu arkusza

Wybranie tych opcji stosuje właściwości elementu źródłowego w elementach docelowych odpowiedniego typu. Na przykład jeżeli elementem źródłowym jest tekst, to styl tekstu jest stosowany do wszystkich elementów tekstowych wśród wybranych elementów docelowych.

Aby skopiować właściwości pomiędzy elementami, należy:

  1. Kliknąć Modyfikuj > Malarz właściwości (lub wpisać PropertyPainter).
  2. Określić element źródłowy zawierający właściwości, które chcemy skopiować do innych elementów rysunku.
  3. Aby określić podzbiór właściwości do skopiowania, należy wpisać Ustawienia w wierszu poleceń.
  4. W oknie dialogowym Malarz właściwości wybrać właściwości do skopiowania, usunąć zaznaczenie właściwości, których nie należy kopiować, i kliknąć OK.
  5. Domyślnie wybrane są wszystkie podstawowe właściwości, z wyjątkiem stylu drukowania.
  6. Określić elementy, dla których właściwości mają zostać skopiowane.

Dostęp

Polecenie: PropertyPainter

Menu: Modyfikuj > Malarz właściwości

Tematy pokrewne

Wyświetlanie i modyfikowanie właściwości


Kopiowanie elementów w obszarze graficznym

Polecenie Copy pozwala duplikować elementy rysunku i umieszczać ich kopię w określonej lokalizacji. Zduplikowane elementy są dokładnymi kopiami określonych elementów, włącznie z wszelkimi właściwościami elementów, takimi jak warstwy, kolory linii, style linii i szerokości linii, a także konturami elementów. W oparciu o jeden wybór można utworzyć wiele kopii.

Określenie punktu bazowego (P1 na poniższym diagramie) i punktu docelowego (P2) wskazuje odległość i kierunek przesunięcia skopiowanych elementów w stosunku do pierwotnego elementu. Punkty te nie muszą zostać wybrane na pierwotnym elemencie.

Polecenie Pattern jest skutecznym narzędziem tworzenia wielu kopii we wzorze liniowym lub kołowym.

Aby skopiować elementy rysunku, należy:

  1. Kliknąć Modyfikuj > Kopiuj (lub wpisać Copy).
  2. Określić elementy do zduplikowania i nacisnąć Enter, aby zakończyć wybór.
  3. Określić źródłowy punkt bazowy i punkt docelowy, aby przenieść kopię o konkretną odległość.

    - lub -

    Określić opcję Przesunięcie i podać względną lokalizację kopii poprzez określenie przesunięć X, Y i Z, na przykład 3, 5, 5. Jeżeli kopia ma być utworzona tylko w kierunkach X i Y, nie należy określać przyrostu współrzędnej Z, na przykład: 3, 5.
  4. Aby utworzyć wiele kopii, należy określić kolejne punkty docelowe.

    Kopie zostaną umieszczone w określonych pozycjach. Jeżeli wynik wielokrotnego kopiowania nie jest zgodny z oczekiwaniami, należy określić opcję Cofnij.
  5. Aby zakończyć duplikowanie elementów, należy nacisnąć Enter.

Dostęp

Polecenie: Copy

Menu: Modyfikuj > Kopiuj

Tematy pokrewne

Przenoszenie elementów

Tworzenie wzorów elementów


Odbicia lustrzane elementów

Polecenie Mirror służy do kopiowania wybranych elementów na przeciwległą stronę określonej linii lustra. Aby zdefiniować oś lustra, należy określić dwa punkty.

Aby utworzyć odbicie lustrzane elementów rysunku, należy:

  1. Kliknąć Modyfikuj > Lustro (lub wpisać Mirror).
  2. W obszarze graficznym wybrać elementy do odbicia w lustrze.
  3. Nacisnąć Enter.
  4. Określić dwa punkty, aby zdefiniować oś lustra.

    Aby wymusić równoległość osi lustra do osi X lub Y układu współrzędnych, należy włączyć tryb ortogonalny.
  5. Po wyświetleniu monitu nacisnąć Enter, aby zachować elementy źródłowe, lub określić opcję Tak, aby usunąć te elementy.

    Utworzone zostanie odbicie lustrzane elementów względem określonej osi.

Dostęp

Polecenie: Mirror

Menu: Modyfikuj > Lustro

Tematy pokrewne

Odwracanie elementów

Ustawianie trybu ortogonalnego


Odwracanie elementów

Polecenie Flip pozwala tworzyć lustrzane kopie elementów, usuwając elementy źródłowe.

Polecenie to różni się od polecenia Mirror, w którym elementy nie pozostają w pierwotnych pozycjach, gdy przechodzą na drugą stronę osi lustra. Zamiast tego, pozostają one w tej samej pozycji względnej w stosunku do osi symetrii, lecz są odwracane względem określonej osi lustra.

Można swobodnie definiować oś odbicia poprzez określenie dwóch punktów. Aby wymusić równoległość osi lustra do osi X lub Y układu współrzędnych, należy użyć trybu ortogonalnego.

Aby odwrócić elementy rysunku, należy:

  1. Wpisać Flip w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do odwrócenia.
  3. Nacisnąć Enter.
  4. Określić dwa punkty dla osi lustra.

    Utworzone zostanie odbicie lustrzane elementów względem określonej osi i ich obrócenie. Elementy źródłowe są usuwane.

Dostęp

Polecenie: Flip

Tematy pokrewne

Odbicia lustrzane elementów

Ustawianie trybu ortogonalnego


Tworzenie odsunięć elementów

Polecenie Offset służy do tworzenia równoległych kształtów linii, polilinii 2D, okręgów, łuków, elips, łuków eliptycznych, splajnów, półprostych i nieskończonych linii. Kopia wybranego elementu jest umieszczana w określonej odległości od pierwotnego elementu. Pierwotny element pozostaje na swoim miejscu.

Odsunięcie zależy od typu elementu rysunku:

  • Linie: Tworzy identyczne kopie i przenosi je w określonym kierunku i na określoną odległość.
  • Okręgi, łuki i elipsy: Tworzy i skaluje kopie, używając środka elementu jako punktu bazowego dla skalowania. Można tworzyć koncentryczne okręgi i łuki o promieniach mniejszych lub większych od pierwotnych elementów.

Aby utworzyć odsunięcia elementów, należy:

  1. Kliknąć Modyfikuj > Odsunięcie (lub wpisać Offset).
  2. Wpisać odległość odsunięcia pomiędzy elementem źródłowym i docelowym lub określić opcję:
    • Usuń: Usuwa pierwotny element po umieszczeniu kopii tego elementu.
    • Odległości: Tworzy wiele odsunięć. Wybrać element do odsunięcia i kliknąć z boku elementu do odsunięcia. Określić pierwszą odległość i drugi punkt. Następnie można określić dodatkowe odsunięcia.
    • Warstwa docelowa: Określa, czy element ma być skopiowany na warstwę aktywną, czy na warstwę źródłową.
    • Przez punkt: Tworzy element odsunięcia przechodzący przez określony punkt.
  3. Wybrać element do odsunięcia.
  4. Aby odwrócić poprzednie odsunięcie bez zakańczania działania polecenia Offset, należy określić opcję Cofnij.
  5. Określić kolejne odsunięcia lub określić opcję Zakończ, aby zakończyć polecenie.

Dostęp

Polecenie: Offset

Menu: Modyfikuj >Odsunięcie

Tematy pokrewne

Kopiowanie elementów w obszarze graficznym


Tworzenie wzorów elementów

Polecenie Pattern pozwala tworzyć kopie określonych elementów w macierzy liniowej lub wzorze kołowym. Utworzone elementy dziedziczą wszystkie właściwości pierwotnych elementów, takie jak warstwy, kolory linii, style linii i szerokości linii.

Aby utworzyć wzór liniowy, należy:

  1. Kliknąć Modyfikuj > Wzór (lub wpisać Pattern).
  2. W oknie dialogowym kliknąć Wybierz elementy [image] wybrać elementy, aby wygenerować wzór i nacisnąć Enter, aby dokończyć wybór.

    Okno dialogowe zniknie do czasu zakończenia wyboru.
  3. W części Typ wzoru wybrać Liniowy.
  4. W części Ustawienia:
    • W części Oś pozioma i Oś pionowa wpisać liczbę elementów.
    • W części Odstępy między elementami na zdefiniować odstępy pomiędzy elementami oraz kąt dla wzoru.
      • Oś pozioma: Określa odległość pomiędzy kolumnami. Kliknąć Wybierz odsunięcie kolumny [image], aby zidentyfikować odsunięcie przy użyciu dwóch punktów w rysunku. Jeżeli odsunięcie kolumny jest wartością ujemną, kolumny są dodawane po lewej stronie.
      • Oś pionowa: Określa odległość pomiędzy wierszami. Kliknąć Wybierz odsunięcie wiersza [image], aby zidentyfikować odsunięcie przy użyciu dwóch punktów w rysunku. Jeżeli odsunięcie wiersza jest wartością ujemną, wiersze są dodawane do dołu.
      • Kąt wzoru: Określa kąt sterujący sposobem rozmieszczania kopii. Kliknąć Wybierz kąt [image], aby określić kąt przy użyciu wskaźnika.
  5. Kliknąć OK.

Aby utworzyć wzór kołowy, należy:

  1. Kliknąć Modyfikuj > Wzór (lub wpisać Pattern).
  2. W oknie dialogowym kliknąć Wybierz elementy [image], wybrać elementy, aby wygenerować wzór, i nacisnąć Enter, aby dokończyć wybór.

    Okno dialogowe zniknie do czasu zakończenia wyboru.
  3. W części Typ wzoru wybrać Kołowy.
  4. W części Ustawienia ustawić:
    • Wzór podstawowy na
    • Kąt pomiędzy elementami, jeśli to konieczne. Kąt pomiędzy to kąt rozwarcia pomiędzy punktami bazowymi elementów wzoru i środkiem wzoru. Wpisać wartość dodatnią lub kliknąć Wybierz kąt pomiędzy elementami [image].
    • Wypełnij kąt, jeżeli to konieczne. Wpisać wartość dodatnią lub ujemną lub kliknąć Wybierz kąt do wypełnienia [image]. Domyślnym kątem do wypełnienia jest 360° - pełny wzór kołowy. Wartość zerowa nie jest dozwolona. Wzór jest rysowany w kierunku przeciwnym do ruchu wskazówek zegara w przypadku kątów dodatnich lub zgodnym z ruchem wskazówek zegara w przypadku kątów ujemnych.
    • Całkowita liczba, jeśli to konieczne. Liczba elementów obejmuje pierwotny element.
  5. W części Punkt bazowy elementu należy ustawić:
    • Użyj ostatnio wybranego elementu: Wykorzystuje punkt bazowy z ostatnio wybranego elementu.
    • X i Y: Wpisać wartości lub kliknąć Wybierz punkt bazowy [image].
  6. W części Punkt osi, dla X i Y wpisać wartości dla punktu środkowego wzoru lub kliknąć Wybierz punkt środkowy [image].
  7. Wybrać Orientacja elementów względem osi, aby obracać elementy podczas tworzenia wzoru. W przeciwnym razie zachowują one wyrównanie elementu źródłowego.
  8. Kliknąć OK.

Dostęp

Polecenie: Pattern

Menu: Modyfikuj > Wzór

Tematy pokrewne

-Pattern (wariant okna poleceń)

Kopiowanie elementów w obszarze graficznym

Przenoszenie elementów


Przenoszenie elementów

Polecenie Move służy do zmieniania pozycji elementów rysunku w układzie współrzędnych, bez zmieniania ich orientacji i rozmiaru.

Aby przenieść elementy, należy:

  1. Wybrać Modyfikuj > Przenieś (lub wpisać Move).
  2. Określić jeden lub kilka elementów do przeniesienia i nacisnąć Enter, aby zakończyć wybór.
  3. Określić punkt bazowy i punkt docelowy, aby przenieść elementy o określoną odległość.

    Zamiast tego można wpisać Przesunięcie po wyświetleniu monitu i podać względną lokalizację kopii poprzez określenie przesunięć X, Y i Z. Jeżeli przeniesienie ma być wykonane tylko w kierunkach X i Y, nie należy określać przyrostu współrzędnej Z.

    Elementy zostaną przeniesione tak, jak wcześniej to określono.

Dostęp

Polecenie: Move

Menu: Modyfikuj > Przenieś

Menu kontekstowe: Określić elementy, kliknąć prawym przyciskiem myszy w obszarze graficznym i kliknąć Przenieś.

Tematy pokrewne

Kopiowanie elementów w obszarze graficznym

Modyfikowanie przy użyciu uchwytów elementu


Obracanie elementów

Polecenie Rotate służy do obracania elementów o dany kąt względem punktu bazowego.

Aby obrócić elementy, należy:

  1. Kliknąć Modyfikuj > Obróć (lub wpisać Rotate).
  2. W obszarze graficznym wybrać elementy do obrócenia.
  3. Nacisnąć Enter.
  4. Wprowadzić punkt osi.

    Punkt osi to punkt, względem którego następuje obrót. Zwykle jest to narożnik lub środek elementu. Jeżeli punktem bazowym jest narożnik określonego elementu, to elementy obracają się na tym narożniku. Jeżeli punktem bazowym jest środek określonego elementu, to element pozostaje w tej samej pozycji względnej, lecz obraca się wokół punktu bazowego.
  5. Wprowadzić kąt obrotu lub określić opcję Odniesienie , aby wprowadzić kąt odniesienia, a następnie wprowadzić nowy kąt.

    Określone elementy obrócą się zgodnie z określonymi parametrami. Domyślnie obrót następuje przeciwnie do ruchu wskazówek zegara.

Ustawienie trybu ortogonalnego podczas obracania powoduje ograniczenie kąta obrotu do interwałów 90°.

Dostęp

Polecenie: Rotate

Menu: Modyfikuj > Obróć

Tematy pokrewne

Ustawianie trybu ortogonalnego


Skalowanie elementów

Polecenie Scale służy do powiększania lub pomniejszania elementów z zachowaniem proporcji.

Aby skalować elementy, należy:

  1. Kliknąć Modyfikuj > Skala (lub wpisać Scale).
  2. W obszarze graficznym wybrać elementy do skalowania.
  3. Nacisnąć Enter.
  4. Wprowadzić punkt bazowy.

    Jeżeli punkt bazowy jest częścią określonych elementów, to zachowuje pierwotną pozycję podczas skalowania, natomiast wszystkie inne punkty przemieszczają się o te same wartości względne w kierunku osi X, Y i opcjonalnie Z. Zamiennie jako punkt bazowy można wybrać punkt nieleżący na istniejącym elemencie. W takim przypadku odległość od punktu bazowego do wszystkich innych punktów składających się na element zmieni się o ten sam współczynnik skalowania.
  5. Wprowadzić kąt skalowania lub określić opcję Odniesienie , aby wprowadzić długość odniesienia i nową długość. Opcjonalnie można określić opcję Punkty, aby przedstawić długość odniesienia jako dwa punkty.

    Współczynnik skalowania powyżej 1 powiększa elementy. Współczynnik skalowania pomiędzy 0 i 1 pomniejsza elementy. Na przykład współczynnik 3 powiększa wybrane elementy 3 razy, natomiast współczynnik 0.25 zmniejsza elementy do jednej czwartej pierwotnego rozmiaru.

    Użycie Odniesienia pozwala określić dokładną zmianę długości elementów. Na przykład aby powiększyć długość boku wynoszącą 3.45 jednostek rysunku do 3.54, konieczne jest obliczenie współczynnika skalowania. Jednakże dzięki użyciu funkcji Odniesienie, podajemy długość odniesienia (3.45) i nową długość (3.54).

Dostęp

Polecenie: Scale

Menu: Modyfikuj > Skala


Rozciąganie elementów

Polecenie Stretch służy do zmieniania pozycji węzłów elementu, przy zachowaniu ich relacji z innymi węzłami w elemencie. W przeciwieństwie do skalowania, rozciąganie powiększa lub pomniejsza elementy tylko w jednym kierunku. Rozciąganie służy również do przenoszenia pojedynczych elementów wewnątrz konturu.

Podczas rozciągania metoda wyboru determinuje, czy elementy są przenoszone, czy rozciągane.

  • Wszystkie elementy, które leżą całkowicie wewnątrz okna wyboru, są przenoszone.
  • Wszystkie elementy przecinające wielobok lub okno wyboru są rozciągane lub ściskane poprzez zmodyfikowanie punktów końcowych wewnątrz wieloboku lub okna przecinającego, natomiast pozostałe punkty końcowe zostają w swej pierwotnej lokalizacji.
  • Wszystkie inne elementy rysunku zachowują swoje pozycje i kształty.

Można rozciągać linie, segmenty polilinii, półproste, łuki, łuki eliptyczne i splajny.

Aby rozciągnąć elementy, należy:

  1. Kliknąć Modyfikuj > Rozciągnij (lub wpisać Stretch).
  2. W obszarze graficznym wybrać elementy do rozciągnięcia.

    Użyć wieloboku lub okna przecinającego, aby objąć węzły do rozciągnięcia. Po wybraniu elementów tą metodą można określić opcję Usuń, aby wymazać elementy ze zbioru wskazań. Po wymazaniu elementów należy nacisnąć Enter.
  3. Nacisnąć Enter.
  4. Określić punkt początkowy i punkt docelowy, aby zdefiniować odległość rozciągnięcia elementów.

    Elementy zostaną rozciągnięte zgodnie z określonymi parametrami.

Aby rozciągnąć elementy przy użyciu przesunięcia, należy:

  1. Kliknąć Modyfikuj > Rozciągnij (lub wpisać Stretch).
  2. W obszarze graficznym wybrać elementy do rozciągnięcia.

    Użyć wieloboku lub okna przecinającego, aby objąć węzły do rozciągnięcia. Po wybraniu elementów tą metodą można określić opcję Usuń, aby wymazać elementy ze zbioru wskazań. Po wymazaniu elementów należy nacisnąć Enter.
  3. Nacisnąć Enter.
  4. Określić opcję Przesunięcie, aby rozciągnąć określone elementy o wektor. Podać względną lokalizację rozciąganych elementów poprzez określenie przesunięć X, Y i Z. Jeżeli rozciąganie ma być wykonane tylko w kierunkach X i Y, nie należy określać przyrostu współrzędnej Z.

    - lub -

    Określić punkt początkowy, a następnie nacisnąć Enter, aby Użyć punktu początkowego jako przesunięcia.

    Elementy zostaną rozciągnięte zgodnie z określonymi parametrami.

Aby rozciągnąć pojedynczy element przy użyciu uchwytów elementu, należy:

  1. W obszarze graficznym wybrać elementy do rozciągnięcia.
  2. Kliknąć jeden z uchwytów elementu.
  3. Przenieść wskaźnik do innej lokalizacji i kliknąć.

Aby rozciągnąć wiele elementów przy użyciu uchwytów elementu, należy:

  1. W obszarze graficznym wybrać elementy do rozciągnięcia.
  2. Przytrzymać klawisz Shift i kliknąć kilka uchwytów elementu.
  3. Zwolnić klawisz Shift i kliknąć jeden uchwyt elementu jako uchwyt bazowy.
  4. Przenieść wskaźnik do innej lokalizacji i kliknąć.

Dostęp

Polecenie: Stretch

Menu: Modyfikuj > Rozciągnij

Tematy pokrewne

Przenoszenie elementów


Zmienianie długości elementów

Polecenie EditLength służy do zmieniania długości elementów liniowych lub zakrzywionych oraz kąta rozwarcia łuków. Można wydłużać i skracać linie, otwarte polilinie, łuki, łuki eliptyczne i otwarte splajny.

W przeciwieństwie do polecenia Extend i Trim, polecenie EditLength funkcjonuje bez krawędzi obwiedni. Wydłuża ono lub przycina element do określonej wartości lub proporcji pierwotnego rozmiaru. Do zmieniania długości elementów można również używać dynamicznego przeciągania. Polecenie to zmienia długość elementu w jego bieżącym kierunku i w punkcie końcowym położonym najbliżej punktu wyboru.

Aby zmienić długość elementu, należy:

  1. Kliknąć Modyfikuj > Zmień długość (lub wpisać EditLength).
  2. W obszarze graficznym wybrać element lub określić opcję:
    • Dynamiczny: Pozwala określić element, przeciągnąć go do nowej długości i kliknąć w celu ustalenia długości.
    • Przyrost: Wydłuża lub skraca punkt końcowy dowolnego elementu o odległość podaną przy użyciu klawiatury lub poprzez kliknięcie dwóch punktów. Określenie dodatniego przyrostu zwiększa długość, a ujemnego przyrostu zmniejsza długość. Określić opcję Kąt, aby zwiększyć lub zmniejszyć kąt rozwarcia.
    • Procent: Wydłuża lub skraca o zdefiniowany stosunek względem pierwotnego rozmiaru. W przypadku łuku wartość procentowa bazuje na jego obwodzie. 200% podwaja długość linii lub łuku. 50% skraca ją o połowę.
    • Razem: Zmienia całkowitą długość linii lub łuku na określony wymiar. Bieżąca długość określonego elementu jest wyświetlana w nawiasach. Określić opcję Kąt, aby zwiększyć lub zmniejszyć kąt rozwarcia.
  3. Zmienić długość innych elementów lub nacisnąć Enter.

Dostęp

Polecenie: EditLength

Menu: Modyfikuj > Zmień długość

Tematy pokrewne

Wydłużanie elementów

Przycinanie elementów


Przycinanie elementów

Polecenie Trim pozwala precyzyjnie przycinać elementy rysunku na krawędziach zdefiniowanych przez jeden lub kilka elementów.

Ważne:

  • Jako krawędzie tnące podczas przycinania wybranego elementu można wykorzystywać linie, nieskończone linie, półproste, polilinie, okręgi, łuki, elipsy i splajny.
  • Nie można przycinać bloków, kreskowań ani tekstu, ale można je wykorzystać jako krawędzie tnące.
  • Nie można przycinać wymiarów ani linii wzbogaconych. W przypadku linii wzbogaconych należy użyć polecenia EditRichLine.
  • Okienka ekranu na arkuszach mogą być krawędziami tnącymi.
  • W przypadku wybrania polilinii jako krawędzi tnącej polecenie przycina na jej linii środkowej.

Aby przyciąć elementy, należy:

  1. Kliknąć Modyfikuj > Przytnij (lub wpisać Trim).
  2. W obszarze graficznym wybrać elementy, aby utworzyć krawędź tnącą.
  3. Nacisnąć Enter.
  4. W obszarze graficznym wybrać element po stronie, która ma zostać przycięta, lub określić opcję:
    • Przecięcie: Wybiera elementy leżące wewnątrz oraz przecinające prostokąt, określony przez dwa przeciwległe punkty. Jeżeli wybór przecinający nie rozróżnia elementów, polecenie Trim rozwiązuje wybór przechodząc po zdefiniowanym prostokącie w kierunku zgodnym z ruchem wskazówek zegara, od pierwszego punktu do pierwszego napotkanego elementu.
    • Linia przecięcia: Wykorzystuje metodę wyboru „ogrodzenie” w celu przycięcia elementów po stronie przecinanej przez linię „ogrodzenia”.
    • Krawędź: Przycina do krawędzi tnącej, która w przypadku wydłużenia przecięłaby element. Elementy do przycięcia nie muszą w rzeczywistości przecinać krawędzi tnących. Aby przyciąć w implikowanym przecięciu, należy określić opcję Krawędź, a następnie opcję Wydłuż.
    • Wymaż: Usuwa niepotrzebne elementy bez zamykania polecenia Trim.
    • Rzutuj: Ustawia tryb rzutowania jako NUW (płaszczyzna X-Y aktywnego niestandardowego układu współrzędnych), Brak lub Widok.
    • Cofnij: Odwraca ostatnią operację przycinania.
    • Shift + wybór: Wydłuża elementy podczas przytrzymywania klawisza Shift i wybierania elementów.
  5. Po wybraniu elementów przycinane fragmenty elementów znikną.
  6. Nacisnąć Enter.

Dostęp

Polecenie: Trim

Menu: Modyfikuj > Przytnij

Tematy pokrewne

Wydłużanie elementów

Zmienianie długości elementów


Wydłużanie elementów

Polecenie Extend służy do edytowania elementów tak, by miały one wspólne krawędzie obwiedni. Polecenie Extend wydłuża fragmenty elementów do wyznaczonej krawędzi obwiedni, co pozwala na precyzyjne zamykanie wieloboków oraz wydłużanie elementów do odpowiedniej krawędzi obwiedni. Podczas wydłużania elementów rysunku, ich kierunek nie ulega zmianie. Linia pozostaje linią, a łuk pozostaje łukiem.

Aby wydłużyć elementy, należy:

  1. Kliknąć Modyfikuj > Wydłuż (lub wpisać Extend).
  2. W obszarze graficznym wybrać elementy, aby utworzyć krawędzie obwiedni.

    Operacja wydłużania nie ma wpływu na te elementy.
  3. Nacisnąć Enter.
  4. W obszarze graficznym wybrać element do wydłużenia lub określić opcję:
    • Przecięcie: Wybiera elementy leżące wewnątrz oraz przecinające prostokąt, określony przez dwa przeciwległe punkty. Jeżeli wybór przecinający nie rozróżnia elementów, polecenie Extend rozwiązuje wybór, przechodząc po zdefiniowanym prostokącie w kierunku zgodnym z ruchem wskazówek zegara, od pierwszego punktu do pierwszego napotkanego elementu.
    • Linia przecięcia: Wykorzystuje metodę wyboru krawędziowego w celu wydłużenia wybranych elementów rysunku.
    • Krawędź: Wydłuża do krawędzi obwiedni, która w przypadku wydłużenia przecięłaby element. Elementy do wydłużenia nie muszą w rzeczywistości przecinać krawędzi obwiedni. Aby rozciągnąć do implikowanego przecięcia, należy wybrać Krawędź, a następnie Wydłuż.
    • Wymaż: Usuwa niepotrzebne elementy bez zamykania polecenia Extend.
    • Rzutuj: Ustawia tryb rzutowania jako NUW (płaszczyzna X-Y bieżącego niestandardowego układu współrzędnych), Brak lub Widok.
    • Cofnij: Odwraca ostatnią operację wydłużania.
    • Shift + wybór: Pozwala przycinać elementy podczas przytrzymywania klawisza Shift i wybierania elementów do przycięcia.
  5. Po wybraniu elementów zaznaczone elementy zostaną wydłużone.
  6. Jeżeli istnieje więcej niż jeden sposób wydłużenia elementu, wydłużenie wybranego elementu odbywa się od punktu końcowego położonego najbliżej wskaźnika w chwili wybrania elementu. Jeżeli więcej niż jedna krawędź obwiedni leży w kierunku elementu do wydłużenia, to element jest najpierw wydłużany do pierwszej obwiedni. Kliknięcie drugi raz kontynuuje wydłużanie do drugiej krawędzi obwiedni.
  7. Nacisnąć Enter.

Dostęp

Polecenie: Extend

Menu: Modyfikuj > Wydłuż

Tematy pokrewne

Przycinanie elementów

Zmienianie długości elementów


Dzielenie elementów

Polecenie Split umożliwia wymazywanie fragmentu elementu pomiędzy dwoma punktami. Polecenie Split służy jako narzędzie konstrukcyjne lub tworzy przerwę pomiędzy dwoma fragmentami jednego elementu w celu umieszczenia tekstu lub symbolu. Polecenie to jest używane w odniesieniu do linii, okręgów, łuków, polilinii, elips, splajnów, nieskończonych linii i półprostych, za wyjątkiem linii wzbogaconych.

Aby wymazać fragment elementu, należy:

  1. Kliknąć Modyfikuj > Podziel (lub wpisać Split).
  2. W obszarze graficznym wybrać element.

    Kliknięty punkt wyznacza lokalizację, gdzie ma rozpoczynać się przerwanie.
  3. Określić drugi punkt przerwania, aby określić wycinek do usunięcia.

    Zamiennie można wprowadzić opcję Pierwszy punkt, aby jawnie określić pierwszy punkt. W takim przypadku pojawi się następnie monit o drugi punkt.

    Fragment pomiędzy dwoma punktami zostanie wymazany.

Aby odciąć jeden koniec elementu, należy:

  1. Kliknąć Modyfikuj > Podziel (lub wpisać Split).
  2. Kliknąć element w punkcie, gdzie ma znaleźć się nowy punkt końcowy.
  3. Kliknąć drugi punkt poza bieżącym punktem końcowym elementu.

    Element zostanie odcięty w punkcie, który kliknięto na elemencie.

Aby podzielić element na dwa elementy, należy:

  1. Kliknąć Modyfikuj > Podziel (lub wpisać Split).
  2. Kliknąć element w punkcie, gdzie element ma zostać podzielony.
  3. Wprowadzić @, aby powtórzyć punkt początkowy.

    Element zostanie podzielony na dwa fragmenty bez wymazywania jakiegokolwiek fragmentu. Metoda ta jest użyteczna, gdy chcemy podzielić element w miejscu, gdzie przecina on inny element.
  4. Uwaga: Pasek narzędzi Modyfikuj zawiera ikonę Podziel, która pozwala podzielić element w jednym punkcie na dwa elementy poprzez określenie jednego punktu podziału.

Dostęp

Polecenie: Split

Menu: Modyfikuj > Podziel

Tematy pokrewne

Łączenie elementów

Przycinanie elementów

Zmienianie długości elementów


Łączenie elementów

Polecenie Weld służy do łączenia dwóch elementów w jeden. Można łączyć linie, otwarte polilinie, łuki, łuki eliptyczne lub otwarte splajny. Można również przekształcać łuki w okręgi oraz łuki eliptyczne w elipsy.

Podczas łączenia elementów należy stosować poniższe wytyczne:

  • Linie muszą być wyrównane w jednym kierunku. Linie można łączyć pod warunkiem, że są współliniowe, to znaczy, że wyznaczona nowa linia łączy dwa najdalsze punkty końcowe.
  • Łuki muszą posiadać ten sam punkt środkowy i promień. Łuki są łączone w kierunku przeciwnym do ruchu wskazówek zegara, poczynając od elementu źródłowego.
  • Łuki eliptyczne muszą leżeć na tej samej elipsie. Łuki eliptyczne są łączone w kierunku przeciwnym do ruchu wskazówek zegara, poczynając od elementu źródłowego.
  • Polilinie mogą łączyć linie, łuki lub polilinie, czego wynikiem jest pojedyncza polilinia. Można scalać tylko elementy, które stykają się końcami z polilinią źródłową i dołączonymi określonymi elementami. Elementy muszą leżeć na tej samej płaszczyźnie. W przeciwieństwie do łączenia linii, łuków lub łuków eliptycznych, nie można łączyć elementów z przerwą pomiędzy nimi, jeżeli elementem źródłowym jest polilinia. Należy zauważyć, że polecenie EditPolyLine również pozwala na łączenie elementów z istniejącymi poliliniami.
  • Nie mogą występować przerwy pomiędzy splajnami. Wygląd splajnu zmienia się, jeżeli przejście pomiędzy pierwotnymi elementami nie jest styczne.

Aby połączyć elementy, należy:

  1. Kliknąć Modyfikuj > Połącz (lub wpisać Weld).
  2. Wybrać element bazowy.
  3. Określić elementy do scalenia z elementem źródłowym.

    Można określić opcję Zamknij, gdy pojawi się monit o łuk lub łuk eliptyczny. Zamknij przekształca łuk w okrąg lub łuk eliptyczny w pełną elipsę.
  4. Nacisnąć Enter.

Dostęp

Polecenie: Weld

Menu: Modyfikuj > Połącz

Tematy pokrewne

Dzielenie elementów

Edytowanie polilinii


Stosowanie sfazowań

Polecenie Chamfer służy do łączenia dwóch linii przy użyciu skośnego narożnika. Wybrane elementy nie muszą się przecinać i mogą zachodzić na siebie. Jeżeli elementy zachodzą na siebie, są one przycinane w celu utworzenia skośnego narożnika.

W przypadku sfazowań niesymetrycznych można określić odległość sfazowania od narożnika dla przylegających linii dla obydwu elementów. Linię łączącą można również zdefiniować przy użyciu długości i kąta.

Polecenia Chamfer należy używać w widoku planu, ponieważ sfazowanie działa na punktach wyboru i punktach końcowych elementów.

W przypadku sfazowania dwóch linii, które leżą na tej samej warstwie, polecenie to umieszcza linię sfazowania na tej warstwie. Jeżeli warstwy linii są różne, polecenie umieszcza linię sfazowania na warstwie bieżącej.

Aby zastosować sfazowania, należy:

  1. Kliknąć Modyfikuj > Sfazowanie (lub wpisać Chamfer).
  2. W obszarze graficznym wybrać pierwszą linię lub określić opcję:
    • Kąt: Ustawia długość sfazowania na pierwszej wybranej linii i kąt dla drugiej linii w celu utworzenia linii sfazowania.
    • Odległość: Ustawia odległości sfazowania. Domyślną wartością dla pierwszej odległości sfazowania jest ostatnio używana odległość. Domyślną wartością dla drugiej odległości sfazowania jest wartość określona dla pierwszej odległości sfazowania. W przypadku określenia obydwu odległości sfazowania jako zerowych, obydwie linie są wydłużane, aż się spotkają, jeśli to możliwe. W ten sposób polecenie tworzy przecięcie, a linia sfazowania nie jest rysowana.
    • Metoda: Wskazuje, czy należy użyć dwóch odległości (określonych w opcji Odległość) czy długości i kąta (określonych w opcji Kąt) jako domyślnych przy tworzeniu sfazowania.
    • Wiele: Pozwala stosować sfazowania w wielu elementach. Domyślnie wykonywane jest pojedyncze sfazowanie. Pojawią się wielokrotne monity o wybranie pierwszego i drugiego elementu do sfazowania, aż do czasu naciśnięcia Enter w celu zakończenia polecenia. Następnie można zmieniać odległości sfazowania lub przełączać tryb przycinania pomiędzy operacjami sfazowania.
    • Polilinia: Pozwala fazować polilinie traktowane jako pojedynczy element. Polecenie fazuje wszystkie wierzchołki polilinii lub wieloboku w jednym kroku i wstawia sfazowanie w każdym wierzchołku polilinii, gdzie zbiegają się dwie linie, jeśli to stosowne. Opcja Polilinia monituje o wybranie polilinii 2D, a następnie zgłasza liczbę przetworzonych oraz liczbę linii, które są zbyt krótkie do sfazowania. Wygenerowane segmenty sfazowania stają się częściami polilinii.
    • Tryb przycięcia: Wskazuje, czy należy skasować segmenty linii, które leżą poza sfazowaniem.
    • Cofnij: Odwraca poprzednie sfazowanie, tylko jeśli aktywny jest tryb Wiele.
  3. Wybrać drugą linię.

    Zamiast tego można zastosować kąt ostry naciskając klawisz Shift i określając drugi element rysunku. Metoda ta tworzy ostre kąty bez zmieniania odległości sfazowania w celu połączenia dwóch punktów końcowych.

Dostęp

Polecenie: Chamfer

Menu: Modyfikuj > Sfazowanie

Tematy pokrewne

Stosowanie zaokrągleń


Stosowanie zaokrągleń

Polecenie Fillet służy do tworzenia zaokrąglonych narożników poprzez zastąpienie fragmentów dwóch linii łukiem. Zaokrąglane elementy nie muszą się przecinać i mogą zachodzić na siebie. Jeżeli elementy zachodzą na siebie, są one przycinane w celu utworzenia zaokrąglonego narożnika, a linie do zaokrąglenia są łączone z łukiem zaokrąglenia.

Promień zaokrąglenia 0 tworzy narożniki ostre, zamiast zaokrąglonych. Nacisnąć Shift podczas wybierania elementów, aby zastąpić bieżący promień zaokrąglenia wartością 0.

Aby zastosować zaokrąglenia, należy:

  1. Kliknąć Modyfikuj > Zaokrąglij (lub wpisać Fillet).
  2. W obszarze graficznym wybrać pierwszy element, którego przecięcie należy zaokrąglić, lub określić opcję:
    • Wiele: Pozwala stosować zaokrąglenia w wielu elementach. Domyślnie wykonywane jest pojedyncze zaokrąglenie. Pojawią się wielokrotne monity o wybranie pierwszego i drugiego elementu do zaokrąglenia, aż do czasu naciśnięcia Enter. Następnie można zmieniać promień zaokrąglenia lub przełączać tryb przycinania pomiędzy operacjami zaokrąglenia.
    • Polilinia: Pozwala zaokrąglać polilinie traktowane jako pojedynczy element. Polecenie zaokrągla wszystkie wierzchołki polilinii lub wieloboku w jednym kroku i wstawia zaokrąglenia w każdym wierzchołku polilinii, gdzie zbiegają się dwie linie, jeśli to stosowne. Opcja Polilinia monituje o wybranie polilinii 2D, a następnie zgłasza liczbę przetworzonych oraz liczbę linii, które są zbyt krótkie do zaokrąglenia.
    • Promień: Definiuje promień dla łuku zaokrąglenia. Zmiana promienia nie wpływa na wcześniej utworzone łuki zaokrąglenia.
    • Tryb przycięcia: Wskazuje, czy należy skasować segmenty linii, które leżą poza zaokrągleniem.
    • Cofnij: Odwraca poprzednie zaokrąglenie, tylko jeśli aktywny jest tryb Wiele.
  3. Wybrać drugi element.

    - lub -

    Nacisnąć Shift i wybrać element, do którego ma być zastosowany narożnik. Wybrane elementy zostaną wydłużone lub skrócone tak, aby się przecięły bez łuku zaokrąglenia. Metoda ta tworzy ostre narożniki bez zmieniania promienia zaokrąglenia.

Dostęp

Polecenie: Fillet

Menu: Modyfikuj > Zaokrąglij

Tematy pokrewne

Stosowanie sfazowań

Przycinanie elementów

Zmienianie długości elementów


Wyrównywanie elementów

Polecenie Align wyrównuje elementy względem innych elementów lub innych punktów docelowych na płaszczyznach 2D lub w przestrzeni 3D.

Polecenie to jest stosowane łącznie z poleceniami Move oraz Rotate lub poleceniami Move i Rotate3D Jeśli zachodzi taka potrzeba, można skalować wyrównane elementy 2D w celu dopasowania do nowej lokalizacji.

Aby wyrównać elementy przy użyciu jednej pary punktów, należy:

Określenie tylko jednej pary punktów przenosi określone elementy bez obracania ich.

  1. Wpisać Align w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do wyrównania.
  3. Nacisnąć Enter.
  4. Kliknąć w obszarze graficznym, aby określić pierwszy punkt źródłowy i punkt docelowy, lub wpisać wartości, aby ustawić te punkty. Użyć przyciągań elementów gdzie stosowne.
  5. Nacisnąć Enter.

Aby wyrównać elementy przy użyciu dwóch par punktów, należy:

Określenie dwóch par punktów dokonuje przeniesienia i obrotu w oparciu o bieżący układ współrzędnych. Pierwsza para punktów źródłowych i docelowych definiuje wektor przeniesienia, a druga para punktów definiuje kąt obrotu.

Jeżeli odległości pomiędzy pierwszym i drugim punktem źródłowym oraz pierwszym i drugim punktem docelowym nie są identyczne, można wyskalować wyrównany element, dopasowując go pomiędzy dwa punkty docelowe.

  1. Wpisać Align.
  2. W obszarze graficznym wybrać elementy do wyrównania.
  3. Nacisnąć Enter.
  4. Kliknąć w obszarze graficznym, aby określić pierwszy punkt źródłowy i punkt docelowy, lub wpisać wartości, aby ustawić te punkty. Użyć przyciągań elementów, gdzie stosowne.
  5. Powtórzyć krok 4 dla zestawu drugich punktów.
  6. Nacisnąć Enter.
  7. Określić, czy należy skalować elementy w oparciu o punkty wyrównania.
  8. Nacisnąć Enter.

Aby wyrównać elementy przy użyciu trzech par punktów, należy:

Określenie trzech par punktów, przemieszcza pierwszy punkt elementu do pierwszego punktu docelowego, drugi punkt źródłowy do drugiego punktu docelowego, a trzeci punkt źródłowy do trzeciego punktu docelowego.

  1. Wpisać Align.
  2. W obszarze graficznym wybrać elementy do wyrównania.
  3. Nacisnąć Enter.
  4. Kliknąć w obszarze graficznym, aby określić pierwszy punkt źródłowy i punkt docelowy, lub wpisać wartości, aby ustawić te punkty. Użyć przyciągań elementów gdzie stosowne.
  5. Powtórzyć krok 4 dla zestawu drugich i trzecich punktów.

Polecenie Align3D pozwala w pierwszej kolejności określić punkty źródłowe, a następnie punkty docelowe.

Dostęp

Polecenie: Align

Tematy pokrewne

Wyrównywanie elementów w przestrzeni 3D


Edytowanie polilinii

Polecenie EditPolyLine służy do edytowania polilinii, wierzchołków polilinii i siatek wieloboku 3D poprzez:

  • Otwieranie zamkniętej polilinii lub zamykanie otwartej polilinii
  • Łączenie polilinii z innymi elementami rysunku, takimi jak linie, łuki lub polilinie
  • Zmienianie szerokości całej polilinii
  • Edytowanie punktów kontroli (wierzchołków) indywidualnego segmentu polilinii

Można wykonywać wiele edycji jednej lub wielu polilinii przy użyciu pojedynczego polecenia EditPolyLine. W przypadku odwrócenia edycji polilinii późniejszym poleceniem Undo wszystkie kroki zostaną odwrócone jako całość.

Aby edytować polilinie, należy:

  1. Kliknąć Modyfikuj > Element > Polilinia (lub wpisać EditPolyLine).
  2. W obszarze graficznym wybrać polilinię lub określić opcję Wiele, aby wybrać grupę polilinii i nacisnąć Enter.

    Jeżeli wybrana linia lub łuk nie jest polilinią, pojawi się opcja przekształcenia na polilinię. Metody tej można również użyć, aby przekształcić szereg indywidualnych i połączonych linii, łuków i polilinii w pojedynczą polilinię. W jednym poleceniu EditPolyLine można w pierwszej kolejności przekształcić linię lub łuk w polilinię. Następnie należy użyć opcji Połącz, aby dodać pozostałe elementy do polilinii.
  3. Określić opcję:
    • Zamknij / Otwórz: Opcja wyświetla Zamknij, jeżeli polilinia jest otwarta, oraz Otwórz, jeśli polilinia jest zamknięta. Po operacji edycji wielokrotnej dostępna jest również opcja Wstecz. Określić opcję Zamknij, aby połączyć punkt początkowy i końcowy polilinii przy użyciu prostego segmentu polilinii. Szerokość tego segmentu jest szerokością punktu końcowego ostatniej narysowanej polilinii. Określić opcję Otwórz, aby usunąć segment polilinii pomiędzy punktem początkowym i końcowymi.
    • Usuń krzywiznę: Przywraca pierwotne wierzchołki krzywej polilinii utworzonej przy użyciu funkcji Dopasowanie lub Splajn.
    • Edytuj wierzchołek: Pozwala edytować oznaczony wierzchołek przy użyciu opcji edycji wierzchołka. Można również używać uchwytów elementów w niektórych opcjach, takich jak Przenieś. Jeśli określono opcję Wiele, nie można używać opcji Edytuj wierzchołek.
      • Podziel: Dzieli polilinię na dwa fragmenty, podobnie do polecenia Split.
      • Wstaw: Wstawia nowy wierzchołek. Określić nową lokalizację.
      • Przenieś: Przenosi bieżący wierzchołek. Określić nową pozycję.
      • Następny: Przechodzi do następnego wierzchołka i uaktywnia go.
      • Poprzedni: Powraca do poprzedniego wierzchołka i uaktywnia go.
      • Regeneruj: Regeneruje polilinię.
      • Prostuj: Usuwa wierzchołki.
      • Styczna: Określa kierunek styczny dla wierzchołka, jeśli określono opcję Dopasowanie podczas edytowania polilinii.
      • Szerokość: Określa szerokość początkową i końcową dla segmentów polilinii, które rozpoczynają się w aktywnym wierzchołku. Aby zobaczyć efekt, należy użyć opcji Regeneruj.
      • Zakończ: Kończy tryb Edytuj wierzchołek.
    • Dopasowanie: Zamienia polilinię w gładką krzywą składającą się z łuków łączących każdą parę wierzchołków, czego rezultatem jest polilinia z dopasowanych łuków. W przeciwieństwie do opcji Splajn, krzywa przechodzi przez wszystkie wierzchołki polilinii.
    • Połącz: Scala linie, łuki i inne polilinie z wybraną polilinią. Wybrać element rysunku do połączenia. Polilinia do edytowania i element do połączenia muszą spotykać się dokładnie w jednym punkcie końcowym.
    • Generowanie linii: W przypadku polilinii z nieciągłym stylem linii wskazuje, czy należy użyć linii ciągłej czy kreskowej wokół wierzchołków. Określić opcję Nie, aby umieścić przerwy pomiędzy kreskami w stylu linii w taki sposób, aby umieścić je prawidłowo w narożnikach. Określić opcję Tak, aby ustawić styl linii na płynny wzór wokół wierzchołków polilinii.
    • Splajn: Przekształca polilinię w krzywą, wykorzystując wierzchołki jako punkty kontroli. W przeciwieństwie do opcji Dopasowanie, krzywa zwykle nie przechodzi przez wierzchołki. Uwaga: Krzywe tworzone przy użyciu opcji Splajn nie są rzeczywistymi splajnami w sensie matematycznym. Aby utworzyć prawdziwe splajny, należy użyć polecenia Spline.
    • Cofnij: Odwraca ostatnią operację, nie kończąc polecenia.
    • Szerokość: Określa jedną szerokość, tworząc polilinie o jednorodnej szerokości wszystkich segmentów, łącznie z segmentami, które posiadają różne szerokości początkowe i końcowe. Określić szerokość, wpisując wartość lub używając wskaźnika.
    • Zakończ: Kończy polecenie EditPolyLine.

Aby zaokrąglić polilinię, należy użyć polecenia Fillet. Aby sfazować polilinię, należy użyć polecenia Chamfer.

Dostęp

Polecenie: EditPolyLine

Menu: Modyfikuj > Element > Polilinia

Tematy pokrewne

Edytowanie wierzchołków polilinii

Modyfikowanie przy użyciu uchwytów elementu


Modyfikowanie linii wzbogaconych

Polecenie EditRichLine służy do modyfikowania linii wzbogaconych. Możemy edytować przecinające się oraz przylegające linie wzbogacone, poprzeczne i wtopione linie wzbogacone oraz dodać lub usunąć wierzchołki z istniejących linii wzbogaconych.

Aby edytować przecinające się linie wzbogacone:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Zamknięty krzyż [image], Otwarty krzyż [image] lub Złącze krzyżowe [image].
  3. Kliknąć OK.
  4. W obszarze graficznym określić pierwszą z dwóch przecinających się linii wzbogaconych.
  5. Określić drugą linię wzbogaconą.
  7. Przecięcie pomiędzy dwiema liniami wzbogaconymi ma jeden z poniższych wyników:

    Zamknięty krzyż: Otwarty krzyż: Złącze krzyżowe:
  8. W razie potrzeby powtórzyć kroki 4 i 5.
  9. Nacisnąć Enter.

Aby utworzyć połączenie trójnikowe z dwóch linii wzbogaconych:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Zamknięty trójnik [image], Otwarty trójnik [image] lub Złącze trójnikowe [image].
  3. Kliknąć OK.
  4. W obszarze graficznym określić linię wzbogaconą do przycięcia lub wydłużenia.
  5. Określić linię wzbogaconą do użycia jako linię granicy.
  7. Połączenie trójnikowe pomiędzy dwiema liniami wzbogaconymi ma jeden z poniższych wyników:

    Zamknięty trójnik: Otwarty trójnik: Złącze trójnikowe:
  8. W razie potrzeby powtórzyć kroki 4 i 5.
  9. Nacisnąć Enter.

Aby utworzyć połączenie narożnikowe z dwóch linii wzbogaconych:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Połączenie narożnikowe [image].
  3. Kliknąć OK.
  4. W obszarze graficznym określić linię wzbogaconą.
  5. Określić linię wzbogaconą przecinającą pierwszą linię wzbogaconą.
  7. Linie wzbogacone zostaną przycięte lub wydłużone w miejscu ich przecięcia.
  9. W razie potrzeby powtórzyć kroki 4 i 5.
  10. Nacisnąć Enter.

Aby odciąć linie wzbogacone:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Odetnij pojedynczy [image], aby odciąć odcinek z pojedynczego elementu linii wzbogaconej lub Odetnij wszystkie [image], aby odciąć odcinek od całej linii wzbogaconej.
  3. Kliknąć OK.
  4. W obszarze graficznym określić linię wzbogaconą.
  5. Punkt kliknięcia to miejsce, w którym rozpoczyna się przerwanie.
  6. Określić drugi punkt, aby określić odcinek do usunięcia.
  8. Można również wprowadzić opcję Pierwszy punkt, aby jawnie określić pierwszy punkt. System poprosi o drugi punkt.
  9. Fragment pomiędzy dwoma punktami zostanie usunięty:

    Odetnij pojedynczy: Odetnij wszystkie:
  10. W razie potrzeby powtórzyć kroki 4 i 5.
  11. Nacisnąć Enter.

Można odciąć jeden koniec linii wzbogaconej, klikając linię wzbogaconą w punkcie, w którym ma znaleźć się nowy punkt końcowy, a następnie klikając drugi punkt poza bieżącym punktem końcowym linii wzbogaconej.

Aby wtopić wyrównane linie wzbogacone:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Wtop wszystko [image].
  3. Kliknąć OK.
  4. W obszarze graficznym określić linię wzbogaconą.
  5. Określić linię wzbogaconą do ponownego połączenia.
  6. Wynik:
  7. W razie potrzeby powtórzyć kroki 4 i 5.
  8. Nacisnąć Enter.

Aby dodać wierzchołki do linii wzbogaconych, należy:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Dodaj wierzchołek [image].
  3. Kliknąć OK.
  4. W obszarze graficznym kliknąć linię wzbogaconą, gdzie chcemy umieścić nowe wierzchołki.
  5. Wierzchołki są dodawane w określonych punktach.
  6. Nacisnąć Enter.

Aby przenieść wierzchołki linii wzbogaconej, należy użyć polecenia EntityGrips na liniach wzbogaconych.

Aby usunąć wierzchołki z linii wzbogaconych, należy:

  1. Kliknąć Modyfikuj > Element > Linia wzbogacona (lub wpisać EditRichLine).
  2. W oknie dialogowym wybrać Usuń wierzchołek [image].
  3. Kliknąć OK.
  4. W obszarze graficznym kliknąć linię wzbogaconą w pobliżu wierzchołków do usunięcia.
  5. Wierzchołki są usuwane z określonych punktów.
  6. Nacisnąć Enter.

Aby zobaczyć wierzchołki linii wzbogaconej, włączyć opcję EntityGrips i wybrać linie wzbogacone.

Dostęp

Polecenie: EditRichLine

Menu: Modyfikuj > Element > Linia wzbogacona

Tematy pokrewne

Konstruowanie linii wzbogaconych

Zarządzanie stylami linii wzbogaconej


Rozbijanie złożonych obiektów

Można rozbić złożone obiekty na ich elementy składowe.

W tym rozdziale omówiono następujące tematy:

  • Rozbijanie bloków, polilinii, kreskowań i wymiarów
  • Rozbijanie bloków i konwertowanie atrybutów bloków na tekst
  • Rozstrzelenie adnotacji
  • Tworzenie rozstrzelenia elips i splajnów


Rozbijanie bloków, polilinii, kreskowań i wymiarów

Polecenie Explode służy do dzielenia złożonego obiektu na elementy komponentu. Można rozbijać bloki i inne złożone obiekty, takie jak polilinie, kreskowania i wymiary.

Początkowo nie można edytować indywidualnych elementów, które składają się na blok lub inny obiekt złożony. Jeżeli zachodzi potrzeba edytowania jednego z elementów składowych obiektu złożonego, konieczne jest jego rozbicie na indywidualne elementy.

Rozbić obiekty złożone, należy:

  1. Kliknąć Modyfikuj > Rozbij (lub wpisać Explode).
  2. W obszarze graficznym wybrać obiekty do rozbicia i nacisnąć Enter.
  3. Wybrane obiekty zostaną rozbite. Można edytować poszczególne obiekty.

Jeżeli do rozbitego bloku były dodane atrybuty, są one usuwane. Zamiast tego pojawiają się definicje atrybutów.

Dostęp

Polecenie: Explode

Menu: Modyfikuj > Rozbij

Tematy pokrewne

Tworzenie rozstrzelenia elips i splajnów

Rozstrzelenie adnotacji


Tworzenie rozstrzelenia elips i splajnów

Polecenie ExplodeX służy do konwertowania elips i splajnów do polilinii. Polecenie to jest przydatne do przygotowywania rysunków w celu ich eksportowania do innych programów, które nie obsługują elips czy splajnów.

Aby utworzyć rozstrzelenie elips lub splajnów, należy:

  1. Wpisać ExplodeX w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do rozstrzelenia i nacisnąć Enter.
  3. Jeśli wybór zawiera zarówno Elipsy, jak i splajny, należy określić opcję ustawienia typu elementu do rozstrzelenia:
    • Elipsa: Tworzy rozstrzelenie elips i łuków elips.
    • Splajn: Tworzy rozstrzelenie splajnów zamkniętych i otwartych.
    • Oba: Tworzy rozstrzelenie elips i splajnów.
  4. Jeśli wybór zawiera splajny, określić precyzję dla konwersji splajnów do polilinii.
  5. Określone elipsy i splajny są konwertowane do Polilinii.

Polecenia Explode można użyć do utworzenia rozstrzelenia innych złożonych elementów (na przykład Bloków).

Dostęp

Polecenie: ExplodeX

Tematy pokrewne

Rozbijanie złożonych obiektów

Rozstrzelenie adnotacji


Rozstrzelenie adnotacji

Użyć polecenia ExplodeText, aby przekonwertować adnotacje na polilinie przedstawiające kontury tekstu.

Rozstrzelić można notatki, notatki proste, tekst elementów linii wiodących oraz definicje atrybutów bloków.

Styl tekstu adnotacji oprzeć można na czcionkach TrueType oraz plikach SHX.

Aby rozstrzelić adnotacje:

  1. Wpisać ExplodeText w wierszu poleceń.
  2. Określić adnotację do rozstrzelenia.
  3. Wybrane adnotacje zostaną przekonwertowane na zamknięte polilinie.

Użyć polecenia Explode do utworzenia rozstrzelenia innych złożonych elementów (na przykład bloków lub polilinii).

Dostęp

Polecenie: ExplodeText

Tematy pokrewne

Rozbijanie złożonych obiektów

Tworzenie rozstrzelenia elips i splajnów


Praca z blokami, atrybutami bloku, grupami elementów, odniesieniami i hiperłączami

Ten rozdział opisuje:

  • Tworzenie i wstawianie bloków. Bloki łączą ze sobą elementy w celu utworzenia pojedynczego elementu. Do rysunków można wstawiać bloki wewnętrzne oraz zewnętrzne rysunki jako bloki.
  • Łączenie atrybutów bloku z blokami. Atrybuty bloku to elementy, które pozwalają łączyć etykiety lub informacje zmiennego tekstu z blokami.
  • Grupowanie elementów. Grupy elementów to zbiory elementów (podobne do bloków), które są traktowane jak jeden. W przeciwieństwie do bloków, grupy elementów nie są przeznaczone do wielokrotnego wstawiania.
  • Używanie odniesień. Odniesienia dołączają oddzielny rysunek do bieżącego rysunku.
  • Edytowanie komponentów. Edycja na miejscu pozwala na modyfikację definicji bloków odniesienia lub zewnętrznych rysunków odniesienia.
  • Dołączanie hiperłącz. Hiperłącza skojarzone z elementami pozwalają przechodzić do stron internetowych, adresów e-mail, plików rysunku lub widoków zdefiniowanych przez użytkownika.

Pasek narzędzi Wstaw zawiera narzędzia do wstawiania bloków, rysunków odniesienia oraz plików obrazów rastrowych odniesienia. Zawiera on również narzędzie do zapisywania elementów i konwertowania bloków na pliki.


Definiowanie i wstawianie bloków

Bloki łączą ze sobą elementy w celu utworzenia pojedynczego elementu. Do rysunków można wstawiać bloki wewnętrzne oraz zewnętrzne rysunki jako bloki.

Ten rozdział zawiera informacje na następujące tematy:

  • Definiowanie bloków
  • Wstawianie bloków
  • Zapisywanie bloków do pliku


Definiowanie bloków

Blok stanowi zbiór elementów powiązanych ze sobą jako jeden element. Po utworzeniu bloku można go wstawiać zawsze, gdy jest potrzebny w rysunku.

Po użyciu polecenia MakeBlock blok jest rozpoznawany tylko w bieżącym rysunku. Polecenie ExportDrawing pozwala zapisać blok w zewnętrznym pliku rysunku do użycia w dowolnym rysunku.

Aby zdefiniować bloki, należy:

  1. Kliknąć Rysuj > Blok > Zdefiniuj (lub wpisać MakeBlock).
  2. W oknie dialogowym, w części Nazwa, wpisać nazwę dla bloku lub wybrać istniejący blok, aby zastąpić blok. Nazwy mogą mieć maksymalnie 255 znaków; mogą zawierać litery, cyfry, spacje i takie znaki specjalne jak $, #, _. Wielkość liter w nazwie ma znaczenie.
  3. W części Opis wpisać opis bloku.
  4. W części Ustawienia wybrać opcje:
    • Zastosuj jednorodną skalę: Ogranicza skalę do jednorodnej podczas wstawiania bloku. W przeciwnym razie można określić różne współczynniki skalowania X, Y i Z podczas wstawiania bloku.
    • Pozwalaj na rozbicie bloku: Pozwala na rozbicie bloku podczas wstawiania.
    • Jednostki: Pozwala wybrać jednostki inne od jednostek w bieżącym rysunku.
    • Dołącz hiperłącze: Pozwala na określenie hiperłącza dla bloku.
  5. W części Parametry należy ustawić punkt bazowy, który służy jako punkt wstawienia podczas wstawiania bloku. Jest to także punkt bazowy dla zmieniania skali; używany jest również jako punkt obrotu podczas wstawiania.
    • Kliknąć Wybierz w obszarze graficznym [image], aby określić punkt bazowy bloku w rysunku.

      - lub -
    • Wpisać wartości współrzędnych X, Y i Z.
  6. W części Elementy bloku:
    1. Kliknąć Wybierz w obszarze graficznym [image], aby określić elementy tworzące blok.
    2. Ustawić opcje:
      • Zachowaj jako oddzielne elementy: Pozostawia elementy źródłowe w pierwotnej postaci.
      • Konwertuj na blok: Zastępuje elementy źródłowe odniesieniem definicji bloku.
      • Usuń z rysunku: Usuwa elementy źródłowe z rysunku.
  7. Kliknąć OK.

    Jeśli wybrano istniejący blok w części Nazwa, pojawi się pytanie o przedefiniowanie bloku.

Dostęp

Polecenie: MakeBlock

Menu: Rysuj > Blok > Zdefiniuj

Tematy pokrewne

Wstawianie bloków

Definiowanie atrybutów bloku


Wstawianie bloków

Można wstawić blok lub rysunek do rysunku.

Aby wstawić bloki, należy:

  1. Kliknąć Wstaw > Blok (lub wpisać InsertBlock).
  2. W oknie dialogowym, w części Nazwa wybrać blok lub kliknąć Przeglądaj, aby zlokalizować rysunek zewnętrzny.
  3. W części Pozycja, jako X, Y i Z wpisać wartości współrzędnych lub wybrać Określ później, aby określić punkt wstawienia na ekranie po zamknięciu okna dialogowego.
  4. W części Skala:
    • W polach X, Y i Z wpisać współczynnik skalowania dla każdej osi.

      - lub -
    • Kliknąć Określ później , aby zdefiniować rozmiar bloku podczas wstawiania. Określić opcję Narożnik, a następnie zdefiniować przeciwległy punkt prostokąta, w którym ma być wpasowany blok.

      - lub -
    • Kliknąć Zastosuj jednorodną skalę i wpisać współczynnik skalowania polu X. Współczynnik skalowania:
      • 1: Wstawia blok w pierwotnym rozmiarze.
      • Mniejszy od 1: Zmniejsza rozmiar do wartości procentowej pierwotnego rozmiaru określonej przez współczynnik.
      • Większy od 1: Zwiększa rozmiar.
  5. W części Obróć, jako Kąt wpisać wartość lub wybrać Określ później, aby ustawić kąt obrotu w obszarze graficznym podczas wstawiania. W przypadku obrotu w kierunku przeciwnym do ruchu wskazówek zegara należy wpisać wartość dodatnią. W przypadku kierunku zgodnego z ruchem wskazówek zegara należy wpisać wartość ujemną.
  6. W części Układ jednostek miar bloku:
    • Nie można edytować części Jednostki lub Skala. Jeżeli Skala jest różna od 1.0, to jednostki rysunku są różne od jednostek bloku.
    • Wybrać Rozbij blok, aby rozbić blok na elementy składowe. Blok traci swoje cechy charakterystyczne po rozbiciu. Rozbijać można tylko bloki skalowane jednorodnie.
  7. Kliknąć OK.

Dostęp

Polecenie: InsertBlock

Menu: Wstaw > Blok

Tematy pokrewne

Definiowanie bloków

Edytowanie atrybutów bloku


Wstawianie bloku we wzorze prostokątnym

Polecenie InsertBlockN służy do wstawiania wielu kopii bloku lub zewnętrznego rysunku we wzorze, ustawionych w wierszach i kolumnach.

Aby wstawić wiele kopii bloku lub rysunku we wzorze prostokątnym, należy:

  1. Wpisać InsertBlockN w wierszu poleceń.
  2. Wpisać nazwę bloku lub rysunku do wstawienia bądź określić opcję ?, aby wyświetlić bloki zdefiniowane w bieżącym rysunku.
  3. Wpisać punkt bazowy wstawienia.
  4. Wpisać skalę X lub kliknąć w obszarze graficznym, aby ustawić przeciwległy narożnik. Nacisnąć Enter, aby potwierdzić 1.0 jako współczynnik skalowania.
  5. Wpisać skalę Y. Nacisnąć Enter, aby użyć wartości równej współczynnikowi skalowania X.
  6. Wpisać kąt obrotu.
  7. Wpisać liczbę wierszy do wstawienia.
  8. Wpisać liczbę kolumn do wstawienia.
  9. Wpisać odległość pomiędzy wierszami i odległość pomiędzy kolumnami.
  10. - lub -
  11. Określić jednostkową komórkę w obszarze graficznym przy użyciu dwóch przeciwległych punktów lub wpisać wartości X i Y.
  12. Pojawi się prostokątny wzór bloków lub rysunków zewnętrznych.

Nie można rozbić bloków wstawionych przy pomocy polecenia InsertBlockN. Można jednak w jednolity sposób edytować skalowane bloki przy pomocy polecenia InsertBlockN, używając polecenia EditComponent.

Dostęp

Polecenie: InsertBlockN

Tematy pokrewne

Wstawianie bloków

Tworzenie wzorów elementów


Zapisywanie bloków do pliku

Można zapisać elementy, blok lub cały rysunek do nowego pliku rysunku.

Można zapisać blok lub elementy jako oddzielny plik rysunku, który można wstawiać do innych rysunków.

Polecenie ExportDrawing jest podobne do polecenia MakeBlock, lecz jest stosowane głównie do eksportowania bloków, a nie do definiowania ich w rysunku.

Aby zapisać bloki do pliku, należy:

  1. Wpisać ExportDrawing w wierszu poleceń.
  2. W oknie dialogowym, w części Źródło wybrać źródło do zapisania do pliku:
    • Blok: Pozwala wybrać istniejący w rysunku blok do zapisania do pliku.
    • Wszystkie elementy: Zapisuje cały rysunek do pliku.
    • Wybrane elementy: Zapisuje wybrane elementy do pliku.
  3. W części Układ jednostek miar bloku, w polu Układ jednostek miar wybrać jednostki do użycia do automatycznego skalowania podczas wstawiania pliku do rysunku, który wykorzystuje inne jednostki (patrz polecenie UnitSystem, opcja Format jednostek bloku).
  4. W części Elementy:
    1. Kliknąć Wybierz elementy [image] i wybrać elementy w obszarze graficznym, które składają się na blok.
    2. Wybrać opcję:
      • Konwertuj na blok: Zastępuje elementy źródłowe odniesieniem definicji bloku.
      • Nie konwertuj na blok: Pozostawia elementy źródłowe w obszarze graficznym w pierwotnej postaci.
      • Usuń: Usuwa elementy źródłowe z rysunku
  5. W części Punkt wstawienia jako X, Y i Z wpisać wartości współrzędnych lub kliknąć Określ w obszarze graficznym [image], aby określić punkt bazowy wstawienia w obszarze graficznym.

    Punkt bazowy wstawienia jest również używany przy zmienianiu skali i obrotu bloku.
  6. W części Cel wybrać nazwę pliku i ścieżkę, gdzie nastąpi zapisanie bloku lub elementów, bądź kliknąć Przeglądaj, aby zlokalizować folder docelowy i wpisać Nazwę pliku.

Dostęp

Polecenie: ExportDrawing

Tematy pokrewne

-ExportDrawing (wariant okna poleceń)


Praca z atrybutami bloku

Do bloków można dołączać atrybuty w celu dostarczenia informacji o bloku. Na przykład: jeżeli użyjemy bloku przedstawiającego piec, możemy użyć takich atrybutów jak numer symbolu, numer pomieszczenia i komentarz (np. gazowy lub elektryczny).

Poniższe tematy pomagają w pracy z atrybutami bloku:

  • Definiowanie atrybutów bloku
  • Edytowanie definicji atrybutów bloku
  • Edytowanie atrybutów bloku
  • Wyświetlanie atrybutów bloku


Definiowanie atrybutów bloku

Definicje atrybutów bloku pozwalają dołączać zmienny lub stały tekst do bloków. Podczas wstawiania bloku zawierającego atrybuty bloku pojawia się monit o określenie wartości dla każdego atrybutu bloku (chyba że wartość jest zdefiniowana jako stała).

Można edytować atrybuty bloków odniesień bloku w późniejszym czasie przy użyciu polecenia EditBlockAttribute. Można edytować nazwę, żądanie i wartość przy użyciu polecenia EditAnnotation.

Aby zdefiniować atrybuty bloku, należy:

  1. Kliknąć Rysuj > Blok > Zdefiniuj atrybuty bloku (lub wpisać MakeBlockAttribute).
  2. Wpisać opcje w oknie dialogowym, w części Wyświetl. Dozwolone są takie znaki jak odstępy, podkreślenia i znak dolara.
    • Nazwa: Definiuje nazwę atrybutu bloku. Może ona zawierać dowolną liczbę znaków.
    • Podpis: Wyświetla tekst w oknie poleceń podczas wstawiania bloku. Może on zawierać maksymalnie 256 znaków. Żądanie można pominąć, jeżeli blok wykorzystuje stałą wartość atrybutu bloku. Na przykład jeśli określono żądanie „Wprowadź termin normy”, typową odpowiedzą byłaby wartość „Rura stalowa kategorii 40”.
    • Wartość domyślna: Wyświetla widoczny komponent atrybutu bloku na rysunku. Może zawierać maksymalnie 256 znaków i może być stałą lub zmienną.
  3. W części Ustawienia tekstu ustawić:
    • Styl tekstu: Ustawia styl tekstu. Można tworzyć nowe style tekstu przy użyciu polecenia TextStyle.
    • Wyrównanie: Ustawia pozycję i wyrównanie tekstu atrybutu bloku względem punktu wstawienia.
    • Wysokość: Definiuje rozmiar tekstu. Aby określić wysokość tekstu na ekranie, należy kliknąć Wybierz w obszarze graficznym [image].
    • Obrót: Określa kąt wstawienia atrybutu bloku. Wpisać wartość z zakresu od 0° do 360°. W przypadku obrotu w kierunku przeciwnym do ruchu wskazówek zegara należy wpisać wartość dodatnią. W przypadku kierunku zgodnego z ruchem wskazówek zegara należy wpisać wartość ujemną. Aby określić obrót na ekranie, należy kliknąć Wybierz w obszarze graficznym [image].
  4. W części Punkt wstawienia:
    • Wpisać wartości współrzędnych X, Y i Z.
    • - lub -
    • Wybrać Określ później, aby określić punkt wstawienia na ekranie po zamknięciu okna dialogowego.
    • - lub -
    • Kliknąć Wybierz w obszarze graficznym [image] , aby natychmiast określić punkt wstawienia.
  5. W części Zachowanie wybrać:
    • Nieruchome: Pozwala na przełączanie pomiędzy stałymi i zmiennymi wartościami atrybutów bloku. Gdy opcja jest wybrana, tekst w części Wartość domyślna jest stałą wartością atrybutu bloku w rysunku. Nie można wstawiać zmiennych danych. Gdy opcja nie jest zaznaczona, pojawia się monit o wstawienie zmiennej wartości atrybutu bloku.
    • Ukryte: Steruje widocznością wartości atrybutu bloku w odniesieniach bloku. Gdy opcja jest wybrana, wartość nie jest wyświetlana podczas wstawiania do rysunku. Należy jej użyć, jeżeli atrybut bloku zawiera informacje do późniejszej analizy, które nie muszą być wyświetlane w rysunku. Opcja ta jest również pomocna, gdy duża liczba atrybutów bloków sprawia, że rysunek jest nieczytelny i niejasny. Aby tymczasowo wyświetlić ukryte atrybuty bloków, należy użyć polecenia DisplayBlockAttributes.
    • Uprzednio zdefiniowany: Pozwala utworzyć atrybuty bloku, które przyjmują swoje wartości domyślne. Gdy opcja jest wybrana, nie pojawia się żądanie podania wartości. Opcja ta pozwala edytować wartości po wstawieniu przy użyciu poleceń edytowania.
    • Sprawdź poprawność: Monituje o weryfikację, czy wartość atrybutu bloku jest prawidłowa podczas wstawiania bloku.
  6. Ustawić dodatkowe opcje:
    • Blokuj w bloku: Określa, czy atrybut bloku w odniesieniu bloku jest zablokowany. Gdy jest odblokowany, można przenieść atrybut bloku przy użyciu uchwytów elementu.
    • Pozycja pod ostatnią definicją: Pozwala wyrównać bieżącą definicję atrybutu bloku poniżej poprzedniej.

Dostęp

Polecenie: MakeBlockAttribute

Menu: Rysuj > Blok > Zdefiniuj atrybuty bloku

Tematy pokrewne

-MakeBlockAttribute (wariant okna poleceń)

Definiowanie bloków


Edytowanie definicji atrybutów bloków

Można modyfikować parametry wybranej definicji atrybutu bloku oraz lokalizację, opcje tekstu i tryby atrybutów.

Aby poddać edycji definicje atrybutów bloków, należy:

  1. Wpisać EditBlockAttributeDefinition.
  2. W obszarze graficznym wybrać definicję atrybutu bloku.
  3. W oknie dialogowym Definicja atrybutu bloku ustawić opcje.

Polecenie to ułatwia tworzenie szeregu podobnych definicji atrybutów bloków. Można skopiować główną definicję atrybutu bloku, a następnie edytować parametry Nazwa i Podpis w oknie dialogowym Definicja atrybutu bloku.

Dostęp

Polecenie: EditBlockAttributeDefinition

Tematy pokrewne

Definiowanie atrybutów bloku


Edytowanie atrybutów bloku

Można modyfikować wartości atrybutów bloku dla wstawianego bloku. Aby zmodyfikować właściwości atrybutu bloku, takie jak punkt wstawienia, wysokość i styl tekstu, należy użyć polecenia -EditBlockAttribute.

Aby poddać edycji atrybuty bloku, należy:

  1. Wpisać EditBlockAttribute.
  2. W obszarze graficznym wybrać odniesienie bloku.
  3. W oknie dialogowym wybrać element w części Wartość. Nie można edytować wartości atrybutów bloku na zamkniętych warstwach.
  4. Wpisać nową Wartość.
  5. Kliknąć OK.

Dostęp

Polecenie: EditBlockAttribute

Tematy pokrewne

-EditBlockAttribute (wariant okna poleceń)


Edycja w miejscu wartości AtrybutBloku

Polecenie EditIpBlockAttribute służy do edycji w miejscu wartości AtrybutyBloku.

Aby poddać edycji wartości AtrybutBloku, należy:

  1. Wpisać EditIpBlockAttribute w wierszu poleceń.
  2. W obszarze graficznym określić AtrybutBloku.
  3. Edytować w miejscu wartości AtrybutBloku.
  4. Nacisnąć Enter.

Dostęp

Polecenie: EditIpBlockAttribute


Wyświetlanie atrybutów bloku

Można sterować wyświetlaniem atrybutów bloków w rysunku.

Aby wyświetlić atrybuty bloku, należy:

  1. Kliknąć Widok > Wyświetl > Atrybut bloku (lub wpisać DisplayBlockAttributes).
  2. Określić opcję:
    • Normalny: Wyświetlanie w oparciu o definicję atrybutów bloku.
    • Wł.: Wyświetla wszystkie atrybuty bloku.
    • Wył.: Ukrywa wszystkie atrybuty bloku.

Dostęp

Polecenie: DisplayBlockAttributes

Menu: Widok > Wyświetl > Atrybut bloku

Tematy pokrewne

Definiowanie atrybutów bloku


Aktualizowanie zmiennych AtrybutówBloku

Aktualizowanie zmiennych atrybutów bloków

Polecenie UpdateBlockAttributes służy do aktualizowania wszystkich wystąpień Bloków za pomocą nowych lub zmienionych wartości AtrybutyBloków.

Można zmieniać lub dodawać zmienne AtrybutyBloku do istniejącej definicji Bloku poprzez ponowne zdefiniowanie Bloku za pomocą polecenia Blok.

Innym sposobem modyfikacji definicji i właściwości AtrybutówBloków jest użycie polecenia EditComponent.

Oba polecenia aktualizują geometrię wszystkich wystąpień ponownie zdefiniowanego Bloku, ale nie wykonują automatycznie aktualizacji zmodyfikowanych AtrybutówBloku.

Aby aktualizować zmienne AtrybutyBloku, należy:

  1. Wpisać UpdateBlockAttributes w wierszu poleceń.
  2. Określić opcję:
    • ? do listy: Wyświetla listę Bloków razem ze zmiennymi AtrybutyBloku zdefiniowanymi na rysunku.
    • Nazwa: Określa nazwę Bloku do aktualizacji.
    • Wybrane: Określa Blok ze zmiennymi AtrybutyBloków w obszarze graficznym, a następnie potwierdza aktualizację.
  3. Jeśli określono Blok, wszystkie zmienne AtrybutyBloku na rysunku są odbudowywane.

Dostęp

Polecenie: UpdateBlockAttributes


Praca z grupami elementów

Elementy rysunku można łączyć w grupy elementów.

Grupowanie elementów pozwala manipulować wszystkimi elementami w grupie przy użyciu pojedynczej operacji (np. przenoszenie, obracanie, odbicie lustrzane lub skalowanie). Można jednak nadal edytować poszczególne elementy w grupie elementów (np. przecinanie lub rozciąganie).

Elementy można dodawać do grupy elementów lub usuwać z niej w dowolnym czasie.

Elementy mogą być członkami więcej niż jednej grupy elementów. Grupy elementów mogą zawierać się w innych grupach elementów.

Różnice pomiędzy blokami i grupami elementów:

  • Blok posiada własny punkt wstawienia. Grupa elementów nie posiada żadnego.
  • Blok może występować wiele razy w rysunku. Jeżeli blok zostanie przedefiniowany, aktualizowane są wszystkie jego wystąpienia. Grupy elementów nie zachowują się w taki sam sposób.
  • Można kopiować grupy. Grupa elementów pochodząca z innej grupy elementów, która została skopiowana, stanowi oddzielną sumę elementów. Każdy blok posiada unikatową nazwę, ale nie jego odniesienia.

Można tworzyć grupy elementów z nazwami lub bez.

Poniższe tematy opisują polecenia dotyczące tworzenia i zarządzania grupami elementów:

  • Szybkie grupowanie elementów
  • Szybkie rozgrupowanie grup elementów
  • Edytowanie grup elementów
  • Tworzenie i zarządzanie grupami elementów


Szybkie grupowanie elementów

Użyj polecenia QuickGroup, aby szybko tworzyć Grupy elementów.

Aby szybko pogrupować elementy:

  1. W obszarze graficznym określić elementy do grupowania.
  2. Kliknąć prawym przyciskiem myszy, a następnie kliknąć Grupa elementów > Szybkie grupowanie (lub wpisać QuickGroup).
  3. Tworzona jest Grupa elementów bez nazwy.

Aby szybko pogrupować elementy bez wstępnie wybranych elementów:

  1. Kliknąć Narzędzia > Grupa elementów > Szybkie grupowanie (lub wpisać QuickGroup).
  2. Określić opcje:
    • Nazwa: Umożliwia nazwanie grupy elementów. Nazwy mogą zawierać litery, cyfry i znaki specjalne takie jak $, #, _. W nazwach nie jest rozróżniana wielkość liter. Wpisać ?, aby przejrzeć istniejące nazwy grup elementów.
    • Opis: Pozwala wpisać krótki opis dotyczący grupy elementów.
  3. Określić elementy do grupowania.
  4. Nacisnąć Enter.
  5. Tworzona jest grupa elementów z nazwą lub bez.

Uwaga: Aby rozgrupować grupy elementów, należy użyć polecenia QuickUngroup. Aby edytować grupy elementów, należy użyć polecenia EditEntityGroup. Aby podświetlić grupy elementów i zarządzać grupami elementów, należy użyć polecenia Grupa.

Dostęp

Polecenie: QuickGroup

Menu: Narzędzia > Grupa elementów > Szybkie grupowanie

Tematy pokrewne

Szybkie rozgrupowanie grup elementów

Edytowanie grup elementów

Tworzenie i zarządzanie grupami elementów

Praca z grupami elementów


Szybkie rozgrupowanie grup elementów

Użyj polecenia QuickUngroup, aby szybko rozgrupować Grupy elementów.

Aby szybko rozgrupować grupy elementów:

  1. W obszarze graficznym określić element, który należy do grupy elementów do rozgrupowania.
  2. Kliknąć prawym przyciskiem myszy, a następnie kliknąć Grupa elementów > Szybkie rozgrupowanie (lub wpisać QuickUngroup).
  3. Grupa elementów zostanie usunięta.

Aby szybko rozgrupować grupy elementów bez wstępnie wybranych elementów:

  1. Kliknąć Narzędzia > Grupa elementów > Szybkie rozgrupowanie (lub wpisać QuickUngroup).
  2. Określić element, który należy do grupy elementów do rozgrupowania.
  3. - lub -
  4. Określić opcję Nazwa, a następnie wpisać nazwę grupy elementów do rozgrupowania. Wpisać ?, aby przejrzeć istniejące nazwy grup.

Uwaga: Polecenie QuickUngroup prowadzi do tego samego wyniku co opcja Usuń polecenia Grupa. Aby podświetlić grupy elementów, należy użyć polecenia Grupa.

Dostęp

Polecenie: QuickUngroup

Menu: Narzędzia > Grupa elementów > Szybkie rozgrupowanie

Tematy pokrewne

Szybkie grupowanie elementów

Edytowanie grup elementów

Tworzenie i zarządzanie grupami elementów

Praca z grupami elementów


Edytowanie grup elementów

Użyj polecenia EditEntityGroup, aby dodawać i usuwać elementy z Grup elementów lub zmieniać nazwy grup elementów.

Aby edytować grupy elementów, należy:

  1. Kliknąć Narzędzia > Grupa elementów > Edytuj grupę elementów (lub wpisać EditEntityGroup).
  2. Określić element, który należy do grupy elementów do edycji.
  3. - lub -
  4. Określić opcję Nazwa, a następnie wpisać nazwę grupy elementów do edycji. Wpisać ?, aby przejrzeć istniejące nazwy grup elementów.
  5. Określić opcje:
    • Dodaj elementy: Określa elementy, które mają zostać dodane do grupy elementów.
    • Usuń elementy: Określa elementy, które mają zostać usunięte z grupy elementów.
    • Zmień nazwę: Określa nową nazwę dla grupy elementów. Wpisać ?, aby przejrzeć istniejące nazwy grup elementów.
  6. Nacisnąć Enter.

Uwaga: Aby podświetlić grupy elementów i zarządzać grupami elementów, należy użyć polecenia Grupa.

Dostęp

Polecenie: EditEntityGroup

Menu: Narzędzia > Grupa elementów > Edytuj grupę elementów

Tematy pokrewne

Szybkie grupowanie elementów

Szybkie rozgrupowanie grup elementów

Tworzenie i zarządzanie grupami elementów

Praca z grupami elementów


Tworzenie i zarządzanie grupami elementów

Użyj polecenia EntityGroup, aby tworzyć i zarządzać grupami elementów.

Aby utworzyć grupy elementów, należy:

  1. Wpisać EntityGroup w wierszu poleceń.
  2. W oknie dialogowym kliknąć Nowy.
  3. Kliknąć Wybierz elementy, a następnie wybrać elementy w obszarze graficznym, które mają być uwzględnione w grupie elementów.
  4. Po zakończeniu określania elementów nacisnąć Enter.
  5. Wpisać Nazwę. Nazwy mogą zawierać litery, cyfry i znaki specjalne, takie jak $, # ,_. Wielkość liter w nazwie nie ma znaczenia.
  6. Wpisać Opis.
  7. Wybrać opcje:
    • Traktuj elementy jako zbiór wskazań: Wybiera całą grupę elementów w przypadku wybrania jednego elementu w grupie (z wyjątkiem tych, które leżą na warstwach zablokowanych lub zamkniętych).
    • Nienazwane: Tworzy anonimową grupę elementów.
  8. Kliknąć OK dwa razy.

Aby edytować grupy elementów, należy:

  1. Wpisać EntityGroup.
  2. W oknie dialogowym wybrać Nazwę grupy elementów.
  3. Kliknąć Edycja.
  4. Poddać edycji grupę elementów według potrzeb:
    • Dodawanie elementów: Kliknąć Dodaj elementy, a następnie wybrać elementy w obszarze graficznym, które mają zostać dodane do grupy elementów.
    • Usuwanie elementów: Kliknąć Usuń elementy, a następnie wybrać elementy w obszarze graficznym, które mają zostać usunięte z grupy elementów.
    • Zmienianie nazwy grupy: Poddać edycji Nazwę:
    • Zmiana opisu: Poddać edycji Opis.
    • Zmiana trybu wyboru: Wybrać lub usunąć zaznaczenie opcji Traktuj elementy jako zbiór wskazań.
  5. Kliknąć OK dwa razy.

Aby usunąć grupy elementów grupy, należy:

  1. Wpisać EntityGroup.
  2. W oknie dialogowym wybrać Nazwę grupy elementów.
  3. Kliknąć Usuń.

Aby podświetlić grupę elementów, należy:

  1. Wpisać EntityGroup.
  2. W oknie dialogowym wybrać Nazwę grupy elementów.
  3. Kliknąć Podświetl.
  4. Elementy grupy elementów zostaną podświetlone w obszarze graficznym.

Uwaga: Ewentualnie można użyć polecenia QuickGroup, aby tworzyć grupy elementów, polecenia QuickUngroup, aby usuwać grupy elementów oraz polecenia EditEntityGroup, aby edytować grupy elementów.

Dostęp

Polecenie: EntityGroup

Tematy pokrewne

Praca z grupami elementów

-EntityGroup (wariant okna poleceń)


Praca z obrazami i rysunkami odniesienia

Można dołączać rysunki lub obrazy rastrowe (np. cyfrowe fotografie i zeskanowane mapy) jako odniesienia do bieżącego rysunku. Odniesienia można dołączać do wielu rysunków w tym samym czasie. Można także dołączać wiele rysunków lub obrazów jako odniesienia do jednego rysunku.

Rysunki odniesienia służą do:

  • tworzenia rysunków złożeń z różnych plików;
  • wstawiania rysunków szczegółów do gotowych rysunków;
  • tymczasowego odnoszenia się do innego rysunku w bieżącym rysunku.

Rysunki odniesienia są pomocne, gdy kilka osób pracuje w sieci nad wieloma rysunkami. Użycie rysunków odniesienia zapewnia, że w bieżącym rysunku wyświetlana jest najnowsza wersja rysunku odniesienia.

Inną zaletą jest to, że w bieżącym rysunku przechowywane jest tylko łącze do rysunku odniesienia, a nie wszystkie informacje z pliku odniesienia.

W wielu sytuacjach użycie rysunków odniesienia jest wygodniejsze i stosowniejsze od wstawiania bloków do rysunków.

W tym rozdziale omówiono następujące tematy:

  • Używanie palety odniesień
  • Ukrywanie palety odniesień
  • Dołączanie rysunków jako odniesień
  • Dołączanie plików obrazów jako odniesień
  • Przycinanie odniesień i bloków
  • Otwieranie rysunków odniesienia


Tworzenie odniesień do rysunków - podstawy

Różnice pomiędzy tworzeniem odniesień i wstawieniami bloku

Rysunki odniesienia są podobne do wstawień bloku, z następującymi różnicami:

  • Odniesienie do rysunku ustanawia łącze do innego pliku rysunku, lecz nie staje się on trwałą częścią bieżącego rysunku, dzięki czemu rozmiar pliku jest mniejszy.
  • Rysunki odniesienia można przenosić, skalować, obracać i kopiować. Nie można rozbijać odniesienia w przeciwieństwie do bloków.
Zależne nazwy symboli

Podczas dołączania plików rysunku, do rysunku są wczytywane warstwy, style linii, style tekstu, style wymiarowania, definicje bloków i inne symbole.

Do nazywania symboli zależnych w rysunku wykorzystywany jest następujący schemat:

Logiczna_nazwa_odniesienia| Zależna_nazwa_symbolu

Na przykład: nazwy warstw rysunku odniesienia o nazwie WAŁ są wyszczególniane jako:

WAŁ|KONSTRUKCJA

WAŁ|SZCZEGÓŁY

WAŁ|WYMIAR

Inne symbole zależne, jak style linii lub bloki, wykorzystują tę samą konwencję nazywania.

Nie można redefiniować ani zmieniać nazw symboli zależnych. Nie można również wstawiać zależnych bloków i nie można ustawić warstwy zależnej jako warstwy bieżącej.

Konwencje symboli zależnych pozwalają sterować widocznością, a także kolorami linii i stylami linii rysunków odniesienia. Okno dialogowe Menedżer warstw wyświetla nazwy warstw zależnych i pozwala stosować różne opcje.

Przedrostek nazwy logicznej ułatwia odróżnienie warstw zależnych od warstw pierwotnie zdefiniowanych w rysunku.

Usuwanie odniesień z bieżącego rysunku

Nie należy usuwać rysunków odniesienia z bieżącego rysunku przy użyciu polecenia Delete, ponieważ nie usuwa ono symboli zależnych z rysunku.

Aby usunąć odniesienia, należy:

  1. Jeżeli paleta Odniesienia nie jest wyświetlana, należy kliknąć Narzędzia > Odniesienia (lub wpisać References).
  2. Kliknąć prawym przyciskiem myszy plik odniesienia na liście i kliknąć Odłącz.

    Odniesienie zniknie i nastąpi usunięcie łącza.

Można również użyć opcji Odłącz polecenia -References.

Tematy pokrewne

Praca z obrazami i rysunkami odniesienia


Używanie palety odniesień

Polecenie References pozwala uzyskać dostęp do palety Odniesienia, która służy do zarządzania rysunkami odniesienia lub plikami obrazów. Po otwarciu rysunku z plikami odniesienia, odniesienia są wyświetlane w swoim bieżącym stanie. W przypadku współpracy w sieci może zachodzić potrzeba aktualizacji odniesień. Program wczyta ponownie określone rysunki w ostatnio zapisanych stanach.

Po dołączeniu rysunków jako odniesienia można nimi zarządzać z palety Odniesienia.

W tym temacie omówiono następujące zagadnienia:

  • Dołączanie i aktualizowanie rysunków jako odniesień
  • Zarządzanie odniesieniami

Dołączanie i aktualizowanie rysunków jako odniesień

Aby dołączyć rysunki przy użyciu palety odniesień, należy:

  1. Kliknąć Narzędzia > Odniesienia (lub wpisać References).
  2. Kliknąć Dołącz rysunek.
  3. Jeżeli narzędzie Dołącz rysunek nie jest wyświetlane, należy kliknąć strzałkę [image] obok narzędzia Dołącz obraz i kliknąć Dołącz rysunek.
  4. W oknie dialogowym przejść do rysunku i kliknąć Otwórz.
  5. Ustawić opcje w oknie dialogowym Dołącz odnośnik: Rysunek . Patrz: Dołączanie rysunków jako odniesień.

Aby dołączyć obrazy przy użyciu palety odniesień, należy:

  1. Kliknąć Narzędzia > Odniesienia.
  2. Kliknąć Dołącz obraz.
  3. Jeżeli narzędzie Dołącz obraz nie jest wyświetlane, należy kliknąć strzałkę [image] obok narzędzia Dołącz rysunek i kliknąć Dołącz obraz.
  4. W oknie dialogowym przejść do obrazu i kliknąć Otwórz.
  5. Ustawić opcje w oknie dialogowym Dołącz odnośnik: Obraz . Patrz: Dołączanie plików obrazu.

Aby aktualizować odniesienia, należy:

  1. Kliknąć Narzędzia > Odniesienia.
  2. Kliknąć Odśwież, aby ponownie narysować odniesienia.
  3. Jeżeli narzędzie Odśwież nie jest wyświetlane, należy kliknąć strzałkę [image] obok narzędzia Ponownie wczytaj wszystko i kliknąć Odśwież.
  4. Kliknąć Ponownie wczytaj wszystko, aby zaktualizować odniesienia o kolejne modyfikacje wprowadzone w pliku zewnętrznym.
  5. Jeżeli narzędzie Ponownie wczytaj wszystko nie jest wyświetlane, należy kliknąć strzałkę [image] obok narzędzia Odśwież i kliknąć Ponownie wczytaj wszystko.

Góra strony

Zarządzanie odniesieniami

Aby otworzyć rysunek odniesienia:

Można zmodyfikować rysunek odniesienia znajdujący się w danym rysunku.

  • Na palecie Odniesienia kliknąć prawym przyciskiem myszy żądane odniesienie i wybrać Otwórz.
  • Rysunek zostanie otwarty w innym oknie rysunku. Podczas edytowania rysunku modyfikacje znajdują odzwierciedlenie w rysunkach, w których są one dołączane jako odniesienia.

Aby usunąć odniesienia z pamięci, należy:

  • Na palecie Odniesienia kliknąć prawym przyciskiem myszy żądane odniesienie i wybrać Zwolnij.
  • Zwolnione odniesienie nie jest już widoczne w rysunku, ale łącze do pliku zostaje zachowane. Aby ponownie wyświetlić zwolnione odniesienie, wybrać opcję Załaduj ponownie .

Aby ponownie załadować odniesienie:

  • Na palecie Odniesienia kliknąć prawym przyciskiem myszy żądane odniesienie i wybrać Załaduj ponownie.
  • Rysunki, które zawierają rysunki odniesienia, zostaną wyświetlone w swoim bieżącym stanie. Podczas pracy nad projektem w grupie roboczej może zajść potrzeba aktualizacji odniesień z rysunku. Ta opcja zapewnia wczytanie ponownie określonego rysunku w postaci, w jakiej został ostatnio zapisany.

Aby odłączyć odniesienia:

  • Na palecie Odniesienia kliknąć prawym przyciskiem myszy żądanie odniesienie i wybrać Odłącz.
  • Rysunek odniesienia zostanie usunięty z bieżącego rysunku, co spowoduje wymazanie zależnych symboli, takich jak warstwy, styl linii i definicje bloków z pliku rysunku.
  • Uwaga: Mimo iż można usuwać odniesienia przy użyciu polecenia Delete, można też skorzystać z opcji Odłącz, aby usunąć z rysunku także symbole zależne.

Aby utworzyć trwałe połączenie z odniesieniem:

Wybrać opcję Ustal , aby uczynić rysunek odniesienia trwałym fragmentem rysunku, np. jeżeli chcemy wysłać rysunek pocztą elektroniczną lub zarchiwizować ostateczny rysunek. Rysunki odniesienia należy trwale połączyć z bieżącym rysunkiem, aby uniknąć dołączania zbioru rysunków do archiwum lub wiadomości e-mail.

  1. Na palecie Odniesienia kliknąć prawym przyciskiem myszy żądane odniesienie i wybrać Ustal.
  2. W oknie dialogowym określić Typ ustalenia:
    • Ustal. Konwertuje odnośnik do bloku i używa unikatowych nazw symboli dla warstw i definicji stylu w rysunku przy użyciu składni nazwa bloku$n$nazwa symbolu.
    • Wstaw. Odłącza odniesienie i wstawia rysunek odniesienia jako blok.
  3. Patrz Używanie okna dialogowego Wstaw odniesienie - Typ ustalenia.
  4. Kliknąć OK.

Aby zmienić typ odniesienia:

  1. Na palecie Odniesienia wybrać żądane odniesienie.
  2. W obszarze Informacje o pliku wybrać Typ odniesienia:
    • Dołącz. Tworzy łącze do rysunku i jego odniesienie w bieżącym rysunku. Dołączony rysunek jest ostatnio zapisaną wersją. Opcja Dołącz uwzględnia również rysunek zewnętrzny.
    • Nakładka. Tworzy łącze do rysunku i jego odniesienie w bieżącym rysunku. Opcja Nakładka nie uwzględnia rysunku zewnętrznego.

Aby zresetować ścieżkę do odniesienia, należy:

Czasami lokalizacja pliku odniesienia ulega zmianie lub zmieniana jest nazwa pliku odniesienia. Opcja Ścieżka ustanawia ponownie ścieżkę do odniesienia, ponownie dołącza plik odniesienia o zmienionej nazwie lub zastępuje odniesienie innym plikiem.

  1. Na palecie Odniesienia wybrać żądane odniesienie.
  2. W obszarze Informacje o pliku kliknąć Przeglądaj [image] za oknem Znaleziono na ścieżce zawierającym ścieżkę i nazwę odniesienia, które wymaga aktualizacji.
  3. Przejść do nowej lokalizacji i wybrać plik odniesienia, a następnie kliknąć Otwórz.

Góra strony

Dostęp

Polecenie: References

Menu: Narzędzia > Odniesienia

Tematy pokrewne

Dołączanie rysunków jako odniesień

Dołączanie plików obrazu


Ukrywanie palety odniesień

Polecenie HideReferences służy do zamykania palety Odniesienia.

Aby ukryć paletę Odniesienia, należy:

  • Kliknąć Narzędzia > Odniesienia (lub wpisać HideReferences).

Dostęp

Polecenie: HideReferences

Tematy pokrewne

Używanie palety odniesień


Dołączanie rysunków jako odniesień

Można dołączyć zewnętrzny rysunek do bieżącego rysunku.

Aby dołączyć rysunki jako odniesienia, należy:

  1. Kliknąć Wstaw > Rysunek odniesienia (lub wpisać AttachDrawing).
  2. W oknie dialogowym wybrać rysunek do dołączenia i kliknąć Otwórz.
  3. W oknie dialogowym Dołącz odnośnik: Rysunek pole Nazwa wyświetla nazwę wybranego pliku lub pozwala wybrać poprzednio dołączony rysunek. Kliknąć Przeglądaj, aby wybrać inny rysunek.
  4. Określić Informacje o pliku:
    • Typ ścieżki: Określa sposób wyświetlenia ścieżki do rysunku.
      • Pełny: Pokazuje pełną ścieżkę do rysunku.
      • Brak: Pokazuje tylko nazwę pliku.
      • Względny: Pokazuje względną ścieżkę do rysunku. Jeżeli obydwa rysunki znajdują się w tym samym folderze, wyświetlana jest tylko nazwa pliku rysunku.
    • Typ odniesienia: Wskazuje, czy należy dołączyć rysunek odniesienia, gdy rysunek bieżący jest dołączony do innego rysunku.
      • Załącznik: Dołącza rysunek odniesienia.
      • Nakładka: Nie dołącza rysunku odniesienia.
  5. Określić Punkt wstawienia:

    Określ później: Pozwala określić punkt wstawienia w obszarze graficznym po zamknięciu okna dialogowego.

    X, Y, Z: Określa współrzędne X, Y i Z dla lokalizacji rysunku.
  6. Określić Skalę:

    Określ później: Pozwala określić skalę w obszarze graficznym po zamknięciu okna dialogowego.

    X, Y, Z: Określa współrzędne X, Y i Z każdej osi niezależnie.

    Zablokuj współczynnik kształtu: Pozwala na wprowadzenie osi X i ustala pozostałe współrzędne.
  7. Określić Obrót:

    Określ później: Pozwala określić kąt w obszarze graficznym po zamknięciu okna dialogowego.

    Kąt: Ustawia kąt obrotu dla rysunku.
  8. Sprawdzić informacje Jednostki bloku (tylko do odczytu):

    Jednostki: Pokazuje układ jednostek miar określonego rysunku.

    Skala: Pokazuje współczynnik skali określonego rysunku.
  9. Kliknąć OK.

Dostęp

Polecenie: AttachDrawing

Menu: Wstaw > Rysunek odniesienia

Tematy pokrewne

Praca z obrazami i rysunkami odniesienia

Używanie palety odniesień


Przycinanie odniesień i bloków

Można wyświetlać tylko fragment odniesienia (pliku rysunku odniesienia) lub bloku. Element jest przycinany na utworzonej lub określonej obwiedni.

Można utworzyć jedną obwiednię przycinania dla jednego odniesienia lub bloku.

Aby przyciąć odniesienia lub bloki, należy:

  1. Kliknąć Modyfikuj > Przytnij > Odniesienie (lub wpisać ClipReference).
  2. Określić odniesienia lub bloki, do których należy zastosować obwiednię przycinania, i nacisnąć Enter.
  3. Określić opcję:
    • Obwiednia: Tworzy nową obwiednię przycinania. Jeżeli obwiednia przycinania już istnieje dla danego odniesienia lub bloku, pojawi się monit o usunięcie starej obwiedni. Określić opcje:
      • Odwróć przycięcie: Pozwala odwrócić wyświetlanie obwiedni przycinania. Opcja ta służy do wyświetlania elementów na zewnątrz obwiedni lub powracania do poprzedniego trybu.
      • Wieloboczna: Pozwala zdefiniować nieregularny kształt wieloboczny jako obwiednię przycinania poprzez określenie punktów.
      • Prostokątna: Pozwala zdefiniować prostokątną obwiednię przycinania poprzez określenie przeciwległych punktów.
      • Wybierz polilinię: Pozwala wybrać istniejącą polilinię, która ma służyć jako obwiednia przycinania. Segmenty łuku zostaną pozbawione krzywizny.
    • Głębokość przycięcia (używane dla przycinanych odniesień lub bloków 3D): Ustawia przednią i tylną płaszczyznę równolegle do obwiedni przycinania. Płaszczyzny są wybierane poprzez określenie punktów przycinania. Do wybrania geometrii należy użyć wnioskowania. Określić opcje:
      • Odległość: Wykorzystuje określone odległości od obwiedni przycinania w celu utworzenia płaszczyzny przedniej i tylnej.
      • Usuń: Usuwa płaszczyzny przycinania.
    • Usuń: Usuwa obwiednię przycinania.
    • Wył.: Wyłącza obwiednię przycinania w celu wyświetlenia odniesienia lub bloku w całości. Obwiednia przycinania jest zachowywana, co umożliwia ponowne uaktywnienie.
    • Wł.: Włącza obwiednię przycinania w celu wyświetlenia tylko fragmentu odniesienia lub bloku wewnątrz obwiedni przycinania.
    • Polilinia: Tworzy polilinię z wcześniej utworzonej obwiedni przycinania (przy użyciu opcji Prostokąt oraz Wieloboczna).

Dostęp

Polecenie: ClipReference

Menu: Modyfikuj > Przytnij > Odniesienie

Tematy pokrewne

Praca z obrazami i rysunkami odniesienia

Używanie palety odniesień

Dołączanie rysunków jako odniesień


Otwieranie rysunków odniesienia

Można modyfikować rysunek odniesienia znajdujący się w danym rysunku.

Aby zmodyfikować rysunki odniesienia, należy:

  1. Kliknąć Narzędzia > Otwórz odniesienie (lub wpisać OpenReference).
  2. Określić rysunek odniesienia.

    Rysunek zostanie otwarty w innym oknie rysunku. Podczas edytowania rysunku modyfikacje te znajdują odzwierciedlenie w rysunkach, gdzie jest on dołączony jako odniesienie.

Dostęp

Polecenie: OpenReference

Menu: Narzędzia >Otwórz odniesienie

Tematy pokrewne

Praca z obrazami i rysunkami odniesienia

Używanie palety odniesień

Dołączanie rysunków jako odniesień


Odłączanie odniesień rysunków

Polecenie DetachDrawing pozwala odłączyć odniesienia rysunków, które zostały dołączone do bieżącego rysunku przy użyciu polecenia AttachDrawing.

Aby odłączyć odniesienia rysunków, należy:

  1. Wpisać DetachDrawing w wierszu poleceń.
  2. Wpisać nazwę rysunku do odłączenia.

Nazwy odniesień dołączonych do rysunku są wyszczególnione na palecie Odniesienia.

Dostęp

Polecenie: DetachDrawing


Dołączanie plików obrazów jako odniesień

Do rysunków można dołączać obrazy. Obsługiwane są m.in. typy plików: .bmp, .png, .jpg, .jpeg oraz .png.

Aby dołączyć pliki obrazu, należy:

  1. Kliknąć Wstaw > Obraz odniesienia (lub wpisać AttachImage).
  2. W oknie dialogowym wybrać obraz do dołączenia i kliknąć Otwórz.
  3. W oknie dialogowym Dołącz odnośnik: Obraz, pole Nazwa wyświetla nazwę wybranego pliku lub pozwala wybrać poprzednio dołączony obraz. Kliknąć Przeglądaj, aby wybrać inny obraz.
  4. Określić Informacje o pliku:
    • Typ ścieżki: Określa sposób wyświetlenia ścieżki do obrazu.
      • Pełny: Pokazuje pełną ścieżkę do obrazu.
      • Brak: Pokazuje tylko nazwę pliku.
      • Względny: Pokazuje względną ścieżkę do obrazu. Jeżeli obydwa obrazy znajdują się w tym samym folderze, wyświetlana jest tylko nazwa pliku obrazu.
  5. Określić Punkt wstawienia:

    Określ później: Pozwala określić punkt wstawienia w obszarze graficznym po zamknięciu okna dialogowego.

    X, Y, Z: Określa współrzędne X, Y i Z dla lokalizacji obrazu.
  6. Określić Skalę:

    Określ później: Pozwala określić skalę w obszarze graficznym po zamknięciu okna dialogowego.

    Współczynnik skalowania: Określ skalę obrazu.
  7. Określić Obrót:

    Określ później: Pozwala określić kąt w obszarze graficznym po zamknięciu okna dialogowego.

    Kąt: Ustawia kąt obrotu dla obrazu.
  8. Kliknąć OK.

Dostęp

Polecenie: AttachImage

Menu: Wstaw > Obraz odniesienia

Tematy pokrewne

Praca z rysunkami odniesienia

Używanie palety odniesień


Przycinanie odniesień obrazów

Można wyświetlić tylko część odniesień obrazu. Obraz jest przycinany na utworzonej lub określonej obwiedni.

Można utworzyć jedną obwiednię przycinania dla jednego odniesienia obrazu.

Aby przyciąć odniesienia obrazów, należy:

  1. Kliknij Modyfikuj > Przytnij > Obraz (lub wpisać ClipImage).
  2. Określić odniesienie obrazu, względem którego należy zastosować obwiednię przycinania.
  3. Określić opcję:
    • Utwórz obwiednię: Tworzy nową obwiednię przycinania. Jeżeli obwiednia przycinania już istnieje dla danego odniesienia obrazu, pojawi się monit o usunięcie starej obwiedni. Określić opcje:
      • Wieloboczna: Pozwala zdefiniować nieregularny kształt wieloboczny jako obwiednię przycinania poprzez określenie punktów.
      • Prostokątna: Pozwala zdefiniować prostokątną obwiednię przycinania poprzez określenie dwóch przeciwległych punktów.
      • Wybierz polilinię: Pozwala wybrać istniejącą polilinię, która ma służyć jako obwiednia przycinania. Segmenty łuku zostaną pozbawione krzywizny.
    • Usuń: Usuwa obwiednię przycinania.
    • Wył.: Wyłącza obwiednię przycinania w celu wyświetlenia odniesienia obrazu w całości. Obwiednia przycinania jest zachowywana, co umożliwia ponowne uaktywnienie.
    • Wł.: Włącza obwiednię przycinania w celu wyświetlenia tylko fragmentu odniesienia obrazu wewnątrz obwiedni przycinania.

Dostęp

Polecenie: ClipImage

Menu: Modyfikuj > Przytnij > Obraz


Odłączanie obrazów odniesienia

Polecenie DetachImage pozwala odłączyć obrazy odniesienia, które zostały dołączone do bieżącego rysunku przy użyciu polecenia AttachImage.

Aby odłączyć obrazy odniesienia, należy:

  1. Wpisać DetachImage w wierszu poleceń.
  2. Wpisać nazwę obrazu, który należy odłączyć.

Nazwy obrazów dołączonych do rysunku są wyszczególnione na palecie Odniesienia.

Dostęp

Polecenie: DetachImage

Tematy pokrewne

Dołączanie plików obrazów jako odniesień


Edytowanie bloków i odniesień na miejscu

Edytowanie na miejscu pozwala na modyfikowanie definicji komponentów, które są definicjami bloków lub rysunkami odniesienia w bieżącym rysunku (zwanymi elementami).

Zmiany są natychmiast odzwierciedlane w wystąpieniach komponentu w rysunku.

Ten rozdział opisuje:

  • Edytowanie komponentów na miejscu
  • Dodawanie lub usuwanie elementów podczas edytowania komponentu
  • Modyfikowanie punktu bazowego definicji bloku
  • Zapisywanie edycji komponentu
  • Przerywanie edycji komponentu


Edytowanie komponentów na miejscu

Polecenie EditComponent służy do edytowania poszczególnych elementów w rysunkach lub blokach odniesienia, bezpośrednio w bieżącym rysunku, zmieniając definicję bloków lub odniesień.

Wszystkie wystąpienia modyfikowanych bloków i odniesień są aktualizowane w rysunku.

Wstawienia bloku i dołączone odniesienia zachowują się jak pojedyncze elementy w rysunkach. Są one nazywane komponentami. Komponenty można przenosić, kopiować, odbijać w lustrze, obracać lub skalować, lecz elementy składające się na komponent domyślnie nie są dostępne. Polecenie EditComponent rozpoczyna sesję edycji komponentu, zwaną także edytowaniem na miejscu. Podczas sesji edytowania komponentu można uzyskiwać dostęp i modyfikować poszczególne elementy bloków i odniesień. Można dodawać do komponentów lub usuwać z nich elementy.

Aby zakończyć sesję edytowania komponentu, należy użyć polecenia SaveComponent lub CloseComponent.

Aby zmodyfikować definicję bloku, należy:

  1. Kliknąć Modyfikuj > Komponent > Edycja (lub wpisać EditComponent w wierszu poleceń).
  2. W obszarze graficznym kliknąć blok lub odniesienie do edytowania.
  3. Wybrać nazwę bloku lub odniesienia z listy w oknie dialogowym Edytuj komponent:
    • Jeśli wybrano blok lub odniesienie, które nie zawiera dalszych bloków lub odniesień, lista zawiera tylko ten blok lub odniesienie.
    • Jeśli wybrano blok, który zawiera inne bloki, lub odniesienie, które zawiera bloki lub inne odniesienia, zostanie wyświetlona lista hierarchiczna ukazująca zagnieżdżenie.
  4. Aby powiększyć do wyobrażonej ramki ograniczającej, która otacza wybrany blok lub odniesienie, należy kliknąć Powiększ/pomniejsz granice przed kliknięciem Pokaż wybór lub OK.
  5. Kliknąć Pokaż wybór, aby podświetlić blok lub odniesienie na rysunku przed rozpoczęciem edytowania.

    Okno dialogowe tymczasowo zniknie do czasu kliknięcia w obszarze graficznym lub naciśnięcia Esc w celu powrotu do okna dialogowego.
  6. Kliknąć OK, aby rozpocząć edycję wybranego bloku lub odniesienia na miejscu.

    Rysunek będzie przyciemniony, z wyjątkiem elementów, które definiują blok lub odniesienie.
  7. Zmodyfikować geometrię lub definicję bloku lub odniesienia przy użyciu poleceń i narzędzi modyfikacji.

    Użyć polecenia ChangeElements, aby dodać lub usunąć elementy w definicji bloku lub odniesieniu.
  8. Wpisać SaveComponent, aby zaakceptować zmiany w komponencie.

    - lub -

    Wpisać CloseComponent, aby otworzyć okno dialogowe Komponent, co pozwala Zapisać lub Odrzucić modyfikacje.

Aby zmodyfikować hierarchię zagnieżdżonych bloków, należy:

  1. Kliknąć Modyfikuj > Komponent > Edycja (lub wpisać EditComponent).
  2. W obszarze graficznym kliknąć blok zawierający inne bloki.
  3. Wybrać zagnieżdżony blok z listy w oknie dialogowym Edytuj komponent.
  4. Kliknąć Przenieś w górę, aby przenieść zagnieżdżony blok o jeden poziom wyżej i powtórzyć tę czynność według potrzeb.

    Kliknąć Przywróć, aby przywrócić pierwotną pozycję przeniesionego bloku.
  5. Kliknąć OK.
  6. Wpisać SaveComponent, aby zaakceptować zmiany w komponencie.

    - lub -

    Wpisać CloseComponent, aby otworzyć okno dialogowe Komponent, co pozwala Zapisać lub Odrzucić modyfikacje.

    7. Nie można modyfikować hierarchii zagnieżdżonych bloków w odniesieniach.

Dostęp

Polecenie: EditComponent

Menu: Modyfikuj > Komponent > Edycja

Tematy pokrewne

Dodawanie lub usuwanie elementów podczas edytowania komponentu

Modyfikowanie punktu bazowego definicji bloku

Zapisywanie edycji komponentu

Przerywanie edycji komponentu

Dołączanie rysunków jako odniesień


Dodawanie lub usuwanie elementów podczas edytowania elementów

Polecenie ChangeElements służy do dodawania lub usuwania elementów w definicji komponentu (bloków lub odniesień).

Części składowe komponentów są nazywane elementami. Elementami mogą być na przykład linie, łuki, okręgi i inne komponenty.

Aby dodać elementy do komponentów podczas edytowania na miejscu, należy:

  1. Kliknąć Modyfikuj > Komponent > Edycja (lub wpisać EditComponent w wierszu poleceń), aby rozpocząć edycję komponentów na miejscu.
  2. W obszarze graficznym kliknąć blok lub odniesienie do edytowania.
  3. W oknie dialogowym Edycja komponentu wybrać blok lub odniesienie do modyfikacji i kliknąć OK.

    Wszystkie elementy są przyciemnione, z wyjątkiem tych, które mogą być edytowane na miejscu.
  4. Narysować lub wstawić elementy, aby dodać do wybranej definicji bloku lub odniesienia.
  5. Kliknąć Modyfikuj > Komponent > Dodaj elementy (lub wpisać ChangeElements i wprowadzić opcję Dodaj).
  6. Wybrać elementy, które należy dodać do definicji bloku lub odniesienia.
  7. Kliknąć Modyfikuj > Komponent > Zapisz i zamknij (lub wpisać SaveComponent).

    Wszystkie wystąpienia bloku lub odniesienia są aktualizowane i wyświetlają dodane elementy.

Aby usunąć elementy z komponentów podczas edytowania na miejscu, należy:

  1. Kliknąć Modyfikuj > Komponent > Edycja (lub wpisać EditComponent w wierszu poleceń), aby rozpocząć edycję komponentów na miejscu.
  2. W obszarze graficznym kliknąć blok lub odniesienie do edytowania.
  3. W oknie dialogowym Edycja komponentu wybrać blok lub odniesienie do modyfikacji i kliknąć OK.

    Wszystkie elementy są przyciemnione, z wyjątkiem tych, które mogą być edytowane na miejscu.
  4. Kliknąć Modyfikuj > Komponent > Usuń elementy (lub wpisać ChangeElements i wprowadzić opcję Usuń).
  5. Wybrać elementy, które należy usunąć z definicji bloku lub odniesienia.
  6. Kliknąć Modyfikuj > Komponent > Zapisz i zamknij (lub wpisać SaveComponent).

    Wszystkie wystąpienia bloku lub odniesienia są aktualizowane.

Dostęp

Polecenie: ChangeElements

Menu: Modyfikuj > Komponent > Dodaj elementy i Modyfikuj > Komponent > Usuń elementy

Tematy pokrewne

Edytowanie bloków i odniesień na miejscu

Modyfikowanie punktu bazowego definicji bloku

Zapisywanie edycji komponentu

Przerywanie edycji komponentu


Modyfikowanie punktu bazowego definicji bloku

Polecenie EditBasePoint służy do ustawiania nowego bazowego punktu wstawienia dla definicji bloku.

Aby użyć tego polecenia, w pierwszej kolejności konieczne jest użycie polecenia EditComponent, aby rozpocząć tryb edytowania komponentu.

Aby zmodyfikować punkt bazowy definicji bloku lub odniesienia, należy:

  1. Kliknąć Modyfikuj > Komponent > Edycja (lub wpisać EditComponent w wierszu poleceń), aby rozpocząć edycję bloków na miejscu.
  2. W oknie dialogowym Edycja komponentu wybrać blok do modyfikacji i kliknąć OK.

    Uwaga: Nie można modyfikować punktu bazowego bloku zagnieżdżonego w rysunku odniesienia.
  3. Kliknąć Modyfikuj > Komponent > Edytuj punkt bazowy (lub wpisać EditBasePoint w wierszu poleceń).

    Wyświetlona zostanie gumka pomiędzy bieżącym punktem bazowym bloku i wskaźnikiem.
  4. Określić nowy punkt bazowy.

    Kliknąć Modyfikuj > Komponent > Zapisz i zamknij (lub wpisać SaveComponent), aby zaakceptować zmianę i dokończyć edycję definicji bloku na miejscu.

Użycie polecenia CloseComponent zamiast SaveComponent umożliwia określenie, czy należy zapisać, czy też odrzucić zmiany dokonane w sesji edycji komponentu.

Dostęp

Polecenie: EditBasePoint

Menu: Modyfikuj > Komponent > Edytuj punkt bazowy

Tematy pokrewne

Edytowanie bloków i odniesień na miejscu

Dodawanie lub usuwanie elementów podczas edytowania komponentu

Zapisywanie edycji komponentu

Przerywanie edycji komponentu


Zapisywanie edycji komponentu

Polecenie SaveComponent zapisuje zmiany dokonane podczas sesji edytowania komponentów i kończy tę sesję. Edycja definicji bloków lub odniesień na miejscu jest wywoływana poleceniem EditComponent.

Aby zapisać edytowaną na miejscu definicję bloku lub odniesienie, należy:

  • Kliknąć Modyfikuj > Komponent > Zapisz i zamknij (lub wpisać SaveComponent w wierszu poleceń).

    Zmiany definicji bloku lub odniesienia zostaną zapisane i nastąpi zakończenie trybu edytowania.

    Wszystkie wystąpienia bloku lub odniesienia w rysunku odzwierciedlają zmiany.

Polecenie CloseComponent służy do zapisywania lub odrzucania modyfikacji edycji komponentów na miejscu.

Dostęp

Polecenie: SaveComponent

Menu: Modyfikuj > Komponent > Zapisz i zamknij

Tematy pokrewne

Edytowanie bloków i odniesień na miejscu

Dodawanie lub usuwanie elementów podczas edytowania komponentu

Modyfikowanie punktu bazowego definicji bloku

Przerywanie edycji komponentu


Ustawianie opcji automatycznego zapisu i kopii zapasowych

Przerywanie edycji komponentu

Polecenie CloseComponent kończy edycję definicji bloku lub odniesienia na miejscu, zainicjowanej poleceniem EditComponent.

Aby zakończyć edycję definicji bloku lub odniesienia na miejscu, należy:

  1. Kliknąć Modyfikuj > Komponent > Zamknij (lub wpisać CloseComponent w wierszu poleceń).
  2. W oknie dialogowym Komponent kliknąć Zapisz, aby zapisać zmiany definicji bloku lub odniesienia, którą edytowano.

    - lub -

    Kliknąć Odrzuć, aby zakończyć edytowanie komponentu bez zapisywania zmian.

Polecenie SaveComponent służy do zapisywania zmian na zakończenie sesji edycji komponentu.

Dostęp

Polecenie: CloseComponent

Menu: Modyfikuj > Komponent > Zamknij

Tematy pokrewne

Edytowanie bloków i odniesień na miejscu

Dodawanie lub usuwanie elementów podczas edytowania komponentu

Modyfikowanie punktu bazowego definicji bloku

Zapisywanie edycji komponentu


Dołączanie hiperłącz do elementów

Polecenie Hyperlink dołącza hiperłącze do elementu lub modyfikuje istniejące hiperłącze. Hiperłącza pozwalają przechodzić do stron sieci Web, adresów e-mail, plików rysunku lub widoków zdefiniowanych przez użytkownika w bieżącym rysunku.

Aby otworzyć okno dialogowe Hiperłącze, należy:

  1. Kliknąć Wstaw > Hiperłącze (lub wpisać Hyperlink).
  2. Określić w obszarze graficznym elementy, do których należy zastosować hiperłącza, a następnie nacisnąć Enter.

    Pojawi się okno dialogowe Hiperłącze.

Aby utworzyć hiperłącze do istniejącego pliku lub strony sieci Web, należy:

  1. W oknie dialogowym Hiperłącze kliknąć Istniejący plik lub strona internetowa.
  2. W części Tekst wpisać opis dla hiperłącza. Należy z tego korzystać, gdy samo łącze nie jest wystarczająco jasne.
  3. W części Adres wpisać hiperłącze.

    - lub kliknąć -
    • Bieżący folder, aby przejść do pliku, do którego ma być utworzone hiperłącze. Dysk lub folder w części Szukaj w determinuje zawartość listy plików.
    • Przeglądane strony (wyszczególnia ostatnio przeglądane strony sieci Web z przeglądarki internetowej); następnie wybrać stronę z listy.
    • Ostatnie pliki (wyszczególnia ostatnio używane pliki); następnie wybrać plik z listy.
    • Kliknąć [image], aby wybrać plik w oknie dialogowym Otwórz.
    • Kliknąć Ramka docelowa, aby wybrać lokalizację w pliku rysunku, do której ma zostać utworzone hiperłącze.
    • Kliknąć [image], aby otworzyć swoją standardową przeglądarkę sieci Web w celu wyszukiwania adresów sieci Web.
  4. Kliknąć OK.

Aby utworzyć hiperłącze do nazwanego widoku w bieżącym rysunku, należy:

  1. W oknie dialogowym Hiperłącze kliknąć Umieść w tym rysunku.
  2. W części Wybierz miejsce w tym rysunku wybrać widok zdefiniowany przez użytkownika.
  3. Kliknąć OK.

Aby utworzyć hiperłącze do adresu e-mail, należy:

  1. W oknie dialogowym Hiperłącze kliknąć Adres e-mail.
  2. W części Adres e-mail wpisać adres.

    - lub -

    W części Lista ostatnich adresów e-mail wybrać adres e-mail.
  3. Jako Temat wpisać tekst do ustawienia jako temat wiadomości e-mail.
  4. Kliknąć OK.

    Po wywołaniu hiperłącza oprogramowanie poczty elektronicznej utworzy wiadomość e-mail do określonego adresu.

Aby wyświetlić etykietkę narzędzia dla hiperłącza, należy:

  • Zatrzymać wskaźnik nad elementem, który zawiera hiperłącze.

Aby otworzyć hiperłącze, należy:

  • Nacisnąć Ctrl i kliknąć element, który zawiera hiperłącze.

Aby usunąć hiperłącze, należy:

  1. Kliknąć Wstaw > Hiperłącze (lub wpisać Hyperlink).
  2. Określić element, którego hiperłącze należy usunąć, a następnie nacisnąć Enter.
  3. W oknie dialogowym wyczyścić wpisy w częściach Tekst oraz Adres.
  4. Kliknąć OK.

Dostęp

Polecenie: Hyperlink

Menu: Wstaw > Hiperłącze

Skrót klawiaturowy: Ctrl + K

Skrót klawiaturowy: Ctrl + K

Skrót klawiaturowy: Command + K

Tematy pokrewne

-Hyperlink (wariant okna poleceń)

Dołączanie adresu URL


Praca z kreskowaniami, wypełnieniami kolorem, tekstem i tabelami

Rysunki można rozbudować przy użyciu kreskowań i wypełnień kolorem.

Można dodawać notatki tekstowe oraz tabele do elementów geometrycznych i wymiarów w rysunkach.


Praca z kreskowaniami i wypełnieniami kolorem

Zamknięte obszary rysunków można wypełnić wzorami kreskowania, wypełnieniami jednolitym kolorem lub wypełnieniami kolorem gradientowym.

  • Tworzenie kreskowań
  • Tworzenie wypełnień kolorem
  • Edytowanie kreskowań i wypełnień


Tworzenie kreskowań

Polecenie Hatch służy do wypełniania zamkniętych obszarów lub określonych elementów wzorem kreskowania. Kreskowanie rysunku dodaje znaczenie i pomaga rozróżnić materiały i obszary. Niektóre zastosowania rysunkowe, takie jak rysunki konstrukcyjne, wymagają wzorów kreskowania, które mogą poprawić przejrzystość i czytelność rysunku. Oprócz wzorów, można stosować jednolite kreskowania wypełniające ograniczoną powierzchnię bieżącym kolorem poprzez wybranie opcji Jednolite z listy Wzór. Modyfikowanie istniejących wzorów kreskowania omówiono w temacie Dostosowywanie wzorów kreskowania.

Aby ustawić wzór kreskowania, należy:

  1. Kliknąć Rysuj > Kreskuj/Wypełnij (lub wpisać Hatch).
  2. W oknie dialogowym Kreskuj/Wypełnij, na liście Typ, wybrać typ wzoru.

    Uprzednio zdefiniowany: Pozwala wybrać spośród uprzednio zdefiniowanych wzorów, włącznie ze wzorami zgodnymi z ISO i ANSI, a także wzorów powszechnie używanych w konkretnych branżach.

    Zdefiniowany przez użytkownika: Pozwala wybrać samodzielnie utworzony wzór.

    Niestandardowy: Pozwala określić wzór ustalony przez samodzielnie określony Kąt i Odstępy.
  3. Jeśli wybrano typ Uprzednio zdefiniowany z listy Wzór, wybrać wzór.

    W panelu Podgląd obok listy Wzór wyświetlany jest wybrany wzór.

    Zamiast tego można użyć okna dialogowego Wybierz styl wzoru w celu wybrania typu i szyku, klikając [image].

Aby ustawić kąt i wyskalować wzór kreskowania, należy:

  1. Na liście Kąt określić kąt dla wzoru kreskowania.

    Standardowe wzory kreskowania składają się z linii poziomych, pionowych lub rysowanych pod kątem. Kąt kreskowania 0 stopni definiuje linię poziomą. Lista Kąt zawiera wartości kąta z przedziału od 0 do 360 stopni z odstępem co 15 stopni. Kąt dodatni obraca wzór w kierunku przeciwnym do ruchu wskazówek zegara.
  2. Lista Skala służy do określania wartości używanej do skalowania wzoru kreskowania.

    Lista Skala zawiera wartości z przedziału od 0.25 do 2 z odstępem co 0.25 jednostki (domyślnie jest to 1). Na przykład: 2 podwaja odległości we wzorze, a 0.25 zmniejsza pierwotne wymiary o 1/4.

    Uwaga: Wzory zdefiniowane przez użytkownika nie mogą być skalowane. Aby zmodyfikować odległości we wzorach zdefiniowanych przez użytkownika, należy użyć listy Odstępy.
  3. Jeśli wybrano typ Zdefiniowany przez użytkownika, w części Odstępy należy określić odległość pomiędzy liniami we wzorze kreskowania.

    Należy określić odległość w jednostkach rysunku (domyślnie jest to 1). Odstępy linii należy zmienić, aby dostosować proporcje wzoru dla określonych obszarów graficznych.
  4. Jeśli wybrano Wzór typu ISO, należy użyć listy Szerokość pióra ISO, aby wybrać szerokość pióra.
  5. Kliknąć Skala oparta o jednostki arkusza, aby dostosować jednostki do arkusza.

Aby ustawić punkt początkowy wzoru kreskowania, należy:

  • Określić punkt początkowy wzoru.

    Początek bieżącego rysunku: Zachowuje bieżący początek kreskowania (domyślnie).

    Lokalizacja zdefiniowana przez użytkownika    : Kliknąć Określ współrzędne Specify coordinates, aby określić punkt w obszarze graficznym, lub wybrać lokalizację z listy Użyj obwiedni. Aby zapisać określoną lokalizację, należy kliknąć Ustaw jako domyślne.

Aby ustawić obwiednie dla wzorów kreskowania, należy:

  • Wybrać metodę określania obwiedni.

    Wybierz elementy Specify entities: Pozwala wybrać elementy, które tworzą obwiednię.

    Określ punkty Specify points: Pozwala kliknąć punkty w zamkniętych obszarach w celu zdefiniowania obwiedni.

    Przebuduj obwiednię Rebuild boundary: Przywraca obwiednię po usunięciu (dostępne tylko podczas korzystania z polecenia EditHatch).

    Usuń elementy obwiedni Delete boundary entities: Usuwa obwiednie ze zbioru elementów, które tworzą obwiednie.

    Podświetl elementy obwiedni Highlight boundary entities: Wyświetla obwiednie w rysunku.

Aby dalej dostosować opcje wzoru kreskowania, należy:

  • Wybrać Zachowaj kreskowanie i powiązaną obwiednię, aby automatycznie aktualizować wzory kreskowania, jeżeli obwiednia kreskowania ulegnie zmianie (domyślnie).
  • Wybrać Utwórz kreskowanie dla każdej obwiedni, aby utworzyć oddzielne kreskowania o tych samych właściwościach w przypadku dodawania obwiedni kilku obszarów jednocześnie. Nie należy wybierać tej opcji, jeżeli wymagane jest jedno, połączone kreskowanie.
  • Użyj właściwości wybranego kreskowania, klikając Use properties i określając kreskowanie w rysunku.
  • Wybrać Położenie dla kreskowań w stosunku do ich obwiedni. Wybrać Przesuń na wierzch, Przesuń pod spód, Przesuń przed obwiednię, Przesuń za obwiednię(domyślnie) lub Nie przypisuj.

Kliknąć Dodatkowe opcje, aby zastosować dowolne z poniższych opcji:

  • Kliknąć Znajdź regiony wewnętrzne, aby wykryć wewnętrzne zamknięte obwiednie.
  • Kliknąć styl Wyświetlania kreskowania.

    Na zewnątrz Hatch outer: Tworzy wzory kreskowania tylko w skrajnych zewnętrznych obszarach.

    Wewnątrz/Na zewnątrz Hatch normal: Tworzy wzór kreskowania pomiędzy naprzemiennymi obszarami, poczynając od skrajnego zewnętrznego obszaru (domyślnie).

    Ignoruj Hatch ignore: Ignoruje wewnętrzną strukturę i kreskuje cały obszar. Linie kreskowania przechodzą przez tekst, atrybuty bloku i bryły 2D.

    Poniższy diagram ilustruje style Wewnątrz/Na zewnątrz, Na zewnątrz oraz Ignoruj.

  • Wybrać domyślne ustawienie Początek.

    Użyj bieżących: Wykorzystuje punkt początkowy dla kreskowania określonego przy użyciu bieżącego polecenia Hatch.

    Użyj źródła: Wykorzystuje początek istniejących kreskowań.
  • Określić Maksymalny rozmiar przerwy.
  • Wybrać z listy Grupa obwiedni.
  • Kliknąć Zachowaj obwiednie, aby zachować początkowy kontur zamknięty, który zwykle jest usuwany po utworzeniu kreskowania. Na liście Typ wybrać czy kontur obwiedni jest tworzony jako Polilinia, czy Region.

Dostęp

Polecenie: Hatch

Menu: Rysuj > Kreskowanie

Tematy pokrewne

-Hatch (wariant okna poleceń)

Tworzenie wypełnień kolorem gradientowym

Edytowanie kreskowań i wypełnień

Tworzenie obwiedni obszaru


Tworzenie wypełnień kolorem gradientowym

Polecenie FillArea służy do wypełniania zamkniętego obszaru lub określonych elementów kolorem jednolitym lub gradientowym. Podobnie jak kreskowania, wypełnienia kolorem dodają znaczenie do rysunków i pomagają rozróżnić materiały i obszary.

Aby utworzyć wypełnienie kolorem, należy:

  1. Wybrać Rysuj > Kreskuj/Wypełnij (lub wpisać FillArea).
  2. W oknie dialogowym Kreskuj/Wypełnij wybrać Wypełnienie.
  3. Skonfigurować Kolory gradientów, klikając Jeden kolor lub Dwa kolory, a następnie wybrać kolor, klikając [image] i stosując suwak Ciemny/Jasny.
  4. Uwaga: Aby utworzyć jednorodne wypełnienie, kliknąć Jeden kolor, a następnie wpisać 50 w polu obok suwaka Ciemny-Jasny.
  5. Wybrać styl gradientu koloru z listy Styl:
  7. Zaktualizować Orientację, ustawiając Kąt i opcjonalnie ustawiając opcję Symetryczny, aby zapewnić symetryczność wzoru wewnątrz obwiedni.
  8. Określić Ustawienia obwiedni.
    • Wybierz elementy Specify entities: Pozwala wybrać elementy, które tworzą obwiednię.
    • Określ punkty Specify points: Pozwala kliknąć punkty w zamkniętych obszarach w celu zdefiniowania obwiedni.
    • Przebuduj obwiednię Rebuild boundary: Przywraca obwiednię po usunięciu (dostępne tylko podczas korzystania z polecenia EditHatch).
    • Usuń elementy obwiedni Delete boundary entities: Usuwa obwiednie ze zbioru elementów, które tworzą obwiednie.
    • Podświetl elementy obwiedni Highlight boundary entities: Wyświetla obwiednie w rysunku.
  9. Dostosować Opcje.
    • Wybrać Zachowaj kreskowanie i powiązaną obwiednię, aby automatycznie aktualizować wzory kreskowania, jeżeli obwiednia kreskowania ulegnie zmianie (domyślnie).
    • Wybrać Utwórz kreskowanie dla każdej obwiedni, aby utworzyć oddzielne kreskowania o tych samych właściwościach w przypadku dodawania obwiedni kilku obszarów jednocześnie. Opcję tę należy wyłączyć, jeżeli wymagane jest jedno połączone kreskowanie.
    • Użyj właściwości wybranego kreskowania, klikając Use properties i określając kreskowanie w rysunku.
    • Wybrać Położenie dla kreskowań w stosunku do ich obwiedni. Wybrać Przesuń na wierzch, Przesuń pod spód, Przesuń przed obwiednię, Przesuń za obwiednię(domyślnie) lub Nie przypisuj.
  10. Temat Tworzenie kreskowań omawia Dodatkowe opcje.
  11. Kliknąć Podgląd, aby zobaczyć ustawienia koloru przed zastosowaniem.
  12. Kliknąć OK, aby zastosować ustawienia wypełnienia.

Dostęp

Polecenie: FillArea

Menu: Rysuj > Kreskuj/Wypełnij

Tematy pokrewne

Tworzenie kreskowań

Edytowanie kreskowań i wypełnień


Edytowanie kreskowań i wypełnień

Wzory kreskowania, wypełnienia jednolitym kolorem lub wypełnienia kolorem gradientowym można modyfikować. Można następnie dodawać kolejne elementy do zbioru elementów do kreskowania lub wypełnienia.

Aby edytować wzór kreskowania lub wypełnienie kolorem, należy:

  1. Wybrać Modyfikuj > Element > Kreskowanie (lub wprowadzić EditHatch).
  2. Określić istniejące kreskowanie.
  3. W oknie dialogowym Kreskuj/Wypełnij wybrać Kreskowanie, aby zaktualizować kreskowanie lub Wypełnienie, aby zaktualizować wypełnienie kolorem.

    Można również dodawać kolejne elementy do zbioru elementów do edytowania.

    Aby zamienić kreskowanie na wypełnienie lub na odwrót, należy kliknąć Kreskowanie albo Wypełnienie w oknie dialogowym Kreskuj/Wypełnij i wybrać wzór lub wypełnienie, które chcemy zastosować.

Dostęp

Polecenie: EditHatch

Menu: Modyfikuj > Element > Kreskowanie

Tematy pokrewne

Tworzenie kreskowań

Tworzenie wypełnień kolorem gradientowym

-EditHatch (wariant okna poleceń)


Praca z tekstem

Można dodawać tekst, aby opatrzyć rysunki szczegółowymi informacjami lub adnotacjami:

  • Praca ze stylami tekstu
  • Tworzenie notatek
  • Tworzenie prostych notatek
  • Modyfikowanie notatek
  • Edytowanie prostych notatek i adnotacji
  • Znajdowanie i zastępowanie tekstu
  • Sprawdzanie pisowni

Odpowiednie polecenia znajdują się na pasku narzędzi Tekst.


Praca ze stylami tekstu

Polecenie TextStyle służy do tworzenia, edytowania, uaktywniania i usuwania stylów tekstu w rysunkach.

Podczas dodawania notatek lub prostych notatek do rysunku wykorzystują one aktywny styl tekstu. Styl tekstu jest definiowany poprzez czcionkę, cechy kroju pisma i inne właściwości.

Można używać czcionek typu TrueType lub czcionek skompilowanego kształtu (typu .shx).

Polecenie TextStyle wczytuje czcionki z plików i dostosowuje je do wymogów rysunku.

Aby utworzyć style tekstu, należy:

  1. Kliknąć Format > Styl tekstu (lub wpisać TextStyle).
  2. W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tekstu
  3. Kliknąć Nowy.
  4. W oknie dialogowym Utwórz nowy styl tekstu, wpisać nową nazwę i kliknąć OK.
  5. Nowy styl tekstu pojawi się w części Styl.
  6. W części Tekst ustawić:
    • Czcionka: Wyszczególnia wszystkie zainstalowane czcionki TrueType dostarczone wraz z systemem operacyjnym według nazw rodzin czcionek. Czcionki typu .shx są wyszczególnione według nazwy pliku, w którym są przechowywane.
    • Format: Wyszczególnia formaty, które można zastosować do czcionki (na przykład Normalny, Kursywa, Pogrubienie, Pogrubiona kursywa dla czcionek TrueType). Podczas tworzenia stylu tekstu polecenie wyświetla domyślny styl czcionki, zależny od wybranej nazwy czcionki. Po dokonaniu zmian w nazwie domyślnej w części Styl nowa domyślna nazwa nie jest już sugerowana, a zmiany stają się nowymi ustawieniami domyślnymi.
    • Wysokość: Ustawia wysokość stylu tekstu w jednostkach rysunku. Wartość numeryczna ustawia stałą wysokość czcionki, której nie można zmieniać podczas wstawiania elementu tekstowego wykorzystującego wybraną Czcionkę. Ustawić Wysokość na 0.0, jeżeli zachodzi potrzeba zmieniania wysokości stylu tekstu.
    • Duża czcionka: Wyszczególnia wszystkie pliki zawierające duże czcionki, które są przechowywane w plikach .shx.
  7. W części Orientacja ustawić:
    • Wstecz: Wyświetla lustrzany obraz tekstu. Dotyczy SimpleNotes, nie Notatek.
    • Odwrócony: Wyświetla tekst odwrotnie. Dotyczy SimpleNotes, nie Notatek.
    • Pionowe: Wyrównuje tekst pionowo. Dotyczy SimpleNotes, nie Notatek. Opcja ta jest dostępna tylko dla plików czcionek *.shx obsługujących podwójną orientację.
    • Kąt: Definiuje pochylenie znaków w stosunku do linii poziomej (osi X). Wartości z przedziału od 0 do 84.90 skutkują pochyleniem w prawo (do przodu); wartości z przedziału od 0 do -84.9 skutkują pochyleniem w lewo (do tyłu).
    • Odstępy: Steruje szerokością znaków w stosunku do wysokości. Relacja ta jest nazywana współczynnikiem proporcji.
    • Ustawienia te można łączyć, aczkolwiek w niektórych przypadkach właściwości w kombinacji mogą zakłócać się nawzajem. Niektóre czcionki nie obsługują wszystkich opcji.

Obszar Podgląd wyświetla styl tekstu zdefiniowany przy użyciu określonej czcionki i parametrów. Można edytować tekst podglądu.

Aby edytować style tekstu, należy:

Po edycji stylu tekstu wszelkie istniejące elementy tekstowe, które wykorzystują ten styl, zostaną zaktualizowane, odzwierciedlając zmodyfikowany styl.

  1. Kliknąć Format > Styl tekstu (lub wpisać TextStyle).
  2. W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tekstu
  3. W części Styl wybrać styl tekstu.
  4. Lista Styl zawiera wszystkie style tekstu, które są zdefiniowane w rysunku. Nie można zmieniać nazwy stylu tekstu Standard, lecz można edytować jego ustawienia.
  5. Ustawić opcje w części Tekst i Orientacja.

Aby uaktywnić styl tekstu, należy:

Aktywny styl tekstu jest używany dla poleceń Note i SimpleNote.

  1. Kliknąć Format > Styl tekstu (lub wpisać TextStyle).
  2. W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tekstu
  3. W części Styl wybrać styl tekstu.
  4. Kliknąć Aktywuj.

Aby zmienić nazwę stylu tekstu, należy:

  1. Wybrać Format > Styl tekstu (lub wpisać TextStyle).
  2. W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tekstu
  3. W części Styl wybrać styl tekstu.
  4. Kliknąć Zmień nazwę.
  5. Wpisać nową nazwę w oknie dialogowym Zmień nazwę stylu tekstu i kliknąć OK.

Aby usunąć style tekstu, należy:

  1. Kliknąć Format > Styl tekstu (lub wpisać TextStyle).
  2. W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tekstu
  3. W części Styl wybrać styl tekstu.
  4. Kliknąć Usuń.

Nie można usuwać stylu tekstu, który jest aktualnie używany w rysunku.

Style tekstu są zapisywane wraz z plikiem rysunku tylko jako odniesienie do odpowiedniego pliku czcionki. Są one dostępne po każdym otwarciu rysunku, jeżeli odpowiedni plik czcionki istnieje w folderach programu.

Dostęp

Polecenie: Styl tekstu

Menu: Format > Styl tekstu

Tematy pokrewne

Tworzenie notatek

Tworzenie prostych notatek

Modyfikowanie notatek

Edytowanie prostych notatek i adnotacji


Tworzenie notatek

Polecenie Note pozwala wstawiać elementy tekstowe.

Notatki są sformatowanymi blokami tekstu w co najmniej dwóch wierszach.

Użyć podręcznego paska narzędzi Formatowanie notatek, aby zastosować opcje formatowania podczas wpisywania tekstu.

Aby utworzyć notatki, należy:

  1. Kliknąć Rysuj > Tekst > Notatka (lub wpisać Note).
  2. W obszarze graficznym określić pierwszy róg pola tekstowego.
  3. Uwaga: Pole tekstowe z grubsza umieszcza tekst, ale przede wszystkim określa długość wiersza. Jeżeli szerokość jest niewystarczająca, tekst jest zawijany do następnego wiersza.
  4. Określić przeciwny róg pola tekstowego lub określić opcję:
    • Kąt: Określa kąt wstawienia notatki.
    • Wysokość: Określa wysokość tekstu użytego w notatce.
    • Justowanie: Określa justowanie w polu tekstowym notatki (np. lewe górne wyrównanie LG). (Wyrównanie pionowe: G = góra, C = centrum, D = dół; wyrównanie poziome: L = lewa strona, S = środek, P = prawa strona).
    • Odstępy linii: Określa używany w notatce odstęp pomiędzy wierszami. Odstępy między wierszami jest to odległość w pionie między linią bazową wiersza tekstu i linią bazową następnego wiersza tekstu. Określić opcję:
      • Co najmniej. Ustawia minimalny odstęp pomiędzy wierszami wymagany do dopasowania największej czcionki w wierszu.
      • Dokładnie. Ustawia stały odstęp pomiędzy wierszami lub stały współczynnik. Aby rozmieścić wszystkie linie równomiernie w obrębie akapitu, użyć polecenia Dokładnie i określić ilość miejsca wystarczająco dużą do dopasowania największego znaku w wierszu.
    • Styl tekstu: Określa Styl tekstu.
    • Szerokość: Określa szerokość pola tekstowego.
  5. Wpisać tekst i sformatować go.
  6. W bieżącym położeniu w notatce pojawi się kursor [image].
  7. Użyć podręcznego paska narzędzi Formatowanie notatek zgodnie z potrzebami (patrz Korzystanie z podręcznego paska narzędzi Formatowanie notatek).
  8. Kliknąć prawym przyciskiem myszy, aby uzyskać dostęp do następujących opcji:
    • Import tekstu. Wstawia tekst z pliku tekstowego ASCII (*.txt) lub pliku Rich Text Format (*.rtf).
    • Połącz akapity. Scala zaznaczone akapity w jeden.
    • Usuń formatowanie. W odniesieniu do zaznaczonego tekstu są dostępne opcje Usuń formatowanie znaków, Usuń formatowanie akapitów i Usuń całe formatowanie.
    • Wklejanie specjalne. Dostępne są tu następujące opcje wklejania ze schowka: Wklej bez formatowania znaków, Wklej bez formatowania akapitów i Wklej bez żadnego formatowania. Aby wkleić tekst z ze schowka z zachowaniem formatowania, kliknąć Wklej w menu podręcznym.
    • Uwaga: Inne opcje menu podręcznego są dostępne na podręcznym pasku narzędzi Formatowanie notatek.

Aby wypełnić wskazaną przestrzeń w polu tekstowym i zawijać tekst według potrzeb, należy kontynuować wpisywanie w wierszu poza wizualnym zakresem pola tekstowego.

^ Góra strony

Korzystanie z podręcznego paska narzędzi Formatowanie notatki

Użyć podręcznego paska narzędzi Formatowanie notatek, aby edytować i formatować Notatki, Inteligentne linie wiodące i Linie wiodące.

Aby otworzyć podręczny pasek narzędzi Formatowanie notatki, należy:

  • Podczas wpisywania notatki kliknąć prawym przyciskiem myszy i wybrać Ustawienia edytora > Pokaż pasek narzędzi.

Aby sformatować tekst przy użyciu podręcznego paska narzędzi Formatowanie notatki, należy:

  • Określić opcje według potrzeb:
    1. StylTekstu [image]: Określa Styl tekstu.
    2. Czcionka tekstu [image]: Określa krój przy użyciu pliku SHX lub pliku True Type Font. Pliki SHX są zainstalowane w systemie. Ponadto można użyć dowolnej czcionki True Type Font zainstalowanej na komputerze.
    3. Wysokość tekstu [image]: Określa wysokość tekstu dla tekstu późniejszego lub wybranego. Wybrać wartość z listy lub wpisać wartość. Wysokość tekst jest odległością od linii podstawowej do regularnej linii glifu litery wielkiej na górze (linia zamknięcia) i jest również znana jako wysokość zamknięcia.
    4. Pogrubienie [image]: Określa pogrubienie dla tekstu późniejszego lub wybranego. Ma zastosowanie tylko z czcionkami True Type Font.
    5. Kursywa [image]: Określa kursywę dla tekstu późniejszego lub wybranego. Ma zastosowanie tylko z czcionkami True Type Font.
    6. Podkreślenie [image]: Określa podkreślenie dla tekstu późniejszego lub wybranego.
    7. Nadkreślenie [image]: Określa nadkreślenie dla tekstu późniejszego lub wybranego.
    8. Przekreślenie [image]: Określa formatowanie dla tekstu późniejszego lub wybranego (rysuje linię przez środek tekstu).
    9. Połóż/zdejmij ze stosu [image]: Układa lub cofa ułożenie wybranego tekstu reprezentującego ułamki i tolerancje. Szczegółowe informacje na ten temat przedstawiono w temacie Używanie tekstu ułożonego w notatkach.
    10. Kolor linii [image]: Określa kolor dla tekstu późniejszego lub wybranego.
    11. Linijka: Wyświetla linijkę w górnej części pola tekstowego.
    12. Wstaw pole [image]: Wstawia Pole w miejscu kursora.
    13. Dodatkowe opcje [image]: W menu wybrać opcję:
      • Znajdź i zastąp: Umożliwia wyszukiwanie ciągów tekstowych i ich zastępowanie.
      • AutoCAPS: Tworzy nowy tekst dużymi literami. Aby zmienić wielkość liter istniejącego tekstu, należy zaznaczyć tekst, a następnie kliknąć prawym przyciskiem myszy i kliknąć polecenie Zmień wielkość liter. Polecenie AutoCAPS nie działa w przypadku istniejącego tekstu.
      • Zestaw znaków: Określa stronę kodową, aby zastosować do zaznaczonego tekstu.
      • Ustawienia edytora: Określić opcje:
        • Zawsze wyświetlaj jako WYSIWYG: Steruje wyświetlaniem tekstu podczas jego edycji.
          • Gdy opcja jest zaznaczona, tekst wyświetla się zgodnie ze zdefiniowanym rozmiarem i kątem wstawienia.
          • Gdy zaznaczenie jest usunięte, tekst bardzo mały, bardzo duży lub obrócony i trudny do odczytania wyświetlana jest w czytelnej wielkości i położeniu poziomym, dzięki czemu można go łatwo odczytać.
        • Pokaż pasek narzędzi: Pokazuje lub ukrywa podręczny pasek narzędzi Formatowanie notatki.
        • Kolor podświetlenia tekstu: Określa kolor tła do zaznaczania tekstu.
      • Maska tła: Określa kolor tła nieprzezroczystego za notatką.
    14. Cofnij [image]: Usuwa poprzednio edytowany lub formatowany tekst.
    15. Ponów [image]: Przywraca stan przed użyciem Ponów.
    16. Kopiuj [image]: Kopiuje podświetlony tekst do schowka.
    17. Wytnij [image]: Usuwa podświetlony tekst i kopiuje go do schowka.
    18. Wklej [image]: Wstawia tekst ze schowka w miejscu położenia kursora.
    19. Wielka litera [image]: Zmienia wielkość liter podświetlonego tekstu na wielkie litery.
    20. Mała litera [image]: Zmienia wielkość liter podświetlonego tekstu na małe litery.
    21. Odstępy linii [image]: Zmienia odstępy pomiędzy wierszami tekstu. Współczynnik odstępu pomiędzy wierszami ma zastosowanie do całej notatki. W menu wybrać opcję:
      • 1,0, 1,5, 2,0, 2,5 lub 3,0: Ustawia odstępy pomiędzy wierszami według jednej z tych wartości.
      • Opcje akapitu: Wyświetla okno dialogowe Opcje akapitu umożliwiające określenie wyrównania akapitu, wcięć, odstępów między wierszami i ustawień tabulacji w jednej operacji.
      • Dodaj spację przed akapitem / Usuń spację przed akapitem: Dodaje lub usuwa odstęp przed akapitem. Ustawić odpowiednią wartość dla odstępu przed akapitami w oknie dialogowym Opcje akapitu.
      • Dodaj spację za akapitem / Usuń spację za akapitem: Dodaje lub usuwa odstęp za akapitem. Ustawić odpowiednią wartość dla odstępu za akapitami w oknie dialogowym Opcje akapitu.
    22. Wyrównanie akapitu [image]: Zmienia poziome wyrównanie akapitów (tekst wyrównany do lewej, tekst wyśrodkowany, tekst wyrównany do prawej lub tekst wyjustowany, czyli równo rozłożony pomiędzy lewym a prawym marginesem).
    23. Punktory i listy [image]: Tworzy dla tekstu późniejszego lub wybranego listy punktowane, listy numerowane lub listy literowe (wielkie i małe litery) lub wyłącza właściwość listy.
    24. Wyrównanie [image]: Ustawia justowanie i wyrównanie w odniesieniu do punktu wstawienia notatki.
    25. Wstaw symbol [image]: Wstawia symbol (stopnie, plus / minus, średnica i inne symbole oraz znaki, takie jak spacje bez zerwania) w miejsce kursora.
    26. Kąt nie będący wielokrotnościa prostego [image]: Określa nachylenie znaków w odniesieniu do linii bazowej tekstu. Dodatnia wartość kąta nie będącego wielokrotnością prostego pochyla tekst w prawo, ujemna wartość tego kąta pochyla tekst w lewo (w zakresie od 85 do -85).
    27. Śledzenie współczynnika [image]: Zwiększa (> 1,0) lub zmniejsza (< 1,0) odległość między znakami.
    28. Współczynnik szerokości [image]: Określa rozszerzenie (> 1,0) lub zwężenie (< 1,0) szerokości znaków tekstu.
    29. Pomoc [image]: Wyświetla temat pomocy.
    30. OK [image]: Kończy tworzenie notatki.

Uwaga: Za pomocą polecenia NoteOptions można określić, czy proste notatki mają być edytowane na miejscu, czy w oknie poleceń.

^ Góra strony

Korzystanie z linijki formatowania notatki

Użyć linijki formatowania notatki do ustawienia wcięć akapitów i znaków tabulacji dla notatek.

Linijka pojawia się razem z podręcznym paskiem narzędzi Formatowanie notatek. Jest umieszczana na górze ramki ograniczającej notatki.

Domyślnie przy rozpoczynaniu nowej notatki nie ma wcięcia akapitu ani znaków tabulacji na linijce.

Wcięcia akapitu i ustawienia znaków tabulacji wybrane przed rozpoczęciem wprowadzania tekstu odnoszą się do całej notatki. Podczas pisania lub edycji umieścić kursor w obrębie akapitu do sformatowania lub zaznaczyć kilka akapitów, aby ustawić wcięcia akapitu i znaki tabulacji.

W tym przykładzie pokazano ustawienie wcięcia pierwszego wiersza, wcięcia po lewej stronie, wcięcia po prawej stronie i dwie pozycje znaków tabulacji:

Aby ustawić wcięcia akapitów:

  1. Umieścić kursor w obrębie akapitu do sformatowania lub zaznaczyć kilka akapitów.
  2. Na linijce do formatowania notatki przesunąć znaczniki wcięcia:
    • Przesunąć znacznik wcięcia ( [image]) Pierwsza linia w miejsce, w którym ma się rozpoczynać pierwszy wiersz akapitu.
    • Przesunąć znacznik wcięcia ( [image]) Lewa strona z lewej strony w miejsce, w którym mają się rozpoczynać drugi i wszystkie następne wiersze akapitu (określa się to też mianem wcięcia zawieszonego).
    • Przesunąć znacznik wcięcia ( [image]) Prawa strona z prawej strony w miejsce, w którym mają się kończyć wszystkie wiersze akapitu.
  3. Ustawienia wcięcia zostaną zachowane w kolejnych akapitach podczas wpisywania.

Aby ustawić znaki tabulacji:

  1. Umieścić kursor w obrębie akapitu do sformatowania lub zaznaczyć kilka akapitów.
  2. Klikać selektor ustawień znaków tabulacji na lewym końcu linijki, aż pojawi się żądany typ tabulacji:
    • Lewa strona ( [image]): Ustawia pozycję początkową dla późniejszego tekstu. Tekst pojawi się podczas wpisywania po prawej stronie.
    • Środek ( [image]): Ustawia pozycję środkową tekstu. Tekst skupia się na tej pozycji podczas wpisywania.
    • Prawa strona ( [image]): Ustawia pozycję początkową dla późniejszego tekstu. Tekst pojawi się podczas wpisywania po lewej stronie.
    • Dziesiętne ( [image]): Wyrównane będą separatory dziesiętne. Niezależnie od liczby cyfr separator dziesiętny pozostanie w tej samej pozycji. Można wyrównać cyfry wokół tego samego typu znaku: kropki, przecinka lub spacji.
  3. Kliknąć linijkę w miejscu, gdzie ma zostać umieszczony znak tabulacji.
  4. Podczas klikania lub przeciągania znaków tabulacji pojawiają się etykietki narzędzi pokazujące ich dokładną pozycję, licząc od lewej strony (w jednostkach rysunku).
  5. W razie potrzeby powtórzyć powyższe kroki.

Uwaga: Jeżeli zostanie zaznaczonych wiele akapitów, na linijce pojawią się tylko znaki tabulacji dla pierwszego akapitu.

Aby zmienić ustawienie znaków tabulacji:

  • Przeciągnąć istniejące znak tabulacji w lewo lub w prawo wzdłuż linijki.

Aby usunąć znaki tabulacji:

  • Przeciągnąć znak tabulacji w górę lub w dół linijki. Po zwolnieniu przycisku myszy znak tabulacji zniknie.

Aby ustawić wcięcia akapitów i znaki tabulacji za pomocą okna dialogowego Opcje akapitu:

  • Kliknąć dwukrotnie linijkę.
  • Zostanie otwarte okno dialogowe Opcje akapitu. Należy pamiętać, że znak tabulacji został utworzony w miejscu kliknięcia.

Uwaga: Jeżeli pozioma linijka biegnąca wzdłuż górnej części dokumentu jest niewidoczna, kliknąć Linijka na podręcznym pasku narzędzi Formatowanie notatek.

^ Góra strony


Formatowanie akapitów tekstu w notatkach

Okno dialogowe Opcje akapitu pozwala ustawić wyrównanie akapitu, odstęp pomiędzy wierszami, wcięcia i znaki tabulacji dla Notatek.

Pojawia się ono również podczas edytowania tekstu dla Inteligentnej linii wiodącej lub Linii wiodącej.

W tym temacie omówiono następujące zagadnienia:

  • Ustawianie wyrównania akapitu, wcięć i odstępu pomiędzy wierszami
  • Ustawianie znaków tabulacji

Ustawianie wyrównania akapitu, wcięć i odstępu pomiędzy wierszami

Aby sformatować akapity tekstu:

  1. Podczas edytowania notatek umieścić wskaźnik w obrębie akapitu do sformatowania lub zaznaczyć kilka akapitów.
  2. Kliknąć Odstępy linii [image] > Opcje akapitu.
  3. W oknie dialogowym skonfigurować opcje akapitu:
    • W obszarze Wyrównanie ustawić jedną z poniższych opcji wyrównania akapitu:
      • Brak. Ustawia brak wyrównania dla poszczególnych akapitów. Wykorzystuje te ustawienia wyrównania dla całego elementu notatki.
      • Do ustawienia wyrównania dla całych notatek służy narzędzie [image] Wyrównanie dostępne na podręcznym pasku narzędzi Formatowanie notatek. Określa ono justowanie i wyrównanie w odniesieniu do punktu wstawienia do notatki. Wyrównanie akapitu ma pierwszeństwo przed wyrównaniem notatki.
      • Lewa strona Wyrównuje akapity do lewej strony ( [image]). Lewa krawędź akapitu będzie się stykać z lewym marginesem.
      • Środek: Wyrównuje akapity do środka ( [image]).
      • Prawa strona: Wyrównuje akapity do prawej strony ( [image]). Prawa krawędź akapitu będzie się stykać z prawym marginesem.
      • Wyrównanie: Justuje akapit ( [image]), czyli sprawia, że jest on równo rozłożony pomiędzy lewym a prawym marginesem. Ostatni wiersz tekstu w akapicie może być krótszy niż inne wiersze.
    • W obszarze Wcięcia ustawić wcięcia akapitu (wszystkie wartości są określone w jednostkach rysunku):
      • Lewa strona Ustawia lewe wcięcie dla całego akapitu.
      • Prawa strona: Ustawia prawe wcięcie dla całego akapitu.
      • Pierwszy wiersz: Ustawia dodatkowe wcięcie dla pierwszego wiersza akapitu. Wartość może być dodatnia, ujemna lub zerowa względem lewego wcięcia.
    • W obszarze Odstępy ustawić opcje odstępów pomiędzy akapitami i odstępów pomiędzy wierszami.
      • Przed: Ustawia dodatkowy odstęp przed akapitem.
      • Po: Ustawia dodatkowy odstęp za akapitem.
      • Odstępy linii: Zmienia odstępy pomiędzy wierszami tekstu. Współczynnik odstępu pomiędzy wierszami ma zastosowanie do zaznaczonych akapitów. W menu wybrać opcję:
        • 1,0, 1,5 lub 2,0: Ustawia odstępy pomiędzy wierszami według jednej z tych wartości.
        • Co najmniej. Ustawia minimalny odstęp pomiędzy wierszami wymagany do dopasowania największej czcionki w wierszu.
        • Dokładnie. Ustawia stały odstęp pomiędzy wierszami lub stały współczynnik. Aby rozmieścić wszystkie linie równomiernie w obrębie akapitu, użyć polecenia Dokładnie i określić ilość miejsca wystarczająco dużą do dopasowania największego znaku w wierszu.
        • Wiele: Ustawia odstępy pomiędzy wierszami, które mogą być wyrażone w wartościach liczbowych większych niż 1. Na przykład ustawienie odstępu pomiędzy wierszami na wartość 1,2 zwiększy odstęp o 20 procent, a ustawienie odstępu pomiędzy wierszami na wartość 2 podwoi odstęp.
      • Przy: Ustawia wartość odstępów pomiędzy poszczególnymi wierszami w zaznaczonych akapitach:
        • W przypadku wybrania opcji Co najmniej lub Dokładnie określić wartość w jednostkach rysunku.
        • W przypadku wybrania opcji Wiele podać współczynnik w zakresie od 0,25 do 4,00.
    • W obszarze Tabulacja ustawić znaki tabulacji:
      • Patrz Ustawianie znaków tabulacji.
  4. Kliknąć OK.

Za pomocą Linijki formatowania notatki ustawić wcięcia. Kliknąć dwukrotnie linijkę, aby wyświetlić okno dialogowe Opcje akapitu.

^ Góra strony

Ustawianie znaków tabulacji

Aby ustawić znaki tabulacji:

  1. Podczas edytowania notatek umieścić wskaźnik w obrębie akapitu do sformatowania lub zaznaczyć kilka akapitów.
  2. Kliknąć Odstępy linii [image] > Opcje akapitu.
  3. W oknie dialogowym, w obszarze Tabulacja, ustawić znaki tabulacji:
    1. Wybrać typ znaków tabulacji:
      • Lewa strona ( [image]): Ustawia pozycję początkową dla późniejszego tekstu. Tekst pojawi się podczas wpisywania po prawej stronie.
      • Środek ( [image]): Ustawia pozycję środkową tekstu. Tekst skupia się na tej pozycji podczas wpisywania.
      • Prawa strona ( [image]): Ustawia pozycję początkową dla późniejszego tekstu. Tekst pojawi się podczas wpisywania po lewej stronie.
      • Dziesiętne ( [image]): Wyrównane będą separatory dziesiętne. Niezależnie od liczby cyfr separator dziesiętny pozostanie w tej samej pozycji. Można wyrównać cyfry wokół tego samego typu znaku: kropki, przecinka lub spacji.
    2. Ustawić względną pozycję Znaku tabulacji od lewego marginesu tekstu, mierzoną w jednostkach rysunku.
    3. W przypadku wybrania opcji znaków tabulacji Dziesiętnej ustawić Styl dziesiętny tabulacji: Kropka, Przecinek lub Spacja.
    4. Kliknąć Dodaj.
    5. Znak tabulacji pojawi się na liście.
    6. W razie potrzeby powtórzyć kroki od a do d.
  4. Kliknąć OK.

Aby usunąć znaki tabulacji:

  1. Podczas edytowania notatek umieścić wskaźnik w obrębie akapitu do sformatowania lub zaznaczyć kilka akapitów.
  2. Kliknąć Odstępy linii [image] > Opcje akapitu.
  3. W oknie dialogowym, w obszarze Tabulacja, wybrać żądaną pozycję z listy znaków tabulacji.
  4. Kliknąć Usuń.
  5. - lub -
  6. Kliknąć Usuń wszystko aby usunąć wszystkie znaki tabulacji.
  7. Kliknąć OK.

Za pomocą Linijki formatowania notatki ustawić lub usunąć znaki tabulacji. Kliknąć dwukrotnie linijkę, aby wyświetlić okno dialogowe Opcje akapitu.

^ Góra strony

Powiązane polecenia

Note, SmartLeader, Leader


Używanie tekstu ułożonego w notatkach

Reprezentujący ułamki i tolerancje tekst w Notatkach, Inteligentnych liniach wiodących i Liniach wiodących można ułożyć.

Znaki numeryczne rozdzielone przez krzyżyk, ukośnik lub karetę można konwertować na tekst reprezentujący ułamki i tolerancje:

  • Znak krzyżyka (#) układa tekst ukośnie, rozdzielony za pomocą linii ukośnej. Na przykład [image] staje się [image].
  • Ukośnik (/) układa tekst pionowo, rozdzielony linią poziomą. Na przykład [image] staje się [image].
  • Kareta (^) układa tekst pionowo, ale nie jest on rozdzielony linią. Tego rodzaju tekst ułożony przedstawia zazwyczaj tolerancję. Na przykład [image] staje się [image].

Narzędzia do tworzenia i modyfikowania tekstu ułożonego obejmują:

  • Okno dialogowe Właściwości stosu . Pozwala na kontrolowanie tekstu, pozycji wyrównania, względnej skali i typu tekstu ułożonego.
  • Okno dialogowe Ustawienia domyślne AutoStosu. Stosuje ustawienia domyślne, aby automatycznie ułożyć tekst podczas wpisywania.
  • Polecenie StackOptions Określa wyrównanie i rozmiar tekstu ułożonego.
  • Narzędzie Połóż/zdejmij ze stosu na podręcznym pasku narzędzi Formatowanie notatek. Układa lub cofa ułożenie wybranego tekstu reprezentującego ułamki i tolerancje.


Konfigurowanie właściwości ułożenia w notatkach

Okno dialogowe Właściwości stosu pozwala zmienić wygląd tekstu ułożonego w Notatkach, Inteligentnych liniach wiodących i Liniach wiodących.

W adnotacjach ułamki i tolerancje są przedstawiane w formie tekstu ułożonego.

Można kontrolować tekst, pozycję wyrównania, względną skalę i typ tekstu ułożonego.

Konfigurowanie właściwości ułożenia w notatkach:

  1. Kliknąć prawym przyciskiem myszy wystąpienie tekstu ułożonego i wybrać Właściwości stosu.
  2. W oknie dialogowym kliknąć Właściwości.
  3. W razie potrzeby dokonać edycji Licznika i Mianownika.
  4. Jeżeli tekst ułożony zawiera tolerancję, wprowadzić znak plus tolerancji w Liczniku i minus tolerancji w Mianowniku.
  5. W polu Pozycja określić wyrównanie ułamków i tolerancji:
    • Góra. Wyrównuje linię bazową ułamków lub tolerancji z linią bazową tekstu.
    • Środek. Wyrównuje ułamki lub tolerancje do środka. Jest to ustawienie domyślne.
    • Dół. Wyrównuje górne części ułamków lub tolerancji do wysokości zamknięcia (wysokość górnej linii z wielkimi literami).
  6. Uwaga: Wyrównanie pozycji dotyczy tekstu ułożonego w całej notatce.
  7. W polu Skala należy określić rozmiar ułamków lub tolerancji jako procent rozmiaru bieżącego stylu tekstu w zakresie 25–125%.
  8. W polu Typ określić typ tekstu ułożonego:
    • Ułamek (Poziomo). Licznik i mianownik będą oddzielone linią poziomą.
    • Ułamek (Ukośnie). Licznik i mianownik będą oddzielone linią ukośną.
    • Tolerancja. Tekst zostanie ułożony jako tolerancja bez linii pomiędzy liczbami.
    • Dziesiętne. Tekst zostanie ułożony jako tolerancja bez linii pomiędzy liczbami; wyrównane będą separatory dziesiętne obu liczb.
  9. W widoku Podgląd można obejrzeć wygląd wynikowego tekstu ułożonego.
  10. Aby skonfigurować opcje automatycznego układania tekstu, kliknąć AutoStos. Patrz Konfigurowanie opcji automatycznego ułożenia notatek.
  11. Kliknąć OK.

Można również użyć polecenia StackOptions służącego do ustawiania wyrównania pozycji i względnej wielkości tekstu ułożonego. Patrz Konfigurowanie opcji ułożenia.

Powiązane polecenia

Note, SmartLeader, Leader, StackOptions


Ustawienia domyślne automatycznego ułożenia notatek

Okno dialogowe Ustawienia domyślne AutoStosu służy do konfigurowania ustawień domyślnych automatycznego ułożenia tekstu reprezentującego ułamki i tolerancje w Notatkach, Inteligentnych liniach wiodących i Liniach wiodących.

To okno dialogowe jest otwierane automatycznie podczas wprowadzania znaków numerycznych rozdzielonych przez krzyżyk (#), ukośnik (/) lub karetę (^) (patrz Używanie tekstu ułożonego w notatkach).

Aby skonfigurować ustawienia domyślne automatycznego ułożenia notatek:

  1. Podczas edytowania notatki wprowadzić ułamek lub tolerancję w postaci „x/y”, „x#y” lub „x^y” (gdzie x jest licznikiem, a y mianownikiem), po czym dodać za ciągiem spację lub znak nieliczbowy.
  2. W oknie dialogowym zaznaczyć lub usunąć zaznaczenie opcji Ułamki i tolerancje stosu automatycznie, aby określić, czy tekst ułożony ma być tworzony automatycznie podczas wpisywania.
  3. Wybrać Usuń poprzedzające puste miejsce, aby usunąć odstępy pomiędzy liczbą całkowitą a ułamkiem lub tolerancją.
  4. W obszarze "x/y" połóż na stosie jako określić, czy konwersja tekstu ułożonego w formacie x/y (gdzie ukośnik oddziela licznik i mianownik) ma być przeprowadzana do Ułamka dziesiętnego, czy do Ułamka poziomego.
  5. Zaznaczyć opcję Wyświetl automatycznie okno dialogowe ustawień domyślnych automatycznego ułożenia podczas wpisywania, aby podczas wpisywania tekstu ułożonego było zawsze widoczne okno dialogowe Ustawienia domyślne AutoStosu. W przeciwnym razie to okno dialogowe będzie wyświetlane automatycznie, a do późniejszego tekstu ułożonego stosowane będą ustawienia domyślne.
  6. Kliknąć OK.

Aby skonfigurować ustawienia domyślne automatycznego ułożenia notatek w sytuacji, gdy funkcja automatycznego ułożenia jest wyłączona:

  1. Kliknąć prawym przyciskiem myszy wystąpienie tekstu ułożonego i wybrać Właściwości stosu.
  2. Kliknąć AutoStos.
  3. Skonfigurować opcje zgodnie z powyższym opisem.
  4. Kliknąć OK.

Określanie właściwości tekstu ułożonego omówiono w części Konfigurowanie właściwości ułożenia w notatkach.

Powiązane polecenia

Note, SmartLeader, Leader, StackOptions


Konfigurowanie opcji ułożenia

Polecenie StackOptions służy do:

  • Określenia pionowego wyrównania tekstu ułożonego.
  • Określenia wysokości ułamka tekstu ułożonego względem normalnej wysokości tekstu.

Tekst ułożony jest stosowany do przedstawiania ułamków i tolerancji.

Tekst ułożony można zastosować przy użyciu poleceń Note, SmartLeader i Leader.

Konfigurowanie opcji ułożenia:

  1. Wpisać StackOptions w wierszu poleceń.
  2. Określić opcję Wyrównanie.
  3. Skonfigurować opcję pionowego wyrównania tekstu ułożonego.
    • Góra. Wyrównuje linię bazową ułamków lub tolerancji z linią bazową tekstu.
    • Środek. Wyrównuje ułamki lub tolerancje do środka.
    • Dół. Wyrównuje górne części ułamków lub tolerancji do wysokości zamknięcia.
  4. Określić opcję Rozmiar.
  5. Podać rozmiar tekstu ułożonego jako procent rozmiaru bieżącego stylu tekstu w zakresie wartości 25–125%. Domyślna wartość to 70.

Dostęp

Polecenie: StackOptions

Powiązane polecenia

Note, SmartLeader, Leader


Tworzenie prostych notatek

Można tworzyć wiersze tekstu w dowolnym miejscu, o dowolnym justowaniu, orientacji, wysokości i stylu tekstu.

Użyć podręcznego paska narzędzi Formatowanie prostej notatki, aby zastosować opcje formatowania podczas wpisywania tekstu.

Aby utworzyć proste notatki, należy:

  1. Kliknąć Rysuj > Tekst > Prosta notatka (lub wpisać SimpleNote).
  2. W obszarze graficznym określić położenie początkowe pierwszego wiersza tekstu.
  3. - lub -
  4. Nacisnąć Enter, aby kontynuować wpisywanie tekstu poniżej ostatnio wprowadzonego wiersza tekstu dla prostych notatek, które już istnieją na rysunku.
  5. - lub -
  6. Określić opcję Ustawienia (patrz poniżej)
  7. Określić wysokość tekstu.
  8. Określić kąt wstawienia tekstu.
  9. Kursor tekstu [image] wyświetla się w obszarze graficznym.
  10. Wpisać tekst w wierszu.
  11. Użyć podręcznego paska narzędzi Formatowanie prostej notatki zgodnie z potrzebami (patrz Korzystanie z podręcznego paska narzędzi Formatowanie prostej notatki).
  12. Nacisnąć Enter, aby wpisać drugą linię tekstu. Można wprowadzić dowolną liczbę kolejnych linii.
  13. Nacisnąć Enter dwa razy, aby zakończyć polecenie.

Aby utworzyć Prostą notatkę z określonymi ustawieniami, należy:

  1. Kliknąć Rysuj > Tekst > Prosta notatka (lub wpisać SimpleNote).
  2. Określić opcję Ustawienia.
  3. W obszarze Orientacja wstawienia okna dialogowego ustawić pozycję i wyrównanie wierszy tekstu względem punktu wstawienia.
  4. W obszarze Opcje ustawić:
    • Styl: Definiuje styl tekstu. Kliknąć Styl tekstu [image], aby utworzyć nowy styl tekstu.
    • Wysokość: Określa rozmiar tekstu.
    • Kąt: Określa kąt wstawienia.
  5. Kliknąć OK.
  6. W obszarze graficznym określić położenie początkowe pierwszego wiersza tekstu.
  7. Kursor tekstu [image] wyświetla się w obszarze graficznym.
  8. Wpisać tekst, aby dodać do rysunku.
  9. Użyć podręcznego paska narzędzi Formatowanie prostej notatki zgodnie z potrzebami (patrz Korzystanie z podręcznego paska narzędzi Formatowanie prostej notatki).

Uwaga: Polecenie NoteOptions określa, czy proste notatki mają być edytowane na miejscu, czy w oknie dialogowym.

Korzystanie z podręcznego paska narzędzi Formatowanie prostej notatki

Użyć podręcznego paska narzędzi Formatowanie prostej notatki, aby edytować i formatować Proste notatki.

Inaczej niż w przypadku Notatek, opcje formatowania mają zastosowanie do całej prostej notatki (z wyłączeniem opcji Kopiuj, Wytnij, Wielkie litery i Małe litery, gdzie formatowany jest tekst podświetlony).

Aby otworzyć podręczny pasek narzędzi Formatowanie prostej notatki, należy:

  • Podczas wpisywania Prostej notatki kliknąć prawym przyciskiem myszy i kliknąć Ustawienia edytora > Pokaż pasek narzędzi.

Aby sformatować tekst przy użyciu podręcznego paska narzędzi Formatowanie prostej notatki, należy:

  • Określić opcje według potrzeb:
    1. Styl tekstu [image]: Określa Styl tekstu.
    2. Wysokość tekstu [image]: Określa wysokość tekstu w wierszach.
    3. Kąt tekstu [image]: Określa kąt wstawienia tekstu w wierszach.
    4. Kolor linii [image]: Określa kolor Prostej notatki.
    5. Wstaw pole: : Wstawia Pole w miejscu kursora.
    6. Więcej opcji [image]: W menu wybrać opcję:
      • Znajdź i zastąp: Umożliwia wyszukiwanie ciągów tekstowych i ich zastępowanie.
      • Ustawienia edytora: Określić opcje:
        • Zawsze wyświetlaj jako WYSIWYG: Steruje wyświetlaniem tekstu podczas jego edycji.
          • Gdy opcja jest zaznaczona, tekst wyświetla się zgodnie ze zdefiniowanym rozmiarem i kątem wstawienia.
          • Gdy zaznaczenie jest usunięte, tekst bardzo mały, bardzo duży lub obrócony i trudny do odczytania wyświetlana jest w czytelnej wielkości i położeniu poziomym, dzięki czemu można go łatwo odczytać.
        • Pokaż pasek narzędzi: Pokazuje lub ukrywa podręczny pasek narzędzi Formatowanie prostej notatki.
        • Kolor podświetlenia tekstu: Określa kolor tła do zaznaczania tekstu.
    7. Cofnij [image]: Usuwa poprzednio edytowany lub formatowany tekst.
    8. Ponów [image]: Przywraca stan przed użyciem Ponów.
    9. Kopiuj [image]: Kopiuje podświetlony tekst do schowka.
    10. Wytnij [image]: Usuwa podświetlony tekst i kopiuje go do schowka.
    11. Wklej [image]: Wstawia tekst ze schowka
    12. Wielka litera [image]: Zmienia wielkość liter podświetlonego tekstu na wielkie litery.
    13. Mała litera [image]: Zmienia wielkość liter podświetlonego tekstu na małe litery.
    14. Wyrównanie [image]: Ustawia justowanie i wyrównanie w odniesieniu do punktu wstawienia Prostej notatki.
    15. Kąt nie będący wielokrotnościa prostego [image]: Określa nachylenie znaków w odniesieniu do linii bazowej tekstu.
    16. Współczynnik szerokości [image]: Określa rozszerzenie (> 1,0) lub zwężenie (< 1,0) szerokości znaków tekstu.
    17. Pomoc [image]: Wyświetla temat pomocy.
    18. OK [image]: Kończy tworzenie Prostej notatki.

Uwaga: Polecenie NoteOptions określa, czy proste notatki mają być edytowane na miejscu, czy w oknie dialogowym.


Edytowanie prostych notatek i adnotacji

Polecenie EditAnnotation pozwala edytować różne typy elementów tekstowych: notatki, proste notatki, tekst wymiarów, adnotacje linii wiodących, atrybuty bloków i definicje atrybutów bloków.

Aby edytować tekst lub adnotacje, należy:

  1. Kliknąć Modyfikuj > Element > Adnotacja (lub wpisać EditAnnotation).
  2. W obszarze graficznym wybrać element tekstowy.
  3. W zależności od typu wybranego elementu adnotacji lub tekstu, polecenie wyświetla odpowiednie okno dialogowe edycji. Jeżeli wybrany element:
    • został utworzony przy użyciu polecenia SimpleNote, to tekst należy edytować w miejscu, korzystając z podręcznego paska narzędzi Formatowanie prostej notatki do formatowania.
    • został utworzony przy użyciu polecenia Note, to tekst należy edytować w miejscu, korzystając z podręcznego paska narzędzi Formatowanie notatki do formatowania.
    • jest definicją atrybutu utworzoną przy użyciu polecenia MakeBlockAttribute, jest on edytowany w oknie dialogowym Edytuj atrybut bloku.
    • jest blokiem z atrybutami, które można edytować przy użyciu polecenia EditBlockAttribute, jest on edytowany w oknie dialogowym Edytuj wartości atrybutu bloku.
    • jest linią wiodącą utworzoną przy użyciu polecenia Leader lub SmartLeader, jest on edytowany w oknie dialogowym Edytuj notatkę.
    • jest wymiarem, tekst wymiaru jest edytowany w oknie dialogowym Edytuj notatkę.

Polecenie NoteOptions służy do ustalenia, czy edytować polecenia Note i SimpleNotes w miejscu czy w oknie dialogowym.

Dostęp

Polecenie: EditAnnotation

Menu: Modyfikuj > Element > Adnotacja

Tematy pokrewne

Modyfikowanie notatek

Praca ze stylami tekstu

Modyfikowanie tekstu wymiaru

Edytowanie atrybutów bloku

Edytowanie definicji atrybutów bloku


Ustawianie opcji edycji notatki

Polecenie NoteOptions służy do ustawiania preferencji dla edycji tekstu za pomocą poleceń Note i SimpleNote.

Można:

  • Określić, czy edycja będzie przeprowadzana na miejscu, czy w oknie dialogowym.
  • ustawić opcje wyświetlania tekstu podczas jego wprowadzania
  • określić przykładowy ciąg znaków w celu podglądu stylu tekstu i formatowania tekstu podczas jego edycji

Aby ustawić opcje edycji tekstu dla notatek, należy:

  1. Wpisać NoteOptions w wierszu poleceń.
  2. Określić opcję Edytor notatek.
  3. Określić opcję:
    • W miejscu: Określa wprowadzanie Notatek w miejscu, w obszarze graficznym, korzystając z podręcznego paska narzędzi Formatowanie notatki do formatowania tekstu. Jest to tryb domyślny.
    • Okno dialogowe: Określa wprowadzanie Notatek w oknie dialogowym z opcjami formatowania w górnej części ekranu. Edycja tekstu w oknie dialogowym ma zastosowanie szczególnie podczas umieszczania lub modyfikacji obróconego tekstu, który jest trudny do wyświetlenia podczas jego wpisywania w miejscu.
    • Edytor zewnętrzny. Tekst Notatek będzie tworzony w zewnętrznym edytorze lub procesorze tekstu (takim, jak Notatnik). Formatowanie tekstu z zewnętrznego edytora nie jest zachowywane.
  4. W przypadku wybrania opcji Edytor zewnętrzny trzeba określić ścieżkę i nazwę pliku wykonywalnego (np. Notatnik). Wpisać ~ (tyldę), aby otworzyć okno dialogowe Przeglądaj w poszukiwaniu pliku.

Aby ustawić opcje edycji tekstu dla Prostej notatki, należy:

  1. Wpisać NoteOptions w wierszu poleceń.
  2. Określić opcję Edytor prostej notatki.
    • Okno dialogowe. Proste notatki są wprowadzane w oknie dialogowym z opcjami formatowania w górnej części ekranu.
    • W miejscu: Określa wprowadzanie Prostej notatki w miejscu, w obszarze graficznym, korzystając z podręcznego paska narzędzi Formatowanie prostej notatki do formatowania tekstu.
    • Zaawansowane: Określa tworzenie Prostej notatki w miejscu, dodatkowo dostarcza zaawansowanych opcji umożliwiających kliknięcie dowolnego miejsca w obszarze graficznym jako nowego punktu początkowego kolejnego tekstu w trakcie wykonywania polecenia. Jest to tryb domyślny.

Aby ustawić opcje wyświetlania dla edycji tekstu, należy:

  1. Wpisać NoteOptions w wierszu poleceń.
  2. Określić opcję Opcje wyświetlania.
  3. Określ opcję:
    • Jak zdefiniowano: Edytowany tekst w miejscu jest wyświetlany, jak zdefiniowano, nawet jeśli jest zbyt mały do odczytania lub obrócony o kąt, sprawiający trudności w jego odczytaniu.
    • Czytelny: Tymczasowo powiększa bardzo mały tekst i obraca go w razie potrzeby do łatwego oglądania podczas edycji tekstu w miejscu.

Aby ustawić przykładowy ciąg znaków do edycji podglądu, należy:

  1. Wpisać NoteOptions w wierszu poleceń.
  2. Określić opcję Przykładowy tekst.
  3. Wpisać przykładowy ciąg znaków, np. „abc”.
  4. Wprowadzić kropkę („.”), aby wyświetlić tekst inny niż przykładowy.
  5. Przykładowy ciąg znaków jest wyświetlany w bieżącym stylu tekstu, rozmiarze tekstu i formatowaniu w miejscu położenia kursora po uruchomieniu polecenia Note.

Dostęp

Polecenie: NoteOptions


Wstawianie pól

Możliwe jest dodawanie pól do adnotacji. Pola służą do aktualizowania widocznych informacji, między innymi modyfikacji daty, nazwy rysunku i autora Na przykład, za pomocą Pól można przechowywać w sposób dokładny tekst w blokach tytułowych.

Pola są aktualizowane automatycznie podczas zapisywania, drukowania czy przebudowywania rysunków.

Aktualizacji pól w adnotacjach można dokonywać ręcznie za pomocą polecenia RebuildField.

Aby wstawić Pola, należy:

  1. Kliknąć Wstaw > Pole (lub wpisać Field).
  2. W oknie dialogowym określić szczegóły wstawianego Pola:
    • Kategoria: Rozgranicza nazwy pól na liście Pole według kategorii, na przykład Data/godzina, Dokument lub w inny sposób.
    • Nazwa: Określa wstawiane pole.
    • Format: Określa format tekstu w polu, na przykład, małe i wielkie litery w ciągu znaków, format daty w polu daty.
  3. Kliknij OK.
  4. W obszarze graficznym określić punkt wstawienia pola.

Pola można dodawać do notatek i uproszczonych notatek, a nazw pól można używać jako wartości domyślnych w definicjach BlockAttribute. Pól można używać do określania Tolerancji. Aby wstawić pole, należy kliknąć przycisk Pole podczas tworzenia notatki lub uproszczonej notatki, albo podczas określania wartości domyślnej dla definicji BlockAttribute.

Uwaga: Polecenie Field używa bieżącego stylu tekstu i rozmiaru czcionki.

Dostęp

Polecenie: Field

Menu: Wstaw > Pole

Tematy pokrewne

Aktualizowanie informacji o polu

Ustawianie tła dla pól

Przeglądanie i edytowanie właściwości pliku rysunku


Aktualizowanie informacji o polu

Aktualizacji polecenia Pola w adnotacjach można dokonać ręcznie w obszarze graficznym.

Aby aktualizować Pola, należy:

  1. Kliknij Wstaw > Przebuduj pola (lub wpisz RebuildField).
  2. W obszarze graficznym określ adnotacje.
  3. Nacisnąć Enter.
  4. Pola wbudowane w adnotacje zostaną aktualizowane.

Dostęp

Polecenie: RebuildField

Menu: Wstaw > Przebuduj pola

Tematy pokrewne

Wstawianie pól


Ustawianie tła dla pól

Można określić, czy pola mają być wyświetlane z szarym tłem w adnotacjach.

Aby określić tło dla pól:

  1. Wpisać SetFieldDisplay w wierszu poleceń.
  2. Wprowadzić opcję Yes lub No, aby określić, czy pola mają być wyświetlane z szarym tłem.

Dostęp

Polecenie: SetFieldDisplay

Tematy pokrewne

Wstawianie pól

Aktualizowanie informacji o polu


Znajdowanie i zastępowanie tekstu

Można przeglądać rysunek w poszukiwaniu tekstu. Można również znajdować i zastępować tekst.

Aby znaleźć i zastąpić tekst, należy:

  1. Wpisać Find w wierszu poleceń.

    Pojawi się okno dialogowe Znajdź i zastąp.
  2. W części Znajdź wpisać tekst do znalezienia.
  3. W części Szukaj w określić, gdzie należy znaleźć tekst. Można przeglądać:
    • w Aktywnym arkuszu/obszarze
    • w Całym rysunku
    • w określonym Zbiorze wskazań (kliknąć Wybierz w obszarze graficznym [image], aby określić elementy mające tworzyć zbiór wskazań)
  4. W części Zastąp przez wpisać tekst zastępujący ciąg wyszukiwania. Pole Zastąp przez należy pozostawić puste, jeżeli tekst ma być znaleziony, ale nie zastąpiony.
  5. Kliknąć Opcje, aby określić typy elementów do uwzględnienia w wyszukiwaniu i ustawić opcje wyszukiwania.

    Pojawi się okno dialogowe Opcje znajdowania i zastępowania.
  6. W części Wyszukaj tekst w wybrać lub usunąć zaznaczenie opcji Wartości atrybutu bloku, Wymiary, Notatki i proste notatki, Adresy hiperłącza, Tekst hiperłącza oraz Tabele.
  7. Określić, czy wybrać opcje Dopasuj wielkość liter oraz Znajdź tylko całe wyrazy.
  8. W części Wyniki wyszukiwania:
    • Kliknąć Znajdź, a następnie Znajdź następny, aby wyszukać określony tekst.

      W obszarze Kontekst pojawi się blok tekstu lub linia tekstu wyświetlająca odpowiednią treść znalezionego tekstu.
    • Kliknąć Zastąp, aby zastąpić wszystkie widoczne wystąpienia znalezionego tekstu.
    • Kliknąć Zastąp wszystkie, aby zastąpić wszystkie znalezione lokalizacje tekstu.
    • Kliknąć Powiększ, aby powiększyć bieżącą lokalizację tekstu w obszarze graficznym.
  9. Kliknąć Zamknij.

Dostęp

Polecenie: Find

Tematy pokrewne

Sprawdzanie pisowni


Sprawdzanie pisowni

[Tylko wersja Windows®]

Można sprawdzić pisownię tekstu w rysunkach.

Aby sprawdzić pisownię, należy:

  1. Wpisać SpellCheck w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy tekstowe do sprawdzenia i nacisnąć Enter.
  3. Pojawi się okno dialogowe Sprawdź pisownię, jeżeli oprogramowanie znajdzie błąd pisowni:
    • W części Bieżące słowo okno dialogowe wyświetla wątpliwe słowo.
    • W części Kontekst okno dialogowe wyświetla wiersz tekstu lub fragment wiersza tekstu.
    • W części Propozycje sugerowane są poprawki.
  4. Można:
    • Ignorować sugestię dla bieżącego wystąpienia wątpliwego słowa.
    • Ignorować wszystkie sugestie dla wszystkich wystąpień wątpliwego słowa.
    • Zmienić bieżące słowo na słowo wybrane w części Propozycje.
    • Zmienić wszystkie bieżące wystąpienia nieprawidłowo napisanych słów na słowo wybrane w części Propozycje.
    • Dodać wątpliwe słowo do słownika.
    • Sprawdzić słowo, aby znaleźć synonimy.
    • Zmienić słownik, aby określić inny język dla sprawdzania pisowni.
  5. Kliknąć Zamknij.

Dostęp

Polecenie: SpellCheck

Tematy pokrewne

Znajdowanie i zastępowanie tekstu

Tworzenie prostych notatek


Praca z tabelami

Tabele to elementy rysunku, które zawierają dane w wierszach i kolumnach. Tabele można wykorzystywać na przykład w blokach tytułowych, listach części, legendach, obliczeniach lub adnotacjach.

Tabele posiadają trzy typy komórek: tytuł, nagłówek i dane.

Style tabel określają strukturę i wygląd tabel.

Wszystkie pola tekstowe są elementami tekstowymi, które można edytować i formatować przy użyciu edytora tekstów Edytuj notatkę.

Polecenia pracy z tabelami obejmują:

  • Zarządzanie stylami tabeli
  • Tworzenie tabel
  • Modyfikowanie tabel


Zarządzanie stylami tabeli

Style tabeli można tworzyć, modyfikować i usuwać. Można również ustawiać styl tabeli jako aktywny.

Aby utworzyć style tabeli, należy:

  1. Kliknąć Format > Styl tabeli (lub wpisać TableStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tabeli.
  2. Kliknąć Nowy.
  3. W oknie dialogowym Utwórz nowy styl tabeli wpisać nową nazwę i kliknąć OK.

    Nowy styl tabeli pojawi się w części Styl.

Aby zmodyfikować style tabeli, należy:

  1. Kliknąć Format > Styl tabeli (lub wpisać TableStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tabeli.
  2. W części Filtr wybrać opcję:
    • Wszystkie style. Wyszczególnia wszystkie style zdefiniowane w rysunku.
    • Style w rysunku. Wyszczególnia tylko te style, do których odnoszą się tabele w rysunku.
  3. W części Styl wybrać Styl tabeli.
  4. W części Ustawienia stylu komórki, w polu Zawartość, wybrać typ komórki do edycji (Dane, Nagłówek lub Tytuł).
  5. W części Wyświetl ustawić:
    • Kolor tła: Ustawia kolor tła dla tabeli.
    • Wyrównaj. Ustawia justyfikację i wyrównanie tekstu w komórkach.
    • Wstaw wiersz tytułowy. Tworzy oddzielny wiersz na tytuł.
    • Wstaw wiersz nagłówka. Tworzy oddzielny wiersz na tytuły kolumn.
  6. W części Tekst ustawić:
    • Kolor: Ustawia kolor tekstu.
    • Styl Zawiera wszystkie style tekstu zdefiniowane w rysunku Kliknąć Wyświetl style tekstu [image], aby zdefiniować style tekstu dla kolejnych użyć.
    • Wysokość: Ustawia rozmiar tekstu.
  7. W części Granice ustawić:
    • Kolor: Ustawia kolor obramowania.
    • Szerokość: Ustawia szerokość obramowania.
    • Zastosuj do. Ustawia określony Kolor i Szerokość dla wybranych granic.
  8. W części Ustawienia komórki:
    • Wpisać wartość dla Poziomego i Pionowego marginesu komórki (w jednostkach rysunku).
    • W części Orientacja nagłówka tabeli wybrać element, aby określić, czy tabela jest generowana w dół, czy w górę od punktu wstawienia.

    Modyfikacje będą odzwierciedlone w tabelach wykorzystujących ten styl.

Aby ustawić styl tabeli jako aktywny, należy:

  1. Kliknąć Format > Styl tabeli (lub wpisać TableStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tabeli.
  2. W części Styl wybrać Styl tabeli.
  3. Kliknąć Aktywuj.

    Obok aktywnego stylu tabeli pojawi się [image].

Aby zmienić nazwy stylów tabeli, należy:

  1. Kliknąć Format > Styl tabeli (lub wpisać TableStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tabeli.
  2. W części Styl wybrać Styl tabeli.
  3. Kliknąć Zmień nazwę.
  4. W oknie dialogowym Zmień nazwę stylu tabeli wpisać nową nazwę dla stylu tabeli.
  5. Kliknąć OK.

Aby usunąć style tabeli, należy:

Style tabeli można usunąć, jeżeli nie odnosi się do nich żadna tabela w rysunku. Można również użyć Polecenia Clean, aby usunąć style tabeli, do których nie ma odniesień. Nie można usunąć stylu Standard.

  1. Kliknąć Format > Styl tabeli (lub wpisać TableStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Tabeli.
  2. W części Styl wybrać Styl tabeli.
  3. Kliknąć Usuń.
  4. Kliknąć Tak, aby potwierdzić usunięcie.

Dostęp

Polecenie: Styl tabeli

Menu: Format > Styl tabeli

Tematy pokrewne

Tworzenie tabel

Modyfikowanie tabel


Tworzenie tabel

Można tworzyć tabele w rysunkach.

Aby utworzyć tabele, należy:

  1. Kliknąć Rysuj > Tabela (lub wpisać Table).
  2. W oknie dialogowym Wstaw tabelę, w części Styl tabeli, wybrać styl tabeli lub kliknąć Wyświetl style tabeli [image], aby utworzyć lub edytować styl tabeli.
  3. Obraz wybranego stylu tabeli zostanie wyświetlony w części Podgląd.
  4. W części Metoda wstawiania wybrać:
    • Ustaw narożniki: Pozwala zdefiniować narożniki tabeli w obszarze graficznym.
    • Gdy opcja ta jest wybrana, należy ustawić Liczbę lub Wysokość (liczbę linii teksu dozwolonych w wierszu) lub Wiersze oraz Liczbę lub Szerokość (w jednostkach rysunku) Kolumn.
    • Ustaw pozycję: Pozwala kliknąć punkt w obszarze graficznym.
    • Gdy opcja ta jest wybrana, należy ustawić Liczbę i Wysokość Wierszy oraz Liczbę i Szerokość Kolumn.
  5. W opcji Style komórek ustawić:
    • Pierwszy wiersz: Wybrać styl komórek (Tytuł, Nagłówek czy Dane).
    • Drugi wiersz: Wybrać styl komórek (Tytuł, Nagłówek czy Dane).
    • Wszystkie inne wiersze: Wybrać styl komórek (Tytuł, Nagłówek czy Dane).
    • Zwykle używa się tytułu dla pierwszego wiersza, Nagłówka dla drugiego wiersza i Dane dla wszystkich innych wierszy w tabeli.
  6. Kliknąć OK.
  7. W obszarze graficznym określić punkt wstawienia.
  8. W oknie dialogowym Edytuj notatkę poddać edycji tytuł tabeli.
  9. Nacisnąć klawisz Tab, aby przejść do następnej komórki tabeli, a następnie wpisać tekst.
  10. Kliknąć OK.

    Polecenie EditTable służy do wprowadzania lub modyfikowania tekstu w komórkach tabeli.

Dostęp

Polecenie: Table

Menu: Rysuj > Tabela

Tematy pokrewne

Zarządzanie stylami tabeli

Modyfikowanie tabel


Edytowanie tekstu w tabeli

Polecenie EditTable służy do edytowania tekstu w komórkach tabeli. Można również edytować tekst tabeli na miejscu, przy użyciu podręcznego paska narzędzi, który zapewnia rozszerzone opcje formatowania.

Aby edytować tekst w tabelach:

  1. Wpisać EditTable w wierszu poleceń.
  2. W obszarze graficznym kliknąć tekst komórki do edycji.
  3. Można wpisywać i edytować tekst, używając opcji formatowania dostępnych na podręcznym pasku narzędzi Formatowanie notatek.
  4. Nacisnąć klawisz Tab, aby przejść do następnej komórki tabeli, lub klawisze Shift + Tab, aby przejść do poprzedniej komórki tabeli.
  5. Kliknąć OK [image] na pasku narzędzi.

Aby edytować tekst tabeli na miejscu:

  1. W obszarze graficznym kliknąć dwukrotnie komórkę tabeli do edycji.
  2. Można wpisywać i edytować tekst, używając opcji formatowania dostępnych na podręcznym pasku narzędzi Formatowanie notatek.
  3. Kliknąć OK [image] na pasku narzędzi.

Aby zmodyfikować styl tekstu, wysokość tekstu, wygląd linii obramowania lub kolor tła komórki tabeli, użyć polecenia TableStyle. Aby wstawić, usunąć, scalić lub zmienić rozmiar wierszy i kolumn w tabelach, użyć polecenia EditTableCell.

Dostęp

Polecenie: EditTable

Tematy pokrewne

Zarządzanie stylami tabeli

Tworzenie tabel

Edytowanie komórek tabeli


Edytowanie komórek tabeli

Możliwe jest wstawianie, usuwanie, scalanie i zmienianie rozmiaru komórek, wierszy oraz kolumn w tabelach. Komórki można modyfikować na miejscu lub za pomocą polecenia EditTableCell.

Uchwyty tabeli i komórek zapewniają dodatkowe możliwości modyfikacji tabel.

W celu przeprowadzenia edycji komórek tabeli:

  1. Zaznaczyć co najmniej jedną komórkę tabeli, aby edytować ją na miejscu:
    • Kliknąć komórkę tabeli
    • - lub -
    • Użyć klawisza Shift + kliknąć wiele komórek tabeli
    • - lub -
    • Kliknąć nagłówek wiersza bądź kolumny, aby zaznaczyć cały wiersz lub kolumnę.
  2. Zaznaczone komórki zostaną podświetlone i wyświetlone z uchwytami. Pojawią się nagłówki kolumn i wierszy.
  4. Ponadto pojawi się podręczny pasek narzędzi Edytuj komórki tabeli.
  6. Użyć lewego lub prawego uchwytu komórki, aby wyregulować szerokość zaznaczonej kolumny, oraz górnego i dolnego uchwytu komórki, aby wyregulować wysokość zaznaczonych wierszy.
  7. Aby zmodyfikować tabelę, należy użyć narzędzi z podręcznego paska narzędzi Edytuj komórki tabeli:
Narzędzie | Przycisk | Opis
Wstaw wiersz powyżej |  | Wstawia wiersz powyżej zaznaczonego wiersza. Jeśli zaznaczono wiele wierszy, zostanie wstawiona taka sama liczba wierszy.
Wstaw wiersz poniżej |  | Wstawia wiersz poniżej zaznaczonego wiersza. Jeśli zaznaczono wiele wierszy, zostanie wstawiona taka sama liczba wierszy.
Wstaw kolumnę po lewej |  | Wstawia kolumnę po lewej stronie zaznaczonej kolumny. Jeśli zaznaczono wiele kolumn, zostanie wstawiona taka sama liczba kolumn.
Wstaw kolumnę po prawej |  | Wstawia kolumnę po prawej stronie zaznaczonej kolumny. Jeśli zaznaczono wiele kolumn, zostanie wstawiona taka sama liczba kolumn.
Usuń wiersze |  | Usuwa wiersze w odniesieniu do zaznaczonych komórek.
Usuń kolumny |  | Usuwa kolumny w odniesieniu do zaznaczonych komórek.
Równe rozmiary wierszy |  | Sprawia, że zaznaczone wiersze są równej wysokości. Całkowita wysokość tabeli nie ulega zmianie.
Równe rozmiary kolumn |  | Sprawia, że zaznaczone kolumny są równej szerokości. Całkowita szerokość tabeli nie ulega zmianie.
Scal komórki |  | Łączy zaznaczone komórki. Należy wybrać, czy scalane będą komórki Wszystkie, Poziome czy Pionowe. Opcja ta nie jest dostępna, jeżeli zaznaczono tylko jedną komórkę.
Cofnij scalenie komórek |  | Rozdziela wybrane komórki, które wcześniej zostały scalone.
  3. Kliknąć prawym przyciskiem myszy wybrane komórki, aby uzyskać dostęp do opcji dodatkowych:
    • Edycja tekstu. Otwiera podręczny pasek narzędzi Formatowanie notatek na potrzeby edycji tekstu w komórce tabeli.
    • Usuń całą zawartość. Usuwa tekst w zaznaczonych komórkach.
    • Właściwości. Pozwala modyfikować właściwości komórki w palecie Właściwości.
  4. Kliknąć w dowolnym miejscu poza tabelą, aby zakończyć edycję.

Aby używać tego samego tekstu w wielu komórkach tabeli, zaznaczyć komórki, a następnie wprowadzić tekst w polu tekstowym Dane obszaru Zawartość na palecie Właściwości. W tym obszarze można również zastosować ten sam kolor tekstu, wysokość tekstu i styl tekstu w wielu komórkach tabeli.

Aby edytować komórki tabeli za pomocą polecenia EditTableCell:

  1. Wpisać EditTableCell w wierszu poleceń.
  2. Określić komórkę tabeli.
  3. Należy określić komórkę lub zakres komórek w formacie An lub An:An, gdzie A oznacza kolumnę a n liczbę wierszy.
  4. Na przykład C3 lub B2:D5.
  5. Aby zmodyfikować tabelę, użyć opcji poleceń (Wstaw, Usuń, Rozmiar, Scal i Cofnij scalenie) oraz podopcji.
  6. Opcje te odpowiadają opcjom podręcznego paska narzędzi Edytuj komórki tabeli (patrz powyżej).
  7. Wybrać opcję Zakończ.

Aby edytować wygląd tabeli przy użyciu uchwytów elementów:

  1. Kliknąć linię wytyczającą tabeli.
  2. Pojawią się uchwyty elementów.
  4. Wybrać uchwyty elementów, aby zmodyfikować tabelę:
Lokalizacja uchwytów elementów | Opis
Lewy górny narożnik | Przesuwa tabelę.
Prawy górny narożnik | Rozciąga tabelę w poziomie.
Dolny lewy narożnik | Rozciąga tabelę w pionie.
Prawy dolny narożnik | Rozciąga tabelę w pionie i w poziomie.
Górna część kolumn | Dostosowuje szerokość kolumn.
  3. Kliknąć w dowolnym miejscu poza tabelą, aby zakończyć modyfikowanie wyglądu tabeli.

Kliknąć dwukrotnie uchwyty tabeli, aby przenosić, obracać, skalować lub kopiować całe tabele (patrz Modyfikowanie za pomocą uchwytów elementów).

Dostęp

Polecenie: EditTableCell

Menu: Modyfikuj > Elementy > Komórki tabeli

Tematy pokrewne

Zarządzanie stylami tabeli

Tworzenie tabel

Edytowanie tekstu w tabeli


Tworzenie i modyfikowanie wymiarów

Istnieje kilka narzędzi wymiarów pozwalających wyświetlać pomiary elementów lub relacje pomiędzy elementami.

Domyślnie wymiary są związane z elementami. W przypadku zmodyfikowania geometrii wymiary są modyfikowane, odzwierciedlając te zmiany.

Na wymiary zwykle składają się:

  • Łuk lub linia wymiaru.
  • Pomocnicze linie wymiaru wydłużone do mierzonego elementu.
  • Tekst wymiaru.

Wartości współrzędnych, linie wiodące, tolerancje położenia i kształtu składają się z tekstu wymiaru i linii wiodącej.

Wymiary bazują na stylach wymiarowania. Style wymiarowania są nazwanymi zestawami wartości domyślnych, które uwzględniają wymogi konkretnych branż lub zastosowań.

Ten rozdział rozpoczyna się od podstaw pracy z wymiarami:

  • Praca ze stylami wymiarowania
  • Edytowanie i formatowanie tekstu wymiaru

Można tworzyć następujące wymiary:

  • Liniowy
  • Równoległy
  • Długość łuku
  • Współrzędne
  • Promień
  • Promień łamany
  • Średnica
  • Kątowy
  • Linia bazowa
  • Kontynuowanie

Poniższe funkcje tworzą raczej adnotacje w rysunku, a nie odzwierciedlają wymiarów geometrycznych elementów:

  • Linie wiodące oraz Inteligentne linie wiodące
  • Tolerancje
  • Znaczniki środka

Można modyfikować wygląd wymiarów:

  • Modyfikowanie wymiarów
  • Zastępowanie parametrów stylu wymiarowania
  • Aktualizowanie wymiarów
  • Wymiary względne

Większość poleceń wymiarów znajduje się na pasku narzędzi Wymiar.


Praca ze stylami wymiarowania

Polecenie DimensionStyle służy do tworzenia i modyfikowania stylów wymiarowania.

Style wymiarowania sterują wyglądem wymiarów.

Aby utworzyć nowy styl wymiarowania, należy:

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. Kliknąć Nowy.
  3. W oknie dialogowym Utwórz nowy styl wymiarowania należy:
    1. W części Nazwa wpisać wartość.
    2. W części Oparty na wybrać istniejący styl wymiarowania. Styl ten służy jako ustawienia bazowe dla nowego stylu wymiarowania.
    3. W części Zastosuj do wybrać typ wymiaru. Określa to, czy nowy styl wymiarowania dotyczy wszystkich wymiarów, czy też wymiarowania określonego typu.
    4. Kliknąć OK.
  4. W części Wymiar ustawić styl wymiarowania. (Patrz "Ustawienia stylu wymiarowania" poniżej.)

Aby zmodyfikować styl wymiarowania, należy:

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. W części Styl wybrać styl wymiarowania do modyfikacji.
  3. W części Wymiar ustawić styl wymiarowania. (Patrz "Ustawienia stylu wymiarowania" poniżej.)
  4. Kliknąć Aktywuj lub OK.

Aby ustawić aktywny styl wymiarowania, należy:

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. W części Styl wybrać styl wymiarowania do aktywowania.
  3. Kliknąć Aktywuj.

    Obok aktywnego stylu wymiarowania pojawi się [image].

Aby porównać style wymiarowania, należy:

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. Kliknąć Różnice.
  3. W oknie dialogowym Znajdź różnice w stylach wymiarowania, w części Porównaj oraz Do, wybrać styl wymiarowania.

    W oknie dialogowym zostaną wyszczególnione ustawiania stylu wymiarowania, które się różnią.
  4. Kliknąć Kopiuj, aby skopiować różnice, lub kliknąć Zamknij.

Aby zastąpić ustawienia stylu wymiarowania, należy:

Można tymczasowo zmienić ustawienia aktywnego stylu wymiarowania. Zmiany te nie modyfikują ustawień stylu wymiarowania. Zastępujące ustawienia można stosować tak długo, jak żaden inny styl wymiarowania nie zostanie ustawiony jako aktywny.

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. W części Styl wybrać styl wymiarowania do zastąpienia.
  3. Kliknąć Aktywuj.
  4. Kliknąć Zmiany ustawienia.
  5. Ustawić zmiany stylu wymiarowania. Patrz "Ustawienia stylu wymiarowania" poniżej.

Aby zmienić nazwę stylu wymiarowania, należy:

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. W części Styl wybrać styl wymiarowania do zmiany nazwy.
  3. Kliknąć Zmień nazwę.
  4. W oknie dialogowym Zmień nazwę stylu wymiarowania określić nową nazwę dla wybranego stylu wymiarowania i kliknąć OK.

Aby usunąć styl wymiarowania, należy:

  1. Kliknąć Format > Styl wymiarowania (lub wpisać DimensionStyle).

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Wymiaru
  2. W części Styl wybrać styl wymiarowania do usunięcia.
  3. Kliknąć Usuń.

    Potwierdzić usunięcie wybranego stylu wymiarowania. Nie można usunąć stylu wymiarowania o nazwie Standard ani stylów wymiarowania, do których odnoszą się elementy wymiarowania w rysunku.

Style wymiarowania, do których nie istnieją odniesienia w rysunku, można usunąć przy użyciu polecenia Clean.

Ustawienia stylu wymiarowania

Wymiar kątowy

Ustawienia wymiaru kątowego

  • Format: Ustawia podstawowy format jednostek kątowych (stopnie dziesiętne, stopnie/minuty/sekundy, gradusy lub radiany).
  • Precyzja: Ustawia liczbę miejsc dziesiętnych.
  • Wyświetlanie zer: Pozwala wygaszać wiodące i końcowe zera w wymiarach kątowych.

Symbole długości łuku

Pozwala ustawić wyświetlanie symbolu dla wymiarów długości łuku: Przed tekstem wymiaru, Powyżej tekstu wymiaru lub Brak.

Strzałki

  • Strzałka początkowa: Określa ostrze strzałki początkowej wymiaru.
  • Strzałka końcowa: Określa ostrze strzałki końcowej wymiaru.
  • Strzałka linii wiodącej: Ustawia styl strzałki linii wiodącej wymiaru.
  • Rozmiar: Ustawia rozmiar ostrza strzałki.

Wymiar podwójny

Opcje te sterują użyciem drugiej, alternatywnej metody wymiarowania. Ten tryb pozwala na podwójne wymiarowanie w jednostkach metrycznych i brytyjskich.

Pokaż podwójne wymiary: Określa, czy należy używać alternatywnych jednostek w wymiarach.

Ustawienia wymiaru podwójnego

  • Format: Ustawia format jednostek alternatywnych.
  • Precyzja: Ustawia liczbę miejsc dziesiętnych.
  • Współczynnik dla konwertowania jednostek: Ustawia współczynnik dla konwertowania jednostek.
  • Zaokrąglij do najbliższej: Pozwala określać wartość dla zaokrąglenia.
  • Przedrostek i Przyrostek: Pozwala na określenie przedrostka i przyrostka dla wartości wymiaru.

Wyświetlanie zer

  • Ukryj zera początkowe oraz Ukryj zera końcowe: Pozwala wygaszać wiodące i końcowe zera.
  • Ukryj, jeśli 0' oraz Ukryj, jeśli 0": Jeśli ustawiono Format jako Architektoniczne, Architektoniczne piętrowe lub Inżynierskie, można również określić, czy należy ukrywać zerowe stopy i zerowe cale.

Wstawienie

  • Po jednostkach podstawowych oraz Pod jednostkami podstawowymi: Określa, czy alternatywne jednostki są umieszczane po czy poniżej podstawowej wartości wymiaru.

Dopasowanie

Opcje dopasowania określają sposób rozmieszczenia wymiarów, jeżeli pomiędzy pomocniczymi liniami wymiaru jest zbyt mało miejsca na tekst i strzałki.

Geometria

  • Jeśli przestrzeń jest ograniczona, przesuń wybrany element poza linie pomocnicze: Gdy pomiędzy liniami pomocniczymi wymiaru jest zbyt mało miejsca, aby umieścić tekst i strzałki, pierwszym elementem do przeniesienia poza linie pomocnicze jest:
  • Automatyczne: Tekst albo strzałki (najlepsze dopasowanie)
  • Strzałki
  • Tekst
  • Tekst i strzałki
  • Zachowaj tekst pomiędzy pomocniczymi liniami wymiaru
  • Ukryj strzałki: Wygasza strzałki, jeśli nie mieszczą się pomiędzy liniami pomocniczymi liniami wymiaru.

Tekst wymiaru

  • Jeśli tekst wymiaru nie jest w standardowej pozycji, przenieś go: Gdy tekst wymiaru nie jest w pozycji domyślnej, można go umieścić:
  • Powyżej linii wymiarowej z linią wiodącą
  • Powyżej linii wymiarowej bez linii wiodącej
  • Obok linii wymiarowej

Skala wymiaru

  • Współczynnik skalowania: Określa ogólną skalę dla ustawień stylu wymiarowania. Współczynnik skalowania wpływa na rozmiar, odległość i odstępy, uwzględnienie tekstu oraz rozmiary grotów strzałek.
  • Skaluj wymiary zgodnie z arkuszem: Ustawia współczynnik skalowania na stosunek pomiędzy bieżącym okienkiem ekranu a arkuszem rysunku.

Dodatkowe opcje

  • Linie wymiarowe pomiędzy liniami pomocniczymi: Wymusza pozostawanie linii wymiarowych pomiędzy pomocniczymi liniami wymiaru, nawet jeśli ostrza strzałek są generowane na zewnątrz wymiaru.
  • Określ umieszczenie tekstu: Pozwala na ręczne ustawienie pozycji tekstu; ustawienia justyfikacji poziomej są ignorowane.

Wymiar liniowy

Format: Ustawia format podstawowych jednostek liniowych.

Precyzja: Ustawia liczbę miejsc dziesiętnych.

Wyświetlanie ułamka: Ustawia wyświetlanie piętrowe dla jednostek ułamkowych.

Separator dziesiętny: Ustawia separator dziesiętny dla wymiarów, których Format jednostek jest ustawiony jako Dziesiętne.

Zaokrąglij do najbliższej: Pozwala określać wartość dla zaokrąglenia.

Przedrostek i Przyrostek: Pozwala na wpisanie ciągu znaków, który ma pojawiać się przed lub za tekstem wymiaru. Na przykład pole przyrostka może wyświetlać jednostkę miary.

Skala pomiaru:

  • Współczynnik skalowania: Powiela wszystkie teksty wymiarów liniowych (łącznie z tekstem wymiaru średnic, promieni oraz współrzędnych) z użyciem wybranego współczynnika skalowania. Nie wpływa na wymiary kątowe ani dodatnie/ujemne wartości tolerancji. Wybrane tu ustawienie ma zastosowanie w szczególności do wymiarowania nieasocjacyjnego (np. podczas wymiarowania skalowanych szczegółów).

Wyświetlanie zer:

  • Zgodnie z wymiarami arkusza: Stosuje współczynnik skalowania pomiaru tylko do wymiarów utworzonych na arkuszach.
  • Ukryj zera początkowe oraz Ukryj zera końcowe: Pozwala wygaszać wiodące i końcowe zera w dziesiętnych wymiarach liniowych.
  • Ukryj, jeśli 0' oraz Ukryj, jeśli 0": Jeśli ustawiono Format jako Architektoniczne lub Inżynierskie, można również określić, czy należy ukrywać zerowe stopy (Ukryj, jeśli 0') i zerowe cale (Ukryj, jeśli 0").

Linia

Ustawienia linii wymiarowych

  • Styl: Ustawia styl linii wymiarowych.
  • Szerokość: Ustawia szerokość linii wymiarowych.
  • Kolor: Ustawia kolor linii wymiarowych.
  • Odsunięcie: Ustawia odległość odsunięcia linii wymiaru w przypadku stosowania wymiarowania linii bazowej przy użyciu polecenia BaselineDimension.
  • Odległość po strzałce początkowej: Ustawia odległość wydłużenia linii wymiarowej poza pomocniczą linię wymiaru, gdy zastosowano pewne ostrza strzałek, takie jak znaczniki architektoniczne.
  • Ukryj:
    • Linia wymiarowa 1: Określa, czy jest wyświetlana pierwsza linia wymiarowa i ostrze strzałki pomiędzy pierwszą linią pomocniczą a tekstem wymiaru.
    • Linia wymiarowa 2: Taki sam efekt jak Linia wymiarowa 1 dla drugiej linii pomocniczej i tekstu wymiaru.

Ustawienia linii pomocniczej

Pomocnicze linie wymiaru to linie, które wynoszą wymiar poza obwód mierzonego elementu, zakładając, że wymiarowanie ma być wykonane na zewnątrz tych ograniczeń obwodu.

  • Style: Ustawia styl linii dla Linii pomocniczej 1 i Linii pomocniczej 2.
  • Szerokość: Ustawia szerokość pomocniczej linii wymiaru.
  • Kolor: Ustawia kolor pomocniczej linii wymiaru.
  • Odsunięcie: Ustawia odległość odsunięcia pomiędzy elementem a miejscem, w którym zaczynają się pomocnicze linie wymiaru.
  • Odstęp po liniach wymiarowych: Ustawia odległość, na jaką pomocnicze linie wymiaru powinny wychodzić poza linie wymiarowe.
  • Ukryj: Ukrywa pierwszą i/lub drugą pomocniczą linię wymiaru.
  • Stała długość: Określa, czy pomocnicze linie powinny mieć ustawioną wcześniej długość. Ustawić wartość w części Długość.

Promieniowa/średnica wymiarów

Wyświetlanie znacznika środka

  • Brak, Jako znacznik, Jako linię środkową: Definiuje wyświetlanie znaczników, które wskazują punkt środkowy okręgu, i definiuje, czy do znaczników środka mają być dodawane kreski lub przekreślenia, czy też nie.
  • Rozmiar: Pozwala określić rozmiar znaczników środka dla wymiarów promienia, średnicy i środka.

Promień uskoku wymiaru

  • Kąt: Określa kąt poprzecznego segmentu linii wymiarowej w łamanym wymiarze promienia.

Tekst

Ustawienia tekstu

  • Styl: Ustawia styl tekstu wymiaru. Kliknąć [image], aby zdefiniować style tekstu.
  • Kolor: Ustawia kolor tekstu wymiaru.
  • Wypełnienie: Ustawia kolor tła tekstu wymiaru.
  • Wysokość: Ustawia wysokość tekstu wymiaru.
  • Skala ułamkowa: Ustawia współczynnik skali dla wysokości tekstu wartości tolerancji w stosunku do ogólnej wysokości tekstu wymiaru.
  • Ramka tekstu wymiaru: Rysuje ramkę wokół tekstu wymiaru.

Pozycja tekstu

  • Poziomo i Pionowo: Ustawia poziomą i pionową pozycję tekstu wymiaru.
  • Odsunięcie od linii wymiarowych: Ustawia odległość, na jaką tekst jest odsunięty od linii wymiarowych.

Wyrównanie tekstu

Tekst wymiaru można wyrównywać przy użyciu następujących opcji:

  • Użyj standardu ISO
  • Wyrównaj poziomo
  • Wyrównaj do linii wymiarowych

Tolerancja

Ustawienia tolerancji

  • Obliczanie: Ustawia format dla tworzenia tolerancji:
    • Podstawowy. Wyświetla dodatkowy pomiar wymiaru i odchylenie w pojedynczej wartości, otoczonej ramką.
    • Odchylenie. Dołącza do pomiaru wymiaru odrębne wartości plus i minus odchylenia.
    • Granice. Wyświetla wartość maksymalną i minimalną, jedna nad drugą.
    • Brak. Nie generuje wartość tolerancji.
    • Symetryczne. Dołącza do pomiaru wymiaru odrębne wartość plus/minus tolerancji, która oznacza dodatnie i ujemne odchylenie w postaci pojedynczej wartości.
  • Precyzja: Ustawia liczbę miejsc dziesiętnych.
  • Wartość maksymalna i Wartość minimalna: Ustawia wartości dla tolerancji dodatniej lub ujemnej.
  • Skala: Ustawia skalę tolerancji.
  • Pionowe wyrównanie tekstu: Ustawia justyfikację tekstu tolerancji.
  • Wyświetlanie zer:
    • Ukryj zera początkowe oraz Ukryj zera końcowe: Pozwala wygaszać wiodące i końcowe zera w wymiarach dziesiętnych tolerancji. Jeśli ustawiono Format dla Wymiaru liniowego jako Architektoniczne lub Inżynierskie, można również określić, czy należy ukrywać zerowe stopy (Ukryj, jeśli 0') i zerowe cale (Ukryj, jeśli 0")

Wymiar podwójny

  • Precyzja: Ustawia liczbę miejsc dziesiętnych dla wymiarów alternatywnych w tolerancjach geometrycznych.
  • Wyświetlanie zer:
    • Ukryj zera początkowe oraz Ukryj zera końcowe: Pozwala wygaszać wiodące i końcowe zera w dziesiętnych wymiarach alternatywnych. Jeśli ustawiono Format dla Wymiaru liniowego jako Architektoniczne lub Inżynierskie, można również określić, czy należy ukrywać zerowe stopy (Ukryj, jeśli 0') i zerowe cale (Ukryj, jeśli 0")

Dostęp

Polecenie: DimensionStyle

Menu: Format > Styl wymiarowania

Tematy pokrewne

-DimensionStyle (wariant okna poleceń)

Tworzenie i modyfikowanie wymiarów


Edytowanie i formatowanie tekstu wymiaru

Kilka poleceń wymiarowania pozwala na edytowanie lub formatowanie tekstu wymiaru podczas tworzenia wymiarów.

Polecenie ParallelDimension jest przykładem takiego polecenia. Po określeniu dwóch punktów definiujących albo zidentyfikowaniu elementu do zwymiarowania pojawi się monit o określenie lokalizacji linii wymiaru. Można wtedy określić opcję Notatka, Tekst lub Kąt, aby edytować tekst wymiaru przed ponownym pojawieniem się monitu o określenie lokalizacji linii wymiaru.

Opcje: Kąt, Notatka, Tekst lub
Określ pozycję linii wymiarowej»

Opcje edytowania tekstu wymiaru

Kąt

Opcja Kąt zmienia kąt tekstu wymiaru.

Pojawi się monit o określenie kąta tekstu wymiaru. Wpisać kąt obrotu.

Przy użyciu funkcji przyciągania elementów można wyrównać tekst wymiaru z elementem, który jest mierzony.

Na przykład można wyrównać tekst wymiaru równoległego (który jest zwykle tworzony z kątem 0°) z linią wymiarową poprzez przyciągnięcie co jej punktów końcowych.

Notatka

Opcja Notatka pozwala zmieniać tekst wymiaru przy użyciu edytora tekstu wielowierszowego w oknie dialogowym Edytuj notatkę.

Można zmieniać tekst lub dodawać tekst. Można sterować kodami oraz ciągami znaków Unicode, aby dodawać znaki specjalne lub symbole. Lista Znaki specjalne zawiera szereg znaków specjalnych (stopnie, średnica, plus/minus, różne od, itp.)

Można również zmieniać czcionkę, modyfikować krój pisma (pogrubienie, kursywa) lub podkreślać wymiar.

Tekst

Opcja Tekst pozwala zmieniać tekstu wymiaru.

Aby zachować wygenerowany pomiar w ciągu tekstowym, należy reprezentować go przy użyciu nawiasów ostrych (<>). Na przykład jeżeli chcemy zmienić zmienić wygenerowany pomiar "2.54" na "około 2.54", należy wpisać "około <>" w monicie wprowadzania tekstu wymiaru.

Tematy pokrewne

Tworzenie wymiarów równoległych

Tworzenie wymiarów liniowych

Tworzenie wymiarów długości łuku

Tworzenie wartości współrzędnych

Tworzenie wymiarów promienia

Tworzenie wymiarów łamanych

Tworzenie wymiarów średnicy

Tworzenie wymiarów kątowych


Używanie polecenia SmartDimensions

Polecenia SmartDimension można użyć w celu utworzenia wymiarów przez określenie elementów.

Polecenie to można zastosować do linii, segmentów polilinii, łuków, okręgów i pierścieni:

  • W przypadku elementów liniowych położonych równolegle do osi układu współrzędnych tworzone są wyrównane (równoległe) wymiary. W przypadku elementów liniowych, które nie są równoległe do osi układu współrzędnych, w zależności od miejsca ustawienia wskaźnika tworzone są wymiary wyrównane (mierzące odległość bezwzględną między dwoma punktami) albo wymiary poziome lub pionowe (mierzące odległość w poziomie lub w pionie między dwoma punktami).
  • W przypadku elementów krzywoliniowych można utworzyć wymiary promienia, średnicy, liniowe, kątowe oraz długości łuku.

Aby dodać wymiary elementów, należy:

  1. Kliknąć Wymiar > Smart (Inteligentny) (lub wpisać SmartDimension).
  2. W obszarze graficznym wybrać element do wymiarowania.
  3. Kliknąć, aby umieścić linię wymiarową.
  4. Aby użyć innego typu wymiarowania dla okręgów lub łuków, należy wybrać opcję:
    • Średnica. Tworzy wymiar średnicy.
    • Promień. Tworzy wymiar promienia dla łuku lub okręgu.
    • Liniowy. Tworzy wymiar liniowy dla okręgu lub wyrównany wymiar poziomy albo pionowy między punktami końcowymi łuku.
    • Kątowy. Tworzy wymiar kątowy między punktami końcowymi łuku.
    • Długość łuku. Tworzy wymiar długości łuku.
    • Uwaga: wybrana opcja będzie opcją domyślną przy następnym użyciu polecenia SmartDimension.
  5. Po przesunięciu wskaźnika podczas wymiarowania liniowego można wybrać opcje:
    • Zamknij. Określa bieżący typ wymiaru (wyrównany, poziomy lub pionowy) niezależnie od miejsca, w które zostanie przesunięty wskaźnik.
    • Otwórz. Odblokowuje możliwość wyboru używanego typu wymiaru.
  6. Nacisnąć klawisz Enter.

Użyć polecenia ContinueDimension w celu utworzenia łańcuchów wymiarów liniowych.

Dostęp

Polecenie: SmartDimension

Menu: Wymiar > Smart (Inteligentny)

Tematy pokrewne

Tworzenie wymiarów równoległych

Tworzenie wymiarów liniowych

Tworzenie wymiarów długości łuku

Tworzenie wymiarów promienia

Tworzenie wymiarów średnicy

Tworzenie wymiarów kątowych


Tworzenie wymiarów równoległych

Polecenie ParallelDimension tworzy wyrównane wymiary liniowe.

Wymiarowanie równoległe to rodzaj wymiarowania liniowego, które mierzy i oznacza bezwzględną odległość pomiędzy dwoma punktami, bez względu na względną pozycję osi. Pozwala to na wymiarowanie linii, krawędzi lub przestrzeni, które nie znajdują się na osiach głównych układu współrzędnych, czyli nie są równoległe do osi X, Y lub Z układu współrzędnych.

Aby utworzyć wymiary równoległe, należy:

  1. Kliknąć Wymiar > Wyrównany (lub wpisać ParallelDimension).
  2. Określić początki pierwszej i drugiej linii pomocniczej.

    - lub -

    Nacisnąć Enter, a następnie określić element do zwymiarowania. Można określić linie, polilinie, okręgi i łuki. W przypadku linii, polilinii i łuków mierzone są punkty początkowe i końcowe danego elementu. W przypadku okręgów mierzona jest średnica. Punkt wybrania na okręgu jest wykorzystywany jako punkt początkowy dla pierwszej linii pomocniczej na obwodzie okręgu.
  3. Kliknąć w obszarze graficznym, aby umieścić linie wymiarowe, lub użyć opcji Kąt, Notatka lub Tekst. Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Pomiar jest umieszczany jako tekst wymiaru w oparciu o definicje bieżącego stylu wymiarowania.

Dostęp

Polecenie: ParallelDimension

Menu: Wymiar > Wyrównany

Tematy pokrewne

Tworzenie wymiarów liniowych


Tworzenie wymiarów liniowych

Polecenie LinearDimension tworzy poziome, pionowe i obrócone wymiary liniowe.

Aby utworzyć wymiary liniowe, należy:

  1. Kliknąć Wymiar > Liniowy (lub wpisać LinearDimension).
  2. Określić początki pierwszej i drugiej linii pomocniczej.

    - lub -

    Nacisnąć Enter i określić element do zwymiarowania. Można określić linie, polilinie, okręgi i łuki. Mierzone są punkty początkowe i końcowe elementów liniowych lub średnice elementów kołowych.
  3. Kliknąć w obszarze graficznym, aby umieścić linie wymiarowe lub określić opcję:
    • Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru. Aby zwymiarować rzeczywistą długość linii nierównoległych do osi X lub Y układu współrzędnych, należy użyć polecenia ParallelDimension.
    • Poziomo: Tworzy poziomy wymiar liniowy. Mierzona jest pozioma odległość pomiędzy punktami definiującymi, a linia wymiarowa jest równoległa do osi X.
    • Obrócony: Tworzy pochylony wymiar pod kątem określonym dla linii wymiarowej. Odległość pomiędzy punktami definiującymi jest mierzona wzdłuż określonego obrotu (równolegle do pochylonej linii wymiarowej).
    • Pionowo: Tworzy pionowy wymiar liniowy. Mierzona jest pionowa odległość pomiędzy punktami definiującymi, a linia wymiarowa jest równoległa do osi Y.
  4. Pomiar jest umieszczany jako tekst wymiaru w oparciu o definicje bieżącego stylu wymiarowania.

Dostęp

Polecenie: LinearDimension

Menu: Wymiar > Liniowy

Tematy pokrewne

Tworzenie wymiarów równoległych


Tworzenie wymiarów długości łuku

Polecenie ArcLengthDimension tworzy wymiar długości łuku. Mierzy ono odległość wzdłuż łuku lub segmentu łuku polilinii.

Aby odróżnić wymiary długości łuku od wymiarów liniowych lub kątowych, wraz z tekstem wymiaru wyświetlany jest symbol łuku. Symbol łuku jest wyświetlany przed lub nad tekstem wymiaru, w zależności od bieżącego stylu wymiarowania.

Aby utworzyć wymiary długości łuku, należy:

  1. Kliknąć Wymiar > Długość łuku (lub wpisać ArcLengthDimension).
  2. W obszarze graficznym:
    1. Wybrać łuk lub segmentu łuku polilinii.
    2. Kliknąć, aby umieścić linię łuku wymiarowego lub określić opcję:
      • Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.
      • Linia wiodąca: Dodaje linię wiodącą do wymiaru, narysowaną pomiędzy linią wymiarową a łukiem w kierunku środka łuku. Linia wiodąca jest dodawana tylko, jeśli kąt rozwarcia łuku jest mniejszy od 90°. Polecenie tworzy linię wiodącą automatycznie. Konieczne jest określenie lokalizacji linii wymiarowej. Opcja Brak linii wiodącej zamyka opcję Linia wiodąca i pozwala dokończyć polecenie bez tworzenia linii wiodącej.
      • Częściowy: Pozwala zwymiarować długość fragmentu łuku. Określić dwa punkty na łuku: jeden w miejscu, gdzie ma rozpoczynać się długość wymiaru, a drugi w miejscu jej zakończenia. Należy użyć funkcji przyciągania elementów, aby upewnić się, że obydwa punkty leżą na łuku.

Dostęp

Polecenie: ArcLengthDimension

Menu: Wymiar > Długość łuku

Tematy pokrewne

Tworzenie wymiarów promienia

Tworzenie wymiarów średnicy


Tworzenie wartości współrzędnych

Polecenie OrdinateDimension tworzy wymiary punktu współrzędnych.

Polecenie to wyświetla współrzędną X lub Y wraz z linią wiodącą, w celu utworzenia wymiarowania bazy pomiarowej X lub bazy pomiarowej Y. Wartość współrzędnej X lub Y jest definiowana przez określony punkt, zwany lokalizacją operacji.

Aby utworzyć wymiary współrzędnych, należy:

  1. Kliknąć Wymiar > Współrzędna (lub wpisać OrdinateDimension).
  2. W obszarze graficznym określić lokalizację operacji (punkt do zmierzenia).

    Należy użyć przyciągań elementów, jeżeli lokalizacja reprezentuje specyficzny punkt geometryczny elementu (jak np. środek okręgu).
  3. Określić punkt końcowy linii wiodącej lub określić opcję:
    • Baza pomiarowa X: Mierzy współrzędną X bez względu na to, gdzie ustawiono punkt końcowy linii wiodącej. Opcja ta determinuje orientację linii wiodącej i tekstu wymiaru.
    • Baza pomiarowa Y: Mierzy współrzędną Y bez względu na to, gdzie ustawiono punkt końcowy linii wiodącej. Opcja ta determinuje orientację linii wiodącej i tekstu wymiaru.
    • uStaw zero: Podana pozycja wskaźnika bazy pomiarowej określa punkt bazowy, od którego są mierzone wszystkie pozostałe współrzędne używające opcji oDniesienie. Opcja tworzy współrzędne 0.00 w określonej pozycji w obszarze graficznym.
    • oDniesienie: Podana pozycja wskaźnika bazy jest mierzona względem współrzędnej X lub Y dotyczącej położenia zerowego określonego przy użyciu opcji Ustaw zero. Opcja tworzy współrzędne odnoszące się do określonej pozycji w obszarze graficznym.
    • Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.
  4. Punkt końcowy linii wiodącej określa również lokalizację tekstu wartości pomiaru. Linia wiodąca ma swój początek w punkcie, który ma zostać zmierzony, i łączy się z tekstem wymiaru.
  5. Jeżeli wymiar nie jest umieszczany poziomo lub pionowo względem mierzonego punktu, pojawia się linia pomocnicza w trybie prostopadłym, a nie jako linia prosta.

Dostęp

Polecenie: OrdinateDimension

Menu: Wymiar > Współrzędna


Tworzenie wymiarów promienia

Polecenie RadiusDimension tworzy wymiary promieniowe dla okręgów i łuków

Wymiarowanie promienia jest wykonywane w taki sam sposób, jak wymiarowanie średnicy.

Wygląd zależy od ustawień bieżącego Stylu wymiarowania.

Aby utworzyć wymiary promienia, należy:

  1. Kliknąć Wymiar > Promień (lub wpisać RadiusDimension).
  2. W obszarze graficznym:
    1. Wybrać łuk lub okrąg.
    2. Kliknąć, aby umieścić linię wymiarową lub określić opcję:

      Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

Dostęp

Polecenie: RadiusDimension

Menu: Wymiar > Promień

Tematy pokrewne

Tworzenie wymiarów łamanych

Tworzenie wymiarów średnicy


Tworzenie wymiarów łamanych

Polecenie JoggedDimension tworzy łamany wymiar promienia dla okręgów i łuków

Łamane linie wymiaru są zwykle używane, gdy arkusz jest zbyt mały, aby wyświetlić rzeczywisty punkt środka wymiarów promieniowych. Polecenie to pozwala na określenie innego punktu początku dla linii wymiaru. Punkt ten nosi nazwę zmienionej pozycji środka.

Polecenie mierzy promień określonego okręgu lub łuku i wyświetla tekst wymiaru poprzedzony symbolem promienia.

Aby utworzyć wymiary łamane, należy:

  1. Kliknąć Wymiar > Łamany (lub wpisać JoggedDimension).
  2. W obszarze graficznym:
    1. Wybrać łuk lub okrąg.
    2. Kliknąć lub wpisać punkt dla zmienionej pozycji środka.
    3. Kliknąć, aby umieścić linię wymiarową lub określić opcję:

      Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.
    4. Kliknąć lub wpisać pozycję uskoku.

Dostęp

Polecenie: JoggedDimension

Menu: Wymiar > Łamany

Tematy pokrewne

Tworzenie wymiarów promienia


Tworzenie wymiarów średnicy

Polecenie DiameterDimension tworzy wymiary średnicy dla okręgów i łuków.

W przeciwieństwie do wymiarowania liniowego lub równoległego zastosowanego do okręgów (które również wyświetla średnicę), nie są wyświetlane żadne linie pomiaru. Polecenie to tworzy pojedynczą linię wymiarową ukazującą relację pomiędzy wartością i elementem.

Wygląd zależy od ustawień bieżącego Stylu wymiarowania.

Aby utworzyć wymiary średnicy, należy:

  1. Kliknąć Wymiar > Średnica (lub wpisać DiameterDimension).
  2. W obszarze graficznym:
    1. Wybrać okrąg lub łuk.
    2. Kliknąć, aby umieścić linie wymiarowe lub określić opcję:

      Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

Dostęp

Polecenie: DiameterDimension

Menu: Wymiar > Średnica

Tematy pokrewne

Tworzenie wymiarów równoległych

Tworzenie wymiarów liniowych


Tworzenie wymiarów kątowych

Polecenie AngleDimension służy do wymiarowania kątów w rysunku.

Można tworzyć wymiary kątowe utworzone:

  • Swobodnie przez wierzchołek i dwa punkty na ramionach
  • Przez dwie linie
  • Przez dwa punkty końcowe łuku
  • Przez dwa punkty końcowe na obwodzie okręgu.

Polecenie to pozwala tworzyć wymiar kąta wewnętrznego pomiędzy dwoma ramionami i kąta zewnętrznego.

Aby utworzyć wymiary kątowe dla linii, należy:

  1. Kliknąć Wymiar > Kątowy (lub wpisać AngleDimension).
  2. Określić pierwszą i drugą linię w obszarze graficznym.

    Podczas przemieszczania wskaźnika pomiędzy dwiema liniami podgląd ukazuje wymiar kąta wewnętrznego. Po przemieszczeniu wskaźnika na zewnątrz tych dwóch linii podgląd ukazuje wymiar kąta zewnętrznego.
  3. Kliknąć w obszarze graficznym, aby umieścić linie łuku wymiarowego lub określić opcję:

    Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Pozycja określa, czy mierzony jest kąt wewnętrzny czy zewnętrzny.

Aby utworzyć wymiary kątowe dla łuków, należy:

  1. Kliknąć Wymiar > Kątowy (lub wpisać AngleDimension).
  2. Wybrać łuk w obszarze graficznym.
  3. Kliknąć w obszarze graficznym, aby umieścić linie łuku wymiarowego lub określić opcję:

    Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Wymiar kątowy pojawia się pomiędzy punktami końcowymi łuku, a jego wierzchołek znajduje się w punkcie środkowym łuku.

Aby utworzyć wymiary kątowe dla okręgów, należy:

  1. Kliknąć Wymiar > Kątowy (lub wpisać AngleDimension).
  2. Wybrać okrąg w obszarze graficznym. Podany punkt określa pierwsze ramię kąta.

    Polecenie EntitySnaps służy do definiowania punktów na obwodzie okręgu.

  3. Wybrać drugi punkt kąta. Definiuje to kąt z wierzchołkiem leżącym w punkcie środkowym okręgu.
  4. Kliknąć w obszarze graficznym, aby umieścić linie łuku wymiarowego lub określić opcję:

    Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

Aby utworzyć wymiary kątowe dla wierzchołków, należy:

  1. Kliknąć Wymiar > Kątowy (lub wpisać AngleDimension).
  2. Nacisnąć Enter, aby określić wierzchołek.
  3. Wybrać wierzchołek kąta w obszarze graficznym.
  4. Wybrać dwa inne punkty, aby zdefiniować kąt.
  5. Kliknąć w obszarze graficznym, aby umieścić linie łuku wymiarowego lub określić opcję:

    Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Pozycja określa, czy mierzony jest kąt wewnętrzny czy zewnętrzny.

  6. Aby utworzyć wymiar kątowy uformowany przez dwa punkty na obwodzie łuku, należy określić opcję Wierzchołek, korzystając z przyciągań elementów w celu zdefiniowania punktu środkowego i dwóch punktów na obwodzie łuku.

Dostęp

Polecenie: AngleDimension

Menu: Wymiar > Kątowy

Tematy pokrewne

Tworzenie 3-punktowych wymiarów kątowych

Tworzenie 4-punktowych wymiarów kątowych

Tworzenie wymiarów równoległych

Tworzenie wymiarów liniowych


Tworzenie wymiarów linii bazowej

Polecenie BaselineDimension tworzy szereg równoległych wymiarów liniowych posiadających wspólną linię bazową. Wymiarowanie wg linii bazowej pozwala na odczyt skumulowanego wymiaru pomiędzy dwoma punktami końcowymi wzdłuż szeregu indywidualnych wymiarów w łańcuchu.

Ten typ wymiarowania zakłada, że w rysunku istnieje skojarzony wymiar liniowy, kątowy lub współrzędnej.

Aby utworzyć wymiary linii bazowej, należy:

  1. Upewnić się, że element, który ma być zwymiarowany, posiada już wymiar liniowy, kątowy lub współrzędnej służący jako wymiar bazowy lub wstawić wymiar, jeśli to konieczne.
  2. Kliknąć Wymiar > Linia bazowa (lub wpisać BaselineDimension).

    Gdy ostatnie polecenie wymiarowania utworzyło wymiar liniowy, kątowy lub współrzędnej, pojawi się monit o wybranie punktu jako początku drugiej linii pomocniczej. W innych przypadkach pojawi się monit o wybranie istniejącego wymiaru liniowego, kątowego lub współrzędnej jako wymiaru bazowego. To samo żądanie pojawia się w przypadku naciśnięcia Enter w celu określenia początku drugiej linii pomocniczej.
  3. W obszarze graficznym wybrać:
    1. Początek drugiej linii pomocniczej lub wymiar linii bazowej (liniowy, kątowy lub współrzędnej), w zależności od linii poleceń.
    2. Punkty dla początków kolejnych linii pomocniczych. Aby ułatwić wymiarowanie, należy użyć przyciągań elementów.

      Podczas tworzenia liniowych wymiarów linii bazowej każdy wymiar wyświetla odległość pomiędzy linią bazową a wybranym punktem.
  4. Jeśli zachodzi potrzeba, należy określić opcję Cofnij, aby usunąć ostatni ciągły wymiar wprowadzony podczas bieżącego polecenia.

Dostęp

Polecenie: BaselineDimension

Menu: Wymiar > Linia bazowa

Tematy pokrewne

Tworzenie wymiarów ciągłych

Tworzenie wymiarów równoległych

Tworzenie wymiarów liniowych

Tworzenie wymiarów kątowych


Tworzenie wymiarów ciągłych

Polecenie ContinueDimension kontynuuje wymiar liniowy, kątowy lub współrzędnej od linii pomocniczej poprzedniego lub określonego wymiaru.

Wymiarowanie ciągłe dzieli jeden długi wymiar na krótsze segmenty, które dodają się do wymiaru całkowitego.

Polecenie to jest odmianą wymiarowania liniowego, w której istniejące wymiarowanie jest kontynuowane lub wydłużane. Drugi wymiar jest łączony z istniejącym wymiarem w celu utworzenia łańcucha wymiarowania.

Ten typ wymiarowania zakłada, że istniejący wymiar liniowy, kątowy lub współrzędnej służy jako baza.

Aby utworzyć ciągłe wymiary, należy:

  1. Upewnić się, że element, który ma być zwymiarowany, posiada już wymiar liniowy, kątowy lub współrzędnej, lub wstawić wymiar, jeśli to konieczne.
  2. Kliknąć Wymiar > Kontynuuj (lub wpisać ContinueDimension).

    Gdy ostatnie polecenie wymiarowania utworzyło wymiar liniowy, kątowy lub współrzędnej, pojawi się monit o wybranie punktu jako początku drugiej linii pomocniczej. W innych przypadkach pojawi się monit o wybranie istniejącego wymiaru liniowego, kątowego lub współrzędnej jako wymiaru bazowego. To samo żądanie pojawia się w przypadku naciśnięcia Enter po monicie w celu określenia początku drugiej linii pomocniczej.
  3. W obszarze graficznym wybrać:
    1. Początek drugiej linii pomocniczej lub wymiar linii bazowej (liniowy, kątowy lub współrzędnej), w zależności od wiersza poleceń.
    2. Punkty dla początków kolejnych linii pomocniczych. Aby ułatwić wymiarowanie, należy użyć przyciągań elementów.

      Podczas tworzenia łańcuchów liniowych wymiarów ciągłych tekst wymiaru wyświetla odległość pomiędzy dołączaną linią pomocniczą a wybranym punktem.
  4. Jeśli zachodzi potrzeba, należy określić opcję Cofnij, aby usunąć ostatni ciągły wymiar wprowadzony podczas bieżącego polecenia.

Dostęp

Polecenie: ContinueDimension

Menu: Wymiar > Kontynuuj

Tematy pokrewne

Tworzenie wymiarów linii bazowej

Tworzenie wymiarów równoległych

Tworzenie wymiarów liniowych

Tworzenie wymiarów kątowych


Tworzenie inteligentnych linii wiodących

Polecenie SmartLeader służy do rysowania linii wiodących, które łączą adnotacje z elementem rysunku. Linie wiodące są użyteczne, gdy tekst wymiaru lub adnotacja nie mieści się obok odpowiedniego elementu rysunku. W punkcie końcowym linii wiodącej można opcjonalnie umieszczać pojedyncze lub wielokrotne linie tekstu, tolerancje geometryczne, odniesienie bloku lub kopię innej linii wiodącej.

Linie wiodące są rysowane jako proste segmenty linii lub krzywe splajnu. Domyślnie punkt początkowy linii wiodącej ma kształt ostrza strzałki, które można dostosowywać.

Można również użyć polecenia Leader, aby utworzyć linię wiodącą. Polecenie SmartLeader udostępnia dodatkowe funkcje formatowania.

Aby utworzyć linie wiodące, należy:

  1. Kliknąć Wymiar > Linia wiodąca (lub wpisać SmartLeader).
  2. Wprowadzić pierwszy punkt linii wiodącej lub opcjonalnie nacisnąć klawisz Enter, aby użyć okna dialogowego Formatuj linie wiodące w celu dostosowania ustawień linii wiodącej. Aby dostosować tekst adnotacji, użyć karty Adnotacje w oknie dialogowym:
    1. Kliknąć Typ tekstu adnotacji.
      • Blok: Monituje o dołączenie wstawienia bloku do linii wiodącej po określeniu wierzchołków.
      • Kopiuj element: Pozwala określić tekst jedno- lub wieloliniowy, blok lub tolerancję geometryczną do dołączenia na końcu linii wiodącej po określeniu wierzchołków.
      • Notatka. Monituje o wprowadzenie tekstu adnotacji i umożliwia wywołanie podręcznego paska narzędzi Formatowanie notatek w celu wprowadzenia i sformatowania adnotacji.
      • Tolerancja: Pozwala utworzyć ramkę regulacji operacji dla tolerancji na końcu linii wiodącej przy użyciu okna dialogowego Tolerancja geometryczna.
      • Brak: Tworzy linię wiodącą bez żadnych adnotacji, co umożliwia narysowanie linii wiodącej od jednego elementu rysunku do drugiego.
    2. W części Opcje notatki należy dostosować wyświetlanie dla adnotacji, jeżeli użyto opcji Notatka:
      • Wyrównanie do lewej: W przypadku wyrównywania do lewej szerokość linii nie jest wprowadzana. Wprowadzane linie tekstu mogą być dowolnej długości bez żadnych automatycznych podziałów linii.
      • Określ szerokość: Monituje o podanie szerokości adnotacji przed wprowadzeniem tekstu. Narzędzie edycji wprowadza podziały linii automatycznie tam, gdzie to konieczne.
      • Pokaż ramkę tekstu: Umieszcza ramkę wokół adnotacji.
    3. Określić Ustawienia ponownego użycia:
      • Ponownie użyj bieżące: Stosuje automatycznie po określeniu Ponownie użyj następne:
      • Ponownie użyj następne: Ponownie używa następnej utworzonej adnotacji dla kolejnych poleceń SmartLeader.
      • Nie używaj ponownie (domyślne).
    4. Aby dostosować umieszczenie tekstu, należy określić miejsce dołączenia tekstu po lewej lub po prawej stronie linii wiodącej: tekst można umieścić na górze górnej linii tekstu, na środku górnej linii tekstu, na środku wielu linii tekstu, na środku dolnej linii tekstu lub na dole dolnej linii tekstu. Można również podkreślić dolną linię tekstu.
  3. Aby dostosować linię wiodącą, należy użyć karty Strzałki/Linie:
    1. Kliknąć Typ linii wiodącej:
      • Prosty: Rysuje proste linie pomiędzy określonymi punktami linii wiodącej.
      • Splajn: Rysuje splajn przy użyciu określonych punktów linii wiodącej.
    2. W części Ustawienia kąta określić Pierwszy segment i Drugi segment:
      • 15°, 30°, 45° lub 90°: Określa konkretny kąt.
      • Poziomo: Wymusza poziomy kierunek segmentu.
      • Bez powiązań: Zezwala na dowolny kąt (domyślnie).
    3. Określić Ustawienia wierzchołka:
      • Nieograniczony: Wyłącza listę Maksimum wierzchołka.
      • Maksimum wierzchołka: Określa liczbę punktów w linii wiodącej, o których podanie aplikacja monituje przed monitem o tekst adnotacji.
    4. Na liście Styl strzałki wybrać typ dla ostrza strzałki.
  4. Wybrać wiele punktów dla linii wiodącej i nacisnąć Enter, aby dokończyć linię wiodącą.
  5. Punkty definiują lokalizacje segmentów linii wiodącej.
  6. Określić szerokość tekstu adnotacji przy założeniu, że ustawiono opcję Określ szerokość.
  7. Wprowadzić pierwszy wiersz tekstu adnotacji lub nacisnąć klawisz Enter, aby użyć podręcznego paska narzędzi Formatowanie notatek w celu wpisania i sformatowania adnotacji.

Dostęp

Polecenie: SmartLeader

Menu: Wymiar > Linia wiodąca

Tematy pokrewne

Tworzenie linii wiodących

Tworzenie tolerancji geometrycznych

Tworzenie notatek


Tworzenie linii wiodących

Polecenie Leader służy do rysowania linii wiodących, które łączą adnotacje z elementem rysunku. Linie wiodące są użyteczne, gdy tekst wymiaru lub adnotacja nie mieści się obok odpowiedniego elementu. W punkcie końcowym linii wiodącej można opcjonalnie umieszczać pojedyncze lub wielokrotne linie tekstu, tolerancję geometryczną, odniesienie bloku lub kopię innej linii wiodącej.

Linie wiodące są rysowane jako proste segmenty linii lub krzywe splajnu. Domyślnie punkt początkowy linii wiodącej ma kształt ostrza strzałki, które można dostosowywać.

Można również użyć polecenia SmartLeader, aby utworzyć linię wiodącą z wykorzystaniem dodatkowych funkcji formatowania.

Aby utworzyć linie wiodące, należy:

  1. Wpisać Leader w wierszu poleceń.
  2. W obszarze graficznym wybrać:
    1. Punkt początkowy linii wiodącej.
    2. Domyślnie punkt początkowy jest ostrzem strzałki.
    3. Następny punkt linii wiodącej.
    4. Kolejny punkt lub określić opcję:
      • Notatka: Pozwala dodawać tekst do linii wiodącej (domyślnie). Wpisać linię tekstu lub nacisnąć Enter, aby określić opcję:
        • Blok: Wstawia blok na końcu linii wiodącej. Blok jest wstawiany z określonym odsunięciem od końca linii wiodącej; linia haczyka nie jest wyświetlana. Wpisać nazwę bloku lub nacisnąć Enter, aby określić blok. Pojawi się monit o wstawienie określonego bloku. Patrz polecenie -InsertBlock
        • Kopiuj adnotację: Kopiuje pojedyncze linie tekstu, wielokrotne linie tekstu, ramki regulacji operacji z tolerancjami lub bloki na koniec linii wiodącej. Kliknąć element do skopiowania.
        • Edytor. Wywołuje edytor tekstowy pozwalający na edytowanie adnotacji. Patrz Korzystanie z podręcznego paska narzędzi Formatowanie notatek. Jest to ustawienie domyślne.
        • Brak adnotacji: Kończy polecenie bez dodawania adnotacji do linii wiodącej.
        • Tolerancja: Pozwala utworzyć ramkę regulacji operacji dla tolerancji na końcu linii wiodącej przy użyciu okna dialogowego Tolerancja geometryczna. Patrz polecenie Tolerance.
      • Ustawienia: Pozwala ustawić linię prostą lub splajn jako styl linii wiodącej i określa, czy należy użyć ostrze strzałki na początku linii wiodącej.
        • Strzałka: Rysuje ostrze strzałki w punkcie początkowym linii wiodącej.
        • Brak strzałki: Rysuje linię wiodącą bez ostrza strzałki w punkcie początkowym.
        • Splajn: Rysuje splajn przy użyciu określonych punktów linii wiodącej.
        • Prosty: Rysuje proste linie pomiędzy określonymi punktami linii wiodącej.
        • Zakończ: Kończy pracę z opcjami formatowania.
      • Cofnij: Usuwa ostatnio narysowany segment linii wiodącej.
  3. Nacisnąć Enter.

Dostęp

Polecenie: Leader

Tematy pokrewne

Tworzenie inteligentnych linii wiodących

Tworzenie tolerancji geometrycznych

Tworzenie notatek


Tworzenie tolerancji geometrycznych

Polecenie Tolerance służy do tworzenia i umieszczania wskaźników bazy pomiarowej i podstawowych notacji wymiarów w rysunku.

Poniżej przedstawiono przykładową tolerancję:

Poniższe tabele opisują symbole tolerancji i stanu materiału, jakie można wybrać w oknie dialogowym Tolerancja geometryczna.

Symbole charakterystyki geometrycznej

Symbol | Charakterystyka | Typ
 | Położenie | Lokalizacja
 | Koncentryczność lub współosiowość | Lokalizacja
 | Symetria | Lokalizacja
 | Równoległość | Orientacja
 | Prostopadłość | Orientacja
 | Kątowość | Orientacja
 | Cylindryczność | Forma
 | Płaskość | Forma
 | Kołowość lub okrągłość | Forma
 | Prostość | Forma
 | Profil powierzchni | Profil
 | Profil linii | Profil
 | Bicie kołowe | Bicie
 | Bicie całkowite | Bicie

Symbole stanu materiału

Symbol | Definicja | Typ
 | W stanie maksymalnych wymiarów materiału operacja zawiera maksymalną ilość materiału podaną w limitach. | MMC
 | W stanie minimalnych wymiarów materiału operacja zawiera minimalną ilość materiału podaną w limitach. | LMC
 | Bez względu na rozmiar operacji oznacza, że operacja może być dowolnego rozmiaru w granicach podanych limitów. | RFS

Aby utworzyć tolerancję, należy:

  1. Kliknąć Wymiar > Tolerancja (lub wpisać Tolerance).
  2. W oknie dialogowym, na odpowiedniej liście, wybrać symbole charakterystyki geometrycznej i stanu materiału (specyfikacje M.C.). Wybrać Średnica, aby włączyć symbole średnicy.
  3. Dokończyć specyfikacje poprzez wpisanie wartości tolerancji w odpowiednich polach tekstowych.
  4. Wprowadzić wartości bazy pomiarowej według potrzeb i wybrać odpowiednie symbole stanu materiału.
  5. Wprowadzić Identyfikator bazy pomiarowej.
  6. Wprowadzić Wysokość dla tolerancji.
  7. Dodać symbol Strefa rzutowanej tolerancji, jeśli to konieczne.
  8. Kliknąć OK.
  9. Kliknąć w obszarze graficznym, aby umieścić tolerancję.

    Tolerancja zostanie wyświetlone w obszarze graficznym.

Dostęp

Polecenie: Tolerance

Menu: Wymiar > Tolerancja

Tematy pokrewne

Tworzenie inteligentnych linii wiodących


Edytowanie tolerancji geometrycznych

Polecenie EditTolerance służy do modyfikowania tolerancji.

Aby edytować tolerancje, należy:

  1. Kliknąć Modyfikuj > Element > Tolerancja (lub wpisać EditTolerance).
  2. W obszarze graficznym wybrać tolerancję do edycji.
  3. W oknie dialogowym Tolerancja geometryczna zmodyfikować ustawienia i kliknąć OK.

Dostęp

Polecenie: EditTolerance

Menu: Modyfikuj > Element > Tolerancja

Tematy pokrewne

Tworzenie tolerancji geometrycznych


Tworzenie znaczników środka

Polecenie CenterMark służy do oznaczania środka okręgu lub łuku. Można wyświetlać środek jako znacznik środka (punkt) lub jako linię środkową (przerwaną linię przecinającą środek).

Aby utworzyć znacznik środka, należy:

  1. Kliknąć Wymiar > Znacznik środka (lub wpisać CenterMark).
  2. Wybrać okrąg lub łuk.

    Zostanie wyświetlony znacznik środka.

Dostęp

Polecenie: CenterMark

Menu: Wymiar > Znacznik środka

Tematy pokrewne

Tworzenie wymiarów promienia

Tworzenie wymiarów średnicy


Modyfikowanie wymiarów

Polecenie EditDimension służy do zmieniania pozycji, kąta i wartości teksu wymiaru. Można również zmieniać orientację pomocniczych linii wymiarów.

Aby zmodyfikować wymiary, należy:

  1. Wpisać EditDimension w wierszu poleceń.
  2. Określić opcję:
    • Kąt: Obraca tekst wymiaru istniejących wymiarów. Określić kąt obrotu. Aby przywrócić orientację domyślną obróconego tekstu wymiaru, należy wprowadzić kąt 0°. Opcja ta działa tak samo, jak opcja Kąt polecenia EditDimensionText z wyjątkiem tego, że w poleceniu EditDimension można określić wiele wymiarów.
    • Początek: Cofa przesunięcie i obrót tekstu wymiaru i przywraca jego pozycję początkową (domyślną).
    • Przesuń: Przenosi linię wymiarową i tekst istniejących wymiarów w jednej operacji.
    • Nowy: Modyfikuje wartość tekstu wymiaru. Należy wprowadzić wartość lub <>, aby wstawić wygenerowany pomiar. Można przywrócić wygenerowany pomiar w wymiarze lub dodać przedrostek bądź przyrostek do wygenerowanego pomiaru. Na przykład N-<> generuje wartość N-24, jeżeli pomiar wymiaru generuje 24.
    • Pochylony: Modyfikuje orientację istniejących wymiarów liniowych. Wprowadzić nowy kąt dla pomocniczych linii wymiaru.
  3. Wybrać wymiar do aktualizacji.
  4. Nacisnąć Enter.

    Określone wymiary zostaną zaktualizowane.

Dostęp

Polecenie: EditDimension

Tematy pokrewne

Edytowanie tekstu wymiaru


Modyfikowanie orientacji wymiarów

Polecenie ObliqueDimension pozwala modyfikować orientację istniejących wymiarów liniowych.

Aby zmodyfikować orientacje wymiarów, należy:

  1. Wpisać ObliqueDimension w wierszu poleceń.
  2. Wpisać wartość lub kliknąć w obszarze graficznym, aby ustawić kąt pochylenia dla pomocniczych linii wymiaru.
  3. Określić wymiary do zmodyfikowania.
  4. Nacisnąć Enter.

Dostęp

Polecenie: ObliqueDimension

Tematy pokrewne

Modyfikowanie wymiarów


Zmiana położenia strzałek wymiarowych

Polecenie FlipArrows umożliwia zmianę położenia strzałek wymiarowych.

Narzędzie to można zastosować do dowolnego wymiaru używającego strzałek lub znaczników.

Po wybraniu wymiaru, w pobliżu jego strzałek lub znaczników jest wyświetlany węzeł ( [image]). Kliknięcie węzła umożliwia zmianę położenia strzałek wymiarowych.

Aby zmienić położenie strzałek wymiarowych, należy:

  1. Wpisać polecenie FlipArrows w oknie poleceń.
  2. W obszarze graficznym wybrać Wymiary.
  3. Położenie strzałek lub znaczników wymiarowych zmienia się wzdłuż linii pomocniczej lub krawędzi elementu.

Aby zmienić położenie strzałek wymiarowych z uchwytami wymiaru, należy:

  1. W obszarze graficznym wybrać Wymiary.
  2. Kliknąć węzeł wymiaru ( [image]) na linii wymiarowej, dla której ma zostać zmienione położenie strzałek.

Użyć polecenia DimensionStyle w celu określenia stylu i rozmiaru strzałek wymiarowych.

Dostęp

Polecenie: FlipArrows

Tematy pokrewne

Praca ze stylami wymiarowania


Edytowanie tekstu wymiaru

Polecenie EditDimensionText służy do przenoszenia lub obracania tekstu pojedynczego wymiaru. Aby edytować wiele wymiarów, należy użyć polecenia EditDimension.

Aby edytować tekst wymiaru, należy:

  1. Kliknąć Wymiar > Wyrównaj tekst (lub wpisać EditDimensionText).
  2. Wybrać opcję wyrównania:
    • Kąt: Obraca tekst wymiaru względem środka o określony kąt.
    • Środek: Przenosi tekst do pozycji wyrównanej na środku wymiaru.
    • Początek: Cofa przesunięcie tekstu wymiaru i przywraca jego pozycję początkową.
    • Lewa strona: Przenosi tekst do pozycji wyrównanej z lewej strony wymiaru.
    • Prawa strona: Przenosi tekst do pozycji wyrównanej z prawej strony wymiaru.
  3. Wybrać wymiar.

    Tekst wymiaru zostanie przeniesiony zgodnie z określonymi opcjami.

Dostęp

Polecenie: EditDimensionText

Menu: Wymiar > Wyrównaj tekst

Tematy pokrewne

Modyfikowanie wymiarów


Przywracanie pierwotnej pozycji tekstu wymiaru

Polecenie ResetDimensionText cofa przeniesienie tekstu wymiaru, przywracając jego pierwotną pozycję.

Aby przywrócić pierwotną pozycję tekstu wymiaru, należy:

  1. Wpisać ResetDimensionText w wierszu poleceń.
  2. W obszarze graficznym wybrać wymiary do ponownego wyrównania.
  3. Nacisnąć Enter.

    Przywrócone zostaną pierwotne pozycje wymiarów.

Dostęp

Polecenie: ResetDimensionText

Tematy pokrewne

Przenoszenie tekstu wymiaru

Modyfikowanie wymiarów


Przenoszenie tekstu wymiaru

Polecenie MoveDimensionText służy do przenoszenia tekstu wymiaru.

Aby przenieść tekst wymiaru, należy:

  1. Wpisać MoveDimensionText w wierszu poleceń.
  2. W obszarze graficznym wybrać wymiar.
  3. Kliknąć w obszarze graficznym, aby określić nową pozycję tekstu.

    Tekst wymiaru zostanie przeniesiony do nowej lokalizacji. Linia wymiaru zostanie wyrównana z nową pozycją tekstu wymiaru.

Dostęp

Polecenie: MoveDimensionText

Tematy pokrewne

Przywracanie pierwotnej pozycji tekstu wymiaru

Modyfikowanie wymiarów


Obracanie tekstu wymiaru

Polecenie RotateDimensionText służy do obracania tekstu wymiaru określonych wymiarów.

Aby obrócić tekst wymiaru, należy:

  1. Wpisać RotateDimensionText w wierszu poleceń.
  2. Wpisać kąt, o który należy obrócić tekst wymiaru.
  3. W obszarze graficznym wybrać wymiary i nacisnąć Enter.

    Tekst określonego wymiaru zostanie obrócony o określony kąt.

Dostęp

Polecenie: RotateDimensionText

Tematy pokrewne

Modyfikowanie wymiarów


Modyfikowanie wartości tekstu wymiaru

Polecenie ReplaceDimensionText służy do modyfikowania wartości tekstu wymiaru.

Aby zmodyfikować tekst wymiaru, należy:

  1. Wpisać ReplaceDimensionText w wierszu poleceń.
  2. Wpisać nową wartość tekstu wymiaru.

    Wpisać wartość tekstową lub <>, aby wstawić wygenerowany pomiar. Można przywrócić wygenerowany pomiar w wymiarze lub dodać przedrostek bądź przyrostek do wygenerowanego pomiaru. Na przykład N-<> generuje wartość N-24, jeżeli pomiar wymiaru generuje 24.
  3. W obszarze graficznym wybrać wymiary i nacisnąć Enter.

    Tekst wybranych wymiarów zostanie zaktualizowany.

Dostęp

Polecenie: ReplaceDimensionText

Tematy pokrewne

Edytowanie tekstu wymiaru


Zastępowanie zmiennych stylu wymiarowania

Polecenie OverrideDimensionStyle służy do zmieniania ustawienia zmiennej stylu wymiarowania i stosowania ustawienia do wymiarów bez modyfikowania aktywnego stylu wymiarowania.

Aby zastąpić zmienne stylu wymiarowania, należy:

  1. Kliknąć Wymiar > Zastąp (lub wpisać OverrideDimensionStyle).
  2. Wpisać nazwę zmiennej stylu wymiarowania do zastąpienia.
  3. Wprowadzić nową wartość.
  4. Kontynuować wprowadzanie zmiennych stylu wymiarowania oraz wartości i nacisnąć Enter po zakończeniu.
  5. W obszarze graficznym określić wymiary, których ustawienia mają być zastąpione.
  6. Nacisnąć Enter.

    Określone wymiary zostaną zaktualizowane.

Aby cofnąć zastąpienia stylu wymiarowania, należy:

  1. Kliknąć Wymiar > Zastąp (lub wpisać OverrideDimensionStyle).
  2. Określić opcję Usuń zmiany, aby cofnąć wszelkie skonfigurowane zastąpienia zmiennych stylu wymiarowania.
  3. W obszarze graficznym określić wymiary, których ustawienia mają być zastąpione.
  4. Nacisnąć Enter.

Dostęp

Polecenie: OverrideDimensionStyle

Menu: Wymiar > Zastąp

Tematy pokrewne

Praca ze stylami wymiarowania

Tworzenie i modyfikowanie wymiarów


Przebudowywanie wymiarów

Polecenie RebuildDimension służy do stosowania aktywnego stylu wymiarowania do określonych wymiarów.

Należy pamiętać, że aktywny styl wymiarowania trwale zastępuje styl wymiarowania poprzednio zastosowany do określonych wymiarów.

Aby przebudować wymiary, należy:

  1. Kliknąć Wymiar > Przebuduj (lub wpisać RebuildDimension).
  2. W obszarze graficznym wybrać wymiary i nacisnąć Enter.

    Określone wymiary wykorzystujące inne style wymiarowania pojawią się w aktywnym stylu wymiarowania.

Dostęp

Polecenie: RebuildDimension

Menu: Wymiar > Przebuduj

Tematy pokrewne

Praca ze stylami wymiarowania


Kojarzenie wymiarów

Polecenie RelateDimension przywraca relację wymiarów względem elementów. Po utworzeniu nowego rysunku i zmodyfikowaniu zwymiarowanego elementu nastąpi aktualizacja pozycji skojarzonego wymiaru i tekstu, odzwierciedlająca zmiany elementu. W przypadku otwarcia istniejących rysunków czasami wymiary nie są skojarzone z elementami.

Aby przywrócić skojarzenie wymiarów z elementami, należy:

  1. Kliknąć Wymiar > Skojarz wymiar (lub wpisać RelateDimension).
  2. W obszarze graficznym wybrać wymiary i nacisnąć Enter.

    Elementy rysunku, które nie są wymiarami zostaną odfiltrowane.

    Pierwszy określony wymiar jest podświetlony.
  3. Postępować według monitów dla pierwszego określonego wymiaru (lub nacisnąć Enter, aby przejść do następnego wymiaru).
    • W przypadku wymiarów liniowych i wyrównanych: Wybrać początki pierwszej i drugiej linii pomocniczej. Można również określić przywrócenie skojarzenia relacji elementów z wymiarami liniowymi.
    • W przypadku wymiarów promieniowych i średnicowych: Wybrać łuk lub okrąg, aby przywrócić skojarzenie z wymiarem promieniowym lub średnicowym.
    • W przypadku 3-punktowych wymiarów kątowych: Wybrać wierzchołek kąta, pierwszy punkt końcowy kąta i drugi punkt końcowy kąta. Można również określić skojarzenie łuku lub okręgu z wymiarem kątowym.
    • W przypadku 2-liniowych wymiarów kątowych: Wybrać pierwszą i drugą linię, aby skojarzyć te elementy z wymiarem kątowym bazującym na dwóch liniach.
    • W przypadku wartości współrzędnych: Wybrać nową lokalizację operacji, aby przywrócić skojarzenie wartości współrzędnych z punktami.
    • W przypadku wymiarów linii wiodącej: Wybrać nowy punkt skojarzenia dla linii wiodącej.
  4. Tekst wymiaru zostanie automatycznie zaktualizowany.
  5. Jeżeli wybrano więcej niż jeden wymiar, należy powtórzyć krok 3 według potrzeb.

Uwaga: Może zachodzić potrzeba edytowania lokalizacji linii wymiarowych, ponieważ nowo skojarzony wymiar może nie być ustawiony optymalnie po aktualizacji.

Dostęp

Polecenie: RelateDimension

Menu: Wymiar > Skojarz wymiar


Tworzenie i modyfikowanie elementów 3D

Modele w przedstawieniu krawędziowym składają się z krawędzi liniowych i krzywych, które reprezentują krawędzie elementów 3D. Są one tworzone przy użyciu standardowych poleceń rysowania linii, łuków, okręgów, polilinii, elips itp.

Modele powierzchniowe składają się z elementów z krawędziami i powierzchniami pomiędzy tymi krawędziami. Modele powierzchniowe są tworzone poprzez użycie specjalnych poleceń tworzenia elementów 3D.

  • Polecenia tworzenia modeli powierzchniowych omówiono w rozdziale Siatki 3D.
  • Polecenia modyfikowania elementów w przestrzeni 3D omówiono w rozdziale Operacje 3D.

Wyświetlanie, cieniowanie i renderowanie modeli omówiono w temacie Wyświetlanie 3D.


Tworzenie siatek

Ten rozdział opisuje sposób tworzenia powierzchni 3D i siatek elementów.

Można tworzyć formy siatki wieloboku. Jednakże siatki wieloboku mogą tylko w przybliżeniu odzwierciedlać zakrzywione powierzchnie, ponieważ ściany siatki są planarne. Można utworzyć lepsze przybliżenie zakrzywionej powierzchni poprzez zwiększenie gęstości siatki.

Można utworzyć kilka typów planarnych ścian i siatek:

  • Bryły 2D (wypełnione ściany)
  • Ściany 3D
  • Siatka wieloboku
  • Siatki obrócone (powierzchnie obrotu)
  • Siatki stabelaryzowane (wyciągnięte powierzchnie)
  • Siatki krawędziowe
  • Siatki rozwijalne

Polecenie 3D tworzy następujące kształty 3D w postaci elementów siatki: kostki, stożki, misy, kopuły, ostrosłupy, sfery, torusy, kliny oraz siatki pomiędzy czterema połączonymi krawędziami.


Tworzenie brył 2D

Polecenie Solid służy do rysowania jednolicie wypełnionych płaszczyzn, które posiadają granice prostoliniowe. Można tworzyć bryły poprzez utworzenie dowolnej liczby płaszczyzn o trzech lub czterech narożnikach. Można to osiągnąć w sposób ciągły lub wykorzystując segmenty.

Bryły dwuwymiarowe są zawsze rysowane poprzez określenie punktów narożnych (trzech lub czterech).

W przypadku definiowania punktów końcowych dla krawędzi kolejność wprowadzania punktów wpływa na kształt wynikowy. Punkty końcowe krawędzi należy zawsze określać w tym samym kierunku. Jeżeli punkty końcowe krawędzi płaszczyzny są tworzone zgodnie lub przeciwnie do ruchu wskazówek zegara, pojawia się efekt "motyla".

Aby utworzyć prostokątne płaszczyzny, należy:

  1. Kliknąć Rysuj > Siatka > Bryła 2D (lub wpisać Solid).
  2. Kliknąć w obszarze graficznym lub wpisać współrzędne dla każdego punktu narożnika.
  3. Nacisnąć Enter.

Aby utworzyć trójkątne płaszczyzny, należy:

  1. Kliknąć Rysuj > Siatka > Bryła 2D (lub wpisać Solid).
  2. Kliknąć w obszarze graficznym lub wpisać współrzędne dla pierwszych trzech punktów narożnika.
  3. Określić opcję Zakończ.

Dostęp

Polecenie: Solid

Menu: Rysuj > Siatka > Bryła 2D

Tematy pokrewne

Tworzenie ścian 3D


Tworzenie ścian 3D

Polecenie Face tworzy powierzchnie o trzech lub czterech bokach w przestrzeni. Różnica pomiędzy powierzchniami 2D i 3D jest taka, że powierzchnie 3D są wyświetlane jako modele w przedstawieniu krawędziowym, a nie obszary jednolite.

Punkty definicji ściany 3D są określane w kierunku zgodnym lub przeciwnym do ruchu wskazówek zegara, dzięki czemu jedna krawędź powierzchni 3D jest wykorzystywana jako linia bazowa dla następnej powierzchni 3D.

Można również rysować niewidoczne linie, aby zwiększyć przejrzystość skomplikowanych struktur 3D. Funkcja ta jest użyteczna podczas pracy ze skomplikowanymi rysunkami zawierającymi dużą liczbę powierzchni 3D. Ukryte linie sprawiają, że rysunek jest bardziej zrozumiały.

Aby utworzyć prostokątne ściany 3D, należy:

  1. Kliknąć Rysuj > Siatka > Ściana 3D (lub wpisać Face).
  2. (Opcjonalnie) Określić opcję Niewidoczny, aby rysować ukryte linie. Konieczne jest uaktywnienie tej opcji przed każdym określeniem współrzędnych początku każdej linii.
  3. Kliknąć w obszarze graficznym lub wpisać współrzędne dla każdego punktu narożnika.

    Po określeniu czwartego punktu ostatnia współrzędna łączy się z początkiem, aby utworzyć obiekt czworoboczny.

    Pojawi się monit o zdefiniowanie kolejnych punktów. Następna powierzchnia 3D do zdefiniowania wykorzysta ostatnio narysowaną linię jako punkt początkowy lub linię bazową.
  4. Nacisnąć Enter.

Aby utworzyć trójkątne ściany 3D, należy:

  1. Kliknąć Rysuj > Siatka > Ściana 3D (lub wpisać Face).
  2. Kliknąć w obszarze graficznym lub wpisać współrzędne dla pierwszych trzech punktów narożnika.
  3. Nacisnąć Enter.

    Ostatnia zdefiniowana współrzędna połączy się z lokalizacją pierwszej współrzędnej, aby utworzyć prostokąt.

Dostęp

Polecenie: Face

Menu: Rysuj > Siatka > Ściana 3D

Tematy pokrewne

Tworzenie brył 2D


Tworzenie siatek wieloboku

Polecenie Mesh tworzy siatki wieloboku 3D. Zwykle służy ono do generowania nieregularnych powierzchni wierzchołek po wierzchołku. Na przykład jest ono używane w aplikacjach geodezyjnych i geograficznych systemów informatycznych do tworzenia powierzchni topologicznych.

Siatka jest przedstawieniem krawędziowym rektalinearnej powierzchni składającej się z linii kolumn M i linii wierszy N przechodzących przez macierz M x N punktów 3D w przestrzeni. M i N to wskaźniki określające liczbę wierszy i kolumn, które tworzą siatkę i determinują liczbę węzłów wymaganych w siatce.

Siatki można otwierać lub zamykać zależnie od tego, czy siatka łączy się w kierunku M, N czy w obydwu. Siatka pierścieniowa jest przykładem siatki zamkniętej w obydwu kierunkach.

Aby utworzyć siatki wieloboku, należy:

  1. Kliknąć Rysuj > Siatka > Siatka 3D (lub wpisać Mesh).
  2. Wpisać wartość dla rozmiaru siatki w kierunku M.
  3. Wpisać wartość dla rozmiaru siatki w kierunku N.

    Pojawi się monit o określenie współrzędnych dla narożników wierzchołków do chwili zdefiniowania wszystkich wierzchołków w kierunkach M i N. Pojawi się monit o każdy kolejny wierzchołek, poczynając od wierzchołka (0,0), poprzez drugi wierzchołek w pierwszej kolumnie (0,1) itd. Po określeniu wszystkich wierzchołków kolumny pojawia się monit o pierwszy wierzchołek następnej kolumny.
  4. Kliknąć w obszarze graficznym lub wpisać współrzędne dla każdego wierzchołka.

Dostęp

Polecenie: Mesh

Menu: Rysuj > Siatka > Siatka 3D


Tworzenie siatek obróconych

Tworzenie siatek obróconych (powierzchnie obrotu)

Polecenie RevolvedMesh tworzy powierzchnię poprzez obrócenie krzywej ścieżki (profilu) wokół osi obrotu.

Krzywa porusza się wokół określonej osi, definiując powierzchnię w kierunku N siatki. Oś obrotu określa kierunek M siatki.

Aby utworzyć siatki obrócone, należy:

  1. Kliknąć Rysuj > Siatka > Obrócona (lub wpisać RevolvedMesh).
  2. W obszarze graficznym wybrać element do obrócenia. Może nim być linia, łuk, okrąg, polilinia lub splajn, które określają element profilu. Aby zamknąć siatkę w kierunku N, jako profil należy wybrać okrąg lub zamkniętą polilinię.
  3. Wybrać element do użycia jako oś obrotu. Element profilu obraca się wokół osi.
  4. Wpisać kąt początkowy. Domyślnym ustawieniem jest pełny okrąg.
  5. Wpisać kąt całkowity. Dodatnia wartość jest w kierunku przeciwnym do ruchu wskazówek zegara. Wartość ujemna jest w kierunku zgodnym z ruchem wskazówek zegara. Domyślnym ustawieniem jest pełny okrąg.

Dostęp

Polecenie: RevolvedMesh

Menu: Rysuj > Siatka > Obrócona

Tematy pokrewne

Tworzenie siatek stabelaryzowanych (wyciągnięte powierzchnie)

Tworzenie siatek rozwijalnych

Tworzenie siatek krawędziowych


Tworzenie siatek stabelaryzowanych

Tworzenie siatek stabelaryzowanych (wyciągnięte powierzchnie)

Polecenie TabulatedMesh tworzy stabelaryzowaną powierzchnię z wykorzystaniem krzywej ścieżki i wektora kierunkowego. Wynikowym elementem jest siatka wieloboku.

Można tworzyć wyciągnięcia linii, łuków, okręgów oraz polilinii 2D lub 3D. Element wykorzystywany jako krzywa ścieżki definiuje powierzchnię siatki. Wektor kierunku (ścieżka wyciągnięcia) musi być linią lub otwartą polilinią.

Aby utworzyć siatki stabelaryzowane, należy:

  1. Kliknąć Rysuj > Siatka > Stabelaryzowana (lub wpisać TabulatedMesh).
  2. W obszarze graficznym wybrać elementy:
    • Krzywa ścieżki
    • Wektor kierunku
  3. Kierunek i długość linii określa kierunek i długość wyciągnięcia. Podczas określania ścieżki wyciągnięcia używane są tylko pierwsze i ostatnie punkty polilinii. Punkt, w którym wybrano element, określa kierunek wyciągnięcia.

Dostęp

Polecenie: TabulatedMesh

Menu: Rysuj > Siatka > Stabelaryzowana

Tematy pokrewne

Tworzenie siatek obróconych (powierzchnie obrotu)

Tworzenie siatek rozwijalnych

Tworzenie siatek krawędziowych


Tworzenie siatek krawędziowych

Polecenie EdgeMesh tworzy siatkę wieloboku 3D pomiędzy czterema obwiedniami.

Aby utworzyć siatki krawędziowe, należy:

  1. Kliknąć Rysuj > Siatka > Krawędź (lub wpisać EdgeMesh).
  2. W obszarze graficznym wybrać cztery elementy, aby zdefiniować krawędzie siatki wieloboku. Poprawne elementy to: linie, łuki, splajny oraz polilinie 2D lub 3D.

    Elementy muszą stykać się ze sobą, tworząc zamknięty element.

Dostęp

Polecenie: EdgeMesh

Menu: Rysuj > Siatka > Krawędź

Tematy pokrewne

Tworzenie siatek obróconych (powierzchnie obrotu)

Tworzenie siatek stabelaryzowanych (wyciągnięte powierzchnie)

Tworzenie siatek rozwijalnych


Tworzenie siatek rozwijalnych

Polecenie RuledMesh tworzy powierzchnię rozwijalną pomiędzy dwiema krzywymi obwiedni (profilami). Wynikowym elementem jest siatka wieloboku.

Aby utworzyć powierzchnie rozwijalne, należy :

  1. Kliknąć Rysuj > Siatka > Rozwijalna (lub wpisać RuledMesh).
  2. W obszarze graficznym wybrać element (pierwsza krzywa definiująca), aby zdefiniować krawędzie powierzchni. Poprawne elementy to: punkty, linie, łuki, okręgi oraz polilinie 2D lub 3D.
  3. Wybrać element (druga krzywa definiująca) dla konturu obwiedni. Jeżeli element dla pierwszej krzywej definiującej jest:
    • Otwartym elementem (takim jak łuk lub linia), to drugi element musi być elementem otwartym
    • Zamkniętym elementem (takim jak okrąg lub zamknięta polilinia), to drugi element musi być elementem zamkniętym.
    • Punktem, to drugi element nie może być punktem

Aby utworzyć siatkę wieloboku, należy wybrać każdy element na tym samym końcu. W przypadku wybrania każdego elementu konturu na przeciwległych końcach generowana jest samoprzecinająca się siatka wieloboku.

Dostęp

Polecenie: RuledMesh

Menu: Rysuj > Siatka > Rozwijalna

Tematy pokrewne

Tworzenie siatek obróconych (powierzchnie obrotu)

Tworzenie siatek stabelaryzowanych (wyciągnięte powierzchnie)

Tworzenie siatek krawędziowych


Tworzenie obiektów siatki wieloboku 3D

Polecenie 3D tworzy siatki wieloboku 3D o różnych kształtach natychmiast, bez definiowania elementów i obwiedni, które już istnieją w rysunku.

Aby utworzyć siatkę wieloboku 3D w kształcie kostki, należy:

  1. Wpisać 3D w wierszu poleceń.
  2. Określić opcję Kostka.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić pierwszy narożnik kostki.
  4. Wpisać wartości lub kliknąć w obszarze graficznym, aby określić długość, szerokość i wysokość kostki.
  5. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić kąt obrotu względem osi Z.

    - lub -

    Określić opcję Odniesienie, aby zdefiniować kąt odniesienia i nowy kąt, w celu zdefiniowania obrotu.

Aby utworzyć siatkę wieloboku 3D w kształcie stożka lub cylindra, należy:

  1. Wpisać 3D.
  2. Określić opcję Stożek.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić punkt środkowy bazy.
  4. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić promień bazy.

    - lub -

    Określić opcję Średnica, a następnie wpisać wartość lub kliknąć w obszarze graficznym, aby określić średnicę bazy.
  5. Powtórzyć poprzedni krok dla górnego promienia.
  6. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić wysokość.
  7. Wpisać wartość dla liczby segmentów dla powierzchni stożka.

Aby utworzyć siatkę wieloboku 3D w kształcie misy, należy:

  1. Wpisać 3D.
  2. Określić opcję Misa.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić punkt środkowy.
  4. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić promień.

    - lub -

    Określić opcję Średnica, a następnie wpisać wartość lub kliknąć w obszarze graficznym, aby określić średnicę.
  5. Wpisać wartość dla segmentów wzdłużnych dla powierzchni (gęstość siatki).
  6. Wpisać wartość dla segmentów poprzecznych dla powierzchni (gęstość siatki).

Aby utworzyć siatkę wieloboku 3D w kształcie kopuły, należy:

  1. Wpisać 3D.
  2. Określić opcję Kopuła.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić punkt środkowy.
  4. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić promień.

    - lub -

    Określić opcję Średnica, a następnie wpisać wartość lub kliknąć w obszarze graficznym, aby określić średnicę.
  5. Wpisać wartość dla segmentów wzdłużnych dla powierzchni (gęstość siatki).
  6. Wpisać wartość dla segmentów poprzecznych dla powierzchni (gęstość siatki).

Aby utworzyć siatkę wieloboku 3D, należy:

  1. Wpisać 3D.
  2. Określić opcję Siatka.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić cztery punkty narożne siatki. W przypadku określania punktów zgodnie lub przeciwnie do ruchu wskazówek zegara uzyskiwana siatka jest prostokątna. W przeciwnym razie uzyskiwana siatka wieloboczna przecina sama siebie.
  4. Wpisać wartość dla rozmiaru siatki w kierunku M.
  5. Powtórzyć poprzedni krok dla kierunku N.

Aby utworzyć ostrosłupową siatkę wieloboku 3D, należy:

  1. Wpisać 3D.
  2. Określić opcję Ostrosłup.
  3. Wpisać wartości lub kliknąć w obszarze graficznym, aby określić cztery punkty narożne bazy.
  4. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić punkt wierzchołka.

    - lub -

    Określić opcję Grzbiet, aby zdefiniować dwa punkty tworzące grzbiet, zamiast jednego punktu w przypadku zwykłego ostrosłupa.

    Wpisać wartość lub kliknąć w obszarze graficznym, aby określić pierwszy i drugi punkt końcowy grzbietu.

    - lub -

    Określić opcję Góra, aby utworzyć górną płaszczyznę, która nie jest równoległa do bazy ostrosłupa.

    Wpisać wartości lub kliknąć w obszarze graficznym, aby określić cztery punkty narożne dla górnej powierzchni ostrosłupa.

Aby utworzyć siatkę wieloboku 3D w kształcie czworościanu (ostrosłup o trzech ścianach), należy:

  1. Wpisać 3D.
  2. Określić opcję Ostrosłup.
  3. Wpisać wartości lub kliknąć w obszarze graficznym, aby określić trzy punkty narożne bazy.
  4. Określić opcję Czworościan.
  5. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić punkt wierzchołka.

    - lub -

    Określić opcję Góra, aby utworzyć górną płaszczyznę, która nie jest równoległa do bazy czworościanu.

    Wpisać wartości lub kliknąć w obszarze graficznym, aby określić trzy punkty narożne dla górnej powierzchni czworościanu.

Aby utworzyć sferyczną siatkę wieloboku 3D, należy:

  1. Wpisać 3D.
  2. Określić opcję Sfera.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić punkt środkowy.
  4. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić promień.

    - lub -

    Określić opcję Średnica, a następnie wpisać wartość lub kliknąć w obszarze graficznym, aby określić średnicę.
  5. Wpisać wartość dla segmentów wzdłużnych dla powierzchni (gęstość siatki).
  6. Wpisać wartość dla segmentów poprzecznych dla powierzchni (gęstość siatki).

Aby utworzyć siatkę wieloboku 3D w kształcie torusa (pierścienia), należy:

  1. Wpisać 3D.
  2. Określić opcję Torus.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić punkt środkowy.
  4. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić promień.

    - lub -

    Określić opcję Średnica, a następnie wpisać wartość lub kliknąć w obszarze graficznym, aby określić średnicę.
  5. Powtórzyć poprzedni krok dla promienia rury.
  6. Wpisać wartość dla liczby segmentów wokół obwodu rury (gęstość siatki).
  7. Wpisać wartość dla liczby segmentów wokół obwodu torusa (gęstość siatki).

Aby utworzyć siatkę wieloboku 3D w kształcie klina, należy:

  1. Wpisać 3D.
  2. Określić opcję Klin.
  3. Wpisać współrzędne lub kliknąć w obszarze graficznym, aby określić narożnik klina.
  4. Wpisać wartości lub kliknąć w obszarze graficznym, aby określić długość, szerokość i wysokość klina.
  5. Wpisać wartość lub kliknąć w obszarze graficznym, aby określić kąt obrotu względem osi Z.

Dostęp

Polecenie: 3D

Tematy pokrewne

Tworzenie i modyfikowanie elementów 3D


Używanie operacji 3D

Niektóre polecenia edycji pozwalają wykonywać takie operacje 3D, jak:

  • Align3D: Wyrównuje elementy z innymi elementami lub innymi punktami docelowymi w przestrzeni 3D.
  • Rotate3D: Obraca elementy rysunku w przestrzeni 3D.
  • Mirror3D: Tworzy lustrzany obraz elementów na płaszczyznach 3D względem osi 3D.
  • Pattern3D: Tworzy wzory z elementów w przestrzeni 3D.


Wyrównywanie elementów w przestrzeni 3D

Polecenie Align3D wyrównuje elementy względem innych elementów lub innych punktów docelowych w przestrzeni 3D.

Polecenie to jest stosowane łącznie z poleceniami Move oraz Rotate lub poleceniami Move i Rotate3D

Aby wyrównać elementy w przestrzeni 3D, należy:

  1. Wpisać Align3D w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do wyrównania.
  3. Określić pierwszy punkt źródłowy (aby określić źródłową płaszczyznę i orientację).

    Pierwszy określony punkt jest punktem bazowym dla przeniesienia.

    Opcji Kopiuj należy użyć, gdy pojawi się monit o określenie punktu bazowego, w celu wyrównania kopii wybranych elementów (zamiast pierwotnych elementów).
  4. Określić drugi punkt źródłowy

    - lub -

    Nacisnąć Enter, aby kontynuować określanie punktów docelowych.
  5. Określić trzeci punkt źródłowy

    - lub -

    Nacisnąć Enter, aby kontynuować określanie punktów docelowych.
  6. Określić odpowiedni pierwszy punkt docelowy.
  7. Określić odpowiedni drugi punkt docelowy

    - lub -

    nacisnąć Enter.
  8. Określić odpowiedni trzeci punkt docelowy

    - lub -

    nacisnąć Enter.

Określenie tylko jednej pary punktów przenosi określone elementy bez obracania ich.

W przypadku określenia dwóch par punktów zachodzi przeniesienie i obrót w oparciu o bieżący układ współrzędnych. Pierwsza para punktów źródłowych i docelowych definiuje wektor przeniesienia, a druga para punktów definiuje kąt obrotu.

W przypadku określenia trzech par punktów, pierwszy punkt elementu przemieszczany jest do pierwszego punktu docelowego, drugi punkt źródłowy przemieszczany jest do drugiego punktu docelowego, a trzeci punkt źródłowy przemieszczany jest do trzeciego punktu docelowego.

Podczas określania punktów źródłowych i docelowych należy używać przyciągań elementów, gdzie stosowne.

W przeciwieństwie do polecenia Align, nie można skalować wyrównanych elementów 2D w celu dopasowania do nowej lokalizacji.

Dostęp

Polecenie: Align3D

Tematy pokrewne

Wyrównywanie elementów


Obracanie w przestrzeni 3D

Polecenie Rotate3D obraca elementy rysunku w przestrzeni 3D.

Elementy można obracać względem określonego punktu o określony kąt obrotu na płaszczyźnie 2D przy użyciu polecenia Rotate. Aby obracać elementy w przestrzeni 3D, należy użyć polecenia Rotate3D, w którym określana jest oś obrotu oraz kąt obrotu względem tej osi.

„Zasada prawej ręki” pomaga objaśnić obrót względem osi w tym poleceniu. W zasadzie tej oś obrotu jest ukazana jako strzałka chwycona prawą ręką, gdzie kierunek kciuka wskazuje od P1 do P2. Obrót od początku lub istniejącego punktu jest wskazywany przez palce ręki (przeciwnie do ruchu wskazówek zegara, patrząc wzdłuż osi z pozycji P2).

Aby obrócić elementy w przestrzeni 3D, należy:

  1. Wpisać Rotate3D w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do obrócenia i nacisnąć Enter.
  3. Kliknąć w obszarze graficznym lub wpisać współrzędne 3D, aby ustawić punkty na osi (oś obrotu) lub określić opcję:
    • 2punkty: Żąda dwóch punktów w celu zdefiniowania osi obrotu. Kliknąć w obszarze graficznym lub wpisać punkty.
    • Element: Pozwala określić element liniowy lub zakrzywiony w celu zdefiniowania osi obrotu. Można określić linię okrąg, łuk lub segment polilinii 2D. Oś obrotu jest wyrównana z wybranym elementem. Jeżeli wybrano:
      • Linię lub prosty segment polilinii 2D, to wymiar osi obrotu jest definiowany przez kierunek tego elementu.
      • Łuk lub okrąg, to oś obrotu jest wyrównana z osią 3D łuku lub okręgu, która jest prostopadłą do płaszczyzny, łuku lub okręgu i przechodzi przez punkt środkowy łuku lub okręgu.
      • Segment łuku polilinii 2D, to polecenie działa jak gdyby wybrano łuk.
    • Ostatni: Wykorzystuje ponownie oś obrotu użytą w poprzednim poleceniu Rotate3D.
    • Widok: Obraca względem osi, która jest prostopadła do bieżącego widoku. Kliknąć w obszarze graficznym lub wpisać punkt, przez który przechodzi oś obrotu.
    • Oś X lub Oś Y: Obraca wybrane elementy względem osi X lub Y bieżącego układu współrzędnych. Kliknąć w obszarze graficznym lub wpisać punkt na określonej osi.
  4. Zdefiniować kąt obrotu:

    Kliknąć w obszarze graficznym, aby określić pierwszy i drugi punkt.

    - lub -

    Wpisać współrzędne 3D dla pierwszego i drugiego punktu.

    - lub -

    Określić opcję Odniesienie, a następnie wpisać kąt odniesienia i nowy kąt lub kliknąć w obszarze graficznym, aby określić kąt odniesienia i drugi punkt oraz nowy kąt i drugi punkt. Różnica pomiędzy kątem odniesienia i nowym kątem stanowi wynikowy kąt obrotu.

    Kąt dodatni powoduje obrót względem osi w kierunku przeciwnym do ruchu wskazówek zegara. Kąt ujemny powoduje obrót w kierunku zgodnym z ruchem wskazówek zegara.

Dostęp

Polecenie: Rotate3D

Tematy pokrewne

Obracanie elementów (2D)


Odbicia lustrzane w przestrzeni 3D

Polecenie Mirror3D tworzy lustrzany obraz elementów na płaszczyźnie 3D względem osi 3D Zasadniczo to, co jest pierwotnie widoczne na tej płaszczyźnie 3D, jest kopiowane jako obraz odwrócony na drugą stronę osi, podobnie do polecenia 2D Mirror.

Aby utworzyć odbicie lustrzane elementów w przestrzeni 3D, należy:

  1. Wpisać Mirror3D w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do odbicia w lustrze i nacisnąć Enter.
  3. Kliknąć w obszarze graficznym lub wpisać współrzędne 3D, aby zdefiniować trzy punkty na płaszczyźnie lustra, lub określić opcję:
    • 3punkty: Wykorzystuje trzy punkty, aby zdefiniować płaszczyznę lustra.
    • Element: Pozwala wybrać element planarny (okrąg, łuk lub polilinię 2D) w celu zdefiniowania płaszczyzny lustra.
    • Ostatni: Wykorzystuje ponownie płaszczyznę lustra użytą w poprzednim poleceniu Mirror3D.
    • Widok: Ustawia bieżącą płaszczyznę widoku jako płaszczyznę lustra poprzez określenie punktu, przez który ma przechodzić płaszczyzna widoku.
    • XY, YZ, ZX: Definiuje płaszczyznę lustra równoległą do płaszczyzny XY, YY lub ZX układu współrzędnych.
    • Oś Z: Określa płaszczyznę lustra przy użyciu dwóch punktów. Płaszczyzna lustra przechodzi przez pierwszy punkt i jest prostopadła do linii zdefiniowanej przez te dwa punkty.
  4. Określić opcję Tak lub Nie, aby usunąć elementy źródłowe.

Dostęp

Polecenie: Mirror3D

Tematy pokrewne

Odbicia lustrzane elementów (2D)


Tworzenie wzorów z elementów w przestrzeni 3D

Polecenie Pattern3D pozwala utworzyć wzór z elementów w przestrzeni 3D. Może to być macierz liniowa lub wyrównanie kołowe względem osi obrotu.

W przypadku wzorów liniowych polecenie to działa podobnie do polecenia Pattern, lecz używa dodatkowych specyfikacji poziomów dla kopii. W przypadku wzorów kołowych polecenie wykorzystuje oś obrotu zamiast punktu przy dokonywaniu ustawień.

Utworzone elementy dziedziczą wszystkie właściwości pierwotnych elementów, takie jak warstwy, kolory linii, style linii i szerokości linii.

Aby utworzyć wzór liniowy elementów w przestrzeni 3D, należy:

  1. Wpisać Pattern3D w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do utworzenia wzoru i nacisnąć Enter.
  3. Określić opcję Liniowy.
  4. Wpisać liczby:
    • Wiersze
    • Kolumny
    • Poziomy
  5. Wpisać odległości oddzielające:
    • Wiersze
    • Kolumny
    • Poziomy
  6. Wzór liniowy zostanie wygenerowany w przestrzeni 3D. Aby zobaczyć rezultat, należy określić widok nieplanarny.

Aby utworzyć wzór kołowy elementów w przestrzeni 3D, należy:

  1. Wpisać Pattern3D.
  2. W obszarze graficznym wybrać elementy do utworzenia wzoru i nacisnąć Enter.
  3. Określić opcję Kołowy.
  4. Wpisać liczbę elementów dla wzoru kołowego.
  5. Wpisać kąt do wypełnienia. Wpisać liczbę dodatnią dla kąta wypełnienia przeciwnego do ruchu wskazówek zegara lub liczbę ujemną dla kąta wypełnienia zgodnego z ruchem wskazówek zegara.
  6. Określić, czy elementy mają być obracane podczas kopiowania.
  7. Wybrać pierwszy i drugi punkt na osi obrotu.
  8. Wzór kołowy zostanie wygenerowany w przestrzeni 3D. Aby zobaczyć rezultat, należy określić widok nieplanarny.

Dostęp

Polecenie: Pattern3D

Tematy pokrewne

Odbicia lustrzane elementów (2D)


Tworzenie płaskich odwzorowań obiektów bryłowych 3D

Polecenie MakeFlatSnapshot tworzy płaskie odwzorowanie obiektów bryłowych 3D i regionów, rzutowanych na płaszczyźnie X-Y rysunku aktywnego niestandardowego układu współrzędnych (CCS).

Spłaszczone odwzorowanie 2D jest wstawiane jako blok w obszarze graficznym.

Aby utworzyć płaskie odwzorowanie obiektów bryłowych 3D:

  1. W obszarze graficznym skonfiguruj widok, z którego chcesz wykonać płaski slajd. Użyj polecenia Widoki.
  2. Wpisać MakeFlatSnapshot w wierszu poleceń.
  3. W oknie dialogowym określ daną opcję dla Cel slajdu płaskiego:
    • Wstaw jako blok: Wstawia płaskie odwzorowanie jako blok w obszarze graficznym.
    • Zastąp istniejący blok: Zastępuje na rysunku istniejący blok blokiem utworzonym przez użytkownika.
    • Eksportuj do pliku: Zapisuje płaskie odwzorowanie w zewnętrznym pliku rysunku.
  4. Kliknij OK.

Użyj polecenia Rozbij, aby rozbić blok reprezentujący spłaszczony widok na jego elementy składowe. Rozbicie bloku pozwala usunąć linie zasłaniające widok lub zmodyfikować styl linii ukrytych linii.

Dostęp

Polecenie: MakeFlatSnapshot

Tematy pokrewne

Definiowanie i wstawianie bloków


Tworzenie arkuszy układu i drukowanie rysunków

Tworzenie arkuszy i drukowanie rysunków

Po zakończeniu rysowania można wybrać karty arkuszy, aby zaprojektować układy do drukowania.

Ten rozdział zawiera dwie sekcje:

  • Tworzenie układów rysunków na arkuszach: Omawia model i obszary robocze arkusza oraz okienka ekranu na arkuszach
  • Drukowanie i kreślenie rysunków: Obejmuje konfiguracje drukowania i zarządzanie Stylem drukowania


Tworzenie układów rysunków na arkuszach

W tym rozdziale omówiono następujące tematy:

  • Tworzenie i zarządzanie arkuszami
  • Praca z okienkami ekranu na arkuszach
  • Przełączanie do przestrzeni roboczej modelu
  • Przełączanie do przestrzeni roboczej arkusza
  • Sterowanie widocznością warstw w okienkach ekranu
  • Przycinanie okienek ekranu na arkuszach


Tworzenie i zarządzanie arkuszami

Można tworzyć nowy arkusz lub zmieniać nazwy, kopiować, zapisywać lub usuwać istniejące arkusze.

W celu utworzenia gotowego rysunku dostarczono dwie różne przestrzenie robocze: Model i Arkusz.

Arkusz to strona, która pozwala na skonfigurowanie wydruku rysunku.

Można utworzyć maksymalnie 255 arkuszy rysunku na indywidualnych kartach. Nazwy kart arkuszy muszą być unikatowe.

Podczas używania polecenia Sheet dostępne są opcje zarządzania kartami arkusza. Szereg z tych opcji jest również dostępne poprzez kliknięcie karty arkusza prawym przyciskiem myszy.

Aby utworzyć nowy arkusz, należy:

  1. Kliknąć Plik > Arkusz > Nowy arkusz (lub wpisać Sheet i określić opcję Nowy).
  2. Wpisać nazwę dla arkusza.

Aby utworzyć nowy arkusz w oparciu o arkusz w innym pliku, należy:

  1. Kliknąć Plik > Arkusz > Arkusz z szablonu (lub wpisać Sheet i określić opcję Szablon).
  2. W oknie dialogowym Wybierz szablon z pliku wybrać plik *.dwt, *.dwg lub *.dxf, a następnie kliknąć Otwórz.
  3. W oknie dialogowym Lista arkuszy wybrać nazwę arkusza i kliknąć OK.

    Arkusz i wszystkie elementy z określonego pliku zostaną wstawione do rysunku.

Aby skopiować arkusz, należy:

  1. Wpisać Sheet w wierszu poleceń.
  2. Określić opcję Kopiuj.
  3. Wpisać nazwę arkusza do skopiowania.
  4. Wpisać nazwę dla arkusza.

Aby zmienić nazwę arkusza, należy:

  1. Wpisać Sheet.
  2. Określić opcję Zmień nazwę.
  3. Wpisać nazwę arkusza do zmiany nazwy.
  4. Wpisać nazwę dla arkusza.

Aby zapisać arkusz jako plik szablonu rysunku, należy:

  1. Wpisać Sheet.
  2. Określić opcję Zapisz jako.
  3. Wpisać nazwę arkusza do zapisania jako szablon.

    Plik szablonu zostanie zapisany bez informacji definicji bloku i nieużywanych właściwości rysunku, takich jak warstwy i style linii.

Aby aktywować arkusz, należy:

  1. Wpisać Sheet.
  2. Określić opcję Aktywuj.
  3. Wpisać nazwę arkusza do aktywowania.

Aby usunąć arkusz, należy:

  1. Wpisać Sheet.
  2. Określić opcję Usuń .
  3. Wpisać nazwę arkusza do usunięcia.

Aby wyszczególnić wszystkie aktywne arkusze, należy:

  1. Wpisać Sheet.
  2. Określić opcję ?.

    Aktywne arkusze zostaną wyszczególnione w oknie poleceń.

Wyświetlanie kart Model i Arkusz można włączać i wyłączać. Kliknąć Narzędzia > Opcje. Kliknąć Ustawienia rysunku, rozwinąć Wyświetl i wybrać lub usunąć zaznaczenie opcji Pokaż karty modelu i arkusza.

Dostęp

Polecenie: Sheet

Menu: Plik > Arkusz

Tematy pokrewne

Praca z arkuszami

Praca z okienkami ekranu na arkuszach

Przełączanie do przestrzeni roboczej modelu

Przełączanie do przestrzeni roboczej arkusza

Podgląd wydruków

Drukowanie / kreślenie


Praca z okienkami ekranu na arkuszach

Polecenie Viewport tworzy i steruje wieloma widokami sąsiadującymi na arkuszach, zwanymi okienkami ekranu. Okienka ekranu na arkuszach różnią się od wyświetlania sąsiadującego w przestrzeni roboczej modelu, które tworzy się przy użyciu polecenia ViewTiles.

Można tworzyć, usuwać, przenosić, kopiować, skalować i rozciągać okienka ekranu na arkuszach.

Nie można używać polecenia Viewport na karcie Model.

Aby uaktywnić arkusz, należy:

  • Kliknąć kartę Arkusz (jeżeli aktywna jest karta Model).

Aby utworzyć prostokątne okienko ekranu, należy:

  1. Wpisać Viewport w wierszu poleceń.
  2. Kliknąć w obszarze graficznym, aby ustawić pierwszy i drugi narożnik okienka ekranu.

Aby utworzyć dwa, trzy lub cztery okienka ekranu, należy:

  1. Wpisać Viewport.
  2. Określić opcję 2, 3 lub 4 w zależności od tego, ile okienek ekranu ma być dodanych do bieżącego arkusza.
  3. Określić opcję rozmieszczenia (na przykład Poziomo lub Pionowo).

    2 okienka ekranu:

    3 okienka ekranu:

    4 okienka ekranu:
  4. Kliknąć w obszarze graficznym lub wpisać wartość, aby ustawić narożniki okienka ekranu lub określić opcję Dopasowanie.

Aby utworzyć okienko ekranu, które wypełnia arkusz aż do krawędzi obszaru zadruku, należy:

  1. Wpisać Viewport.
  2. Określić opcję Dopasowanie.

    Gdy obszar zadruku jest wyłączony, okienko ekranu dopasowuje się do całego arkusza.

Aby przekształcić zamkniętą polilinię, okrąg, elipsę, zamknięty splajn lub region w okienko ekranu, należy:

  1. Wpisać Viewport.
  2. Określić opcję Element.
  3. W obszarze graficznym wybrać element do przekształcenia w okienko ekranu.

Aby utworzyć okienko ekranu z obwiednią wieloboczną, należy:

Opcja Wieloboczna pozwala narysować nieregularny kształt, który definiuje obwiednię okienka ekranu.

  1. Wpisać Viewport.
  2. Określić opcję Wieloboczna.
  3. Kliknąć w obszarze graficznym, aby ustawić pierwszy punkt definiujący obwiednię.
  4. Zdefiniować pozostałą część obwiedni:
    • Kliknąć w obszarze graficznym, aby określić dodatkowe punkty.

      - lub -
    • Określić opcję Łuk. Postępować zgodnie z monitami, aby utworzyć segmenty łuku dla obwiedni okienka ekranu. Opcje tworzenia segmentów łuku są podobne do opcji polecenia PolyLine.

      - lub -
    • Określić opcję Długość. Postępować zgodnie z monitami, aby utworzyć segment linii o określonej długości, pod takim samym kątem jak poprzedni segment. Opcja ta jest użyteczna przy dołączaniu prostego segmentu o określonej długości, stycznego do poprzedniego segmentu łuku.

      - lub -
    • Określić opcję Zamknij, aby zamknąć obwiednię.

      - lub -
    • Określić opcję Cofnij, aby cofnąć ostatni segment podczas tworzenia obwiedni okienka ekranu.

Aby włączyć okienka ekranu, należy:

  1. Wpisać Viewport.
  2. Określić opcję Wł.
  3. W obszarze graficznym wybrać okienka ekranu do włączenia.

    Model zostanie wyświetlony w wybranych okienkach ekranu.

Aby wyłączyć okienka ekranu, należy:

  1. Wpisać Viewport.
  2. Określić opcję Wył..
  3. W obszarze graficznym wybrać okienka ekranu do wyłączenia.

    Model nie będzie wyświetlany w wybranych okienkach ekranu.

Aby ustawić opcje drukowania, należy:

  1. Wpisać Viewport.
  2. Określić opcję Widok cieniowany.
  3. Określić opcję:
    • Bieżące wyświetlenie: Drukuje okienko ekranu tak, jak jest ono wyświetlane na ekranie.
    • Ukryte: Drukuje okienko ekranu z ukrytymi liniami usuniętymi.
    • Renderowane: Drukuje renderowane okienko ekranu.
    • Przedstawienie krawędziowe: Drukuje okienko ekranu jako przedstawienie krawędziowe.
  4. W obszarze graficznym wybrać okienka ekranu, do których mają stosować się ustawienia.

Aby zamknąć lub otworzyć okienko ekranu, należy:

Opcja Zamknij uniemożliwia zmienianie współczynnika skali powiększenia podczas pracy w zamkniętych okienkach ekranu w przestrzeni modelu.

  1. Wpisać Viewport.
  2. Określić opcję Zamknij.
  3. Określić Wł., aby zamknąć lub Wył., aby otworzyć.
  4. W obszarze graficznym wybrać okienka ekranu, do których mają stosować się ustawienia.

Aby przywrócić konfiguracje okienka ekranu zapisane przy użyciu polecenia Viewport, należy:

  1. Wpisać Viewport.
  2. Określić opcję Przywróć.
  3. Wpisać nazwę konfiguracji okienka ekranu do przywrócenia.

    - lub -

    Określić opcję ?, aby wyszczególnić konfiguracje okienka ekranu.

    - lub -

    Określić opcję Aktywna konfiguracja modelu.

Aby wyrównać widok w jednym okienku ekranu arkusza z widokiem w innym okienku ekranu, należy:

  1. Otworzyć kartę Arkusz i Obszar roboczy arkusza.
  2. Kliknąć Widok > Widoki sąsiadujące > Poziomo lub Widok > Widoki sąsiadujące > Pionowo (lub wpisać Viewport).
  3. Określić opcję Wyrównanie.
  4. Określić tryb wyrównania Poziomo lub Pionowo.
  5. W obszarze Okienko ekranu określić punkt bazowy wyrównania.
  6. W obszarze innego Okienka ekranu określić punkt, względem którego należy wyrównać Okienko ekranu z kroku 5.
  7. Okienko ekranu z punktu 5 zostanie wyrównane poziomo lub pionowo.

Polecenie EntitySnaps służy do określania punktu bazowego i punktu wyrównania, aby odnieść się do istniejącej geometrii. Upewnić się, że Tryb Orto jest włączony podczas przenoszenia Okienka ekranu po wyrównaniu go z innym.

Dostęp

Polecenie: Viewport

Tematy pokrewne

Praca z widokami sąsiadującymi w przestrzeni roboczej modelu


Przełączanie do przestrzeni roboczej modelu

Podczas pracy w arkuszu polecenie ModelMode pozwala na przełączanie pomiędzy przestrzenią roboczą arkusza i przestrzenią roboczą modelu.

Można rysować lub edytować elementy w okienkach ekranu, pomimo że przestrzenią roboczą jest arkusz układu.

Jeżeli występuje wiele widoków sąsiadujących na arkuszu, konkretny widok jest uaktywniany poprzez kliknięcie.

Aby przełączyć z powrotem na przestrzeń roboczą arkusza, należy użyć polecenia SheetMode.

Nie można używać polecenia ModelMode na karcie Model.

Dostęp

Polecenie: ModelMode

Tematy pokrewne

Przełączanie do przestrzeni roboczej arkusza

Tworzenie i zarządzanie arkuszami

Praca z arkuszami


Przełączanie do przestrzeni arkusza

Przełączanie do przestrzeni roboczej arkusza

Podczas pracy nad arkuszem polecenie SheetMode pozwala na przełączanie pomiędzy przestrzenią roboczą modelu i przestrzenią roboczą arkusza.

W przestrzeni roboczej arkusza można na przykład wyświetlać widoki modelu w okienkach ekranu, tworzyć granice, wstawiać bloki tytułowe oraz dodawać adnotacje, listy części lub legendy.

Arkusze reprezentują układ rysunku na papierze. Można tworzyć wiele układów na kartach arkuszy.

Aby przełączyć na przestrzeń roboczą modelu, należy użyć polecenia ModelMode.

Nie można używać polecenia SheetMode na karcie Model.

Dostęp

Polecenie: SheetMode

Tematy pokrewne

Przełączanie do przestrzeni roboczej modelu

Tworzenie i zarządzanie arkuszami

Praca z arkuszami


Sterowanie widocznością warstw w okienkach ekranu

Polecenie ViewportLayer steruje widocznością warstw w okienkach ekranu na arkuszach. Polecenie zachowuje się jak funkcje polecenia Layer z wyjątkiem tego, że dotyczy tylko określonych okienek ekranu na arkuszach.

Polecenie to jest obsługiwane tylko na kartach arkusza i działa tylko po stronie modelu okienek ekranu na arkuszach.

Aby uaktywnić okienko ekranu na karcie Arkusz, należy:

  1. Wybrać kartę Arkusz.
  2. Kliknąć wewnątrz okienka ekranu, aby wybrać okienko ekranu, w którym ma nastąpić wygaszenie warstw.

Aby wygasić warstwy w okienkach ekranu na arkuszach, należy:

Można wygasić jedną lub kilka warstw w jednym lub w wielu okienkach ekranu na arkuszach. Można ustawić warstwę w określonym okienku ekranu jako niewidoczną na ekranie oraz na wydruku. Elementy na wygaszonych warstwach nie są przebudowywane.

  1. Wpisać ViewportLayer w wierszu poleceń.
  2. Określić opcję Zblokowane.
  3. W obszarze graficznym wybrać elementy lub wpisać nazwy warstw do zablokowania.

    Polecenie akceptuje symbole wieloznaczne, przy czym * zablokowuje wszystkie warstwy.
  4. Określić opcję:
    • Wszystkie: Zablokowuje określone warstwy we wszystkich istniejących okienkach ekranu na aktualnej karcie Arkusz.
    • Wybrane: Pozwala określić okienka ekranu, w których należy zablokować określone warstwy.
    • Bieżące: Zablokowuje określone warstwy tylko w bieżącym okienku ekranu.
  5. Nacisnąć Enter, aby zakończyć polecenie.

    Wybrane warstwy znikną.

Aby odblokować warstwy okienka ekranu, należy:

Można przywrócić zablokowane warstwy w jednym lub w wielu okienkach ekranu na arkuszach.

  1. Wpisać ViewportLayer.
  2. Określić opcję Odblokuj.
  3. Wpisać nazwy warstw do odblokowania.
  4. Określić opcję:
    • Wszystkie: Odblokowuje określone warstwy we wszystkich istniejących okienkach ekranu na aktualnej karcie Arkusz.
    • Wybrane: Pozwala określić okienka ekranu, w których należy odblokować określone warstwy.
    • Bieżące: Odblokowuje określone warstwy tylko w bieżącym okienku ekranu.
  5. Nacisnąć Enter, aby zakończyć polecenie.

Aby zresetować warstwy okienka ekranu na arkuszach, należy:

Można przywrócić domyślne ustawienia widoczności warstw w jednym lub w wielu okienkach ekranu.

  1. Wpisać ViewportLayer.
  2. Określić opcję Zresetuj.
  3. W obszarze graficznym wybrać elementy lub wpisać nazwy warstw do zresetowania.
  4. Określić opcję:
    • Wszystkie: Resetuje wszystkie istniejące okienka ekranu na bieżącej karcie Arkusz.
    • Wybierz: Pozwala na określenie okienek ekranu, w których należy zresetować określone warstwy.
    • Bieżące: Resetuje tylko w bieżącym okienku ekranu.
  5. Nacisnąć Enter, aby zakończyć polecenie.

Aby utworzyć jedną lub kilka warstw, które są wygaszane we wszystkich okienkach ekranu na arkuszach, należy:

  1. Wpisać ViewportLayer.
  2. Określić opcję Nowe warstwy zamrożone we wszystkich okienkach ekranu.
  3. Wpisać nazwy warstw do wygaszenia.
  4. Nacisnąć Enter, aby zakończyć polecenie.

    Wygaszane warstwy znikną.

Aby wygasić lub cofnąć wygaszenie jednej lub kilku warstw w nowo tworzonych okienkach ekranu, należy:

  1. Wpisać ViewportLayer.
  2. Określić opcję Widoczność domyślna.
  3. W obszarze graficznym wybrać elementy lub wpisać nazwy warstw do wygaszenia lub cofnięcia wygaszenia.
  4. Określić opcję Zablokowane, aby wygasić, lub Odblokowane, aby cofnąć wygaszenie warstw.
  5. Nacisnąć Enter, aby zakończyć polecenie.

    Wygaszane warstwy znikną.

Dostęp

Polecenie: ViewportLayer

Tematy pokrewne

Zarządzanie warstwami

Praca z okienkami ekranu na arkuszach

Przełączanie do przestrzeni roboczej modelu

Przełączanie do przestrzeni roboczej arkusza

Praca z arkuszami


Przycinanie okienek ekranu na arkuszach

Polecenie ClipViewport pozwala przycinać wyświetlanie okienek ekranu na aktywnym arkuszu o nieregularnych kształtach.

Podczas tworzenia okienka ekranu na arkuszu domyślnie ma ono regularny kształt obwiedni. Polecenie to służy do zastępowania kształtu prostokątnego poprzez określenie zamkniętego elementu jako nowej obwiedni albo poprzez narysowanie nowej obwiedni wielobocznej, wskazując w obszarze graficznym.

Aby przyciąć okienko ekranu na karcie Arkusz poprzez określenie elementu przycinającego, należy:

  1. Uaktywnić kartę Arkusz, aby włączyć tryb arkusza.
  2. Kliknąć Modyfikuj > Przytnij > Okienko ekranu (lub wpisać ClipViewport).
  3. Wybrać okienko ekranu do przycięcia.
  4. Wybrać element, który definiuje obwiednię przycinającą. Można wybrać okrąg, elipsę, zamkniętą polilinię lub zamknięty splajn.
  5. Wybrana obwiednia przytnie okienko ekranu i zastąpi obwiednię prostokątną.

Aby przyciąć okienko ekranu na karcie Arkusz poprzez wskazanie kształtu wielobocznego, należy:

  1. Aktywować kartę Arkusz.
  2. Kliknąć Modyfikuj > Przytnij > Okienko ekranu (lub wpisać ClipViewport).
  3. Wybrać okienko ekranu do przycięcia.
  4. Określić opcję Wieloboczna.
  5. Wybrać pierwszy punkt nieregularnego kształtu.
  6. Kontynuować wybieranie punktów w celu zdefiniowania obwiedni lub określić opcję:
    • Łuk: Rysuje segmenty łuku w danym kształcie. Można używać opcji łuku tak samo jak w poleceniu PolyLine.
    • Zamknij: Zamyka kształt wieloboczny. Nowa obwiednia przytnie okienko ekranu.
    • Długość: Rysuje prosty segment o określonej długości w tym samym kierunku, co poprzedni segment (stycznie, jeśli był to łuk).
    • Cofnij: Usuwa poprzedni segment.
  7. Nacisnąć Enter, aby zamknąć kształt wieloboczny.
  8. Nowa obwiednia przytnie okienko ekranu.

Nie można używać polecenia ClipViewport na karcie Model.

Dostęp

Polecenie: ClipViewport

Menu: Modyfikuj > Przytnij > Okienko ekranu

Tematy pokrewne

Praca z arkuszami

Tworzenie i zarządzanie arkuszami

Praca z okienkami ekranu na arkuszach

Konstruowanie polilinii


Drukowanie i kreślenie rysunków

W tym rozdziale omówiono następujące tematy:

  • Podgląd wydruków
  • Drukowanie / kreślenie
  • Szybkie drukowanie
  • Zarządzanie układami strony
  • Zarządzanie konfiguracjami wydruku
  • Zarządzanie konfiguracjami wydruku
  • Zarządzanie nazwanymi stylami drukowania
  • Zarządzanie tabelami stylu drukowania


Podgląd wydruków

Pozwala zobaczyć, jak będzie wyglądał rysunek po wydrukowaniu lub wykreśleniu.

Aby zobaczyć podgląd wydruku, należy:

  1. Kliknąć Plik > Podgląd wydruku (lub wpisać Podgląd).
  2. Użyć paska narzędzi, aby:

    • Wydrukować lub wykreślić rysunek.
    • Przesunąć podgląd.
    • Powiększyć lub pomniejszyć (stan domyślny).
    • Powiększyć okno określone przez dwa przeciwległe punkty na podglądzie.
    • Powiększyć do pierwotnego widoku podglądu.
    • Zamknąć podgląd.

Dostęp

Polecenie: Preview

Menu: Plik > Podgląd wydruku

Tematy pokrewne

Drukowanie / kreślenie

Tworzenie i zarządzanie arkuszami


Drukowanie / kreślenie

Rysunek można wydrukować na drukarce lub ploterze. Można również wydrukować rysunek do pliku.

Aby wydrukować rysunek na drukarce, ploterze, lub do pliku, należy:

  1. Kliknąć Plik > Drukuj (lub wpisać Print).
  2. W oknie dialogowym, w części Opcje konfiguracji wydruku, wybrać opcję:
    • Szybki druk: Drukuje dokładnie to, co znajduje się na ekranie, wykorzystując domyślną drukarkę systemu, domyślny rozmiar papieru, przy wybranej opcji Dopasuj do rozmiaru papieru oraz opcji Wydrukuj zakres ustawionej jako Bieżący widok.
    • Użyj układu strony: Przywraca ustawienia drukarki, rozmiaru papieru, skali i zakresu drukowania, orientacji i przesunięcia, zapisane w układzie strony.
    • Użyj konfiguracji wydruku: Przywraca ustawienia drukarki, rozmiaru papieru, skali i zakresu wydruku, orientacji i przesunięcia zapisane w konfiguracji wydruku.
    • Użyj konfiguracji wydruku: Przywraca ustawienia drukarki, rozmiaru papieru, skali i zakresu wydruku, orientacji i przesunięcia zapisane w konfiguracji wydruku.
    • Należy wybrać nazwę z listy konfiguracji wydruku. W razie konieczności można dostosować przywrócone ustawienia.
    • Import używa konfiguracji wydruku zdefiniowanej w pliku konfiguracyjnym, w rysunku lub w pliku szablonu rysunku.
    • Użyj poprzednich ustawień: Powtarza drukowanie przy użyciu tych samych ustawień, jakich użyto w poprzednim wydruku.
    • Ustaw ręcznie: Pozwala określić bieżące ustawienia drukowania.
  3. W części Drukarka/ploter:
    • Jako Nazwa wybrać urządzenie wyjściowe. Wyszczególnione zostaną drukarki i plotery dostępne w danym systemie. Wyszczególnione są również formaty PDF, JPG, PNG oraz SVG. Te wbudowane plotery drukują do pliku w określonym formacie.
    • Kliknąć Właściwości, aby skonfigurować drukarkę lub ploter w oknie dialogowym generowanym przez sterownik drukarki.
  4. W części Rozmiar papieru wybrać rozmiar z listy międzynarodowych formatów rozmiaru papieru i formatów papieru dla drukarki.
  5. W części Skala wydruku należy:
    • Usunąć zaznaczenie opcji Dopasuj do rozmiaru papieru, aby zastosować konkretne skalowanie.
    • - lub -
    • Wybrać lub zdefiniować Skalę.
    • - lub -
    • W części Skala wybrać Zdefiniowana przez użytkownika, a następnie określić stosunek jednostek na wydruku (w Milimetrach lub Calach) do jednostek rysunku.
    • Wybrać lub usunąć zaznaczenie opcji Skaluj szerokości linii do skali wydruku.
  6. W części Zakres wydruku ustawić obszar do wydrukowania:
    • Cała geometria: Drukuje zakres, który jest determinowany przez ramkę ograniczającą wszystkich widocznych elementów.
    • Obwiednia rysunku / Arkusz: Drukuje zakres określony przez obwiednię rysunku (gdy jest aktywny model) lub zakres określony przez definicję rozmiaru arkusza (gdy jest aktywna karta arkusza).
    • Nazwany widok: Drukuje wybrany widok.
    • Określ: Kliknąć Określ okno, aby wybrać w obszarze graficznym dwa przeciwległe punkty dla obwiedni drukowania.
    • Bieżący widok: Drukuje rysunek, który jest widoczny na ekranie.
  7. Wybrać Drukuj tylko obszar w obrębie określonego okna, aby przyciąć na wydruku elementy i obwiednie określonego zakresu drukowania, niezależnie od tego, czy na arkuszu wyjściowym jest dostępne wolne miejsce.
  8. Ustawić Liczbę kopii do wydrukowania.
  9. Wybrać Drukuj do pliku, aby wysłać wydruk do pliku, zamiast do drukarki.
  10. Wybrać Drukuj wybrane arkusze, aby wybrać wszystkie arkusze, które mają zostać wydrukowane. Kliknąć Wybierz arkusze, aby określić arkusze do wydrukowania oraz konfigurację wydruku.
  11. Uwaga: Ta opcja jest dostępna tylko, gdy aktywna jest karta arkusza.
  12. W części Orientacja geometrii należy:
    • Wybrać format Pionowy lub Poziomy.
    • Wybrać Drukuj w inwersji, aby odwrócić kierunek drukowania.
  13. W części Odsunięcie drukowania wybrać Drukuj na środku papieru, aby ustawić wydruk z równymi marginesami na górze, na dole, po lewej i po prawej stronie. W przeciwnym razie, należy ustawić marginesy X i Y.
  14. Uwaga: Opcja Drukuj na środku papieru nie jest dostępna jeśli jest aktywna karta arkusza. W razie konieczności dostosować marginesy X i Y.
  15. Można również użyć:
    • Dodatkowe opcje: Określa zaawansowane preferencje drukowania (patrz niżej).
    • Podgląd wydruku: Pozwala zobaczyć wygląd wydruku przy bieżących ustawieniach.
    • Zapisz układ strony: Zapisuje aktualne ustawienia z okna dialogowego jako układ strony.
    • Zapisz konfigurację: Zapisuje ustawienia z bieżącego okna dialogowego w pliku konfiguracji.
    • Zapisz konfigurację: Zapisuje ustawienia z bieżącego okna dialogowego w pliku konfiguracji.
  16. Kliknąć OK, aby wydrukować dokument.

Aby ustawić dodatkowe opcje drukowania, należy:

  1. Kliknąć Plik > Drukuj (lub wpisać Print).
  2. W oknie dialogowym kliknąć Dodatkowe opcje.
  3. W oknie dialogowym Dodatkowe opcje drukowania, w części Opcje, ustawić:
    • Ukryj geometrię na arkuszu: Określa, czy geometria modelu widoczna w okienkach ekranu jest drukowana z ukrytymi liniami usuniętymi. Opcja ta jest dostępna tylko na karcie Arkusz.
    • Drukuj w tle: Wydruk jest przetwarzany w tle, co pozwala na kontynuację prac w rysunku.
    • Drukuj ostatni arkusz: Określa, co ma być drukowane w pierwszej kolejności: geometria modelu widoczna w okienkach ekranu czy geometria arkusza. Opcja ta jest dostępna tylko na karcie Arkusz.
    • Zapisz zmiany w arkuszu: Zapisuje zmiany wprowadzone w oknie dialogowym do arkusza.
    • Użyj przypisanej szerokości linii: Drukuje elementy z wykorzystaniem szerokości linii przypisanych w warstwach. Opcja ta jest dostępna tylko wtedy, gdy usunięto zaznaczenie opcji Użyj przypisanych stylów drukowania.
    • Użyj przypisanych stylów drukowania: Określa, czy style drukowania przypisane do warstw i elementów są drukowane. Drukowane są również przypisane szerokości linii.
    • Stempel drukarski na wydruku: Określa, czy drukować stempel drukarski wraz z rysunkiem.
  4. W części Widoki cieniowane ustawić:
    • Styl drukowania: Włącza tryb cieniowania podczas drukowania.
    • Jakość druku: Stosuje odpowiedni poziom jakości drukowania. Dostępne opcje uzależnione są od wybranej drukarki.
    • DPI: Ustawia liczbę drukowanych punktów na cal, w zależności od ustawienia Jakość druku.
  5. W części Tabela stylu drukowania:
    • Wybrać tabelę stylu drukowania.
    • Kliknąć Nowy, aby utworzyć nowy styl drukowania.
    • Kliknąć Edytuj, aby zmodyfikować wybrany styl drukowania.

Dostęp

Polecenie: Print

Menu: Plik > Drukuj

Skrót klawiaturowy: Ctrl + P

Skrót klawiaturowy: Ctrl + P

Skrót klawiaturowy: Command + P

Tematy pokrewne

Tworzenie i zarządzanie arkuszami

Podgląd wydruków

Zarządzanie układami strony

Zarządzanie konfiguracjami wydruku

Zarządzanie konfiguracjami wydruku

Dostosowywanie listy skal rysunku

Zarządzanie tabelami stylu drukowania

Zarządzanie nazwanymi stylami drukowania


Szybkie drukowanie

Można wydrukować bieżący widok rysunku na drukarce, która jest ustawiona jako domyślne urządzenie wyjściowe w systemie operacyjnym (OS).

Polecenie QuickPrint jest wykonywane natychmiast bez dalszych monitów. Drukuje ono bieżący widok obszaru graficznego, skalując go w taki sposób, aby dopasować do domyślnego rozmiaru papieru i wyśrodkowując na arkuszu.

Inne ustawienia i dodatkowe opcje, które można ustawiać podczas korzystania z polecenia Print (takie jak style drukowania i opcje drukowania widoku cieniowanego), są ignorowane.

Aby wydrukować bieżący widok obszaru graficznego, należy:

  • Wpisać QuickPrint w wierszu poleceń.

    Nastąpi natychmiastowe wysyłanie danych na drukarkę domyślną.

Dostęp

Polecenie: QuickPrint

Tematy pokrewne

Drukowanie / kreślenie


Zarządzanie konfiguracjami wydruku

Konfiguracje wydruku można zdefiniować do stosowania jako domyślne ustawienia drukowania dla modelu i dla arkuszy.

Konfiguracja wydruku zawiera ustawienia drukarki, rozmiar papieru, skalę i zakres wydruku, orientację, wielkość marginesów i inne opcje, takie jak styl drukowania.

Konfigurację wydruku można wybrać po użyciu polecenia Drukuj.

Można również powiązać konfiguracje wydruku z nazwami zakładek arkuszy. Do wszystkich rysunków o takiej samej nazwie zakładki arkusza zostanie automatycznie przypisana taka sama konfiguracja wydruku.

Do zarządzania konfiguracją wydruku używane są dwa typy plików konfiguracyjnych:

  • Każda konfiguracja wydruku jest zapisywana w oddzielnym pliku z rozszerzeniem .cfg.
  • Mapowanie konfiguracji wydruku do nazw kart modelu lub arkusza jest zapisywane w pliku config.map.

Oba rodzaje plików są zapisane w systemowym folderze danych aplikacji Ustawienia wydruku danego użytkownika.

Aby otworzyć okno dialogowe Menedżera konfiguracji wydruku:

  • Kliknąć Plik > Menedżer konfiguracji wydruku (lub wpisać PrintConfiguration).

    Okno dialogowe wyświetla zdefiniowane przez użytkownika konfiguracje wydruku, skojarzone z modelem lub aktywnymi arkuszami.

    W sekcji Ustawienia wyświetlane są informacje dotyczące drukarki związane z wybraną konfiguracją wydruku.

    W górnej części okna dialogowego wyświetlana jest nazwa aktywnej konfiguracji wydruku dla bieżącego arkusza.

    Opcja Pokaż okno dialogowe w trakcie tworzenia nowych arkuszy w dolnej części okna dialogowego pozwala określić, czy okno dialogowe Menedżer konfiguracji wydruku ma być otwierane automatycznie podczas tworzenia nowego arkusza.

Aby utworzyć nową konfigurację wydruku:

  1. W oknie dialogowym Menedżer konfiguracji wydruku kliknąć Nowa.
  2. W oknie dialogowym Nowa konfiguracja wydruku należy:
    1. W części Oparty na wybrać istniejącą konfigurację wydruku. Nowa konfiguracja wydruku zostanie utworzona w oparciu o wybraną konfigurację.
    2. Kliknąć OK.
  3. W oknie dialogowym wyboru pliku należy:
    1. Wpisać nazwę pliku dla nowej konfiguracji wydruku (pliku typu .cfg).
    2. Kliknąć Zapisz.
  4. W oknie dialogowym Konfiguracja wydruku należy:
    1. Ustawić drukarkę lub ploter, wybrać rozmiar papieru, określić skalę drukowania, zakres wydruku, orientację, przesunięcie i ustawić dodatkowe opcje.

      Opisy opcji zgadzają się z opisami odpowiednich opcji w oknie dialogowym Drukuj.
    2. Kliknąć Zapisz.
  5. Kliknąć Zamknij.

Aby edytować konfigurację wydruku, należy:

  1. W oknie dialogowym Menedżer konfiguracji wydruku wybrać konfigurację wydruku.
  2. Kliknąć Edycja.
  3. W oknie dialogowym Konfiguracja wydruku należy:
    1. Ustawić drukarkę lub ploter, wybrać rozmiar papieru, określić skalę drukowania, zakres wydruku, orientację, przesunięcie i ustawić dodatkowe opcje.

      Opisy opcji zgadzają się z opisami odpowiednich opcji w oknie dialogowym Drukuj.
    2. Kliknąć OK.
  4. Kliknąć Zamknij.

Aby aktywować konfigurację wydruku, należy:

  1. W oknie dialogowym Menedżer konfiguracji wydruku wybrać konfigurację wydruku, która ma być użyta dla bieżącego arkusza.
  2. Kliknąć Aktywuj.
  3. Kliknąć Zamknij.

Aby zaimportować konfigurację wydruku z innego pliku rysunku:

  1. W oknie dialogowym Menedżer konfiguracji wydruku kliknąć Import, aby wczytać konfiguracje wydruku zawarte w innych plikach rysunków (.dwg), plikach Drawing Exchange Files (.dxf), plikach szablonów rysunków (.dwt) lub plikach konfiguracji wydruku (*.cfg).
  2. W oknie dialogowym Otwórz wybrać nazwę pliku zawierającego konfiguracje wydruku, które mają być importowane i kliknąć Otwórz.
  3. W oknie dialogowym Importuj konfigurację wydruku wybrać nazwę konfiguracji wydruku.

    Konfiguracja wydruku zostanie dodana do konfiguracji wydruku.
  4. Kliknąć OK.
  5. Kliknąć Zamknij.

Aby przypisać konfigurację wydruku do jednego lub kilku arkuszy, należy:

  1. W oknie dialogowym Menedżer konfiguracji wydruku kliknąć Przypisz do, aby powiązać arkusze z konfiguracjami wydruku.
  2. W oknie dialogowym Przypisz konfigurację wydruku należy:
    1. Wybrać konfigurację wydruku z listy Konfiguracja.
    2. Zaznaczyć odpowiednie pola wyboru, aby przypisać arkusze do wybranej konfiguracji wydruku.
    3. Kliknąć Zastosuj.
  3. Kliknąć Zamknij.

Dostęp

Polecenie: PrintConfiguration

Menu: Plik > Menedżer konfiguracji wydruku

Skrót: Kliknąć prawym przyciskiem myszy kartę Model lub Arkusz i wybrać Menedżer konfiguracji wydruku

Tematy pokrewne

Drukowanie / kreślenie

Podgląd wydruków

Tworzenie i zarządzanie arkuszami


Ustawianie konfiguracji drukowania

Użyj okna dialogowego Konfiguracja drukowania, aby konfigurować i edytować nowe lub istniejące konfiguracje drukowania. Okno dialogowe jest wywoływane z poziomu Menedżera konfiguracji drukowania.

Aby ustawić konfiguracje drukowania:

  1. W oknie dialogowym Konfiguracja drukowania w części Drukarka/ploter:
    • W polu Nazwa wybrać urządzenie wyjściowe. Wyszczególnione zostaną drukarki i plotery dostępne w danym systemie. Wyszczególnione są również formaty PDF, JPG, PNG oraz SVG. Te wbudowane plotery drukują do pliku w określonym formacie.
    • Kliknąć Właściwości, aby skonfigurować drukarkę lub ploter w oknie dialogowym generowanym przez sterownik drukarki.
  2. W obszarze Rozmiar papieru wybrać rozmiar z listy międzynarodowych formatów rozmiaru papieru i formatów papieru dla drukarki.
  3. W części Skala wydruku:
    1. Ustawianie skali wydruku:
      • Wybrać Dopasuj do rozmiaru papieru, aby automatycznie skalować określony zakres wydruku do wybranego obszaru papieru. Ta opcja jest dostępna tylko wtedy, gdy aktywna jest karta Model.
      • - lub -
      • Wybrać lub zdefiniować Skalę. Dla opcji Zdefiniowane przez użytkownika wybrać współczynnik jednostek papieru (milimetry lub cale) do jednostek rysunku.
    2. Zaznaczyć lub odznaczyć opcję Skaluj szerokości linii do skali wydruku. Ta opcja jest dostępna tylko, gdy aktywna jest karta arkusza.
  4. W części Zakres wydruku ustawić obszar do wydrukowania:
    • Cała geometria: Drukuje zakres, który jest determinowany przez ramkę ograniczającą wszystkich widocznych elementów.
    • Arkusz (opcja dostępna tylko, gdy karta Arkusz jest aktywna): Drukuje zakres, który jest determinowany przez definicję rozmiaru arkusza.
    • Obwiednia rysunku (opcja dostępna tylko, gdy karta Model jest aktywna): Drukuje zakres, który jest determinowany przez obwiednie rysunku.
    • Nazwany widok: Drukuje wybrany widok.
    • Określić: Kliknąć Określ okno, aby wybrać w obszarze graficznym dwa przeciwległe punkty dla obwiedni drukowania.
    • Bieżący widok: Drukuje rysunek, który jest widoczny na ekranie.
  5. Wybrać Drukuj tylko obszar w obrębie określonego okna, aby przyciąć na wydruku elementy i obwiednie określonego zakresu drukowania, niezależnie od tego, czy na arkuszu wyjściowym jest dostępne wolne miejsce.
  6. W części Orientacja geometrii:
    • Wybrać format Pionowy lub Poziomy.
    • Wybrać Drukuj w inwersji, aby odwrócić kierunek drukowania.
  7. W części Odsunięcie drukowania wybrać Drukuj na środku papieru, aby ustawić wydruk z równymi marginesami na górze, na dole, po lewej i po prawej stronie. W przeciwnym razie ustawić marginesy X i Y.
  8. Uwaga: Opcja Drukuj na środku papieru nie jest dostępna tylko, jeśli jest aktywna karta Arkusz. W razie konieczności dostosować marginesy X i Y.
  9. Można również użyć:
    • Dodatkowe opcje: Określa zaawansowane preferencje drukowania (patrz niżej).
    • Podgląd wydruku: Pozwala zobaczyć wygląd wydruku przy bieżących ustawieniach.
  10. Kliknąć Zapisz, aby zapisać plik ustawienia konfiguracyjne.

Aby ustawić dodatkowe opcje drukowania:

  1. W oknie dialogowym Dodatkowe opcje drukowania w części Opcje ustawić:
    • Ukryj geometrię na arkuszu: Określa, czy geometria modelu widoczna w okienkach ekranu jest drukowana z ukrytymi liniami usuniętymi. Opcja ta jest dostępna tylko na karcie Arkusz.
    • Drukuj ostatni arkusz: Określa, co ma być drukowane w pierwszej kolejności: geometria modelu widoczna w okienkach ekranu czy geometria arkusza. Opcja ta jest dostępna tylko na karcie Arkusz.
    • Użyj przypisanej szerokości linii: Drukuje elementy z wykorzystaniem szerokości linii przypisanych w warstwach. Opcja ta jest dostępna tylko wtedy, gdy usunięto zaznaczenie opcji Użyj przypisanych stylów drukowania.
    • Użyj przypisanych stylów drukowania: Określa, czy style drukowania przypisane do warstw i elementów są drukowane. Drukowane są również przypisane szerokości linii.
    • Zapisz zmiany w arkuszu: Zapisuje zmiany wprowadzone w oknie dialogowym do arkusza.
  2. W części Widoki cieniowane ustawić:
    • Styl drukowania: Włącza tryb cieniowania podczas drukowania.
    • Jakość druku: Stosuje odpowiedni poziom jakości drukowania. Dostępne opcje uzależnione są od wybranej drukarki.
    • DPI: Ustawia liczbę drukowanych punktów na cal, w zależności od ustawienia Jakość druku.
  3. W części Tabela stylu drukowania:
    • Wybrać tabelę stylu drukowania.
    • Kliknąć Nowy, aby utworzyć nowy styl drukowania.
    • Kliknąć Edytuj, aby zmodyfikować wybrany styl drukowania.
  4. Kliknąć OK, aby powrócić do okna dialogowego Konfiguracja drukowania.

Tematy pokrewne

Zarządzanie konfiguracjami wydruku


Dostosowywanie listy skal rysunku

Użyć polecenia EditScaleList, aby dostosować listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów.

Użyć polecenia EditScaleList, aby dostosować listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów.

Użyć polecenia EditScaleList, aby dostosować listę skal na potrzeby drukowania, zarządzania układami stron oraz skalowania okienek ekranu w arkuszach układów.

Ta lista skal jest powiązana z bieżącym rysunkiem i może zostać użyta wraz z nim. Nosi nazwę listy skal rysunku.

W razie potrzeby można dostosować Domyślną listę skali, która określa listę skali rysunku dla nowych rysunków, tworzonych bez szablonów rysunków.

Aby dostosować listę skal rysunku:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Ustawienia rysunku.
  5. - lub -
  6. Wpisać EditScaleList w wierszu poleceń.
  7. Rozwinąć listę skal rysunku.
  8. Kliknąć Dodaj, aby dodać nową skalę do listy.
    1. W kolumnie Nazwa skali dla nowego elementu listy wpisać nazwę opisową nowej skali, najlepiej stosunek jednostek papieru do jednostek rysunku.
    2. W polu Jednostki papieru wpisać liczbę.
    3. W polu Jednostki rysunku wpisać liczbę.
    4. Od stosunku jednostek papieru do jednostek rysunku zależy skala stosowana podczas wybierania nazwy skali z listy skal.
  9. Kliknąć Przenieś w górę, aby przenieść zaznaczony element listy w górę.
  10. Kliknąć Przenieś w dół, aby przenieść zaznaczony element listy w dół.
  11. Kliknąć Usuń, aby usunąć wybrany element z listy.
  12. Nie można usunąć nazwanych skal używanych w rysunku.
  13. Kliknąć Resetuj, aby zastąpić ustawienia dostosowanej listy skal rysunku ustawieniami domyślnej listy skal.
  14. Kliknąć Zastosuj, aby zapisać własną listę skal.

Można również przedefiniować istniejące specyfikacje skal na liście skal rysunku. Nie można usunąć ani zmodyfikować skal, do których odnoszą się elementy w rysunku lub odniesienia.

Dostęp

Polecenie: EditScaleList

Tematy pokrewne

Drukowanie / kreślenie

Managing PageLayouts

Zarządzanie konfiguracjami wydruku

Zarządzanie konfiguracjami wydruku


Ustawianie opcji systemu

Strona Opcje systemu okna dialogowego Opcje pozwala definiować ogólne opcje operacyjne.

Aby ustawić opcje ogólne, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image].
  5. - lub -
  6. Wpisać SystemOptions.
  7. Rozwinąć Ogólne, aby ustawić:
    • Automatycznie wysyłaj raport o wydajności Umożliwia określenie, czy w przypadku zawieszenia się programu raport ma być wysyłany ręcznie, czy automatycznie. Wysyłanie ręczne umożliwia dodanie komentarza dotyczącego zawieszenia oraz okoliczności, w jakich wystąpił problem.
    • Połącz Powiększ/pomniejsz i Przesuń w funkcji Cofnij: Grupuje kolejne polecenia Zoom i Pan w pojedynczą akcję dla poleceń Undo oraz Redo.
    • Pokaż okno dialogowe Układ strony w trakcie tworzenia nowych arkuszy. Umożliwia określenie Układu strony podczas aktywacji nowego arkusza.
    • Pokaż okno dialogowe konfiguracji wydruku w trakcie tworzenia nowych arkuszy. Umożliwia określenie Konfiguracji wydruku podczas aktywacji nowego arkusza.
    • Pokaż okno dialogowe konfiguracji wydruku w trakcie tworzenia nowych arkuszy. Umożliwia określenie Konfiguracji wydruku podczas aktywacji nowego arkusza.
    • Maksymalna liczba zwróconych wierszy poleceń z historii: Określa maksymalną liczbę wyświetlonych wierszy w oknie Historia poleceń, zanim pojawi się monit o naciśnięcie klawisza Enter w celu kontynuowania. Dotyczy poleceń, które wyświetlają długie listy.
    • Pokaż odnośnik powiadomienia o aktualizacjach. Wyświetla w obszarze powiadomień na pasku zadań odnośnik informujący o tym, że jest dostępna nowa aktualizacja aplikacji.
  8. W części Program zaangażowania klientów, zaznaczyć lub odznaczyć Weź udział i pomagaj w rozwoju tego programu, aby określić chęć wzięcia udziału w Programie zaangażowania klientów.
  9. Rozwinąć Zastąpienie współrzędnych wejściowych, aby ustawić:
    • Użyj ESnaps: Wejściowe przyciąganie elementów zstępuje współrzędne wejściowe.
    • Współrzędne wejściowe zastępują ESnaps: Dane wejściowe z klawiatury zastępują współrzędne wejściowe przyciągania elementów.
    • Wprowadzanie współrzędnych podczas uruchamiania skryptów (klawiatura): Dane wejściowe z klawiatury zastępują współrzędne wejściowe przyciągania elementów, z wyjątkiem skryptów.
  10. Rozwinąć Ustawienia serwera proxy w celu określenia ustawień, jeśli system należy do sieci używającej serwera proxy:
    • Typ: Umożliwia określenie typu serwera proxy (Socks5, HTTP, HTTP Caching lub FTP Caching).
    • Host: Umożliwia określenie adresu IP hosta, do którego jest podłączony system.
    • Port: Umożliwia określenie portu serwera proxy.
    • Użytkownik: Umożliwia określenie nazwy użytkownika używanej do identyfikacji w środowisku sieciowym.
    • Hasło: Umożliwia ustawienie hasła logowania.

^ Góra strony

Aby ustawić opcje wyświetlania, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Wyświetl.
  6. Rozwinąć Opcje ekranu, aby ustawić:
    • Pokaż paski przewijania: Włącza i wyłącza wyświetlanie pasków przewijania w oknie rysunku.
    • Użyj dużych ikon: Używa dużych przycisków na paskach narzędzi.
  7. Rozwinąć Tekst okna poleceń, aby ustawić:
    • Czcionka: Ustawia czcionkę dla monitu i komunikatów okna poleceń.
    • Rozmiar: Ustawia rozmiar tekstu dla okna poleceń.
    • Tekst linii polecenia: Ustawia tekst do wyświetlenia jako monit w wierszu poleceń.
  8. Rozwinąć Kolory elementu, aby ustawić kolory wyświetlania takich elementów interfejsu użytkownika, jak tło modelu i arkusza, kursory oraz wskaźniki krzyżykowe.
  9. Można użyć następujących opcji:
    • Kolor: Stosuje wybrany kolor do wybranego elementu wyświetlania.
    • Zresetuj wszystko: Ustawia domyślne kolory dla wszystkich elementów interfejsu użytkownika.
    • Zresetuj wybrany element: Ustawia domyślny kolor dla wybranego elementu wyświetlania.

^ Góra strony

Aby ustawić opcje obszaru graficznego, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Obszar graficzny, aby ustawić:
    • Wyświetl kursor jako krzyżykowy: Wyświetla wskaźnik w postaci wskaźnik krzyżykowy, nawet jeśli nie jest aktywne żadne polecenie.
    • Wyświetlaj etykietki przyciągania elementów: Określa, czy etykietki narzędzi są wyświetlane, gdy kursor przemieszcza się nad punktem, w którym można zastosować tryb przyciągania elementów.
    • Pokaż tło: Określa, czy należy wyświetlać kolory w tle widoków zdefiniowanych przez użytkownika.
    • Pokaż wskaźniki hiperłącza, etykietki narzędzi i menu podręczne: Określa, czy należy pokazywać hiperłącza, etykietki narzędzi i menu podręczne, gdy wskaźnik przemieszcza się nad elementem.
    • Rozmiar wskaźnika: Określa rozmiar wskaźnika krzyżykowego działającego w charakterze wskaźnika. Ustawić wartość z przedziału od 1 do 100. Wpisanie 100 powoduje, że wskaźnik krzyżykowy zajmuje cały ekran.
    • Prześwitywanie zablokowanych warstw: Określa, czy włączyć prześwitywanie elementów w zablokowanych warstwach, aby skontrastować je z elementami na odblokowanych warstwach i zmniejszyć złożoność rysunku. Ustawić wartość pomiędzy 0 i 90%, gdzie 0% oznacza brak prześwitywania.

^ Góra strony

Aby ustawić opcje Otwórz i Zapisz jako, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Otwórz / Zapisz jako.
  6. Rozwinąć Domyślne typy plików, aby ustawić:
    • Otwórz dokumenty typu: Ustawia domyślny typ pliku (.dwg, .dxf, .dwt) używany podczas otwierania lub wstawiania rysunków i dołączania rysunków odniesienia.
    • Zapisz jako dokumenty typu: Ustawia domyślny typ pliku (.dwg lub .dxf) i wersję podczas zapisywania rysunków.
  7. Rozwinąć Nazwa pliku szablonu dla SmartNew, aby ustawić ścieżkę i nazwę pliku szablonu rysunku (.dwt). Kliknąć Przeglądaj, aby przeglądać w poszukiwaniu pliku szablonu.
  8. Rozwinąć Otwórz z kodowaniem, aby określić sposób otwierania rysunków, jeżeli strona kodowa rysunku różni się od strony kodowej systemu operacyjnego komputera. Strony kodowe determinują kodowanie znaków. Wybrać opcję:
    • Otwórz plik jak zwykle: Zachowuje stronę kodową rysunku.
    • Otwórz plik z systemową stroną kodową: Przełącza na stronę kodową systemu operacyjnego komputera.
    • Sprawdź stronę kodowania pliku i monituj: Umożliwia określenie strony kodowania używanej podczas otwierania rysunku o stronie kodowej innej niż strona systemu operacyjnego.
  9. Rozwinąć Otwórz typ stylu drukowania, aby określić Styl drukowania używany w otwartym istniejącym rysunku:
    • Wymuś konwersję na typ stylu drukowania CTB po otworzeniu: Określa, czy otwarte rysunki korzystające z opcji Style drukowania (pliki *.stb) z nazwą, są automatycznie konwertowane w celu korzystania z opcji Style drukowania PrintStyles (pliki *.ctb) uwzględniającej kolory.

^ Góra strony

Aby ustawić opcje drukowania, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Drukowanie.
  6. Rozwinąć Drukuj pliki dziennika, aby ustawić:
    • Lokalizacja: Ustawia ścieżkę dla drukowania i publikowania plików dziennika. Kliknąć Przeglądaj, aby przeglądać w poszukiwaniu folderu pliku dziennika.
    • Zapisz dzienniki drukowania: Tworzy pliki dzienników zadań drukowania, które są zapisywane w formacie wartości rozdzielanych przecinkami (.csv).
    • Styl dziennika (dostępne, jeśli wybrano Zapisz dzienniki drukowania): Jeden dziennik na drukowanie przechowuje informacje o wszystkich zadaniach drukowania w pojedynczym pliku dziennika. Jeżeli opcja nie jest zaznaczona, informacje o każdym zadaniu drukowania są przechowywane w oddzielnych plikach dziennika.
  7. Rozwinąć Lokalizacja pliku stylu drukowania, aby ustawić ścieżkę dostępu do plików definicji stylu drukowania. Kliknąć Przeglądaj, aby przeglądać w poszukiwaniu folderu plików stylu drukowania.
  8. Rozwinąć Ustawienia domyślne, aby ustawić:
    • Domyślny typ (określa zachowanie dla nowych rysunków, nie dla bieżącego rysunku):
      • Użyj nazwanych stylów drukowania: Wykorzystuje style drukowania zdefiniowane przez użytkownika.
      • Użyj stylu drukowania zależnego od koloru: Wykorzystuje style drukowania zależne od koloru.
    • Domyślny styl drukowania: Ustawia domyślny plik stylu drukowania.
    • Zastąp styl drukowania dla elementów (dostępne, jeśli wybrano Użyj nazwanych stylów drukowania): Zastępuje tabelę Domyślny styl drukowania dla elementów. Dostępne ustawienia są uzależnione od ustawienia Domyślny styl drukowania.
    • Zastąp styl drukowania dla warstwy 0 (dostępne, jeśli wybrano Użyj nazwanych stylów drukowania): Zastępuje tabelę Domyślny styl drukowania dla elementów leżących na warstwie 0. Dostępne ustawienia są uzależnione od ustawienia Domyślny styl drukowania.
  9. Rozwinąć Opcje ogólne, aby ustawić:
    • Zachowaj rozmiar papieru przy zmienianiu drukarki: Po zmianie drukarki w oknie dialogowym Drukuj, rozmiar papieru jest zachowany, jeśli jest on obsługiwany przez określoną drukarkę. Gdy zaznaczenie zostanie usunięte, wyświetlany jest domyślny format dla rozmiaru papieru.
    • Wyświetl papierowe tło: Na kartach arkuszy rozmiary arkuszy są wizualizowane na szarym tle.
    • Wyświetl obszar drukowania: Na kartach arkuszy prostokąt z linii przerywanej wizualizuje obszar drukowania oraz niedrukowalne marginesy wybranej drukarki związanej z Arkuszem.

^ Góra strony

Aby ustawić opcje automatycznego zapisu i kopii zapasowych, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Autozapis i kopie zapasowe.
  6. Rozwinąć Lokalizacja automatycznego zapisywania plików, aby ustawić folder dla generowanych automatycznie zapisywanych plików. Kliknąć Przeglądaj, aby przeglądać w poszukiwaniu folderu.
  7. Rozwinąć Autozapis/kopie zapasowe, aby ustawić:
    • Włącz autozapis: Automatycznie zapisuje rysunek. Można określić odstęp czasowy automatycznego zapisywania w minutach.
    • Zapisz kopię zapasową przy każdym zapisie: Ustawia, czy należy tworzyć kopię zapasową przy każdym zapisaniu dokumentu.
    • Użyj oryginalnego formatu: Określa, czy plik kopii zapasowej jest zapisywany w pierwotnej wersji pliku rysunku, czy w bieżącej wersji pliku.

^ Góra strony

Aby określić ustawienia domyślne pliku rysunku, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Ustawienia domyślne pliku rysunku.
  6. Rozwinąć Jednostki wstawienia bloku, aby ustawić preferencje determinujące domyślną skalę podczas wstawiania bloków lub rysunków do rysunku:
    • Jednostki dla wstawianych elementów: Ustawia jednostki zawartości źródłowej. Jeżeli wybrano Bezwymiarowe, element nie jest skalowany podczas wstawiania.
    • Aktywne jednostki rysunku: Ustawia docelowe jednostki rysunku.

^ Góra strony

Dostosowywanie domyślnej listy skal

Listy skal są dostępne podczas drukowania, zarządzania Układami stron i skalowania okienek ekranu w arkuszach układów.

Listy skal są dostępne podczas drukowania, zarządzania Konfiguracjami wydruku i skalowania okienek ekranu w arkuszach układów.

Listy skal są dostępne podczas drukowania, zarządzania Konfiguracjami wydruku i skalowania okienek ekranu w arkuszach układów.

Domyślna lista skal określa Listę skali rysunku dla nowych rysunków, które zostały utworzone bez szablonów rysunków.

Aby zmienić listę skal w istniejącym pliku szablonu rysunku, otworzyć plik szablonu rysunku (*.dwt) i dostosować Listę skali rysunku z pliku szablonu.

Aby dostosować domyślną listę skal:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image].
  5. - lub -
  6. Wpisać System Options w wierszu poleceń.
  7. Rozwinąć domyślną listę skal.
  8. W menu Plik jest wyświetlana ścieżka oraz nazwa pliku listy skal (plik .xml).
  9. W razie potrzeby zmienić ustawienia pliku. Kliknąć Przeglądaj, aby przejść do pliku listy skal.
  10. Kliknąć Metryczne lub Brytyjskie, aby wyświetlić odpowiednią listę skal.
  11. Kliknąć Dodaj, aby dodać nową skalę do listy.
    1. W kolumnie Nazwa skali dla nowej pozycji listy wpisać nazwę nowej skali.
    2. W polu Jednostki papieru wpisać liczbę.
    3. W polu Jednostki rysunku wpisać liczbę.
    4. Od stosunku jednostek papieru do jednostek rysunku zależy skala stosowana podczas wybierania nazwy skali z listy skal.
  12. Kliknąć Przenieś w górę, aby przenieść zaznaczony element listy w górę.
  13. Kliknąć Przenieś w dół, aby przenieść zaznaczony element listy w dół.
  14. Kliknąć Usuń, aby usunąć wybrany element z listy.
  15. Kliknąć Resetuj, aby przywrócić domyślne ustawienia listy skal.
  16. Kliknąć Eksport, aby zapisać plik listy skal pod inną nazwą.
  17. Kliknąć Zastosuj, aby zapisać własną listę skal.

Na domyślnej liście skal można przedefiniować istniejące specyfikacje skal. Można również zresetować dostosowaną listę skal rysunku do ustawień domyślnych.

^ Góra strony

Porada: Należy użyć opcji Znajdź, aby wyszukać elementy w oknie dialogowym Opcje.

Dostęp

Polecenia: SystemOptions lub Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Dostosowywanie interfejsu użytkownika


Ustawianie niestandardowych rozmiarów papieru do drukowania

Polecenie CustomPaperSize pozwala ustawić niestandardowe rozmiary papieru dla wbudowanych drukarek. Można również zmodyfikować ustawienia marginesów dla standardowych rozmiarów papieru w odniesieniu do wbudowanych drukarek.

Wbudowane drukarki obsługują formaty PDF (Portable Document Format), PNG (Portable Network Graphics, format obrazu mapy bitowej), JPG (Joint Photographic Experts Group), SVG (Scalable Vector Graphics) i DWF (Design Web Format).

Aby ustawić niestandardowy rozmiar papieru do drukowania, należy:

  1. Wpisać CustomPaperSize w wierszu poleceń.
  2. Określić nazwę wbudowanej drukarki (PDF, PNG, JPG, SVG lub DWF).
  3. W oknie dialogowym wybrać Rozmiary niestandardowe.
  4. Kliknąć Dodaj, aby utworzyć niestandardowy rozmiar papieru.
  5. W polu Nazwa określić nazwę nowego formatu niestandardowego.
  6. W polu Rozmiar zdefiniować Szerokość, Wysokość i Jednostki (milimetry lub cale).
  7. W polu Marginesy określić szerokość marginesu górnego, dolnego, lewego i prawego (obszar, który nie zostanie zadrukowany).
  8. Kliknąć OK.
  9. Istnieje możliwość zastosowania niestandardowego rozmiaru papieru dla wbudowanej drukarki za pomocą polecenia Print.

Aby usunąć niestandardowy rozmiar papieru, należy:

  1. Wpisać CustomPaperSize w wierszu poleceń.
  2. Określić nazwę wbudowanej drukarki (PDF, PNG, JPG, SVG lub DWF).
  3. W oknie dialogowym wybrać Rozmiary niestandardowe.
  4. W polu Nazwa wybrać niestandardowy format do usunięcia.
  5. Kliknąć Usuń.
  6. Kliknąć OK.

Aby zmodyfikować ustawienia marginesów dla standardowych rozmiarów papieru:

  1. Wpisać CustomPaperSize w wierszu poleceń.
  2. Określić nazwę wbudowanej drukarki (PDF, PNG, JPG, SVG lub DWF).
  3. W oknie dialogowym wybrać Rozmiary standardowe.
  4. W polu Nazwa wybrać format standardowy.
  5. W polu Marginesy określić szerokość marginesu górnego, dolnego, lewego i prawego (obszar, który nie zostanie zadrukowany).
  6. Kliknąć OK.

Dostęp do okna dialogowego, które służy do ustawiania niestandardowych rozmiarów papieru, można uzyskać, klikając w oknie dialogowym Drukuj przycisk Właściwości, gdy jest wybrana wbudowana drukarka.

Dostęp

Polecenie: CustomPaperSize

Tematy pokrewne

Drukowanie i kreślenie rysunków


Zarządzanie tabelami stylu drukowania

Tabele stylów drukowania można edytować, dodawać, kopiować i usuwać przy użyciu Edytora tabeli stylu drukowania.

Aby użyć edytora tabeli stylu drukowania, należy:

  1. Wpisać PrintStyle.
  2. W oknie dialogowym Style drukowania, w części Plik stylu drukowania, wybrać plik tabeli stylu drukowania i kliknąć Edytuj.
  3. W oknie dialogowym Edytora tabeli stylu drukowania poddać edycji styl drukowania w tabeli stylu drukowania.
  4. W części Informacje wpisać Opis, aby opisać styl drukowania i jego cel.
  5. W części Skalowanie wybrać lub usunąć zaznaczenie opcji Użyj współczynnika skalowania do wzorów wypełnienia typów linii innych niż ISO. Jeżeli wybrano tę opcję, wpisać Współczynnik skalowania.
  6. W części Formaty, jako Style drukowania wybrać styl drukowania z listy, aby określić Ustawienia dla elementów, które wykorzystują ten styl drukowania.
    1. Kolor linii: Wybrać Użyj koloru elementu lub określić konkretny kolor linii.
    2. Styl linii: Wybrać Użyj typu linii elementu lub określić konkretny styl linii.
    3. Szerokość linii: Wybrać Użyj szerokości linii elementu lub określić konkretną szerokość linii.
    4. Symulacja: Zdefiniować, czy należy używać symulowania. Jeżeli urządzenie wyjściowe nie obsługuje symulowania, to ustawienie jest ignorowane.
    5. Rastrowanie: Ustawia procentową intensywność koloru. Wartość ta określa ilość atramentu nakładanego na papier podczas drukowania. Sto procent wyświetla kolor w pełnej intensywności. Zero procent ustawia intensywność koloru na zero (biały).
    6. Nr pióra: Określa pióro, które ma być użyte podczas kreślenia (tylko plotery piórowe). Ustawić wartość od 1 do 32.
    7. Wymuszaj koniec segmentów: Określić, czy należy zmodyfikować skalę stylu linii, aby dokończyć wzór stylów linii.
    8. Styl zamknięcia końcówki: Ustawić styl używany dla końców linii.
    9. Styl narożnika: Ustawić styl do użycia w miejscu łączenia linii.
    10. Skala szarości: Określić, czy należy konwertować kolory elementu do skali szarości, jeżeli narzędzie wyjściowe obsługuje skalę szarości.
    11. Styl wypełnienia: Ustawić styl wypełnienia, który ma być użyty.
    12. Nr pióra wirtualnego: Określa pióro, jakie ma być użyte podczas wykreślania z użyciem ploterów innych niż piórowe, które mogą symulować i wykorzystywać właściwości, które użytkownik może modyfikować na pulpicie drukarki.
    13. Opis: Wpisać dodatkowe informacje dla stylu drukowania.
  7. Kliknąć Dodaj, aby dodać definicję stylu drukowania do tabeli stylów drukowania (ta opcja jest dostępna wyłącznie do celów edycji nazwanych stylów drukowania):
    1. W oknie dialogowym Dodaj styl drukowania wpisać nazwę w polu Nazwa stylu drukowania.
    2. Kliknąć OK.
  8. Kliknąć Usuń, aby usunąć wybraną definicję stylów drukowania z tabeli stylów drukowania (ta opcja jest dostępna wyłącznie do celów edycji nazwanych stylów drukowania).
  9. Kliknąć Zapisz jako, aby zapisać tabelę stylów drukowania pod inną nazwą.
  10. Kliknąć Edytuj grubość linii, aby edytować grubość linii na rysunku.
  11. Okno dialogowe Format grubości linii pozwala na zdefiniowanie grubości linii dla stylów drukowania innych niż używane przez elementy w obszarze graficznym.
  12. Na liście Grubość linii są wyświetlane uprzednio zdefiniowane grubości linii w tabeli stylów drukowania. Zaznaczenia w kolumnie Używane w stylu drukowania wskazują grubości linii używane w edytowanym stylu drukowania.
  13. Aby zmienić grubość linii w tabeli stylów drukowania:
    1. W obszarze Układ jednostek miar wybrać jednostki do wyświetlania na liście: Cale lub Milimetry.
    2. Na liście Grubość linii, w kolumnie Szerokość, kliknąć dwukrotnie wartość.
    3. Wpisać wartość większą niż lub równą zero (wartość zero oznacza, że linie są drukowane tak cienko, jak umożliwia to drukarka).
    4. Kliknąć OK.
  14. Kliknąć OK dwa razy.

Aby określić lokalizację pliku definicji stylu drukowania, należy:

Pliki tabel stylu drukowania zależne od koloru (.ctb) oraz nazwane (.stb) są przechowywane w folderze stylów drukowania. Każdy plik określa jedną tabelę.

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu.
  5. Rozwinąć Drukowanie > Lokalizacja pliku stylu drukowania.
  6. Ustawić ścieżkę dostępu do plików definicji stylu drukowania (pliki .ctb lub .stb). Kliknąć Przeglądaj, aby przeglądać w poszukiwaniu folderu plików stylu drukowania.
  7. Kliknąć OK.

Dostęp

Polecenie: PrintStyle

Tematy pokrewne

Drukowanie / kreślenie


Zarządzanie nazwanymi stylami drukowania

Istnieją dwa typy tabel stylu drukowania: zależne od koloru oraz nazwane. Polecenie PrintStyle służy do zarządzania nazwanymi stylami drukowania.

Aby możliwe było zastosowanie polecenia PrintStyle w nowym rysunku, w pierwszej kolejności konieczne jest włączenie używania nazwanego (a nie zależnego od koloru) stylu drukowania.

Styl drukowania to zbiór ustawień zastępujących ustawienia koloru linii, stylu linii, szerokości linii, symulowania, rastrowania, skali szarości stylów końca, stylów połączenia, stylów wypełnienia oraz przypisań piór w ploterach piórowych.

Aby włączyć użycie nazwanego stylu drukowania, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Opcje systemu [image].
  5. Rozwinąć Drukowanie > Ustawienia domyślne.
  6. W części Domyślny typ wybrać Użyj nazwanych stylów drukowania.
  7. W części Domyślny styl drukowania wybrać nazwę pliku stylu drukowania (wpis różny od Brak).
  8. Ustawić opcje:
    • Zastąp styl drukowania dla elementów: Zastępuje tabelę Domyślny styl drukowania dla elementów. Dostępne wpisy są uzależnione od ustawienia Domyślny styl drukowania.
    • Zastąp styl drukowania dla warstwy 0: Zastępuje tabelę Domyślny styl drukowania dla elementów leżących na warstwie 0. Dostępne wpisy są uzależnione od ustawienia Domyślny styl drukowania.

Uwaga: Opisane wyżej ustawienie stylu drukowania determinuje zachowanie dla nowych rysunków, a nie dla bieżącego rysunku.

Aby ustawić aktywny nazwany styl drukowania dla nowych elementów, należy:

  1. Wpisać PrintStyle w wierszu poleceń.

    Okno dialogowe wyświetla style drukowania, które są skonfigurowane w bieżącym pliku stylu drukowania, oraz aktywny styl drukowania.
  2. W części Plik stylu drukowania ustawić tabelę stylu drukowania, która ma być zastosowana do aktywnego arkusza.

    Opcja Dołączona do wyświetla kartę, do której dana tabela stylu drukowania jest dołączona (karta Model lub karta Arkusz).
  3. Wybrać styl drukowania do przypisania do elementów.

Aby użyć edytora tabeli stylu drukowania, należy:

  1. Wpisać PrintStyle.
  2. W oknie dialogowym, w części Plik stylu drukowania, wybrać plik tabeli stylu drukowania i kliknąć Edytuj.
  3. W oknie dialogowym Edytora tabeli stylu drukowania dodać i poddać edycji styl drukowania w tabeli stylu drukowania.

Dostęp

Polecenie: PrintStyle

Tematy pokrewne

Drukowanie / kreślenie

Zarządzanie tabelami stylu drukowania


Konwertowanie stylów drukowania

Polecenie ConvertPrintStyles konwertuje styl drukowania zależny od koloru na nazwany styl drukowania lub odwrotnie.

Aby konwertować style drukowania, należy:

  • Wpisać ConvertPrintStyles w wierszu poleceń.

Dostęp

Polecenie: ConvertPrintStyles

Tematy pokrewne

Zarządzanie nazwanymi stylami drukowania

Zarządzanie tabelami stylu drukowania


Rozmieszczanie okien rysunków

Można otworzyć kilka rysunków jednocześnie. Menu Okno zawiera funkcje obsługujące pracę z wieloma rysunkami jednocześnie:

  • Zamykanie rysunku
  • Zamykanie wszystkich otwartych rysunków
  • Rozmieszczanie okien rysunków kaskadowo
  • Rozmieszczanie okien rysunków sąsiadująco w poziomie
  • Rozmieszczanie okien rysunków sąsiadująco w pionie


Rozmieszczanie okien rysunków kaskadowo

Można zmienić rozmiary i rozmieścić wszystkie okna rysunku tak, że zachodzą na siebie i widoczne są tylko ich paski tytułu. Po rozmieszczeniu kaskadowym okien rysunku, tylko okno na samym wierzchu jest całkowicie widoczne.

Aby rozmieścić okna rysunku kaskadowo, należy:

  • Kliknąć Okno > Kaskada.

Dostęp

Menu: Okno > Kaskada

Tematy pokrewne

Rozmieszczanie okien rysunków sąsiadująco w poziomie

Rozmieszczanie okien rysunków sąsiadująco w pionie


Rozmieszczanie okien rysunków sąsiadująco w poziomie

Wiele okien rysunku można rozmieścić w orientacji poziomej.

Aby rozmieścić okna rysunków sąsiadująco w poziomie, należy:

  • Kliknąć Okno > Sąsiadująco w poziomie.

Dostęp

Menu: Okno > Sąsiadująco w poziomie

Tematy pokrewne

Rozmieszczanie okien rysunków kaskadowo

Rozmieszczanie okien rysunków sąsiadująco w pionie


Rozmieszczanie okien rysunków sąsiadująco w pionie

Wiele okien rysunku można rozmieścić w orientacji pionowej.

Aby rozmieścić okna rysunków sąsiadująco w pionie, należy:

  • Kliknąć Okno > Sąsiadująco w pionie.

Dostęp

Menu: Okno > Sąsiadująco w pionie

Tematy pokrewne

Rozmieszczanie okien rysunków kaskadowo

Rozmieszczanie okien rysunków sąsiadująco w poziomie


Dostosowywanie

Ten rozdział zawiera informacje na temat modyfikowania i dostosowywania interfejsu użytkownika i środowiska oprogramowania:

  • Dostosowywanie interfejsu użytkownika. Dodawanie lub modyfikowanie menu, pasków narzędzi, skrótów klawiaturowych oraz funkcji przycisków myszy. Zapisywanie i wczytywanie zindywidualizowanych plików dostosowujących interfejs użytkownika.
  • Ustawianie preferencji użytkownika i opcji systemu. Ustawianie preferencji dla różnych trybów i ustawień domyślnych dla poleceń.
  • Uruchamianie skryptów. Automatyczne wykonywanie sekwencji poleceń.
  • Dostosowywanie stylów linii. Definiowanie i używanie własnych stylów linii.
  • Dostosowywanie wzorów kreskowania. Definiowanie i używanie własnych wzorów kreskowania.


Dostosowywanie interfejsu użytkownika

Polecenie Customize umożliwia dostosowanie elementów interfejsu użytkownika, takich jak menu, paski narzędzi, karty i panele wstążek, paski narzędzi szybkiego dostępu i przestrzenie robocze.

Polecenie Customize umożliwia dostosowanie elementów interfejsu użytkownika, takich jak menu, paski narzędzi i przestrzenie robocze.

W tym temacie omówiono następujące zagadnienia:

  • Zarządzanie plikami dostosowania
  • Zarządzanie poleceniami
  • Zarządzanie interfejsem
  • Konfigurowanie akcji myszy
  • Zarządzanie skrótami klawiaturowymi
  • Zarządzanie profilami interfejsu użytkownika

Zarządzanie plikami dostosowania

Można zarządzać używanymi plikami dostosowania. Pliki dostosowania przechowują elementy, które składają się na interfejs użytkownika.

Zarządzanie plikami dostosowania:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj, w obszarze Źródło, wybrać jedną z poniższych opcji:
    • Wszystkie pliki dostosowania – staną się one bazą do dodawania lub modyfikowania elementów interfejsu.
    • Konkretny plik dostosowania (w formacie .xml) na potrzeby pracy.
  3. Kliknąć Załaduj plik dostosowania [image], aby wczytać plik dostosowania znajdujący się poza folderem domyślnym dla plików dostosowania.
  4. Kliknąć Utwórz plik dostosowania [image], aby utworzyć nowy plik dostosowania. W oknie dialogowym Utwórz plik dostosowania:
    1. W obszarze Nazwa wpisać nazwę dla nowego pliku dostosowania.
    2. W obszarze Ścieżka zaakceptować lokalizację nowego pliku lub przejść do innej lokalizacji.

^ Góra strony

Zarządzanie poleceniami

Strona Polecenia w oknie dialogowym Dostosuj służy do zarządzania poleceniami oraz sekwencjami poleceń do użytku w elementach interfejsu użytkownika.

Aby zarządzać poleceniami do użycia w elementach interfejsu użytkownika, należy:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj kliknąć Polecenia [image].
  3. Aby dodać polecenie do listy poleceń, kliknąć Dodaj polecenie [image].
  4. Do listy poleceń zostanie dodany pusty wpis polecenia, z oznaczeniem „Polecenie” (symbol zastępczy dla nowego polecenia).
  5. Edycję wpisów poleceń omówiono poniżej.
  6. Aby usunąć polecenie z listy poleceń, kliknąć Usuń polecenie [image].
  7. Aby rozwinąć Eksploratora ikon, kliknąć Pokaż eksploratora ikon [image]. W obszarze Filtr określić, czy w Eksploratorze ikon mają być widoczne Wszystkie ikony, Małe ikony, czy Duże ikony.
  8. Kliknąć OK.

Aby edytować wpisy poleceń, należy:

  1. W oknie dialogowym Dostosuj wybrać wpis polecenia na liście poleceń.
  2. W polu Nazwa nadać etykietę wpisowi polecenia.
  3. W obszarze Ciąg poleceń wpisać polecenie, sekwencję poleceń lub opcję polecenia.
  4. Rozpocząć wyrażenie od ^C^C, aby zapewnić anulowanie działającego polecenia podczas wywoływania polecenia lub sekwencji poleceń.
  5. Aby rozwinąć Eksploratora ikon, kliknąć Pokaż eksploratora ikon [image].
  6. Przeciągnąć małą ikonę i dużą ikonę z Eksploratora ikon do odpowiednich pól Małe i Duże nowego wpisu poleceń. Ikony te są używane w menu i na paskach narzędzi.
  7. Lokalizacja i nazwa pliku ikon jest wyświetlana w obszarze Lokalizacja małych ikon i Lokalizacja dużych ikon.
  8. W obszarze Opis wpisać opis do wyświetlania w wierszu stanu, gdy wskaźnik zostanie przesunięty na odpowiednie polecenie w menu lub na pasku narzędzi.

^ Góra strony

Zarządzanie interfejsem

Strona Interfejs okna dialogowego Dostosuj służy do tworzenia i modyfikowania pasków narzędzi szybkiego dostępu, kart i paneli wstążek, menu i pasków narzędzi.

Strona Interfejs okna dialogowego Dostosuj służy do tworzenia i modyfikowania menu i pasków narzędzi.

Można przeorganizować istniejące elementy, dodawać nowe elementy oraz modyfikować elementy i sekwencje poleceń z nimi skojarzone.

Aby usunąć element interfejsu użytkownika, należy go zaznaczyć i wybrać Usuń [image].

Menu i paski narzędzi

Zarządzanie menu i paskami narzędzi:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj kliknąć Interfejs [image].
  3. Rozwinąć Menu.
  4. W obszarze Menu określić, czy mają być wyświetlane Wszystkie menu z bieżącego źródła dostosowania, czy konkretne menu (takie, jak Plik, Edycja lub Widok).
  5. Rozwinąć menu, które ma być edytowane.
  6. Zostaną wyświetlone wpisy poleceń z menu wraz z ikonami lub podmenu.
  7. Rozwinąć Paski narzędzi.
  8. W obszarze Pasek narzędzi określić, czy mają być wyświetlane Wszystkie paski narzędzi z bieżącego źródła dostosowania, czy konkretny pasek narzędzi (taki, jak Standard, Warstwy lub Właściwości).
  9. Rozwinąć pasek narzędzi, który ma być edytowany.
  10. Zostaną wyświetlone wpisy poleceń z paska narzędzi wraz z ikonami.
  11. Aby usunąć wybrane polecenie z menu lub paska narzędzi, kliknąć Usuń [image].
  12. Aby rozwinąć Eksploratora poleceń, kliknąć Pokaż eksploratora poleceń [image].
  13. Aby wstawić polecenie lub opcję do menu lub paska narzędzi, wybrać wpis w Eksploratorze poleceń i przeciągnąć go do menu lub paska narzędzi.
  14. Użyć pola Znajdź, aby wpisać ciąg wyszukiwania i zredukować liczbę wpisów w Eksploratorze poleceń.

Uwaga: Obszar Polecenia okna dialogowego Dostosuj służy do dodawania i edytowania poleceń. Nie można edytować polecenia ani sekwencji poleceń w odniesieniu do wpisu menu lub paska narzędzi w obszarze Interfejs.

Aby utworzyć nowe menu lub nowy pasek narzędzi, należy:

  1. W oknie dialogowym Dostosuj rozwinąć Menu lub Paski narzędzi.
  2. Kliknąć prawym przyciskiem myszy w obrębie listy menu lub pasków narzędzi i wybrać Nowe menu lub Nowy pasek narzędzi.
  3. Nastąpi dodanie nowego menu lub paska narzędzi do listy.
  4. Kliknąć prawym przyciskiem myszy menu lub pasek narzędzi i wybrać Zmień nazwę, aby edytować nazwę.
  5. Dodać elementy poleceń do menu lub paska narzędzi, zgodnie z poniższym opisem.

Aby wstawić wpis do menu lub paska narzędzi, należy:

  1. W oknie dialogowym Dostosuj rozwinąć menu lub pasek narzędzi.
  2. Przejść do lokalizacji w menu lub na pasku narzędzi, gdzie należy umieścić nowy element.
  3. Kliknąć Pokaż eksploratora poleceń [image], aby rozwinąć Eksploratora poleceń.
  4. W oknie dialogowym Eksplorator poleceń wybrać wpis polecenia i przeciągnąć go do menu lub paska narzędzi.
  5. Kliknąć prawym przyciskiem myszy menu lub pasek narzędzi i wybrać Nowy separator, aby wstawić separator.
  6. Kliknąć menu prawym przyciskiem myszy i wybrać Nowe podmenu, aby wstawić podmenu.

Aby zmienić nazwę wpisu w menu lub na pasku narzędzi, należy:

  1. W oknie dialogowym Dostosuj rozwinąć menu lub pasek narzędzi.
  2. Kliknąć prawym przyciskiem myszy wpis, którego nazwa ma zostać zmieniona, i wybrać Zmień nazwę.
  3. Wpisać nowy tekst dla elementu menu lub paska narzędzi.
  4. Uwaga: Sekwencja poleceń pod tym elementem nie ulega zmianie.

Aby usunąć wpis z menu lub paska narzędzi, należy:

  1. W oknie dialogowym Dostosuj rozwinąć menu lub pasek narzędzi.
  2. Kliknąć prawym przyciskiem myszy wpis do usunięcia i wybrać Usuń.

^ Góra strony

Konfigurowanie akcji myszy

Użyć strony Akcje myszy w oknie dialogowym Dostosuj, aby zdefiniować zdarzenia wywoływane kliknięciem prawego przycisku myszy lub podwójnym kliknięciem. Dodatkowo można zdefiniować wspólne i kontekstowe menu podręczne.

Aby zdefiniować akcje dla kliknięć prawym przyciskiem myszy, należy:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj kliknąć Akcje myszy [image].
  3. Rozwinąć Kliknięcia prawym klawiszem myszy.
  4. Wybrać menu, polecenie, sekwencję poleceń lub opcję do użycia dla wpisów: Kliknięcie prawym klawiszem myszy, Shift+kliknięcie prawym klawiszem myszy, Ctrl+kliknięcie prawym klawiszem myszy oraz Ctrl+Shift+kliknięcie prawym klawiszem myszy.

Aby zdefiniować akcje dla dwukrotnych kliknięć przyciskiem myszy, należy:

  1. W oknie dialogowym Dostosuj rozwinąć Dwukrotne kliknięcia.
  2. W obszarze Element wybrać typ elementu.
  3. W obszarze Nazwa polecenia wybrać polecenie do wykonania po dwukrotnym kliknięciu określonego elementu.
  4. Aby dodać typ elementu do listy, kliknąć Dodaj [image].
  5. Aby rozwinąć Eksploratora poleceń w celu przeciągnięcia nazwy polecenia do typu elementu na liście, kliknąć Pokaż eksploratora poleceń [image].
  6. Aby usunąć typ elementu z listy, kliknąć Usuń [image].

Aby zarządzać menu podręcznymi, należy:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj kliknąć Akcje myszy [image].
  3. Rozwinąć Menu podręczne > Wspólne lub Kontekstowe.
  4. Wybrać menu podręczne w obszarze Menu lub na liście menu podręcznych. Można edytować wspólne menu podręczne:
    • Kliknięcie prawym przyciskiem myszy w sytuacji, gdy żadne polecenie nie jest aktywne, spowoduje wyświetlenie Menu domyślnego.
    • Kliknięcie prawym przyciskiem myszy w sytuacji, gdy wybrane są elementy rysunku, spowoduje wyświetlenie Menu edycji.
    • Kliknięcie prawym przyciskiem myszy w sytuacji, gdy polecenie jest aktywne i nie zdefiniowano żadnego menu podręcznego dla danego polecenia, spowoduje wyświetlenie Menu poleceń.
    • Kliknięcie prawym przyciskiem myszy, gdy określone polecenie jest aktywne, spowoduje wyświetlenie menu kontekstowego.
  5. Aby wstawić polecenie lub opcję do menu podręcznego, należy:
    1. Kliknąć Pokaż eksploratora poleceń [image].
    2. W obszarze Eksplorator poleceń wybrać element i przeciągnąć go do menu lub paska narzędzi.
  6. Aby zastąpić polecenie lub opcję, wybrać element w menu podręcznym, a następnie wybrać inne polecenie lub inną opcję w obszarze Polecenie.
  7. Aby usunąć polecenie z menu podręcznego, wybrać element w menu podręcznym i kliknąć Usuń [image] (opcja dostępna tylko dla kontekstowych menu podręcznych).

^ Góra strony

Zarządzanie skrótami klawiaturowymi

Strona Klawiatura okna dialogowego Dostosuj służy do dostosowywania skrótów klawiaturowych.

Aby zarządzać skrótami klawiaturowymi, należy:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj kliknąć Klawiatura [image] .
  3. Rozwinąć Skróty klawiaturowe > Klawisze skrótu i Skróty klawiaturowe > Zastąp klawisze.
  4. Aby dodać nowe skróty do listy, kliknąć Dodaj [image] i w kolumnie Klawisz, w nowym wierszu, który pojawi się na liście, przytrzymać klawisz specjalny, np. Ctrl, Alt lub Shift, po czym nacisnąć inny klawisz na klawiaturze, określając skrót.
  5. Aby powiązać istniejącą sekwencję polecenia ze skrótem, kliknąć Pokaż eksploratora poleceń [image] w celu rozwinięcia Eksploratora poleceń, a następnie przeciągnąć sekwencje poleceń do nowego lub istniejącego skrótu klawiaturowego na liście.
  6. W celu zastąpienia klawiszy wpisać opis Funkcji i utworzyć Makro.
  7. Aby usunąć skrót klawiaturowy z listy, kliknąć Usuń [image].

Aby uzyskać więcej informacji na temat podsumowania wbudowanych klawiszy funkcyjnych, skrótów klawiaturowych i tymczasowych zastąpień, patrz dodatek Skróty klawiaturowe.

^ Góra strony

Zarządzanie profilami interfejsu użytkownika

Za pomocą strony Profil interfejsu użytkownika w oknie dialogowym Dostosuj można zarządzać elementami interfejsu użytkownika, takimi jak paski narzędzi szybkiego dostępu, karty wstążek, menu, paski narzędzi i inne elementy profilu interfejsu użytkownika (zwane również przestrzeniami roboczymi).

Za pomocą strony Profil interfejsu użytkownika w oknie dialogowym Dostosuj można zarządzać elementami interfejsu użytkownika, takimi jak menu, paski narzędzi i inne elementy profilu interfejsu użytkownika (zwane również przestrzeniami roboczymi).

Profile interfejsu użytkownika (przestrzenie robocze) składają się na interfejs użytkownika i są przechowywane w plikach dostosowania. Patrz Zarządzanie plikami dostosowania.

Aby zarządzać profilami interfejsu użytkownika, należy:

  1. Kliknąć Narzędzia > Dostosuj interfejs (lub wpisać Customize).
  2. W oknie dialogowym Dostosuj kliknąć Profile interfejsu użytkownika [image].
  3. Uwaga: Można również użyć polecenia UIProfile, aby otworzyć stronę Profile interfejsu użytkownika w oknie dialogowym Dostosuj.
  4. W obszarze Pokaż, wybrać jedną z poniższych opcji:
    • Wszystkie profile interfejsu użytkownika – staną się one bazą do dodawania lub modyfikowania profili interfejsu użytkownika.
    • Konkretny profil interfejsu użytkownika.
  5. Rozwinąć Profile interfejsu użytkownika.
  6. Wybrać z listy profil interfejsu użytkownika (przestrzeń roboczą).
  7. Wykonać dowolną z poniższych czynności:
    • Kliknąć dwukrotnie Aktywną kolumnę, aby uczynić daną przestrzeń roboczą bieżącą przestrzenią roboczą.
    • Kliknąć Nowa [image], aby utworzyć nową przestrzeń roboczą.
    • Kliknąć Usuń [image], aby usunąć wybraną przestrzeń roboczą. Po kliknięciu OK lub Zastosuj nie można cofnąć skutków użycia opcji Usuń.
    • Kliknąć prawym przyciskiem myszy i wybrać Zmień nazwę, aby zmienić nazwę przestrzeni roboczej.
    • Kliknąć dwukrotnie komórkę Opis, aby dodać lub edytować opis przestrzeni roboczej.
  8. Kliknąć Zastosuj.

Aby przypisać menu do przestrzeni roboczej:

  1. W oknie dialogowym Dostosuj, w obszarze Profile interfejsu użytkownika, rozwinąć Profile interfejsu użytkowania > Pasek menu.
  2. Kliknąć Pokaż eksploratora menu [image], aby rozwinąć Eksploratora menu.
  3. W obszarze Eksplorator menu wybrać nazwę menu i przeciągnąć ją na komórkę Pasek menu w przestrzeni roboczej.
  4. Można:
    • Przeciągnąć element menu do innej pozycji na pasku menu.
    • Kliknąć prawym przyciskiem myszy wpis menu i wybrać Usuń wpis, aby usunąć pozycję.
  5. Kliknąć Zastosuj.

Aby przypisać wyświetlanie pasków narzędzi do przestrzeni roboczej:

  1. W oknie dialogowym Dostosuj, w obszarze Profile interfejsu użytkownika, rozwinąć Profile interfejsu użytkowania > Paski narzędzi.
  2. Kliknąć Pokaż eksploratora paska narzędzi [image], aby rozwinąć Eksploratora paska narzędzi.
  3. W obszarze Eksplorator paska narzędzi wybrać nazwę paska narzędzi i przeciągnąć go na komórkę Wyświetlone paski narzędzi w przestrzeni roboczej.
  4. Kolejność wpisów na pasku narzędzi nie ma znaczenia.
  5. Aby usunąć wpis z listy pasków narzędzi, kliknąć prawym przyciskiem myszy i wybrać Usuń wpis.
  6. Kliknąć Zastosuj.

Aby skonfigurować wyświetlanie elementów interfejsu użytkownika przy zmianie przestrzeni roboczej:

  1. W oknie dialogowym Dostosuj, w obszarze Profile interfejsu użytkownika, rozwinąć Profile interfejsu użytkowania > Elementy.
  2. Kliknąć dwukrotnie komórki w tabeli, aby zaznaczyć lub usunąć zaznaczenie elementów interfejsu użytkownika do wyświetlenia przy zmianie przestrzeni roboczej:
    • pasek stanu
    • wiersz poleceń
    • macierz narzędzia
    • Pasek narzędzi Opcje
    • Paleta Właściwości
    • Paleta Odniesienia
    • Paleta Zasoby projektu
    • Paleta Oświetlenie
  3. Kliknąć Zastosuj.

^ Góra strony

Dostęp

Polecenie: Customize

Menu: Narzędzia > Dostosuj interfejs

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu


Wyświetlanie i ukrywanie pasków narzędzi

Paski narzędzi można wyświetlać i ukrywać. Paski narzędzi można przeciągać i upuszczać w dogodnym miejscu okna aplikacji. Można je również zadokować poniżej paska menu lub na prawym i lewym marginesie okna aplikacji.

Aby wyświetlić lub ukryć paski narzędzi, należy:

  1. Wpisać Toolbars w wierszu poleceń.
  2. W oknie dialogowym Wybierz pasek narzędzi wybrać lub usunąć zaznaczenie pasków narzędzi do wyświetlenia lub ukrycia.
  3. Jako Nazwa wpisać tekst do wyszukania dla pasków narzędzi.
  4. Kliknąć Dostosuj, aby otworzyć okno dialogowe Dostosuj, które pozwala na dodawanie lub modyfikowanie pasków narzędzi.
  5. Kliknąć Usuń, aby trwale usunąć wybrany pasek narzędzi.

Dostęp

Polecenie: Toolbars

Tematy pokrewne

Dostosowywanie interfejsu użytkownika

Pasek menu

Palety


Ustawianie preferencji użytkownika i opcji systemu

Polecenie Opcje pozwala skonfigurować parametry operacyjne programu, dostosować ustawienia i skróty do poleceń oraz ustawiać inne preferencje.

W oknie dialogowym Opcje dostępne są następujące sekcje:

  • Lokalizacje pliku
  • Opcje systemu
  • Preferencje użytkownika
  • Ustawienia rysunku
  • Style szkicowania
  • Profile

Aby wyszukać określone opcje w oknie dialogowym Opcje:

  1. W polu Znajdź wpisać szukany termin lub zmienną systemową do wyszukania powiązanych opcji.
  2. W polu Znajdź wpisać szukany termin lub zmienną systemową do wyszukania powiązanych opcji.
  3. W polu Znajdź wpisać szukany termin lub zmienną polecenia do wyszukania powiązanych opcji.
  4. Z listy rozwijanej wybrać opcję.
  5. W oknie dialogowym Opcje wyświetlana jest opcja.

Dostęp

Polecenie: Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Dostosowywanie interfejsu użytkownika


Ustawianie opcji lokalizacji plików

Strona Lokalizacje plików okna dialogowego Opcje pozwala wyświetlać, ustawiać i edytować domyślne ścieżki i/lub nazwy plików.

System wykorzystuje te lokalizacje w celu wyszukiwania plików lub zapisywania plików, takich jak rysunki i tymczasowe lokalizacje plików, foldery i pliki czcionek oraz foldery i pliki dopasowania.

Aby wyświetlić, dodać lub zmodyfikować lokalizacje plików, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Lokalizacje plików [image] .
  5. - lub -
  6. Wpisać FileLocations.
  7. Rozwinąć węzeł, aby wyświetlić lub ustawić specyfikację.
    • Obsługa rysunku:
      • Dodatkowy plik czcionki: Ustawia czcionkę, która ma być używana, gdy bieżąca czcionka nie jest dostępna. Standardowe i zdefiniowane przez użytkownika style tekstów w rysunkach bazują na plikach czcionek.
      • Lokalizacja plików rysunku: Określa lokalizację wyszukiwania dla rysunków. Lokalizacja ta jest używana w przypadku użycia poleceń Open, Save, SaveAs i innych poleceń plików.
      • Lokalizacja pliku szablonu rysunku: Określa lokalizację pliku szablonu rysunku.
      • Lokalizacja plików odniesień zewnętrznych: Określa lokalizację wyszukiwania dla zewnętrznych odniesień. Lokalizacja jest używana razem z poleceniem AttachDrawing.
      • Plik mapowania czcionki: Ustawia plik definiujący plik mapowań czcionek, który ma być używany, gdy czcionka, do której odnosi się styl tekstu, nie jest dostępna.
      • Lokalizacja plików biblioteki: Określa lokalizację wyszukiwania bloków dla polecenia InsertBlock.
      • Plik stylu linii: Określa lokalizację wyszukiwania dla plików stylów linii.
      • Plik stylu linii wzbogaconej: Określa lokalizację wyszukiwania dla plików stylów linii wzbogaconej.
    • Interfejs:
      • Lokalizacja pliku aliasu: Określa lokalizację wyszukiwania dla pliku poleceń aliasu.
      • Niestandardowa lokalizacja ikony: Określa lokalizację wyszukiwania niestandardowych plików ikon, która ma być używana z poleceniem Customize w celu dodawania ikon do pasków narzędzi i menu.
      • Plik dostosowania: Określa lokalizację wyszukiwania bloków głównego pliku dostosowania dostarczonego jako baza dla polecenia Customize.
      • Pliki menu: Określa lokalizację wyszukiwania dla plików dostosowania menu.
    • System:
      • Pliki słownika:
        • Plik słownika niestandardowego: Określa lokalizację dla niestandardowego słownika pisowni, który ma być używany z poleceniem SpellCheck.
        • Pliki głównego słownika: Określa słowniki, które mają być używane z poleceniem SpellCheck. Wybrać język i kliknąć Aktywuj, aby ustawić aktywny słownik języka.
      • Ścieżka poszukiwań plików czcionek: Określa lokalizację wyszukiwania dla plików czcionek. Standardowe i zdefiniowane przez użytkownika style tekstów w rysunkach bazują na plikach czcionek.
      • Plik pomocy: Określa folder i nazwę pliku pomocy używanego przez polecenie Help.
      • Lokalizacja pliku dziennika: Lokalizacja, w której jest zapisywany plik dziennika historii dokumentu.
      • Ścieżka poszukiwań plików pomocniczych: Określa lokalizację wyszukiwania dla aplikacji uzupełniających, wzorów kreskowania obszaru, plików dostosowania, plików rysunku, czcionek i plików stylów linii.
      • Lokalizacja pliku tymczasowego: Lokalizacja dla tymczasowych plików rysunku, które nie zostały zapisane.
  8. Wybrać ścieżkę lub plik i kliknąć Przeglądaj (lub kliknąć dwukrotnie folder lub lokalizację pliku), aby przejść do nowego elementu.
  9. Kliknąć OK.

^ Góra strony

Porada: Należy użyć opcji Znajdź, aby wyszukać elementy w oknie dialogowym Opcje.

Dostęp

Polecenia: FileLocations lub Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Dostosowywanie interfejsu użytkownika


Ustawianie preferencji użytkownika

Strona Preferencje użytkownika okna dialogowego Opcje pozwala definiować:

  • Opcje szkicowania
  • Opcje myszy
  • Polecenia aliasu

Aby ustawić opcje szkicowania, należy:

  • Patrz polecenie DraftingOptions, które otwiera odpowiednią część okna dialogowego Opcje.

Aby ustawić opcje myszy, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image].

    - lub -

    Wpisać UserPreferences.
  5. Rozwinąć Opcje myszy.
  6. Rozwinąć Opcje, aby ustawić:
    • Odwróć kierunek kółka zoom wheel: Zmienia kierunek powiększania kółkiem myszy.
    • Włącz klikanie i przeciąganie: Pozwala rysować okna wyboru lub używać metody przecięcia poprzez kliknięcie punktu (i przytrzymanie wciśniętego przycisku myszy) i przeciągnięcie wskaźnika do drugiego punktu. Gdy opcja ta nie jest zaznaczona, można rysować okna wyboru lub używać metody przecięcia poprzez kliknięcie dwóch oddzielnych punktów.
    • Edytuj poprzez dwukrotne kliknięcie: Włącza zachowanie edycji poprzez dwukrotne kliknięcie w obszarze graficznym.
    • Wyświetlaj menu skrótów prawym klawiszem myszy: Wyświetla kontekstowe menu podręczne po kliknięciu prawym przyciskiem myszy w obszarze graficznym.
  7. Rozwinąć Zachowanie przy szybkim wciśnięciu klawisza Enter, aby ustawić Włącz Enter przy szybkim kliknięciu prawym klawiszem myszy. Wykonuje polecenie Enter w przypadku kliknięcia w czasie ustawionym w części Czas szybkiego kliknięcia. Dłuższe kliknięcie wyświetla kontekstowe menu podręczne.
  8. Rozwinąć Obecnie jest przetwarzane inne polecenie, aby ustawić zachowanie prawego kliknięcia myszy podczas uruchamiania poleceń:
    • Wyświetla menu podręczne
    • Wyświetla menu podręczne tylko wtedy, gdy są dostępne opcje polecenia
    • To samo, co wciśnięcie klawisza Enter (na przykład w celu akceptacji opcji polecenia lub przerwania polecenia)
  9. Rozwinąć Wybrane elementy, aby ustawić zachowanie prawego kliknięcia myszy, gdy wybrane są elementy i nie jest aktywne żadne polecenie:
    • Wyświetla menu podręczne
    • Powtarza ostatnie polecenie
  10. Rozwinąć Niewybrane elementy, aby ustawić zachowanie prawego kliknięcia myszy, gdy nie są wybrane żadne elementy i nie jest aktywne żadne polecenie:
    • Wyświetla menu podręczne
    • Powtarza ostatnie polecenie

^ Góra strony

Aby utworzyć aliasy i zarządzań nimi, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Preferencje użytkownika [image].

    - lub -

    Wpisać UserPreferences.
  5. Rozwinąć Aliasy, aby zarządzać skrótami klawiaturowymi.

    Przykłady aliasów obejmują: L dla polecenia Line, C dla polecenia Circle lub A dla polecenia Arc.
  6. Należy użyć poniższych opcji:
    • Nowy: Tworzy nowy skrót klawiaturowy na liście aliasów. Do listy zostanie dodany wpis, gdzie można wpisać polecenie reprezentujące skrót klawiaturowy oraz nazwę aliasu.
    • Usuń: Usuwa wybrany skrót klawiaturowy z listy aliasów.
    • Import: Importuje plik aliasów (pliki .xml, .ica, lub .pgp).
    • Eksport: Zapisuje plik .xml w celu zachowania ustawień aliasów.

^ Góra strony

Porada: Należy użyć opcji Znajdź, aby wyszukać elementy w oknie dialogowym Opcje.

Dostęp

Polecenie: UserPreferences lub Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Dostosowywanie interfejsu użytkownika


Definiowanie ustawień rysunku

Strona Ustawienia rysunku okna dialogowego Opcje pozwala ustawić zachowanie pewnych poleceń rysunku, wygląd pewnych elementów rysunku i układ jednostek miar bieżącego rysunku oraz zarządzać niestandardowymi układami współrzędnych (NUW).

Aby ustawić zachowanie pewnych poleceń rysunku i ustawić opcje skali linii, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Ustawienia rysunku [image] .
  5. - lub -
  6. Wpisać DrawingSettings.
  7. Rozwinąć Zachowanie i wybrać lub usunąć zaznaczenie opcji Włącz wymiarowanie względne. Określa, że tworzone wymiary są skojarzone z mierzonymi elementami.
  8. Rozwinąć Parametry stylu linii i ustawić:
    • Globalna skala linii: Ustawia współczynnik skalowania dla wyświetlania stylów linii. Opcja ta jest użyteczna podczas powiększania i pomniejszania.
    • Skala linii dla nowych elementów: Ustawia skalę linii dla nowych elementów. Wszystkie skale linii elementów są wyświetlane w oparciu o przemnożenie Globalnej skali linii przez skalę linii elementu.
    • Skala oparta o jednostki arkusza: Mnoży niestandardową skalę okienka ekranu przez obliczoną wartość dla Skali linii dla nowych elementów.
  9. Rozwinąć Obwiednia rysunku i ustawić:
    • Włącz obwiednię rysunku: Ogranicza użytkownika do rysowania elementów wewnątrz obwiedni ustawionej w części Pozycja.
    • Pozycja: Ustawia granice obwiedni rysunku. Kliknąć Wybierz w obszarze graficznym [image], aby ustawić obwiednie w obszarze graficznym.
  10. Kliknąć OK.

Aby ustawić opcje wyświetlania, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Ustawienia rysunku [image] .
  5. - lub -
  6. Wpisać DrawingSettings.
  7. Rozwinąć Wyświetl i ustawić:
    • Pokaż karty modelu i arkusza: Włącza i wyłącza wyświetlanie kart Model i Arkusz.
    • Pokaż atrybuty bloku:
      • Normalny: Wykorzystuje ustawienie zdefiniowane w atrybucie bloku.
      • Wł.: Pokazuje atrybuty bloku bez względu na ustawienie zdefiniowane w atrybucie bloku i bez względu na to, czy są one ukryte.
      • Wył.: Ukrywa atrybuty bloku.
  8. Rozwinąć ikonę układu współrzędnych i ustawić:
    • Wyświetl ikony: Wyświetla ikony układu współrzędnych w kartach Model i Arkusz.
    • Wyświetl ikony na początku: Zawsze wyświetla ikony układu współrzędnych w lokalizacji początku układu współrzędnych w obszarze graficznym.
    • Zastosuj zmiany dla wszystkich aktywnie wyświetlanych widoków: Stosuje ustawienia Wyświetl ikony oraz Wyświetl ikony na początku do wszystkich widoków.
  9. Kliknąć OK.

Aby ustawić format i rozmiar elementów punktowych, należy:

  • Patrz polecenie PointFormat, które otwiera odpowiednią część okna dialogowego Opcje.

Aby skonfigurować układ jednostek miar używany w rysunku, należy:

  • Patrz polecenie UnitSystem, które otwiera odpowiednią część okna dialogowego Opcje.

Aby zarządzać niestandardowymi układami współrzędnych (NUW), należy:

  • Patrz polecenie CSStyle, które otwiera odpowiednią część okna dialogowego Opcje.

^ Góra strony

Porada: Należy użyć opcji Znajdź, aby wyszukać elementy w oknie dialogowym Opcje.

Dostęp

Polecenie: DrawingSettings lub Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Dostosowywanie interfejsu użytkownika


Zarządzanie stylami szkicowania

Strona Style szkicowania okna dialogowego Opcje pozwala zarządzać stylami tekstu, stylami wymiarowania, stylami linii wzbogaconej oraz stylami tabeli. Dodatkowo można ustawić styl do użycia w późniejszych poleceniach.

Aby uzyskać dostęp do strony stylów szkicowania okna dialogowego Opcje, należy:

  • Kliknąć Narzędzia > Opcje (lub wpisać Options).
  • Kliknąć Narzędzia > Opcje (lub wpisać Options).
  • Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  • W oknie dialogowym Opcje kliknąć Style szkicowania [image] .

    - lub -

    Wpisać DraftingStyles.

Aby ustawić styl do użycia w późniejszych poleceniach, należy:

  • Patrz polecenie Styles, które otwiera odpowiednią część okna dialogowego Opcje.

Aby zarządzać stylami tekstu, należy:

  • Patrz polecenie TextStyle, które otwiera odpowiednią część okna dialogowego Opcje.

Aby zarządzać stylami wymiarowania, należy:

  • Patrz polecenie DimensionStyle, które otwiera odpowiednią część okna dialogowego Opcje.

Aby zarządzać stylami linii, należy:

  • Patrz polecenie RichLineStyle, które otwiera odpowiednią część okna dialogowego Opcje.

Aby zarządzać stylami tabeli, należy:

  • Patrz polecenie TableStyle, które otwiera odpowiednią część okna dialogowego Opcje.

Porada: Należy użyć opcji Znajdź, aby wyszukać elementy w oknie dialogowym Opcje.

Dostęp

Polecenie: DraftingStyles lub Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Dostosowywanie interfejsu użytkownika


Zarządzanie profilami ustawień

Strona Profile okna dialogowego Opcje pozwala przechowywać indywidualne profile w oparciu o określone ustawienia i zarządzać profilami.

Nazwa aktywnego profilu jest wyświetlana na górze okna dialogowego Opcje.

Aby zarządzać profilami ustawień, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Profile [image].

    - lub -

    Wpisać Profiles.

    Wyświetlona zostanie lista dostępnych profili.
  5. Do zarządzania profilami można wykorzystać:
    • Dodaj: Otwiera okno dialogowe Nazwany profil. Wpisać Nazwę i Opis dla profilu.
    • Zmień nazwę: Pozwala zmienić nazwę wybranego profilu. Narzędzie zmieniające nazwę otwiera okno dialogowe Zmień nazwę profilu. Wpisać nową Nazwę lub Opis dla profilu.
    • Usuń: Pozwala usunąć wybrany profil. Nie można usunąć aktywnego profilu.
    • Import: Odczytuje z dysku profil, który został utworzony przy użyciu opcji Eksport. Pliki profili można importować z tego samego komputera lub z innych komputerów.
    • Export: Zapisuje wybrane profile jako plik .xml.
    • Aktywuj: Ustawia wybrany profil jako aktywny.
    • Resetuj: Ustawia wartości w wybranym profilu na ustawienia domyślne.

Dostęp

Polecenie: Profiles lub Options

Menu: Narzędzia > Opcje

Menu: Narzędzia > Opcje

Menu: Menu aplikacji > Preferencje

Tematy pokrewne

Ustawianie preferencji użytkownika i opcji systemu

Dostosowywanie interfejsu użytkownika


Ustawianie języka systemu

Polecenie Language służy do ustawiania języka komunikacji z oprogramowaniem.

Uwaga: Aby zaktualizować język, konieczne jest ponowne uruchomienie oprogramowania.

Aby ustawić język systemu, należy:

  1. Wpisać Language w wierszu poleceń.
  2. Podać liczbę właściwą dla żądanego języka.
  3. Aby wyświetlić obsługiwane języki, użyć opcji ?.
  4. Uwaga: określenie wartości 0 spowoduje użycie domyślnego języka systemu operacyjnego.
  5. Zapisać swoją pracę i wpisać Exit, aby zamknąć oprogramowanie.
  6. Uruchomić ponownie oprogramowanie.
  7. System używa określonego języka.

Dostęp

Polecenie: Language


Wczytywanie aplikacji

Polecenie LoadApplication służy do odnajdowania i wczytywania aplikacji do użycia w programie. Typowo aplikacja wysyła komunikat, że została wczytana z powodzeniem. Następnie można wykorzystywać polecenia i funkcje dostarczane przez aplikację.

Obsługiwane są następujące formaty:

  • Pliki Lisp (*.lsp)
  • Pliki Menu Lisp (*.mnl)
  • Biblioteki dynamicznych łączy dostarczane przez deweloperów aplikacji (*.dll)
  • Rozszerzenia plików Teigha dostarczane przez deweloperów aplikacji (*.tx)

Do tego oprogramowania można załadować biblioteki dynamicznych łączy (*.dll).

Należy pamiętać, aby ładować pliki aplikacji, które zostały utworzone dla tego oprogramowania.

Dostęp

Polecenie: LoadApplication

Tematy pokrewne

Dostosowywanie


Uruchamianie pliku skryptu

Skrypty (zwane również makrami) automatyzują wykonywanie określonych instrukcji lub poleceń programowych krok po kroku, eliminując konieczność wprowadzania poleceń ręcznie.

W tym rozdziale omówiono następujące tematy:

  • Pisanie i uruchamianie plików skryptów
  • Wstrzymywanie wykonywania skryptu
  • Wznawianie wykonywania skryptu
  • Powtarzanie skryptu
  • Ukrywanie okna historii poleceń


Pisanie i uruchamianie plików skryptów

Skrypty (zwane również makrami) automatyzują wykonywanie określonych instrukcji lub poleceń programowych krok po kroku, eliminując konieczność wprowadzania poleceń ręcznie.

Polecenie LoadScript służy do wykonywania sekwencji poleceń z pliku skryptu.

Pisanie pliku skryptu

Plik skryptu można utworzyć przy użyciu dowolnego edytora tekstów lub programu do obróbki tekstów, który pozwala zapisywać format tekstowy ASCII (bez dodawania jakichkolwiek informacji o formatowaniu).

Aby utworzyć plik skryptu, należy:

  1. Wprowadzić polecenia i instrukcje oraz ich odpowiednie wartości wejściowe w pliku, w takiej kolejności, w jakiej mają być wykonywane.

    Wykonywanie poleceń odbywa się wiersz po wierszu lub instrukcja po instrukcji, jeżeli są one oddzielone spacją. Znak końca linii lub spacji jest interpretowany jako potwierdzenie poprzedniego wpisu.
  2. Zapisać plik w formacie zwykłego tekstu jako plik .scr.

Przykład

Poniższe wiersze definiują skrypt, który szkicuje okrąg w miejscu o współrzędnych 5,5 i promieniu 10 jednostek rysunku:

Circle
5,5
10

Wpis równoważny (zauważmy spacje):

Circle 5,5 10

Używanie schowka

Pliki skryptów można tworzyć przy użyciu poleceń Copy i Copy History.

Okno historii poleceń zawiera listę poleceń programu oraz wpisów danych, jakich dokonano w trakcie sesji programu. Historia pozwala na odnoszenie się i rekonstruowanie użytych procedur.

Aby tworzyć pliki skryptów poprzez kopiowanie historii poleceń, należy:

  1. Wykonać kroki poleceń, które należy zapamiętać.
  2. Wpisać CommandHistory, aby otworzyć oddzielne okno historii poleceń.
  3. Kliknąć prawym przyciskiem myszy i wybrać Kopiuj historię.
  4. Należy otworzyć edytora tekstu.
  5. Wkleić kroki poleceń do programu edytora.
  6. Zapisać plik jako plik .scr.

Uruchamianie pliku skryptu

Aby uruchomić plik skryptu, należy:

  1. Kliknąć Narzędzia > Uruchom skrypt (lub wpisać LoadScript).
  2. Wybrać skrypt i kliknąć Otwórz.

Dostęp

Polecenie: LoadScript

Menu: Narzędzia > Uruchom skrypt

Tematy pokrewne

Wstrzymywanie wykonywania skryptu

Wznawianie wykonywania skryptu

Powtarzanie skryptu

Ukrywanie okna historii poleceń


Wstrzymywanie wykonywania skryptu

Polecenie PauseScript w pliku skryptu służy do wstrzymywania skryptu na określony czas.

Aby wstrzymać wykonywanie skryptu, należy:

  1. Wpisać PauseScript w wierszu poleceń.
  2. Wpisać czas trwania (w milisekundach) przed wydaniem następnego polecenia. Wartość może być liczbą całkowitą z zakresu od 0 do 32767. Wartość 1000 wstrzymuje skrypt na jedną sekundę.

Dostęp

Polecenie: PauseScript

Tematy pokrewne

Uruchamianie pliku skryptu


Wznawianie wykonywania skryptu

Polecenie ResumeScript pozwala kontynuować przerwany skrypt.

Skrypt można przerwać, naciskając klawisz Esc lub Backspace. Skrypty mogą również zostać przerwane przez błąd w pliku skryptu.

Polecenie to jest pomocne przy tworzeniu i testowaniu plików skryptów.

Aby wznowić przerwany skrypt, należy:

  • Wpisać ResumeScript w wierszu poleceń.

Dostęp

Polecenie: ResumeScript

Tematy pokrewne

Uruchamianie pliku skryptu


Powtarzanie skryptu

Polecenie ScriptN powtarza plik skryptu. Skrypty można powtarzać ciągle, do chwili przerwania ich przy użyciu klawiszy Esc lub Backspace.

Polecenie to jest użyteczne w plikach skryptów używanych do pokazów w salach wystawowych i na wystawach.

Aby powtórzyć skrypt, należy:

  • Wpisać ScriptN jako ostatnie polecenie w pliku skryptu.

Dostęp

Polecenie: ScriptN

Tematy pokrewne

Uruchamianie pliku skryptu

Wznawianie wykonywania skryptu


Ukrywanie okna historii poleceń

Polecenie HideCommandHistory zamyka okno historii poleceń.

Aby ukryć okno historii poleceń, należy:

  • Wpisać HideCommandHistory w wierszu poleceń.
  • - lub -
  • Nacisnąć F2.
  • Nacisnąć F2.
  • Nacisnąć Fn + F2.

Dostęp

Polecenie: HideCommandHistory

Tematy pokrewne

Wyświetlanie historii poleceń

Okno poleceń (obszar wiersza poleceń)

Interfejs użytkownika


Dostosowywanie stylów linii

Style linii są wykorzystywane w rysunkach, aby wymusić zgodność wartości informacyjnych na rysunkach ze standardami branżowymi. Polecenie LineStyle pozwala wczytywać i zarządzać stylami linii. Style linii można przypisywać do warstw lub bezpośrednio do nowych elementów. Aby użyć stylów linii, konieczne jest ich wczytanie z plików które definiują wzory kreska-kropka.

Pliki stylów linii i lokalizacja plików

Pliki definicji stylów linii są przechowywane w plikach tekstowych ASCII z rozszerzeniem .lin.

Aby zmienić lokalizację wyszukiwania plików stylów linii, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje, kliknąć Lokalizacje plików [image] .
  5. Rozwinąć Obsługa rysunku > Plik stylu linii.
  6. Wybrać ścieżkę i kliknąć Przeglądaj (lub kliknąć dwukrotnie ścieżkę).
  7. W oknie dialogowym Przeglądaj foldery, przejść do nowej ścieżki i kliknąć OK dwa razy.

Składnia pliku stylu linii

Można umieszczać komentarze w pliku poprzez umieszczenie średnika na początku wiersza, po którym następuje tekst.

Format stylu linii składa się z dwóch wierszy:

  • Pierwszy wiersz, czyli nagłówek zaczyna się od gwiazdki i zawiera nazwę stylu linii, po której następuje przecinek i symboliczna reprezentacja stylu linii, utworzona z ciągu kresek, odstępów i kropek.
  • Drugi wiersz, czyli wiersz definicji, zawiera geometryczny opis stylu linii.
Przykłady:
  • Nagłówek: *Styl linii [, opis stylu linii]
  • Wiersz definicji: Długość segmentu linii 1, Długość segmentu linii 2, ï¿½, Długość segmentu linii n

Poniższy przykład ukazuje definicję stylu linii kreska-kropka:

*Dashdot, _ . _ . _ . _ . _ . _ . _ . _ . _ . _ . _ .
A, 0.5, -0.25, 0, -0.25

Nagłówek zawiera gwiazdkę, po której następuje styl linii (Dashdot). Przecinek oddziela symboliczną reprezentację stylu linii ("_ . _ .").

Drugi wiersz, zawiera geometryczną definicję stylu linii.

Wszystkie definicje kresek, kropek i odstępów są rozdzielone przecinkami:

  • Kreska: Elementy rysunku są wyświetlane jako liczby dodatnie. Na przykład: 0.5 oznacza kreskę („pióro opuszczone”) o długości 0.5 jednostek rysunku.
  • Kropka: Kropki są wyświetlane jako wartości 0.
  • Przerwa: Przerwy są wyświetlane jako liczby ujemne. Na przykład: -.25 oznacza przerwę ("pisak podniesiony"), w której nie powinna być rysowana żadna linia.

Określenie długości oznacza jednostki rysunku, gdy współczynnik skali linii ustawiony jest na 1.00.

Złożone style linii

Złożone style linii określają pojedyncze - możliwe że przerwane - linie, przeplatane symbolami. Te style linii mogą zawierać definicje kształtu lub tekst jako opisy wzoru, wraz z opisami kresek i kropek dla prostych stylów linii. Zwykle oznaczają one obwiednie, kontury lub narzędzia.

Elementy tekstowe lub kształty osadzone w liniach są zawsze rysowane w całości (nigdy nie są przycinane).

Składnia

Składnia dla złożonego stylu linii jest podobny do składni prostych stylów linii.

Składnia dla deskryptorów tekstowych i kształtów w opisach stylów linii ma postać rozdzielanej przecinkami listy opisów wzorów, jak niżej:

Definicje kształtu

[Nazwa_kształtu, Nazwapliku_SHX]

- lub -

[Nazwa_kształtu, Nazwapliku_SHX, Transformacja]

Argument Nazwa_kształtu określa nazwę kształtu do narysowania. Ten argument musi być dołączony. Nazwa kształtu musi istnieć w określonym pliku kształtu.

Argument Nazwapliku_SHX określa nazwę skompilowanego pliku definicji kształtu (.shx). Ten argument musi być dołączony. Jeżeli nie zdefiniowano żadnej ścieżki dla nazwy pliku (co jest zalecane), przeszukiwana jest ścieżka biblioteki.

Definicje tekstu

["Ciąg", Nazwa_Stylutekstu]

- lub -

["Ciąg", Nazwa_Stylutekstu, Transformacja]

Argument Ciąg definiuje tekst do użycia w złożonym stylu linii. Nie można używać znaków â€˜ (pojedynczy cudzysłów) lub " (podwójny cudzysłów) w ciągu. Aby użyć tych znaków, należy zastosować kod sterujący %% z odpowiednią wartością ASCII dla tego znaku.

Argument Nazwa_Stylutekstu określa styl tekstu do opracowania.

Określanie przekształceń

Argument Przekształcenie jest opcjonalny i może stanowić szereg poniższych elementów poprzedzonych przecinkami:

R=wartość | Obrót względny
A=wartość | Obrót bezwzględny
S=wartość | Skala
X=wartość | Odsunięcie X
Y=wartość | Odsunięcie Y

W tej składni argument wartość jest liczbą dziesiętną ze znakiem (na przykład: 1, ï¿½0.25, 0.3).

Argumenty obrotu są w stopniach, inne argumenty podano w jednostkach rysunku skalowanych dla stylów linii.

Jeżeli są używane poprzedzające litery przekształceń, musi po nich następować znak równości i liczba.

Tematy pokrewne

Wczytywanie i ustawianie stylów linii

Dostosowywanie wzorów kreskowania


Dostosowywanie wzorów kreskowania

Kreskowania są projektowane poprzez powtórzenie wielu linii. Linie te mogą być obrócone pod dowolnym kątem, rozpoczynać się w różnych punktach i być oddalone o różne odstępy. Można również generować sekwencje kreska-kropka zamiast wydłużonych kresek.

Można wczytywać wzory kreskowania zdefiniowane w plikach wzorów przy użyciu polecenia Hatch, a także można wybrać wzór z okna dialogowego Kreskowanie. Po skonfigurowaniu nowego pliku wzoru służy on jako plik domyślny do czasu wybrania innego wzoru.

Pliki wzorów kreskowania i lokalizacja plików

Uprzednio zdefiniowane wzory kreskowania są przechowywane w plikach .pat (pliki wzorów).

Aby wygenerować plik wzoru, należy użyć edytora tekstu, aby utworzyć plik z rozszerzeniem .pat.

Aby zmienić lokalizację wyszukiwania plików wzorów, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje, kliknąć Lokalizacje plików [image] .
  5. Rozwinąć System > Ścieżka poszukiwań plików pomocniczych.

Składnia pliku wzoru kreskowania

Wzory kreskowania składają się z nagłówka, po którym następuje nazwa wzoru kreskowania. Gwiazdka (*) oznacza początek nazwy wzoru kreskowania, po której może następować przecinek i opis wzoru. Następny wiersz zawiera rzeczywistą definicję wzoru kreskowania. Każda definicja wzoru kreskowania rozpoczyna się w oddzielnym wierszu i zawiera następujące elementy:

  • Kąt linii
  • Współrzędne X i Y miejsca, w którym linia ma się rozpoczynać.
  • Odstępy X i Y odsunięcia
  • Długość segmentu linii

Długości segmentów są wymagane dla wydłużonych i kropkowych linii kreskowania. Nie są one wymagane dla linii ciągłych.

Można wprowadzać komentarze w nagłówku pliku kreskowania w celach dokumentacyjnych. Te wiersze komentarza zaczynają się średnikiem.

Nagłówek: | *Nazwa wzoru kreskowania [,opis wzoru]
1. linia kreskowania: | Kąt, punkt początkowy X, punkt początkowy Y, odstępy X, odstępy Y [,Ls1, Ls2,..., Lsn]
2. linia kreskowania: | Tak samo jak 1. linia kreskowania
n-ta linia kreskowania: | Tak samo jak 1. linia kreskowania

[Ls1,Ls2,...,Lsn] = Długość segmentu linii 1, Długość segmentu linii 2, ï¿½, Długość segmentu linii n

Nazwa wzoru kreskowania musi być krótsza od 15 znaków. Opis musi być krótszy niż 80 znaków.

W jednej definicji linii kreskowania dozwolonych jest maksymalnie sześć wpisów długości segmentu linii.

Przykłady

Przykład 1: Kreskowanie poziome

Ten przykład ukazuje wzór kreskowania o nazwie HLINE wykorzystujący kąt 0°. Punkt początkowy znajduje się w lokalizacji 0,0, a odsunięcie Y linii ma szerokość 1 jednostki rysunku.

*HLINE, Linia pozioma
0, 0,0 , 0, 1.0

Przykład 2: Kreskowanie kreska-kropka

Ten przykład ukazuje wzór kreskowania kreska-kropka, rysowany pod kątem 45°. Punkt początkowy znajduje się w lokalizacji 0,0, a odsunięcie linii kreskowania ma szerokość 1 jednostki rysunku. Długość kreski wynosi 0,5 jednostki rysunku. Każdą kropkę i kreskę oddziela odstęp o długości 0,25 jednostek rysunku.

*DASHDOT, Linia kreska-kropka pod kątem 45 stopni
45, 0,0 , 0,1,0.5,-0.25,0,-0.25

Przykład 3: Kreskowanie typu parkiet

Ten przykład ukazuje wzór kreskowania typu parkiet, który składa się z wielu linii kreskowania. Wzór składa się z 4 parkietów o szerokości 0,25 jednostek rysunku.

Ten wzór służy do utworzenia wzoru zawierającego pięć linii kreskowania 0° oraz 5 linii kreskowania 90°. Punkty początkowe są odsunięte o 0,25 jednostek pod kątem 90° w kierunku X oraz 0° w kierunku Y.

* PARQUET, 1 x 1 wzór parkietu
0, 0,0.00 ,1,1, 1.0,-1.0
0, 0,0.25 ,1,1, 1.0,-1.0
0, 0,0.50 ,1,1, 1.0,-1.0
0, 0,0.75 ,1,1, 1.0,-1.0
0, 0,1.00, 1.1. 1.0,-1.0
90, 0.00,0 ,1,1, -1.0,1.0
90, 0.25,0 ,1,1, -1.0,1.0
90, 0.50,0 ,1,1, -1.0,1.0
90, 0.75,0 ,1,1, -1.0,1.0
90, 1.00,0 ,1,1, -1.0,1.0

Tematy pokrewne

Tworzenie kreskowań

Dostosowywanie stylów linii


Wykaz poleceń

Niniejszy załącznik zawiera dwie wersje wykazu poleceń:

  • Polecenia wyszczególnione w kolejności alfabetycznej
  • Polecenia wyszczególnione w kolejności występowania w menu


Wykaz poleceń: polecenia w kolejności alfabetycznej

#

Polecenie | Alias | Opis | Menu
3D | — | Tworzy obiekt 3D SiatkaWieloboku (kostka, stożek, cylinder, misa, kopuła, ostrosłup, sfera, torus, klin lub siatka) | —
3DMouseButtons | — | Umożliwia przypisanie co najmniej dwóch poleceń do przycisków myszy 3D | Mysz 3D
3DMouseOptions | — | Umożliwia określenie ustawień myszy 3D (wariant okna dialogowego) | Mysz 3D
-3DMouseOptions | — | Umożliwia określenie ustawień myszy 3D (wariant okna polecenia) | —
3PointAngleDimension | — | Tworzy wymiar kątowy w oparciu o trzy punkty | —
4PointAngleDimension | — | Tworzy wymiar kątowy w oparciu o cztery punkty | —

A

Polecenie | Alias | Opis | Menu
About | — | Wyświetla informacje o programie | Pomoc
About | — | Wyświetla informacje o programie | Pomoc
About | — | Wyświetla informacje o programie | Menu aplikacji
ActivateLayer | — | Uaktywnia warstwę określonego elementu | Format > Narzędzia warstwy
ActivateViewport | — | Uaktywnia określony widok sąsiadujący na karcie Model lub Okienko ekranu na karcie Arkusz | —
Align | AL | Wyrównuje elementy z innymi elementami w przestrzeni 2D i 3D | —
Align3D | — | Wyrównuje elementy z innymi elementami lub innymi punktami docelowymi w przestrzeni 3D | —
AngleDimension | — | Tworzy wymiar kątowy | Wymiar
Arc | A | Tworzy łuk | Rysuj
ArcLengthDimension | — | Tworzy wymiary długości łuku | Wymiar
AreaBoundary | AB | Tworzy element Polilinia lub Region z zamkniętego obszaru (wariant okna dialogowego) | Rysuj
-AreaBoundary | -BO | Tworzy element Polilinia lub Region z zamkniętego obszaru (wariant okna poleceń) | —
ARender | — | Wyświetla renderowany rysunek w oddzielnym oknie | —
AttachDrawing | — | Dołącza rysunek odniesienia dla bieżącego rysunku | Wstaw
AttachImage | — | Dołącza obraz do bieżącego rysunku (wariant okna dialogowego) | Wstaw
-AttachImage | — | Dołącza obraz do bieżącego rysunku (wariant okna poleceń) | —
AttachLink | — | Dołącza hiperłącza do elementów lub obszarów | —
AutoRebuild | — | Steruje automatycznymi przebudowaniami rysunku | —

^ Góra strony

B

Polecenie | Alias | Opis | Menu
BaselineDimension | — | Kontynuuje wymiar liniowy, kątowy lub współrzędne z linii bazowej poprzedniego lub wybranego wymiaru | Wymiar
BlockAttributeOutput | — | Zapisuje wartości atrybutu bloku dla wybranego bloku do plików tekstowych | —
BoxText | — | Włącza i wyłącza tryb drukowania i wyświetlania ramki tekstu | —

^ Góra strony

C

Polecenie | Alias | Opis | Menu
CCS | — | Ustawia, zapisuje i przywraca niestandardowy układ współrzędnych (NUW): | Narzędzia > Nowy NUW
CenterMark | — | Tworzy znacznik środka lub linie środkowe okręgów i łuków | Wymiar
Chamfer | CHA | Ścina ukośnie krawędzie elementów rysunku | Modyfikuj
ChangeElements | — | Dodaje lub usuwa elementy do definicji bloków lub odniesień (tak zwane komponenty) | Modyfikuj > Komponent
Check | CHK | Ocenia integralność rysunku i może naprawiać błędy | Plik
Circle | C | Tworzy okrąg | Rysuj
Clean | CL | Usuwa z rysunku nieużywane nazwane odniesienia, takie jak bloki lub warstwy (wariant okna dialogowego) | Plik
-Clean | — | Usuwa z rysunku nieużywane nazwane odniesienia, takie jak bloki lub warstwy (wariant okna poleceń) | —
ClipboardCopy | — | Kopiuje elementy do schowka | Edycja
ClipImage | — | Definiuje przycinanie obwiedni w celu ukrycia fragmentów odniesienia obrazu | —
ClipReference | CLIP | Definiuje obwiednię przycinania w celu wygaszenia fragmentów bloku lub odniesienia | Modyfikuj > Przytnij
ClipViewport | — | Przycina wyświetlanie Okienek ekranu na aktywnym arkuszu o nieregularnych kształtach | Modyfikuj > Przytnij
Close | — | Zamyka rysunek, ale nie program | Plik
CloseAll | — | Zamyka wszystkie otwarte rysunki, ale nie program | —
CloseComponent | — | Przerywa edycję na miejscu definicji bloku lub odniesienia | Modyfikuj > Komponent
Cloud | — | Tworzy chmury poprawek w celu wskazania, że pewne obszary wymagają poprawek lub je zawierają | Rysuj
CommandHistory | — | Otwiera oddzielne okno historii poleceń | —
CommandWindow | — | Wyświetla obszar wiersza poleceń | —
ContinueDimension | — | Kontynuuje wymiar liniowy, kątowy lub współrzędne z drugiej linii pomocniczej poprzedniego lub wybranego wymiaru | Wymiar
ConvertOLE | — | Konwertuje dane osadzonych obiektów OLE na inny typ lub format | —
Copy | CO | Duplikuje elementy | Modyfikuj
Copy@ | CP@ | Kopiuje do schowka elementy z określonym punktem odniesienia | Edycja
CopyHistory | — | Kopiuje historię poleceń do schowka | —
CSIcon | — | Ustawia widoczność i pozycję symbolu współrzędnych (ikona UW) | Widok > Wyświetl > Ikona NUW
CSStyle | — | Zarządza niestandardowymi układami współrzędnych (NUW) | Narzędzia
Customize | CUI | Dostosowuje elementy interfejsu użytkownika, takie jak menu, paski narzędzi i przestrzenie robocze. | Narzędzia
CustomPaperSize | — | Zarządza niestandardowymi rozmiarami papieru dla wbudowanych drukarek (PDF, PNG, JPG, SVG lub DWF). | —
Cut | — | Kopiuje elementy do schowka i usuwa te elementy | Edycja

^ Góra strony

D

Polecenie | Alias | Opis | Menu
Delete | DEL | Usuwa elementy z rysunku | Edycja
DeleteLayer | — | Usuwa elementy oraz warstwę wybranych elementów | Format > Narzędzia warstwy
DetachDrawing | — | Odłącza odniesienia rysunków wcześniej dołączone do bieżącego rysunku | —
DetachImage | — | Odłącza obrazy odniesienia dołączone do rysunku | —
DiameterDimension | — | Tworzy wymiary średnicy dla okręgów i łuków | Wymiar
Dimensioning (Wymiarowanie) |  | Aby przejść do poleceń wymiarowania, należy kliknąć tutaj
DimensionStyle | D | Tworzy i modyfikuje style wymiarowania (wariant okna dialogowego) | Format
-DimensionStyle | — | Tworzy i modyfikuje style wymiarowania (wariant okna poleceń) | Format
DirectionalLight | — | Wstawia odległe źródło kierunkowe światła dla następnego renderowania | —
DisplayBlockAttributes | — | Definiuje widoczność atrybutów bloku | Widok > Wyświetl
DisplayCoords | — | Śledzi ruchy wskaźnika na pasku stanu | —
DisplayDialogs | — | Określa, czy mają być wyświetlane okna dialogowe, gdy należy określić nazwę pliku | —
DisplayFills | — | Steruje widocznością wypełnień dla szerokich polilinii, brył, śladów, kreskowania i gradientów | —
DisplayImageFrame | — | Okresla, czy ramki są wyświetlane na granicach obrazów odniesienia | —
DisplayOrder | — | Zmienia kolejność wyświetlania elementów rysunku i wstawionych obrazów na rysunkach | Narzędzia
DisplayQuality | — | Steruje rozdzielczością elementów kołowych i zakrzywionych | —
DraftingOptions | DOP | Ustawia takie opcje szkicowania, jak przyciąganie, siatka, tryb ortogonalny, śledzenie, przyciąganie elementów (ESnaps) i śledzenie elementu (ETrack) | Narzędzia
DraftingStyles | — | Zarządza stylami tekstu, stylami wymiarowania, stylami linii wzbogaconej i stylami tabeli oraz ustawia style do użycia z kolejnymi poleceniami | —
DrawingBounds | — | Ustawia i steruje granicami rysunku | —
DrawingProperties | — | Wyświetla właściwości standardowe bieżącego pliku rysunku i umożliwia ich edycję oraz tworzy właściwości dostosowane dla tego pliku | Plik
DrawingSettings | — | Ustawia zachowanie poleceń rysunku, wygląd pewnych elementów rysunku, układ jednostek miar bieżącego rysunku i zarządza niestandardowymi układami współrzędnych (NUW) | —
DrawingStandards | — | Kojarzy standardy rysunkowe z bieżącym rysunkiem, określa kategorie rysunków do sprawdzenia oraz ustawia opcje powiadomień i audytu | Narzędzia > Standardy

^ Góra strony

E

Polecenie | Alias | Opis | Menu
EdgeMesh | — | Tworzy siatkę wieloboku 3D w oparciu o cztery sąsiadujące krawędzie | Rysuj > Siatka
EditAnnotation | ED | Edytuje takie elementy, jak tekst jednoliniowy, tekst wymiaru, adnotacja linii wiodącej i definicje atrybutu bloku | Modyfikuj > Element
EditBasePoint | — | Ustawia nowe punkty bazowe wstawienia dla definicji bloków | Modyfikuj > Komponent
EditBlockAttribute | — | Modyfikuje atrybuty bloku (wariant okna dialogowego) | Modyfikuj > Element
-EditBlockAttribute | — | Modyfikuje atrybuty bloku (wariant okna poleceń) | —
EditBlockAttributeDefinition | — | Modyfikuje istniejącą definicję atrybutu bloku | Modyfikuj > Element
EditComponent | — | Edytuje na miejscu indywidualne elementy w obrębie bloków lub odniesień | Modyfikuj > Komponent
EditDimension | — | Edytuje tekst wymiaru lub pomocnicze linie wymiaru | —
EditDimensionText | — | Przesuwa i obraca tekst wymiaru | Wymiar > Wyrównaj tekst
EditEntityGroup | — | Dodaje i usuwa elementy z grup elementów lub zmienia nazwy grup elementów | Narzędzia > Grupy elementów
EditHatch | — | Modyfikuje istniejące kreskowanie lub wypełnienie (wariant okna dialogowego) | Modyfikuj > Element
-EditHatch | — | Modyfikuje istniejące kreskowanie lub wypełnienie (wariant okna poleceń) | —
EditImage | — | Dołącza i odłącza obrazy do i od rysunku oraz zarządza odniesieniami obrazu | —
EditIpBlockAttribute | — | Edytuje w miejscu wartości AtrybutBloku | —
EditLength | — | Wydłuża lub skraca element | Modyfikuj
EditNote | — | Edytuje notatki (tekst wieloliniowy) | —
EditPolyLine | — | Edytuje polilinie, wierzchołki polilinii i siatki wieloboku 3D | Modyfikuj > Element
EditRichLine | — | Edytuje przecinające się oraz przylegające linie wzbogacone, łamie i wtapia linie wzbogacone i dodaje lub usuwa wierzchołki z istniejących linii wzbogaconych (wariant okna dialogowego) | Modyfikuj > Element
-EditRichLine | — | Edytuje przecinające się oraz przylegające linie wzbogacone, łamie i wtapia linie wzbogacone i dodaje lub usuwa wierzchołki z istniejących linii wzbogaconych(wariant okna poleceń) | —
EditScaleList | — | Dostosowuje listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów (wariant okna dialogowego) | —
-EditScaleList | — | Dostosowuje listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów (wariant okna poleceń) | —
EditTable | — | Zmienia tekst w komórce tabeli | Modyfikuj > Element
EditTableCell | — | Wstawia, usuwa, scala lub zmienia rozmiar komórek, wierszy i kolumn w tabelach. | —
EditTolerance | — | Modyfikuje tolerancje (wskaźniki bazy pomiarowej i notację wymiaru podstawowego) | Modyfikuj > Element
EditVertex | — | Edytuje wierzchołki polilinii 2D | —
eDrawings | — | Uruchamia aplikację eDrawings® w celu tworzenia, przeglądania i udostępniania modeli 3D oraz rysunków 2D | Plik
Ellipse | EL | Tworzy elipsę lub łuk eliptyczny | Rysuj
-EmbedDrawing | — | Osadza w rysunku obiekty zależne i style rysunków odniesienia | —
EntityGrips | GR | Ustawia preferencje dla edytowania przy użyciu uchwytów elementu | —
EntityGroup | G | Tworzy zdefiniowany przez użytkownika zbiór wskazań elementów (wariant okna dialogowego) | —
-EntityGroup | -G | Tworzy zdefiniowany przez użytkownika zbiór wskazań elementów (wariant okna poleceń) | —
EntitySnap | ES | Ustawia działające tryby przyciągania elementu (wariant okna dialogowego) | —
-EntitySnap | -ES | Ustawia działające tryby przyciągania elementu (wariant okna poleceń) | —
Exit | — | Zamyka oprogramowanie | Plik
Exit | — | Zamyka oprogramowanie | Plik
Exit | — | Zamyka oprogramowanie | Menu aplikacji
Explode | X | Rozbija złożone obiekty na elementy składowe | Modyfikuj
ExplodeText | — | Konwertuje adnotacje na polilinie przedstawiające kontur tekstu | —
ExplodeX | — | Konwertuje elipsy i splajny do polilinii | —
Export | EXP | Zapisuje elementy w innych formatach pliku | Plik > Eksport
ExportBMP | — | Zapisuje wyświetlany rysunek do pliku w formacie mapy bitowej niezależnym od urządzenia | —
ExportDrawing | — | Zapisuje elementy, bloki lub cały rysunek do nowego pliku rysunku (wariant okna dialogowego) | Plik > Eksport
-ExportDrawing | — | Zapisuje elementy, bloki lub cały rysunek do nowego pliku rysunku (wariant okna poleceń) | —
ExportDXF | — | Zapisuje rysunek jako plik DXF | —
ExportEMF | — | Zapisuje wybrane elementy do pliku EMF (rozszerzony metaplik Windows) | —
ExportEPS | — | Zapisuje bieżący widok ekranu graficznego w pliku EPS (Encapsulated PostScript) | —
ExportJPG | — | Zapisuje wybrane elementy do pliku JPEG | —
ExportPDF | — | Zapisuje bieżący widok wyświetlacza graficznego do pliku PDF (Portable Document Format) | Plik > Eksport
ExportPNG | — | Zapisuje wybrane elementy do pliku PNG (Portable Network Graphics) | —
ExportSAT | — | Zapisuje obiekty modelowania bryłowego z rysunku do pliku .sat | —
ExportSLD | — | Zapisuje bieżący widok w pliku slajdu | —
ExportSVG | — | Zachowuje bieżący widok w pliku SVG | —
Extend | EX | Wydłuża elementy do krawędzi ograniczających zdefiniowanych przez inne elementy | Modyfikuj
ExtractBlockAttribute | — | Wyodrębnia wartości atrybutu bloku wybranego bloku do plików tekstowych w oparciu o plik szablonu, definiujący dane do zapisania | —
Extrude | EXT | Tworzy powierzchnię lub bryłę 3D | —

^ Góra strony

F

Polecenie | Alias | Opis | Menu
Face | — | Tworzy ścianę 3D | Rysuj > Siatka
Field | — | Tworzy Pola dla adnotacji używanych do aktualizowania informacji, między innymi modyfikacji daty, nazwy rysunku i autora | Wstaw
FileLocations | — | Pozwala wyświetlać, ustawiać i edytować domyślne ścieżki i/lub nazwy plików | —
FileManager | — | Wyświetla eksplorator plików systemu operacyjnego | —
FillArea | — | Wypełnia obszar kolorem jednolitym lub gradientowym | Rysuj
Fillet | F | Zaokrągla krawędzie elementów | Modyfikuj
Find | — | Znajduje i zastępuje tekst w notatkach, adnotacjach i tekście wymiaru | Edycja
Flip | FL | Tworzy odbicie lustrzane i usuwa pierwotny element | —
FlipArrows | — | Zmienia położenie strzałek wymiarowych | —
FreezeLayer | — | Zablokowuje warstwy wybranych elementów | Format > Narzędzia warstwy
FullScreen | — | Wyświetla obszar graficzny jako pełny ekran (bez pasków narzędzi i palet) | —

^ Góra strony

G

Polecenie | Alias | Opis | Menu
Gesture | — | Dostosowuje gesty myszy | Narzędzia
GetArea | GA | Oblicza powierzchnię i obwód elementów lub zdefiniowanych obszarów | Narzędzia > Zapytanie
GetDistance | — | Mierzy odległość i kat pomiędzy dwoma punktami | Narzędzia > Zapytanie
GetMassproperties | — | Oblicza i wyświetla powierzchnię, obwód i centroid elementów obszarów | Narzędzia > Zapytanie
GetProperties | GP | Wyświetla informacje o wybranych elementach | Narzędzia > Zapytanie
GetStatus | — | Wyświetla informacje stanu dotyczące ustawień i użycia pamięci dla rysunku | —
GetTime | GT | Wyświetla statystyki czasowe dotyczące rysunku i pozwala na włączanie, wyłączanie lub resetowanie licznika czasu | —
GetXY | GXY | Wyświetla wartości współrzędnych danej lokalizacji | Narzędzia > Zapytanie
Gravity | — | Określa rozmiar ramki docelowej przyciągania elementu | —
Grid | — | Włącza lub wyłącza wyświetlanie siatki i ustawia inne opcje siatki | —

^ Góra strony

H

Polecenie | Alias | Opis | Menu
Hatch | H | Wypełnia wybraną granicę wzorem (wariant okna dialogowego) | Rysuj
-Hatch | -H | Wypełnia wybraną granicę wzorem (wariant okna poleceń) | —
Help | — | Wyświetla pomoc online | Pomoc
HideCommandHistory | — | Zamyka okno historii poleceń | —
HideCommandWindow | — | Ukrywa obszar linii poleceń | —
HideFullScreen | — | Przywraca normalny tryb wyświetlania z pełnoekranowego trybu wyświetlania (bez pasków narzędzi i palet) | —
HideLayer | — | Wyłącza warstwę wybranego elementu | Format > Narzędzia warstwy
HideLightlist | — | Ukrywa paletę oświetlenia | —
HideProperties | — | Ukrywa paletę właściwości | —
HideReferences | — | Ukrywa paletę odniesień | —
HideToolMatrix | — | Ukrywa macierz narzędzi | —
HideView | HI | Tworzy ukryty widok linii | Widok
HorizontalDimension | — | Tworzy poziome wymiary liniowe | —
Home | — | Wyświetla paletę zawierającą zgrupowane łącza do internetowych samouczków, seminariów, zasobów w serwisach społecznościowych, pomocy i wiadomości | —
Hyperlink | — | Dołącza hiperłącze do elementów lub modyfikuje istniejące hiperłącze (wariant okna dialogowego) | Wstaw
-Hyperlink | — | Dołącza hiperłącze do elementów lub modyfikuje istniejące hiperłącze (wariant okna poleceń) | —

^ Góra strony

I

Polecenie | Alias | Opis | Menu
ImageMenu | — | Wyświetla dostosowane menu obrazu dla sekwencji poleceń do wykonania | —
ImageQuality | — | Określa jakość wyświetlania obrazów dołączonych do rysunku | —
ImportDXF | — | Otwiera wybrany plik DXF w oddzielnym oknie rysunku | —
ImportSAT | — | Odczytuje plik .sat i wstawia zawarte w nim obiekty bryłowe ACIS do rysunku | —
InfiniteLine | IL | Rysuje nieskończoną linię konstrukcyjną | Rysuj
InsertBlock | I | Wstawia blok lub inny rysunek (wariant okna dialogowego) | Wstaw
-InsertBlock | -I | Wstawia blok lub inny rysunek (wariant okna poleceń) | —
InsertBlockN | — | Wstawia wiele kopii Bloku lub Odniesienia do wzoru, ustawionych w wiersze i kolumny | —
InsertObject | — | Wyświetla dane z innych programów w rysunkach (takie jak dokumenty tekstowe, arkusze kalkulacyjne lub obrazy) | Wstaw
InsertShape | — | Wstawia kształt z pliku kształtu do rysunku | Rysuj > Kształt
IsolateLayer | — | Izoluje warstwy wybranych elementów | Format > Narzędzia warstwy
IsometricGrid | — | Steruje płaszczyzną izometryczną (lewą, prawą lub górną) podczas korzystania z przyciągania izometrycznego | —

^ Góra strony

J

Polecenie | Alias | Opis | Menu
JoggedDimension | JOG | Tworzy łamane wymiary promienia dla okręgów i łuków | Wymiar

^ Góra strony

L

Polecenie | Alias | Opis | Menu
Language | — | Ustawia język komunikacji z oprogramowaniem | —
Layer | LA | Steruje warstwami i właściwościami warstwy (wariant okna dialogowego) | Format
-Layer | -LA | Steruje warstwami i właściwościami warstwy (wariant okna poleceń) | —
LayerPreview | — | Wyświetla podgląd zawartości warstw pojedynczo dla zestawu określonych warstw | Format > Narzędzia warstw
Leader | LEAD | Rysuje linie wiodące, które łączą adnotacje z elementami rysunku | —
Light | — | Tworzy światło w rysunku | —
Lightlist | — | Wyświetla paletę oświetlenia | —
Line | L | Tworzy segmenty linii prostej | Rysuj
LinearDimension | — | Tworzy wymiar liniowy | Wymiar
LineColor | COL | Ustawia kolor linii dla nowych elementów (wariant okna dialogowego) | Format
-LineColor | — | Ustawia kolor linii dla nowych elementów (wariant okna poleceń) | —
LineScale | — | Ustawia globalny współczynnik skali stylu linii | —
LineStyle | — | Tworzy, ładuje i ustawia style linii (wariant okna dialogowego) | Format
-LineStyle | — | Tworzy, ładuje i ustawia style linii (wariant okna poleceń) | —
LineWeight | LW | Ustawia opcje szerokość linii (wariant okna dialogowego) | Format
-LineWeight | — | Ustawia opcje szerokości linii (wariant okna poleceń) | —
LoadApplication | — | Dodaje do głównego pliku dostosowaniu lub usuwa z niego pliki częściowo dostosowane | Narzędzia
LoadCustomization | — | Dodaje do głównego pliku dostosowaniu lub usuwa z niego pliki częściowo dostosowane | —
LoadMenu | — | Zmienia główny plik dostosowania | —
LoadScript | SCR | Wykonuje sekwencję poleceń ze skryptu | —
LoadShape | — | Ładuje pliki kształtu do użycia przez polecenie Shape | Rysuj > Kształt
LockLayer | — | Zamyka warstwy wybranych elementów | Format > Narzędzia warstwy

^ Góra strony

M

Polecenie | Alias | Opis | Menu
MakeBlock | B | Tworzy blok z wybranych elementów (wariant okna dialogowego) | Rysuj > Blok
-MakeBlock | -B | Tworzy blok z wybranych elementów (wariant okna poleceń) | —
MakeBlockAttribute | — | Tworzy definicję atrybutu bloku (wariant okna dialogowego) | Rysuj > Blok
-MakeBlockAttribute | — | Tworzy definicję atrybutu bloku (wariant okna poleceń) | —
MakeFlatSnapshot | — | Tworzy płaskie odwzorowanie obiektu bryłowego 3D rzutowanego na płaszczyźnie X-Y rysunku | —
MakeSlideLibrary | — | Tworzy w pliku biblioteki slajdów katalog plików slajdów do użycia w menu obrazów | —
MarkDivisions | DIV | Umieszcza równomiernie rozmieszczone elementy punktowe lub bloki wzdłuż elementu lub na jego obwodzie | Rysuj > Punkt
MarkLengths | ME | Umieszcza elementy punktowe lub bloki w odmierzonych odstępach na elemencie | Rysuj > Punkt
Mask | — | Pokrywa istniejące elementy pustym obszarem | Rysuj
MatchLayer | — | Zmienia warstwę wybranych elementów dopasowując ją do warstwy docelowej | Format > Narzędzia warstwy
Mesh | — | Tworzy ścianę wieloboku 3D | Rysuj > Siatka
Migration | — | Powoduje migrację profili, preferencji, ustawień lokalizacji plików i dostosowania interfejsu użytkownika z poprzedniej wersji oprogramowania. | —
Mirror | MI | Tworzy lustrzany obraz kopii elementów | Modyfikuj
Mirror3D | — | Tworzy lustrzany obraz elementów względem płaszczyzny w przestrzeni 3D | —
Model | — | Przełącza pomiędzy kartą Arkusz i kartą Model | —
ModelMode | MM | Przełącza pomiędzy przestrzenią roboczą arkusza i przestrzenią roboczą modelu na arkuszach | —
Modify | — | Zmienia właściwości elementów rysunku | —
ModifyProperties | — | Zmienia warstwę, kolor linii, styl linii, skalę linii i grubość elementów | —
Move | M | Przesuwa elementy o określoną odległość w określonym kierunku | Modyfikuj
MoveDimensionText | — | Przenosi tekst wymiaru | —

^ Góra strony

N

Polecenie | Alias | Opis | Menu
New | — | Tworzy nowy plik rysunku | Plik
Nontargetlight | — | Tworzy swobodne światło niewycelowane (światło nie skierowane na określony cel) | —
Note | N | Tworzy elementy tekstowe (wariant okna dialogowego) | Rysuj > Tekst
-Note | — | Tworzy elementy tekstowe (wariant okna poleceń) | —
NoteOptions | — | Ustawia preferencje dla edytowanego tekstu przy użyciu poleceń Note i SimpleNote | —

^ Góra strony

O

Polecenie | Alias | Opis | Menu
ObliqueDimension | — | Modyfikuje orientację istniejących wymiarów liniowych | —
Offset | O | Odsuwa elementy liniowe w orientacji równoległej | Modyfikuj
Open | — | Otwiera istniejący plik rysunku | Plik
OpenOLE | — | Otwiera obiekty OLE w celu modyfikacji | —
OpenReference | — | Otwiera rysunek odniesienia w nowym oknie rysunku | Narzędzia
OpenWebpage | — | Wyświetla określoną witrynę sieci Web | —
Options | OP | Konfiguruje parametry operacyjne programu | Narzędzia
Options | OP | Konfiguruje parametry operacyjne programu | Narzędzia
Options | OP | Konfiguruje parametry operacyjne programu | Menu aplikacji
OrdinateDimension | — | Tworzy wymiary punktu współrzędnych | Wymiar
Ortho | — | Ogranicza ruchy wskaźnika do kierunków równoległych do osi bieżącego układu współrzędnych | —
OSCalc | — | Otwiera standardowy kalkulator używanego systemu operacyjnego | —
OverrideDimensionStyle | — | Zastępuje zmienne stylu wymiarowania | Wymiar

^ Góra strony

P

Polecenie | Alias | Opis | Menu
Pan | P | Przenosi wyświetlany rysunek w aktywnym wyświetlaniu sąsiadującym (dynamiczny nowy fragment) | Widok > Nowy fragment
-Pan | -P | Przenosi wyświetlany rysunek w aktywnym wyświetlaniu sąsiadującym poprzez wskazanie przemieszczenia | Widok > Nowy fragment
PanDown | — | Przenosi widok w dół | Widok > Nowy fragment
PanLeft | — | Przenosi widok w lewo | Widok > Nowy fragment
PanRight | — | Przenosi widok w prawo | Widok > Nowy fragment
PanUp | — | Przenosi widok w górę | Widok > Nowy fragment
ParallelDimension | — | Tworzy wyrównany wymiar liniowy | Wymiar
Paste | — | Wstawia dane ze schowka | Edycja
PasteAsBlock | — | Wstawia elementy ze schowka jako blok | Edycja
Paste@SourcePosition | — | Wkleja elementy ze schowka systemu operacyjnego, korzystając ze współrzędnych rysunku źródłowego | —
Pattern | — | Tworzy wiele kopii elementów we wzorze (wariant okna dialogowego) | Modyfikuj
-Pattern | — | Tworzy wiele kopii elementów we wzorze (wariant okna poleceń) | —
Pattern3D | — | Tworzy wzór liniowy lub kołowy elementów w przestrzeni 3D | —
PauseScript | — | Powoduje pauzę o określonym czasie w skrypcie | —
PlanView | — | Ustawia widok planu na płaszczyznę konstrukcyjną | —
Point | PO | Tworzy element punktowy | Rysuj
PointFormat | — | Definiuje typ i rozmiar elementów punktowych | Format
PointLight | — | Tworzy światło punktowe | —
PolyFace | — | Tworzy siatkę wielościenną 3D wierzchołek po wierzchołku | —
Polygon | POL | Tworzy równoboczną zamkniętą polilinię | Rysuj
PolyLine | PL | Tworzy polilinie 2D | Rysuj
PolyLine3D | PL3 | Tworzy polilinię 3D z prostych segmentów linii w przestrzeni 3D | Rysuj
Preview | PRE | Ukazuje podgląd rysunku do druku | Plik
Print | — | Wykreśla rysunek na ploterze, drukarce lub do pliku (wariant okna dialogowego) | Plik
-Print | — | Wykreśla rysunek na ploterze, drukarce lub do pliku (wariant okna poleceń) | —
PrintConfiguration | — | Definiuje konfigurację wydruku używaną domyślnie podczas drukowania modelu i arkusza | Plik
PrintStamp | — | Drukuje lub wykreśla stempel wydruku podczas wysyłania rysunku na urządzenie wyjściowe | —
PrintStyle | — | Zarządza nazwanymi stylami drukowania (wariant okna dialogowego) | Format
-PrintStyle | — | Zarządza nazwanymi stylami drukowania (wariant okna poleceń) | —
Profiles | — | Przechowuje indywidualne profile w oparciu o określone ustawienia i zarządza profilami | —
Properties | PR | Wyświetla paletę właściwości w celu zmiany właściwości elementu rysunku | —
PropertyPainter | — | Stosuje właściwości z jednego elementu do wybranych elementów | Modyfikuj

^ Góra strony

Q

Polecenie | Alias | Opis | Menu
QuickGroup | — | Szybko tworzy grupy elementów | Narzędzia > Grupy elementów
QuickPrint | — | Drukuje bieżący widok rysunku na drukarce, która jest ustawiona jako domyślne urządzenie wyjściowe | —
QuickUngroup | — | Szybko rozgrupowuje grupy elementów | Narzędzia > Grupy elementów

^ Góra strony

R

Polecenie | Alias | Opis | Menu
RadiusDimension | — | Tworzy wymiary promieniowe dla okręgów i łuków | Wymiar
Ray | — | Rysuje nieskończone półproste konstrukcyjne | Rysuj
Rebuild | RE | Przebudowuje rysunek i odświeża aktywne wyświetlanie sąsiadujące | Widok
RebuildAll | REA | Przebudowuje rysunek i odświeża wyświetlanie wszystkich sąsiadująco | Widok
RebuildDimension | — | Aktualizuje wymiary zgodnie z aktywnym stylem wymiarowania | Wymiar
RebuildField | — | Ręcznie aktualizuje pola dla określonych adnotacji | Wstaw
Recover | — | Naprawia uszkodzone rysunki | Plik
Rectangle | REC | Tworzy prostokątną polilinię | Rysuj
Redefine | — | Przywraca wbudowane polecenia, których definicja została cofnięta przy użyciu polecenia Undefine | —
Redo | — | Odwraca efekty poprzedniego polecenia U lub UndoN | Edycja
RedoN | — | Przywraca ostatnie lub wszystkie poprzednie polecenia U oraz UndoN | —
References | — | Wyświetla paletę odniesień | Narzędzia
-References | — | Steruje i zarządza rysunkami odniesienia | —
Refresh | R | Odświeża wyświetlanie aktywnego wyświetlania sąsiadującego | Widok
RefreshAll | RA | Odświeża wyświetlanie wszystkich aktualnie otwartych wyświetlań sąsiadujących | —
Region | REG | Konwertuje element zamykający obszar na region | Rysuj
RelateDimension | — | Przywraca ponownie relację określonych wymiarów do elementów | Wymiar
Rename | REN | Zmienia nazwy obiektów (wariant okna dialogowego) | Format
-Rename | — | Zmienia nazwy obiektów (wariant okna poleceń) | —
Repeat | — | Powtarza określone polecenie | —
ReplaceDimensionText | — | Modyfikuje wartość tekstu wymiaru | —
ResetDimensionText | — | Cofa przeniesienie tekstu wymiaru | —
ResetOLE | — | Przywraca pierwotny rozmiar obiektów OLE | —
ResumeScript | — | Wznawia wykonywanie przerwanego skryptu | —
RevolvedMesh | — | Tworzy siatkę obróconą względem określonej osi | Rysuj > Siatka
RichLine | RL | Tworzy linie wzbogacone | Rysuj
RichLineStyle | RLS | Tworzy i zarządza stylami linii wzbogaconej | Format
Ring | — | Tworzy wypełniony okrąg lub pierścień | Rysuj
RollView | — | Steruje widokami 3D | Widok
RollViewCenter | — | Ustawia środek obrotu dla widoku wymuszonej orbity i startuje widok wymuszonej orbity | —
Rotate | RO | Obraca elementy wokół punktu bazowego | Modyfikuj
Rotate3D | — | Przemieszcza elementy wokół osi 3D | —
RotatedDimension | — | Tworzy obrócone wymiary liniowe | —
RotateDimensionText | — | Obraca tekst wymiaru | —
RuledMesh | — | Tworzy powierzchnię rozwijalną pomiędzy dwoma krzywymi | Rysuj > Siatka

^ Góra strony

S

Polecenie | Alias | Opis | Menu
Save | — | Zapisuje rysunek z bieżącą nazwą pliku lub z określoną nazwą | Plik
SaveAll | — | Zapisuje wszystkie otwarte rysunki | —
SaveAs | — | Zapisuje nienazwany rysunek z nazwą pliku lub zmienia nazwę bieżącego rysunku | Plik
SaveComponent | — | Zapisuje modyfikacje dokonane podczas edycji na miejscu definicji bloków lub odniesień i wychodzi z trybu edycji komponentu | Modyfikuj > Komponent
Scale | SC | Powiększa lub zmniejsza określone elementy jednakowo w kierunkach X, Y i Z | Modyfikuj
ScriptN | — | Powtarza wykonanie skryptu | —
Select | — | Umieszcza wybrane elementy w „poprzednim” zbiorze wskazań | —
SelectAll | — | Zaznacza wszystkie elementy rysunku dla kolejnych poleceń modyfikacji | Edycja
SelectionFilter | SF | Określa listę wymagań, które muszą być spełnione przez elementy rysunku, aby zostać uwzględnione w zbiorze wskazań | —
SetFieldDisplay | — | Określa, czy pola w adnotacjach są wyświetlane z szarym tłem | —
SetVariable | — | Wyszczególnia lub ustawia wartości zmiennych systemu | —
Shade | — | Cieniuje model na rysunku | —
ShadeView | SHA | Określa tryb widoku cieniowanego | Widok
Sheet | — | Tworzy, kopiuje, zmienia nazwę lub usuwa karty Arkusz (tryb układu do ustawiania wydruku) | Plik
SheetMode | SM | Przełącza pomiędzy przestrzenią roboczą modelu i przestrzenią roboczą arkusza na arkuszach | —
Shell | — | Uruchamia programy narzędziowe lub umożliwia dostęp do poleceń systemu operacyjnego | —
ShowLayers | — | Włącza wszystkie warstwy | Format > Narzędzia warstwy
ShowLicense | — | Wyświetla umowę licencyjną | Pomoc
SimpleNote | — | Tworzy tekst jednoliniowy | Rysuj > Tekst
-SimpleNote | — | Wyświetla tekst na ekranie wprowadzony przez użytkownika | —
SimplePolygon | — | Tworzy równoboczną zamkniętą polilinię | —
Sketch | — | Tworzy linie odręczne | Rysuj
SmartBMP | — | Zapisuje określony widok rysunku w pliku mapy bitowej (BMP) | —
SmartCalculator | — | Wykonuje obliczenia matematyczne i trygonometryczne oraz przeliczenia jednostek | —
SmartDimension | — | Tworzy wymiary, których typ jest określony przez wybrany element | Wymiar
SmartLeader | LE | Rysuje linie wiodące i adnotacje | Wymiar
SmartNew | — | Rozpoczyna nowy rysunek z wykorzystaniem domyślnego rysunku szablonu | —
SmartOpen | — | Otwiera rysunek określony w linii poleceń | —
SmartSelect | — | Tworzy wybory elementów w oparciu o kryteria filtrowania | —
Snap | SN | Ogranicza ruchy wskaźnika i wskazania na rysunku do określonych odstępów | —
Solid | SO | Tworzy wypełnione ściany 2D | Rysuj > Siatka
SpellCheck | SP | Sprawdza pisownię tekstu na rysunku | —
SpellCheck | SP | Sprawdza pisownię tekstu na rysunku | —
Spline | — | Tworzy krzywe splajnu kwadratowego lub sześciennego (NURBS) | Rysuj
Split | SPL | Usuwa fragmenty elementów lub dzieli elementy na dwa | Modyfikuj
SpotLight | — | Wstawia światło ogniskowe do rysunku | —
StackOptions | — | Ustawia wyrównanie i rozmiar dla tekstu ułożonego w adnotacjach. | —
Stretch | S | Przenosi lub rozciąga elementy | Modyfikuj
SwitchArea | — | Przełącza pomiędzy kartami modelu i arkusza | —
SystemOptions | — | Określa ogólne opcje operacyjne | —

^ Góra strony

T

Polecenie | Alias | Opis | Menu
Table | TB | Tworzy tabelę w rysunku (wariant okna dialogowego) | Rysuj
-Table | — | Tworzy tabelę w rysunku (wariant okna poleceń) | —
TableStyle | TS | Tworzy i zarządza stylami tabeli | Format
TabulatedMesh | — | Tworzy stabelaryzowaną powierzchnię z krzywej ścieżki i wektora kierunkowego | Rysuj > Siatka
TargetpointLight | — | Tworzy światło punktowe wycelowane | —
TextStyle | ST | Tworzy lub modyfikuje style tekstu i ustawia aktywny styl tekstu (wariant okna dialogowego) | Format
-TextStyle | — | Tworzy lub modyfikuje style tekstu i ustawia aktywny styl tekstu (wariant okna poleceń) | —
ThawLayers | — | Odblokowuje wszystkie warstwy | Format > Narzędzia warstwy
ToActiveLayer | — | Zmienia warstwy określonych elementów na warstwę aktywną | Format > Narzędzia warstwy
Tolerance | TOL | Tworzy tolerancje (wskaźniki bazy pomiarowej i notację wymiaru podstawowego) | Wymiar
Toolbars | — | Wyświetla i ukrywa paski narzędzi (wariant okna dialogowego) | —
-Toolbars | — | Wyświetla i ukrywa paski narzędzi (wariant okna poleceń) | —
ToolMatrix | — | Wyświetla macierz narzędzi | —
Trace | — | Rysuje trasę | —
Trapezoid | — | Tworzy trapezoidalną polilinię 2D | —
Trim | TR | Przycina elementy przy krawędzi tnącej określonej przez inne elementy | Modyfikuj

^ Góra strony

U

Polecenie | Alias | Opis | Menu
U | — | Cofa ostatnie polecenie | Edycja
UIMode | — | Określa, czy wyświetlać interfejs użytkownika typu Mac™ w postaci ruchomych elementów czy interfejs w trybie łączonych elementów | —
UIProfile | — | Zarządza profilami interfejsu użytkownika | —
Undefine | — | Wyłącza wbudowane polecenie | —
Undelete | — | Przywraca usunięte elementy | —
UndoLayer | — | Przywraca poprzednie ustawienia warstwy | Format > Narzędzia warstwy
UndoN | — | Cofa efekt poleceń | —
UnisolateLayer | — | Cofa izolowanie warstwy | Format > Narzędzia warstwy
UnitSystem | UN | Ustawia formaty kąta i współrzędnych oraz precyzję (wariant okna dialogowego) | Format
-UnitSystem | -UN | Ustawia formaty kąta i współrzędnych oraz precyzję (wariant okna poleceń) | —
UnlockLayer | — | Otwiera zamknięte warstwy | Format > Narzędzia warstwy
UnrelateDimension | — | Rozkłada relację określonych wymiarów do elementów | —
UpdateBlockAttributes | — | Aktualizuje wszystkie wystąpienia AtrybutBloku oparte o właściwości określonego AtrybutuBloku | —
UserPreferences | — | Definiuje opcje szkicowania, opcje myszy i polecenia aliasu | —

^ Góra strony

V

Polecenie | Alias | Opis | Menu
VerifyDimensions | — | Weryfikuje wszystkie pomiary skojarzonych wymiarów na rysunku | —
VerifyStandards | — | Sprawdza, czy rysunek jest zgodny ze standardami branżowymi, firmowymi i dostosowanymi | Narzędzia > Standardy
VerticalDimension | — | Tworzy pionowe wymiary liniowe | —
ViewDirection | — | Ustawia kierunek oglądania dla widoku 3D rysunku | —
Viewport | — | Tworzy i steruje okienkami ekranu na kartach Arkusz | —
-Viewport | — | Tworzy i steruje pojedynczymi lub wieloma widokami sąsiadującymi modelu lub okienkami ekranu arkusza (wariant okna poleceń) | —
ViewportLayer | — | Steruje widocznością warstw w okienkach ekranu na arkuszach | —
Views | V | Zapisuje, przywraca i zarządza zdefiniowanymi przez użytkownika widokami arkusza i modelu, a także ustawionymi wcześniej widokami (wariant okna dialogowego) | Widok
-Views | -V | Zapisuje, przywraca i zarządza zdefiniowanymi przez użytkownika widokami arkusza i modelu, a także ustawionymi wcześniej widokami (wariant okna poleceń) | —
ViewSlide | — | Wyświetla plik slajdu w obszarze graficznym | —
ViewTiles | — | Tworzy i steruje pojedynczymi lub wieloma widokami sąsiadującymi modelu lub okienkami ekranu arkusza (wariant okna dialogowego) | Widok > Wyświetl sąsiadująco

^ Góra strony

W

Polecenie | Alias | Opis | Menu
Weld | — | Łączy dwa elementy w pojedynczy element | —
Windows | — | Umożliwia rozmieszczanie okien kaskadowo lub sąsiadująco | Okno

^ Góra strony

Z

Polecenie | Alias | Opis | Menu
Zoom | Z | Zwiększa lub zmniejsza widoczny fragment rysunku | Widok
ZoomBack | ZB | Przywraca powiększenie poprzedniego widoku | Widok > Powiększ/Pomniejsz
ZoomDynamic | ZD | Powiększa/pomniejsza rysunek w czasie rzeczywistym (dynamiczny zoom) | Widok > Powiększ/Pomniejsz
ZoomFactor | ZFA | Powiększa/pomniejsza o określony współczynnik | Widok > Powiększ/Pomniejsz
ZoomFit | ZF | Powiększa/pomniejsza do wyświetlenia zakresu rysunku | Widok > Powiększ/Pomniejsz
ZoomIn | ZI | Powiększa rysunek | Widok > Powiększ/Pomniejsz
ZoomOut | ZO | Pomniejsza rysunek | Widok > Powiększ/Pomniejsz
ZoomWindow | ZW | Powiększa obszar rysunku określony ramką | Widok > Powiększ/Pomniejsz
ZPlane | — | Ustawia poziom i grubość nowych elementów rysunku | —

^ Góra strony

POLECENIA WYMIAROWANIA

Polecenie | Alias | Opis | Menu
3PointAngleDimension | — | Tworzy wymiar kątowy w oparciu o trzy punkty | —
4PointAngleDimension | — | Tworzy wymiar kątowy w oparciu o cztery punkty | —
AngleDimension | — | Tworzy wymiar kątowy | Wymiar
ArcLengthDimension | — | Tworzy wymiar długości łuku | Wymiar
BaselineDimension | — | Kontynuuje wymiar liniowy, kątowy lub współrzędne z linii bazowej poprzedniego lub określonego wymiaru | Wymiar
CenterMark | — | Tworzy znacznik środka lub linie środkowe dla okręgów i łuków | Wymiar
ContinueDimension | — | Kontynuuje wymiar liniowy, kątowy lub współrzędne z drugiej linii pomocniczej poprzedniego lub określonego wymiaru | Wymiar
DiameterDimension | — | Tworzy wymiary średnicy dla okręgów i łuków | Wymiar
DimensionStyle | — | Tworzy i modyfikuje style wymiarowania (wariant okna dialogowego) | Format
-DimensionStyle | — | Tworzy i modyfikuje style wymiarowania (wariant okna poleceń) | —
EditDimension | — | Edytuje tekst wymiaru lub pomocnicze linie wymiaru | —
EditDimensionText | — | Przesuwa i obraca tekst wymiaru | Wymiar > Wyrównaj tekst
FlipArrows | — | Zmienia położenie strzałek wymiarowych | —
HorizontalDimension | — | Tworzy poziome wymiary liniowe | —
JoggedDimension | — | Tworzy łamane wymiary promienia dla okręgów i łuków | Wymiar
Leader | — | Rysuje linie wiodące, które łączą adnotacje z elementami rysunku | —
LinearDimension | — | Tworzy wymiar liniowy | Wymiar
MoveDimensionText | — | Przenosi tekst wymiaru | —
ObliqueDimension | — | Modyfikuje orientację istniejących wymiarów liniowych | —
OrdinateDimension | — | Tworzy wymiary punktu współrzędnych | Wymiar
OverrideDimensionStyle | — | Zastępuje zmienne stylu wymiarowania | Wymiar
ParallelDimension | — | Tworzy wyrównany wymiar liniowy | Wymiar
RadiusDimension | — | Tworzy wymiary promieniowe dla okręgów i łuków | Wymiar
RebuildDimension | — | Aktualizuje wymiary zgodnie z aktywnym stylem wymiarowania | Wymiar
RelateDimension | — | Przywraca ponownie relację określonych wymiarów do elementów | Wymiar
ReplaceDimensionText | — | Modyfikuje wartość tekstu wymiaru | —
ResetDimensionText | — | Cofa przeniesienie tekstu wymiaru | —
RotatedDimension | — | Tworzy obrócone wymiary liniowe | —
RotateDimensionText | — | Obraca tekst wymiaru | —
SmartDimension | — | Tworzy wymiary, których typ jest określony przez wybrany element | Wymiar
SmartLeader | — | Rysuje linie wiodące i adnotacje | Wymiar
UnrelateDimension | — | Rozkłada relację określonych wymiarów do elementów | —
VerifyDimensions | — | Weryfikuje wszystkie pomiary skojarzonych wymiarów na rysunku | —
VerticalDimension | — | Tworzy pionowe wymiary liniowe | —

^ Góra strony

Tematy pokrewne

Wykaz poleceń: polecenia w kolejności menu rozwijanych


Wykaz poleceń: polecenia w kolejności menu

Menu aplikacji

Menu | Opis | Polecenie
Informacje o | Wyświetla informacje o programie | About
Ustawienia | Konfiguruje parametry operacyjne programu | Options
Usługi | Otwiera podmenu zawierające narzędzia Apple Macintosh | —
Ukryj | Ukrywa aplikację | —
Ukryj pozostałe | Ukrywa wszystkie pozostałe otwarte aplikacje | —
Pokaż wszystkie | Pokazuje wszystkie otwarte aplikacje | —
Przerwij | Zamyka program | Exit

Plik

Menu | Opis | Polecenie
Nowy... | Tworzy nowy plik rysunku | New
Otwórz... | Otwiera istniejący plik rysunku | Open
Zamknij | Zamyka rysunek, ale nie program | Close
Zapisz | Zapisuje rysunek z bieżącą nazwą pliku lub z określoną nazwą | Save
Zapisz jako... | Zapisuje nienazwany rysunek z nazwą pliku lub zmienia nazwę bieżącego rysunku | SaveAs
Eksport |
Publikowanie eDrawings | Uruchamia aplikację eDrawings® w celu tworzenia, przeglądania i udostępniania modeli 3D oraz rysunków 2D | eDrawings
Arkusz | Tworzy, kopiuje, zmienia nazwę lub usuwa karty Arkusz (tryb układu do ustawiania wydruku) | Sheet
Menedżer konfiguracji wydruku | Definiuje konfigurację wydruku używaną domyślnie podczas drukowania modelu i arkusza | PrintConfiguration
Podgląd wydruku | Ukazuje podgląd rysunku do druku | Preview
Drukuj... | Drukuje rysunek na ploterze, drukarce lub do pliku | Print
Właściwości... | Wyświetla właściwości standardowe bieżącego pliku rysunku i umożliwia ich edycję oraz tworzy właściwości dostosowane dla tego pliku | DrawingProperties
Sprawdzenie błędów | Ocenia integralność rysunku i naprawia błędy, jeśli to możliwe | Check
Wyczyść... | Usuwa z rysunku nieużywane obiekty zdefiniowane przez użytkownika, takie jak bloki i warstwy | Clean
Odzyskaj... | Naprawia uszkodzony rysunek, jeśli to możliwe | Recover
Zakończ | Zamyka program | Exit
Zakończ | Zamyka program | Exit

^ Góra strony

Plik > Eksport

Menu | Opis | Polecenie
Eksport... | Zapisuje cały rysunek, określone elementy lub widoki w innym formacie pliku wektorowego lub obrazu | Export
Eksport PDF... | Zapisuje bieżący widok wyświetlacza graficznego do pliku PDF (Portable Document Format) | ExportPDF
Eksportuj rysunek... | Zapisuje elementy, bloki lub cały rysunek do nowego pliku rysunku | ExportDrawing

^ Góra strony

Edycja

Menu | Opis | Polecenie
Cofnij | Cofa ostatnie polecenie | U
Ponów | Odwraca efekty poprzedniego polecenia U lub UndoN | Redo
Wytnij | Kopiuje elementy do schowka i usuwa te elementy | Cut
Kopiuj | Kopiuje elementy do schowka | ClipboardCopy
Kopiuj z punktem odniesienia | Kopiuje do schowka elementy z określonym punktem odniesienia | Copy@
Wklej | Wstawia dane ze schowka | Paste
Wklej jako blok | Wstawia elementy ze schowka jako blok | PasteAsBlock
Usuń | Usuwa elementy z rysunku | Delete
Wybierz wszystko | Zaznacza wszystkie elementy rysunku dla kolejnych poleceń modyfikacji | SelectAll
Znajdź... | Znajduje i zastępuje tekst w notatkach, adnotacjach i tekście wymiaru | Find

^ Góra strony

Widok

Menu | Opis | Polecenie
Przebuduj | Przebudowuje wyświetlany rysunek i odświeża aktywne wyświetlanie sąsiadujące | Rebuild
Przebuduj wszystko | Przebudowuje wyświetlany rysunek i odświeża wyświetlanie wszystkich sąsiadująco | RebuildAll
Odśwież wszystkie | Odświeża wyświetlanie wszystkich wyświetlań sąsiadujących | RefreshAll
Powiązana orbita | Steruje widokami 3D | RollView
Nowy fragment |
Powiększ/Pomniejsz |
Nazwane widoki... | Zapisuje i przywraca widoki zdefiniowane przez użytkownika | Views
Wyświetl sąsiadująco | Tworzy i steruje pojedynczymi lub wieloma widokami sąsiadującymi modelu lub okienkami ekranu arkusza | ViewTiles, -Viewport
Ukryj | Tworzy ukryty widok linii | HideView
Cieniuj | Określa tryb widoku cieniowanego | ShadeView
Animowane renderowanie | Wyświetla renderowany rysunek w oddzielnym oknie | ARender
Wyświetl |

^ Góra strony

Widok > Nowy fragment

Menu | Opis | Polecenie
Dynamiczny | Przenosi wyświetlany rysunek w aktywnym wyświetlaniu sąsiadującym (dynamiczny nowy fragment) | Pan
Punkt | Przenosi wyświetlany rysunek w aktywnym wyświetlaniu sąsiadującym poprzez wskazanie przemieszczenia | -Pan
Lewa strona | Przesuwa w lewo | PanLeft
Prawa strona | Przesuwa w prawo | PanRight
Góra | Przesuwa w górę | PanUp
Dół | Przesuwa w dół | PanDown

^ Góra strony

Widok > Powiększ/Pomniejsz

Menu | Opis | Polecenie
Dynamiczny | Zwiększa lub zmniejsza widoczny fragment rysunku | Zoom
Środek | Powiększa do obszaru określonego przez punkt środkowy i powiększenie lub wysokość | Zoom Center
Współczynnik | Powiększa/pomniejsza o określony współczynnik | ZoomFactor
Poprzedni | Przywraca powiększenie poprzedniego widoku | ZoomBack
Wybrane | Powiększa do obszaru ustalonego przez zakres określonych obiektów | Zoom Selected
Okno | Powiększa obszar rysunku określony ramką | ZoomWindow
Powiększ | Powiększa rysunek | ZoomIn
Pomniejsz | Pomniejsza rysunek | ZoomOut
Granice | Powiększa/pomniejsza do wyświetlania całego rysunku | Zoom Bounds
Dopasowanie | Powiększa/pomniejsza do wyświetlenia zakresu rysunku | ZoomFit

^ Góra strony

Widok > Wyświetl

Menu | Opis | Polecenie
Atrybut bloku | Definiuje widoczność atrybutów bloku | DisplayBlockAttributes
Historia poleceń | Otwiera oddzielne okno historii poleceń | CommandHistory
Ikona NUW | Ustawia widoczność i pozycję ikony układu współrzędnych | CSIcon

^ Góra strony

Wstaw

Menu | Opis | Polecenie
Blok... | Wstawia blok lub inny rysunek do rysunku | InsertBlock
Hiperłącze... | Dołącza hiperłącze do obiektów lub modyfikuje istniejące hiperłącze | Hyperlink
Rysunek odniesienia... | Dołącza plik rysunku jako odniesienie do rysunku | AttachDrawing
Odniesienie obrazu... | Dołącza plik obrazu jako odniesienie do rysunku | AttachImage
Pole... | Tworzy Pola dla adnotacji używanych do aktualizowania informacji, między innymi modyfikacji daty, nazwy rysunku i autora | Field
Przebuduj pola | Ręcznie aktualizuje pola dla określonych adnotacji | RebuildField
Obiekt... | Wyświetla dane z innych programów w rysunkach (takie jak dokumenty tekstowe, arkusze kalkulacyjne lub obrazy) | InsertObject

^ Góra strony

Format

Menu | Opis | Polecenie
Warstwa... | Zarządza warstwami i właściwościami warstwy | Layer
Narzędzia warstwy |
Styl linii... | Umożliwia tworzenie, ładowanie i ustawianie stylów linii | LineStyle
Kolor linii... | Ustawia kolor linii dla nowych elementów | LineColor
Szerokość linii... | Ustawia opcje szerokości linii | LineWeight
Styl wymiarowania... | Tworzy i modyfikuje style wymiarowania | DimensionStyle
Styl punktu... | Definiuje typ i rozmiar elementów punktowych | PointFormat
Styl drukowania... | Zarządza nazwanymi stylami drukowania | PrintStyle
Style linii wzbogaconej... | Tworzy i zarządza stylami linii wzbogaconej | RichLineStyle
Lista skali... | Dostosowuje listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów | EditScaleList
Styl tabeli... | Tworzy i zarządza stylami tabeli | TableStyle
Styl tekstu... | Tworzy lub modyfikuje zdefiniowane przez użytkownika style tekstu i ustawia aktywny styl tekstu | TextStyle
Granica rysunku | Ustawia i steruje granicami rysunku | DrawingBounds
Układ jednostek miar... | Ustawia formaty i precyzję wyświetlania kąta i współrzędnych | UnitSystem
Zmień nazwę... | Zmienia nazwy obiektów | Rename

^ Góra strony

Format > Narzędzia warstwy

Menu | Opis | Polecenie
Ukryj warstwę | Wyłącza warstwę określonego elementu | HideLayer
Pokaż wszystkie warstwy | Włącza wszystkie warstwy | ShowLayers
Zablokuj warstwę | Zablokowuje warstwy określonych elementów | FreezeLayer
Odblokuj wszystkie warstwy | Odblokowuje wszystkie warstwy | ThawLayers
Zamknij warstwę | Zamyka warstwy określonych elementów | LockLayer
Otwórz warstwę | Otwiera zamknięte warstwy | UnlockLayer
Wyizoluj warstwę | Izoluje warstwy określonych elementów | IsolateLayer
Złącz warstwę | Cofa izolowanie warstwy | UnisolateLayer
Aktywuj warstwę | Uaktywnia warstwę określonego elementu | ActivateLayer
Element na aktywną warstwę | Zmienia warstwy określonych elementów na warstwę aktywną | ToActiveLayer
Zmień warstwę elementu | Zmienia warstwę określonych elementów dopasowując ją do warstwy docelowej | MatchLayer
Usuń | Usuwa warstwy określonych elementów wraz z tymi elementami | DeleteLayer
Przywróć stan warstwy | Przywraca poprzednie ustawienia warstwy | UndoLayer
Podgląd warstwy... | Wyświetla podgląd zawartości warstw pojedynczo dla zestawu określonych warstw | LayerPreview

^ Góra strony

Wymiar

Menu | Opis | Polecenie
Smart | Tworzy wymiary, których typ jest określony przez wybrany element | SmartDimension
Wyrównany | Tworzy wyrównany wymiar liniowy | ParallelDimension
Liniowy | Tworzy wymiar liniowy | LinearDimension
Linia bazowa | Kontynuuje wymiar liniowy, kątowy lub współrzędne z linii bazowej poprzedniego lub określonego wymiaru | BaselineDimension
Kontynuuj | Kontynuuje wymiar liniowy, kątowy lub współrzędne z drugiej linii pomocniczej poprzedniego lub określonego wymiaru | ContinueDimension
Współrzędne | Tworzy wymiary punktu współrzędnych | OrdinateDimension
Znacznik środka | Tworzy znacznik środka lub linie środkowe dla okręgów i łuków | CenterMark
Średnica | Tworzy wymiary średnicy dla okręgów i łuków | DiameterDimension
Promień | Tworzy wymiary promieniowe dla okręgów i łuków | RadiusDimension
Kątowy | Tworzy wymiary kątowe | AngleDimension
Długość łuku | Tworzy wymiary długości łuku | ArcLengthDimension
Łamana | Tworzy łamane wymiary promienia dla okręgów i łuków | JoggedDimension
Linia wiodąca | Rysuje linie wiodące i adnotacje | SmartLeader
Tolerancja... | Tworzy wskaźniki bazy pomiarowej i notację wymiaru podstawowego | Tolerance
Wyrównaj Tekst |
Pochylony | Modyfikuje orientację istniejących wymiarów liniowych | EditDimension Oblique
Zastąp | Zastępuje zmienne stylu wymiarowania | OverrideDimensionStyle
Wymiar względny | Przywraca ponownie relację określonych wymiarów do elementów | RelateDimension
Przebuduj | Aktualizuje wymiary zgodnie z aktywnym stylem wymiarowania | RebuildDimension, -DimensionStyle Apply

^ Góra strony

Wymiar > Wyrównaj tekst

Menu | Opis | Polecenie
Kąt | Obraca tekst wymiaru | EditDimensionText Angle
Środek | Wyśrodkowuje tekst wymiaru na linii wymiaru | EditDimensionText Center
Zresetuj | Cofa przeniesienie tekstu wymiaru | EditDimensionText Home
Lewa strona | Wyrównuje do lewej tekst wymiaru na linii wymiaru | EditDimensionText Left
Prawa strona | Wyrównuje do prawej tekst wymiaru na linii wymiaru | EditDimensionText Right

^ Góra strony

Rysuj

Menu | Opis | Polecenie
Linia | Tworzy segmenty linii prostej | Line
Nieskończona linia | Rysuje nieskończone linie konstrukcyjne | InfiniteLine
Linia wzbogacona | Tworzy linie wzbogacone | RichLine
Półprosta | Rysuje nieskończone półproste konstrukcyjne | Ray
Polilinia 3D | Tworzy polilinie 3D z prostych segmentów linii w przestrzeni 3D | PolyLine3D
Polilinia | Tworzy polilinie 2D | PolyLine
Wielobok | Tworzy równoboczne zamknięte polilinie | Polygon
Prostokąt | Tworzy polilinie prostokątne | Rectangle
Szkic | Tworzy linie odręczne | Sketch
Łuk | Tworzy łuki | Arc
Okrąg | Tworzy okręgi | Circle
Pierścień | Tworzy wypełnione okręgi lub pierścienie | Ring
Splajn | Tworzy krzywe splajnu kwadratowego lub sześciennego (NURBS) | Spline
Elipsa | Tworzy elipsy lub łuki eliptyczne | Ellipse
Punkt |
Blok |
Tabela | Tworzy tabele | Table
Ogranicz pole... | Tworzy polilinię lub region z zamkniętego obszaru | AreaBoundary
Kreskuj/Wypełnij... | Wypełnia określoną granicę wzorem, jednolitym kolorem lub kolorem gradientowym | Hatch, FillArea
Region | Przekształca element zamykający obszar na region | Region
Maska | Pokrywa istniejące elementy pustym obszarem | Mask
Chmura | Tworzy chmury poprawek w celu wskazania, że pewne obszary wymagają poprawek lub je zawierają | Cloud
Kształt |
Tekst |
Siatka |

^ Góra strony

Rysuj > Punkt

Menu | Opis | Polecenie
Wiele punktów | Tworzy elementy wielopunktowe | Point Multiple
Pojedynczy punkt | Tworzy element punktowy | Point
Jak segmenty | Umieszcza równomiernie rozmieszczone elementy punktowe lub bloki wzdłuż elementu lub na jego obwodzie | MarkDivisions
Jak długości | Umieszcza elementy punktowe lub bloki w odmierzonych odstępach na elemencie | MarkLengths

^ Góra strony

Rysuj > Blok

Menu | Opis | Polecenie
Zdefiniuj... | Definiuje blok z określonych elementów | MakeBlock
Zdefiniuj atrybuty bloku... | Tworzy definicję atrybutów bloku | MakeBlockAttribute

^ Góra strony

Rysuj > Kształt

Menu | Opis | Polecenie
Zdefiniuj | Wstawia kształt z pliku kształtu do rysunku | InsertShape
Wczytaj... | Ładuje pliki kształtu do użycia przez polecenie Shape | LoadShape

^ Góra strony

Rysuj > Tekst

Menu | Opis | Polecenie
Notatka | Tworzy elementy tekstu wieloliniowego | Note
Prosta notatka | Tworzy elementy tekstu jednoliniowego | SimpleNote

^ Góra strony

Rysuj > Siatka

Menu | Opis | Polecenie
Bryła 2D | Tworzy wypełnione ściany 2D | Solid
Ściana 3D | Tworzy ściany 3D | Face
Siatka 3D | Tworzy siatki wieloboku 3D | Mesh
Obrócony | Tworzy powierzchnie obrócone wokół określonej osi | RevolvedMesh
Ujęty w tabelę | Tworzy stabelaryzowane powierzchnie z krzywych ścieżek i wektorów kierunkowych | TabulatedMesh
Krawędź | Tworzy siatkę wieloboku 3D w oparciu o cztery sąsiadujące krawędzie | EdgeMesh
Rozwijalne | Tworzy powierzchnie rozwijalne pomiędzy dwoma krzywymi | RuledMesh

^ Góra strony

Modyfikuj

Menu | Opis | Polecenie
Właściwości | Wyświetla paletę właściwości w celu modyfikowania właściwości elementów rysunku | Properties
Malarz właściwości | Stosuje właściwości jednego elementu do innych elementów | PropertyPainter
Przytnij |
Element |
Komponent |
Wzór... | Tworzy wiele kopii elementów we wzorze | Pattern
Usuń | Usuwa elementy z rysunku | Delete
Kopiuj | Duplikuje elementy | Copy
Odsunięcie | Odsuwa elementy liniowe w orientacji równoległej | Offset
Lustro | Tworzy lustrzany obraz kopii elementów | Mirror
Zmień długość | Wydłuża lub skraca elementy | EditLength
Przenieś | Przesuwa elementy o określoną odległość w określonym kierunku | Move
Obróć | Obraca elementy wokół punktu bazowego | Rotate
Skaluj | Powiększa lub zmniejsza określone elementy jednakowo w kierunkach X, Y i Z | Scale
Rozciągnij | Przenosi lub rozciąga elementy | Stretch
Podziel | Usuwa fragmenty elementów lub dzieli elementy na dwa | Split
Połącz | Łączy dwa elementy w pojedynczy element | Weld
Fazuj | Ścina ukośnie krawędzie elementów | Chamfer
Zaokrąglij | Zaokrągla krawędzie elementów | Fillet
Wydłuż | Wydłuża elementy do zetknięcia z innymi elementami | Extend
Przytnij | Przycina elementy przy krawędzi tnącej określonej przez inne elementy | Trim
Rozbij | Rozbija złożone obiekty na elementy składowe | Explode

^ Góra strony

Modyfikuj > Przytnij

Menu | Opis | Polecenie
Odniesienie | Definiuje obwiednie przycinania w celu wygaszenia fragmentów bloku lub rysunku odniesienia | ClipReference
Okienko ekranu | Przycina wyświetlanie Okienek ekranu na aktywnym arkuszu o nieregularnych kształtach | ClipViewport

^ Góra strony

Modyfikuj > Element

Menu | Opis | Polecenie
Atrybut bloku | Modyfikuje atrybuty bloku | EditBlockAttribute, -EditBlockAttribute
Adnotacja... | Edytuje takie elementy, jak tekst jednoliniowy, tekst wymiaru, adnotacja linii wiodącej i definicje atrybutu bloku | EditAnnotation
Kreskuj... | Modyfikuje istniejące kreskowania lub wypełnienia kolorem gradientowym | EditHatch
Polilinia | Edytuje polilinie, wierzchołki polilinii i siatki wieloboku 3D | EditPolyLine
Linia wzbogacona... | Edytuje przecinające się oraz przylegające linie wzbogacone, łamie i wtapia linie wzbogacone i dodaje lub usuwa wierzchołki z istniejących linii wzbogaconych | EditRichLine
Tolerancja... | Modyfikuje tolerancje geometryczne | EditTolerance
Tabela... | Zmienia tekst w komórce tabeli | EditTable

^ Góra strony

Modyfikuj > Komponent

Menu | Opis | Polecenie
Edytuj... | Edytuje na miejscu indywidualne elementy w obrębie bloków lub odniesień | EditComponent
Dodaj elementy | Dodaje elementy do definicji bloków lub odniesień | ChangeElements Add
Usuń elementy | Usuwa elementy z definicji bloków lub odniesień | ChangeElements Remove
Edytuj punkt bazowy | Ustawia nowe punkty bazowe wstawienia dla definicji bloków | EditComponent
Zapisz i zamknij | Zapisuje modyfikacje dokonane podczas edycji na miejscu definicji bloków lub odniesień i wychodzi z trybu edycji komponentu | SaveComponent
Zamknij | Przerywa edycję na miejscu definicji bloku lub odniesienia | SaveComponent

^ Góra strony

Narzędzia

Menu | Opis | Polecenie
Właściwości... | Wyświetla/ukrywa paletę właściwości | Properties, HideProperties
Odniesienia... | Wyświetla/ukrywa paletę odniesień | References, HideReferences
Kolejność wyświetlania | Zmienia kolejność wyświetlania elementów rysunku i wstawionych obrazów na rysunku | DisplayOrder
Zapytanie |
Otwórz odniesienie | Otwiera rysunek odniesienia w nowym oknie rysunku | OpenReference
Uruchom skrypt... | Wykonuje sekwencję poleceń ze skryptu | LoadScript
Załaduj aplikację... | Dodaje do głównego pliku dostosowaniu lub usuwa z niego pliki częściowo dostosowane | LoadApplication
Menedżer NUW... | Zarządza niestandardowymi układami współrzędnych (NUW) | CSStyle
Nowy NUW | Ustawia, zapisuje i przywraca niestandardowy układ współrzędnych | CCS
Standardy |
Grupa elementów |
Dostosuj interfejs... | Zarządza dostosowanymi elementami interfejsu użytkownika, takimi jak menu, paski narzędzi, menu podręczne, skróty klawiaturowe i akcje myszy. | Customize
Opcje... | Konfiguruje parametry operacyjne programu | Options
Opcje... | Konfiguruje parametry operacyjne programu | Options
Gesty myszy... | Dostosowuje gesty myszy | Gesture

^ Góra strony

Narzędzia > Zapytanie

Menu | Opis | Polecenie
Pobierz obszar | Oblicza powierzchnię i obwód elementów lub zdefiniowanych obszarów | GetArea
Pobierz odległość | Mierzy odległość i kat pomiędzy dwoma punktami | GetDistance
Pobierz współrzędne | Wyświetla wartości współrzędnych danej lokalizacji | GetXY
Pobierz właściwości | Wyświetla informacje o określonych elementach | GetProperties
Właściwości regionu/masy | Oblicza i wyświetla powierzchnię, obwód i centroid elementów obszarów | GetMassProperties

^ Góra strony

Narzędzia > Standardy

Menu | Opis | Polecenie
Standardy rysunku... | Kojarzy standardy rysunkowe z bieżącym rysunkiem, określa kategorie rysunków do sprawdzenia oraz ustawia opcje powiadomień i audytu | DrawingStandards
Weryfikuj standardy... | Sprawdza, czy rysunek jest zgodny ze standardami branżowymi, firmowymi i dostosowanymi | VerifyStandards

^ Góra strony

Narzędzia > Grupa elementów

Menu | Opis | Polecenie
Szybko grupuj | Szybko tworzy grupy elementów | QuickGroup
Szybko rozgrupuj | Szybko rozgrupowuje grupy elementów | QuickUngroup
Edytuj grupę elementów | Dodaje i usuwa elementy z grup elementów lub zmienia nazwy grup elementów | EditEntityGroup

^ Góra strony

Okno

Menu | Opis | Polecenie
Zamknij | Zamyka rysunek, ale nie kończy działania programu | Close
Zamknij wszystko | Zamyka wszystkie otwarte rysunki, ale nie kończy działania programu | CloseAll
Kaskada | Ustawia okna rysunków kaskadowo | Windows Cascade
Sąsiadująco w poziomie | Ustawia okna rysunków sąsiadująco w poziomie | Windows Tile Horizontal
Sąsiadująco w pionie | Ustawia okna rysunków sąsiadująco w pionie | Windows Tile Vertical

^ Góra strony

Pomoc

Menu | Opis | Polecenie
Pomoc... | Wyświetla pomoc online | Help
Licencja... | Wyświetla umowę licencyjną | ShowLicense
Informacje... | Wyświetla informacje o programie | About
Informacje... | Wyświetla informacje o programie | About

^ Góra strony

Tematy pokrewne

Wykaz poleceń: polecenia w kolejności alfabetycznej


Skróty klawiaturowe

Klawisze funkcyjne

Klawisze funkcyjne | Opis | Powiązane polecenia
Esc | Anuluje bieżące polecenie | —
Esc | Anuluje bieżące polecenie | —
esc | Anuluje bieżące polecenie | —
F1 | Wyświetla pomoc online | Help
F1 | Wyświetla pomoc online | Help
cmd + ? | Wyświetla pomoc online | Help
F2 | Pokazuje i ukrywa historię poleceń w osobnym Oknie poleceń | CommandHistory, HideCommandHistory
F3 | Włącza lub wyłącza polecenie EntitySnaps | EntitySnap, -EntitySnap
F4 | — | —
F4 | — | —
F5 | Przełącza siatkę izometryczną do następnej izoplany | IsometricGrid
F6 | — | —
F6 | — | —
F7 | Włącza i wyłącza wyświetlanie siatki | Grid
F8 | Włącza i wyłącza tryb Orto | Ortho
F9 | Włącza i wyłącza tryb przyciągania | Snap
F9 | Włącza i wyłącza tryb przyciągania | Snap
F10 | Włącza i wyłącza Prowadnice biegunowe | —
F10 | Włącza i wyłącza Prowadnice biegunowe | —
F11 | Włącza i wyłącza Śledzenie elementów | —
F11 | Włącza i wyłącza Śledzenie elementów | —
F12 | — | —
F12 | — | —
Ctrl + F4 | Zamyka rysunek, ale nie program | Close
Ctrl + F4 | Zamyka rysunek, ale nie program | Close
Alt + F4 | Zamyka program | Exit
Alt + F4 | Zamyka program | Exit

Skróty klawiaturowe

Skrót klawiaturowy | Opis | Powiązane polecenia
Ctrl + 0 | Maksymalizuje obszar rysowania lub powraca do trybu wyświetlania ogólnego | FullScreen, HideFullscreen
Ctrl + 0 | Maksymalizuje obszar rysowania lub powraca do trybu wyświetlania ogólnego | FullScreen, HideFullscreen
cmd + 0 | Maksymalizuje obszar rysowania lub powraca do trybu wyświetlania ogólnego | FullScreen, HideFullscreen
Ctrl + 1 | Włącza i wyłącza paletę Właściwości | Properties, HideProperties
Ctrl + 1 | Włącza i wyłącza paletę Właściwości | Properties, HideProperties
cmd + 1 | Włącza i wyłącza paletę Właściwości | Properties, HideProperties
Ctrl + 9 | Włącza i wyłącza Okno poleceń | CommandWindow, HideCommandWindow
Ctrl + 9 | Włącza i wyłącza Okno poleceń | CommandWindow, HideCommandWindow
cmd + 9 | Włącza i wyłącza Okno poleceń | CommandWindow, HideCommandWindow
Ctrl + A | Zaznacza wszystkie elementy, które nie są zamrożone w bieżącym Okienku ekranu | SelectAll
Ctrl + A | Zaznacza wszystkie elementy, które nie są zamrożone w bieżącym Okienku ekranu | SelectAll
cmd + a | Zaznacza wszystkie elementy, które nie są zamrożone w bieżącym Okienku ekranu | SelectAll
Ctrl + B | Przełącza tryb przyciągania podczas wykonywania poleceń | Snap
Ctrl + B | Przełącza tryb przyciągania podczas wykonywania poleceń | Snap
cmd + b | Przełącza tryb przyciągania podczas wykonywania poleceń | Snap
Ctrl + C | Kopiuje elementy do schowka | ClipboardCopy
Ctrl + C | Kopiuje elementy do schowka | ClipboardCopy
cmd + c | Kopiuje elementy do schowka | ClipboardCopy
Ctrl + Shift + C | Kopiuje do schowka elementy z określonym punktem odniesienia | Copy@
Ctrl + Shift + C | Kopiuje do schowka elementy z określonym punktem odniesienia | Copy@
cmd + shift + c | Kopiuje do schowka elementy z określonym punktem odniesienia | Copy@
Ctrl + F | Znajduje i zastępuje tekst w notatkach, adnotacjach i tekście wymiaru | Find
Ctrl + F | Znajduje i zastępuje tekst w notatkach, adnotacjach i tekście wymiaru | Find
cmd + f | Znajduje i zastępuje tekst w notatkach, adnotacjach i tekście wymiaru | Find
Ctrl + G | Przełącza wyświetlanie siatki podczas wykonywania poleceń | Grid
Ctrl + G | Przełącza wyświetlanie siatki podczas wykonywania poleceń | Grid
cmd + g | Przełącza wyświetlanie siatki podczas wykonywania poleceń | Grid
Ctrl + K | Dołącza hiperłącze do obiektów lub modyfikuje istniejące hiperłącze | Hyperlink
Ctrl + K | Dołącza hiperłącze do obiektów lub modyfikuje istniejące hiperłącze | Hyperlink
cmd + k | Dołącza hiperłącze do obiektów lub modyfikuje istniejące hiperłącze | Hyperlink
Ctrl + L | Przełącza tryb Orto podczas wykonywania poleceń | Ortho
Ctrl + L | Przełącza tryb Orto podczas wykonywania poleceń | Ortho
cmd + l | Przełącza tryb Orto podczas wykonywania poleceń | Ortho
Ctrl + N | Tworzy nowy plik rysunku | New
Ctrl + N | Tworzy nowy plik rysunku | New
cmd + n | Tworzy nowy plik rysunku | New
Ctrl + O | Otwiera istniejący plik rysunku | Open
Ctrl + O | Otwiera istniejący plik rysunku | Open
cmd + o | Otwiera istniejący plik rysunku | Open
Ctrl + P | Wykreśla rysunek na ploterze, drukarce lub do pliku | Print
Ctrl + P | Wykreśla rysunek na ploterze, drukarce lub do pliku | Print
cmd + p | Wykreśla rysunek na ploterze, drukarce lub do pliku | Print
Ctrl + Q | Zamyka oprogramowanie | Exit
Ctrl + Q | Zamyka oprogramowanie | Exit
cmd + q | Zamyka oprogramowanie | Exit
Ctrl + R | Wyświetla kolejno Widoki sąsiadujące bez klikania | —
Ctrl + R | Wyświetla kolejno Widoki sąsiadujące bez klikania | —
cmd + r | Wyświetla kolejno Widoki sąsiadujące bez klikania | —
Ctrl + S | Zapisuje rysunek z bieżącą nazwą pliku lub z określoną nazwą | Save
Ctrl + S | Zapisuje rysunek z bieżącą nazwą pliku lub z określoną nazwą | Save
cmd + s | Zapisuje rysunek z bieżącą nazwą pliku lub z określoną nazwą | Save
Ctrl + Shift + S | Zapisuje nienazwany rysunek z nazwą pliku lub zmienia nazwę bieżącego rysunku | SaveAs
Ctrl + Shift + S | Zapisuje nienazwany rysunek z nazwą pliku lub zmienia nazwę bieżącego rysunku | SaveAs
cmd + shift + s | Zapisuje nienazwany rysunek z nazwą pliku lub zmienia nazwę bieżącego rysunku | SaveAs
Ctrl + V | Wstawia dane ze schowka | Paste
Ctrl + V | Wstawia dane ze schowka | Paste
cmd + v | Wstawia dane ze schowka | Paste
Ctrl + Shift + V | Wstawia elementy ze schowka jako blok | PasteAsBlock
Ctrl + Shift + V | Wstawia elementy ze schowka jako blok | PasteAsBlock
cmd + shift + v | Wstawia elementy ze schowka jako blok | PasteAsBlock
Ctrl + X | Kopiuje elementy do schowka i usuwa te elementy | Cut
Ctrl + X | Kopiuje elementy do schowka i usuwa te elementy | Cut
cmd + x | Kopiuje elementy do schowka i usuwa te elementy | Cut
Ctrl + Y | Odwraca efekty poprzedniego polecenia U lub UndoN | Redo
Ctrl + Y | Odwraca efekty poprzedniego polecenia U lub UndoN | Redo
cmd + y | Odwraca efekty poprzedniego polecenia U lub UndoN | Redo
Ctrl + Z | Cofa ostatnie polecenie (Undo) | U
Ctrl + Z | Cofa ostatnie polecenie (Undo) | U
cmd + z | Cofa ostatnie polecenie (Undo) | U
Del | Usuwa podświetlone elementy z rysunku | Delete
Del | Usuwa podświetlone elementy z rysunku | Delete
fn + backspace | Usuwa podświetlone elementy z rysunku | Delete
Shift | Wymusza tryb Orto | Ortho
Shift | Wymusza tryb Orto | Ortho
shift | Wymusza tryb Orto | Ortho

^ Góra strony

Można dostosować skróty klawiaturowe i tymczasowo zastąpić skróty za pomocą polecenia Customize na karcie Klawiatura.

Tematy pokrewne

Wykaz poleceń: polecenia w kolejności alfabetycznej

Wykaz poleceń: polecenia w kolejności menu rozwijanych


Zmienne poleceń

Zmienne poleceń kontrolują stan rysunków, opcje i preferencje w poleceniach, aspekty interfejsu użytkownika oraz ustawienia dotyczące rysowania, edycji i trybów wyświetlania.

Niektóre z nich można wykorzystywać jak polecenia (w szczególności te, które włączają i wyłączają pewne stany środowiska rysunkowego).

Dodatek ten zawiera:

  • Ustawianie zmiennych polecenia
  • Najczęściej używane zmienne poleceń
  • Zmienne poleceń wymiarowania

Uwaga: Niektóre zmienne udostępniono wyłącznie w celu zapewnienia zgodności z innymi programami typu CAD oraz starszymi wersjami oprogramowania.


Ustawianie zmiennych polecenia

Polecenie SetVariable służy do sprawdzania, ustawiania i zmieniania bieżących ustawień zmiennych poleceń. Zmienne poleceń przechowują ustawienia i preferencje dla poleceń i funkcji, a także dla trybów rysowania, edytowania i wyświetlania.

Aby wyświetlić lub ustawić zmienne poleceń:

  1. Wpisać SetVariable w wierszu poleceń.
  2. Wpisać nazwę zmiennej.
  3. Obecna wartość zmiennej zostanie wyświetlona jako domyślna.
  4. Wpisać nową wartość zmiennej.
  5. Uwaga: Niektóre z tych zmiennych są tylko do odczytu.

Lista wszystkich zmiennych poleceń:

  1. Wpisać SetVariable w wierszu poleceń.
  2. Wpisać znak ?.
  3. Wpisać znak *.
  4. W oknie poleceń zmienne poleceń są wymienione alfabetycznie razem z aktualnymi wartościami.

Nazwy zmiennych można wpisać bezpośrednio w wierszu poleceń zamiast wywoływania wprost polecenia SetVariable.

Przykład

Poniższe przełącza tryb wypełniania dla elementów:

: SetVariable
Opcje: ? lub
Nazwa zmiennej» EnblFills
Domyślny: 1
Wprowadź nową wartość dla EnblFills» 0

Dostęp

Polecenie: SetVariable


EnblBAttDlgs

Określa, które okno – dialogowe czy poleceń – ma wyświetlać monit o podanie wartości bloków atrybutów podczas wstawiania bloków przy użyciu polecenia -InsertBlock.

Wartości

0 | Monit o podanie wartości atrybutów bloków jest generowany przez okno poleceń.
1 | Monit o podanie wartości atrybutów bloków jest generowany przez okno dialogowe.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

-InsertBlock


EnblBAttVrfy

Określa, czy monity dotyczące wartości atrybutów bloków mają być wygaszane podczas wstawiania bloków, jeżeli blok zawiera definicje atrybutów bloków.

Wartości

0 | Monity dotyczące wartości atrybutów bloków są wygaszane
1 | Monity dotyczące wartości atrybutów bloków są wyświetlane

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

-InsertBlock


EnblBlkXpld

Określa, czy użycie polecenia Explode ma powodować rozstrzelenie niejednorodnie skalowanych bloków.

Wartości

0 | Nie jest wykonywane rozstrzelenie niejednorodnie skalowanych bloków
1 | Jest wykonywane rozstrzelenie niejednorodnie skalowanych bloków (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Explode


EnblBMPPrvw

Określa, czy bitmapa podglądu jest zapisywana wraz z rysunkiem.

Wartości

0 | Bitmapy podglądu nie są zapisywane
1 | Bitmapy podglądu są zapisywane

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

-InsertBlock


EnblBnds

Kontroluje możliwość tworzenia elementów poza granicami rysunku.

Wartości

0 | Tworzenie elementów rysunków poza granicami rysunku jest możliwe
1 | Tworzenie elementów rysunków poza granicami rysunku nie jest możliwe.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

DrawingBounds

Zmienne powiązane

GetXYLLBnds, GetXYURBnds


EnblBoxTxt

Włącza lub wyłącza tryb wyświetlania szybkiego tekstu.

Wartości

0 | Tekst i elementy atrybutów są wyświetlane normalnie (domyślnie)
1 | Tekst i elementy atrybutów są zastępowane prostokątną ramką graniczną

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblCCSVPMode

Kontroluje sposób zapisu układu współrzędnych w odniesieniu do bieżącego kafelka.

Wartości

0 | Układ współrzędnych powiązany z bieżącym kafelkiem pozostaje bez zmian (domyślnie)
1 | Układ współrzędnych jest zapisywany z bieżącym kafelkiem.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

CSStyle


EnblChmfAng

Określa, czy sfazowanie ma być tworzone w oparciu o określenie dwóch odległości, czy kąta i długości.

Wartości

0 | Sfazowanie jest tworzone na podstawie odległości określonych przez zmienne SetChmfDst1 i SetChmfDst2
1 | Sfazowanie jest tworzone na podstawie długości linii i kąta określonych przez zmienne SetChmfLen i SetChmfAng

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Chamfer

Zmienne powiązane

SetChmfDst1, SetChmfDst2, SetChmfLen, SetChmfAng


EnblClkDrg

Określa sposób wybierania elementu metodą kliknij i przeciągnij.

Wartości

0 | Okno wyboru jest tworzone przy użyciu dwóch punktów. W obszarze graficznym należy określić punkt, a następnie przeciwległy narożnik.
1 | Okno wyboru jest tworzone przez przeciągnięcie. W obszarze graficznym należy określić punkt, przytrzymać wciśnięty lewy przycisk myszy, a następnie przeciągnąć wskaźnik i zwolnić przycisk myszy przy drugim narożniku okna wyboru.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

-InsertBlock


EnblClpFrmDsp

Określa, czy granice przycinania odniesień są widoczne lub drukowane.

Wartości

0 | Ramki przycinania są ukryte i nie są drukowane.
1 | Ramki przycinania są wyświetlane i drukowane.
2 | Ramki przycinania są wyświetlane, ale nie drukowane.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblCmdDlgs

Określa, czy wyświetlać monity okna poleceń, czy istniejący edytor tekstu dla poleceń SmartLeader i Leader.

Wartości

0 | Polecenia korzystają z monitów okna poleceń (domyślnie).
1 | Polecenia korzystają z istniejącego edytora tekstu (opcja jeszcze nieobsługiwana).

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblCmdEcho

Określa tryb wyświetlania wyrażeń w języku Lisp.

Wartości

0 | Sekwencje poleceń są ukrywane przed użytkownikiem
1 | Sekwencje poleceń są widoczne dla użytkownika

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | Niezapisane


EnblCSByVP

Określa, czy dane wejściowe do polecenia ViewDirection są względne w stosunku do światowego układu współrzędnych (WCS) lub aktualnego dostosowanego układu współrzędnych (CCS).

Wartości

0 | Dane wejściowe polecenia są względne w stosunku do WCS.
1 | Dane wejściowe polecenia są względne w stosunku do bieżącego CCS.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

ViewDirection


EnblDlDm

Określa, czy w wymiarach są wyświetlane alternatywne jednostki miary.

Wartości

0 | Jednostki alternatywne są wyświetlane (domyślnie)
1 | Jednostki alternatywne są ukrywane

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblDmArwUsr

Określa, czy mają być używane oddzielne bloki symboli ostrzy strzałek.

Oddzielne bloki symboli ostrzy strzałek można określić za pomocą zmiennych SetDmArwBlk1 i SetDmArwBlk2.

Jeżeli bloki symboli ostrzy strzałek na obu końcach linii wymiaru są takie same, typ ostrza strzałki jest określany przez zmienną SetDmArwBlk.

Wartości

0 | Wył. Bloki ostrzy strzałek są określane przez zmienną SetDmArwBlk.
1 | Wł. Bloki ostrzy strzałek są określane przez zmienne SetDmArwBlk1 i SetDmArwBlk2.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmArwBlk, SetDmArwBlk1, SetDmArwBlk2


EnblDmDLBtwn

Wymusza umieszczenie linii wymiaru pomiędzy liniami pomocniczymi wymiaru, nawet gdy tekst wymiaru znajduje się poza liniami pomocniczymi.

W przypadku wymiaru i wymiarowania promienia zmienna ta ma dodatkowe znaczenie. Jeżeli zmienna będzie włączona (1), a zmienna EnblDmTxtBtwnExtLns będzie wyłączona (0), linia wymiaru i ostrza strzałek zostaną narysowane wewnątrz okręgu lub łuku, ale linia wiodąca i tekst wymiaru zostaną umieszczone na zewnątrz okręgu lub łuku.

Wartości

0 | Wył. (domyślnie)
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmTxtBtwnExtLns


EnblDmDLDsp1

Określa, czy jest wyświetlana pierwsza linia wymiaru i ostrze strzałki pomiędzy pierwszą linią pomocniczą wymiaru a tekstem.

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmDLDsp2


EnblDmDLDsp2

Określa, czy mają być wyświetlane druga linia wymiaru i ostrze strzałki pomiędzy drugą linią pomocniczą wymiaru a tekstem.

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmDLDsp1


EnblDmELDsp1

Określa, czy jest wyświetlana pierwsza pomocnicza linia wymiaru.

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmELDsp2


EnblDmELDsp2

Określa, czy jest wyświetlana druga pomocnicza linia wymiaru.

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmELDsp1


EnblDmFitArwSup

Określa, czy linie wymiarów i ostrza strzałek są wygaszane, gdy nie ma na nie miejsca wewnątrz pomocniczych linii wymiaru.

Zazwyczaj kiedy nie ma wystarczającej ilości miejsca na rysowanie linii wymiarów wewnątrz linii pomocniczych, linie wymiarów i ostrza strzałek są rysowane poza liniami pomocniczymi.

Kiedy ta zmienna i zmienna EnblDmTxtBtwnExtLns mają ustawienie Wł., linie wymiarów są wygaszane (wyświetlany jest tylko tekst wymiaru).

W przypadku, gdy dla zmiennej EnblDmTxtBtwnExtLns wybrano ustawienie Wył., ta zmienna nie jest używana.

Wartości

0 | Wył. (domyślnie)
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmTxtBtwnExtLns


EnblDmTolAppnd

Określa, czy do tekstu wymiaru są dołączane tolerancje.

Tekst tolerancji jest określany w zmiennych SetDmTolTxtMax i SetTDmMin.

Uwaga: ustawienie zmiennej na 1 (wł.) powoduje ustawienie zmiennej EnblTDm na 0 (wył.).

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmTolTxtMax, SetTDmMin, SetDmTolVJst, EnblTDm


EnblDmTxtAlgn

Wymusza rysowanie tekstu wymiaru poziomo w wymiarach liniowym, średnicy lub promieniowym, gdy tekst wymiaru znajduje się poza liniami pomocniczymi wymiaru.

Gdy wartość jest ustawiona na 0 (wył.), kąt tekstu poza liniami pomocniczymi wymiaru przyjmuje kąt linii wymiaru.

Wartości

0 | Wył.
1 | Wł. (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblDmTxtBtwn

Kontroluje opcje dotyczące tekstu umieszczonego przez użytkownika.

Wartości

0 | Wskaźnik kontroluje wyłącznie położenie linii wymiaru
1 | Wskaźnik kontroluje położenie tekstu oraz linii wymiaru

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblDmTxtBtwnExtLns

Wymusza rysowanie tekstu wymiaru pomiędzy pomocniczymi liniami wymiaru.

Wartości

0 | Wył. (domyślnie)
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblDrgDsp

Określa, czy przy przeciąganiu elementów jest wyświetlany ich zarys.

Wartości

0 | Przeciąganie jest wyłączone
1 | Przestarzałe (identycznie jak 2)
2 | Podczas przeciągania elementów jest wyświetlany ich zarys (domyślnie)

Właściwości

Typ | Liczba całkowita
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblEdgeExtd

Kontroluje ustawienia krawędzi cięcia i krawędzi granicznych dla poleceń Trim i Extend.

Wartości

0 | Polecenia Trim i Extend używają zaznaczonych krawędzi bez rozszerzeń
1 | Polecenia Trim i Extend rozpoznają wyobrażone rozszerzenia elementów rysunku jako krawędzie cięcia lub krawędzie graniczne

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Trim, Extend


EnblEGripBlk

Określa przypisanie uchwytów elementów w blokach.

Wartości

0 | Uchwyty elementów są przypisane wyłącznie do punktów wstawienia bloków
1 | Uchwyty elementów są przypisane do elementów wewnątrz bloków

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

SetEGripDspMode


EnblEGripTpDsp

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Steruje wyświetlaniem etykietek narzędzi uchwytów elementów.

Wartości

0 | Nie wyświetlaj etykietek narzędzi uchwytów elementów (ustawienie domyślne).
1 | Wyświetlaj etykietki narzędzi uchwytów elementów (opcja nieobsługiwana).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

SetEGripDspMode


EnblEntSelAuto

Określa, czy przy wyświetlaniu monitu dotyczącego wyboru elementów ma być używana funkcja automatycznego rysowania okna.

Wartości

0 | Wył. Funkcja automatycznego rysowania okna jest wyłączona.
1 | Wł. (domyślnie). Funkcja automatycznego rysowania okna jest włączona. Pozwala na automatyczne rysowanie okna wyboru (wybór polem lub przecinający).

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblEntSelHlt

Włącza lub wyłącza podświetlenie określonych elementów rysunku.

Uwaga: ta zmienna nie ma zastosowania do elementów określonych przez uchwyty elementów.

Wartości

0 | Określone elementy nie są podświetlane
1 | Określone elementy są podświetlane

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | Niezapisane


EnblEntSelPreSel

Pozwala określać elementy przed lub po wydaniu polecenia, które wymaga wyboru elementu.

Wartości

0 | Wył. Po wydaniu polecenia jest wyświetlany monit o określenie elementów (Specify Entities).
1 | Wł. (domyślnie). Jeśli elementy zostaną określone przed wydaniem polecenia, monit o ich określenie będzie pomijany.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblETrkDsp

Określa sposób wyświetlania ścieżek śledzenia dla przyciągania elementów i biegunów.

Wartości

0 | Ścieżki śledzenia dla przyciągania elementów i biegunów są wyświetlane na całym odcinku.
1 | Ścieżki śledzenia dla biegunów są wyświetlane na całym odcinku. Ścieżki śledzenia dla przyciągania elementów są wyświetlane wyłącznie do pozycji kursora.
2 | Ścieżki śledzenia dla biegunów nie są wyświetlane. Ścieżki śledzenia dla przyciągania elementów są wyświetlane na całym odcinku.
3 | Ścieżki śledzenia dla biegunów nie są wyświetlane. Ścieżki śledzenia dla przyciągania elementów są wyświetlane wyłącznie do pozycji kursora.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 3
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblFills

Kontroluje tryb wypełniania szerokich elementów polilinii oraz bryłowych elementów 2D.

Wartości

0 | Elementy nie są wypełniane
1 | Elementy są wypełniane

Właściwości

Stan | Odczyt/zapis
Typ | Liczba całkowita
Domyślny | 1

Powiązane polecenia

PolyLine, Polygon, Ring, Solid


EnblFltTrm

Powoduje przycięcie zaznaczonych linii podczas zaokrąglania lub fazowania przy użyciu polecenia Fillet lub Chamfer.

Wartości

0 | Wył. Zaznaczone linie nie są przycinane przy zaokrąglaniu lub fazowaniu.
1 | Wł. Linie są przycinane przy zaokrąglaniu lub fazowaniu.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis

Powiązane polecenia

Fillet, Chamfer


EnblGBox

Określa, czy pośrodku kursora krzyżykowego ma być wyświetlane pole grawitacyjne przyciągania elementów.

Aby ustawić ramkę wyboru elementów, należy użyć zmiennej SetSelBoxSz.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Zakres | 1 | 2
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Gravity, DraftingOptions

Zmienne powiązane

SetGBoxSz


EnblGrid

Włącza lub wyłącza wyświetlanie siatki. Punkty siatki są wyświetlane w odległościach XY określonych przez zmienną SetGridUnt oraz w obszarze określonym przez zmienne GetXYLLBnds i GetXYURBnds.

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetGridUnt, GetXYLLBnds, GetXYURBnds, EnblBnds

Powiązane polecenia

DraftingOptions


EnblHtchBndTyp

Określa typ elementu (polilinia lub region) dla granicy utworzonej za pomocą poleceń AreaBoundary i Hatch.

Wartości

0 | Region
1 | Polilinia

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

AreaBoundary, Hatch


EnblHtchDbl

Rysuje zdefiniowane przez użytkownika wzory kreskowania za pomocą linii pojedynczych lub krzyżujących się.

Wartości

0 | Do kreskowania jest używany wzór linii pojedynczej
1 | Do kreskowania jest używany wzór linii podwójnej (linie krzyżujące się)

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Hatch, -Hatch


EnblImgHlt

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Określa, czy podświetlać cały obraz odniesienia, czy tylko klatki obrazu.

Wartości

0 | Podświetla tylko klatki obrazu.
1 | Podświetla całe obrazy.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblLWtDsp

Określa, czy ma być wyświetlana grubość linii elementów. Domyślnie grubość linii nie jest wyświetlana.

Wartości

0 | Grubość linii nie jest wyświetlana (wył.)
1 | Grubość linii jest wyświetlana (wł.)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDfltLWt, SetLWtUnt


EnblMMBPan

Steruje zachowaniem trzeciego przycisku myszy lub kółka myszy. Zmienna określa, czy przesuwa on i powiększa obraz, czy też wyświetla menu podręczne EntitySnap.

Wartości

0 | Wyświetla menu podręczne EntitySnap po kliknięciu trzeciego przycisku myszy lub kółka myszy.
1 | Przesuwa po naciśnięciu i przeciągnięciu trzeciego przycisku myszy lub kółka myszy. Powiększa zakres rysunku po dwukrotnym kliknięciu kółkiem myszy. Powiększa lub pomniejsza obraz podczas obracania kółkiem myszy.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblMutt

Określa, czy wyświetlać komunikaty w oknie poleceń (mruczenie). W trybie normalnym mruczenie jest wygaszone tylko podczas wykonywania makr i dodatków.

Wartości

0 | Tryb normalny (domyślny).
1 | Wygasza mruczenie.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane


EnblNavDlgs

Określa, czy dla pewnych poleceń ma być używana kolejność żądań okna dialogowego czy okna poleceń.

Wartości

0 | Używana jest wersja okna dialogowego polecenia
1 | Używane są monity okna poleceń dla danego polecenia

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblOrtho

Włącza lub wyłącza tryb rysowania ortogonalnego.

Tryb rysowania ortogonalnego ogranicza ruchy wskaźnika do ruchów równoległych do osi X i Y układu współrzędnych.

Na przykład gdy zmienna jest ustawiona na wartość 1, a domyślna orientacja to 0° (kąt 0 znajduje się na „godzinie trzeciej” albo na „wschodzie”), linie są ograniczone do 0°, 90°, 180° lub 270°.

Wartości

0 | Tryb rysowania ortogonalnego wyłączony
1 | Tryb rysowania ortogonalnego włączony

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Ortho, DraftingOptions


EnblPEdtCnvrtWrng

Dotyczy ostrzeżenia „Wybrany element nie jest polilinią. Czy chcesz go przekształcić w polilinię?” – określa, czy ma być ono wyświetlane przy wykonywaniu polecenia EditPolyLine.

Wartości

0 | Ostrzeżenie jest wyświetlane. Aby dokonać konwersji określonego elementu na polilinię, konieczne jest wpisanie Yes.
1 | Ostrzeżenie nie jest wyświetlane. Określony element jest konwertowany na polilinię.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

EditPolyLine


EnblPlineConv

Kontroluje format nowych polilinii tworzonych przy użyciu polecenia PolyLine oraz format polilinii konwertowanych w istniejących rysunkach.

Obsługiwane są polilinie w formatach standardowym i odciążonym.

Wartości

0 | Polilinie w starszych rysunkach nie są konwertowane przy otwieraniu, a polecenie PolyLine tworzy polilinie w starym formacie.
1 | Polilinie w starszych rysunkach nie są konwertowane przy otwieraniu, ale polecenie PolyLine tworzy polilinie zoptymalizowane.
2 | Polilinie w starszych rysunkach są konwertowane przy otwieraniu, a polecenie PolyLine tworzy polilinie zoptymalizowane (domyślnie).

Właściwości

Typ | Liczba całkowita
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

PolyLine


EnblPLineVert

Kontroluje style polilinii.

Wartości

0 | Każdy segment stylu linii rozpoczyna się i kończy myślnikiem
1 | Ignorowane są wierzchołki – styl linii jest wzorem ciągłym otaczającym wierzchołek polilinii.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

PolyLine, Polygon, Rectangle


EnblPLnEllps

Tworzy elipsę jako rzeczywistą elipsę lub jako element poliliniowy.

Wartości

0 | Tworzona jest rzeczywista elipsa
1 | Tworzony jest element poliliniowy

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Ellipse


EnblPrxyWrng

Nie zaimplementowano. Obiekty proxy nie są obsługiwane.

Określa, czy wyświetlane jest powiadomienie, gdy tworzony jest obiekt proxy.

Wartości

0 | Nie wyświetla powiadomienia dotyczącego proxy.
1 | Wyświetla powiadomienie dotyczące tworzenia obiektu proxy (opcja nieobsługiwana).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblRbldAuto

Kontroluje automatyczną regenerację rysunków.

Wartości

0 | Rysunki nie są odbudowywane automatycznie (wył.).
1 | Rysunki są odbudowywane automatycznie w razie potrzeby (wł.).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

AutoRebuild, Rebuild, RebuildAll


EnblRefEdt

Określa, czy można edytować bieżący ustalony rysunek, gdy jest odniesiony w innym rysunku.

Wartości

0 | Nie można edytować ustalonego rysunku.
1 | Można edytować ustalony rysunek.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblRgnBndryDel

Określa, czy po wykonaniu polecenia podczas tworzenia powierzchni zostaną usunięte elementy źródłowe (przy użyciu polecenia Extrude) czy elementy regionu (przy użyciu polecenia Region).

Wartości

0 | Wybrane elementy nie są usuwane
1 | Wybrane elementy są usuwane i zastępowane nowymi (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Region, Extrude


EnblRSnap

Określa przyciąganie do siatki (tryb standardowy) lub przyciąganie biegunowe (zwane również przyciąganiem promieniowym) jako typ przyciągania dla bieżącego kafelka.

Wartości

0 | Przyciąganie do siatki
1 | Przyciąganie biegunowe

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Snap, DraftingOptions


EnblRstrOleDsp

Określa, czy podczas dynamicznego powiększania i przesuwania wyświetlane są niektóre, czy wszystkie obrazy rastrowe i obiekty OLE.

Wartości

0 | Wyświetla wszystkie obrazy rastrowe.
1 | Wyświetla tylko niektóre obrazy rastrowe.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblSlhEdgDsp

Nie zaimplementowano. Służy zachowaniu zgodności plików rysunków.

Przełącza wyświetlanie sylwetek brył 3D.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblSnp

Włącza lub wyłącza tryb przyciągania dla bieżącego kafelka lub okienka ekranu.

Wartości

0 | Tryb przyciągania wyłączony
1 | Tryb przyciągania włączony

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Snap


EnblSnpIso

Przełącza styl przyciągania dla bieżącego kafelka pomiędzy standardowym a izometrycznym.

Wartości

0 | Standardowy (domyślnie)
1 | Izometryczny

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Snap, DraftingOptions

Zmienne powiązane

SetIsoPln, EnblSnp, SetSnpSpc, SetSnpBase, EnblGrid


EnblSplnFrmDsp

Określa sposób wyświetlania wieloboków kontroli dla splajnów oraz polilinii dopasowanych do splajnów.

Wartości

0 | Wielobok kontroli dla splajnów oraz polilinii dopasowanych do splajnów nie jest wyświetlany
1 | Wielobok kontroli dla splajnów oraz polilinii dopasowanych do splajnów jest wyświetlany

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis

Powiązane polecenia

Spline, Face


EnblSTBs

Zwraca informację o tym, czy w bieżącym rysunku jest używany styl drukowania zależny od koloru, czy raczej styl nazwany.

Wartości

0 | W rysunku są używane tabele nazwanych stylów drukowania (w oparciu o pliki .stb).
1 | W rysunku są używane tabele stylów drukowania zależnych od koloru (w oparciu o pliki .ctb).

Właściwości

Typ | Liczba całkowita
Stan | Tylko do odczytu
Zapisane | W rysunku

Powiązane polecenia

PrintStyle


EnblTDm

Określa, czy do tekstu wymiaru mają być dołączane granice wymiaru.

Tekst tolerancji jest określany w zmiennych SetDmTolTxtMax i SetTDmMin.

Uwaga: ustawienie zmiennej na 1 (wł.) powoduje ustawienie zmiennej EnblDmTolAppnd na 0 (wył.).

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmTolTxtMax, SetTDmMin, EnblDmTolAppnd


EnblTlTps

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Włącza lub wyłącza etykietki narzędzi na paskach narzędzi i innych elementach interfejsu użytkownika.

Wartości

0 | Wyłącza wyświetlanie etykietek narzędzi (opcja nieobsługiwana).
1 | Włącza wyświetlanie etykietek narzędzi (ustawienie domyślne).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


EnblTxtHide

Określa, czy elementy tekstowe utworzone za pomocą poleceń Note lub SimpleNote są ukryte w przypadku użycia polecenia HideView.

Wartości

0 | Tekst nie jest ukryty i nie zasłania elementów rysunków.
1 | Tekst jest ukryty i zasłania elementy rysunku (ustawienie domyślne).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblUntSpcSupp

Zmienia sposób wyświetlania niektórych formatów jednostek (ułamki, stopy i cale oraz kąty geodezyjne).

Wartości

0 | Ułamki, stopy i cale oraz kąty geodezyjne są wyświetlane w formacie raportu wykorzystującego spacje jako ograniczniki.
1 | Ułamki, stopy i cale oraz kąty geodezyjne są wyświetlane w formacie wejściowym, bez spacji.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


EnblVP

Wyświetla ostatnio używaną kartę arkusza lub kartę modelu.

Wartości

0 | Wyświetlana jest ostatnio używana karta arkusza
1 | Wyświetlana jest karta modelu

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

ViewTiles


EnblVPLScl

Kontroluje style linii dla polilinii w arkuszach.

Wartości

0 | Długości myślników w przestrzeni modelu są oparte na jednostkach rysunku przestrzeni modelu.
1 | Długości myślników w przestrzeni modelu są oparte na jednostkach arkusza rysunku. Style linii w okienkach ekranu wyświetlają się w tym samym rozmiarze co style linii w arkuszach.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

PolyLine


GetActCmd

Ustala nazwy aktualnie aktywnych poleceń w funkcjach Lisp.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu

Przykład

: LINE
Określ punkt początkowy» 'ZOOM
Określ pierwszy narożnik» (progn (setq x (getvar "GetActCmd")) (princ x)(princ))
LINE'ZOOM


GetActComp

Wyświetla nazwę komponentu (bloku lub odniesienia) edytowanego za pomocą polecenia EditComponent.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Tylko do odczytu
Zapisane | Niezapisane

Powiązane polecenia

EditComponent


GetActDict

Zwraca nazwę folderu i pliku z niestandardowego słownika pisowni.

Właściwości

Typ | Ciąg
Domyślny | sample.cus
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


GetActDimStyl

Zwraca nazwę bieżącego stylu wymiaru. Zmienna ma atrybut tylko do odczytu.

Właściwości

Typ | Ciąg
Domyślny | "Standard"
Stan | Tylko do odczytu
Zapisane | W rysunku

Powiązane polecenia

DimensionStyle


GetActTab

Wyświetla nazwę bieżącej karty modelu lub arkusza układu. Można aktywować kolejną kartę, określając jej nazwę. W nowym rysunku wartością początkową jest „Model”.

Właściwości

Typ | Ciąg
Przykład | "Model"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Sheet


GetActUsr

Zwraca nazwę logowania do systemu operacyjnego dla użytkownika.

Właściwości

Typ | Ciąg
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetActVP

Zwraca numer ID bieżącego kafelka (lub okienka ekranu w arkuszu układu) i pozwala ustawić kafelek (lub okienko ekranu) jako bieżący (bieżące).

Właściwości

Typ | Liczba całkowita
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

ViewTiles


GetArea

Zwraca wielkość obszaru obliczoną przy ostatnim użyciu polecenia GetArea.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Tylko do odczytu
Zapisane | Niezapisane

Powiązane polecenia

GetArea

Zmienne powiązane

GetAreaPerim, GetDst


GetAreaPerim

Zwraca wartość obwodu obliczonego przy ostatnim użyciu polecenia GetArea.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Tylko do odczytu
Zapisane | Niezapisane

Powiązane polecenia

GetArea

Zmienne powiązane

GetArea


GetDst

Zwraca ostatnio zmierzoną za pomocą polecenia GetDistance wartość długości.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Tylko do odczytu
Zapisane | Niezapisane

Powiązane polecenia

GetDistance


GetDt

Zwraca bieżącą datę i godzinę w oparciu o kalendarz juliański, w następującym formacie:

RRRRMMDD.GGMMSSmm = rok miesiąc dzień . godzina minuta sekunda milisekunda

Właściwości

Typ | Rzeczywista
Wartość | Bieżąca data i godzina systemowa
Przykład | 20080709.12055239
Stan | Tylko do odczytu


GetDtCrt

Zwraca lokalną datę i godzinę utworzenia bieżącego rysunku.

Właściwości

Typ | Rzeczywista
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | W rysunku


GetDtJul

Zwraca bieżącą datę i godzinę w formacie kalendarza juliańskiego.

Właściwości

Typ | Rzeczywista
Stan | Tylko do odczytu
Przykład | 2449968.64956018

Zmienne powiązane

GetDt


GetDtLstSv

Zwraca lokalną datę i godzinę ostatniego zapisu lub aktualizacji.

Właściwości

Typ | Rzeczywista
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | W rysunku


GetDtLstUSv

Zwraca uniwersalną datę i godzinę ostatniego zapisu lub aktualizacji.

Właściwości

Typ | Rzeczywista
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | W rysunku


GetInfOS

Zwraca kod ISO języka, z którego korzysta oprogramowanie.

Właściwości

Typ | Ciąg
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetLstAng

Zwraca wartość kąta dla ostatniego segmentu linii utworzonego w odniesieniu do układu współrzędnych.

Właściwości

Typ | Rzeczywista
Zakres | 0.00 .. 359.99
Domyślny | 0.00
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetLstErr

Może zawierać numer błędu określony przez system, jeśli wbudowana funkcja API spowodowała błąd.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Tylko do odczytu


GetLstPrmpt

Zwraca ostatni ciąg monitu wyświetlony w oknie poleceń.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetLstSvNm

Zwraca ścieżkę i nazwę pliku dla ostatnio zapisanego rysunku.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetLstXY

Zwraca współrzędne punktu określonego przez ostatni punkt użyty z rysunkiem lub poleceniem edycji. Możliwe jest zastąpienie zmiennej.

Właściwości

Typ | Punkt 3D
Domyślny | 0.00,0.00,0.00
Stan | Odczyt/zapis
Zapisane | Niezapisane


GetNmActCS

Zwraca nazwę aktywnego dostosowanego układu współrzędnych.

Jeżeli zmienna zwraca pusty ciąg (""), układ współrzędnych nie ma nazwy.

Układowi współrzędnych można nadać nazwę, używając polecenia CSStyle lub CCS.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Tylko do odczytu
Zapisane | W rysunku

Powiązane polecenia

CSStyle, CCS


GetNmActPrfl

Zwraca nazwę bieżącego profilu.

Właściwości

Typ | Ciąg
Przykład | "<nienazwany profil>"
Stan | Tylko do odczytu

Powiązane polecenia

Profiles


GetNmAutoSvFl

Zwraca ścieżkę i nazwę ostatniego, automatycznie zapisanego pliku bieżącego rysunku.

Właściwości

Typ | Ciąg
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetNmCdePg

Zwraca stronę kodową systemu określoną przez system operacyjny.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetNmPrdct

Zwraca nazwę produktu.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetNmPrgm

Zwraca nazwę programu.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetNmPrnStyl

Określa bieżący styl drukowania dla nowych elementów.

Jeżeli bieżący rysunek używa stylów drukowania opartych na kolorach, dla tej zmiennej jest wybierane ustawienie ByColor i atrybut tylko do odczytu.

W przypadku, gdy bieżący rysunek używa nazwanych stylów drukowania, dla zmiennej można wybrać następujące ustawienia: ByLayer (domyślnie), ByBlock, Normalny lub Zdefiniowany przez użytkownika.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

PrintStyle, ConvertPrintStyles


GetOrgActCS

Zwraca współrzędne początku dostosowanego układu współrzędnych dla bieżącego kafelka w bieżącej przestrzeni.

Wartość jest przechowywana jako współrzędna globalna.

Właściwości

Typ | Punkt 3D
Domyślny | 0.00,0.00,0.00
Stan | Tylko do odczytu

Powiązane polecenia

CSStyle, CCS


GetPlatform

Identyfikuje system operacyjny.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu


GetPthDS

Określa ścieżki wyszukiwania plików obsługi, które stanowią lokalizacje dla wzorów kreskowania, dodatków i inne plików obsługi. Foldery są rozdzielone ogranicznikami ścieżki.

Właściwości

Typ | Ciąg
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


GetPthDWG

Zwraca informację o napędzie i ścieżce dostępu bieżącego rysunku.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Domyślny | "C:\documents\drawings"


GetStatActCmd

Zwraca typ bieżącego aktywnego polecenia przedstawianego jako suma kodów bitów.

Kody bitów

1 | Aktywne jest polecenie standardowe
2 | Aktywne jest polecenie przezroczyste wewnątrz polecenia standardowego
4 | Aktywny jest skrypt
8 | Aktywne jest okno dialogowe
16 | Aktywny jest obiekt OLE
32 | Aktywne jest wyrażenie w języku Lisp
64 | Aktywna jest aplikacja

Właściwości

Typ | Liczba całkowita (kod bitu)
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetStatCCS

Wskazuje, czy układ współrzędnych jest taki sam jak globalny układ współrzędnych (WCS).

Wartości

0 | Układ współrzędnych nie jest taki sam jak WCS.
1 | Układ współrzędnych jest taki sam jak WCS.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Tylko do odczytu

Powiązane polecenia

CSStyle, CCS


GetStatDWGNm

Zwraca informację, czy bieżącemu rysunkowi została nadana nazwa.

Wartości

0 | Rysunek nie został nazwany. Ma nazwę domyślną (np. Noname_0.dwg).
1 | Rysunek zastał już zapisany i nazwany.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Stan | Tylko do odczytu

Powiązane polecenia

New, Open, SaveAs


GetStateUndo

Zwraca stan opcji Auto, Kontrola oraz Grupa dla polecenia Undo.

Zmienna przechowuje zakodowany bit ustawień i zwraca ustawienie jako sumę poniższych wartości:

Kody bitów

0 | Funkcja cofania jest wyłączona.
1 | Funkcja cofania jest włączona i można cofnąć wszystkie operacje.
2 | Zmiany można cofnąć tylko o jeden krok
4 | Włączony jest tryb auto
8 | Obecnie jest aktywna grupa
16 | Operacje powiększania i przesuwania są zgrupowane jako pojedyncza operacja

Właściwości

Typ | Liczba całkowita (kod bitu)
Domyślny | 21
Stan | Tylko do odczytu
Zapisane | Niezapisane

Powiązane polecenia

Undo


GetStatLstDlg

Zwraca stan wyjścia ostatnio użytego okna dialogowego polecenia wbudowanego. Ta zmienna nie odzwierciedla stanu wyjścia standardowych okien dialogowych dotyczących pliku, takich jak Otwórz plik, Zapisz jako czy Wybierz plik.

Wartości

0 | Okno dialogowe zostało zamknięte przez kliknięcie przycisku Anuluj.
1 | Okno dialogowe zostało zamknięte przez kliknięcie przycisku OK.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Tylko do odczytu
Zapisane | Niezapisane

Zmienne powiązane

GetActCmd, GetStatActCmd


GetStatScreen

Zwraca zakodowane bitowo informacje dotyczące bieżącego wyświetlania okna programu i okna poleceń.

Kody bitów

0 | Wyświetlane jest okno poleceń.
1 | Wyświetlane jest okno programu z obszarem graficznym.
2 | Skonfigurowane jest wyświetlanie podwójnego ekranu.

Właściwości

Typ | Liczba całkowita (kod bitu)
Domyślny | 3
Stan | Tylko do odczytu
Zapisane | Niezapisane


GetSzVP

Zwraca rozmiar bieżącego kafelka rysunku w pikselach (X, Y).

Właściwości

Typ | Współrzędne ekranu (w pikselach)
Stan | Tylko do odczytu
Przykład | 1000,704


GetTmLstEdt

Zwraca czas trwania od momentu załadowania rysunku.

Format: <liczba dni>.<ułamek dziesiętny dnia>

Właściwości

Typ | Rzeczywista
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | W rysunku


GetTmUsrEdit

Zwraca czas spędzony przez użytkownika z rysunkiem.

Właściwości

Typ | Rzeczywista
Zakres | 0.00 lub więcej
Stan | Tylko do odczytu
Zapisane | W rysunku


GetUsrStrn1 .. GetUsrStrn5

Zmienne te zawierają ciągi zdefiniowane przez użytkownika.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | Niezapisane


GetVwCtr

Zwraca współrzędne punktu środkowego w bieżącym kafelku jako współrzędne 2D układu współrzędnych.

Właściwości

Typ | Punkt 2D
Stan | Tylko do odczytu
Zapisane | W rysunku


GetVwHt

Zwraca wysokość widocznego fragmentu rysunku (widok) w bieżącym kafelku. Wartość ta jest wyrażona w jednostkach rysunku.

Właściwości

Typ | Rzeczywista
Stan | Tylko do odczytu
Zapisane | W rysunku


GetXDirActCS

Zwraca współrzędne kierunku osi X układu współrzędnych.

Właściwości

Typ | Punkt 3D
Domyślny | 1.00,0.00,0.00
Stan | Tylko do odczytu

Powiązane polecenia

CSStyle, CCS


GetXYLLBnds

Określa lewe dolne współrzędne osi XY dla wyświetlania siatki na rysunku oraz sprawdzania granic. Punkt 2D jest wyrażony we współrzędnych globalnych.

Właściwości

Typ | Punkt 2D
Domyślny | 0.0, 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

DrawingBounds

Zmienne powiązane

GetXYURBnds, EnblBnds


GetXYLLFit

Zwraca współrzędne lewej dolnej części zakresu rysunku. Punkt 3D jest wyrażony za pomocą współrzędnych globalnych bieżącej przestrzeni.

Właściwości

Typ | Punkt 3D
Stan | Tylko do odczytu
Zapisane | W rysunku

Zmienne powiązane

GetXYURFit


GetXYURBnds

Określa prawe górne współrzędne osi XY dla wyświetlania siatki na rysunku oraz sprawdzania granic. Punkt 2D jest wyrażony we współrzędnych globalnych.

Właściwości

Typ | Punkt 2D
Domyślny | 12.0, 9.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

DrawingBounds

Zmienne powiązane

GetXYLLBnds, EnblBnds


GetXYURFit

Zwraca współrzędne prawej górnej części zakresu rysunku. Punkt 3D jest wyrażony za pomocą współrzędnych globalnych bieżącej przestrzeni.

Właściwości

Typ | Punkt 3D
Stan | Tylko do odczytu
Zapisane | W rysunku

Zmienne powiązane

GetXYLLFit


GetYDirActCS

Zwraca współrzędne kierunku osi Y układu współrzędnych.

Właściwości

Typ | Punkt 3D
Domyślny | 0.00,1.00,0.00
Stan | Tylko do odczytu

Powiązane polecenia

CSStyle, CCS


LgcyACISOUTVER

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa wersję dla plików SAT utworzonych za pomocą polecenia ExportSAT.

Wartości

Prawidłowe są wartości od 15 do 18, 20, 21, 30, 31, 40, 50, 60 i 70.

Właściwości

Typ | Liczba całkowita
Domyślny | 70
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyBACKZ

Zwraca odsunięcie tylnej płaszczyzny przycięcia dla bieżącego kafelka.

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Tylko do odczytu
Zapisane | W rysunku

Zmienne powiązane

LgcyFRONTZ


LgcyCANNOSCALE

Przestarzała. Służy zachowaniu zgodności plików rysunków.

Ustawienia skali adnotacji nie są obsługiwane.

Właściwości

Typ | Ciąg
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyDBMOD

Zwraca informację o stanie modyfikacji w bazie danych rysunku przedstawioną jako suma kodów bitowych.

Gdy rysunek jest zapisywany, zmienna jest ustawiana na wartość 0.

Kody bitów

0 | Brak modyfikacji
1 | Została zmodyfikowana baza danych rysunku
2 | (nieużywane)
4 | Została zmodyfikowana zmienna bazy danych
8 | Zostało zmodyfikowane okno
16 | Został zmodyfikowany widok
32 | Zostało zmodyfikowane pole

Właściwości

Typ | Liczba całkowita (kod bitu)
Domyślny | 0
Stan | Tylko do odczytu
Zapisane | Niezapisane


LgcyDIMASO

Przestarzała. Służy do zapewnienia integralności skryptów aplikacji.

Zmienna SetDmRltvMode włącza lub wyłącza wymiarowanie asocjacyjne.

Wartości

0 | Wył.
1 | Wł. (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyDIMFIT

Przestarzała. Służy do zapewnienia integralności skryptów aplikacji.

Ta zmienna została zastąpiona przez zmienne SetDmFitMode i SetDmTxtMvMode.

Właściwości

Typ | Liczba całkowita
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmFitMode, SetDmTxtMvMode


LgcyDIMSHO

Przestarzała. Służy do zapewnienia integralności skryptów aplikacji.

W innych programach typu CAD ta zmienna może określać, czy przy tworzeniu lub modyfikowaniu wymiarów ma być używany tryb przeciągania dynamicznego.

Nie jest zapisana w ustawieniach Styl wymiaru.

Wartości

0 | Wył.
1 | Wł. (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyDIMUNIT

Przestarzała. Służy do zapewnienia integralności skryptów aplikacji.

Zmienna ta została zastąpiona przez zmienne SetLDmUnt i SetLDmFrmt.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 3
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetLDmUnt, SetLDmFrmt


LgcyDWGCODEPAGE

Starszego typu.

Zwraca taką samą wartość jak zmienna GetNmCdePg (systemowa strona kodowa zależna od systemu operacyjnego). Udostępnione ze względu na kompatybilność.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | Niezapisane


LgcyEXTNAMES

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa konwencje nazewnictwa dla obiektów tabeli rysunków, takich jak bloki, warstwy i style linii.

Wartością domyślną dla nowych rysunków jest 1.

Wartości

0 | Nazwa może składać się maksymalnie z 31 znaków, w tym liter z A do Z, cyfr od 0 do 9 i znaków specjalnych, takich jak znak dolara ($), znak podkreślenia (_) i myślnik ( - ).
1 | Nazwa może składać się maksymalnie z 255 znaków, w tym liter z A do Z, cyfr od 0 do 9 i znaków specjalnych.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyFACETRES

Określa rozdzielczość zakrzywionych powierzchni na potrzeby renderowania. Ta zmienna ma wpływ na obiekty bryłowe 3D na rysunku.

Właściwości

Typ | Rzeczywista
Zakres | 0.01 .. 10.0
Domyślny | 0.5
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

ARender


LgcyFRONTZ

Zwraca odsunięcie przedniej płaszczyzny przycięcia dla bieżącego kafelka.

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Tylko do odczytu
Zapisane | W rysunku

Zmienne powiązane

LgcyBACKZ


LgcyHALOGAP

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa odstęp do wyświetlenia, kiedy element jest zasłonięty przez inny element.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyHANDLES

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Informuje, czy dostępne są unikatowe uchwyty (identyfikatory elementów) dla każdego elementu na rysunku.

Zawsze zwraca 1, co oznacza, że uchwyty są zawsze dostępne.

Wartości

0 | Nie udostępnia uchwytów (przestarzałe).
1 | Udostępnia uchwyty.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Tylko do odczytu
Zapisane | Niezapisane


LgcyINDEXCTL

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa, czy warstwa i indeksy przestrzenne są tworzone i zapisywane w plikach rysunków.

Właściwości

Typ | Liczba całkowita
Zakres | 0 ... 3
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyISOLINES

Określa, ile izolinii jest rysowanych na powierzchniach zakrzywionych.

Ta zmienna ma zastosowanie wyłącznie do obiektów bryłowych 3D zawartych w rysunku.

Można użyć liczb całkowitych z zakresu od 0 do 2047.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 2047
Domyślny | 4
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyLENSLENGTH

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Przechowuje długość obiektywu wykorzystywanego w aktywnym okienku ekranu.

Właściwości

Typ | Rzeczywista
Domyślny | 50.000
Stan | Tylko do odczytu
Zapisane | W rysunku


LgcyOBSCUREDCOLOR

Nie zaimplementowano. Służy zachowaniu zgodności plików rysunków.

Określa kolor zasłoniętych linii.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 257
Domyślny | 257
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyOBSCUREDLTYPE

Nie zaimplementowano. Służy zachowaniu zgodności plików rysunków.

Określa styl zasłoniętych linii.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 11
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcyPROJECTNAME

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa nazwę projektu dla bieżącego rysunku.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcySHADEDGE

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa tryb cieniowania krawędzi.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2 | 3
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcySHADEDIF

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa współczynnik rozproszenia światła do światła otoczenia dla cieniowania.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 100
Domyślny | 70
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcySHPNAME

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Określa domyślną nazwę kształtu.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | Niezapisane


LgcySORTENTS

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa porządek sortowania elementów.

Właściwości

Typ | Liczba całkowita (kod bitu)
Zakres | 0 .. 127
Domyślny | 127
Stan | Odczyt/zapis
Zapisane | W rysunku


LgcySTARTUP

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Wyświetla okno dialogowe Uruchamianie przy tworzeniu nowego rysunku.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


LgcyTARGET

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Zwraca współrzędne XYZ celu bieżącego punktu widzenia.

Właściwości

Typ | Punkt 3D
Domyślny | 0.00,0.00,0.00
Stan | Tylko do odczytu
Zapisane | W rysunku


LgcyUCSFOLLOW

Określa, czy zmodyfikowanie dostosowanego układu współrzędnych ma powodować automatyczną zmianę w widoku planu nowego układu współrzędnych.

Wartości

0 | Wył. Nie zmienia się widok nowego układu współrzędnych.
1 | Wł. Widok planu automatycznie dostosowuje się do zmiany układu współrzędnych.

Właściwości

Typ | Liczba całkowita (0 | 1)
Domyślny | 0
Stan | Odczyt/zapis

Powiązane polecenia

CSStyle


LgcyVIEWDIR

Zwraca kierunek przeglądania w bieżącym kafelku, wyrażony współrzędnymi 3D układu współrzędnych.

Jeżeli bieżący widok jest widokiem planu, zmienna zwraca "0.0,0.0,1.0".

Właściwości

Typ | Punkt 3D
Stan | Tylko do odczytu
Zapisane | W rysunku


LgcyVIEWMODE

Nie zaimplementowano. Służy zachowaniu zgodności plików rysunków.

Przywraca tryb widoku perspektywicznego dla bieżącego okienka ekranu.

Właściwości

Typ | Liczba całkowita (kod bitu)
Zakres | 0 | 1 | 2 | 4 | 8 | 16
Domyślny | 0
Stan | Tylko do odczytu
Zapisane | W rysunku


LgcyVIEWTWIST

Zwraca kąt obrotu dla bieżącego kafelka Ten kąt widoku jest powiązany z globalnym układem współrzędnych (WCS).

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Tylko do odczytu


LgcyVISRETAIN

Kontroluje właściwości warstw rysunków z odniesieniami zewnętrznymi (odniesienia).

Wartości

0 | Odniesienia wykorzystują ustawienia warstwy w bieżącym rysunku (np. pokaż lub ukryj, wygaś lub przywróć)
1 | Ustawienia warstwy dla odniesień mają pierwszeństwo. Są stosowane za każdym razem, gdy jest otwierany rysunek z odniesieniem.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

References, -References


LgcyVSMAX

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Zwraca współrzędne XYZ Dostosowanego układu współrzędnych prawego górnego narożnika aktywnego okienka ekranu.

Właściwości

Typ | Punkt 3D
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | W rysunku


LgcyVSMIN

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Zwraca współrzędne XYZ Dostosowanego układu współrzędnych lewego dolnego narożnika aktywnego okienka ekranu.

Właściwości

Typ | Punkt 3D
Domyślny | Zmienne
Stan | Tylko do odczytu
Zapisane | W rysunku


LgcyWMFBKGND

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Steruje przezroczystością tła wstawień z plików *.wmf.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane


LgcyWMFFOREGND

Starszego typu. Służy zachowaniu spójności skryptów aplikacji.

Steruje jasnością pierwszoplanowego koloru wstawień z plików *.wmf.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane


Lgcy_PKSER

Zwraca numer seryjny produktu.

Przestarzała. Zwraca "-".

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | Niezapisane


SetActBlkInsUnt

Ustawia jednostki dla rysunków źródłowych, gdy opcja SetBlkInsUnt jest ustawiona na 0.

Wartości

0 | Nie określono jednostek
1 | Cale
2 | Stopy
3 | Mile
4 | Milimetry
5 | Centymetry
6 | Metry
7 | Kilometry
8 | Mikrocale
9 | Milicale
10 | Jardy
11 | Angstremy
12 | Nanometry
13 | Mikrony
14 | Decymetry
15 | Dekametry
16 | Hektometry
17 | Gigametry
18 | Jednostki astronomiczne
19 | Lata świetlne
20 | Parseki

Właściwości

Typ | Liczba całkowita
Domyślny | 1 (brytyjskie) | 4 (metryczne)
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

MakeBlock


SetActBlkNm

Określa domyślną nazwę bloku dla polecenia InsertBlock.

Zmienna jest aktualizowana przy określeniu innego bloku w oknie dialogowym Wstaw blok. Pusty ciąg ("") oznacza brak domyślnej nazwy bloku.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

InsertBlock


SetActLay

Ustawia bieżącą warstwę.

Właściwości

Typ | Ciąg
Domyślny | "0"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Layer, -Layer


SetActLClr

Definiuje bieżący kolor rysowanych elementów, jeżeli ich kolor jest oznaczony liczbą.

Domyślny numer koloru to 256 (JakWarstwa), czyli kolor bieżącej warstwy.

Aby zastąpić kolor warstwy dla nowych elementów rysunku, należy wprowadzić liczbę z zakresu od 1 do 255 lub wybrać format True Color.

Aby określić kolory True Color, należy wprowadzić ciąg trzech liczb całkowitych z zakresu od 1 do 255 oddzielonych przecinkami i poprzedzonych wyrażeniem RGB – np. „RGB:000,000,000”.

Wartości

0 | "JakBlok"
1 | "czerwony"
2 | "żółty"
3 | "zielony"
4 | "niebiesko-zielony"
5 | "niebieski"
6 | "amarantowy"
7 | "biały"
8... 255 | kolory standardowe
256 | "JakWarstwa"
Kolory True Color | „RGB:nnn,nnn,nnn”

Właściwości

Typ | Ciąg
Domyślny | 256 (ByLayer)
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineColor, -LineColor


SetActLScl

Określa współczynnik skalowania stylów linii dla nowych elementów w odniesieniu do ustawienia ogólnego SetGblLScl (dotyczącego skali stylów linii).

Ta zmienna akceptuje wartości zmiennoprzecinkowe większe niż zero.

Właściwości

Typ | Rzeczywista
Domyślny | 1.00
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineScale, LineStyle, -LineStyle

Zmienne powiązane

SetGblLScl


SetActLStyl

Określa nazwę stylu linii dla nowych elementów rysunku lub nazwy specjalne ByLayer bądź ByBlock.

Wartości

ByLayer | Element dziedziczy styl linii skojarzony z jego warstwą (domyślnie).
ByBlock | Element przyjmuje bieżące ustawienie stylu linii, gdy jest wstawiany zawierający go blok.

Właściwości

Typ | Ciąg
Domyślny | "ByLayer"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineStyle


SetActLWt

Określa grubość linii dla nowych elementów.

Wartości

-1 | ByLayer
-2 | ByBlock
-3 | Ustawia grubość pomocniczej linii wymiaru na Domyślną, określoną przez zmienną SetDfltLWt.
inne | Liczba przedstawiająca setną część milimetra. Prawidłowe wartości to 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200 lub 211.

Właściwości

Typ | Liczba całkowita
Domyślny | -1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDfltLWt


SetActMnu

Zwraca ścieżkę dostępu i nazwę pliku dostosowywania interfejsu użytkownika (domyślnie jest to plik application.xml znajdujący się w katalogu użytkownika/Dane aplikacji/Roaming).

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Customize


SetActPntStyl

Konfiguruje symbol na wyświetlanie elementów punktowych.

Ta zmienna pozwala na wybranie jednego z następujących formatów punktów jako formatu bieżącego:

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 20
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Point, PointFormat, DraftingOptions

Zmienne powiązane

SetActPntSz


SetActPntSz

Określa rozmiar elementów punktowych na rysunku:

  • Wartość 0.0 (domyślna) określa rozmiar punktu na 5% rozmiaru ekranu.
  • Wartości większe niż 0.0 określają rozmiar bezwzględny w jednostkach rysunku.
  • Z kolei wartości mniejsze niż 0.0 określają rozmiar procentowy w odniesieniu do rozmiaru ekranu.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Point, PointFormat, DraftingOptions

Zmienne powiązane

SetActPntStyl


SetActTblStyl

Określa nazwę bieżącego stylu tabeli stosowanego przy tworzeniu nowej tabeli. W nowym rysunku wartością początkową jest "Standard".

Właściwości

Typ | Ciąg
Przykład | "Standard"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

TableStyle, Table


SetActThk

Określa wartość domyślną grubości (wyciągnięcie):

  • Wartość zerowa oznacza brak zastosowania grubości. Jest to opcja domyślna dla nowych rysunków bez szablonu.
  • Dodatnia wartość tworzy wyciągnięcie do góry.
  • Ujemna wartość tworzy wyciągnięcie do dołu.

Grubość ma zastosowanie do wielu elementów rysunku (takich jak linie, łuki, okręgi, polilinie, bryły 2D, ścieżki czy tekst), ale są też elementy, do których się nie stosuje (takie jak kreskowania, wymiary, elipsy, splajny czy bryły 3D).

Właściwości

Typ | Rzeczywista
Zakres | Każda liczba dodatnia lub ujemna
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetZElv


SetActTxtStyl

Określa wartość domyślną stylu tekstu dla kolejnych poleceń SimpleNote lub MakeBlockAttribute.

Ciąg musi zawierać prawidłową nazwę stylu tekstu, przechowywaną w bazie danych rysunku.

Styl tekstu można załadować, zdefiniować lub przedefiniować, używając polecenia TextStyle.

Właściwości

Typ | Ciąg
Domyślny | "Standard"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

SimpleNote, MakeBlockAttribute, TextStyle


SetActVPLvl

Określa maksymalną liczbę okienek ekranu, które mogą zostać wyświetlone jednocześnie w arkuszu układu.

Właściwości

Typ | Liczba całkowita
Domyślny | 64
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetAltBgFnt

Określa plik wymiany BigFont do wymiany wielkiej czcionki używanej w bieżącym rysunku, która nie jest dostępna.

Właściwości

Typ | Ciąg
Zakres | 0 | 1
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetAltFnt

Określa alternatywną czcionkę oraz plik czcionki Big Font do użycia w przypadku, gdy brak jest czcionki oryginalnej.

Jeżeli wybrane czcionki również nie są znajdowane, można je wyszukać z poziomu okna dialogowego Alternatywny plik czcionki.

Ta zmienna jest używana z poleceniami Open, InsertBlock, -InsertBlock oraz -References.

Polecenie New używa tej zmiennej w przypadku, gdy używany jest szablon rysunku ze specyfikacją czcionki.

Uwaga: Wyświetlanie okien dialogowych kontroluje zmienna EnblNavDlgs.

Właściwości

Typ | Ciąg
Stan | Odczyt/zapis
Przykład | "tc-shx ; big_font.shx"
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

EnblNavDlgs


SetAltShp

Określa plik kształtu wymiany (*.shx) do zastępowania niedostępnych kształtów dla rysunków odniesienia.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetAngBase

Określa wartość domyślną dla kierunku kąta zero stopni. Ta zmienna jest używana jako punkt odniesienia dla kierunku dodatniego osi X bieżącego dostosowanego układu współrzędnych (CCS).

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

UnitSystem


SetAngDir

Określa kierunek dodatni w odniesieniu do aktywnego dostosowanego układu współrzędnych (CCS).

Wartości

0 | Przeciwnie do ruchu wskazówek zegara
1 | Zgodnie z ruchem wskazówek zegara

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

UnitSystem


SetAngDmPrc

Określa liczbę miejsc dziesiętnych dla wymiarów kątowych.

Jeśli ta zmienna ma wartość -1, zmienna SetLDmPrc określa liczbę miejsc dziesiętnych.

Właściwości

Typ | Liczba całkowita
Zakres | -1 .. 8
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetLDmPrc


SetAngDmUnt

Określa format jednostek miary dla wymiarów kątowych.

Wartości

0 | Stopnie dziesiętne
1 | Stopnie/minuty/sekundy
2 | Grady
3 | Radiany

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetAngDmZroDsp

Kontroluje wygaszanie zer dla wymiarów kątowych.

Wartości

0 | Wyświetla zera początkowe i końcowe w wymiarach dziesiętnych
1 | Wygasza zera początkowe w wymiarach dziesiętnych (np. 0,40 jest zmieniane na ,40)
2 | Wygasza zera końcowe w wymiarach dziesiętnych (np. 12,500 jest zmieniane na 12,5)
3 | Wygasza zera początkowe i końcowe w wymiarach dziesiętnych (np. 0,700 jest zmieniane na ,7)

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetAngPrc

Określa liczbę miejsc dziesiętnych dla kątów.

Dokładność jednostki kątowej określa się za pomocą liczby całkowitej od 0 (oznaczającej brak miejsc dziesiętnych) do 8 (oznaczającej osiem miejsc dziesiętnych, np. 0,00000001).

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 8
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

UnitSystem


SetAngUnt

Określa jednostki dla wartości kąta.

Wartości

0 | Stopnie dziesiętne
1 | Stopnie/minuty/sekundy
2 | Grady
3 | Radiany
4 | Jednostki geodezyjne

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 5
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

UnitSystem


SetAutoSvPth

Określa folder automatycznego zapisu plików rysunku.

Właściwości

Typ | Ciąg
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetBase

Określa punkt bazowy wstawienia dla rysunku z punktem 3D.

Punkt ten jest używany przy wstawianiu bieżącego rysunku do innego rysunku lub przy dołączaniu go jako rysunku odniesienia zewnętrznego (odniesienie).

Punkt bazowy wyrażony jest jako współrzędne w układzie współrzędnych.

Właściwości

Typ | Punkt 3D
Domyślny | 0.0,0.0,0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Save, SaveAs, ExportDrawing, InsertBlock, AttachDrawing


SetBAttDsp

Określa widoczność atrybutów bloków na rysunku.

Wartości

0 | Wszystkie atrybuty bloków są ukrywane (wszystkie niewidoczne)
1 | Wyświetlanie zgodnie z definicją atrybutów bloków (normalnie)
2 | Wszystkie atrybuty bloków są wyświetlane (wszystkie widoczne)

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

DisplayBlockAttribute, MakeBlockAttribute


SetBAttMode

Określa kodowane bitami flagi atrybutów dla poleceń definicji atrybutów (MakeBlockAttribute oraz -MakeBlockAttribute).

Flagi mogą być sumą następujących kodów bitów:

Kody bitów

0 | Brak trybu atrybutów
1 | Niewidoczny
2 | STały
4 | Sprawdź
8 | Ustawione

Właściwości

Typ | Liczba całkowita (kod bitu)
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

MakeBlockAttribute, -MakeBlockAttribute


SetBlkInsUnt

Określa jednostki rysunku dla automatycznego skalowania bloków, odniesień lub obrazów wstawionych lub dołączonych do rysunku.

Wartości

0 | Nie określono jednostek
1 | Cale
2 | Stopy
3 | Mile
4 | Milimetry
5 | Centymetry
6 | Metry
7 | Kilometry
8 | Mikrocale
9 | Milicale
10 | Jardy
11 | Angstremy
12 | Nanometry
13 | Mikrony
14 | Decymetry
15 | Dekametry
16 | Hektometry
17 | Gigametry
18 | Jednostki astronomiczne
19 | Lata świetlne
20 | Parseki

Właściwości

Typ | Liczba całkowita
Domyślny | 1 (brytyjskie) | 4 (metryczne)
Zapisane | W rysunku

Powiązane polecenia

MakeBlock


SetBrwsrURL

Określa adres URL użyty przez polecenie OpenWebPage do wyświetlenia strony w domyślnej systemowej przeglądarce internetowej.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

OpenWebPage


SetCCSAxisAng

Określa domyślny kąt przy obracaniu Dostosowanego układu współrzędnych (CCS) wokół osi przy użyciu opcji X, Y lub Z polecenia CCS (w stopniach).

Wartości

Prawidłowe wartości to 5, 10, 15, 18, 22,5 , 30, 45, 90 i 180.

Właściwości

Typ | Liczba całkowita
Domyślny | 90
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetCCSBase

Określa nazwę dostosowanego układu współrzędnych, który definiuje punkt początkowy i orientację dla ustawień ortogonalnego układu współrzędnych.

Do wartości prawidłowych zaliczają się "*WORLD*" i każda nazwa zdefiniowanego przez użytkownika układu współrzędnych.

Polecenie CSStyle kontroluje ortogonalny układ współrzędnych.

Właściwości

Typ | Ciąg
Domyślny | "*WORLD*"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

CSStyle, CCS


SetChmfAng

Określa domyślny kąt sfazowania dla polecenia Chamfer w przypadku korzystania z metody opartej na kącie/długości.

Wybranie opcji Kąt dla polecenia Chamfer powoduje zaktualizowanie wartości zmiennych SetChmfLen i SetChmfAng.

Właściwości

Typ | Rzeczywista
Zakres | 0.00 .. 359.99
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Chamfer

Zmienne powiązane

SetChmfDst1, SetChmfDst2, SetChmfLen, EnblChmfAng


SetChmfDst1

Określa domyślną wartość odległości przycinania dla pierwszego elementu wybranego przy użyciu polecenia Chamfer.

Wybranie opcji Odległość dla polecenia Chamfer powoduje zaktualizowanie wartości zmiennych SetChmfDst1 i SetChmfDst2.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Chamfer

Zmienne powiązane

SetChmfDst2, SetChmfLen, SetChmfAng, EnblChmfAng


SetChmfDst2

Określa domyślną wartość odległości przycinania dla drugiego elementu wybranego przy użyciu polecenia Chamfer.

Wybranie opcji Odległość dla polecenia Chamfer powoduje zaktualizowanie wartości zmiennych SetChmfDst1 i SetChmfDst2.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Chamfer

Zmienne powiązane

SetChmfDst1, SetChmfLen, SetChmfAng, EnblChmfAng


SetChmfLen

Określa domyślną długość sfazowania dla polecenia Chamfer w przypadku korzystania z metody opartej na kącie/długości.

Wybranie opcji Kąt dla polecenia Chamfer powoduje zaktualizowanie wartości zmiennych SetChmfLen i SetChmfAng.

Właściwości

Typ | Rzeczywista
Zakres | 0.00 lub więcej
Domyślny | 1.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Chamfer

Zmienne powiązane

SetChmfDst1, SetChmfDst2, SetChmfAng, EnblChmfAng


SetCirRad

Określa domyślny promień dla polecenia Circle.

Kiedy zmienna ma wartość zero, użycie polecenia Circle nie powoduje wyświetlenia wartości domyślnej.

Ustawienie promienia lub średnicy przy użyciu polecenia Circle powoduje zaktualizowanie zmiennej.

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Circle


SetCmdPrmtLvl

Określa tryb eksperta dla niektórych operacji zapisu oraz innych operacji programu. Zmienna kontroluje poziom szczegółowości monitów ostrzeżeń lub żądań dotyczących bezpieczeństwa pojawiających się w oknie poleceń. Wartość domyślna (0) oznacza, że są wyświetlane wszystkie monity.

Na przykład w przypadku wybrania ustawienia 0 lub 1 użycie polecenia Save lub ExportDrawing będzie powodować wyświetlenie monitu „Rysunek o tej nazwie już istnieje. Czy chcesz go zastąpić?”, natomiast w przypadku wybrania ustawienia 2, 3, 4 lub 5 ten monit nie będzie wyświetlany.

Wartości

0 | Wyświetlane są wszystkie monity
1 | To samo znaczenie co 0
2 | Monit „Rysunek o tej nazwie już istnieje. Czy chcesz go zastąpić?” jest blokowany w przypadku poleceń Save i ExportDrawing
3 | To samo znaczenie co 2
4 | To samo znaczenie co 2
5 | To samo znaczenie co 2

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 5
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Save, ExportDrawing


SetCompEdFd

Określa natężenie zanikania dla edycji ustalonych komponentów (specyfikacja w procentach).

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 90
Domyślny | 50
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetCrdDsp

Określa sposób wyświetlania współrzędnych w bieżącej pozycji kursora na prawo od paska stanu.

Wartości

0 | Współrzędne są aktualizowane przy określaniu punktów.
1 | Współrzędne bezwzględne są aktualizowane na bieżąco, w formacie (x,y,z).
2 | Współrzędne są aktualizowane na bieżąco. Odległość względna jest wyświetlana i aktualizowana w formacie (odległość<kąt), gdy jest pokazywany monit o określenie kolejnego punktu, odległości lub kąta (domyślnie).

Właściwości

Typ | Liczba całkowita
Domyślny | 2
Zakres | 0 .. 2
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetCrdInptMode

Określa, czy współrzędne wprowadzane w wierszu polecenia zastępują bieżące wartości EntitySnaps.

Wartości

0 | Aktywne ustawienia EntitySnap zastępują klawiaturowe wpisy układu współrzędnych.
1 | Wpisy klawiaturowe zastępują ustawienia EntitySnap.
2 | Klawiaturowe wpisy zastępują ustawienia EntitySnap z wyjątkiem makr.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetCSIcnDsp

Kontroluje widoczność ikony układu współrzędnych.

Zmienna ta ma tę samą nazwę co polecenie CSIcon.

Ustawienie jest definiowane jako kod bitu używający sumy następujących wartości:

Kody bitów

0 | Wyłącza wyświetlanie ikony układu współrzędnych. Działanie jest takie same jak w przypadku użycia opcji Wył. dla polecenia CSIcon.
1 | Włącza wyświetlanie ikony układu współrzędnych. Działanie jest takie same jak w przypadku użycia opcji Wł. dla polecenia CSIcon.
2 | Wymusza wyświetlanie ikony układu współrzędnych w początku (0,0,0) tego układu. Jeżeli punkt początkowy znajduje się poza ekranem, ikona jest wyświetlana w lewym dolnym rogu kafelka. Działanie jest takie same jak w przypadku użycia opcji Punkt początkowy dla polecenia CSIcon.

Właściwości

Typ | Liczba całkowita
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

CSStyle, CSIcon


SetDfltLWt

Określa wartość domyślnej grubości linii wyrażoną w setnych częściach milimetra.

Wartości

Zmienną można ustawić na wartość: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200 lub 211.

Właściwości

Typ | Liczba całkowita
Domyślny | 25
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

EnblLWtDsp, SetLWtUnt


SetDictFNm

Steruje kodem dla głównego słownika pisowni. W zależności od typu systemu operacyjnego, wersji i wersji językowej, nie wszystkie słowniki mogą być dostępne.

Język | Kod
Kataloński | cat
Czeski | csy
Duński | dan
Niemiecki (po reformie) | deu
Niemiecki (sprzed reformy) | deo
Angielski (Kanada) | enc
Angielski (Wielka Brytania) | eng
Angielski (Stany Zjednoczone) | enu
Hiszpański | esp
Fiński | fin
Francuski (akcentowane wielkie litery) | fra
Francuski (nieakcentowane wielkie litery) | frc
Włoski | ita
Holenderski | nld
Norweski | nor
Portugalski (brazylijski) | ptb
Portugalski (Portugalia) | ptg
Rosyjski | rus

Właściwości

Typ | Ciąg
Domyślny | Zmienne (Określone przez ustawienia regionalne)
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetDlDmMltpyScl

Określa współczynnik skalowania dla alternatywnych jednostek miary w wymiarach liniowych.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDlDm nie wybrano wartości 1. Wartością domyślną zmiennej EnblDlDm jest 0.

Właściwości

Typ | Rzeczywista
Domyślny | 25.4 (brytyjskie) | 1.0 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDlDmPrc

Określa liczbę miejsc dziesiętnych dla wartości wymiarów w jednostkach alternatywnych.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDlDm nie wybrano wartości 1. Wartością domyślną zmiennej EnblDlDm jest 0.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 8
Domyślny | 2 (brytyjskie) | 3 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDlDmRnd

Określa sposób zaokrąglania wartości wymiarów w jednostkach alternatywnych. Ustawienie zmiennej na 0,0 oznacza brak zaokrągleń.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDlDm nie wybrano wartości 1.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDlDmUnt

Określa format alternatywnych jednostek miary dla wszystkich typów wymiarów z wyjątkiem wymiarów kątowych.

Wartości

1 | Naukowe
2 | Dziesiętne
3 | Inżynierskie
4 | Architektoniczne (piętrowe)
5 | Ułamkowe (piętrowe)
6 | Architektoniczne
7 | Ułamkowe
8 | Ustawienia systemu operacyjnego (format dziesiętny używa ustawień systemu operacyjnego dla separatora dziesiętnego i symboli grupowania liczb)

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 8
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDlDmZroDsp

Kontroluje wygaszanie zer dla alternatywnych jednostek miar w wymiarach.

Wartości

Wartości od 0 do 3 mają zastosowanie tylko do wymiarów w stopach i calach. Można je łączyć z wartościami od 4 do 12.

Kontroluje wygaszanie zer w wartościach tolerancji:

0 | Wygasza zero stóp i dokładnie zero cali
1 | Dołącza zero stóp i dokładnie zero cali
2 | Dołącza zero stóp i wygasza zero cali
3 | Dołącza zero cali i wygasza zero stóp

Do wartości poprzedzających można dodać:

4 | Wygasza zera początkowe w wymiarach dziesiętnych (np. 0.40 jest zmieniane na .40)
8 | Wygasza zera końcowe w wymiarach dziesiętnych (np. 12.500 jest zmieniane na 12.,5)
12 | Wygasza zera początkowe i końcowe w wymiarach dziesiętnych (np. 0.700 jest zmieniane na .7)

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 15
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmArwBlk

Określa nazwę bloku symbolu strzałki na końcach linii wymiarów oraz linii wiodących.

Wartość zerowa oznacza, że używane jest domyślne ostrze strzałki.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmArwBlk, SetDmArwBlk1, SetDmLdrBlk


SetDmArwBlk1

Określa pierwszy blok symbolu strzałki na końcach linii wymiarów, gdy dla zmiennej EnblDmArwUsr wybrano wartość 1.

Wartość zerowa określa domyślne ostrze strzałki.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmArwBlk, SetDmArwBlk2, EnblDmArwUsr


SetDmArwBlk2

Określa drugi blok symbolu strzałki na końcach linii wymiarów, gdy zmienna EnblDmArwUsr ma wartość 1.

Wartość zerowa określa domyślne ostrze strzałki.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmArwBlk, SetDmArwBlk1, EnblDmArwUsr


SetDmArwSz

Określa rozmiar ostrzy strzałek na końcach linii wymiarów.

Właściwości

Typ | Rzeczywista
Domyślny | 0.18 (brytyjskie) | 2.5 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmDLClr

Określa numer koloru przypisanego do linii wymiarów, ostrzy strzałek, linii wiodących oraz ramek wymiarów.

Należy wybrać 0 dla ByBlock lub 256 dla ByLayer.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 256
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineColor

Zmienne powiązane

SetActLClr


SetDmDLDst

Określa odległość, na jaką linie wymiaru wystają poza linie pomocnicze wymiaru, gdy ostrza strzałek są architektoniczne, zamknięte, ukośne lub puste.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmDLOfst

Określa odległość odsunięcia linii wymiaru w przypadku stosowania wymiarowania linii bazowej przy użyciu polecenia BaselineDimension.

Właściwości

Typ | Rzeczywista
Domyślny | 0.38 (brytyjskie) | 3.75 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

BaselineDimension


SetDmDLWt

Przypisuje grubość linii do linii wymiaru.

Wartości

-1 | ByLayer
-2 | ByBlock
-3 | Ustala grubość linii wymiaru na Domyślną, określoną przez zmienną SetDfltLWt.
inne | Liczba przedstawiająca setną część milimetra. Prawidłowe wartości to 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200 lub 211.

Właściwości

Typ | Liczba całkowita
Domyślny | -2
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmELWt


SetDmELClr

Określa numer koloru przypisany do linii pomocniczych wymiaru.

Należy wybrać 0 dla ByBlock lub 256 dla ByLayer.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 256
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineColor

Zmienne powiązane

SetActLClr


SetDmELDst

Określa, o ile pomocnicze linie wymiaru są dłuższe od linii wymiaru.

Właściwości

Typ | Rzeczywista
Domyślny | 0.18 (brytyjskie) | 1.25 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmELOfst

Określa przesunięcie punktu początkowego linii pomocniczej wymiaru od mierzonego elementu (punkt początkowy).

Ta zmienna definiuje wartość minimalną dla linii pomocniczych o stałej długości.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0625 (brytyjskie) | 0.625 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmELWt

Przypisuje grubość linii do linii pomocniczych wymiaru.

Wartości

-1 | ByLayer
-2 | ByBlock
-3 | Ustawia grubość pomocniczej linii wymiaru na Domyślną, określoną przez zmienną SetDfltLWt.
inne | Liczba przedstawiająca setną część milimetra. Prawidłowe wartości to 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200 lub 211.

Właściwości

Typ | Liczba całkowita
Domyślny | -2
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmDLWt


SetDmFitMode

Określa, w jaki sposób mają zostać rozmieszczone strzałki i tekst wymiarów, jeśli nie ma wystarczająco dużo miejsca, aby umieścić je wewnątrz pomocniczych linii wymiarów.

Wartości

0 | Tekst i strzałki są umieszczane na zewnątrz pomocniczych linii wymiarów.
1 | Najpierw przemieszczane są strzałki, a później tekst. W przypadku ustawienia dla zmiennej SetDmTxtMvMode wartości 1 do tekstu wymiaru będzie dodawana linia wiodąca.
2 | Najpierw przemieszczany jest tekst, a później strzałki.
3 | Przemieszczane są strzałki lub tekst, w zależności od tego, co pasuje lepiej.

Właściwości

Typ | Liczba całkowita
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmTxtMvMode


SetDmFrcScl

Definiuje wysokość tekstu tolerancji i ułamków jako współczynnik ogólnej wysokości tekstu wymiarów określony przez zmienną SetDmTxtHt.

Właściwości

Typ | Rzeczywista
Domyślny | 1.00
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmTxtHt


SetDmGlblScl

Określa ogólny współczynnik skalowania stosowany do wszystkich zmiennych skalarnych wymiarów (rozmiar tekstu, strzałek czy znaczków i przesunięcie linii pomocniczej wymiaru).

Ta zmienna nie ma zastosowania do wartości (długości, kątów ani współrzędnych) zmierzonych za pomocą polecenia wymiarowania liniowego, promieniowego, kątowego lub łańcuchowego.

Właściwości

Typ | Rzeczywista
Domyślny | 1.0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmLdrBlk

Określa nazwę bloku dla ostrzy strzałek linii wiodących.

Domyślne ostrze strzałki określa ciąg pusty.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmArwBlk


SetDmRltvMode

Definiuje asocjację podczas wymiarowania elementów.

W przypadku włączenia funkcji wymiarowania względnego wszystkie wymiary będą oddzielnymi elementami, które można modyfikować i aktualizować. Elementy wymiarów zachowują powiązanie z geometrią elementów rysunku.

Wartości

0 | Wymiary względne są wyłączone. Elementy tworzące wymiar są tworzone na przykład jako linie pojedyncze, strzałki lub tekst.
1 | Wymiary względne są wyłączone. Wymiary są oddzielnymi elementami.
2 | Wymiary względne są włączone. Wymiary są oddzielnymi elementami.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 2
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmTolTxtMax

Określa wartość dodatnią dla tolerancji plus/minus.

Wartość tolerancji jest pobierana tylko wtedy, gdy zmienna EnblDmTolAppnd lub EnblTDm ma wartość 1 (wł.).

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmTolAppnd, EnblTDm, SetTDmMin


SetDmTolVJst

Określa wyrównanie pionowe dla wartości tolerancji w odniesieniu do tekstu wymiaru nominalnego.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDmTolAppnd nie wybrano wartości 1 (wł.).

Wartości

0 | Dół
1 | Centrum
2 | Góra

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmTolAppnd


SetDmTxtClr

Określa numer koloru przypisany do linii pomocniczych wymiaru.

Należy wybrać 0 dla ByBlock lub 256 dla ByLayer.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 256
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineColor

Zmienne powiązane

SetActLClr


SetDmTxtHPos

Określa położenie poziome tekstu wymiaru.

Wartości

0 | Tekst wyśrodkowany wzdłuż linii wymiaru, pomiędzy liniami pomocniczymi
1 | Tekst obok pierwszej linii pomocniczej
2 | Tekst obok drugiej linii pomocniczej
3 | Tekst nad pierwszą linią pomocniczą i z nią wyrównany
4 | Tekst nad drugą linią pomocniczą i z nią wyrównany

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 4
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmTxtHPosBtwn

Wymusza rysowanie tekstu wymiaru poziomo w wymiarach liniowym, średnicy lub promieniowym, gdy tekst wymiaru znajduje się pomiędzy liniami pomocniczymi.

W przypadku ustawienia wartości 0 (wył.) kąt tekstu wymiaru używa kąta linii wymiaru.

Wartości

0 | Wył.
1 | Wł. (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmTxtHt

Określa wysokość tekstu wymiaru w etykietach wymiaru liczbą zmiennoprzecinkową większą niż 0, chyba że bieżący styl tekstu wymiaru ma wysokość ustaloną na sztywno.

Właściwości

Typ | Rzeczywista
Domyślny | 0.18
Zakres | > 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmTxtMvMode

Określa reguły przenoszenia tekstu wymiaru.

Wartości

0 | Wraz z tekstem wymiaru jest przenoszona linia wymiaru
1 | Podczas przenoszenia tekstu wymiaru jest dodawana linia wiodąca
2 | Tekst wymiaru jest przenoszony swobodnie bez linii wiodącej

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 3
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmTxtOfst

Określa przerwę pomiędzy tekstem wymiaru a liniami wymiaru, która stanowy odległość odsunięcia od tekstu wymiaru obowiązującą, gdy etykieta wymiaru znajduje się pomiędzy liniami wymiaru.

Wybranie wartości ujemnej powoduje narysowanie pola odniesienia wokół tekstu wymiaru.

Tekst jest umieszczany wewnątrz linii wymiaru tylko wtedy, gdy istnieją dwa segmenty linii o długości równej wartości bezwzględnej zmiennej.

Właściwości

Typ | Rzeczywista
Domyślny | 0.09 (brytyjskie) | 0.625 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetDmTxtStyl

Określa styl tekstu podczas tworzenia lub modyfikowania tekstu wymiaru.

Ciąg musi zawierać prawidłową nazwę stylu tekstu, przechowywaną w bazie danych rysunku. Styl tekstu można załadować, zdefiniować lub przedefiniować, używając polecenia TextStyle.

Jeżeli zmienna zostanie zdefiniowana jako ciąg pusty (""), użyty zostanie bieżący styl tekstu określony w zmiennej SetActTxtStyl.

Właściwości

Typ | Ciąg
Domyślny | "Standard"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

TextStyle

Zmienne powiązane

SetActTxtStyl


SetDmTxtVPos

Pozwala na regulację odsunięcia pionowego tekstu wymiaru w odniesieniu do linii wymiaru. Tekst wymiaru można umieścić powyżej lub poniżej linii wymiaru.

Wielkość odsunięcia pionowego tekstu wymiaru jest zależna od wysokości tekstu oraz bieżącego ustawienia zmiennej (SetDmTxtVPos*SetDmTxtHt).

Zmienna ta jest używana tylko wtedy, gdy dla SetDmTxtVPosFit wybrano ustawienie 0 (wył.).

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmTxtVPosFit, SetDmTxtHt


SetDmTxtVPosFit

Określa, gdzie ma zostać umieszczony tekst wymiaru.

Kiedy ta zmienna jest aktywna, jest stosowana do tekstu wymiaru rysowanego pomiędzy liniami pomocniczymi (patrz zmienna EnblDmTxtBtwnExtLns) i pod tym samym kątem co linia wymiaru albo do tekstu umieszczonego poza liniami pomocniczymi.

Wartości

0 | Tekst wyśrodkowany względem linii wymiaru. Użytkownik określa położenie tekstu wymiaru w pionie względem linii wymiaru przy użyciu zmiennej SetDmTxtVPos.
1 | Tekst nad linią wymiaru, chyba że zmienna SetDmTxtHPosBtwn jest ustawiona na wartość 1, a linia wymiaru nie jest linią poziomą.
2 | Tekst z boku linii wymiaru, najdalej od punktów definiujących.
3 | Zgodnie z japońskim standardem JIS.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 3
Domyślny | 0 (brytyjskie) | 1 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmTxtVPos, EnblDmTxtBtwnExtLns, SetDmTxtHPosBtwn


SetDmZroDsp

Kontroluje wygaszanie zer początkowych i/lub zer końcowych w tekście wymiaru.

Wartości

0 | Wygasza zero stóp i dokładnie zero cali
1 | Wyświetla zero stóp i dokładnie zero cali
2 | Wyświetla zero stóp, ale wygasza zero cali
3 | Wygasza zero stóp, ale wyświetla zero cali

Można też dodać jedną z poniższych wartości:

4 | Wygasza zera początkowe we wszystkich wymiarach dziesiętnych
8 | Wygasza zera końcowe we wszystkich wymiarach dziesiętnych
12 | Wygasza zera początkowe i końcowe we wszystkich wymiarach dziesiętnych

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 15
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetEGripActClr

Kontroluje kolor wypełnienia zaznaczonych uchwytów elementu.

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 255
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

SetEGripDspMode, SetEGripInActClr


SetEGripDspLmt

Blokuje wyświetlanie uchwytu, gdy liczba elementów w początkowym zaznaczeniu przekracza wartość graniczną określoną w tej zmiennej.

Jeśli dla zmiennej zostanie ustawiona wartość 0, na zaznaczonych elementach będą zawsze wyświetlane uchwyty.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 32,767
Domyślny | 100
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

SetEGripDspMode, EnblEGripBlk, SetEGripInActClr, SetEGripActClr


SetEGripDspMode

Kontroluje sposób użycia uchwytów zaznaczania do przenoszenia i rozciągania elementów rysunków.

Wartości

0 | Wył.
1 | Wł.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblEGripBlk, SetEGripInActClr, SetEGripActClr


SetEGripInActClr

Kontroluje kolor wypełnienia niezaznaczonych uchwytów elementu.

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 255
Domyślny | 160
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

SetEGripDspMode, SetEGripActClr


SetEntSelAdd

Określa, czy kolejne zaznaczone elementy mają być dodawane do bieżącego wyboru czy raczej go zastępować.

Wartości

0 | Dodawanie elementów jest wyłączone. Ostatnio wybrane elementy zastępują poprzednie zaznaczenie i stają się zestawem wyboru.
1 | Dodawanie elementów jest włączone. Ostatnio wybrane elementy są dodawane do zestawu wyboru.

Uwaga: Gdy jest aktywny tryb zastępowania (0), podczas zaznaczania należy wcisnąć klawisz Shift, aby dodać elementy. Kiedy jest aktywny tryb dodawania (1), podczas zaznaczania należy wcisnąć klawisz Shift, aby usunąć elementy.

Właściwości

Typ | Liczba całkowita
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetEntSelMode

Kontroluje sposób zaznaczania grup i kreskowań asocjacyjnych. Ta zmienna umożliwia zaznaczanie jednym kliknięciem wszystkich elementów wchodzących w skład grup. Pozwala również na jednoczesny wybór wzorów kreskowania i ich granic.

Wartości

0 | Grupy ani kreskowania asocjacyjne nie są zaznaczane
1 | Zaznaczane są grupy
2 | Zaznaczane są kreskowania asocjacyjne
3 | Zaznaczane są grupy i kreskowania asocjacyjne

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2 | 3
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetEsnapPDF

Określa, czy wartości EntitySnaps mogą być zastosowane do geometrii podkładek PDF.

Obsługiwane są tylko podstawowe przyciągania elementów dla linii, łuków i okręgów.

Wartości

0 | Wyłącza EntitySnaps dla geometrii podkładek PDF.
1 | Włącza EntitySnaps dla geometrii podkładek PDF.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetESnpMode

Definiuje tryby przyciągania elementów podczas rysowania i edycji.

Aby zdefiniować więcej niż jeden tryb przyciągania elementów, należy określić sumę następujących kodów bitów:

Kody bitów

0 | Brak (tymczasowo)
1 | Punkt końcowy
2 | Symetria
4 | Punkt środka łuków i okręgów
8 | Węzeł (punkt wstawienia tekstu, bloków, definicji atrybutów oraz bloków anonimowych, np. dla wymiarowania i kreskowania)
16 | Kwadranty łuków i okręgów
32 | Punkt przecięcia
64 | Punkt wstawienia
128 | Prostopadle do
256 | Stycznie do
512 | Najbliższy punkt elementu
1024 | Wyczyszczenie wszystkich ustawień przyciągania elementów
2048 | Przecięcie pozorne
4096 | Rozszerzenie
8192 | Równoległe

Na przykład wartość

  • 33 aktywuje tryby przyciągania elementów Punkt końcowy (kod bitu 1) oraz Przecięcie (kod bitu 32).
  • Wartość 37 (domyślna) aktywuje tryby przyciągania elementów Punkt końcowy, Środek oraz Przecięcie.
  • Wartość 16383 aktywuje wszystkie tryby przyciągania elementów.
  • Wartość 16384 dezaktywuje wszystkie tryby przyciągania elementów.

Właściwości

Stan | Odczyt/zapis
Typ | Liczba całkowita
Domyślny | 37
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

DraftingOptions


SetFltRad

Określa wartość domyślną promienia zaokrąglenia dla polecenia Fillet.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Fillet


SetFlxOLEStartup

Decyduje, czy aplikacje źródłowe osadzonych obiektów OLE obciążają przy drukowaniu.

Uruchomienie aplikacji związanej z OLE może poprawić jakość wydruku.

Wartości

0 | Nie uruchamia aplikacji związanej z OLE.
1 | Uruchamia aplikację związaną z OLE.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetFlxProxyGraphics

Nie zaimplementowano. Obiekty proxy nie są obsługiwane.

Określa, czy zapisywać obrazy obiektów proxy w rysunku.

Wartości

0 | Obrazy obiektów proxy nie są zapisywane.
1 | Obrazy obiektów proxy są zapisywane (opcja nieobsługiwana).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetFlxSplineType

Określa typ krzywej splajnu generowanej podczas stosowania opcji Splajn w poleceniu EditPolyLine.

Wartości

5 | Kwadratowy Splajn B
6 | Sześcienny Splajn B

Właściwości

Typ | Liczba całkowita
Zakres | 5 | 6
Domyślny | 6
Stan | Odczyt/zapis
Zapisane | W rysunku


SetFntMpFNm

Określa plik definiujący plik mapowań czcionek, gdy plik czcionek, do którego odnosi się styl tekstu, nie jest dostępny.

Właściwości

Typ | Ciąg
Domyślny | "..\fonts\fonts.fmp"
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetFramePDF

Określa, czy ramki dla wszystkich podkładek PDF są widoczne lub drukowane.

Wartości

0 | Ramki podkładek PDF są ukryte i nie są drukowane.
1 | Ramki podkładek PDF są wyświetlane i drukowane.
2 | Ramki podkładek PDF są wyświetlane, ale nie drukowane.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


SetGblLScl

Określa globalny współczynnik skalowania dla stylów linii. Można dostosować linie przerywane, przerywane-kropkowane oraz kropkowane dla skali rysowania i kreślenia.

Długości kresek linii przerywanych określone w definicji stylów linii (w jednostkach rysunku) są mnożone przez współczynnik określony w zmiennej.

Ta zmienna akceptuje wartości zmiennoprzecinkowe większe niż zero.

Właściwości

Typ | Rzeczywista
Domyślny | 1.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

LineScale, LineStyle, -LineStyle

Zmienne powiązane

SetActLScl


SetGBoxSz

Określa rozmiar wyświetlania pola grawitacyjnego przyciągania elementów (w pikselach).

Można również użyć polecenia Gravity, aby zdefiniować rozmiar pola grawitacyjnego.

Aby zdefiniować rozmiar ramki wyboru elementów, należy użyć zmiennej SetSelBoxSz.

Właściwości

Typ | Liczba całkowita
Domyślny | 10
Zakres | 1 .. 50
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Gravity, DraftingOptions

Zmienne powiązane

EnblGBox


SetGridUnt

Określa poziome i pionowe odległości (x,y) pomiędzy punktami siatki, gdy siatka jest wyświetlana.

Właściwości

Typ | Punkt 2D
Domyślny | 0.5,0.5 (brytyjskie) | 10.0,10.0 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblGrid, GetXYLLBnds, GetXYURBnds, EnblBnds

Powiązane polecenia

DraftingOptions


SetHistFNm

Ustawia nazwę pliku dla pliku dziennika (*.log).

Domyślna nazwa pliku dziennika jest różna, w zależności od nazwy pliku rysunku.

Właściwości

Typ | Ciąg
Stan | Tylko do odczytu
Zapisane | W rysunku


SetHtchPlcmnt

Określa kolejność kreskowań i wypełnień gradientowych.

Uwaga: opcja Umieszczenie w oknie dialogowym Kreskowanie/wypełnienie aktualizuje zmienną.

Wartości

0 | Umieszczenie i kreskowanie lub wypełnienie gradientowe nie są przypisane
1 | Kreskowanie i wypełnienie gradientowe są umieszczane za innymi elementami
2 | Kreskowanie i wypełnienie gradientowe są umieszczane przed innymi elementami
3 | Kreskowanie i wypełnienie gradientowe są umieszczane za elementami granicy
4 | Kreskowanie i wypełnienie gradientowe są umieszczane przed elementami granicy

Właściwości

Typ | Liczba całkowita
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Hatch, -Hatch, Fill


SetHtchPtrn

Określa domyślną nazwę wzoru kreskowania w oparciu o plik wzoru kreskowania.

Jeśli ta zmienna zawiera ciąg pusty (""), polecenia kreskowania użyją szybkiego wzoru kreskowania zdefiniowanego przez użytkownika (zobacz zmienne SetHtchSpc, SetHtchPtrnAng i EnblHtchDbl).

Właściwości

Typ | Ciąg
Domyślny | "ANSI31"
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Hatch, -Hatch

Zmienne powiązane

SetHtchPtrnScl


SetHtchPtrnAng

Określa kąt kreskowania dla wzoru kreskowania opartego na pliku wzoru.

Właściwości

Typ | Rzeczywista
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Hatch, -Hatch

Zmienne powiązane

SetHtchPtrn, SetHtchPtrnScl


SetHtchPtrnScl

Określa współczynnik skalowania wzoru kreskowania w oparciu o plik opisu wzoru kreskowania. Współczynnik skalowania musi być większy niż zero.

Właściwości

Typ | Rzeczywista
Domyślny | 1.0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Hatch, -Hatch


SetHtchRltvMode

Określa, czy wzory kreskowania i wypełnienia gradientowe są asocjacyjne z ich granicami.

Wartości

0 | Wyłączenie asocjacji
1 | Włączenie asocjacji

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Hatch, -Hatch


SetHtchSpc

Określa odległość pomiędzy liniami dla użytych do kreskowania szybkich szyków określonych przez użytkownika.

Właściwości

Typ | Rzeczywista
Domyślny | 1.0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Hatch, -Hatch

Zmienne powiązane

EnblHtchDbl


SetHyprLnkBase

Nie zaimplementowano. Służy zachowaniu zgodności plików rysunków.

Określa ścieżkę dla wszystkich względnych hiperłączy w rysunku.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku


SetIsoPln

Ustawia płaszczyznę izometryczną dla izometrycznego stylu rysowania bieżącego kafelka.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblSnpIso nie wybrano ustawienia Izometryczny.

Wartości

0 | Płaszczyzna lewa (domyślnie)
1 | Płaszczyzna górna
2 | Płaszczyzna prawa

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

DraftingOptions

Zmienne powiązane

EnblSnp, SetSnpBase, EnblSnpIso, EnblGrid


SetLDmDecSym

Określa, jaki separator dziesiętny (pojedynczy znak) ma być używany przy tworzeniu wymiarów dziesiętnych.

W przypadku wybrania dla zmiennej ciągu pustego ("") separatorem będzie przecinek dziesiętny.

Właściwości

Typ | Ciąg
Domyślny | "." (brytyjskie) | "," (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetLDmFrmt

Określa format ułamka, gdy zmienna SetLDmUnt ma wartość 4 (Architektoniczna) lub 5 (Ułamkowa).

Wartości

0 | Ułożenie poziome
1 | Ułożenie ukośne
2 | Brak ułożenia (np. 1/2)

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetLDmUnt


SetLDmPrc

Określa liczbę wyświetlanych miejsc dziesiętnych dla jednostek podstawowych wymiaru.

Dokładność zależy od wybranego formatu jednostek lub kąta.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 8
Domyślny | 4 (brytyjskie) | 2 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetLDmPrfxSfx

Określa przedrostek tekstowy, przyrostek tekstowy lub przedrostek i przyrostek tekstowy dla etykiet wymiarów utworzonych za pomocą kolejnych poleceń wymiarów.

Ciągi te otaczają wartość wymiaru. Ciąg "<>", użyty w ustawieniach zmiennej, oddziela przedrostki i przyrostki. W pozostałych przypadkach podany ciąg jest używany jako przyrostek.

Na przykład wartość zmiennej "Około <> m" może spowodować wyświetlenie tekstu wymiaru takiego, jak "Około 12 m".

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku


SetLDmRnd

Określa zaokrąglenia wartości wymiarów.

Na przykład ustawienie wartości 0,5 powoduje zaokrąglanie wszystkich wartości przedstawionych w tekście wymiaru do najbliższej wartości 0,5 (np. 2,683 zostaje zaokrąglone do 2,500).

Zaokrąglanie nie zostanie zastosowane, jeżeli zmienna będzie ustawiona na wartość 0...

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetLDmSclFac

Mnoży wszystkie wymiary liniowe (łącznie ze średnicą, promieniem i łańcuchem wymiarowym) przez współczynnik określony w tej zmiennej oraz generuje tekst wymiaru zawierający wynik tego mnożenia. Ta zmienna nie ma zastosowania do wymiarów kątowych.

Przydaje się przy wymiarowaniu skalowanych szczegółów bez asocjacji.

Uwaga: ten współczynnik jest stosowany tylko wtedy, gdy zmienna ma wartość większą niż zero.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0 = nieużywane
Stan | Odczyt/zapis
Zapisane | W rysunku


SetLDmUnt

Określa jednostki długości dla wszystkich typów wymiarów poza kątowymi.

Wartości

1 | Naukowe
2 | Dziesiętne
3 | Angielskie: Inżynierskie
4 | Angielskie: Architektoniczne
5 | Ułamkowe
6 | Ustawienia systemu operacyjnego

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 6
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku


SetLogMode

Określa, czy plik dziennika zostanie zachowany i zawartość okna poleceń zostanie zapisana w pliku dziennika.

Wartości

0 | Zachowuje plik dziennika.
1 | Zachowuje plik dziennika, a zawartość okna poleceń jest zapisywana w pliku dziennika.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetLogPth

Ustawia ścieżkę do pliku dziennika (*.log). Folder jest prawidłowy dla wszystkich plików dziennika rysunków.

Właściwości

Typ | Ciąg
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetLWtUnt

Określa, czy grubość linii ma być wyświetlana w calach czy w milimetrach.

Wartości

0 | Cale
1 | Milimetry (domyślnie)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

EnblLWtDsp, SetDfltLWt


SetMnuEcho

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Określa echo menu i poleceń.

Właściwości

Typ | Liczba całkowita (kod bitu)
Domyślny | 0
Stan | Tylko do odczytu
Zapisane | Niezapisane


SetNoteJst

Określa sposób wyrównania elementów wieloliniowych utworzonych za pomocą polecenia RichLine.

Wartości

0 | Góra
1 | Środek (zero)
2 | Dół

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

RichLine


SetNoteScl

Określa ogólną szerokość dla polecenia RichLine. Na przykład wartość skali równa 2,0 podwaja szerokość w oparciu o definicję stylu RichLine.

Z kolei wartość skali równa 0,0 redukuje linię RichLine do linii pojedynczej.

Wartość ujemna odzwierciedla kolejność odsuniętych linii.

Właściwości

Typ | Rzeczywista
Domyślny | 1.0 (brytyjskie) | 20.0 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

RichLine


SetNoteStyl

Ustawia styl dla kolejnych poleceń RichLine na uprzednio zdefiniowany styl RichLine.

Wartość początkowa zmiennej to „Standard”. Dla tej zmiennej nie można zdefiniować nieistniejącej nazwy stylu.

Właściwości

Typ | Ciąg
Domyślny | "Standard"
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

RichLine


SetOfstDst

Określa wartość domyślną polecenia Offset w odniesieniu do zapytania o odległość pomiędzy elementem pierwotnym a docelowym.

W przypadku wybrania wartości ujemnej elementy będą przesuwane przez określony punkt, a opcja Przez zostanie ustawiona jako domyślna dla polecenia Offset.

Zmienna jest aktualizowana podczas wykonywania polecenia Offset i określania nowej odległości przesunięcia w celu utworzenia równoległych kopii elementów.

Właściwości

Typ | Rzeczywista
Domyślny | -1.0
Stan | Odczyt/zapis
Zapisane | Niezapisane

Powiązane polecenia

Offset


SetOfstGapMode

Określa sposób, w jaki zamknięte polilinie łączą się ponownie po odsunięciu segmentów.

Wartości

0 | Łączy przerwy poprzez wydłużenie segmentów polilinii.
1 | Łączy przerwy zaokrąglonymi segmentami łuku. Promień każdego segmentu łuku jest równy odległości odsunięcia.
2 | Łączy przerwy sfazowanymi segmentami linii. Prostopadła odległość do każdego sfazowania jest równa odległości odsunięcia.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetOLEQlty

Ustawia jakość druku dla obiektów OLE dla wszystkich rysunków.

Wartości

0 | Monochromatyczny
1 | Słaba jakość grafiki
2 | Wysoka jakość grafiki
3 | Automatycznie (na podstawie typu obiektu OLE)

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2 | 3
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPEdtSmthMode

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Określa typ gładkiego łącznika powierzchni dla edycji polilinii.

Właściwości

Typ | Liczba całkowita
Zakres | 5 | 6 | 8
Domyślny | 6
Stan | Odczyt/zapis
Zapisane | W rysunku


SetPEdtSplSegs

Określa liczbę odcinków linii definiujących wielowypustowe polilinie.

Właściwości

Typ | Liczba całkowita
Zakres | -32768 .. 32767
Domyślny | 8
Stan | Odczyt/zapis
Zapisane | W rysunku


SetPGdAng

Określa przyrost kąta biegunowego dla prowadnic RGuide.

Wartości

Wartości kąta mogą wynosić 90, 45, 30, 22,5, 18, 15, 10 oraz 5 stopni.

Właściwości

Typ | Rzeczywista
Domyślny | 90.0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPGdSpcAng

Ustawia dodatkowe indywidualne wartości przyrostu kąta dla prowadnic biegunowych.

Można dodać maksymalnie dziesięć kątów, rozdzielonych średnikami.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPGonSides

Określa domyślną wartość ilości stron dla polecenia Polygon.

Właściwości

Typ | Liczba całkowita
Zakres | 3 .. 1024
Domyślny | 4
Stan | Odczyt/zapis

Powiązane polecenia

Polygon


SetPLineWdth

Określa szerokość domyślną przy rysowaniu polilinii z użyciem poleceń PolyLine, Polygon i Rectangle.

Właściwości

Stan | Odczyt/zapis
Typ | Rzeczywista
Domyślny | 0.00

Powiązane polecenia

PolyLine, Polygon, Rectangle


SetPntrSz

Określa rozmiar kursora krzyżykowego jako wartość procentową wielkości ekranu. W przypadku wybrania ustawienia 100 kursor krzyżykowy będzie przebiegać przez cały ekran.

Kursor krzyżykowy pokazuje bieżącą pozycję wskaźnika w obszarze graficznym oraz pełni funkcję wskaźnika.

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 100
Domyślny | 5
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPrmptTxt

Określa tekst wyświetlany w wierszu poleceń w celu poinformowania użytkownika, że program jest gotowy na przyjęcie polecenia.

Do tekstu jest automatycznie dodawany dwukropek. Opcja domyślna to brak tekstu. Oznacza to, że wiersz polecenia rozpoczyna się znakiem ":" .

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPrnRot

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Steruje orientacją wydruku.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetProjMode

Określa tryb rzutowania używany z poleceniami Trim i Extend.

Wartości

0 | Rzutowanie wyłączone
1 | Rzutowanie stosowane w płaszczyźnie XY bieżącego układu współrzędnych
2 | Rzutowanie stosowane w bieżącej płaszczyźnie widoku.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Trim, Extend


SetPrxyDspMode

Steruje wyświetlaniem obiektów proxy w rysunkach.

Wartości

0 | Obiekty proxy nie są wyświetlane.
1 | Obiekty proxy są wyświetlane.
2 | Wyświetla ramki graniczne dla obiektów proxy.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPSProLog

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Określa nazwę pliku zawierającego sekcję prologu dla wyniku skryptu PostScript.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetPthTemp

Zwraca ścieżkę miejsca, w którym znajdują się pliki tymczasowe.

Właściwości

Typ | Ciąg
Domyślny | "" lub dowolna poprawna ścieżka do plików tymczasowych
Stan | Tylko do odczytu
Zapisane | Niezapisane


SetRDmCM

Kontroluje znaczniki środka i linie środkowe łuków oraz okręgów za pomocą poleceń CenterMark, RadiusDimension i DiameterDimension.

Wartość bezwzględna zmiennej określa rozmiar znacznika środka (w jednostkach rysunku), który wynosi połowę długości znacznika środka. Jest to również długość części linii środowej poza łukiem lub okręgiem, jak również długość przerwy między znacznikiem środka a liniami środkowymi.

Znak zmiennej kontroluje znaczniki środka i linie środkowe w następujący sposób:

  • Wartości dodatnie oznaczają, że rysowane są znaczniki środka.
  • Wartości ujemne oznaczają, że rysowane są linie środkowe.
  • Wartość zerowa oznacza, że nie są rysowane ani znaczniki środka, ani linie środkowe.

Właściwości

Typ | Rzeczywista
Domyślny | 0.09
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

CenterMark, RadiusDimension, DiameterDimension


SetRDmCMSz

Określa długość znaczków, jeżeli symbole znaczków zastępują ostrza strzałek.

Ustawienie zmiennej na 0,0 powoduje rysowanie strzałek.

Ustawienie zmiennej na wartość większą niż 0,0 powoduje rysowanie znaczków o rozmiarze SetRDmCMSz*SetDmGlblScl.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

SetDmGlblScl


SetRefBindMode

Określa sposób, w jaki nazwy pochodzące z zewnętrznych rysunków odniesienia (odniesienia) są konwertowane podczas przypisywania do rysunku hosta.

Prawidłowe wartości to 0 (Wył.) dla trybu Ustal i 1 (Wł.) dla trybu Wstaw.

Wartości

0 | Tryb Ustal przekształca rysunek odniesienia na blok w rysunku i włącza symbole zależne, takie jak warstwy, definicje stylu linii, style tekstu i style wymiarowania do rysunku hosta z unikatowymi nazwami zaczynającymi się od przedrostka nazwa bloku$n$, gdzie nazwa bloku jest nazwą odniesienia, a n jest liczbą zaczynającą się od 0. Na przykład warstwa piwnicy z odniesienia zmieni się na dom$0$piwnica. Jeśli dana nazwa będzie już istnieć, numer zostanie zmieniony na większy, na przykład dom$1$piwnica. Opcja Ustal jest tradycyjnym wyborem podczas dołączania odniesień.
1 | Tryb Wstaw odłącza odniesienia i wstawia rysunek odniesienia jako blok (podobnie jak w przypadku użycia polecenia InsertBlock). W takim przypadku elementy nowo przyłączone do rysunku są umieszczane na istniejących warstwach lub jest tworzona nowa warstwa, jeżeli wcześniej nie istniała w rysunku hosta. To samo dzieje się ze stylami linii, stylami tekstu itp. Nazwane definicje symboli zależnych są włączane do bieżącego rysunku bez dodawania przedrostków.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | Niezapisane


SetRingID

Określa średnicę wewnętrzną dla polecenia Ring. Wartość musi być większa niż 0.

Po użyciu polecenia Ring zmienna zostaje zaktualizowana.

Właściwości

Typ | Rzeczywista
Domyślny | 0.5
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Ring


SetRingOD

Określa średnicę zewnętrzną dla polecenia Ring. Wartość musi być większa niż 0.

Po użyciu polecenia Ring zmienna zostaje zaktualizowana.

Właściwości

Typ | Rzeczywista
Domyślny | 1.0
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Ring


SetRSnpSpc

Określa odstępy promieniowe (zwane również odstępami biegunowymi), gdy aktywne jest przyciąganie promieniowe (wymagane jest ustawienie zmiennej EnblRSnap na wartość 1).

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Zmienne powiązane

EnblRSnap

Powiązane polecenia

Snap, DraftingOptions


SetSelBoxSz

Uzyskuje i określa rozmiar (w pikselach) pola wyboru elementu wskaźnika.

Właściwości

Typ | Liczba całkowita
Domyślny | 3
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

DraftingOptions


SetShrtCtMnuMode

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Określa tryb wyświetlania menu podręcznego.

Właściwości

Typ | Liczba całkowita (kod bitu)
Zakres | 0 | 1 | 2 | 4 | 8 | 16
Domyślny | 11
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetShtCSNm

Zwraca nazwę dostosowanego układu współrzędnych (CCS) definiującego pochodzenie i orientację układu współrzędnych ortograficznych ustawień CCS (dotyczy tylko arkuszy układu)

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku


SetSktchInc

Określa wartość przyrostu (długość segmentów szkicu) dla polecenia Sketch.

Właściwości

Typ | Rzeczywista
Domyślny | 0.1 (brytyjskie) | 1.0 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Sketch


SetSktchMode

Określa, czy polecenie Sketch tworzy linie czy polilinie.

Wartości

0 | Polecenie Sketch tworzy linie
1 | Polecenie Sketch tworzy polilinie

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Sketch, Line, PolyLine


SetSnpAng

Określa kąt obrotu siatki przyciągania dla bieżącego kafelka. Kąt obrotu jest ustawiany w odniesieniu do układu współrzędnych.

Właściwości

Typ | Rzeczywista
Zakres | 0.00 .. 360.00
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Snap, DraftingOptions

Zmienne powiązane

EnblSnp, SetSnpBase, EnblSnpIso, EnblGrid


SetSnpBase

Określa początek układu współrzędnych (X, Y) dla siatki przyciągania.

Właściwości

Typ | Punkt 2D
Domyślny | 0.00,0.00
Stan | Odczyt/zapis

Powiązane polecenia

Snap, DraftingOptions


SetSnpSpc

Określa odległość poziomą i pionową pomiędzy punktami na siatce przyciągania.

Właściwości

Typ | Punkt 2D
Domyślny | 1.0, 1.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Snap, DraftingOptions

Zmienne powiązane

EnblSnp, SetSnpBase


SetSrfMU

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Ustawia gęstość powierzchni w kierunku M dla edycji polilinii.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 200
Domyślny | 6
Stan | Odczyt/zapis
Zapisane | W rysunku


SetSrfNV

Starszego typu. Służy zachowaniu zgodności plików rysunków.

Ustawia gęstość powierzchni w kierunku N dla edycji polilinii.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 200
Domyślny | 6
Stan | Odczyt/zapis
Zapisane | W rysunku


SetSrfTbs1

Określa liczbę tabulacji użytych w poleceniach RuledMesh i TabulatedMesh oraz gęstość siatki w kierunku M dla poleceń RevolvedMesh i EdgeMesh.

Właściwości

Typ | Liczba całkowita
Zakres | 2 .. 32766
Domyślny | 6
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

RuledMesh, TabulatedMesh, RevolvedMesh, EdgeMesh

Zmienne powiązane

SetSrfTbs2


SetSrfTbs2

Określa gęstość siatki w kierunku N dla poleceń RevolvedMesh i EdgeMesh.

Właściwości

Typ | Liczba całkowita
Zakres | 2 .. 32766
Domyślny | 6
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

RevolvedMesh, EdgeMesh


SetStkFracTxtHt

Ustawia rozmiar tekstu ułożonego jako procent rozmiaru bieżącego stylu tekstu w zakresie wartości od 25 do 125%. Domyślna wartość to 70.

Właściwości

Typ | Liczba całkowita
Zakres | 25 .. 125
Domyślny | 70
Stan | Odczyt/zapis
Zapisane | W rysunku


SetStkFracTyp

Ustawia pionowe wyrównanie tekstu ułożonego w notatkach.

Wartości

0 | Dół. Wyrównuje linię bazową ułamków lub tolerancji z linią bazową tekstu.
1 | Środek. Wyrównuje ułamki lub tolerancje do środka. (Domyślne)
2 | Góra. Wyrównuje górne części ułamków lub tolerancji do wysokości zamknięcia.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1 | 2
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


SetSvTm

Określa odstępy czasu (w minutach) dla funkcji autozapisu rysunku.

Wybranie wartości 0 powoduje wyłączenie autozapisu.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 32767
Domyślny | 10
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika

Powiązane polecenia

Options


SetTDmDPrc

Określa liczbę miejsc dziesiętnych dla wartości tolerancji wymiarów wyrażonych w alternatywnych jednostkach miary.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDlDm nie wybrano wartości 1.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 8
Domyślny | 2 (brytyjskie) | 3 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetTDmDZroDsp

Kontroluje wygaszanie zer dla wartości tolerancji wymiarów w alternatywnych jednostkach miary.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDlDm nie wybrano wartości 1.

Wartości

Wartości od 0 do 3 mają zastosowanie tylko do wymiarów w stopach i calach. Można je łączyć z wartościami od 4 do 12.

Kontroluje wygaszanie zer w wartościach tolerancji:

0 | Wygasza zero stóp i dokładnie zero cali
1 | Wyświetla zero stóp i dokładnie zero cali
2 | Wyświetla zero stóp, ale wygasza zero cali
3 | Wygasza zero stóp, ale wyświetla zero cali

Do wartości poprzedzających można dodać:

4 | Wygasza zera początkowe
8 | Wygasza zera końcowe
12 | Wygasza zera początkowe i końcowe

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 15
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetTDmMin

Określa wartość ujemną tolerancji plus/minus.

Wartość tolerancji jest pobierana tylko wtedy, gdy zmienna EnblDmTolAppnd lub EnblTDm ma wartość 1 (wł.).

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | W rysunku

Zmienne powiązane

EnblDmTolAppnd, EnblTDm, SetDmTolTxtMax


SetTDmPrc

Określa liczbę miejsc dziesiętnych w wartościach tolerancji dla podstawowych jednostek wymiarów.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDmTolAppnd nie wybrano wartości 1.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 8
Domyślny | 4 (brytyjskie) | 2 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku


SetTDmPrfxSfx

Określa przedrostek i/lub przyrostek dla tekstu alternatywnej jednostki miary w wymiarach.

Ciąg jest określany w formacie "przedrostek<>przyrostek", gdzie '<>' należy zastąpić tekstem dla alternatywnej jednostki miary.

Ta zmienna nie ma zastosowania, o ile dla zmiennej EnblDlDm nie wybrano wartości 1. Stosuje się ją do wszystkich wymiarów z wyjątkiem wymiarów kątowych.

Właściwości

Typ | Ciąg
Domyślny | ""
Stan | Odczyt/zapis
Zapisane | W rysunku


SetTDmZroDsp

Określa sposób wyświetlania zer początkowych i/lub końcowych w tekście wymiaru tolerancji.

Wartości

0 | Wygasza zero stóp i dokładnie zero cali
1 | Wyświetla zero stóp i dokładnie zero cali
2 | Wyświetla zero stóp, ale wygasza zero cali
3 | Wygasza zero stóp, ale wyświetla zero cali

Do wartości poprzedzających można dodać:

4 | Wygasza zera początkowe we wszystkich wymiarach dziesiętnych (np. 0.400 jest zmieniane na .400)
8 | Wygasza zera końcowe we wszystkich wymiarach dziesiętnych (np. 12.5000 jest zmieniane na 12.5)
12 | Wygasza zera początkowe i końcowe we wszystkich wymiarach dziesiętnych (np. 0.7000 jest zmieniane na .7)

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 15
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetTrcWdth

Określa szerokość domyślną dla polecenia Trace.

Właściwości

Typ | Rzeczywista
Zakres | 0.00 lub więcej
Domyślny | 0.05
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Trace


SetTxtHt

Określa domyślny rozmiar tekstu (wysokość) dla kolejnych poleceń SimpleNote lub MakeBlockAttribute.

Jeżeli bieżący styl tekstu definiuje stałą wysokość, ta zmienna jest ignorowana.

Właściwości

Typ | Rzeczywista
Domyślny | 0.2 (brytyjskie) | 2.5 (metryczne)
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

SimpleNote, MakeBlockAttribute


SetTxtMirrMode

Określa przy użyciu poleceń Mirror i Flip, czy tekst ma zostać odbity, czy też ma zachować kierunek.

Ta zmienna ma zastosowanie do tekstu tworzonego przy użyciu poleceń Note, SimpleNote oraz MakeBlockAttribute.

Tekst i atrybuty stałe używane przy wstawianiu bloku są odwracane bez względu na ustawienie zmiennej.

Wartości

0 | Przy odbiciu lustrzanym zostaje zachowany kierunek tekstu
1 | Tworzone jest odbicie lustrzane tekstu

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

Mirror, Flip


SetTxtPrnFill

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Steruje wypełnianiem czcionek TrueType (TTF) dla wydruków.

Wartości

0 | Wyświetla tekst TTF jako zarysy (opcja nieobsługiwana).
1 | Wyświetla tekst TTF jako zapełniony (ustawienie domyślne).

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Domyślny | 1
Stan | Odczyt/zapis
Zapisane | W pliku profilu użytkownika


SetTxtRes

Nie zaimplementowano. Służy zachowaniu spójności skryptów aplikacji.

Ustawia rozdzielczość mozaiki zarysów tekstu czcionek TrueType dla wydruku.

Wartość zmiennej nie ma wpływu na rozdzielczość wyświetlania na ekranie czcionek TrueType. Rozdzielczość ekranu jest określona przez ustawienia wyświetlania wybrane w systemie operacyjnym.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 100
Domyślny | 50
Stan | Odczyt/zapis
Zapisane | Niezapisane


SetUntMode

Określa typ liniowych jednostek miary.

Wartości

1 | Naukowe
2 | Dziesiętne
3 | Angielskie: Inżynierskie
4 | Angielskie: Architektoniczne
5 | Ułamkowe

Właściwości

Typ | Liczba całkowita
Zakres | 1 .. 5
Domyślny | 2
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

UnitSystem


SetUntPrc

Określa liczbę miejsc dziesiętnych dla liniowych jednostek miary.

Uwaga: Ta zmienna nie wpływa na dokładność tekstu wymiaru.

Właściwości

Typ | Liczba całkowita
Zakres | 0 .. 8
Domyślny | 4
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

UnitSystem

Zmienne powiązane

SetUntMode


SetUntTyp

Decyduje, czy jednostki rysunku wyświetlane są jako miary angielskie, czy metryczne.

Wartości

0 | Wyświetla miary angielskie dla jednostek rysunków.
1 | Wyświetla miary metryczne dla jednostek rysunków.

Właściwości

Typ | Liczba całkowita
Zakres | 0 | 1
Stan | Odczyt/zapis
Zapisane | W rysunku


SetUsrInt1 .. SetUsrInt5

Zmienne te zawierają wartości całkowite zdefiniowane przez użytkownika.

Właściwości

Typ | Liczba całkowita
Domyślny | 0
Stan | Odczyt/zapis
Zapisane | W rysunku


SetUsrRl1 .. SetUsrRl5

Zmienne te zawierają wartości zmiennoprzecinkowe zdefiniowane przez użytkownika.

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | W rysunku


SetVPScl

Ustawia współczynnik skalowania widoku dla nowych okienek ekranu.

Współczynnik skalowania widoku jest definiowany jako stosunek jednostek arkusza układu modelu wyświetlanych w nowym okienku obszaru.

Wartość 0.00 oznacza, że rozmiar modelu pasuje do okienka ekranu.

Właściwości

Typ | Rzeczywista
Domyślny | 0.00
Stan | Odczyt/zapis
Zapisane | W rysunku


SetZElv

Określa wartość wzniesienia (współrzędna Z) dla nowych elementów w układzie współrzędnych.

Wzniesienia można użyć jako tymczasowej planarnej płaszczyzny konstrukcji.

Właściwości

Typ | Rzeczywista
Domyślny | 0.0
Stan | Odczyt/zapis
Zapisane | W rysunku

Powiązane polecenia

ZPlane

Zmienne powiązane

SetActThk


Tworzenie wyciągnięć

Polecenie Extrude tworzy bryły 3D poprzez wyciągnięcie elementów 2D, które tworzą zamknięty kształt, takich jak zamknięte polilinie, okręgi, elipsy i regiony.

Aby utworzyć wyciągnięcie, należy:

  1. Wpisać Extrude w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do wyciągnięcia.
  3. Wpisać wysokość wyciągnięcia. Jeżeli wybrano kilka elementów, we wszystkich użyta zostanie ta sama wysokość.
  4. Element zostanie wyciągnięty w celu utworzenia bryły 3D.

Dostęp

Polecenie: Extrude


Polecenie -3DMouseOptions

[Wersja Windows®]

[Wersja Windows®]

Polecenia -3DMouseOptions należy użyć do określenia ustawień myszy 3D. Jest to używany w oknie poleceń wariant polecenia 3DMouseOptions.

Dostęp

Polecenie: -3DMouseOptions

Tematy pokrewne

Ustawianie opcji myszy 3D


Paleta Start

Paleta Start zawiera łącza do internetowych samouczków, seminariów, zasobów w serwisach społecznościowych, pomocy i najświeższych doniesień z branży CAD.

Sekcje domyślne to: DraftNews, DraftLearn oraz DraftLinks.

Aby wyświetlić paletę Start, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i wybrać z menu podręcznego Start.

Tematy pokrewne

Palety

Pasek menu

Paski narzędzi


Informacje o

Aby wyświetlić wersję produktu, należy użyć elementu menu Informacje o w menu Pomoc.

Aby wyświetlić wersję produktu, należy użyć elementu menu Informacje o w menu Pomoc.

Aby wyświetlić wersję produktu, należy użyć elementu menu Informacje o w menu aplikacji.

Wyświetlony numer wersji jest ważny podczas kontaktów z działem wsparcia technicznego.

Dostęp

Polecenie: About

Menu: Pomoc > Informacje o

Menu: Pomoc > Informacje o

Menu: Menu aplikacji > Informacje o


Praca z grupami elementów

Polecenia edycji będą traktować wszystkie elementy w grupie elementów jak pojedynczy obiekt. Polecenia takie, jak Move, Rotate lub Copy, będą działać na całą grupę.

W przypadku określenia elementów dla jednego z tych poleceń w monicie, ten wybór doprowadzi do automatycznego wybrania wszystkich elementów grupy.

Typowy monit polecenia tego rodzaju jest następujący:

Wybierz elementy»

Zasada jest następująca: W poleceniach dopuszczających określenie wielu elementów zidentyfikowanie pojedynczego elementu z grupy elementów jest równoważne wybraniu wszystkich elementów należących do grupy elementów. W przypadku monitu o określenie elementów można wybrać opcję Grupa i wprowadzić nazwę grupy elementów w celu określenia wszystkich elementów należących do grupy elementów. Grupy elementów można również używać jako zdefiniowane przez użytkownika zbiory wskazań.

Inne polecenia modyfikujące (na przykład Split, Offset, Trim lub EditLength) wymagają podania pojedynczego elementu w jednym lub kilku krokach (zwykle w celu zmodyfikowania geometrii elementów rysunku). W takim przypadku używany jest pojedynczy wybór. Zawsze gdy monit wymaga wybrania pojedynczego elementu, grupa nie ma znaczenia. Polecenia te modyfikują geometrię pojedynczych wybranych elementów, pomimo że te elementy należą do grupy. Zmodyfikowane elementy pozostaną członkami grupy. Ta cecha zapewnia większą elastyczność podczas pracy z grupami elementów i ma znaczne zalety w porównaniu z użyciem bloków.

Poniższe zestawienie omawia polecenia edycji i opisuje sposób, w jaki przetwarzane są elementy będące członkami grupy, w przypadku użycia odpowiedniego polecenia.

Delete

Wybranie pojedynczego elementu wybierze wszystkie elementy grupy, chyba że użyto trybu wyboru Pojedynczy. Gdy pojedynczy element grupy jest usuwany, element ten jest usuwany z definicji grupy.

Move, Rotate, Scale, Flip

Wybranie pojedynczego elementu wybierze wszystkie elementy grupy, chyba że użyto trybu wyboru Pojedynczy.

Mirror, Copy, Pattern

Wybranie pojedynczego elementu wybierze wszystkie elementy grupy, chyba że użyto trybu wyboru Pojedynczy. System zastosuje anonimowe nazwy do kopiowanych grup ("*A1", "*A2", itd.), które są tworzone przy użyciu tych poleceń.

Stretch

Rozciągnięte zostaną te elementy należące do grupy, które zostały wybrane przy użyciu trybów wyboru obiektów Przecięcie lub Wielobok przecinający.

Trim, Expand

Monit o „wybranie krawędzi tnących” lub „...krawędzi obwiedni” uwzględni wszystkie elementy grupy, chyba że użyto trybu wyboru Pojedynczy.

Offset, Fillet, Chamfer, EditLength

Polecenia te zawsze monitują o wybranie pojedynczego elementu do modyfikacji. To, że element ten należy do grupy, nie ma żadnego znaczenia w tych operacjach. Pojedyncze elementy zmienione przez te polecenia pozostaną w grupie. Jeżeli w wyniku tych poleceń powstają nowe elementy, nie zostaną one automatycznie uwzględnione w grupie.

Split

Gdy element (linia, okrąg, łuk lub polilinia 2D) jest przerywany na dwa lub więcej elementów poprzez częściowe usunięcie, tylko jeden z tych elementów pozostanie w grupie. Gdy element, który został przerwany na dwa lub więcej fragmentów, zostanie ponownie połączony, wówczas nowo utworzony element nie będzie już członkiem żadnej grupy, nawet jeżeli jeden lub więcej fragmentów stanowiło część grupy.

Block, Hatch, EditHatch

Wybranie pojedynczego elementu wybierze wszystkie elementy grupy, chyba że użyto trybu wyboru Pojedynczy. Ma to również zastosowanie do polecenia EditHatch po wyświetleniu monitu o wybranie dodatkowych elementów do uwzględnienia w zbiorze elementów do edycji kreskowania.

EditAnnotation

Jeżeli użyto polecenia EditAnnotation do zmodyfikowania tekstu, to element tekstowy zachowuje skojarzenie ze swoją grupą.

Tematy pokrewne

Grupowanie elementów

Tworzenie i edytowanie grup elementów (polecenie EntityGroup)

Polecenie -EntityGroup (wariant okna poleceń)


Ustawianie aktywnego okienka ekranu

Polecenie ActivateViewport uaktywnia określony widok sąsiadujący w przestrzeni roboczej modelu lub określone okienko ekranu arkusza.

Aby uaktywnić widok sąsiadujący lub okienko ekranu, należy:

  • W przestrzeni roboczej modelu kliknąć widok sąsiadujący, który należy uaktywnić.

    - lub -
  1. Wpisać ActivateViewport w wierszu poleceń.
  2. Wpisać numer widoku sąsiadującego lub okienka ekranu do uaktywnienia.

    W trybie modelu 2 określa pierwszy widok sąsiadujący, 3 określa drugi widok sąsiadujący i tak dalej.

    W trybie arkusza 1 określa obszar graficzny na arkuszu, 2 określa pierwsze okienko ekranu, 3 określa drugie okienko ekranu i tak dalej.

Aby przełączać cyklicznie widoki sąsiadujące bez klikania, należy:

  • Naciskać wielokrotnie Ctrl + R.

Aby przełączać cyklicznie widoki sąsiadujące bez klikania, należy:

  • Naciskać wielokrotnie Ctrl + R.

Dostęp

Polecenie: ActivateViewport


Zmienianie wyświetlania współrzędnych na pasku stanu

Polecenie DisplayCoords służy do określania trybu śledzenia ruchów wskaźnika na pasku stanu.

Aby zmienić wyświetlanie współrzędnych na pasku stanu, należy:

  1. Wpisać DisplayCoords w wierszu poleceń.
  2. Określić opcję:
    • Dynamiczny: Współrzędne bezwzględne są stale aktualizowane na pasku stanu podczas ruchu wskaźnika.
    • Względny: Gdy pojawi się monit o odległość lub kąt, podczas przemieszczania wskaźnika wyświetlane są odległość i kąt od ostatnio określonego punktu. W przeciwnym razie wyświetlane są współrzędne bezwzględne.
    • Statyczny: Wyświetlane współrzędne są aktualizowane tylko po kliknięciu w obszarze graficznym.
  3. - lub -
  4. Kolejne naciśnięcia klawisza F6 przełączają tryby wyświetlania współrzędnych.
  5. Kolejne naciśnięcia klawisza F6 przełączają tryby wyświetlania współrzędnych.
  6. Kolejne naciśnięcia klawisza Fn + F6 przełączają tryby wyświetlania współrzędnych.

Dostęp

Polecenie: DisplayCoords

Skrót klawiaturowy: F6 zmienia tryb wyświetlania współrzędnych

Skrót klawiaturowy: F6 zmienia tryb wyświetlania współrzędnych

Skrót klawiaturowy: Fn + F6 zmienia tryb wyświetlania współrzędnych


Ustawianie trybu wyświetlania okna dialogowego dla określania plików

Podczas wywoływania poleceń związanych z plikami, takich jak New, Open lub Save, wyświetlane jest okno dialogowe, umożliwiające przeglądanie folderów i określanie nazwy pliku. Polecenie DisplayDialogs pozwala na wygaszenie wyświetlania okien dialogowych i wyświetlenie monitu o określenie nazwy pliku w oknie poleceń.

Aby ustawić tryb wyświetlania okna dialogowego dla określania plików, należy:

  1. Wpisać DisplayDialogs w wierszu poleceń.
  2. Wybrać opcję Tak lub Nie, aby określić, czy polecenia wymagające określenia pliku mają wykorzystywać okna dialogowe.

Gdy w linii poleceń pojawi się monit o określenie nazwy pliku, należy wpisać znak ~ (tylda), aby otworzyć odpowiednie okno dialogowe.

Dostęp

Polecenie: DisplayDialogs


Wyświetlanie statystyk dotyczących bieżącego rysunku

Polecenie GetTime wyświetla statystyki czasowe dotyczące rysunku i pozwala na włączanie, wyłączanie lub resetowanie licznika czasu.

Aby wyświetlić statystyki czasowe, należy:

  1. Wpisać GetTime w wierszu poleceń.
  2. Określić opcję Wyświetlaj.

    Pojawiają się następujące statystyki:
    • Bieżący czas
    • Data utworzenia
    • Data ostatniej aktualizacji rysunku
    • Całkowity czas edycji
    • Czas odmierzony przez licznik czasu
    • Czas automatycznego zapisywania

Aby użyć licznika czasu, należy:

  1. Wpisać GetTime.
  2. Określić opcję:
    • Wł.: Włącza licznik czasu.
    • Wył.: Wyłącza licznik czasu.
    • Resetuj: Resetuje licznik czasu.

Dostęp

Polecenie: GetTime


Wyświetlanie ramek obrazu

Polecenie DisplayImageFrame pozwala określić, czy ramki są wyświetlane na granicach obrazów dołączonych do bieżącego rysunku.

Aby wyświetlać ramki obrazu, należy:

  1. Wpisać DisplayImageFrame w wierszu poleceń.
  2. Określić opcję Powyżej obrazu, Poniżej obrazu lub Nie.

Dostęp

Polecenie: DisplayImageFrame

Tematy pokrewne

Dołączanie plików obrazów jako odniesień


Ustawianie jakości wyświetlania obrazu

Polecenie ImageQuality pozwala określić jakość wyświetlania obrazów dołączonych do bieżącego rysunku

Aby ustawić jakość wyświetlania obrazu, należy:

  1. Wpisać ImageQuality w wierszu poleceń.
  2. Określić opcję:
    • Niska: Redukuje jakość obrazu w celu podwyższenia wydajności wyświetlania.
    • Wysoka: Wyświetla obrazy w wysokiej jakości. Jest to ustawienie domyślne.

Obrazy są zawsze drukowane z wykorzystaniem wysokiej jakości.

Dostęp

Polecenie: ImageQuality

Tematy pokrewne

Dołączanie plików obrazów jako odniesień


Ustawianie rozmiaru ramki wyboru

Polecenie SelectionBox pozwala ustawić rozmiar ramki wyboru w pikselach.

Aby ustawić rozmiar ramki wyboru, należy:

  1. Wpisać SelectionBox w wierszu poleceń.
  2. Wpisać wartość z zakresu od 1 do 50.

Dostęp

Polecenie: SelectionBox

Tematy pokrewne

Ustawianie rozmiaru ramki grawitacji

Określanie opcji szkicowania


Polecenie -Layer

-Layer

Polecenie -Layer tworzy i steruje warstwami i właściwościami warstw. Polecenie to stanowi używany w oknie poleceń wariant polecenia Layer.

Dostęp

Polecenie: -Layer

Tematy pokrewne

Zarządzanie warstwami


Polecenie -LineStyle

-LineStyle

Polecenie -LineStyle służy do wczytywania i ustawiania stylów linii. Jest to używany w oknie poleceń wariant polecenia LineStyle.

Dostęp

Polecenie: -LineStyle

Tematy pokrewne

Wczytywanie i ustawianie stylów linii


Polecenie -LineWeight

-LineWeight

Polecenie -LineWeight służy do ustawiania szerokości linii dla nowych elementów. Jest to używany w oknie poleceń wariant polecenia LineWeight.

Ustawienie szerokości linii definiuje wygląd grubości elementów.

Aby ustawić szerokość linii dla nowych elementów, należy:

  1. Wpisać -LineWeight.

    Wyświetlona zostanie aktywna szerokość linii.
  2. Wpisać nową wartość lub określić opcję ?, aby zobaczyć dostępne szerokości linii.

    Polecenie zaokrągla nieprawidłowe szerokości linii do najbliższej prawidłowej wartości.

Dostęp

Polecenie: -LineWeight

Tematy pokrewne

Ustawianie aktywnej szerokości linii


Polecenie -EntitySnap

-EntitySnap

Polecenie -EntitySnap służy do ustawiania trybów przyciągania elementów. Przyciągania elementów pozwalają na szybkie wybieranie dokładnych punktów geometrycznych w elementach.

Aby ustawić przyciągania elementów, należy:

  1. Wpisać -EntitySnap.

    Pojawi się lista aktywnych przyciągań elementów.
  2. Wpisać jeden lub kilka trybów przyciągania elementów rozdzielonych przecinkami lub wpisać Brak, aby anulować bieżące ustawienia trybu przyciągania elementów.

    Listę skrótów trybów przyciągania zawiera temat Zrozumienie trybów przyciągania elementów.

Dostęp

Polecenie: -EntitySnap

Tematy pokrewne

Używanie przyciągania elementów

Ustawianie przyciągań elementów


Polecenie -TextStyle

-TextStyle

Polecenie -TextStyle służy do tworzenia, modyfikowania i ustawiania stylów tekstu w rysunku. Jest to używany w oknie poleceń wariant polecenia TextStyle.

Style tekstu definiują sposób, w jaki tekst pojawia się podczas tworzenia elementów tekstu. Po zmodyfikowaniu stylu tekstu wszelkie elementy tekstowe, które wykorzystują ten styl, zostaną zaktualizowane o nową definicję.

Polecenie -TextStyle definiuje style tekstu wczytywane z plików czcionek TrueType lub skompilowanych plików kształtów (.shx) i dostosowuje style tekstu do wymogów rysunku.

Aby zdefiniować style tekstu, należy:

  1. Wpisać -TextStyle w wierszu poleceń.
  2. Wpisać nazwę stylu tekstu lub nacisnąć Enter, aby zaakceptować domyślny Standard.

    Można również określić opcję ?, aby wyświetlić listę zdefiniowanych stylów tekstu w rysunku.
  3. Wpisać nazwę pliku czcionki, w którym zdefiniowano krój pisma i zestaw znaków.

    Po określeniu stylu tekstu z nowym plikiem czcionki nastąpi przebudowanie rysunku. Wszystkie elementy tekstowe wykorzystujące zmienianą czcionkę zostaną zastąpione nową czcionką.
  4. Wpisać wysokość tekstu w jednostkach rysunku.

    Wartości większe od zera reprezentują stałą wysokość, której nie można zmieniać podczas wstawiania elementu tekstowego przy użyciu tej czcionki. Jeżeli zachodzi potrzeba zmiany wysokości tekstu w późniejszym czasie, należy ustawić wysokość na zero. Można następnie zdefiniować wysokość tekstu przy użyciu poleceń tworzących tekst.
  5. Wpisać współczynnik szerokości, który stanowi współczynnik proporcji szerokości znaków do ich wysokości.
  6. Wpisać kąt pochylenia, który oznacza nachylenie znaków względem osi X.

    Użycie wartości z zakresu od 0 do 84.9 daje pochylenie w prawo (do przodu). Użycie wartości z zakresu od 0 do -84.9 daje pochylenie w lewo (do tyłu).
  7. Określić, czy tekst ma być wyświetlany wstecz, tworząc odbicie lustrzane tekstu.
  8. Określić, czy tekst ma być wyświetlany odwrotnie.
  9. Określić, czy należy wyrównać znaki pionowo.

    Ustawienia te można łączyć, aczkolwiek w niektórych przypadkach ustawienia w kombinacji mogą nawzajem się zakłócać. Niektóre czcionki nie obsługują wszystkich opcji.

Zdefiniowane style tekstu są zapisywane wraz z plikiem rysunku jako odniesienie do odpowiedniego pliku czcionki. Style tekstu są dostępne, jeżeli dostępny jest odpowiedni plik czcionki.

Dostęp

Polecenie: -TextStyle

Tematy pokrewne

Praca ze stylami tekstu

Tworzenie prostych notatek

Tworzenie notatek


Polecenie -UnitSystem

-UnitSystem

Polecenie -UnitSystem służy do ustawiania formatów i precyzji jednostek liniowych i kątowych. Jest to używany w oknie poleceń wariant polecenia UnitSystem.

Dostęp

Polecenie: -UnitSystem

Tematy pokrewne

Określanie jednostek i precyzji


Odświeżanie listy poleceń aliasów

Polecenie RefreshAliases inicjuje ponownie listę poleceń aliasów, zdefiniowaną w pliku alias.xml.

Polecenia RefreshAliases należy użyć po zmodyfikowaniu i zapisaniu pliku alias.xml poza aplikacją, na przykład przy użyciu edytora XML lub edytora tekstów ASCII, aby wczytać go ponownie do edytora rysunku.

Aby odświeżyć listę poleceń aliasów, należy:

  • Wpisać RefreshAliases w wierszu poleceń.

Dostęp

Polecenie: RefreshAliases

Tematy pokrewne

Ustawianie preferencji użytkownika

Dostosowywanie interfejsu użytkownika


Polecenie -LineColor

-LineColor

Polecenie -LineColor służy do ustawiania koloru dla nowych elementów. Jest to używany w oknie poleceń wariant polecenia LineColor.

Poniższa tabela wyszczególnia kolory, które można ustawić.

0 | "JakBlok"
1 | "czerwony"
2 | "żółty"
3 | "zielony"
4 | "niebiesko-zielony"
5 | "niebieski"
6 | "amarantowy"
7 | "biały"
8 .. 255 | Wprowadź liczbę
256 | "JakWarstwa"
Wartość RGB | "RGB:nnn,nnn,nnn"

Jeśli ustawiono JakWarstwa jako nazwę koloru, nowe elementy będą przyjmować kolor przypisany do warstwy, na której będą tworzone.

Jeśli ustawiono JakBlok jako nazwę koloru, nowe elementy są rysowane kolorem czarnym lub białym (zależnie od koloru tła ekranu). Gdy elementy zostaną uwzględnione w definicji bloku, odziedziczą one ustawienie koloru podczas wstawiania do rysunku.

Dobrą praktyką kreślarską jest ustawienie właściwości koloru linii i stylu linii jako JakWarstwa.

Aby ustawić kolor dla nowych elementów, należy:

  1. Wpisać -LineColor.
  2. Wpisać kolor dla nowych elementów lub określić opcję Wartość RGB.

    Wartość RGB pozwala wybierać z szerszej gamy kolorów poprzez zdefiniowanie koloru dla nowych elementów przy użyciu modelu barw RGB. Należy wpisać trzy wartości całkowite z zakresu od 0 do 255 rozdzielone przecinkami dla barwy czerwonej, zielonej i niebieskiej, na przykład: 127,0,127.

Dostęp

Polecenie: -LineColor

Tematy pokrewne

Ustawianie kolorów linii

Zarządzanie warstwami


Wyświetlanie stanu bieżącego rysunku

Polecenie GetStatus wyświetla informacje stanu dotyczące ustawień i użycia pamięci dla bieżącego rysunku, w tym między innymi:

  • Liczba elementów w rysunku
  • Obszar ograniczający model
  • Punkt bazowy wstawienia
  • Rozdzielczość przyciągania i odstępy siatki
  • Obszar rysunku widoczny na wyświetlaczu (wyrażony wartościami współrzędnych w lewym dolnym i prawym górnym narożniku)
  • Aktywny tryb (tryb modelu lub tryb arkusza) oraz aktywna karta Model lub Arkusz
  • Aktywna warstwa, kolor linii, styl linii, materiał i szerokość linii
  • Bieżące ustawienia dla poziomu, grubości, trybu wypełnienia stanu siatki i przyciągania, trybu ortogonalnego oraz trybu ramki tekstu
  • Wolne miejsce na dysku tymczasowym, wolna pamięć fizyczna, całkowita pamięć fizyczna, wolna przestrzeń pliku wymiany oraz całkowita przestrzeń pliku wymiany

Dostęp

Polecenie: GetStatus


Zarządzanie profilami interfejsu użytkownika

Polecenie UIProfile służy do tworzenia pojedynczych profili interfejsu użytkownika (zwanych również obszarami roboczymi) i zarządzania nimi.

Otwiera ono stronę Profile interfejsu użytkownika w oknie dialogowym Dostosuj.

Aby uzyskać szczegółowe informacje, patrz Dostosowywanie interfejsu użytkownika: zarządzanie profilami interfejsu użytkownika.

Dostęp

Polecenie: UIProfile

Tematy pokrewne

Dostosowywanie interfejsu użytkownika


Eksportowanie atrybutów bloku

Polecenie BlockAttributeOutput pozwala zapisać wartości atrybutów bloku dla określonych bloków do plików tekstowych w celu analizy i oceny danych przy użyciu oprogramowania obsługującego arkusze kalkulacyjne lub innych aplikacji.

Aby zapisać atrybuty bloku do plików tekstowych, należy:

  1. Wpisać BlockAttributeOutput w wierszu poleceń.
  2. W obszarze graficznym wybrać bloki z atrybutami bloku. Zaleca się wybieranie bloków wykorzystujących ten sam rodzaj struktury atrybutów bloku.
  3. Nacisnąć Enter.
  4. W oknie dialogowym Plik wyjściowy określić lokalizację i Nazwę pliku dla pliku .txt.

    Eksportowany plik jest plikiem tekstowym rozdzielanym znakami tabulacji.
  5. Kliknąć Zapisz.

Dostęp

Polecenie: BlockAttributeOutput

Tematy pokrewne

Definiowanie i wstawianie bloków

Praca z atrybutami bloku


Używanie okna dialogowego Wstaw odniesienie - Typ ustalenia

Okna dialogowego Wstaw odniesienie - Typ ustalenia należy użyć, aby rysunki odniesienia stały się częścią stałą rysunku hosta.

Opcje Ustal i Wstaw zapewniają dwa tryby powiązania odniesienia:

  • Tryb Ustal przekształca rysunek odniesienia na blok w rysunku i włącza symbole zależne, takie jak warstwy, definicje stylu linii, style tekstu i style wymiarowania do rysunku hosta z unikatowymi nazwami zaczynającymi się od przedrostka nazwa bloku$n$, gdzie nazwa bloku jest nazwą odniesienia, a n jest liczbą zaczynającą się od 0. Na przykład warstwa piwnicy z odniesienia zmieni się na dom$0$piwnica. Jeśli dana nazwa będzie już istnieć, numer zostanie zmieniony na większy, na przykład dom$1$piwnica. Opcja Ustal jest tradycyjnym wyborem podczas dołączania odniesień.
  • Tryb Wstaw odłącza odniesienia i wstawia rysunek odniesienia jako blok (podobnie jak w przypadku użycia polecenia InsertBlock). W takim przypadku elementy nowo przyłączone do rysunku są umieszczane na istniejących warstwach lub jest tworzona nowa warstwa, jeżeli wcześniej nie istniała w rysunku hosta. To samo dzieje się ze stylami linii, stylami tekstu itp. Nazwane definicje symboli zależnych są włączane do bieżącego rysunku bez dodawania przedrostków.

Aby powiązać odniesienie z rysunkiem, należy:

  1. Na palecie Odniesienia, na liście Pliki odniesienia, wybrać załadowane odniesienie.
  2. Kliknąć prawym przyciskiem myszy i wybrać Ustal.
  3. W oknie dialogowym Wstaw odniesienie określić Typ ustalenia:
    • Ustal. Konwertuje odnośnik do bloku i używa unikatowych nazw symboli dla warstw i definicji stylu w rysunku przy użyciu składni nazwa bloku$n$nazwa symbolu.
    • Wstaw. Odłącza odniesienie i wstawia rysunek odniesienia jako blok.
  4. Kliknąć OK.
  5. Odniesienie zniknie z listy Pliki odniesienia. Zostanie zastąpione przez wstawienie bloku.

Uwaga: Nie można powiązać odniesień zagnieżdżonych.

Tematy pokrewne

Używanie palety odniesień


Wyodrębnianie atrybutów bloku do pliku tekstowego

Polecenie ExtractBlockAttribute pozwala wyodrębnić wartości atrybutu bloku do plików tekstowych o różnych formatach. Pliki szablonów definiują dane do wyodrębnienia. Wyodrębnione dane można zbadać za pomocą oprogramowania arkuszy kalkulacyjnych lub innych aplikacji.

Aby wyodrębnić atrybuty bloku do pliku tekstowego, należy:

  1. Wpisać ExtractBlockAttribute w wierszu poleceń.
  2. W oknie dialogowym, w części Szablon wpisać nazwę szablonu, aby zdefiniować dane do wyodrębnienia. Kliknąć [image], aby przeglądać w poszukiwaniu pliku.
  3. Kliknąć Wybierz elementy [image], aby określić elementy do wyodrębnienia danych atrybutu bloku.

    Okno dialogowe zostanie tymczasowo zamknięte.
  4. W obszarze graficznym wybrać bloki z atrybutami bloku i nacisnąć Enter.
  5. W oknie dialogowym, w części Wyjściowy wpisać lokalizację i nazwę pliku wyjściowego. Kliknąć [image], aby wybrać nazwę pliku.
  6. W części Format wybrać format pliku do użycia podczas zapisywania informacji o atrybutach bloku.
    • Plik rozdzielany przecinkami (CDF): Pola każdego rekordu atrybutów bloku są rozdzielone przecinkami. Ciągi znaków są zamknięte w cudzysłowach pojedynczych.
    • Plik z wyciągiem formatu DXF (DXX): Zapisuje wyodrębnione dane w pliku DXF zredukowanym do odpowiednich danych atrybutu bloku. Rozszerzenie DXX odróżnia ten plik od plików DXF. Jeśli wybrano format DXX, pole Szablon jest niedostępne, ponieważ szablon nie jest wymagany.
    • Plik rozdzielany spacjami (SDF): Pola każdego rekordu atrybutów bloku są rozdzielone spacjami. Ciągi znaków są zamknięte w cudzysłowach pojedynczych.
  7. Kliknąć OK.

Dostęp

Polecenie: ExtractBlockAttribute

Tematy pokrewne

Definiowanie i wstawianie bloków

Praca z atrybutami bloku


Polecenie -EditBlockAttribute

-EditBlockAttribute

Polecenie -EditBlockAttribute służy do edytowania zmiennych atrybutów bloków. Jest to używany w oknie poleceń wariant polecenia EditBlockAttribute.

Dostęp

Polecenie: -EditBlockAttribute

Tematy pokrewne

Edytowanie atrybutów bloku (wariant okna dialogowego)


Polecenie -MakeBlock

-MakeBlock

Polecenie -MakeBlock służy do definiowania bloku z wybranych elementów. Jest to używany w oknie poleceń wariant polecenia MakeBlock. Po utworzeniu definicji bloku można go wstawiać zawsze, gdy jest potrzebny w rysunku.

Aby zdefiniować blok, należy:

  1. Wpisać -MakeBlock w wierszu poleceń.
  2. Wpisać nazwę bloku lub określić opcję ?, aby wyszczególnić istniejące bloki.

    Nazwy bloków mogą zawierać maksymalnie 31 znaków. Dozwolone są litery, cyfry, spacje i takie znaki specjalne jak $, - oraz _.
  3. W obszarze graficznym kliknąć punkt wstawienia bloku. Można wybrać dowolny punkt leżący na bloku lub poza nim.
  4. Wybrać elementy tworzące blok i nacisnąć Enter.

    Elementy są usuwane z rysunku. W oparciu o te elementy zapisywana jest definicja bloku wraz z rysunkiem.

    Aby ponownie wyświetlić elementy źródłowe, które definiują blok, należy użyć polecenia Undelete po użyciu polecenia -MakeBlock.

Jeżeli w rysunku jest już zdefiniowany blok o tej samej nazwie, konieczne jest potwierdzenie, że ma on zostać przedefiniowany.

Dostęp

Polecenie: -MakeBlock

Tematy pokrewne

Definiowanie bloków

Wstawianie bloków

Definiowanie atrybutów bloku


Dołączanie obrazów i zarządzanie obrazami odniesienia

Polecenie EditImage służy do dołączania obrazów do rysunku i zarządzania nimi. Można również odłączać obrazy od rysunków.

Polecenie to stanowi używany w oknie poleceń wariant poleceń AttachImage i References.

Aby wstawić obrazy odniesienia, należy:

  1. Wpisać EditImage w wierszu poleceń.
  2. Określić opcję Dołącz, aby utworzyć łącze do pliku obrazu i jego odniesienie w rysunku.
  3. Wpisać obraz, który należy dołączyć do rysunku.
  4. Wpisać pozycję (punkt wstawienia) dla obrazu.
  5. Wpisać skalę dla obrazu.
  6. Wpisać kąt obrotu, aby obrócić obraz podczas wstawiania.

    Rysunek odniesienia zostanie wyświetlony w miejscu umieszczenia.

Aby wyszczególnić obrazy odniesienia, należy:

  1. Wpisać EditImage.
  2. Określić opcję ?.
  3. Określić opcję *.

    W oknie poleceń zostaną wyświetlone ścieżki i nazwy plików dołączonych obrazów.

Aby zaktualizować obrazy odniesienia, należy:

Podczas pracy nad projektem w grupie roboczej może zachodzić potrzeba aktualizacji obrazów odniesienia w rysunkach.

  1. Wpisać EditImage.
  2. Określić opcję Wczytaj ponownie.
  3. Należy wpisać nazwę obrazu odniesienia do ponownego wczytania.

    Określony obraz zostanie wczytany ponownie w postaci, w jakiej został ostatnio zapisany.

Aby usunąć z pamięci obrazy odniesienia, należy:

  1. Wpisać EditImage.
  2. Określić opcję Usuń z pamięci.
  3. Wpisać nazwę obrazu odniesienia do usunięcia z pamięci.

    Obraz odniesienia usunięty z pamięci nie jest już widoczny w rysunku, lecz łącze do pliku jest pozostawione. Aby ponownie wyświetlić odniesienie usunięte z pamięci, należy użyć opcji Wczytaj ponownie.

Aby zresetować ścieżkę do obrazów odniesienia, należy:

Czasami lokalizacja obrazu odniesienia ulega zmianie lub zmieniana jest nazwa pliku odniesienia. Opcja Ścieżka ustanawia ponownie ścieżkę do obrazu odniesienia, ponownie dołącza plik obrazu odniesienia o zmienionej nazwie lub zastępuje obraz odniesienia innym plikiem.

  1. Wpisać EditImage.
  2. Określić opcję Ścieżka.
  3. Wpisać nazwę obrazu odniesienia, którego ścieżka wymaga aktualizacji.

    Wyświetlona zostanie stara ścieżka obrazu.
  4. Wpisać nową ścieżkę do obrazu.

Aby odłączyć obrazy odniesienia, należy:

Użycie opcji Odłącz usuwa obrazy odniesienia z rysunków.

  1. Wpisać EditImage.
  2. Określić opcję Odłącz.

    Uwaga    : Mimo że można usuwać obrazy odniesienia przy użyciu polecenia Delete, do usunięcia łącza z pliku rysunku należy używać opcji Odłącz.
  3. Wpisać nazwy obrazów odniesień do odłączenia od bieżącego rysunku.

Dostęp

Polecenie: EditImage

Tematy pokrewne

Używanie palety odniesień

Dołączanie plików obrazów jako odniesień


Command -AttachImage

-AttachImage

Użyć polecenia -AttachImage, aby dołączyć obraz do bieżącego rysunku. Niektóre obsługiwane typy plików to: .bmp, .gif, .jpg, .jpeg, .png, .tif i .tiff.

Jest to używany w oknie poleceń wariant polecenia AttachImage.

Dostęp

Polecenie: -AttachImage

Tematy pokrewne

Dołączanie plików obrazów jako odniesień

Praca z obrazami i rysunkami odniesienia


Polecenie -InsertBlock

-InsertBlock

Polecenie -InsertBlock wstawia blok lub inny rysunek.

Jest to używany w oknie poleceń wariant polecenia InsertBlock.

Dostęp

Polecenie: -InsertBlock

Tematy pokrewne

Wstawianie bloków


Polecenie -ExportDrawing

-ExportDrawing

Polecenie -ExportDrawing zapisuje elementy, blok lub cały rysunek do nowego pliku rysunku. Jest to używany w oknie poleceń wariant polecenia ExportDrawing.

Dostęp

Polecenie: -ExportDrawing

Tematy pokrewne

Zapisywanie bloków do pliku


Polecenie -References

-References

Polecenie -References pozwala dołączać rysunki zewnętrzne jako odniesienia w bieżącym rysunku i zarządzać łączami do nich.

Aby dołączyć rysunki zewnętrzne jako odniesienia, należy:

  1. Wpisać -References w wierszu poleceń.
  2. Określić opcję:
    • Dołącz: Tworzy łącze do rysunku i jego odniesienie w bieżącym rysunku. Dołączony rysunek jest ostatnio zapisaną wersją. Opcja Dołącz dołącza rysunek zewnętrzny.
    • Nakładka: Tworzy łącze do rysunku i jego odniesienie w bieżącym rysunku. Opcja Nakładka nie dołącza rysunku zewnętrznego.
  3. W oknie dialogowym należy wybrać rysunek, który ma być dołączony do bieżącego rysunku, i kliknąć Otwórz.
  4. Ustawia pozycje dla rysunku odniesienia:
    • Kąt: Ustawia kąt obrotu i obraca rysunek podczas wstawiania.
    • Kąt podglądu: Ustawia kąt obrotu podglądu.
    • Skala podglądu, PX, PY, PZ: Ustawia skalę podglądu.
    • Punkt odniesienia: Pozwala na wprowadzenie punktu bazowego dla wstawiania odniesienia.
    • Skala jednorodna, X, Y, Z: Ustawia skalę dla osi X, Y i Z.
    • Rysunek odniesienia zostanie wyświetlony tam, gdzie zostanie umieszczony.

Aby wyszczególnić odniesienia, należy:

  1. Wpisać -References.
  2. Określić opcję ?.
  3. Określić opcję *.
  4. Bieżące rysunki odniesienia zostaną wyświetlone wraz z odpowiednimi typami odniesienia (Dołącz lub Nakładka), ścieżkami i nazwami plików.

Aby aktualizować odniesienia, należy:

  1. Wpisać -References.
  2. Określić opcję Wczytaj ponownie.
  3. Rysunki, które zawierają rysunki odniesienia, zostaną wyświetlone w ich bieżących stanach. Podczas pracy nad projektem w grupie roboczej może zachodzić potrzeba aktualizacji odniesień podczas pracy nad rysunkiem.
  4. Należy wpisać nazwę odniesienia do ponownego wczytania.
  5. Program wczyta ponownie określony rysunek w postaci, w jakiej został on ostatnio zapisany.

Aby usunąć odniesienia z pamięci, należy:

  1. Wpisać -References.
  2. Wpisać Usuń z pamięci.
  3. Wpisać nazwę odniesienia do usunięcia z pamięci.
  4. Odniesienie usunięte z pamięci nie jest już widoczne w rysunku, lecz łącze do pliku jest pozostawione. Aby ponownie wyświetlić odniesienie usunięte z pamięci, należy określić opcję Wczytaj ponownie.

Aby zresetować ścieżkę do odniesienia, należy:

Czasami lokalizacja pliku odniesienia ulega zmianie lub zmieniana jest nazwa pliku odniesienia. Osadzone rysunki odniesienia przesyłane pocztą elektroniczną również wymagają aktualizacji ścieżki. Opcja Ścieżka ustanawia ponownie ścieżkę do rysunku odniesienia, ponownie dołącza pliki odniesienia o zmienionych nazwach lub zastępuje rysunek odniesienia innym plikiem.

  1. Wpisać -References.
  2. Określić opcję Ścieżka.
  3. Wpisać nazwę odniesienia, którego ścieżka wymaga aktualizacji.
  4. Wyświetlona zostanie bieżąca ścieżka rysunku.
  5. Wpisać nową ścieżkę do rysunku.

Aby na stałe powiązać odniesienie z rysunkiem:

Wybrać opcję Ustal , aby uczynić rysunek odniesienia trwałym fragmentem rysunku, np. jeżeli chcemy wysłać rysunek pocztą elektroniczną lub zarchiwizować ostateczny rysunek. Rysunki odniesienia należy trwale połączyć z bieżącym rysunkiem, aby uniknąć dołączania zbioru rysunków w archiwum lub wiadomości e-mail.

  1. Wpisać -References.
  2. Wybrać opcję Ustal.
  3. Uwaga: Zachowanie opcji Ustal zależy od zmiennej polecenia SetRefBindMode.
  4. Uwaga: Zachowanie opcji Ustal zależy od zmiennej systemowej BINDTYPE.
  5. Wpisać nazwę odniesienia do trwałego połączenia z bieżącym rysunkiem.

Aby odłączyć odniesienie, należy:

Określić opcję Odłącz, aby usunąć rysunki odniesienia z bieżącego rysunku, co usuwa takie symbole zależne, jak warstwa, styl linii i definicje bloku z pliku rysunku.

Uwaga: Mimo że można usuwać odniesienia przy użyciu polecenia Delete, należy określić opcję Odłącz, aby usunąć z rysunku także symbole zależne.

  1. Wpisać -References.
  2. Określić opcję Odłącz.
  3. Wpisać nazwy odniesień do odłączenia od bieżącego rysunku.

Dostęp

Polecenie: -References

Tematy pokrewne

Dołączanie rysunków jako odniesień

Osadzanie obiektów zależnych i stylów odniesień


Osadzanie bloków, warstw i stylów odniesień

Polecenie -EmbedDrawing umożliwia osadzanie bloków, warstw i stylów rysunków odniesienia w danym rysunku.

Aby osadzić zależne bloki, warstwy i style odniesień, należy:

  1. Wpisać -EmbedDrawing w wierszu poleceń.
  2. Określić typ elementu do osadzenia: blok, styl wymiarowania, warstwa, styl linii lub styl tekstu.
  3. Wpisać nazwy elementu. Konieczne jest określenie pełnej nazwy włącznie z nazwą odniesienia i pionową kreską ( | ) przed nazwą elementu.

Dostęp

Polecenie: -EmbedDrawing

Tematy pokrewne

Tworzenie odniesień do rysunków - podstawy

Dołączanie rysunków jako odniesień

Praca z obrazami i rysunkami odniesienia


Tworzenie 3-punktowych wymiarów kątowych

Polecenie 3PointAngleDimension służy do tworzenia wymiaru kątowego na bazie wierzchołka i dwóch punktów na ramionach wychodzących z wierzchołka.

Polecenie to pozwala tworzyć wymiar kąta wewnętrznego pomiędzy dwoma ramionami i kąta zewnętrznego.

Aby utworzyć trzypunktowe wymiary kątowe, należy:

  1. Wpisać 3PointAngleDimension w wierszu poleceń.
  2. W obszarze graficznym:
    1. Wybrać wierzchołek kąta.
    2. Wybrać dwa inne punkty, aby zdefiniować kąt.
    3. Kliknąć, aby umieścić linie łuku wymiarowego, lub określić opcję:

      Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

      Pozycja określa, czy mierzony jest kąt wewnętrzny czy zewnętrzny.

Aby utworzyć wymiar kątowy uformowany przez dwa punkty na obwodzie łuku, należy użyć przyciągań elementów w celu zdefiniowania punktu środkowego i dwóch punktów na obwodzie łuku.

Dostęp

Polecenie: 3PointAngleDimension

Tematy pokrewne

Tworzenie wymiarów kątowych

Tworzenie 4-punktowych wymiarów kątowych


Tworzenie 4-punktowych wymiarów kątowych

Polecenie 4PointAngleDimension służy do tworzenia wymiaru kątowego na bazie dwóch punktów na każdym z dwóch ramion kąta.

Polecenie to pozwala tworzyć wymiar kąta wewnętrznego pomiędzy dwoma ramionami i kąta zewnętrznego.

Aby utworzyć czteropunktowe wymiary kątowe, należy:

  1. Wpisać 4PointAngleDimension w wierszu poleceń.
  2. W obszarze graficznym:
    • Wybrać dwa punkty, aby zdefiniować pierwszą linię.
    • Wybrać dwa inne punkty, aby zdefiniować drugą linię.
    • Kliknąć, aby umieścić linie łuku wymiarowego, lub określić opcję:

      Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

      Pozycja określa, czy mierzony jest kąt wewnętrzny czy zewnętrzny.

Polecenie EntitySnaps służy do definiowania dwóch ramion na elementach.

Dostęp

Polecenie: 4PointAngleDimension

Tematy pokrewne

Tworzenie wymiarów kątowych

Tworzenie 3-punktowych wymiarów kątowych


Rozwiązywanie wymiarów

Polecenie UnrelateDimension rozwiązuje relację wymiarów względem elementów.

Aby rozwiązać wymiary, należy:

  1. Wpisać UnrelateDimension w wierszu poleceń.
  2. W obszarze graficznym wybrać wymiary i nacisnąć Enter.

Uwaga: Polecenie RelateDimension służy do przywracania skojarzenia pomiędzy elementami rysunku i rozwiązanymi wymiarami.

Dostęp

Polecenie: UnrelateDimension


Tworzenie poziomych wymiarów liniowych

Polecenie HorizontalDimension pozwala tworzyć poziome wymiary liniowe. Mierzona jest pozioma odległość pomiędzy punktami definiującymi, a linia wymiarowa jest równoległa do osi X.

Aby utworzyć poziome wymiary liniowe, należy:

  1. Wpisać HorizontalDimension w wierszu poleceń.
  2. Kliknąć w obszarze graficznym, aby ustawić początki pierwszej i drugiej linii pomocniczej.

    - lub -

    Nacisnąć Enter, a następnie wybrać element do zwymiarowania. Można określić linie, polilinie, okręgi i łuki. Mierzone są punkty początkowe i końcowe elementów liniowych lub średnice elementów kołowych.
  3. Kliknąć w obszarze graficznym, aby umieścić linie wymiarowe lub określić opcję:

    Kąt, Notatka lub Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Pomiar jest umieszczany jako tekst wymiaru w oparciu o definicje bieżącego stylu wymiarowania.

Aby zwymiarować rzeczywistą długość linii nierównoległych do osi X lub Y układu współrzędnych, należy użyć polecenia ParallelDimension.

Dostęp

Polecenie: HorizontalDimension

Tematy pokrewne

Tworzenie wymiarów liniowych

Tworzenie pionowych wymiarów liniowych

Tworzenie wymiarów równoległych


Polecenie -DimensionStyle

-DimensionStyle

Polecenie -DimensionStyle służy do zapisywania, przywracania i kontrolowania stylów wymiarowania. Style wymiarowania ustawiają wygląd wymiarów.

Nowo tworzone wymiary wykorzystują ustawienia aktywnego stylu wymiarowania. W przypadku modyfikacji stylu wymiarowania wszystkie wymiary bazujące na tym stylu wymiarowania są automatycznie aktualizowane. Aby zmodyfikować ustawienia stylu wymiarowania zdefiniowanego przez użytkownika, należy użyć polecenia DimensionStyle.

Aby zapisać styl wymiarowania, należy:

  1. Wpisać -DimensionStyle w wierszu poleceń.
  2. Określić opcję Zapisz.
  3. Wpisać nazwę dla nowego stylu wymiarowania.

Aby przywrócić zapisany styl wymiarowania, należy:

  1. Wpisać -DimensionStyle.
  2. Określić opcję Przywróć.
  3. Wpisać nazwę zapisanego stylu wymiarowania lub nacisnąć Enter, aby wybrać wymiar odniesienia.

    Nazwa przywracanego stylu wymiarowania jest wyświetlana w oknie poleceń.

Aby zastosować ustawienia aktywnego stylu wymiarowania do określonych wymiarów, należy:

  1. Wpisać -DimensionStyle.
  2. Określić opcję Zastosuj.
  3. W obszarze graficznym wybrać wymiary do zaktualizowania przy użyciu aktywnego stylu wymiarowania.
  4. Nacisnąć Enter.

    Wybrane wymiary zostaną zaktualizowane przy użyciu aktywnego stylu wymiarowania.

Aby wyszczególnić nazwy stylów wymiarowania, należy:

  1. Wpisać -DimensionStyle.
  2. Określić opcję ?.
  3. Określić opcję *, aby wyszczególnić wszystkie nazwy stylów wymiarowania, lub wprowadzić listę stylów wymiarowania, by zobaczyć podzbiór stylów wymiarowania w bieżącym rysunku.

Dostęp

Polecenie: -DimensionStyle

Tematy pokrewne

Praca ze stylami wymiarowania


Weryfikowanie pomiarów wymiarów

Polecenie VerifyDimensions służy do weryfikowania wszystkich pomiarów skojarzonych wymiarów w rysunku.

Tekst wymiaru zostanie zaktualizowany w przypadku wykrycia niezgodności ze zmierzoną wartością, chyba że tekst wymiaru był edytowany w celu zastąpienia zmierzonych wymiarów.

Aby zweryfikować pomiary wymiarów, należy:

  • Wpisać VerifyDimensions w wierszu poleceń.

Dostęp

Polecenie: VerifyDimensions


Tworzenie obróconych wymiarów liniowych

Polecenie RotatedDimension tworzy pochylony wymiar pod kątem określonym dla linii wymiarowej. Odległość pomiędzy punktami definiującymi jest mierzona wzdłuż określonego obrotu (równolegle do pochylonej linii wymiarowej).

Aby utworzyć obrócone wymiary liniowe, należy:

  1. Wpisać RotatedDimension w wierszu poleceń.
  2. W obszarze graficznym wybrać początki pierwszej i drugiej linii pomocniczej.

    - lub -

    Nacisnąć Enter, a następnie wybrać element do zwymiarowania. Można wybrać linie, polilinie, okręgi i łuki. Mierzone są punkty początkowe i końcowe elementów liniowych lub średnice elementów kołowych.
  3. Kliknąć, aby umieścić linie wymiarowe lub określić opcję:

    Kąt, Notatka i Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Pomiar jest umieszczany jako tekst wymiaru w oparciu o definicje bieżącego stylu wymiarowania.

Dostęp

Polecenie: RotatedDimension


Tworzenie pionowych wymiarów liniowych

Polecenie VerticalDimension pozwala tworzyć pionowe wymiary liniowe. Mierzona jest pionowa odległość pomiędzy punktami definiującymi, a linia wymiarowa jest równoległa do osi Y.

Aby utworzyć pionowe wymiary liniowe, należy:

  1. Wpisać VerticalDimension w wierszu poleceń.
  2. W obszarze graficznym wybrać początki pierwszej i drugiej linii pomocniczej.

    - lub -

    Nacisnąć Enter, a następnie wybrać element do zwymiarowania. Można wybrać linie, polilinie, okręgi i łuki. Mierzone są punkty początkowe i końcowe elementów liniowych lub średnice elementów kołowych.
  3. Kliknąć, aby umieścić linie wymiarowe lub określić opcję:

    Kąt, Notatka i Tekst: Patrz: Edytowanie i formatowanie tekstu wymiaru.

    Pomiar jest umieszczany jako tekst wymiaru w oparciu o definicje bieżącego stylu wymiarowania.

Aby zwymiarować rzeczywistą długość linii nierównoległych do osi X lub Y układu współrzędnych, należy użyć polecenia ParallelDimension.

Dostęp

Polecenie: VerticalDimension

Tematy pokrewne

Tworzenie wymiarów liniowych

Tworzenie poziomych wymiarów liniowych

Tworzenie wymiarów równoległych


Tworzenie prostych notatek

Polecenie -SimpleNote służy do tworzenia jednoliniowego tekstu w dowolnej pozycji, orientacji, wyrównaniu i stylu tekstu. Polecenie to stanowi używany w oknie poleceń wariant polecenia SimpleNote.

Aby utworzyć proste notatki, należy:

  1. Wpisać -SimpleNote w wierszu poleceń.
  2. Kliknąć w obszarze graficznym lub wpisać współrzędne, aby określić punkt początkowy prostej notatki.
  3. - lub -
  4. Określić opcję Wyrównanie i określić wyrównanie tekstu (np. Środek dla punktu środkowego linii bazowej tekstu, GL dla górnego lewego punktu tekstu). (Linia pionowa: G = góra, C = centrum, D = dół; linia pozioma: L = lewa strona, S = środek, P = prawa strona):
  5. Kliknąć w obszarze graficznym lub wpisać żądany punkt tekstu w oparciu o wybrane wyrównanie.
  6. - lub -
  7. Określić opcję Styl tekstu i wpisać nazwę stylu tekstu lub określić opcję ?, a następnie *, aby wyszczególnić wszystkie zdefiniowane style tekstu.
  8. Kliknąć w obszarze graficznym lub wpisać wartość dla wysokości. (Ma zastosowanie tylko, jeśli wysokość aktywnego stylu tekstu wynosi 0.00.)
  9. Kliknąć w obszarze graficznym lub wpisać wartość dla kąta (orientacji), pod którym ma przebiegać tekst.
  10. Wpisać tekst.
  11. Nacisnąć Enter, aby wpisać drugą linię tekstu. Można wprowadzić dowolną liczbę kolejnych linii.
  12. Wpisać tekst, a następnie nacisnąć klawisz Enter.
  13. W obszarze graficznym pojawi się wiersz tekstu.

Dostęp

Polecenie: -SimpleNote

Tematy pokrewne

Tworzenie prostych notatek (wariant okna dialogowego)

Edytowanie prostych notatek i adnotacji

Tworzenie notatek

Praca ze stylami tekstu


Polecenie -AreaBoundary

-AreaBoundary

Polecenie -AreaBoundary służy do tworzenia polilinii lub regionu na podstawie zamkniętego obszaru. Jest to używany w oknie poleceń wariant polecenia AreaBoundary.

Dostęp

Polecenie: -AreaBoundary

Tematy pokrewne

Tworzenie obwiedni obszaru

Konstruowanie polilinii


Konstruowanie siatek ścian wieloboków

Polecenie PolyFace służy do tworzenia siatek wieloboków 3D o dowolnych topologiach i właściwościach powierzchni.

Uwaga: Mimo że polecenie PolyFace jest rzadko używane jako jawne polecenie w rysunkach, zapewnia ono łatwą metodę generowania siatek w zastosowaniach bazujących na listach punktów 3D, takich jak analiza punktów pomiarowych. Polecenie to jest używane głównie w skryptach w celu konstruowania ogólnych siatek ścian wieloboków.

Aby utworzyć siatki ścian wieloboków, należy:

  1. Wpisać PolyFace w wierszu poleceń.
  2. W obszarze graficznym kliknąć każdy wierzchołek i nacisnąć Enter.
  3. Ustalić ściany poprzez określenie, które numery wierzchołków leżą na każdej ze ścian siatki ściany wieloboku, lub określić opcję:
    • Kolor linii: Określa numer lub nazwę koloru dla bieżącej ściany.
    • Warstwa: Wpisać nazwę warstwy dla bieżącej ściany.
  4. Nacisnąć Enter, aby zakończyć definicję ściany.
  5. Nacisnąć Enter, aby zakończyć konstruowanie siatki ściany wieloboku.

Nie należy mylić siatek ścian wieloboku tworzonych przy użyciu polecenia PolyFace z siatkami wieloboku tworzonymi przy użyciu polecenia Mesh.

Dostęp

Polecenie: PolyFace

Tematy pokrewne

Tworzenie siatek wieloboku


Polecenie -MakeBlockAttribute

-MakeBlockAttribute

Polecenie -MakeBlockAttribute służy do tworzenia definicji atrybutów bloków. Jest to używany w oknie poleceń wariant polecenia MakeBlockAttribute.

Dostęp

Polecenie: -MakeBlockAttribute

Tematy pokrewne

Definiowanie atrybutów bloku

Definiowanie bloków


Polecenie -Hatch

-Hatch

Polecenie -Hatch służy do wypełniania zamkniętych obszarów lub określonych elementów wzorem kreskowania. Jest to używany w oknie poleceń wariant polecenia Hatch.

Dostęp

Polecenie: -Hatch

Tematy pokrewne

Tworzenie kreskowań


Polecenie -Note

-Note

Polecenie -Note służy do tworzenia bloków tekstowych. Jest to używany w oknie poleceń wariant polecenia Note.

Dostęp

Polecenie: -Note

Tematy pokrewne

Tworzenie notatek

Modyfikowanie notatek

Praca ze stylami tekstu


Polecenie -Table

-Table

Polecenie -Table służy do tworzenia tabeli w rysunku. Jest to używany w oknie poleceń wariant polecenia Table.

Dostęp

Polecenie: -Table

Tematy pokrewne

Tworzenie tabel

Zarządzanie stylami tabeli


Konstruowanie prostych wieloboków

Prosty wielobok to zamknięty liniowy element polilinii, składający się z 3 do 1024 boków o jednakowej długości i jednakowym kącie rozwarcia.

Aby skonstruować proste wieloboki, należy:

  1. Wpisać SimplePolygon w wierszu poleceń.
  2. Wpisać liczbę boków dla wieloboku.
  3. W obszarze graficznym określić punkt początkowy i końcowy krawędzi, aby zdefiniować krawędź bazową wieloboku.

Dostęp

Polecenie: SimplePolygon

Tematy pokrewne

Konstruowanie wieloboków

Konstruowanie polilinii

Konstruowanie prostokątów


Konstruowanie tras

Polecenie Trace tworzy linie ciągłe 2D o określonej szerokości.

Aby skonstruować trasy, należy:

  1. Wpisać Trace w wierszu poleceń.
  2. Wpisać wartość lub kliknąć w obszarze graficznym, aby ustawić szerokość.
  3. Wpisać wartość lub kliknąć w obszarze graficznym, aby ustawić punkt początkowy i kolejne punkty.
  4. Nacisnąć Enter.

Dostęp

Polecenie: Trace

Tematy pokrewne

Konstruowanie polilinii


Konstruowanie trapezoidów

Polecenie Trapezoid służy do rysowania elementów stożkowych 2D. Trapezoid jest tworzony jako element polilinii.

Aby skonstruować trapezoidy, należy:

  1. Wpisać Trapezoid w wierszu poleceń.
  2. W obszarze graficznym określić punkt środkowy pierwszego boku.
  3. Określić kąt wstawania trapezoidu (kąt osi).
  4. Określić długość osi.
  5. Określić wysokość pierwszej podstawy trapezoidu.
  6. Określić wysokość drugiej podstawy.

Dostęp

Polecenie: Trapezoid


Modyfikowanie elementów i właściwości elementów

Polecenie Modify służy do zmieniania geometrii i cech charakterystycznych linii, okręgów, prostych notatek, definicji atrybutów bloku oraz wstawień bloków. Można również zmieniać właściwości elementów rysunku, takie jak warstwa, kolor linii, styl linii i szerokość linii.

Aby zmodyfikować elementy, należy:

  1. Wpisać Modify w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do zmienienia i nacisnąć Enter.
  3. Określić punkt zmiany lub określić opcję Właściwości, aby zmienić właściwości.
  4. Jeśli określono punkt zmiany, modyfikacje uzależnione są od typu geometrii:
    • W przypadku linii: Przenieść punkty końcowe linii do nowej pozycji. Zmieniana jest pozycja punktu najbliższego punktowi wyboru.
    • W przypadku okręgów: Określony punkt zmiany wymusza przebieg obwodu okręgu przez ten punkt, zachowując ten sam punkt środkowy.
    • W przypadku prostych notatek: Modyfikowany jest punkt wstawienia, styl tekstu, wysokość tekstu, kąt obrotu oraz ciąg tekstu jednowierszowego.
    • W przypadku definicji atrybutów bloku: Modyfikowany jest punkt wstawienia, styl tekstu, wysokość tekstu, kąt obrotu, nazwa metki, monit oraz wartość definicji atrybutu.
    • W przypadku bloków: Zmieniany jest punkt wstawienia i kąt obrotu dla wstawienia bloku.
  5. Jeśli określono Właściwości, należy określić opcję typu właściwości:
    • Poziom: Patrz polecenie ZPlane.
    • Warstwa: Patrz polecenie Layer.
    • Kolor linii: Patrz polecenie -LineColor.
    • Skala linii: Patrz polecenie LineScale.
    • Styl linii: Patrz polecenie LineStyle.
    • Szerokość linii: Patrz polecenie -LineWeight.
    • Przezroczystość: Wyznacza nowe przezroczystości dla elementów.
    • Materiał: Określa nową nazwę materiału.
    • Grubość: Patrz polecenie ZPlane.

Dostęp

Polecenie: Modify

Tematy pokrewne

Wyświetlanie i modyfikowanie właściwości (paleta właściwości)

Kopiowanie właściwości pomiędzy elementami (malarz właściwości)

Modyfikowanie właściwości elementu


Modyfikowanie właściwości elementu

Polecenie ModifyProperties służy do zmieniania właściwości wybranych elementów. Polecenie to działa w oknie poleceń. Zmienianie właściwości przy użyciu interfejsu graficznego opisano w temacie Wyświetlanie i modyfikowanie właściwości.

Aby zmodyfikować właściwości elementu, należy:

  1. Wpisać ModifyProperties w wierszu poleceń.
  2. W obszarze graficznym wybrać elementy do zmienienia i nacisnąć Enter.
  3. Określić opcję:
    • Poziom: Patrz polecenie ZPlane.
    • Warstwa: Patrz polecenie Layer.
    • Kolor linii: Patrz polecenie -LineColor.
    • Skala linii: Patrz polecenie LineScale.
    • Styl linii: Patrz polecenie LineStyle.
    • Szerokość linii: Patrz polecenie -LineWeight.
    • Przezroczystość: Wyznacza nowe przezroczystości dla elementów.
    • Materiał: Określa nową nazwę materiału.
    • Grubość: Patrz polecenie ZPlane.

Dostęp

Polecenie: ModifyProperties

Tematy pokrewne

Wyświetlanie i modyfikowanie właściwości (paleta właściwości)

Kopiowanie właściwości pomiędzy elementami (malarz właściwości)


Modyfikowanie notatek

Polecenie EditNotes służy do modyfikowania notatek.

Aby zmodyfikować notatki, należy:

  1. Wpisać EditNote w wierszu poleceń.
  2. Wybrać notatkę w obszarze graficznym.
  3. Notatkę należy edytować w miejscu, korzystając z podręcznego paska narzędzi Formatowanie notatki do formatowania.
  4. Przy użyciu polecenia NoteOptions można decydować, czy zamiennie użyć starszej wersji okna dialogowego Edytuj notatkę. Edytować i formatować tekst w oknie dialogowym.
  5. Kliknąć OK.

Polecenie to można zastosować tylko do notatek, a nie do prostych notatek.

Dostęp

Polecenie: EditNote

Tematy pokrewne

Tworzenie notatek

Edytowanie prostych notatek i adnotacji

Praca ze stylami tekstu


Ukrywanie palety właściwości

Polecenie HideProperties służy do zamykania palety Właściwości. Paleta Właściwości wyświetla dane geometryczne i właściwości wybranego elementu lub wspólne właściwości kilku wybranych elementów.

Aby ukryć paletę Właściwości, należy:

  • Wpisać HideProperties w wierszu poleceń.

Aby pokazać paletę Właściwości, należy:

  • Wpisać Properties.

Dostęp

Polecenie: HideProperties

Tematy pokrewne

Wyświetlanie i modyfikowanie właściwości (paleta właściwości)


Polecenie -Pattern

-Pattern

Polecenie -Pattern służy do tworzenia wielu kopii elementów we wzorze (ustawionych w wierszach i kolumnach, na okręgu lub łuku). Jest to używany w oknie poleceń wariant polecenia Pattern.

Dostęp

Polecenie: -Pattern

Tematy pokrewne

Tworzenie wzorów elementów


Polecenie -EditHatch

-EditHatch

Polecenie -EditHatch służy do modyfikowania istniejącego kreskowania lub wypełnienia kolorem. Jest to używany w oknie poleceń wariant polecenia EditHatch.

Dostęp

Polecenie: -EditHatch

Tematy pokrewne

Edytowanie kreskowań i wypełnień


Polecenie -EditRichLine

-EditRichLine

Polecenie -EditRichLine służy do edytowania linii wzbogaconych. Jest to używany w oknie poleceń wariant polecenia EditRichLine.

Polecenia wyświetlają monit o wybranie opcji modyfikacji linii wzbogaconej:

  • Dodaj wierzchołek
  • Usuń wierzchołek
  • Zamknięty krzyż
  • Otwarty krzyż
  • Złącze krzyżowe
  • Zamknięty trójnik
  • Otwarty trójnik
  • Złącze trójnikowe
  • Połączenie narożnikowe
  • Utnij pojedynczy
  • Utnij wszystko
  • Połącz wszystko

Opcje te odpowiadają opcjom w oknie dialogowym EditRichLine.

Kolejne sekwencje wariantu okna poleceń są identyczne jak w wariancie okna dialogowego.

Dostęp

Polecenie: -EditRichLine

Tematy pokrewne

Konstruowanie linii wzbogaconych

Zarządzanie stylami linii wzbogaconej


Polecenie -Rename

-Rename

Polecenie -Rename służy do zmieniania nazw definicji bloków, niestandardowych układów współrzędnych (NUW), stylów wymiarowania, warstw, stylów linii, materiałów, stylów linii wzbogaconej, stylów tabeli, stylów tekstu, widoków i wyświetlań sąsiadujących.

Aby zmienić nazwy elementów, należy:

  1. Wpisać -Rename w wierszu poleceń.
  2. Określić typ elementu do zmiany nazwy.
  3. Wpisać nazwę elementu, którego nazwę należy zmienić.
  4. Wpisać nową nazwę.

Tematy pokrewne

Zmienianie nazw stylów i elementów rysunku


Edytowanie wierzchołków polilinii

Polecenie EditVertex służy do zmieniania wierzchołków i segmentów polilinii 2D. Można wstawiać, przenosić i usuwać wierzchołki polilinii.

Aby edytować wierzchołki polilinii, należy:

  1. Wpisać EditVertex w wierszu poleceń.
  2. W obszarze graficznym wybrać polilinię 2D zawierającą wierzchołki do edycji.

    Polecenie rozpoczyna od punktu początkowego określonej polilinii jako pierwszy wierzchołek do edytowania. Do przechodzenia między wierzchołkami służą opcje Następny i Poprzedni. Bieżący wierzchołek jest oznaczony krzyżykiem.

Aby dodać wierzchołki polilinii, należy:

  1. Wpisać EditVertex.
  2. W obszarze graficznym wybrać polilinię 2D i określić opcję Następny, aby przejść do wierzchołka.
  3. Określić opcję Wstaw.
  4. Kliknąć w obszarze graficznym lub wpisać współrzędne, aby określić pozycję nowego wierzchołka.

    Szerokość nowego segmentu odpowiada wartościom szerokości w polilinii.

Aby przenieść wierzchołki polilinii, należy:

  1. Wpisać EditVertex.
  2. W obszarze graficznym wybrać polilinię 2D i określić opcję Następny, aby przejść do wierzchołka, który należy przenieść.
  3. Określić opcję Przenieś.
  4. Kliknąć w obszarze graficznym lub wpisać współrzędne, aby określić nową pozycję wierzchołka.

Aby usunąć wierzchołek polilinii, należy:

  1. Wpisać EditVertex.
  2. W obszarze graficznym wybrać polilinię 2D i określić opcję Następny, aby przejść do wierzchołka, który należy usunąć.
  3. Określić opcję Usuń .

Dostęp

Polecenie: EditVertex

Tematy pokrewne

Edytowanie polilinii


Wywoływanie Menedżera plików

Polecenie FileManager służy do wyświetlania Menedżera plików systemu operacyjnego.

Aby wywołać Menedżera plików, należy:

  • Wpisać FileManager w wierszu poleceń.
  • Zostanie otwarte okno menedżera.

Dostęp

Polecenie: FileManager


Rozpoczynanie nowego rysunku z wykorzystaniem domyślnego rysunku szablonu

Polecenie SmartNew służy do rozpoczynania nowego rysunku z wykorzystaniem domyślnego rysunku szablonu.

Aby rozpocząć nowy rysunek z wykorzystaniem domyślnego rysunku szablonu, należy:

  • Wpisać SmartNew w wierszu poleceń.

    Otwarty zostanie nowy rysunek.

    Domyślnie nowy rysunek otrzymuje nazwę NONAME_n.dwg.

Aby ustawić domyślny rysunek szablonu, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. W oknie dialogowym Opcje kliknąć Opcje systemu [image] .
  5. Rozwinąć Otwórz / Zapisz jako > Nazwa pliku szablonu dla SmartNew.
  6. Kliknąć Przeglądaj, aby ustawić inny rysunek szablonu.

W przeciwieństwie do polecenia SmartNew, polecenie Nowy żąda rysunku szablonu.

Dostęp

Polecenie: SmartNew

Tematy pokrewne

Rozpoczynanie nowego rysunku


Otwieranie rysunku w wierszu poleceń

Polecenie SmartOpen służy do otwierania istniejącego rysunku poprzez określenie nazwy rysunku w wierszu poleceń. Polecenia tego można używać w skryptach, aby otwierać rysunki bez wyświetlania okna dialogowego.

Aby ponownie otworzyć istniejący rysunek w wierszu poleceń, należy:

  1. Wpisać SmartOpen w wierszu poleceń.
  2. Wprowadzić nazwę pliku rysunku do otwarcia wraz ze ścieżką i rozszerzeniem.

    Jeżeli rysunek istnieje, zostanie on otwarty.

W przeciwieństwie do polecenia SmartOpen, polecenie Open wyświetla okno dialogowe pozwalające na przeglądanie i określenie istniejącego rysunku do otwarcia.

Dostęp

Polecenie: SmartOpen

Tematy pokrewne

Otwieranie rysunku


Tworzenie pliku mapy bitowej z określonego widoku

Polecenie SmartBMP służy do zapisywania określonego widoku rysunku do pliku mapy bitowej (BMP).

Aby utworzyć plik BMP z określonego widoku, należy:

  1. Wpisać SmartBMP w wierszu poleceń.
  2. Określić region rysunku, z którego należy utworzyć plik BMP:
    • Wszystko: Widok do utworzenia jest określony przez zakres rysunku (ramka ograniczająca pokryta widocznymi elementami rysunku).
    • Widok: Widok do utworzenia jest regionem rysunku widocznym na ekranie.
    • Okno: Widok do utworzenia jest regionem określonym przez podanie dwóch przeciwległych narożników w obszarze graficznym.
  3. Wpisać szerokość mapy bitowej. Zaakceptować obliczoną wartość domyślną lub wpisać wartość w pikselach z zakresu od 10 do 2000.
  4. Wpisać wysokość mapy bitowej. Zaakceptować obliczoną wartość domyślną lub wpisać wartość w pikselach z zakresu od 10 do 2000.
  5. Określić odpowiednią opcję, aby zdefiniować, czy należy przesłać dane do Pliku, czy do Schowka.
  6. Określić format mapy bitowej: JPEG, RGB, RLE4 lub RLE8.
  7. Wpisać liczbę kolorów do użycia. 1 tworzy bitmapę monochromatyczną.
  8. Jeśli określono, że dane obrazu mają być zapisane w pliku, należy określić nazwę pliku.

Uwaga: Aby zapisać bieżący widok do pliku mapy bitowej (BMP), należy użyć polecenia ExportBMP.

Dostęp

Polecenie: SmartBMP

Tematy pokrewne

Tworzenie pliku mapy bitowej z rysunku

Tworzenie pliku PNG z rysunku

Tworzenie pliku JPEG z rysunku

Tworzenie pliku SVG z rysunku

Tworzenie pliku PDF z rysunku


Wyświetlanie menu obrazkowe

Użyj polecenia ImageMenu, aby wyświetlić dostosowane menu obrazkowe. W oknach dialogowych menu obrazkowych wyświetlane są kafle, które można wybrać zamiast elementów tekstowych. Z obrazami skojarzone są sekwencje poleceń do wykonania.

Menu obrazkowe służą jako rodzaj podmenu w menu aplikacji.

Aby wyświetlić menu obrazkowe:

  1. Wpisać ImageMenu w wierszu poleceń.
  2. Określić plik menu zawierający menu obrazkowe (*.mnu lub *.mni).
  3. Określić plik menu zawierający menu obrazkowe (*.mnu lub *.mni).
  4. Określić plik menu zawierający menu obrazkowe (*.mnu).
  5. Określić nazwę menu obrazkowego.
  6. W oknie dialogowym wybrać obraz lub etykietę.
  7. Kliknąć Widok, aby wyświetlić wybrany obraz w większym formacie.
  8. Jeżeli menu obrazkowe zawiera więcej niż 16 elementów, należy kliknąć Dalej, aby wyświetlić następną stronę. Kliknąć Wstecz, aby powrócić do poprzedniej strony.
  9. Kliknąć OK.
  10. Zostanie wykonana sekwencja poleceń związanych z wybranym obrazem.

Dwukrotnie kliknąć obraz, aby uruchomić sekwencję poleceń.

Dostęp

Polecenie: ImageMenu


Zarządzanie plikami częściowo dostosowanymi

Polecenie LoadCustomization służy do dodania do głównego pliku dostosowania lub usunięcia z niego plików częściowo dostosowanych.

Aby dodać pliki częściowo dostosowane do głównego pliku dostosowania, należy:

  1. Wpisać LoadCustomization w wierszu poleceń.
  2. W oknie dialogowym kliknąć Przeglądaj, aby zlokalizować dostosowanie lub plik menu (*.xml, *.mnu, lub *.cui).
  3. Kliknąć Dodaj, aby dodać plik do zestawu plików dostosowanych.
  4. Kliknąć Zamknij.
  5. Plik jest dodawany do źródeł dostosowania, którymi można zarządzać przy użyciu polecenia Dostosuj.

Aby usunąć pliki częściowo dostosowane z głównego pliku dostosowania, należy:

  1. Wpisać LoadCustomization w wierszu poleceń.
  2. W oknie dialogowym na karcie Dostosowywanie wybrać plik częściowo dostosowany w celu jego usunięcia.
  3. Kliknąć Usuń.
  4. Kliknąć Zamknij.
  5. Plik częściowo dostosowany jest usunięty z głównego pliku dostosowania.

Dostęp

Polecenie: LoadCustomization


Zmiana głównego pliku dostosowania

Polecenie LoadMenu służy do zmieniania głównego pliku dostosowania. Pliki dostosowania przechowują elementy określające interfejs użytkownika (menu, paski narzędzi, skróty klawiaturowe i funkcje przycisków myszy).

Aby zmienić główny plik dostosowania, należy:

  1. Wpisać LoadMenu w wierszu poleceń.
  2. W oknie dialogowym, w obszarze Pliki typu, wybrać typ pliku (*.xml, *.mnu, lub *.cui).
  3. Przejść do pliku dostosowania i kliknąć Otwórz.
  4. Określony plik dostosowania zastępuje bieżący plik.

Uwaga: Główny plik dostosowania można także ustawić za pomocą polecenia Opcje. W oknie dialogowym kliknąć Lokalizacje plików, rozwinąć Interfejs, a następnie wybrać Plik dostosowany.

Dostęp

Polecenie: LoadMenu


Polecenie -Toolbars

-Toolbars

Polecenie -Toolbars służy do wyświetlania i ukrywania pasków narzędzi. Polecenie to stanowi używany w oknie poleceń wariant polecenia Toolbars.

Dostęp

Polecenie: -Toolbars


Ustawianie aktywnego stylu szkicowania

Polecenie Styles służy do aktywowania stylu szkicowania do użycia z późniejszymi poleceniami.

Aby ustawić styl szkicowania jako aktywny, należy:

  1. Wpisać Style w wierszu poleceń.

    W oknie dialogowym Opcje nastąpi otwarcie strony Style szkicowania i rozwinięcie Aktywnych stylów szkicowania.
  2. Rozwinąć styl:
    • Tekst: Ustawia aktywny Styl tekstu dla nowych elementów tekstu tworzonych przy użyciu polecenia Note lub SimpleNote.
    • Wymiar: Ustawia aktywny Styl wymiarowania dla nowych wymiarów tworzonych przy użyciu poleceń wymiarowania.
    • Linia wzbogacona: Ustawia aktywny Styl linii wzbogaconej dla nowych elementów linii wzbogaconej, tworzonych przy użyciu polecenia RichLine.
    • Tabela: Ustawia aktywny Styl tabeli dla nowych tabel tworzonych przy użyciu polecenia Table.
    • Warstwa: Ustawia aktywną Warstwę dla nowych elementów.
    • Czcionka liniowa: Ustawia aktywny:
      • Styl linii
      • Kolor linii
      • Szerokość linii
  3. Dwukrotnie kliknąć element, aby go aktywować.

    pojawi się przed elementem, informując o jego aktywowaniu.
  4. Kliknąć OK.

Dostęp

Polecenie: Styles

Tematy pokrewne

Zarządzanie stylami szkicowania

Ustawianie preferencji użytkownika i opcji systemu


Dołączanie adresu URL

Polecenie AttachLink służy do dołączania adresów URL do elementów lub obszarów w rysunku. Przemieszczenie wskaźnika na dany element lub obszar wyświetla adres URL.

Aby dołączyć adres URL, należy:

  1. Wpisać AttachLink w wierszu poleceń.
  2. Określić opcję:
    • Obszar: Dołącza adres URL do rysowanego prostokąta. Gdy pojawi się monit, należy narysować narożniki prostokąta. Prostokąt ten jest reprezentowany jako element polilinii na warstwie URLLAYER. Aby zmienić widoczność i właściwości warstwy, należy użyć polecenia Layer.
    • Element: Dołącza adres URL do elementu. Wybrać element w obszarze graficznym.
  3. Wpisać adres URL.

Aby uzyskać dostęp do łącza w przeglądarce, należy:

  • Nacisnąć Ctrl i kliknąć adres URL.

Dostęp

Polecenie: AttachLink

Tematy pokrewne

Dołączanie hiperłącz do elementów


Wyświetlanie witryny sieci Web

Polecenie OpenWebpage służy do wyświetlania określonej witryny sieci Web w domyślnej przeglądarki internetowej systemu.

Aby wyświetlić witrynę sieci Web, należy:

  1. Wpisać OpenWebpage w wierszu poleceń.
  2. Wpisać adres URL.

    Nie ma konieczności poprzedzania adresu URL ciągiem znaków „http://”.

Dostęp

Polecenie: OpenWebpage


Kopiowanie historii poleceń do schowka

Polecenie CopyHistory służy do kopiowania okna historii do schowka systemu operacyjnego. Okno poleceń wyświetla wprowadzone polecenia i opcje, monity i komunikaty działających poleceń oraz zapytania i listy wymagane dla bieżącej sesji szkicowania.

Można otwierać i zamykać oddzielne okno poleceń przy użyciu polecenia CommandHistory lub naciskając F2.

Można otwierać i zamykać oddzielne okno poleceń przy użyciu polecenia CommandHistory lub naciskając F2.

Można otwierać i zamykać oddzielne okno poleceń przy użyciu polecenia CommandHistory lub naciskając Fn + F2.

Aby skopiować historię poleceń, należy:

  1. Wpisać CopyHistory w wierszu poleceń.

    Aby skopiować fragment historii poleceń do schowka, należy wybrać wiersze w oknie poleceń, następnie kliknąć prawym przyciskiem myszy i kliknąć Kopiuj historię.
  2. Wkleić zawartość schowka zgodnie z potrzebami.

Dostęp

Polecenie: CopyHistory


Wyświetlanie ustawienia strony kodowej systemu operacyjnego

Polecenie DwgCodePage wyświetla stronę kodową systemu określaną przez system operacyjny.

Dostęp

Polecenie: DwgCodePage


Wyświetlanie pomocy online

Polecenie Help lub klawisz F1 służy do wyświetlania pomocy online.

Polecenie Help lub klawisz F1 służy do wyświetlania pomocy online.

Polecenie Help lub klawisz Command + ? służy do wyświetlania pomocy online.

Dostęp

Polecenie: Help

Menu: Pomoc > Pomoc

Skrót klawiaturowy: F1

Skrót klawiaturowy: F1

Skrót klawiaturowy: Command + ?

Tematy pokrewne

Wprowadzenie


Łączenie i osadzanie obiektów z innych aplikacji

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie InsertObject służy do wstawiania do rysunku danych utworzonych przy użyciu innych aplikacji.

Można na przykład wstawić:

  • arkusz roboczy lub wykres utworzony przy użyciu oprogramowania do arkuszy kalkulacyjnych,
  • dokument tekstowy utworzony przy użyciu programu do obróbki tekstów lub edytora tekstów,
  • obiekt graficzny utworzony przy użyciu programu do edycji obrazów rastrowych lub wektorowych.

Istnieją dwa sposoby wstawiania danych z plików:

  • Łączenie obiektu: Wstawia obraz pliku do obrazu. Po edytowaniu połączonego obiektu plik źródłowy ulega zmianie. Po edytowaniu pliku źródłowego połączony obiekt ulega zmianie.
  • Osadzanie obiektu: Wstawia zawartość pliku do rysunku, umożliwiając jego uaktywnienie przy użyciu aplikacji źródłowej, w której go utworzono.

Łączenie i osadzanie są nazywane łączeniem i osadzaniem obiektów OLE.

Aby wstawić nowy obiekt z innej aplikacji, należy:

  1. Kliknąć Wstaw > Obiekt (lub wpisać InsertObject).
  2. W oknie dialogowym wybrać Utwórz nowy.
  3. W części Typ obiektu wybrać aplikację, która ma być używana. Należy zauważyć krótki opis oprogramowania w części Wynik.
  4. Wybrać Wyświetlaj jako ikonę, jeżeli w rysunku ma się pojawiać ikona aplikacji zamiast danych.
  5. Kliknąć OK.

    Nowy obiekt pojawi się w rysunku w lewym górnym narożniku aktywnego widoku i nastąpi otwarcie aplikacji źródłowej.

Należy zauważyć, że nie można utworzyć łącza, jeżeli tworzony jest nowy obiekt.

Aby połączyć lub osadzić istniejący plik z innej aplikacji, należy:

  1. Kliknąć Wstaw > Obiekt (lub wpisać InsertObject).
  2. W oknie dialogowym wybrać Utwórz z pliku.
  3. W części Plik wpisać nazwę pliku do wstawienia do rysunku. Kliknąć Przeglądaj, aby odnaleźć plik.
  4. Wybrać lub usunąć zaznaczenie opcji Łącze, aby określić, czy należy połączyć, czy osadzić plik.
    • Usunięcie zaznaczenia opcji Łącze osadza obiekt. Zmiany wprowadzone w danych w obiekcie nie pojawią się w pierwotnym pliku, a zmiany w pierwotnym pliku nie pojawią się w obiekcie.
    • Wybranie opcji Łącze tworzy łącze. Zmiany wprowadzone w połączonych informacjach w rysunku pojawią się w pierwotnym pliku, a zmiany w pierwotnym pliku pojawią się w rysunku.
  5. Wybrać Wyświetlaj jako ikonę, jeżeli w rysunku ma się pojawiać ikona aplikacji zamiast danych.
  6. Kliknąć OK.

    Obiekt pojawi się w rysunku w lewym górnym narożniku aktywnego widoku.

Alternatywnie można użyć polecenia AttachDrawing, aby tworzyć odniesienia do zewnętrznych rysunków, oraz AttachImage, aby tworzyć odniesienia do zewnętrznych grafik rastrowych w rysunkach. Paleta Odniesienia służy do zarządzania plikami odniesienia. Polecenie Paste wstawia dane ze schowka Windows® do rysunków.

Dostęp

Polecenie: InsertObject

Menu: Wstaw > Obiekt

Tematy pokrewne

Otwieranie obiektów OLE

Konwertowanie obiektów OLE

Resetowanie obiektów OLE


Tworzenie bibliotek slajdów

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie MakeSlideLibrary pozwala na utworzenie biblioteki slajdów z wielu plików slajdów.

Aby utworzyć bibliotekę slajdów:

  1. Utworzyć kilka plików slajdów (.sld) używając polecenia ExportSLD.
  2. Utworzyć plik tekstowy zawierający nazwy plików slajdów (każdy w osobnym wierszu, łącznie z rozszerzeniem .sld).
  3. Zaleca się utworzenie pliku listy slajdów w tym samym folderze, w którym są zapisane slajdy (nie trzeba wtedy określać ścieżki do slajdów).
  4. Wpisać MakeSlideLibrary w wierszu poleceń.
  5. Określić plik listy slajdów utworzony w kroku 2 (łącznie z rozszerzeniem, np. „myslidelib.txt”).
  6. Określić nazwę tworzonej biblioteki slajdów (łącznie z rozszerzeniem .slb).

Aby wyświetlić slajdy z biblioteki slajdów:

  1. Wpisać DisplayDialogs w wierszu poleceń.
  2. Wpisać No, aby zablokować wyświetlanie okien dialogowych pliku.
  3. Wpisać ViewSlide.
  4. Wpisać nazwę biblioteki slajdów, a po niej, w nawiasach, nazwę slajdu będącego częścią biblioteki slajdów (np. „myslidelib(myslide3)”).
  5. Slajd zostanie wyświetlony w obszarze graficznym.
  6. Kliknąć w obszarze graficznym lub kliknąć Widok > Odśwież, aby wyczyścić ekran slajdu.
  7. Wpisać ponownie DisplayDialogs.
  8. Wpisać Yes, aby odblokować wyświetlanie okien dialogowych pliku.

W razie potrzeby użyć polecenia DisplayQuality, aby zwiększyć rozdzielczość zakrzywionych elementów w slajdach. O prezentowaniu pokazu slajdów można przeczytać w temacie „Tworzenie i uruchamianie plików skryptów”.

Dostęp

Polecenie: MakeSlideLibrary


Powtarzanie poleceń

Polecenie Repeat służy do powtarzania polecenia. Polecenia Repeat należy używać tylko łącznie z poleceniami wykonywanymi w oknie poleceń, a nie z poleceniami, które wykorzystują okno dialogowe.

Aby powtórzyć polecenia, należy:

  1. Wpisać Repeat w wierszu poleceń.
  2. Wpisać polecenie do powtórzenia.

    Polecenie zostanie powtórzone, wyświetlając monity według potrzeb.
  3. Nacisnąć Esc, aby zatrzymać powtarzanie poleceń.

Dostęp

Polecenie: Repeat


Konwertowanie obiektów OLE

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie ConvertOLE służy do konwertowania obiektów OLE z jednego formatu na inny.

Aby przekonwertować dane osadzonego obiektu OLE na inny typ, należy:

  1. Wpisać ConvertOLE w wierszu poleceń.
  2. W obszarze graficznym wybrać obiekt OLE i nacisnąć Enter.

    W oknie dialogowym Konwertuj, w części Bieżący typ, wyświetlona zostanie aplikacja i format obiektu OLE.
  3. Wybrać Konwertuj na.
  4. W części Typ obiektu wybrać inny format.

    Na przykład można konwertować z jednej wersji oprogramowania na inną. Jest to użyteczne, jeżeli nie dysponujemy już aplikacją, której użyto do utworzenia obiektu OLE.

    Można również przekształcić arkusz kalkulacyjny na wykres.
  5. Wybrać Wyświetlaj jako ikonę, jeżeli w rysunku ma się pojawiać ikona aplikacji zamiast danych.
  6. Kliknąć OK.

    Nastąpi przekonwertowanie obiektu OLE.

Aby otworzyć dane osadzonego obiektu OLE przy użyciu innej aplikacji, należy:

  1. Wpisać ConvertOLE w wierszu poleceń.
  2. Określić obiekt OLE, a następnie nacisnąć Enter.

    W oknie dialogowym Konwertuj, w części Bieżący typ, wyświetlona zostanie aplikacja i format obiektu OLE.
  3. Wybrać Aktywuj jako, aby otworzyć osadzone dane przy użyciu innej aplikacji, która jest zgodna z pierwotnym obiektem.
  4. W części Typ obiektu wybrać inną aplikację.
  5. Kliknąć OK.

    Nastąpi otwarcie obiektu OLE w innej aplikacji.

Dostęp

Polecenie: ConvertOLE

Tematy pokrewne

Łączenie i osadzanie obiektów z innych aplikacji

Otwieranie obiektów OLE w celu modyfikacji

Przywracanie pierwotnego rozmiaru obiektów OLE


Otwieranie obiektów OLE w celu modyfikacji

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie OpenOLE służy do otwierania obiektu OLE w jego aplikacji źródłowej. Po wprowadzeniu zmian obiekt zostanie zaktualizowany w rysunku.

Aby otworzyć obiekty OLE w celu modyfikacji, należy:

  1. Wpisać OpenOLE w wierszu poleceń.
  2. W obszarze graficznym wybrać obiekt OLE.

    Nastąpi otwarcie aplikacji źródłowej obiektu (na przykład aplikacji arkuszy kalkulacyjnych).
  3. Dokonać żądanych zmian i zamknąć aplikację.

    Obiekt OLE w rysunku zostanie automatycznie zaktualizowany.

Dostęp

Polecenie: OpenOLE

Tematy pokrewne

Łączenie i osadzanie obiektów z innych aplikacji

Konwertowanie obiektów OLE

Przywracanie pierwotnego rozmiaru obiektów OLE


Przywracanie pierwotnego rozmiaru obiektów OLE

[Tylko wersja Windows]

[Tylko wersja Windows]

Polecenie ResetOLE służy do zmieniania rozmiaru obiektów OLE z powrotem do pierwotnego rozmiaru i kształtu. Można skalować, rozciągać lub edytować rozmiar uchwytów OLE przy użyciu uchwytów elementu.

Aby przywrócić pierwotny rozmiar obiektów OLE, należy:

  1. Wpisać ResetOLE w wierszu poleceń.
  2. W obszarze graficznym wybrać obiekty OLE i nacisnąć Enter.

    Rozmiar obiektów OLE zostanie zmieniony.

Dostęp

Polecenie: ResetOLE

Tematy pokrewne

Łączenie i osadzanie obiektów z innych aplikacji

Otwieranie obiektu OLE w celu modyfikacji

Konwertowanie obiektów OLE


Polecenie -Hyperlink

-Hyperlink

Polecenie -Hyperlink służy do dołączania hiperłącz do wybranych elementów lub obszarów. Można również usuwać istniejące hiperłącza.

Aby wstawić hiperłącza, należy:

  1. Wpisać -Hyperlink w wierszu poleceń.
  2. Określić opcję Wstaw.
  3. Określić opcję:
    • Obszar: Pozwala tworzyć prostokątny obszar, do którego ma być dołączone hiperłącze, poprzez kliknięcie dwóch przeciwległych punktów narożnika.
    • Element: Pozwala wybrać elementy, do których ma być dołączone hiperłącze.
  4. Wpisać adres hiperłącza.
  5. (Opcjonalnie.) Określić nazwaną lokalizację i opis.

Aby usunąć hiperłącza, należy:

  1. Wpisać -Hyperlink.
  2. Określić opcję Usuń.
  3. Wybrać elementy, z których należy usunąć hiperłącza.
  4. Nacisnąć Enter.
  5. Hiperłącza zostaną usunięte.

Dostęp

Polecenie: -Hyperlink

Tematy pokrewne

Dołączanie hiperłącz do elementów

Dołączanie adresu URL


Polecenie -Clean

-Clean

Polecenie -Clean służy do oczyszczania rysunku z definicji bloków, grup elementów, warstw, stylów linii, stylów tekstu i stylów wymiarowania, które są zdefiniowane lub wczytane, ale nieużywane w rysunku.

Polecenia tego można używać selektywnie w oparciu o typy elementów lub nazwy elementów. W przypadku bloków zagnieżdżonych w pliku rysunku, w danej chwili czyszczony jest tylko jeden poziom zagnieżdżenia.

Czyszczenie rysunku znacznie zmniejsza rozmiar pliku przed archiwizacją lub utworzeniem kopii zapasowej pliku.

Niektórych elementów standardowych nie można usuwać. Są to między innymi: warstwa 0, styl linii Ciągła oraz styl tekstu Standardowy.

Polecenie to nie czyści zdefiniowanych przez użytkownika widoków i niestandardowych układów współrzędnych (NUW), ponieważ do tych elementów nigdy nie odnosi się żaden element rysunku. Zamiennie można usunąć nieużywane widoki i niestandardowe układy współrzędnych przy użyciu poleceń Views lub CSStyle.

Aby usunąć nieużywane odniesienia z plików rysunku, należy:

  1. Wpisać -Clean w wierszu poleceń.
  2. Określić typy elementów do odrzucenia i nacisnąć Enter, aby zakończyć wybór.
  3. Można wyczyścić selektywnie definicje bloków, grupy elementów, style wymiarowania, warstwy, style linii, style drukowania, kształty, style tekstu, style linii wzbogaconej lub style tabeli albo wyczyścić wszystkie nieużywane odniesienia zdefiniowane przez użytkownika.
  4. Aby czyścić selektywnie, należy określić element do wyczyszczenia. Pojawi się monit z nazwami nieużywanych odniesień zdefiniowanych przez użytkownika.
  5. Określić opcję Wszystkie, aby wyczyścić cały rysunek w jednej operacji. Aby ograniczyć wybór, należy użyć specyfikacji z symbolami wieloznacznymi, na przykład: TEMP*.

Dostęp

Polecenie: -Clean

Menu: Plik > Wyczyść

Tematy pokrewne

Odrzucanie nieużywanych odniesień

Zmienianie nazw stylów i elementów rysunku


Ponowne definiowanie poleceń

Polecenie Redefine przywraca polecenia wbudowane, których definicje usunięto. Polecenie Undefine wyłącza polecenia wbudowane.

Aby ponownie zdefiniować polecenia, należy:

  1. Wpisać Redefine w wierszu poleceń.
  2. Wpisać nazwę polecenia, którego definicję usunięto.

Dostęp

Polecenie: Redefine

Tematy pokrewne

Usuwanie definicji poleceń


Uruchamianie programów narzędziowych w powłoce systemu operacyjnego

Polecenie Shell służy do wykonywania programów narzędziowych lub uzyskiwania dostępu do normalnych poleceń systemu operacyjnego w powłoce systemu operacyjnego.

Aby uruchomić programy lub polecenia systemu operacyjnego, należy:

  1. Wpisać Shell w wierszu poleceń.
  2. Wpisać nazwę wykonywalnego programu lub polecenie systemu operacyjnego do wykonania.

Dostęp

Polecenie: Powłoka


Wyświetlanie umowy licencyjnej

Można wyświetlić okno dialogowe, które zawiera umowę licencyjną użytkownika.

Aby wyświetlić umowę licencyjną:

  • Kliknąć Pomoc > Licencja (lub wpisać ShowLicense).

Dostęp

Polecenie: ShowLicense

Menu: Pomoc > Licencja


Usuwanie definicji poleceń

Polecenie Undefine służy do usuwania definicji wbudowanego polecenia.

Polecenie Redefine przywraca polecenia wbudowane, których definicje usunięto.

Aby usunąć definicje poleceń, należy:

  1. Wpisać Undefine w wierszu poleceń.
  2. Wpisać polecenie do usunięcia definicji.

Dostęp

Polecenie: Undefine

Tematy pokrewne

Ponowne definiowanie poleceń


Używanie wydruku stempla podczas zlecania wydruków

Polecenie PrintStamp pozwala dodawać informacje, takie jak nazwa rysunku, nazwa arkusza, data i godzina lub dane zdefiniowane przez użytkownika, w postaci wydruku stempla podczas zlecania wydruku lub wykreślenia danych wyjściowych.

Aby zdefiniować i użyć wydruku stempla, należy:

  1. Wpisać PrintStamp w wierszu poleceń.
  2. Wprowadzić Wł., aby włączyć umieszczanie wydruku stempla podczas drukowania lub Wył., aby wyłączyć drukowanie stempla.
  3. Wprowadzić opcję Pola, aby określić pola do wydrukowania, gdy wydruk stempla jest włączony.

    Określić, czy w stemplu ma wystąpić:
    1. nazwa rysunku,
    2. nazwa układu (nazwa arkusza),
    3. nazwa logowania użytkownika,
    4. nazwa urządzenia kreślącego,
    5. rozmiar papieru,
    6. skala kreślenia.
  4. Wprowadzić opcję Pola użytkownika, aby określić dwa zdefiniowane przez użytkownika pola do zastosowania w stemplu.
  5. Wprowadzić opcję Plik dziennika, aby określić, czy należy zapisać informacje kreślenia stempla do pliku dziennika, czy je wydrukować. Można również określić inne opcje.
  6. Wprowadzić opcję Lokalizacja, aby określić:
    1. gdzie należy umieścić wydruk stempla:
      • GL: Góra-lewo
      • GP: Góra-prawo
      • DL: Dół-lewo
      • DP: Dół-prawo
    2. orientację tekstu drukowania stempla w stosunku do drukowanej strony (Poziomo lub Pionowo);
    3. czy należy tworzyć stempel odwrotnie;
    4. odsunięcie stempla w stosunku do określonej pozycji;
    5. czy odsunięcie jest względem Obramowania papieru czy Obszaru zadruku.
  7. Wprowadzić opcję Właściwości tekstu, aby określić:
    1. czcionkę używaną w stemplu,
    2. wysokość tekstu,
    3. czy należy umieścić stempel w pojedynczej linii.
  8. Wprowadzić opcję Jednostki, aby określić jednostki używane dla odsunięcia: cale, milimetry lub piksele.

Dostęp

Polecenie: PrintStamp

Tematy pokrewne

Drukowanie / kreślenie

Podgląd wydruków

Tworzenie i zarządzanie arkuszami


Polecenie -EditScaleList

-EditScaleList

Użyć polecenia -EditScaleList, aby dostosować listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów.

Użyć polecenia -EditScaleList, aby dostosować listę skal na potrzeby drukowania, zarządzania konfiguracjami wydruku oraz skalowania okienek ekranu w arkuszach układów.

Użyć polecenia -EditScaleList, aby dostosować listę skal na potrzeby drukowania, zarządzania układami stron oraz skalowania okienek ekranu w arkuszach układów.

Jest to używany w oknie poleceń wariant polecenia EditScaleList.

Dostęp

Polecenie: -EditScaleList


Polecenie -Print

-Print

Polecenie -Print drukuje rysunek na ploterze, drukarce lub do pliku. Jest to używany w oknie poleceń wariant polecenia Print.

Dostęp

Polecenie: -Print

Tematy pokrewne

Drukowanie / kreślenie


Polecenie -PrintStyle

-PrintStyle

Polecenie -PrintStyle służy do zarządzania stylami drukowania. Jest to używany w oknie poleceń wariant polecenia PrintStyle.

Dostęp

Polecenie: -PrintStyle

Tematy pokrewne

Drukowanie / kreślenie


Polecenie -EntityGroup

-EntityGroup

Polecenie -EntityGroup służy do tworzenia zdefiniowanych przez użytkownika zbiorów elementów i sterowania nimi. Jest to używany w oknie poleceń wariant polecenia EntityGroup.

Tworzenie grupy elementów

Aby utworzyć grupę elementów, w pierwszej kolejności należy ustalić unikatową nazwę. Nazwa będzie niezbędna w celu późniejszego identyfikowania grupy w szeregu opcji poleceń. Dodatkowo należy określić, czy grupa powinna być wybieralna, czy nie (patrz niżej).

Aby zdefiniować nową grupę, należy:

  1. Wydać polecenie -EntityGroup z użyciem opcji Nowa.
  2. Określić unikatową nazwę grupy.
  3. Jeżeli zachodzi taka potrzeba, wprowadzić opis.
  4. Określić, czy grupa powinna być wybieralna, czy nie (domyślnym ustawieniem jest Tak).
  5. Określić elementy rysunku, które powinny należeć do grupy elementów.
Rozbijanie grupy elementów

Definicje grupy elementów mogą być unieważnione przy użyciu opcji Rozbij. Gdy definicja grupy zostanie rozłożona, grupa elementów jest usuwana w rysunku. Jedynym sposobem unieważnienia definicji grupy elementów jest unieważnienie jej nazwy.

Aby rozbić grupę, należy:

  1. Wybrać polecenie -EntityGroup z użyciem opcji Rozbij.
  2. Określić nazwę grupy do rozbicia.

Ponieważ pojedynczy element może należeć do wielu grup elementów, a grupy elementów mogą stanowić część innych grup elementów, opcja ta nie pozwala na wybranie elementu wewnątrz grupy elementów w celu rozbicia grupy.

Zmienianie nazwy grupy elementów

Można zmienić nazwę grupy przy użyciu opcji Zmień nazwę. Metoda ta jest użyteczna, gdy istnieją anonimowe grupy, które zostały utworzone przez polecenia kopiowania. System automatycznie zastosuje anonimowe nazwy do kopiowanych grup (**A1, **A2, itd.), które istnieją w wyniku jednego z poleceń Copy, Mirror lub Pattern.

Aby zmienić nazwę grupy, należy:

  1. Wydać polecenie -EntityGroup z użyciem opcji Zmień nazwę.
  2. W monicie o wprowadzenie bieżącej nazwy grupy należy określić nazwę istniejącej grupy (na przykład: "*A0")
  3. W monicie o wprowadzenie nowej nazwy grupy należy podać nazwę określonej grupy (na przykład: "Wkręt_Kopia1")
Dodawanie/usuwanie elementów

Dwie kolejne opcje polecenia -EntityGroup służą do włączania dodatkowych elementów do istniejącej grupy lub usuwania elementów, które aktualnie znajdują się w grupie.

Po określeniu nazwy grupy elementy przynależące do tej grupy zostaną podświetlone.

  • Aby dodać elementy do istniejącej grupy, należy wybrać elementy do dodania (nie zostaną one podświetlone).
  • Aby usunąć elementy z istniejącej grupy, należy wybrać podświetlone elementy do usunięcia.

Uwaga: Jeżeli wszystkie elementy mają być usunięte z grupy, należy pamiętać, że grupa będzie nadal istniała, tak długo, jak będzie miała nazwę!

Dostęp

Polecenie: -EntityGroup

Tematy pokrewne

Tworzenie i edytowanie grup elementów

Praca z grupami elementów


Tworzenie wyborów elementów w oparciu o kryteria filtrowania

Polecenie SmartSelect służy do tworzenia zbiorów wskazań w oparciu o kryteria filtrowania.

Aby utworzyć zbiory wskazań w oparciu o kryteria filtrowania, należy:

  1. Wpisać SmartSelect w wierszu poleceń.
  2. W oknie dialogowym, w części Zastosuj do, określić, czy kryteria stosują się do całego rysunku, czy też do bieżącego zbioru wskazań, jeżeli istnieje.

    Aby określić elementy w obszarze graficznym, należy kliknąć [image], a następnie nacisnąć Enter.
  3. W części Element wybrać, czy kryteria należy stosować do konkretnego typu elementu, lub wybrać Wiele, aby zastosować kryteria do wszystkich typów.
  4. W części Właściwość wybrać właściwość, dla której należy zdefiniować wyrażenie filtra.
  5. W części Operator wybrać operator dla wyrażenia filtra.
  6. W części Wartość wpisać wartość. Dostępne wartości są wyodrębniane z rysunku. Na przykład: jeśli ustawiono Właściwość jako Warstwa, to Wartość wyświetla listę ze wszystkimi nazwami warstw.
  7. Ustawić Wyniki selekcji:
    • Dodaj do zbioru wskazań: Tworzy zbiór wskazań elementów, które spełniają kryteria.
    • Usuń ze zbioru wskazań: Tworzy zbiór wskazań elementów, które nie spełniają kryteriów.
  8. Wybrać Dodaj do istniejącego zbioru wskazań, aby dodać zbiór wskazań do istniejącego zbioru wskazań. Gdy opcja ta nie jest wybrana, zbiór zastępuje istniejący zbiór wskazań.
  9. Kliknąć OK, aby zastosować filtr.
  10. Uruchomić polecenie modyfikacji.
  11. Określić opcję Poprzedni w następnym monicie polecenia, aby zastosować utworzony zbiór wskazań.

Dostęp

Polecenie: SmartSelect

Tematy pokrewne

Wybieranie elementów

Stosowanie metod wyboru elementów

Filtrowanie wyborów


Odwracanie akcji cofania

Polecenie RedoN służy do odwracania ostatnich lub wszystkich poleceń cofania. Polecenia tego należy użyć bezpośrednio po użyciu polecenia U (Undo) lub UndoN.

Aby odwrócić akcje cofania, należy:

  1. Wpisać RedoN.
  2. Wpisać liczbę akcji do ponowienia lub określić opcję:
    • Wszystkie: Odwraca efekty wszystkich poprzednich poleceń U lub UndoN.
    • Ostatni: Odwraca tylko ostatnie polecenie cofania.

Dostęp

Polecenie: RedoN

Tematy pokrewne

Ponawianie operacji cofnięcia

Cofanie edycji


Ustawianie sterownia cofaniem

Polecenie UndoN odwraca poprzednie operacje i pozwala sterować operacjami cofania.

Czynności wykonywane podczas bieżącej sesji rysunku są zapisywane w rejestrze cofania. Czynności na liście rejestru można wycofać, używając sekwencyjnie polecenia cofania, w którym każde cofnięcie usuwa poprzedni krok. Rejestr cofania jest przechowywany tylko w bieżącej sesji.

Można powtarzać polecenie UndoN aż do anulowania wszystkich czynności roboczych przechowywanych w rejestrze cofania (co jest sygnalizowane komunikatem "Nic do cofnięcia").

Normalny tryb polecenia polega na anulowaniu ostatniego kroku roboczego (pierwszego kroku pojawiającego się w rejestrze cofania).

Aby użyć polecenia UndoN, należy:

  1. Wpisać UndoN w wierszu poleceń.
  2. Wpisać liczbę kroków do cofnięcia lub określić opcję:
    • Auto: Monituje o włączenie lub wyłączenie automatycznego trybu cofania. Gdy automatyczny tryb cofania jest włączony, wszystkie akcje pojedynczego polecenia są grupowane, jak gdyby stanowiły one jedną akcję, którą można cofnąć pojedynczym poleceniem U.
    • Wstecz: Pozwala oznaczyć wyszczególnione kroki zadania i anulować wszystkie nieoznaczone kroki w jednej operacji. Opcja Wstecz przywraca zadanie do poprzednio oznaczonego stanu.
    • Początek: Pozwala grupować kroki. Można anulować zgrupowane kroki pojedynczym cofnięciem. Opcja Begin służy do definiowania początku grupy kroków.
    • Kontrola: Umożliwia dostęp do następujących opcji kontrolujących proces cofania:
      • Wszystkie: Wskazuje, że wszystkie kroki robocze są rejestrowane dla funkcji cofania.
      • Połącz: Określa, czy wiele kolejnych poleceń powiększania/pomniejszania i przesuwania jest grupowane w jedną akcję dla operacji cofania i ponawiania.
      • Brak: Wskazuje, że żadne kroki nie są rejestrowane w rejestrze cofania. Polecenia U oraz UndoN nie będą miały żadnego dalszego efektu. Ustawienie tej opcji usuwa również bieżący rejestr cofania.
      • Jeden: Ustala liczbę kroków, jakie można anulować, na wartość 1. Tylko ostatni roboczy krok jest rejestrowany w rejestrze cofania.
    • Koniec: Pozwala na grupowanie kroków. Opcja End służy do definiowania końca grupy kroków.
    • Zaznacz: Pozwala oznaczyć wyszczególnione kroki zadania i anulować wszystkie nieoznaczone kroki w jednej operacji. Opcja Zaznacz definiuje bieżący stan rysunku jako stan, który można następnie przywrócić przy użyciu opcji Wstecz.

Dostęp

Polecenie: UndoN

Tematy pokrewne

Cofanie edycji

Ponawianie operacji cofnięcia


Ustawianie rozmiaru ramki grawitacji

Polecenie Gravity służy do ustawiania wielkości wyświetlania ramki grawitacji (ramka docelowa przyciągania elementów).

Aby ustawić rozmiar ramki wyboru, należy:

  1. Wpisać Gravity w wierszu poleceń.
  2. Wprowadzić wysokość (1-50 pikseli) dla ramki grawitacji.

Rozmiar ramki grawitacji można również ustawić w oknie dialogowym Opcje, w części Preferencje użytkownika > Wyświetlanie > Ramka grawitacji.

Dostęp

Polecenie: Gravity

Tematy pokrewne

Ustawianie rozmiaru ramki wyboru

Określanie opcji szkicowania


Wyświetlanie okna poleceń

Okno poleceń pozwala komunikować się z oprogramowaniem poprzez wprowadzanie poleceń i opcji, określanie punktów, odległości i kątów, a także określanie elementów do zapytania lub modyfikacji.

Polecenie CommandWindow służy do ponownego wyświetlania okna poleceń, jeżeli zostało ono ukryte poleceniem HideCommandWindow.

Aby wyświetlić okno poleceń, należy:

  • Wpisać CommandWindow w wierszu poleceń.
  • - lub -
  • Nacisnąć Ctrl + 9.
  • - lub -
  • Nacisnąć Ctrl + 9.

Dostęp

Polecenie: CommandWindow

Tematy pokrewne

Ukrywanie okna poleceń

Ukrywanie okna historii poleceń

Okno poleceń (obszar wiersza poleceń)

Interfejs użytkownika


Wyświetlanie okna poleceń

Polecenie CommandWindow służy do ponownego otwierania okna poleceń, które zostało ukryte przy użyciu polecenia HideCommandWindow.

Okno poleceń to obszar monitów w dolnej części obszaru graficznego.

Aby włączyć okno poleceń, należy:

  • Wpisać CommandWindow w wierszu poleceń.
  • - lub -
  • Nacisnąć Ctrl + 9.
  • - lub -
  • Nacisnąć Ctrl + 9.

Dostęp

Polecenie: CommandWindow

Tematy pokrewne

Ukrywanie okna poleceń

Okno poleceń (obszar wiersza poleceń)

Interfejs użytkownika


Ukrywanie okna poleceń

Polecenie HideCommandWindow ukrywa okno poleceń, stanowiące obszar wiersza poleceń w dolnej części ekranu graficznego.

Aby zamknąć okno poleceń, należy:

  • Wpisać HideCommandWindow w wierszu poleceń.

Dostęp

Polecenie: HideCommandWindow

Tematy pokrewne

Okno poleceń (obszar wiersza poleceń)

Wyświetlanie historii poleceń

Interfejs użytkownika


Ustawianie wyświetlania pełnoekranowego

Polecenie FullScreen służy do wyświetlania rysunków w maksymalnej możliwej wielkości na ekranie.

Okno programu jest powiększane tak, by pokryć cały ekran. Pasek tytułu, paski narzędzi i palety są ukrywane. Pasek menu, karty Model i Arkusz, okno poleceń i pasek stanu są widoczne.

Aby ustawić wyświetlanie pełnoekranowe, należy:

  • Wpisać FullScreen w wierszu poleceń.

Aby ustawić zwykły tryb wyświetlania, należy:

  • Wpisać HideFullScreen.

Dostęp

Polecenie: FullScreen

Tematy pokrewne

Ustawianie zwykłego trybu wyświetlania

Interfejs użytkownika


Ukrywanie okna poleceń

Polecenie HideCommandWindow zamyka okno poleceń.

Okno poleceń pozwala na interakcję z oprogramowaniem poprzez wprowadzanie poleceń i opcji, określanie punktów, odległości i kątów, a także określanie elementów do zapytania lub modyfikacji.

Aby ukryć okno poleceń, należy:

  • Wpisać HideCommandWindow w wierszu poleceń.
  • - lub -
  • Nacisnąć Ctrl + 9.
  • - lub -
  • Nacisnąć Ctrl + 9.

Aby wyświetlić ponownie okno poleceń, należy:

  • Wpisać CommandWindow.
  • - lub -
  • Nacisnąć Ctrl + 9.
  • - lub -
  • Nacisnąć Ctrl + 9.

Dostęp

Polecenie: HideCommandWindow

Tematy pokrewne

Wyświetlanie okna poleceń

Wyświetlanie historii poleceń

Okno poleceń (obszar wiersza poleceń)

Interfejs użytkownika


Ustawianie zwykłego trybu wyświetlania

Polecenie HideFullScreen służy do przywracania domyślnego trybu wyświetlania podczas pracy w pełnoekranowym trybie wyświetlania.

W zwykłym trybie wyświetlania pasek tytułu, paski narzędzi i palety zostaną ponownie wyświetlone.

Aby ustawić zwykły tryb wyświetlania, należy:

  • Wpisać HideFullScreen w wierszu poleceń.

Aby ustawić wyświetlanie pełnoekranowe, należy:

  • Wpisać FullScreen.

Dostęp

Polecenie: HideFullScreen

Tematy pokrewne

Ustawianie wyświetlania pełnoekranowego

Interfejs użytkownika


Przełączanie z karty Arkusz na kartę Model

Polecenie Model służy do przełączania z karty Arkusz na kartę Model. Jeżeli karta Model jest już aktywna, polecenie to nie daje żadnego efektu.

Aby przełączyć z karty Arkusz na kartę Model, należy:

  • Wpisać Model w wierszu poleceń.

    Jeżeli karta Model nie jest aktywna, to zostanie uaktywniona.

Aby przełączyć z karty Model na kartę Arkusz, należy:

  1. Wpisać Sheet.
  2. Określić opcję Aktywuj.
  3. Wpisać nazwę arkusza, który ma być aktywowany.

Dostęp

Polecenie: Model

Tematy pokrewne

Tworzenie i zarządzanie arkuszami


Polecenie -Views

-Views

Polecenie -Views stanowi używany w oknie poleceń wariant polecenia Views. Polecenie to pozwala zapisywać widoki rysunku i przywracać je na ekranie. Można również wyświetlać ustawione wcześniej widoki prostopadłe lub izometryczne i określać pewne cechy charakterystyczne widoków zdefiniowanych przez użytkownika.

Aby zapisać bieżący widok jako widok zdefiniowany przez użytkownika, należy:

  1. Wpisać -Views w wierszu poleceń.
  2. Określić opcję Zapisz.
  3. Wpisać nazwę dla widoku.
  4. Nacisnąć Enter.

    Widok zostanie zapisany.

Aby zdefiniować obszar okna do zapisania, należy:

  1. Wpisać -Views.
  2. Określić opcję Okno.
  3. Wpisać nazwę dla widoku.
  4. W obszarze graficznym kliknąć narożniki, aby zdefiniować okno do zapisania jako widok.

Aby przywrócić wcześniej zapisany widok zdefiniowany przez użytkownika, należy:

  1. Wpisać -Views.
  2. Określić opcję Przywróć.
  3. Wpisać nazwę widoku do wyświetlenia.

Aby wyszczególnić widoki zdefiniowane przez użytkownika, należy:

  1. Wpisać -Views.
  2. Określić opcję ?.
  3. Wpisać nazwę widoku lub nacisnąć Enter, aby wyświetlić wszystkie zapisane widoki.

    Widoki są wyszczególnione z obszarami roboczymi, w których zostały zdefiniowane, gdzie M oznacza przestrzeń roboczą modelu, a P oznacza przestrzeń roboczą arkusza.

Aby usunąć widoki zdefiniowane przez użytkownika, należy:

  1. Wpisać -Views.
  2. Określić opcję Usuń .
  3. Wpisać nazwy widoków do usunięcia.

Aby ustawić widok standardowy prostopadły, należy:

  1. Wpisać -Views.
  2. Określić opcję Prostopadły.
  3. Określić opcję: Tył, Dół, Przód, Lewa strona, Prawa strona lub Góra.

Aby skategoryzować widok zdefiniowany przez użytkownika, należy:

Przypisywanie klas do widoków zdefiniowanych przez użytkownika pomaga zarządzać zapisanymi widokami. Okno dialogowe Widoki wyświetla klasę widoku.

  1. Wpisać -Views.
  2. Określić opcję Ustawienia.
  3. Określić opcję Kategoryzuj.
  4. Wpisać nazwę widoku do kategoryzacji.
  5. Wpisać nazwę kategorii.

Aby zapisać lub usunąć ustawienia widoczności warstw widoku zdefiniowanego przez użytkownika, należy:

  1. Wpisać -Views.
  2. Określić opcję Ustawienia.
  3. Określić opcję Slajd warstwy.
  4. Wpisać nazwę widoku, którego warstwa ma być edytowana.
  5. Określić opcję Zapisz lub Usuń.

Aby określić, czy ustawienia układu współrzędnych i poziomu mają być zapisywane podczas zapisywania widoku, należy:

  1. Wpisać -Views.
  2. Określić opcję Ustawienia.
  3. Określić opcję NUW (niestandardowy układ współrzędnych).
  4. Określić opcję Tak lub Nie.

Dostęp

Polecenie: -Views

Tematy pokrewne

Zapisywanie i przywracanie widoków zdefiniowanych przez użytkownika


Polecenie -Viewport

-Viewport

Polecenie -Viewport na karcie Model służy do sterowania, zapisywania, przywracania i usuwania konfiguracji wyświetlania sąsiadującego. Jest to używany w oknie poleceń wariant polecenia ViewTiles.

Aby sterować, zapisywać, przywracać lub usuwać konfiguracje wyświetlania sąsiadującego, należy:

  1. Wpisać -Viewport w wierszu poleceń.
  2. Określić opcję:
    • Zapisz: Zapamiętuje bieżącą konfigurację wyświetlania sąsiadującego z określoną nazwą.
    • Przywróć: Wyświetla określoną konfigurację wyświetlania sąsiadującego.
    • Usuń: Usuwa określoną konfigurację wyświetlania sąsiadującego z listy zapisanych konfiguracji wyświetlania sąsiadującego.
    • Połącz: Łączy dwa przylegające wyświetlania sąsiadujące w jedno wyświetlanie sąsiadujące. Wynikowe wyświetlanie sąsiadujące dziedziczy widok dominującego wyświetlania sąsiadującego.
    • Pojedynczy: Wyświetla bieżące wyświetlanie sąsiadujące jako pojedyncze wyświetlanie sąsiadujące.
    • ?: Wyszczególnia wszystkie zapisane konfiguracje wyświetlań sąsiadujących.
    • 2: Dzieli bieżące wyświetlanie sąsiadujące na pół. Można wybrać orientację poziomą lub pionową.
    • 3: Dzieli bieżące wyświetlanie sąsiadujące na trzy wyświetlania sąsiadujące. Można wybrać opcję rozmieszczenia.
    • 4: Dzieli bieżące wyświetlanie sąsiadujące na cztery wyświetlania sąsiadujące.

Uwaga: Na kartach Arkusz polecenie -Viewport jest identyczne z poleceniem Viewport.

Dostęp

Polecenie: -Viewport

Tematy pokrewne

Praca z widokami sąsiadującymi w przestrzeni (okno dialogowe Wyświetl sąsiadująco)

Praca z okienkami ekranu na arkuszach


Przełączanie pomiędzy kartami modelu i arkusza

Polecenie SwitchArea służy do przełączania z karty Model na kartę Arkusz i odwrotnie. Gdy aktywna jest karta Model, polecenie to przełącza na ostatnio używaną kartę Arkusz.

Aby przełączać pomiędzy kartami modelu i arkusza, należy:

  • Wpisać SwitchArea w wierszu poleceń.

    - lub -

    Kliknąć kartę w dolnej części obszaru graficznego.

Podczas pierwszego przełączenia z karty Model na kartę Arkusz, na karcie Arkusz wyświetlane jest jedno okienko ekranu ukazujące model. Aby zobaczyć widoki na karcie Arkusz, należy użyć polecenia Viewport.

Podczas pracy w na karcie Arkusz polecenie ModelMode pozwala na przełączanie pomiędzy przestrzenią roboczą arkusza i przestrzenią roboczą modelu. Aby przełączyć z powrotem na przestrzeń roboczą modelu, należy użyć polecenia SheetMode.

Dostęp

Polecenie: SwitchArea

Tematy pokrewne

Karty modelu i arkusza

Praca z arkuszami

Tworzenie i zarządzanie arkuszami

Praca z okienkami ekranu na arkuszach

Przełączanie do przestrzeni roboczej modelu

Przełączanie do przestrzeni roboczej arkusza


Rozmieszczanie okien rysunków

Polecenie Windows zmienia rozmiary i rozmieszcza wszystkie okna rysunku.

Aby rozmieścić okna rysunku, należy:

  1. Kliknąć Okno (lub wpisać Windows).
  2. Wybrać opcję:
    • Kaskada: Zmienia rozmiary i rozmieszcza wszystkie okna rysunku tak, że zachodzą na siebie, a ich paski tytułu są widoczne. Po rozmieszczeniu kaskadowym okien rysunku, tylko okno na samym wierzchu jest całkowicie widoczne.
    • Sąsiadująco w poziomie: Rozmieszcza wiele okien rysunku, uporządkowując je w poziomie.
    • Sąsiadująco w pionie: Rozmieszcza wiele okien rysunku, uporządkowując je w pionie.

Dostęp

Polecenie: Windows

Tematy pokrewne

Rozmieszczanie okien rysunków kaskadowo

Rozmieszczanie okien rysunków sąsiadująco w poziomie

Rozmieszczanie okien rysunków sąsiadująco w pionie


Używanie okna dialogowego Edytuj notatkę

Okno dialogowe Edytuj notatkę służy do edycji i formatowania Notatek.

Dostępne są następujące opcje:

  1. StylTekstu [image]: Określa Styl tekstu.
  2. Czcionka tekstu [image]: Określa krój przy użyciu pliku SHX lub pliku True Type Font. Pliki SHX są zainstalowane w systemie. Ponadto można użyć dowolnej czcionki True Type Font zainstalowanej na komputerze.
  3. Wysokość tekstu [image]: Określa wysokość tekstu dla tekstu późniejszego lub wybranego.
  4. Pogrubienie [image]: Określa pogrubienie dla tekstu późniejszego lub wybranego. Ma zastosowanie tylko z czcionkami True Type Font.
  5. Kursywa [image]: Określa kursywę dla tekstu późniejszego lub wybranego. Ma zastosowanie tylko z czcionkami True Type Font.
  6. Podkreślenie [image]: Określa podkreślenie dla tekstu późniejszego lub wybranego.
  7. Nadkreślenie [image]: Określa nadkreślenie dla tekstu późniejszego lub wybranego.
  8. Kolor linii [image]: Określa kolor dla tekstu późniejszego lub wybranego.
  9. Cofnij [image]: Usuwa poprzednio edytowany lub formatowany tekst.
  10. Ponów [image]: Przywraca stan przed użyciem Ponów.
  11. Kopiuj [image]: Kopiuje podświetlony tekst do schowka.
  12. Wytnij [image]: Usuwa podświetlony tekst i kopiuje go do schowka.
  13. Wklej [image]: Wstawia tekst ze schowka w miejscu położenia kursora.
  14. Wielka litera [image]: Zmienia wielkość liter podświetlonego tekstu na wielkie litery.
  15. Mała litera [image]: Zmienia wielkość liter podświetlonego tekstu na małe litery.
  16. Lista numerowana [image]: Tworzy dla tekstu późniejszego lub zaznaczonego listę numerowaną albo wyłącza właściwość listy.
  17. Lista z małych liter [image]: Tworzy dla tekstu późniejszego lub zaznaczonego listę małymi literami lub wyłącza właściwość listy.
  18. Lista z wielkich liter [image]: Tworzy dla tekstu późniejszego lub zaznaczonego listę wielkimi literami lub wyłącza właściwość listy.
  19. Lewa strona [image], Środek [image], Prawa strona [image]: Zmienia poziome wyrównanie akapitów (tekst wyrównany do lewej, tekst wyśrodkowany lub tekst wyrównany do prawej).
  20. Góra [image], Centrum [image], Dół [image]: Zmienia pionowe wyrównanie notatki w stosunku do punktu wstawienia (do góry, do środka lub do dołu).
  21. Wstaw symbol: Wstawia symbol (stopnie, plus / minus, średnica i inne symbole oraz znaki, takie jak spacje bez zerwania) w miejsce kursora.
  22. Wstaw pole [image]: Wstawia Pole w miejscu kursora.
  23. OK: Kończy tworzenie notatki.
  24. Anuluj Anuluje tworzenie notatki.
  25. Pomoc: Wyświetla temat pomocy.

Uwaga: Polecenie NoteOptions określa, czy Notatki mają być edytowane na miejscu, czy w oknie dialogowym.


Interfejs użytkownika: Okno poleceń

Okno poleceń

Okno poleceń umożliwia:

  • Wydawanie poleceń w wierszu poleceń
  • Określanie punktów i wartości oraz wybieranie elementów
  • Potwierdzanie wyboru lub kroków wprowadzania danych
  • Otrzymywanie komunikatów, wskazówek lub ostrzeżeń

Można obejrzeć historię (transkrypcję) poleceń wprowadzonych w oknie poleceń, co pozwala na odczytanie lub zrekonstruowanie kroków, które wykonano, włącznie ze wszystkimi danymi wprowadzanymi z klawiatury.

Aby pokazać lub ukryć okno historii w oddzielnym oknie, należy:

  • Nacisnąć F2.
  • Nacisnąć F2.
  • Nacisnąć Fn + F2.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Menu podręczne

Menu podręczne

Kliknięcie prawym klawiszem myszy wyświetla menu podręczne (menu kontekstowe).

Jeżeli polecenie jest aktywne, menu podręczne zawiera:

  • Wprowadź: Potwierdza domyślne opcje bieżącego polecenia lub kończy wybór elementów
  • Anuluj: Anuluje wykonanie polecenia
  • Zmiany Przyciągania elementów: Pozwala wybierać opcje przyciągania elementów i metody wprowadzania współrzędnych
  • Przesuń i Powiększ/Pomniejsz
  • Cofnij

Jeżeli żadne polecenie nie jest aktywne, menu podręczne zawiera często używane polecenia:

  • Powtórz poprzednie polecenia
  • Wytnij, Kopiuj, Kopiuj z punktem odniesienia oraz Wklej
  • Cofnij i Ponów
  • Przesuń i Powiększ/Pomniejsz
  • Opcje (ustawienia ogólne)
  • Opcje szkicowania

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Symbol współrzędnych

Ikona układu współrzędnych

Ikona układu współrzędnych stanowi wizualne odniesienie do rysunku. Znajduje się on w lewym dolnym narożniku obszaru graficznego. Ikona ta wskazuje pozycję osi układu współrzędnych i podaje orientację wyrównania bieżącego układu współrzędnych.

Na tej ilustracji symbol po lewej stronie wskazuje standardowy widok planu rysunku. Ten po prawej wskazuje, że widok jest 3D (izometryczny).

Można przyciemniać i rozjaśniać ikonę układu współrzędnych przy użyciu polecenia CSIcon.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Kursor krzyżykowy (wskaźnik)

Kursor krzyżykowy (wskaźnik)

Gdy pojawi się monit o wprowadzenie punktów, wektorów, odległości lub kątów, wskaźnik krzyżykowy informuje o aktualnej pozycji wskaźnika w rysunku.

Tak jak w przypadku symbolu współrzędnych, wskaźniki krzyżykowe również zmieniają się, gdy widok rysunku zmienia się ze standardowego widoku planu (widok z góry) na widok 3D (izometryczny).

Podczas korzystania z przyciągań elementów, w początku układu współrzędnych wskaźnika krzyżykowego pojawia się ramka.

Klikając w obszarze graficznym przy użyciu wskaźnika, można określać punkty, wektory, odległości i kąty w poleceniu.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Obszar graficzny

Obszar graficzny

Obszar graficzny to część aplikacji, gdzie są tworzone i modyfikowane elementy rysunku. Można otworzyć wiele rysunków jednocześnie w obszarze graficznym. Każdy rysunek i widok znajduje się we własnym oknie. Okna można rozmieszczać sąsiadująco, kaskadowo lub powiększać na cały obszar graficzny.

Gdy pojawi się monit o określenie punktów, wektorów, odległości lub kątów, wskaźnik w obszarze graficznym przyjmie postać kursora krzyżykowego.

Jeżeli otwartych jest kilka okien, tylko jedno z nich jest aktywne.

Aby uaktywnić okno, należy:

  • Kliknąć w dowolnej części okna lub kliknąć Okno i kliknąć rysunek, który chcemy uaktywnić.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Karty modelu i arkusza

Karty modelu i arkusza

W lewej dolnej części oprogramowania znajdują się karty oznaczone Model oraz Arkusz1. Wyświetlają one rysunek jako model lub jako arkusz rysunku.

Model to miejsce, w którym rysujemy i konstruujemy. Rysunek posiada tylko jedną kartę Model.

Arkusze to gotowe do drukowania strony, które zawierają takie elementy, jak ramki i bloki tytułowe, widoki ogólne i szczegółowe oraz widoki modelu.

Można pracować z wieloma arkuszami, używając polecenia Sheet, aby dodać, skopiować, usunąć lub zmienić nazwy arkuszy. Aby uzyskać dostęp do tych opcji, można również kliknąć prawym przyciskiem kartę Arkusz.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Pasek opcji

Pasek narzędzi Opcje

Pasek narzędzi Opcje wyświetla kontekstowe opcje, które można wybierać podczas wykonywania polecenia. Wyświetla on tylko te opcje, które są dostępne w bieżącym wierszu poleceń.

Na przykład: jeżeli wprowadzono polecenie Zoom, na pasku narzędzi Opcje widoczne będą: Granice, Środek, Dynamiczny, Dopasowanie, Poprzedni oraz Wybrane.

Aby pokazać lub ukryć pasek narzędzi Opcje, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i kliknąć Pasek narzędzi Opcje.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Palety

Palety

Palety to obszary po lewej i prawej stronie obszaru graficznego.

Dostępne są następujące palety:

  • Paleta właściwości. Umożliwia wyświetlanie i zmienianie właściwości elementu rysunku.
  • Paleta odniesień. Zarządza rysunkami i obrazami, do których występują odniesienia w danym rysunku.
  • Paleta Zasoby projektu. Pozwala na uzyskanie dostępu do zasobów i zawartości z innych rysunków na komputerze lub w miejscach w sieci.
  • Paleta oświetlenia. Steruje światłami wstawionymi do rysunku w celu utworzenia realistycznych renderowań.
  • Paleta macierzy narzędzi. Umożliwia zbieranie i rozmieszczanie pasków narzędzi na panelu.
  • Paleta Home. Zawiera łącza do internetowych samouczków, seminariów, zasobów w serwisach społecznościowych, pomocy i najświeższych doniesień z branży CAD.

Palety można wyświetlać i ukrywać. Aby zaoszczędzić miejsce w obszarze graficznym, palety mogą zachodzić na siebie w jednej lokalizacji.

Aby zmienić paletę na ruchomą, należy:

  • Kliknąć dwukrotnie podpis palety.

Aby zadokować ruchomą paletę, należy:

  • Kliknąć dwukrotnie pasek tytułu palety.

Aby uaktywnić paletę, należy:

  • Kliknąć kartę w dolnej części obszaru palet.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Menu

Menu

Menu skojarzonych poleceń są zorganizowane w postaci menu rozwijanych.

Zawartość paska menu różni się zależnie od wczytanego pliku menu - menu standardowego lub menu spersonalizowanych.

Można również wywoływać polecenia menu przy użyciu sekwencji klawiszy (na przykład: Alt + P, N zamiast Plik > Nowy).

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Paski przewijania

Paski przewijania

Paski przewijania znajdują się na prawym i dolnym marginesie okna rysunku. Służą one do przesuwania widoku rysunku.

Zamiast korzystania z pasków przewijania, można użyć poleceń przesuwania.

Aby włączyć lub wyłączyć paski przewijania, należy:

  1. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  2. Kliknąć Narzędzia > Opcje (lub wpisać Options).
  3. Kliknąć Menu aplikacji > Preferencje (lub wpisać Options).
  4. Kliknąć Opcje systemu [image].
  5. Rozwinąć Wyświetl > Opcje ekranu.
  6. Wybrać lub usunąć zaznaczenie opcji Pokaż paski przewijania.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Pasek stanu

Pasek stanu

Pasek stanu znajduje się na dole okna aplikacji.

Jest on podzielony na trzy obszary: etykietki narzędzi, ustawienia szkicowania i wyświetlacz współrzędnych.

  • Lewa strona paska stanu wyświetla etykietki narzędzi. Przemieszczenie wskaźnika na ikony paska narzędzi lub elementy menu powoduje wyświetlenie opisu polecenia lub funkcji w obszarze etykietek narzędzi.
  • Środkowa część paska stanu zawiera przyciski do włączania i wyłączania opcji szkicowania. Są to: Przyciąganie, Siatka, Orto, Biegunowe (prowadnice biegunowe), ESnap (przyciąganie elementów) oraz ETrack (śledzenie elementu).
  • Prawa strona paska stanu ukazuje współrzędne X, Y i Z wskaźnika.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Pasek tytułu

Pasek tytułu

Program posiada pasek tytułu na górze ekranu.

Gdy okno rysunku jest zmaksymalizowane, pasek tytułu zawiera nazwę aktywnego pliku rysunku.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Paski narzędzi

Paski narzędzi

Paski narzędzi można przeciągać i upuszczać w dogodnym miejscu okna aplikacji. Można je również zadokować poniżej paska menu lub na prawym i lewym marginesie okna aplikacji.

Aby pokazać lub ukryć paski narzędzi, należy:

  1. Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi.
  2. Kliknąć nazwę paska narzędzi do pokazania lub ukrycia, bądź kliknąć Paski narzędzi i wybrać lub usunąć zaznaczenie pasków narzędzi w oknie dialogowym.

Kliknąć okno, aby zamknąć.


Interfejs użytkownika: Macierz narzędzi

Macierz narzędzi

Można otworzyć macierz narzędzi, która stanowi zbiór pasków narzędzi.

Przy pierwszym otwarciu macierzy narzędzi, jest ona pustym panelem. Należy przeciągnąć paski narzędzi do macierzy narzędzi.

Macierz narzędzi to element interfejsu użytkownika, który zachowuje się podobnie do innych palet, takich jak paleta Właściwości lub paleta Odniesienia.

Aby wyświetlić macierz narzędzi, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i wybrać Macierz narzędzi (lub wpisać ToolMatrix).

    Macierz narzędzi zostanie otwarta jako paleta ruchoma lub zadokowana.

Aby ukryć macierz narzędzi, należy:

  • Kliknąć prawym przyciskiem myszy pasek menu lub zadokowany pasek narzędzi i usunąć zaznaczenie opcji Macierz narzędzi (lub wpisać HideToolMatrix).

    - lub

    Kliknąć Zamknij [image].

Aby umieścić pasek narzędzi w macierzy narzędzi, należy:

  • Kliknąć uchwyt po lewej stronie paska narzędzi [image] i przeciągnąć pasek narzędzi do macierzy narzędzi.

Aby usunąć pasek narzędzi z macierzy narzędzi, należy:

  • Kliknąć tytuł paska narzędzi i przeciągnąć pasek narzędzi na obszar graficzny (pasek ruchomy) lub na margines pulpitu programu (pasek zadokowany).

Aby zmienić rozmieszczenie pasków narzędzi w macierzy narzędzi, należy:

  • Kliknąć tytuł paska narzędzi i przeciągnąć pasek narzędzi do macierzy narzędzi.